/* Generated from library.scm by the CHICKEN compiler
   http://www.call-cc.org
   Version 5.0.1 (rev e8b8a4c3)
   linux-unix-gnu-x86-64 [ 64bit dload ptables ]
   command line: library.scm -optimize-level 2 -include-path . -include-path ./ -inline -ignore-repository -feature chicken-bootstrap -feature debugbuild -verbose -specialize -consult-types-file ./types.db -explicit-use -no-trace -output-file library.c -no-module-registration -emit-import-library chicken.bitwise -emit-import-library chicken.blob -emit-import-library chicken.fixnum -emit-import-library chicken.flonum -emit-import-library chicken.gc -emit-import-library chicken.keyword -emit-import-library chicken.platform -emit-import-library chicken.plist -emit-import-library chicken.process-context
   unit: library
   uses: build-version
*/
#include "chicken.h"

#include <errno.h>
#include <float.h>

#ifdef HAVE_SYSEXITS_H
# include <sysexits.h>
#endif

#ifndef EX_SOFTWARE
# define EX_SOFTWARE	70
#endif

#define C_close_file(p)	      (C_fclose((C_FILEPTR)(C_port_file(p))), C_SCHEME_UNDEFINED)
#define C_a_f64peek(ptr, c, b, i)  C_flonum(ptr, ((double *)C_data_pointer(b))[ C_unfix(i) ])
#define C_fetch_c_strlen(b, i) C_fix(strlen((C_char *)C_block_item(b, C_unfix(i))))
#define C_asciiz_strlen(str) C_fix(strlen(C_c_string(str)))
#define C_peek_c_string(b, i, to, len) (C_memcpy(C_data_pointer(to), (C_char *)C_block_item(b, C_unfix(i)), C_unfix(len)), C_SCHEME_UNDEFINED)
#define C_free_mptr(p, i)     (C_free((void *)C_block_item(p, C_unfix(i))), C_SCHEME_UNDEFINED)
#define C_free_sptr(p, i)     (C_free((void *)(((C_char **)C_block_item(p, 0))[ C_unfix(i) ])), C_SCHEME_UNDEFINED)

#define C_a_get_current_seconds(ptr, c, dummy)  C_int64_to_num(ptr, time(NULL))
#define C_peek_c_string_at(ptr, i)    ((C_char *)(((C_char **)ptr)[ i ]))

static C_word
fast_read_line_from_file(C_word str, C_word port, C_word size) {
  int n = C_unfix(size);
  int i;
  int c;
  char *buf = C_c_string(str);
  C_FILEPTR fp = C_port_file(port);

  if ((c = C_getc(fp)) == EOF) {
    if (ferror(fp)) {
      clearerr(fp);
      return C_fix(-1);
    } else { /* feof (fp) */
      return C_SCHEME_END_OF_FILE;
    }
  }

  C_ungetc(c, fp);

  for (i = 0; i < n; i++) {
    c = C_getc(fp);

    if(c == EOF && ferror(fp)) {
      clearerr(fp);
      return C_fix(-(i + 1));
    }

    switch (c) {
    case '\r':	if ((c = C_getc(fp)) != '\n') C_ungetc(c, fp);
    case EOF:	clearerr(fp);
    case '\n':	return C_fix(i);
    }
    buf[i] = c;
  }
  return C_SCHEME_FALSE;
}

static C_word
fast_read_string_from_file(C_word dest, C_word port, C_word len, C_word pos)
{
  size_t m;
  int n = C_unfix (len);
  char * buf = ((char *)C_data_pointer (dest) + C_unfix (pos));
  C_FILEPTR fp = C_port_file (port);

  if(feof(fp)) return C_SCHEME_END_OF_FILE;

  m = fread (buf, sizeof (char), n, fp);

  if (m < n) {
    if (ferror(fp)) /* Report to Scheme, which may retry, so clear errors */
      clearerr(fp);
    else if (feof(fp) && 0 == m) /* eof but m > 0? Return data first, below */
      return C_SCHEME_END_OF_FILE; /* Calling again will get us here */
  }

  return C_fix (m);
}

static C_word
shallow_equal(C_word x, C_word y)
{
  /* assumes x and y are non-immediate */
  int i, len = C_header_size(x);

  if(C_header_size(y) != len) return C_SCHEME_FALSE;      
  else return C_mk_bool(!C_memcmp((void *)x, (void *)y, len * sizeof(C_word)));
}

static C_word
signal_debug_event(C_word mode, C_word msg, C_word args)
{
  C_DEBUG_INFO cell;
  C_word av[ 3 ];
  cell.enabled = 1;
  cell.event = C_DEBUG_SIGNAL;
  cell.loc = "";
  cell.val = "";
  av[ 0 ] = mode;
  av[ 1 ] = msg;
  av[ 2 ] = args;
  C_debugger(&cell, 3, av);
  return C_SCHEME_UNDEFINED;
}

#ifdef NO_DLOAD2
# define HAVE_DLOAD 0
#else
# define HAVE_DLOAD 1
#endif

#ifdef C_ENABLE_PTABLES
# define HAVE_PTABLES 1
#else
# define HAVE_PTABLES 0
#endif

#ifdef C_GC_HOOKS
# define HAVE_GCHOOKS 1
#else
# define HAVE_GCHOOKS 0
#endif

#if defined(C_CROSS_CHICKEN) && C_CROSS_CHICKEN
# define IS_CROSS_CHICKEN 1
#else
# define IS_CROSS_CHICKEN 0
#endif


#define C_chdir(str) C_fix(chdir(C_c_string(str)))
#define C_curdir(buf) (getcwd(C_c_string(buf), 1024) ? C_fix(strlen(C_c_string(buf))) : C_SCHEME_FALSE)
#define C_getenventry(i) (environ[ i ])

#ifdef HAVE_CRT_EXTERNS_H
# include <crt_externs.h>
# define environ (*_NSGetEnviron())
#else
extern char **environ;
#endif

#ifdef HAVE_SETENV
# define C_unsetenv(s)    (unsetenv((char *)C_data_pointer(s)), C_SCHEME_TRUE)
# define C_setenv(x, y)   C_fix(setenv((char *)C_data_pointer(x), (char *)C_data_pointer(y), 1))
#else
# if defined(_WIN32) && !defined(__CYGWIN__)
#  define C_unsetenv(s)   C_setenv(s, C_SCHEME_FALSE)
# else
#  define C_unsetenv(s)   C_fix(putenv((char *)C_data_pointer(s)))
# endif
static C_word C_fcall C_setenv(C_word x, C_word y) {
  char *sx = C_c_string(x),
       *sy = (y == C_SCHEME_FALSE ? "" : C_c_string(y));
  int n1 = C_strlen(sx), n2 = C_strlen(sy);
  int buf_len = n1 + n2 + 2;
  char *buf = (char *)C_malloc(buf_len);
  if(buf == NULL) return(C_fix(0));
  else {
    C_strlcpy(buf, sx, buf_len);
    C_strlcat(buf, "=", buf_len);
    C_strlcat(buf, sy, buf_len);
    return(C_fix(putenv(buf)));
  }
}
#endif



static C_PTABLE_ENTRY *create_ptable(void);
C_noret_decl(C_build_2dversion_toplevel)
C_externimport void C_ccall C_build_2dversion_toplevel(C_word c,C_word *av) C_noret;

static C_TLS C_word lf[1392];
static double C_possibly_force_alignment;
static C_char C_TLS li0[] C_aligned={C_lihdr(0,0,14),40,115,99,104,101,109,101,35,110,111,116,32,120,41,0,0};
static C_char C_TLS li1[] C_aligned={C_lihdr(0,0,19),40,115,99,104,101,109,101,35,98,111,111,108,101,97,110,63,32,120,41,0,0,0,0,0};
static C_char C_TLS li2[] C_aligned={C_lihdr(0,0,16),40,115,99,104,101,109,101,35,101,113,63,32,120,32,121,41};
static C_char C_TLS li3[] C_aligned={C_lihdr(0,0,17),40,115,99,104,101,109,101,35,101,113,118,63,32,120,32,121,41,0,0,0,0,0,0,0};
static C_char C_TLS li4[] C_aligned={C_lihdr(0,0,19),40,115,99,104,101,109,101,35,101,113,117,97,108,63,32,120,32,121,41,0,0,0,0,0};
static C_char C_TLS li5[] C_aligned={C_lihdr(0,0,16),40,115,99,104,101,109,101,35,112,97,105,114,63,32,120,41};
static C_char C_TLS li6[] C_aligned={C_lihdr(0,0,17),40,115,99,104,101,109,101,35,99,111,110,115,32,120,32,121,41,0,0,0,0,0,0,0};
static C_char C_TLS li7[] C_aligned={C_lihdr(0,0,14),40,115,99,104,101,109,101,35,99,97,114,32,120,41,0,0};
static C_char C_TLS li8[] C_aligned={C_lihdr(0,0,14),40,115,99,104,101,109,101,35,99,100,114,32,120,41,0,0};
static C_char C_TLS li9[] C_aligned={C_lihdr(0,0,21),40,115,99,104,101,109,101,35,115,101,116,45,99,97,114,33,32,120,32,121,41,0,0,0};
static C_char C_TLS li10[] C_aligned={C_lihdr(0,0,21),40,115,99,104,101,109,101,35,115,101,116,45,99,100,114,33,32,120,32,121,41,0,0,0};
static C_char C_TLS li11[] C_aligned={C_lihdr(0,0,15),40,115,99,104,101,109,101,35,99,97,100,114,32,120,41,0};
static C_char C_TLS li12[] C_aligned={C_lihdr(0,0,16),40,115,99,104,101,109,101,35,99,97,100,100,114,32,120,41};
static C_char C_TLS li13[] C_aligned={C_lihdr(0,0,17),40,115,99,104,101,109,101,35,99,97,100,100,100,114,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li14[] C_aligned={C_lihdr(0,0,17),40,115,99,104,101,109,101,35,99,100,100,100,100,114,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li15[] C_aligned={C_lihdr(0,0,15),40,115,99,104,101,109,101,35,99,97,97,114,32,120,41,0};
static C_char C_TLS li16[] C_aligned={C_lihdr(0,0,15),40,115,99,104,101,109,101,35,99,100,97,114,32,120,41,0};
static C_char C_TLS li17[] C_aligned={C_lihdr(0,0,15),40,115,99,104,101,109,101,35,99,100,100,114,32,120,41,0};
static C_char C_TLS li18[] C_aligned={C_lihdr(0,0,16),40,115,99,104,101,109,101,35,99,97,97,97,114,32,120,41};
static C_char C_TLS li19[] C_aligned={C_lihdr(0,0,16),40,115,99,104,101,109,101,35,99,97,97,100,114,32,120,41};
static C_char C_TLS li20[] C_aligned={C_lihdr(0,0,16),40,115,99,104,101,109,101,35,99,97,100,97,114,32,120,41};
static C_char C_TLS li21[] C_aligned={C_lihdr(0,0,16),40,115,99,104,101,109,101,35,99,100,97,97,114,32,120,41};
static C_char C_TLS li22[] C_aligned={C_lihdr(0,0,16),40,115,99,104,101,109,101,35,99,100,97,100,114,32,120,41};
static C_char C_TLS li23[] C_aligned={C_lihdr(0,0,16),40,115,99,104,101,109,101,35,99,100,100,97,114,32,120,41};
static C_char C_TLS li24[] C_aligned={C_lihdr(0,0,16),40,115,99,104,101,109,101,35,99,100,100,100,114,32,120,41};
static C_char C_TLS li25[] C_aligned={C_lihdr(0,0,17),40,115,99,104,101,109,101,35,99,97,97,97,97,114,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li26[] C_aligned={C_lihdr(0,0,17),40,115,99,104,101,109,101,35,99,97,97,97,100,114,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li27[] C_aligned={C_lihdr(0,0,17),40,115,99,104,101,109,101,35,99,97,97,100,97,114,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li28[] C_aligned={C_lihdr(0,0,17),40,115,99,104,101,109,101,35,99,97,97,100,100,114,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li29[] C_aligned={C_lihdr(0,0,17),40,115,99,104,101,109,101,35,99,97,100,97,97,114,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li30[] C_aligned={C_lihdr(0,0,17),40,115,99,104,101,109,101,35,99,97,100,97,100,114,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li31[] C_aligned={C_lihdr(0,0,17),40,115,99,104,101,109,101,35,99,97,100,100,97,114,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li32[] C_aligned={C_lihdr(0,0,17),40,115,99,104,101,109,101,35,99,100,97,97,97,114,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li33[] C_aligned={C_lihdr(0,0,17),40,115,99,104,101,109,101,35,99,100,97,97,100,114,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li34[] C_aligned={C_lihdr(0,0,17),40,115,99,104,101,109,101,35,99,100,97,100,97,114,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li35[] C_aligned={C_lihdr(0,0,17),40,115,99,104,101,109,101,35,99,100,97,100,100,114,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li36[] C_aligned={C_lihdr(0,0,17),40,115,99,104,101,109,101,35,99,100,100,97,97,114,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li37[] C_aligned={C_lihdr(0,0,17),40,115,99,104,101,109,101,35,99,100,100,97,100,114,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li38[] C_aligned={C_lihdr(0,0,17),40,115,99,104,101,109,101,35,99,100,100,100,97,114,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li39[] C_aligned={C_lihdr(0,0,16),40,115,99,104,101,109,101,35,110,117,108,108,63,32,120,41};
static C_char C_TLS li40[] C_aligned={C_lihdr(0,0,19),40,115,99,104,101,109,101,35,108,105,115,116,32,46,32,108,115,116,41,0,0,0,0,0};
static C_char C_TLS li41[] C_aligned={C_lihdr(0,0,19),40,115,99,104,101,109,101,35,108,101,110,103,116,104,32,108,115,116,41,0,0,0,0,0};
static C_char C_TLS li42[] C_aligned={C_lihdr(0,0,24),40,115,99,104,101,109,101,35,108,105,115,116,45,116,97,105,108,32,108,115,116,32,105,41};
static C_char C_TLS li43[] C_aligned={C_lihdr(0,0,23),40,115,99,104,101,109,101,35,108,105,115,116,45,114,101,102,32,108,115,116,32,105,41,0};
static C_char C_TLS li44[] C_aligned={C_lihdr(0,0,15),40,108,111,111,112,32,108,115,116,32,114,101,115,116,41,0};
static C_char C_TLS li45[] C_aligned={C_lihdr(0,0,21),40,115,99,104,101,109,101,35,114,101,118,101,114,115,101,32,108,115,116,48,41,0,0,0};
static C_char C_TLS li46[] C_aligned={C_lihdr(0,0,19),40,115,99,104,101,109,101,35,109,101,109,113,32,120,32,108,115,116,41,0,0,0,0,0};
static C_char C_TLS li47[] C_aligned={C_lihdr(0,0,19),40,115,99,104,101,109,101,35,109,101,109,118,32,120,32,108,115,116,41,0,0,0,0,0};
static C_char C_TLS li48[] C_aligned={C_lihdr(0,0,21),40,115,99,104,101,109,101,35,109,101,109,98,101,114,32,120,32,108,115,116,41,0,0,0};
static C_char C_TLS li49[] C_aligned={C_lihdr(0,0,19),40,115,99,104,101,109,101,35,97,115,115,113,32,120,32,108,115,116,41,0,0,0,0,0};
static C_char C_TLS li50[] C_aligned={C_lihdr(0,0,19),40,115,99,104,101,109,101,35,97,115,115,118,32,120,32,108,115,116,41,0,0,0,0,0};
static C_char C_TLS li51[] C_aligned={C_lihdr(0,0,20),40,115,99,104,101,109,101,35,97,115,115,111,99,32,120,32,108,115,116,41,0,0,0,0};
static C_char C_TLS li52[] C_aligned={C_lihdr(0,0,16),40,115,99,104,101,109,101,35,108,105,115,116,63,32,120,41};
static C_char C_TLS li53[] C_aligned={C_lihdr(0,0,18),40,115,99,104,101,109,101,35,115,116,114,105,110,103,63,32,120,41,0,0,0,0,0,0};
static C_char C_TLS li54[] C_aligned={C_lihdr(0,0,24),40,115,99,104,101,109,101,35,115,116,114,105,110,103,45,108,101,110,103,116,104,32,115,41};
static C_char C_TLS li55[] C_aligned={C_lihdr(0,0,23),40,115,99,104,101,109,101,35,115,116,114,105,110,103,45,114,101,102,32,115,32,105,41,0};
static C_char C_TLS li56[] C_aligned={C_lihdr(0,0,26),40,115,99,104,101,109,101,35,115,116,114,105,110,103,45,115,101,116,33,32,115,32,105,32,99,41,0,0,0,0,0,0};
static C_char C_TLS li57[] C_aligned={C_lihdr(0,0,21),40,115,99,104,101,109,101,35,115,116,114,105,110,103,61,63,32,120,32,121,41,0,0,0};
static C_char C_TLS li58[] C_aligned={C_lihdr(0,0,24),40,115,99,104,101,109,101,35,115,116,114,105,110,103,45,99,105,61,63,32,120,32,121,41};
static C_char C_TLS li59[] C_aligned={C_lihdr(0,0,25),40,115,99,104,101,109,101,35,101,120,97,99,116,45,62,105,110,101,120,97,99,116,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li60[] C_aligned={C_lihdr(0,0,14),40,115,99,104,101,109,101,35,97,98,115,32,120,41,0,0};
static C_char C_TLS li61[] C_aligned={C_lihdr(0,0,6),67,95,112,108,117,115,0,0};
static C_char C_TLS li62[] C_aligned={C_lihdr(0,0,7),67,95,109,105,110,117,115,0};
static C_char C_TLS li63[] C_aligned={C_lihdr(0,0,7),67,95,116,105,109,101,115,0};
static C_char C_TLS li64[] C_aligned={C_lihdr(0,0,21),40,115,99,104,101,109,101,35,113,117,111,116,105,101,110,116,32,97,32,98,41,0,0,0};
static C_char C_TLS li65[] C_aligned={C_lihdr(0,0,22),40,115,99,104,101,109,101,35,114,101,109,97,105,110,100,101,114,32,97,32,98,41,0,0};
static C_char C_TLS li66[] C_aligned={C_lihdr(0,0,19),40,115,99,104,101,109,101,35,109,111,100,117,108,111,32,97,32,98,41,0,0,0,0,0};
static C_char C_TLS li67[] C_aligned={C_lihdr(0,0,16),40,115,99,104,101,109,101,35,101,118,101,110,63,32,110,41};
static C_char C_TLS li68[] C_aligned={C_lihdr(0,0,15),40,115,99,104,101,109,101,35,111,100,100,63,32,110,41,0};
static C_char C_TLS li69[] C_aligned={C_lihdr(0,0,9),67,95,110,101,113,117,97,108,112,0,0,0,0,0,0,0};
static C_char C_TLS li70[] C_aligned={C_lihdr(0,0,10),67,95,103,114,101,97,116,101,114,112,0,0,0,0,0,0};
static C_char C_TLS li71[] C_aligned={C_lihdr(0,0,7),67,95,108,101,115,115,112,0};
static C_char C_TLS li72[] C_aligned={C_lihdr(0,0,20),67,95,103,114,101,97,116,101,114,95,111,114,95,101,113,117,97,108,95,112,0,0,0,0};
static C_char C_TLS li73[] C_aligned={C_lihdr(0,0,17),67,95,108,101,115,115,95,111,114,95,101,113,117,97,108,95,112,0,0,0,0,0,0,0};
static C_char C_TLS li74[] C_aligned={C_lihdr(0,0,18),40,115,99,104,101,109,101,35,110,117,109,98,101,114,63,32,120,41,0,0,0,0,0,0};
static C_char C_TLS li75[] C_aligned={C_lihdr(0,0,16),40,115,99,104,101,109,101,35,114,101,97,108,63,32,120,41};
static C_char C_TLS li76[] C_aligned={C_lihdr(0,0,20),40,115,99,104,101,109,101,35,114,97,116,105,111,110,97,108,63,32,110,41,0,0,0,0};
static C_char C_TLS li77[] C_aligned={C_lihdr(0,0,19),40,115,99,104,101,109,101,35,105,110,116,101,103,101,114,63,32,120,41,0,0,0,0,0};
static C_char C_TLS li78[] C_aligned={C_lihdr(0,0,17),40,115,99,104,101,109,101,35,101,120,97,99,116,63,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li79[] C_aligned={C_lihdr(0,0,19),40,115,99,104,101,109,101,35,105,110,101,120,97,99,116,63,32,120,41,0,0,0,0,0};
static C_char C_TLS li80[] C_aligned={C_lihdr(0,0,16),40,115,99,104,101,109,101,35,122,101,114,111,63,32,110,41};
static C_char C_TLS li81[] C_aligned={C_lihdr(0,0,20),40,115,99,104,101,109,101,35,112,111,115,105,116,105,118,101,63,32,110,41,0,0,0,0};
static C_char C_TLS li82[] C_aligned={C_lihdr(0,0,20),40,115,99,104,101,109,101,35,110,101,103,97,116,105,118,101,63,32,110,41,0,0,0,0};
static C_char C_TLS li83[] C_aligned={C_lihdr(0,0,18),67,95,110,117,109,98,101,114,95,116,111,95,115,116,114,105,110,103,0,0,0,0,0,0};
static C_char C_TLS li84[] C_aligned={C_lihdr(0,0,18),40,115,99,104,101,109,101,35,115,121,109,98,111,108,63,32,120,41,0,0,0,0,0,0};
static C_char C_TLS li85[] C_aligned={C_lihdr(0,0,18),40,115,99,104,101,109,101,35,118,101,99,116,111,114,63,32,120,41,0,0,0,0,0,0};
static C_char C_TLS li86[] C_aligned={C_lihdr(0,0,24),40,115,99,104,101,109,101,35,118,101,99,116,111,114,45,108,101,110,103,116,104,32,118,41};
static C_char C_TLS li87[] C_aligned={C_lihdr(0,0,23),40,115,99,104,101,109,101,35,118,101,99,116,111,114,45,114,101,102,32,118,32,105,41,0};
static C_char C_TLS li88[] C_aligned={C_lihdr(0,0,26),40,115,99,104,101,109,101,35,118,101,99,116,111,114,45,115,101,116,33,32,118,32,105,32,120,41,0,0,0,0,0,0};
static C_char C_TLS li89[] C_aligned={C_lihdr(0,0,16),40,115,99,104,101,109,101,35,99,104,97,114,63,32,120,41};
static C_char C_TLS li90[] C_aligned={C_lihdr(0,0,24),40,115,99,104,101,109,101,35,99,104,97,114,45,62,105,110,116,101,103,101,114,32,99,41};
static C_char C_TLS li91[] C_aligned={C_lihdr(0,0,24),40,115,99,104,101,109,101,35,105,110,116,101,103,101,114,45,62,99,104,97,114,32,110,41};
static C_char C_TLS li92[] C_aligned={C_lihdr(0,0,21),40,115,99,104,101,109,101,35,99,104,97,114,61,63,32,99,49,32,99,50,41,0,0,0};
static C_char C_TLS li93[] C_aligned={C_lihdr(0,0,21),40,115,99,104,101,109,101,35,99,104,97,114,62,63,32,99,49,32,99,50,41,0,0,0};
static C_char C_TLS li94[] C_aligned={C_lihdr(0,0,21),40,115,99,104,101,109,101,35,99,104,97,114,60,63,32,99,49,32,99,50,41,0,0,0};
static C_char C_TLS li95[] C_aligned={C_lihdr(0,0,22),40,115,99,104,101,109,101,35,99,104,97,114,62,61,63,32,99,49,32,99,50,41,0,0};
static C_char C_TLS li96[] C_aligned={C_lihdr(0,0,22),40,115,99,104,101,109,101,35,99,104,97,114,60,61,63,32,99,49,32,99,50,41,0,0};
static C_char C_TLS li97[] C_aligned={C_lihdr(0,0,22),40,115,99,104,101,109,101,35,99,104,97,114,45,117,112,99,97,115,101,32,99,41,0,0};
static C_char C_TLS li98[] C_aligned={C_lihdr(0,0,24),40,115,99,104,101,109,101,35,99,104,97,114,45,100,111,119,110,99,97,115,101,32,99,41};
static C_char C_TLS li99[] C_aligned={C_lihdr(0,0,27),40,115,99,104,101,109,101,35,99,104,97,114,45,117,112,112,101,114,45,99,97,115,101,63,32,99,41,0,0,0,0,0};
static C_char C_TLS li100[] C_aligned={C_lihdr(0,0,27),40,115,99,104,101,109,101,35,99,104,97,114,45,108,111,119,101,114,45,99,97,115,101,63,32,99,41,0,0,0,0,0};
static C_char C_TLS li101[] C_aligned={C_lihdr(0,0,24),40,115,99,104,101,109,101,35,99,104,97,114,45,110,117,109,101,114,105,99,63,32,99,41};
static C_char C_TLS li102[] C_aligned={C_lihdr(0,0,27),40,115,99,104,101,109,101,35,99,104,97,114,45,119,104,105,116,101,115,112,97,99,101,63,32,99,41,0,0,0,0,0};
static C_char C_TLS li103[] C_aligned={C_lihdr(0,0,27),40,115,99,104,101,109,101,35,99,104,97,114,45,97,108,112,104,97,98,101,116,105,99,63,32,99,41,0,0,0,0,0};
static C_char C_TLS li104[] C_aligned={C_lihdr(0,0,21),40,115,99,104,101,109,101,35,112,114,111,99,101,100,117,114,101,63,32,120,41,0,0,0};
static C_char C_TLS li105[] C_aligned={C_lihdr(0,0,7),67,95,97,112,112,108,121,0};
static C_char C_TLS li106[] C_aligned={C_lihdr(0,0,8),67,95,118,97,108,117,101,115};
static C_char C_TLS li107[] C_aligned={C_lihdr(0,0,18),67,95,99,97,108,108,95,119,105,116,104,95,118,97,108,117,101,115,0,0,0,0,0,0};
static C_char C_TLS li108[] C_aligned={C_lihdr(0,0,22),40,115,99,104,101,109,101,35,105,110,112,117,116,45,112,111,114,116,63,32,120,41,0,0};
static C_char C_TLS li109[] C_aligned={C_lihdr(0,0,23),40,115,99,104,101,109,101,35,111,117,116,112,117,116,45,112,111,114,116,63,32,120,41,0};
static C_char C_TLS li110[] C_aligned={C_lihdr(0,0,22),40,115,99,104,101,109,101,35,101,111,102,45,111,98,106,101,99,116,63,32,120,41,0,0};
static C_char C_TLS li111[] C_aligned={C_lihdr(0,0,21),40,115,99,104,101,109,101,35,101,118,97,108,32,120,32,46,32,101,110,118,41,0,0,0};
static C_char C_TLS li112[] C_aligned={C_lihdr(0,0,32),40,115,99,104,101,109,101,35,105,110,116,101,114,97,99,116,105,111,110,45,101,110,118,105,114,111,110,109,101,110,116,41};
static C_char C_TLS li113[] C_aligned={C_lihdr(0,0,36),40,115,99,104,101,109,101,35,115,99,104,101,109,101,45,114,101,112,111,114,116,45,101,110,118,105,114,111,110,109,101,110,116,32,110,41,0,0,0,0};
static C_char C_TLS li114[] C_aligned={C_lihdr(0,0,25),40,115,99,104,101,109,101,35,110,117,108,108,45,101,110,118,105,114,111,110,109,101,110,116,41,0,0,0,0,0,0,0};
static C_char C_TLS li115[] C_aligned={C_lihdr(0,0,34),40,115,99,104,101,109,101,35,108,111,97,100,32,102,105,108,101,110,97,109,101,32,46,32,101,118,97,108,117,97,116,111,114,41,0,0,0,0,0,0};
static C_char C_TLS li116[] C_aligned={C_lihdr(0,0,24),40,99,104,105,99,107,101,110,46,98,97,115,101,35,102,105,120,110,117,109,63,32,120,41};
static C_char C_TLS li117[] C_aligned={C_lihdr(0,0,24),40,99,104,105,99,107,101,110,46,98,97,115,101,35,102,108,111,110,117,109,63,32,120,41};
static C_char C_TLS li118[] C_aligned={C_lihdr(0,0,24),40,99,104,105,99,107,101,110,46,98,97,115,101,35,98,105,103,110,117,109,63,32,120,41};
static C_char C_TLS li119[] C_aligned={C_lihdr(0,0,24),40,99,104,105,99,107,101,110,46,98,97,115,101,35,114,97,116,110,117,109,63,32,120,41};
static C_char C_TLS li120[] C_aligned={C_lihdr(0,0,25),40,99,104,105,99,107,101,110,46,98,97,115,101,35,99,112,108,120,110,117,109,63,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li121[] C_aligned={C_lihdr(0,0,31),40,99,104,105,99,107,101,110,46,98,97,115,101,35,101,120,97,99,116,45,105,110,116,101,103,101,114,63,32,120,41,0};
static C_char C_TLS li122[] C_aligned={C_lihdr(0,0,24),67,95,113,117,111,116,105,101,110,116,95,97,110,100,95,114,101,109,97,105,110,100,101,114};
static C_char C_TLS li123[] C_aligned={C_lihdr(0,0,7),40,97,57,49,53,55,41,0};
static C_char C_TLS li124[] C_aligned={C_lihdr(0,0,15),40,97,57,49,54,51,32,100,105,118,32,114,101,109,41,0};
static C_char C_TLS li125[] C_aligned={C_lihdr(0,0,34),40,99,104,105,99,107,101,110,46,98,97,115,101,35,113,117,111,116,105,101,110,116,38,109,111,100,117,108,111,32,120,32,121,41,0,0,0,0,0,0};
static C_char C_TLS li126[] C_aligned={C_lihdr(0,0,24),40,99,104,105,99,107,101,110,46,98,97,115,101,35,102,105,110,105,116,101,63,32,120,41};
static C_char C_TLS li127[] C_aligned={C_lihdr(0,0,26),40,99,104,105,99,107,101,110,46,98,97,115,101,35,105,110,102,105,110,105,116,101,63,32,120,41,0,0,0,0,0,0};
static C_char C_TLS li128[] C_aligned={C_lihdr(0,0,21),40,99,104,105,99,107,101,110,46,98,97,115,101,35,110,97,110,63,32,120,41,0,0,0};
static C_char C_TLS li129[] C_aligned={C_lihdr(0,0,8),67,95,115,105,103,110,117,109};
static C_char C_TLS li130[] C_aligned={C_lihdr(0,0,21),40,99,104,105,99,107,101,110,46,98,97,115,101,35,97,100,100,49,32,110,41,0,0,0};
static C_char C_TLS li131[] C_aligned={C_lihdr(0,0,21),40,99,104,105,99,107,101,110,46,98,97,115,101,35,115,117,98,49,32,110,41,0,0,0};
static C_char C_TLS li132[] C_aligned={C_lihdr(0,0,27),40,99,104,105,99,107,101,110,46,98,97,115,101,35,101,114,114,111,114,32,46,32,97,114,103,115,41,0,0,0,0,0};
static C_char C_TLS li133[] C_aligned={C_lihdr(0,0,23),40,99,104,105,99,107,101,110,46,98,97,115,101,35,118,111,105,100,32,46,32,95,41,0};
static C_char C_TLS li134[] C_aligned={C_lihdr(0,0,25),40,99,104,105,99,107,101,110,46,98,97,115,101,35,112,114,111,109,105,115,101,63,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li135[] C_aligned={C_lihdr(0,0,25),40,35,35,115,121,115,35,109,97,107,101,45,112,114,111,109,105,115,101,32,112,114,111,99,41,0,0,0,0,0,0,0};
static C_char C_TLS li136[] C_aligned={C_lihdr(0,0,7),40,97,57,50,56,49,41,0};
static C_char C_TLS li137[] C_aligned={C_lihdr(0,0,31),40,99,104,105,99,107,101,110,46,98,97,115,101,35,109,97,107,101,45,112,114,111,109,105,115,101,32,111,98,106,41,0};
static C_char C_TLS li138[] C_aligned={C_lihdr(0,0,12),40,108,111,111,112,32,108,115,116,32,122,41,0,0,0,0};
static C_char C_TLS li139[] C_aligned={C_lihdr(0,0,28),40,99,104,105,99,107,101,110,46,98,97,115,101,35,102,111,108,100,108,32,102,32,122,32,108,115,116,41,0,0,0,0};
static C_char C_TLS li140[] C_aligned={C_lihdr(0,0,10),40,108,111,111,112,32,108,115,116,41,0,0,0,0,0,0};
static C_char C_TLS li141[] C_aligned={C_lihdr(0,0,28),40,99,104,105,99,107,101,110,46,98,97,115,101,35,102,111,108,100,114,32,102,32,122,32,108,115,116,41,0,0,0,0};
static C_char C_TLS li142[] C_aligned={C_lihdr(0,0,28),40,99,104,105,99,107,101,110,46,98,97,115,101,35,111,110,45,101,120,105,116,32,116,104,117,110,107,41,0,0,0,0};
static C_char C_TLS li143[] C_aligned={C_lihdr(0,0,26),40,99,104,105,99,107,101,110,46,98,97,115,101,35,101,120,105,116,32,46,32,114,101,115,116,41,0,0,0,0,0,0};
static C_char C_TLS li144[] C_aligned={C_lihdr(0,0,36),40,99,104,105,99,107,101,110,46,98,97,115,101,35,101,109,101,114,103,101,110,99,121,45,101,120,105,116,32,46,32,114,101,115,116,41,0,0,0,0};
static C_char C_TLS li145[] C_aligned={C_lihdr(0,0,25),40,99,104,105,99,107,101,110,46,98,97,115,101,35,105,100,101,110,116,105,116,121,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li146[] C_aligned={C_lihdr(0,0,12),40,108,111,111,112,32,112,114,101,100,115,41,0,0,0,0};
static C_char C_TLS li147[] C_aligned={C_lihdr(0,0,10),40,102,95,57,52,49,49,32,120,41,0,0,0,0,0,0};
static C_char C_TLS li148[] C_aligned={C_lihdr(0,0,30),40,99,104,105,99,107,101,110,46,98,97,115,101,35,99,111,110,106,111,105,110,32,46,32,112,114,101,100,115,41,0,0};
static C_char C_TLS li149[] C_aligned={C_lihdr(0,0,12),40,108,111,111,112,32,112,114,101,100,115,41,0,0,0,0};
static C_char C_TLS li150[] C_aligned={C_lihdr(0,0,10),40,102,95,57,52,52,52,32,120,41,0,0,0,0,0,0};
static C_char C_TLS li151[] C_aligned={C_lihdr(0,0,30),40,99,104,105,99,107,101,110,46,98,97,115,101,35,100,105,115,106,111,105,110,32,46,32,112,114,101,100,115,41,0,0};
static C_char C_TLS li152[] C_aligned={C_lihdr(0,0,12),40,102,95,57,52,57,48,32,46,32,95,41,0,0,0,0};
static C_char C_TLS li153[] C_aligned={C_lihdr(0,0,12),40,102,95,57,52,57,50,32,46,32,95,41,0,0,0,0};
static C_char C_TLS li154[] C_aligned={C_lihdr(0,0,30),40,99,104,105,99,107,101,110,46,98,97,115,101,35,99,111,110,115,116,97,110,116,108,121,32,46,32,120,115,41,0,0};
static C_char C_TLS li155[] C_aligned={C_lihdr(0,0,12),40,102,95,57,53,48,50,32,120,32,121,41,0,0,0,0};
static C_char C_TLS li156[] C_aligned={C_lihdr(0,0,24),40,99,104,105,99,107,101,110,46,98,97,115,101,35,102,108,105,112,32,112,114,111,99,41};
static C_char C_TLS li157[] C_aligned={C_lihdr(0,0,15),40,102,95,57,53,49,48,32,46,32,97,114,103,115,41,0};
static C_char C_TLS li158[] C_aligned={C_lihdr(0,0,27),40,99,104,105,99,107,101,110,46,98,97,115,101,35,99,111,109,112,108,101,109,101,110,116,32,112,41,0,0,0,0,0};
static C_char C_TLS li159[] C_aligned={C_lihdr(0,0,7),40,97,57,53,51,54,41,0};
static C_char C_TLS li160[] C_aligned={C_lihdr(0,0,15),40,102,95,57,53,51,49,32,46,32,97,114,103,115,41,0};
static C_char C_TLS li161[] C_aligned={C_lihdr(0,0,14),40,114,101,99,32,102,48,32,46,32,102,110,115,41,0,0};
static C_char C_TLS li162[] C_aligned={C_lihdr(0,0,28),40,99,104,105,99,107,101,110,46,98,97,115,101,35,99,111,109,112,111,115,101,32,46,32,102,110,115,41,0,0,0,0};
static C_char C_TLS li163[] C_aligned={C_lihdr(0,0,10),40,102,95,57,53,56,50,32,120,41,0,0,0,0,0,0};
static C_char C_TLS li164[] C_aligned={C_lihdr(0,0,10),40,108,111,111,112,32,102,110,115,41,0,0,0,0,0,0};
static C_char C_TLS li165[] C_aligned={C_lihdr(0,0,22),40,99,104,105,99,107,101,110,46,98,97,115,101,35,111,32,46,32,102,110,115,41,0,0};
static C_char C_TLS li166[] C_aligned={C_lihdr(0,0,10),40,108,111,111,112,32,108,115,116,41,0,0,0,0,0,0};
static C_char C_TLS li167[] C_aligned={C_lihdr(0,0,12),40,102,95,57,53,57,55,32,108,115,116,41,0,0,0,0};
static C_char C_TLS li168[] C_aligned={C_lihdr(0,0,28),40,99,104,105,99,107,101,110,46,98,97,115,101,35,108,105,115,116,45,111,102,63,32,112,114,101,100,41,0,0,0,0};
static C_char C_TLS li169[] C_aligned={C_lihdr(0,0,12),40,102,95,57,54,52,55,32,46,32,95,41,0,0,0,0};
static C_char C_TLS li170[] C_aligned={C_lihdr(0,0,12),40,108,111,111,112,32,112,114,111,99,115,41,0,0,0,0};
static C_char C_TLS li171[] C_aligned={C_lihdr(0,0,15),40,102,95,57,54,54,49,32,46,32,97,114,103,115,41,0};
static C_char C_TLS li172[] C_aligned={C_lihdr(0,0,27),40,99,104,105,99,107,101,110,46,98,97,115,101,35,101,97,99,104,32,46,32,112,114,111,99,115,41,0,0,0,0,0};
static C_char C_TLS li173[] C_aligned={C_lihdr(0,0,22),40,99,104,105,99,107,101,110,46,98,97,115,101,35,97,116,111,109,63,32,120,41,0,0};
static C_char C_TLS li174[] C_aligned={C_lihdr(0,0,6),40,108,111,111,112,41,0,0};
static C_char C_TLS li175[] C_aligned={C_lihdr(0,0,24),40,99,104,105,99,107,101,110,46,98,97,115,101,35,116,97,105,108,63,32,120,32,121,41};
static C_char C_TLS li176[] C_aligned={C_lihdr(0,0,9),40,108,111,111,112,32,110,115,41,0,0,0,0,0,0,0};
static C_char C_TLS li177[] C_aligned={C_lihdr(0,0,32),40,99,104,105,99,107,101,110,46,98,97,115,101,35,105,110,116,101,114,115,112,101,114,115,101,32,108,115,116,32,120,41};
static C_char C_TLS li178[] C_aligned={C_lihdr(0,0,10),40,108,111,111,112,32,108,115,116,41,0,0,0,0,0,0};
static C_char C_TLS li179[] C_aligned={C_lihdr(0,0,26),40,99,104,105,99,107,101,110,46,98,97,115,101,35,98,117,116,108,97,115,116,32,108,115,116,41,0,0,0,0,0,0};
static C_char C_TLS li180[] C_aligned={C_lihdr(0,0,17),40,108,111,111,112,32,108,105,115,116,115,32,114,101,115,116,41,0,0,0,0,0,0,0};
static C_char C_TLS li181[] C_aligned={C_lihdr(0,0,31),40,99,104,105,99,107,101,110,46,98,97,115,101,35,102,108,97,116,116,101,110,32,46,32,108,105,115,116,115,48,41,0};
static C_char C_TLS li182[] C_aligned={C_lihdr(0,0,11),40,108,111,111,112,32,108,115,116,115,41,0,0,0,0,0};
static C_char C_TLS li183[] C_aligned={C_lihdr(0,0,30),40,99,104,105,99,107,101,110,46,98,97,115,101,35,106,111,105,110,32,108,115,116,115,32,46,32,108,115,116,41,0,0};
static C_char C_TLS li184[] C_aligned={C_lihdr(0,0,15),40,108,111,111,112,32,98,108,115,116,32,108,115,116,41,0};
static C_char C_TLS li185[] C_aligned={C_lihdr(0,0,32),40,99,104,105,99,107,101,110,46,98,97,115,101,35,99,111,109,112,114,101,115,115,32,98,108,115,116,32,108,115,116,41};
static C_char C_TLS li186[] C_aligned={C_lihdr(0,0,10),40,108,111,111,112,32,108,115,116,41,0,0,0,0,0,0};
static C_char C_TLS li187[] C_aligned={C_lihdr(0,0,15),40,102,95,49,48,48,48,56,32,120,32,108,115,116,41,0};
static C_char C_TLS li188[] C_aligned={C_lihdr(0,0,43),40,99,104,105,99,107,101,110,46,98,97,115,101,35,97,108,105,115,116,45,117,112,100,97,116,101,33,32,120,32,121,32,108,115,116,32,46,32,114,101,115,116,41,0,0,0,0,0};
static C_char C_TLS li189[] C_aligned={C_lihdr(0,0,10),40,108,111,111,112,32,108,115,116,41,0,0,0,0,0,0};
static C_char C_TLS li190[] C_aligned={C_lihdr(0,0,42),40,99,104,105,99,107,101,110,46,98,97,115,101,35,97,108,105,115,116,45,117,112,100,97,116,101,32,107,32,118,32,108,115,116,32,46,32,114,101,115,116,41,0,0,0,0,0,0};
static C_char C_TLS li191[] C_aligned={C_lihdr(0,0,10),40,108,111,111,112,32,108,115,116,41,0,0,0,0,0,0};
static C_char C_TLS li192[] C_aligned={C_lihdr(0,0,15),40,102,95,49,48,50,48,48,32,120,32,108,115,116,41,0};
static C_char C_TLS li193[] C_aligned={C_lihdr(0,0,37),40,99,104,105,99,107,101,110,46,98,97,115,101,35,97,108,105,115,116,45,114,101,102,32,120,32,108,115,116,32,46,32,114,101,115,116,41,0,0,0};
static C_char C_TLS li194[] C_aligned={C_lihdr(0,0,8),40,108,111,111,112,32,108,41};
static C_char C_TLS li195[] C_aligned={C_lihdr(0,0,33),40,99,104,105,99,107,101,110,46,98,97,115,101,35,114,97,115,115,111,99,32,120,32,108,115,116,32,46,32,116,115,116,41,0,0,0,0,0,0,0};
static C_char C_TLS li196[] C_aligned={C_lihdr(0,0,24),40,99,104,105,99,107,101,110,46,102,105,120,110,117,109,35,102,120,43,32,120,32,121,41};
static C_char C_TLS li197[] C_aligned={C_lihdr(0,0,24),40,99,104,105,99,107,101,110,46,102,105,120,110,117,109,35,102,120,45,32,120,32,121,41};
static C_char C_TLS li198[] C_aligned={C_lihdr(0,0,24),40,99,104,105,99,107,101,110,46,102,105,120,110,117,109,35,102,120,42,32,120,32,121,41};
static C_char C_TLS li199[] C_aligned={C_lihdr(0,0,24),40,99,104,105,99,107,101,110,46,102,105,120,110,117,109,35,102,120,61,32,120,32,121,41};
static C_char C_TLS li200[] C_aligned={C_lihdr(0,0,24),40,99,104,105,99,107,101,110,46,102,105,120,110,117,109,35,102,120,62,32,120,32,121,41};
static C_char C_TLS li201[] C_aligned={C_lihdr(0,0,24),40,99,104,105,99,107,101,110,46,102,105,120,110,117,109,35,102,120,60,32,120,32,121,41};
static C_char C_TLS li202[] C_aligned={C_lihdr(0,0,25),40,99,104,105,99,107,101,110,46,102,105,120,110,117,109,35,102,120,62,61,32,120,32,121,41,0,0,0,0,0,0,0};
static C_char C_TLS li203[] C_aligned={C_lihdr(0,0,25),40,99,104,105,99,107,101,110,46,102,105,120,110,117,109,35,102,120,60,61,32,120,32,121,41,0,0,0,0,0,0,0};
static C_char C_TLS li204[] C_aligned={C_lihdr(0,0,26),40,99,104,105,99,107,101,110,46,102,105,120,110,117,109,35,102,120,109,105,110,32,120,32,121,41,0,0,0,0,0,0};
static C_char C_TLS li205[] C_aligned={C_lihdr(0,0,26),40,99,104,105,99,107,101,110,46,102,105,120,110,117,109,35,102,120,109,97,120,32,120,32,121,41,0,0,0,0,0,0};
static C_char C_TLS li206[] C_aligned={C_lihdr(0,0,24),40,99,104,105,99,107,101,110,46,102,105,120,110,117,109,35,102,120,110,101,103,32,120,41};
static C_char C_TLS li207[] C_aligned={C_lihdr(0,0,26),40,99,104,105,99,107,101,110,46,102,105,120,110,117,109,35,102,120,97,110,100,32,120,32,121,41,0,0,0,0,0,0};
static C_char C_TLS li208[] C_aligned={C_lihdr(0,0,26),40,99,104,105,99,107,101,110,46,102,105,120,110,117,109,35,102,120,105,111,114,32,120,32,121,41,0,0,0,0,0,0};
static C_char C_TLS li209[] C_aligned={C_lihdr(0,0,26),40,99,104,105,99,107,101,110,46,102,105,120,110,117,109,35,102,120,120,111,114,32,120,32,121,41,0,0,0,0,0,0};
static C_char C_TLS li210[] C_aligned={C_lihdr(0,0,24),40,99,104,105,99,107,101,110,46,102,105,120,110,117,109,35,102,120,110,111,116,32,120,41};
static C_char C_TLS li211[] C_aligned={C_lihdr(0,0,26),40,99,104,105,99,107,101,110,46,102,105,120,110,117,109,35,102,120,115,104,108,32,120,32,121,41,0,0,0,0,0,0};
static C_char C_TLS li212[] C_aligned={C_lihdr(0,0,26),40,99,104,105,99,107,101,110,46,102,105,120,110,117,109,35,102,120,115,104,114,32,120,32,121,41,0,0,0,0,0,0};
static C_char C_TLS li213[] C_aligned={C_lihdr(0,0,25),40,99,104,105,99,107,101,110,46,102,105,120,110,117,109,35,102,120,111,100,100,63,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li214[] C_aligned={C_lihdr(0,0,26),40,99,104,105,99,107,101,110,46,102,105,120,110,117,109,35,102,120,101,118,101,110,63,32,120,41,0,0,0,0,0,0};
static C_char C_TLS li215[] C_aligned={C_lihdr(0,0,24),40,99,104,105,99,107,101,110,46,102,105,120,110,117,109,35,102,120,108,101,110,32,120,41};
static C_char C_TLS li216[] C_aligned={C_lihdr(0,0,24),40,99,104,105,99,107,101,110,46,102,105,120,110,117,109,35,102,120,47,32,120,32,121,41};
static C_char C_TLS li217[] C_aligned={C_lihdr(0,0,26),40,99,104,105,99,107,101,110,46,102,105,120,110,117,109,35,102,120,103,99,100,32,120,32,121,41,0,0,0,0,0,0};
static C_char C_TLS li218[] C_aligned={C_lihdr(0,0,26),40,99,104,105,99,107,101,110,46,102,105,120,110,117,109,35,102,120,109,111,100,32,120,32,121,41,0,0,0,0,0,0};
static C_char C_TLS li219[] C_aligned={C_lihdr(0,0,26),40,99,104,105,99,107,101,110,46,102,105,120,110,117,109,35,102,120,114,101,109,32,120,32,121,41,0,0,0,0,0,0};
static C_char C_TLS li220[] C_aligned={C_lihdr(0,0,25),40,99,104,105,99,107,101,110,46,102,105,120,110,117,109,35,102,120,43,63,32,120,32,121,41,0,0,0,0,0,0,0};
static C_char C_TLS li221[] C_aligned={C_lihdr(0,0,25),40,99,104,105,99,107,101,110,46,102,105,120,110,117,109,35,102,120,45,63,32,120,32,121,41,0,0,0,0,0,0,0};
static C_char C_TLS li222[] C_aligned={C_lihdr(0,0,25),40,99,104,105,99,107,101,110,46,102,105,120,110,117,109,35,102,120,42,63,32,120,32,121,41,0,0,0,0,0,0,0};
static C_char C_TLS li223[] C_aligned={C_lihdr(0,0,25),40,99,104,105,99,107,101,110,46,102,105,120,110,117,109,35,102,120,47,63,32,120,32,121,41,0,0,0,0,0,0,0};
static C_char C_TLS li224[] C_aligned={C_lihdr(0,0,19),40,35,35,115,121,115,35,100,101,98,117,103,45,109,111,100,101,63,41,0,0,0,0,0};
static C_char C_TLS li225[] C_aligned={C_lihdr(0,0,33),40,99,104,105,99,107,101,110,46,98,97,115,101,35,119,97,114,110,105,110,103,32,109,115,103,32,46,32,97,114,103,115,41,0,0,0,0,0,0,0};
static C_char C_TLS li226[] C_aligned={C_lihdr(0,0,32),40,99,104,105,99,107,101,110,46,98,97,115,101,35,110,111,116,105,99,101,32,109,115,103,32,46,32,97,114,103,115,41};
static C_char C_TLS li227[] C_aligned={C_lihdr(0,0,37),40,99,104,105,99,107,101,110,46,98,97,115,101,35,101,110,97,98,108,101,45,119,97,114,110,105,110,103,115,32,46,32,98,111,111,108,41,0,0,0};
static C_char C_TLS li228[] C_aligned={C_lihdr(0,0,4),67,95,103,99,0,0,0,0};
static C_char C_TLS li229[] C_aligned={C_lihdr(0,0,21),40,35,35,115,121,115,35,115,101,116,115,108,111,116,32,120,32,105,32,121,41,0,0,0};
static C_char C_TLS li230[] C_aligned={C_lihdr(0,0,22),40,35,35,115,121,115,35,115,101,116,105,115,108,111,116,32,120,32,105,32,121,41,0,0};
static C_char C_TLS li231[] C_aligned={C_lihdr(0,0,17),67,95,97,108,108,111,99,97,116,101,95,118,101,99,116,111,114,0,0,0,0,0,0,0};
static C_char C_TLS li232[] C_aligned={C_lihdr(0,0,16),67,95,109,97,107,101,95,115,116,114,117,99,116,117,114,101};
static C_char C_TLS li233[] C_aligned={C_lihdr(0,0,21),67,95,101,110,115,117,114,101,95,104,101,97,112,95,114,101,115,101,114,118,101,0,0,0};
static C_char C_TLS li234[] C_aligned={C_lihdr(0,0,23),67,95,103,101,116,95,115,121,109,98,111,108,95,116,97,98,108,101,95,105,110,102,111,0};
static C_char C_TLS li235[] C_aligned={C_lihdr(0,0,17),67,95,103,101,116,95,109,101,109,111,114,121,95,105,110,102,111,0,0,0,0,0,0,0};
static C_char C_TLS li236[] C_aligned={C_lihdr(0,0,19),40,35,35,115,121,115,35,115,116,97,114,116,45,116,105,109,101,114,41,0,0,0,0,0};
static C_char C_TLS li237[] C_aligned={C_lihdr(0,0,12),67,95,115,116,111,112,95,116,105,109,101,114,0,0,0,0};
static C_char C_TLS li238[] C_aligned={C_lihdr(0,0,12),67,95,115,116,111,112,95,116,105,109,101,114,0,0,0,0};
static C_char C_TLS li239[] C_aligned={C_lihdr(0,0,18),40,35,35,115,121,115,35,115,116,111,112,45,116,105,109,101,114,41,0,0,0,0,0,0};
static C_char C_TLS li240[] C_aligned={C_lihdr(0,0,20),40,35,35,115,121,115,35,105,109,109,101,100,105,97,116,101,63,32,120,41,0,0,0,0};
static C_char C_TLS li241[] C_aligned={C_lihdr(0,0,19),40,35,35,115,121,115,35,109,101,115,115,97,103,101,32,115,116,114,41,0,0,0,0,0};
static C_char C_TLS li242[] C_aligned={C_lihdr(0,0,16),40,35,35,115,121,115,35,98,121,116,101,32,120,32,105,41};
static C_char C_TLS li243[] C_aligned={C_lihdr(0,0,21),40,35,35,115,121,115,35,115,101,116,98,121,116,101,32,120,32,105,32,110,41,0,0,0};
static C_char C_TLS li244[] C_aligned={C_lihdr(0,0,16),40,35,35,115,121,115,35,104,97,108,116,32,109,115,103,41};
static C_char C_TLS li245[] C_aligned={C_lihdr(0,0,8),67,95,98,101,99,111,109,101};
static C_char C_TLS li246[] C_aligned={C_lihdr(0,0,21),40,35,35,115,121,115,35,98,108,111,99,107,45,114,101,102,32,120,32,105,41,0,0,0};
static C_char C_TLS li247[] C_aligned={C_lihdr(0,0,14),67,95,97,112,112,108,121,95,118,97,108,117,101,115,0,0};
static C_char C_TLS li248[] C_aligned={C_lihdr(0,0,14),67,95,99,111,112,121,95,99,108,111,115,117,114,101,0,0};
static C_char C_TLS li249[] C_aligned={C_lihdr(0,0,24),40,35,35,115,121,115,35,98,108,111,99,107,45,115,101,116,33,32,120,32,105,32,121,41};
static C_char C_TLS li250[] C_aligned={C_lihdr(0,0,35),40,99,104,105,99,107,101,110,46,116,105,109,101,35,99,117,114,114,101,110,116,45,109,105,108,108,105,115,101,99,111,110,100,115,41,0,0,0,0,0};
static C_char C_TLS li251[] C_aligned={C_lihdr(0,0,30),40,99,104,105,99,107,101,110,46,116,105,109,101,35,99,117,114,114,101,110,116,45,115,101,99,111,110,100,115,41,0,0};
static C_char C_TLS li252[] C_aligned={C_lihdr(0,0,23),40,99,104,105,99,107,101,110,46,116,105,109,101,35,99,112,117,45,116,105,109,101,41,0};
static C_char C_TLS li253[] C_aligned={C_lihdr(0,0,33),40,35,35,115,121,115,35,99,104,101,99,107,45,115,116,114,117,99,116,117,114,101,32,120,32,121,32,46,32,108,111,99,41,0,0,0,0,0,0,0};
static C_char C_TLS li254[] C_aligned={C_lihdr(0,0,26),40,35,35,115,121,115,35,99,104,101,99,107,45,98,108,111,98,32,120,32,46,32,108,111,99,41,0,0,0,0,0,0};
static C_char C_TLS li255[] C_aligned={C_lihdr(0,0,26),40,35,35,115,121,115,35,99,104,101,99,107,45,112,97,105,114,32,120,32,46,32,108,111,99,41,0,0,0,0,0,0};
static C_char C_TLS li256[] C_aligned={C_lihdr(0,0,26),40,35,35,115,121,115,35,99,104,101,99,107,45,108,105,115,116,32,120,32,46,32,108,111,99,41,0,0,0,0,0,0};
static C_char C_TLS li257[] C_aligned={C_lihdr(0,0,28),40,35,35,115,121,115,35,99,104,101,99,107,45,115,116,114,105,110,103,32,120,32,46,32,108,111,99,41,0,0,0,0};
static C_char C_TLS li258[] C_aligned={C_lihdr(0,0,28),40,35,35,115,121,115,35,99,104,101,99,107,45,110,117,109,98,101,114,32,120,32,46,32,108,111,99,41,0,0,0,0};
static C_char C_TLS li259[] C_aligned={C_lihdr(0,0,28),40,35,35,115,121,115,35,99,104,101,99,107,45,102,105,120,110,117,109,32,120,32,46,32,108,111,99,41,0,0,0,0};
static C_char C_TLS li260[] C_aligned={C_lihdr(0,0,27),40,35,35,115,121,115,35,99,104,101,99,107,45,101,120,97,99,116,32,120,32,46,32,108,111,99,41,0,0,0,0,0};
static C_char C_TLS li261[] C_aligned={C_lihdr(0,0,29),40,35,35,115,121,115,35,99,104,101,99,107,45,105,110,101,120,97,99,116,32,120,32,46,32,108,111,99,41,0,0,0};
static C_char C_TLS li262[] C_aligned={C_lihdr(0,0,28),40,35,35,115,121,115,35,99,104,101,99,107,45,115,121,109,98,111,108,32,120,32,46,32,108,111,99,41,0,0,0,0};
static C_char C_TLS li263[] C_aligned={C_lihdr(0,0,28),40,35,35,115,121,115,35,99,104,101,99,107,45,118,101,99,116,111,114,32,120,32,46,32,108,111,99,41,0,0,0,0};
static C_char C_TLS li264[] C_aligned={C_lihdr(0,0,26),40,35,35,115,121,115,35,99,104,101,99,107,45,99,104,97,114,32,120,32,46,32,108,111,99,41,0,0,0,0,0,0};
static C_char C_TLS li265[] C_aligned={C_lihdr(0,0,29),40,35,35,115,121,115,35,99,104,101,99,107,45,98,111,111,108,101,97,110,32,120,32,46,32,108,111,99,41,0,0,0};
static C_char C_TLS li266[] C_aligned={C_lihdr(0,0,30),40,35,35,115,121,115,35,99,104,101,99,107,45,108,111,99,97,116,105,118,101,32,120,32,46,32,108,111,99,41,0,0};
static C_char C_TLS li267[] C_aligned={C_lihdr(0,0,29),40,35,35,115,121,115,35,99,104,101,99,107,45,105,110,116,101,103,101,114,32,120,32,46,32,108,111,99,41,0,0,0};
static C_char C_TLS li268[] C_aligned={C_lihdr(0,0,35),40,35,35,115,121,115,35,99,104,101,99,107,45,101,120,97,99,116,45,105,110,116,101,103,101,114,32,120,32,46,32,108,111,99,41,0,0,0,0,0};
static C_char C_TLS li269[] C_aligned={C_lihdr(0,0,36),40,35,35,115,121,115,35,99,104,101,99,107,45,101,120,97,99,116,45,117,105,110,116,101,103,101,114,32,120,32,46,32,108,111,99,41,0,0,0,0};
static C_char C_TLS li270[] C_aligned={C_lihdr(0,0,26),40,35,35,115,121,115,35,99,104,101,99,107,45,114,101,97,108,32,120,32,46,32,108,111,99,41,0,0,0,0,0,0};
static C_char C_TLS li271[] C_aligned={C_lihdr(0,0,35),40,35,35,115,121,115,35,99,104,101,99,107,45,114,97,110,103,101,32,105,32,102,114,111,109,32,116,111,32,46,32,108,111,99,41,0,0,0,0,0};
static C_char C_TLS li272[] C_aligned={C_lihdr(0,0,31),40,35,35,115,121,115,35,99,104,101,99,107,45,115,112,101,99,105,97,108,32,112,116,114,32,46,32,108,111,99,41,0};
static C_char C_TLS li273[] C_aligned={C_lihdr(0,0,29),40,35,35,115,121,115,35,99,104,101,99,107,45,99,108,111,115,117,114,101,32,120,32,46,32,108,111,99,41,0,0,0};
static C_char C_TLS li274[] C_aligned={C_lihdr(0,0,20),40,108,112,32,112,114,111,109,105,115,101,32,102,111,114,119,97,114,100,41,0,0,0,0};
static C_char C_TLS li275[] C_aligned={C_lihdr(0,0,18),40,115,99,104,101,109,101,35,102,111,114,99,101,32,111,98,106,41,0,0,0,0,0,0};
static C_char C_TLS li276[] C_aligned={C_lihdr(0,0,7),67,95,100,108,111,97,100,0};
static C_char C_TLS li277[] C_aligned={C_lihdr(0,0,18),67,95,115,101,116,95,100,108,111,112,101,110,95,102,108,97,103,115,0,0,0,0,0,0};
static C_char C_TLS li278[] C_aligned={C_lihdr(0,0,42),40,35,35,115,121,115,35,101,114,114,111,114,45,110,111,116,45,97,45,112,114,111,112,101,114,45,108,105,115,116,32,97,114,103,32,46,32,114,101,115,116,41,0,0,0,0,0,0};
static C_char C_TLS li279[] C_aligned={C_lihdr(0,0,35),40,35,35,115,121,115,35,101,114,114,111,114,45,98,97,100,45,110,117,109,98,101,114,32,97,114,103,32,46,32,114,101,115,116,41,0,0,0,0,0};
static C_char C_TLS li280[] C_aligned={C_lihdr(0,0,36),40,35,35,115,121,115,35,101,114,114,111,114,45,98,97,100,45,105,110,116,101,103,101,114,32,97,114,103,32,46,32,114,101,115,116,41,0,0,0,0};
static C_char C_TLS li281[] C_aligned={C_lihdr(0,0,42),40,35,35,115,121,115,35,101,114,114,111,114,45,98,97,100,45,101,120,97,99,116,45,105,110,116,101,103,101,114,32,97,114,103,32,46,32,114,101,115,116,41,0,0,0,0,0,0};
static C_char C_TLS li282[] C_aligned={C_lihdr(0,0,43),40,35,35,115,121,115,35,101,114,114,111,114,45,98,97,100,45,101,120,97,99,116,45,117,105,110,116,101,103,101,114,32,97,114,103,32,46,32,114,101,115,116,41,0,0,0,0,0};
static C_char C_TLS li283[] C_aligned={C_lihdr(0,0,36),40,35,35,115,121,115,35,101,114,114,111,114,45,98,97,100,45,105,110,101,120,97,99,116,32,97,114,103,32,46,32,114,101,115,116,41,0,0,0,0};
static C_char C_TLS li284[] C_aligned={C_lihdr(0,0,33),40,35,35,115,121,115,35,101,114,114,111,114,45,98,97,100,45,114,101,97,108,32,97,114,103,32,46,32,114,101,115,116,41,0,0,0,0,0,0,0};
static C_char C_TLS li285[] C_aligned={C_lihdr(0,0,33),40,35,35,115,121,115,35,101,114,114,111,114,45,98,97,100,45,98,97,115,101,32,97,114,103,32,46,32,114,101,115,116,41,0,0,0,0,0,0,0};
static C_char C_TLS li286[] C_aligned={C_lihdr(0,0,11),40,99,111,112,121,32,110,111,100,101,41,0,0,0,0,0};
static C_char C_TLS li287[] C_aligned={C_lihdr(0,0,11),40,108,111,111,112,32,108,115,116,115,41,0,0,0,0,0};
static C_char C_TLS li288[] C_aligned={C_lihdr(0,0,22),40,115,99,104,101,109,101,35,97,112,112,101,110,100,32,46,32,108,115,116,115,41,0,0};
static C_char C_TLS li289[] C_aligned={C_lihdr(0,0,15),40,108,111,111,112,32,108,115,116,32,114,101,115,116,41,0};
static C_char C_TLS li290[] C_aligned={C_lihdr(0,0,25),40,35,35,115,121,115,35,102,97,115,116,45,114,101,118,101,114,115,101,32,108,115,116,48,41,0,0,0,0,0,0,0};
static C_char C_TLS li291[] C_aligned={C_lihdr(0,0,31),40,35,35,115,121,115,35,109,97,107,101,45,115,116,114,105,110,103,32,115,105,122,101,32,46,32,114,101,115,116,41,0};
static C_char C_TLS li292[] C_aligned={C_lihdr(0,0,32),40,115,99,104,101,109,101,35,109,97,107,101,45,115,116,114,105,110,103,32,115,105,122,101,32,46,32,102,105,108,108,41};
static C_char C_TLS li293[] C_aligned={C_lihdr(0,0,11),40,108,111,111,112,32,105,32,108,115,41,0,0,0,0,0};
static C_char C_TLS li294[] C_aligned={C_lihdr(0,0,23),40,115,99,104,101,109,101,35,115,116,114,105,110,103,45,62,108,105,115,116,32,115,41,0};
static C_char C_TLS li295[] C_aligned={C_lihdr(0,0,16),40,100,111,108,111,111,112,49,53,49,57,32,108,115,116,41};
static C_char C_TLS li296[] C_aligned={C_lihdr(0,0,26),40,115,99,104,101,109,101,35,108,105,115,116,45,62,115,116,114,105,110,103,32,108,115,116,48,41,0,0,0,0,0,0};
static C_char C_TLS li297[] C_aligned={C_lihdr(0,0,9),40,105,116,101,114,32,110,50,41,0,0,0,0,0,0,0};
static C_char C_TLS li298[] C_aligned={C_lihdr(0,0,30),40,35,35,115,121,115,35,114,101,118,101,114,115,101,45,108,105,115,116,45,62,115,116,114,105,110,103,32,108,41,0,0};
static C_char C_TLS li299[] C_aligned={C_lihdr(0,0,25),40,115,99,104,101,109,101,35,115,116,114,105,110,103,45,102,105,108,108,33,32,115,32,99,41,0,0,0,0,0,0,0};
static C_char C_TLS li300[] C_aligned={C_lihdr(0,0,22),40,115,99,104,101,109,101,35,115,116,114,105,110,103,45,99,111,112,121,32,115,41,0,0};
static C_char C_TLS li301[] C_aligned={C_lihdr(0,0,32),40,115,99,104,101,109,101,35,115,117,98,115,116,114,105,110,103,32,115,32,115,116,97,114,116,32,46,32,101,110,100,41};
static C_char C_TLS li302[] C_aligned={C_lihdr(0,0,29),40,35,35,115,121,115,35,115,117,98,115,116,114,105,110,103,32,115,32,115,116,97,114,116,32,101,110,100,41,0,0,0};
static C_char C_TLS li303[] C_aligned={C_lihdr(0,0,25),40,99,111,109,112,97,114,101,49,53,55,50,32,115,49,32,115,50,32,108,111,99,32,107,41,0,0,0,0,0,0,0};
static C_char C_TLS li304[] C_aligned={C_lihdr(0,0,22),40,97,49,49,53,51,53,32,108,101,110,49,32,108,101,110,50,32,99,109,112,41,0,0};
static C_char C_TLS li305[] C_aligned={C_lihdr(0,0,23),40,115,99,104,101,109,101,35,115,116,114,105,110,103,60,63,32,115,49,32,115,50,41,0};
static C_char C_TLS li306[] C_aligned={C_lihdr(0,0,22),40,97,49,49,53,53,57,32,108,101,110,49,32,108,101,110,50,32,99,109,112,41,0,0};
static C_char C_TLS li307[] C_aligned={C_lihdr(0,0,23),40,115,99,104,101,109,101,35,115,116,114,105,110,103,62,63,32,115,49,32,115,50,41,0};
static C_char C_TLS li308[] C_aligned={C_lihdr(0,0,22),40,97,49,49,53,56,51,32,108,101,110,49,32,108,101,110,50,32,99,109,112,41,0,0};
static C_char C_TLS li309[] C_aligned={C_lihdr(0,0,24),40,115,99,104,101,109,101,35,115,116,114,105,110,103,60,61,63,32,115,49,32,115,50,41};
static C_char C_TLS li310[] C_aligned={C_lihdr(0,0,22),40,97,49,49,54,48,52,32,108,101,110,49,32,108,101,110,50,32,99,109,112,41,0,0};
static C_char C_TLS li311[] C_aligned={C_lihdr(0,0,24),40,115,99,104,101,109,101,35,115,116,114,105,110,103,62,61,63,32,115,49,32,115,50,41};
static C_char C_TLS li312[] C_aligned={C_lihdr(0,0,25),40,99,111,109,112,97,114,101,49,54,49,53,32,115,49,32,115,50,32,108,111,99,32,107,41,0,0,0,0,0,0,0};
static C_char C_TLS li313[] C_aligned={C_lihdr(0,0,22),40,97,49,49,54,52,53,32,108,101,110,49,32,108,101,110,50,32,99,109,112,41,0,0};
static C_char C_TLS li314[] C_aligned={C_lihdr(0,0,26),40,115,99,104,101,109,101,35,115,116,114,105,110,103,45,99,105,60,63,32,115,49,32,115,50,41,0,0,0,0,0,0};
static C_char C_TLS li315[] C_aligned={C_lihdr(0,0,22),40,97,49,49,54,54,57,32,108,101,110,49,32,108,101,110,50,32,99,109,112,41,0,0};
static C_char C_TLS li316[] C_aligned={C_lihdr(0,0,26),40,115,99,104,101,109,101,35,115,116,114,105,110,103,45,99,105,62,63,32,115,49,32,115,50,41,0,0,0,0,0,0};
static C_char C_TLS li317[] C_aligned={C_lihdr(0,0,22),40,97,49,49,54,57,51,32,108,101,110,49,32,108,101,110,50,32,99,109,112,41,0,0};
static C_char C_TLS li318[] C_aligned={C_lihdr(0,0,27),40,115,99,104,101,109,101,35,115,116,114,105,110,103,45,99,105,60,61,63,32,115,49,32,115,50,41,0,0,0,0,0};
static C_char C_TLS li319[] C_aligned={C_lihdr(0,0,22),40,97,49,49,55,49,52,32,108,101,110,49,32,108,101,110,50,32,99,109,112,41,0,0};
static C_char C_TLS li320[] C_aligned={C_lihdr(0,0,27),40,115,99,104,101,109,101,35,115,116,114,105,110,103,45,99,105,62,61,63,32,115,49,32,115,50,41,0,0,0,0,0};
static C_char C_TLS li321[] C_aligned={C_lihdr(0,0,25),40,35,35,115,121,115,35,115,116,114,105,110,103,45,97,112,112,101,110,100,32,120,32,121,41,0,0,0,0,0,0,0};
static C_char C_TLS li322[] C_aligned={C_lihdr(0,0,13),40,108,111,111,112,32,115,116,114,115,32,110,41,0,0,0};
static C_char C_TLS li323[] C_aligned={C_lihdr(0,0,28),40,115,99,104,101,109,101,35,115,116,114,105,110,103,45,97,112,112,101,110,100,32,46,32,97,108,108,41,0,0,0,0};
static C_char C_TLS li324[] C_aligned={C_lihdr(0,0,23),40,115,99,104,101,109,101,35,115,116,114,105,110,103,32,46,32,99,104,97,114,115,41,0};
static C_char C_TLS li325[] C_aligned={C_lihdr(0,0,10),40,108,111,111,112,32,112,111,115,41,0,0,0,0,0,0};
static C_char C_TLS li326[] C_aligned={C_lihdr(0,0,34),40,35,35,115,121,115,35,102,114,97,103,109,101,110,116,115,45,62,115,116,114,105,110,103,32,116,111,116,97,108,32,102,115,41,0,0,0,0,0,0};
static C_char C_TLS li327[] C_aligned={C_lihdr(0,0,20),40,100,111,108,111,111,112,49,55,48,48,32,104,100,32,116,108,32,99,41,0,0,0,0};
static C_char C_TLS li328[] C_aligned={C_lihdr(0,0,12),40,108,111,111,112,32,108,115,116,32,105,41,0,0,0,0};
static C_char C_TLS li329[] C_aligned={C_lihdr(0,0,25),40,99,104,105,99,107,101,110,46,98,97,115,101,35,99,104,111,112,32,108,115,116,32,110,41,0,0,0,0,0,0,0};
static C_char C_TLS li330[] C_aligned={C_lihdr(0,0,24),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,43,32,120,32,121,41};
static C_char C_TLS li331[] C_aligned={C_lihdr(0,0,24),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,45,32,120,32,121,41};
static C_char C_TLS li332[] C_aligned={C_lihdr(0,0,24),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,42,32,120,32,121,41};
static C_char C_TLS li333[] C_aligned={C_lihdr(0,0,24),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,47,32,120,32,121,41};
static C_char C_TLS li334[] C_aligned={C_lihdr(0,0,26),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,103,99,100,32,120,32,121,41,0,0,0,0,0,0};
static C_char C_TLS li335[] C_aligned={C_lihdr(0,0,25),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,47,63,32,120,32,121,41,0,0,0,0,0,0,0};
static C_char C_TLS li336[] C_aligned={C_lihdr(0,0,24),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,61,32,120,32,121,41};
static C_char C_TLS li337[] C_aligned={C_lihdr(0,0,24),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,62,32,120,32,121,41};
static C_char C_TLS li338[] C_aligned={C_lihdr(0,0,24),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,60,32,120,32,121,41};
static C_char C_TLS li339[] C_aligned={C_lihdr(0,0,25),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,62,61,32,120,32,121,41,0,0,0,0,0,0,0};
static C_char C_TLS li340[] C_aligned={C_lihdr(0,0,25),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,60,61,32,120,32,121,41,0,0,0,0,0,0,0};
static C_char C_TLS li341[] C_aligned={C_lihdr(0,0,24),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,110,101,103,32,120,41};
static C_char C_TLS li342[] C_aligned={C_lihdr(0,0,26),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,109,97,120,32,120,32,121,41,0,0,0,0,0,0};
static C_char C_TLS li343[] C_aligned={C_lihdr(0,0,26),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,109,105,110,32,120,32,121,41,0,0,0,0,0,0};
static C_char C_TLS li344[] C_aligned={C_lihdr(0,0,26),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,102,108,111,111,114,32,120,41,0,0,0,0,0,0};
static C_char C_TLS li345[] C_aligned={C_lihdr(0,0,29),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,116,114,117,110,99,97,116,101,32,120,41,0,0,0};
static C_char C_TLS li346[] C_aligned={C_lihdr(0,0,26),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,114,111,117,110,100,32,120,41,0,0,0,0,0,0};
static C_char C_TLS li347[] C_aligned={C_lihdr(0,0,28),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,99,101,105,108,105,110,103,32,120,41,0,0,0,0};
static C_char C_TLS li348[] C_aligned={C_lihdr(0,0,24),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,115,105,110,32,120,41};
static C_char C_TLS li349[] C_aligned={C_lihdr(0,0,24),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,99,111,115,32,120,41};
static C_char C_TLS li350[] C_aligned={C_lihdr(0,0,24),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,116,97,110,32,120,41};
static C_char C_TLS li351[] C_aligned={C_lihdr(0,0,25),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,97,115,105,110,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li352[] C_aligned={C_lihdr(0,0,25),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,97,99,111,115,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li353[] C_aligned={C_lihdr(0,0,25),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,97,116,97,110,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li354[] C_aligned={C_lihdr(0,0,28),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,97,116,97,110,50,32,120,32,121,41,0,0,0,0};
static C_char C_TLS li355[] C_aligned={C_lihdr(0,0,24),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,101,120,112,32,120,41};
static C_char C_TLS li356[] C_aligned={C_lihdr(0,0,27),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,101,120,112,116,32,120,32,121,41,0,0,0,0,0};
static C_char C_TLS li357[] C_aligned={C_lihdr(0,0,24),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,108,111,103,32,120,41};
static C_char C_TLS li358[] C_aligned={C_lihdr(0,0,25),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,115,113,114,116,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li359[] C_aligned={C_lihdr(0,0,24),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,97,98,115,32,120,41};
static C_char C_TLS li360[] C_aligned={C_lihdr(0,0,29),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,105,110,116,101,103,101,114,63,32,120,41,0,0,0};
static C_char C_TLS li361[] C_aligned={C_lihdr(0,0,46),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,108,111,110,117,109,45,112,114,105,110,116,45,112,114,101,99,105,115,105,111,110,32,46,32,114,101,115,116,41,0,0};
static C_char C_TLS li362[] C_aligned={C_lihdr(0,0,18),40,109,97,107,101,45,99,111,109,112,108,101,120,32,114,32,105,41,0,0,0,0,0,0};
static C_char C_TLS li363[] C_aligned={C_lihdr(0,0,29),40,115,99,104,101,109,101,35,109,97,107,101,45,114,101,99,116,97,110,103,117,108,97,114,32,114,32,105,41,0,0,0};
static C_char C_TLS li364[] C_aligned={C_lihdr(0,0,25),40,115,99,104,101,109,101,35,109,97,107,101,45,112,111,108,97,114,32,114,32,112,104,105,41,0,0,0,0,0,0,0};
static C_char C_TLS li365[] C_aligned={C_lihdr(0,0,20),40,115,99,104,101,109,101,35,114,101,97,108,45,112,97,114,116,32,120,41,0,0,0,0};
static C_char C_TLS li366[] C_aligned={C_lihdr(0,0,20),40,115,99,104,101,109,101,35,105,109,97,103,45,112,97,114,116,32,120,41,0,0,0,0};
static C_char C_TLS li367[] C_aligned={C_lihdr(0,0,16),40,115,99,104,101,109,101,35,97,110,103,108,101,32,110,41};
static C_char C_TLS li368[] C_aligned={C_lihdr(0,0,20),40,115,99,104,101,109,101,35,109,97,103,110,105,116,117,100,101,32,120,41,0,0,0,0};
static C_char C_TLS li369[] C_aligned={C_lihdr(0,0,12),40,114,97,116,110,117,109,32,109,32,110,41,0,0,0,0};
static C_char C_TLS li370[] C_aligned={C_lihdr(0,0,20),40,115,99,104,101,109,101,35,110,117,109,101,114,97,116,111,114,32,110,41,0,0,0,0};
static C_char C_TLS li371[] C_aligned={C_lihdr(0,0,22),40,115,99,104,101,109,101,35,100,101,110,111,109,105,110,97,116,111,114,32,110,41,0,0};
static C_char C_TLS li372[] C_aligned={C_lihdr(0,0,25),40,35,35,115,121,115,35,101,120,116,101,110,100,101,100,45,115,105,103,110,117,109,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li373[] C_aligned={C_lihdr(0,0,16),40,100,111,108,111,111,112,50,50,49,49,32,120,32,105,41};
static C_char C_TLS li374[] C_aligned={C_lihdr(0,0,13),40,100,101,108,105,118,101,114,32,121,32,100,41,0,0,0};
static C_char C_TLS li375[] C_aligned={C_lihdr(0,0,25),40,115,99,104,101,109,101,35,105,110,101,120,97,99,116,45,62,101,120,97,99,116,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li376[] C_aligned={C_lihdr(0,0,13),67,95,98,105,116,119,105,115,101,95,97,110,100,0,0,0};
static C_char C_TLS li377[] C_aligned={C_lihdr(0,0,13),67,95,98,105,116,119,105,115,101,95,105,111,114,0,0,0};
static C_char C_TLS li378[] C_aligned={C_lihdr(0,0,13),67,95,98,105,116,119,105,115,101,95,120,111,114,0,0,0};
static C_char C_TLS li379[] C_aligned={C_lihdr(0,0,31),40,99,104,105,99,107,101,110,46,98,105,116,119,105,115,101,35,98,105,116,119,105,115,101,45,110,111,116,32,110,41,0};
static C_char C_TLS li380[] C_aligned={C_lihdr(0,0,34),40,99,104,105,99,107,101,110,46,98,105,116,119,105,115,101,35,98,105,116,45,62,98,111,111,108,101,97,110,32,110,32,105,41,0,0,0,0,0,0};
static C_char C_TLS li381[] C_aligned={C_lihdr(0,0,34),40,99,104,105,99,107,101,110,46,98,105,116,119,105,115,101,35,105,110,116,101,103,101,114,45,108,101,110,103,116,104,32,120,41,0,0,0,0,0,0};
static C_char C_TLS li382[] C_aligned={C_lihdr(0,0,38),40,99,104,105,99,107,101,110,46,98,105,116,119,105,115,101,35,97,114,105,116,104,109,101,116,105,99,45,115,104,105,102,116,32,110,32,109,41,0,0};
static C_char C_TLS li383[] C_aligned={C_lihdr(0,0,13),40,108,111,111,112,32,97,114,103,115,32,120,41,0,0,0};
static C_char C_TLS li384[] C_aligned={C_lihdr(0,0,22),40,115,99,104,101,109,101,35,47,32,97,114,103,49,32,46,32,97,114,103,115,41,0,0};
static C_char C_TLS li385[] C_aligned={C_lihdr(0,0,15),40,35,35,115,121,115,35,47,45,50,32,120,32,121,41,0};
static C_char C_TLS li386[] C_aligned={C_lihdr(0,0,16),40,115,99,104,101,109,101,35,102,108,111,111,114,32,120,41};
static C_char C_TLS li387[] C_aligned={C_lihdr(0,0,18),40,115,99,104,101,109,101,35,99,101,105,108,105,110,103,32,120,41,0,0,0,0,0,0};
static C_char C_TLS li388[] C_aligned={C_lihdr(0,0,19),40,115,99,104,101,109,101,35,116,114,117,110,99,97,116,101,32,120,41,0,0,0,0,0};
static C_char C_TLS li389[] C_aligned={C_lihdr(0,0,16),40,115,99,104,101,109,101,35,114,111,117,110,100,32,120,41};
static C_char C_TLS li390[] C_aligned={C_lihdr(0,0,8),40,115,114,32,120,32,121,41};
static C_char C_TLS li391[] C_aligned={C_lihdr(0,0,24),40,102,105,110,100,45,114,97,116,105,111,45,98,101,116,119,101,101,110,32,120,32,121,41};
static C_char C_TLS li392[] C_aligned={C_lihdr(0,0,24),40,115,99,104,101,109,101,35,114,97,116,105,111,110,97,108,105,122,101,32,120,32,101,41};
static C_char C_TLS li393[] C_aligned={C_lihdr(0,0,13),40,108,111,111,112,32,105,32,109,32,120,115,41,0,0,0};
static C_char C_TLS li394[] C_aligned={C_lihdr(0,0,20),40,115,99,104,101,109,101,35,109,97,120,32,120,49,32,46,32,120,115,41,0,0,0,0};
static C_char C_TLS li395[] C_aligned={C_lihdr(0,0,13),40,108,111,111,112,32,105,32,109,32,120,115,41,0,0,0};
static C_char C_TLS li396[] C_aligned={C_lihdr(0,0,20),40,115,99,104,101,109,101,35,109,105,110,32,120,49,32,46,32,120,115,41,0,0,0,0};
static C_char C_TLS li397[] C_aligned={C_lihdr(0,0,14),40,115,99,104,101,109,101,35,101,120,112,32,110,41,0,0};
static C_char C_TLS li398[] C_aligned={C_lihdr(0,0,15),40,35,35,115,121,115,35,108,111,103,45,49,32,120,41,0};
static C_char C_TLS li399[] C_aligned={C_lihdr(0,0,21),40,115,99,104,101,109,101,35,108,111,103,32,97,32,46,32,114,101,115,116,41,0,0,0};
static C_char C_TLS li400[] C_aligned={C_lihdr(0,0,14),40,115,99,104,101,109,101,35,115,105,110,32,110,41,0,0};
static C_char C_TLS li401[] C_aligned={C_lihdr(0,0,14),40,115,99,104,101,109,101,35,99,111,115,32,110,41,0,0};
static C_char C_TLS li402[] C_aligned={C_lihdr(0,0,14),40,115,99,104,101,109,101,35,116,97,110,32,110,41,0,0};
static C_char C_TLS li403[] C_aligned={C_lihdr(0,0,15),40,115,99,104,101,109,101,35,97,115,105,110,32,110,41,0};
static C_char C_TLS li404[] C_aligned={C_lihdr(0,0,15),40,115,99,104,101,109,101,35,97,99,111,115,32,110,41,0};
static C_char C_TLS li405[] C_aligned={C_lihdr(0,0,22),40,115,99,104,101,109,101,35,97,116,97,110,32,110,32,46,32,114,101,115,116,41,0,0};
static C_char C_TLS li406[] C_aligned={C_lihdr(0,0,8),40,97,49,52,50,50,52,41};
static C_char C_TLS li407[] C_aligned={C_lihdr(0,0,34),67,95,117,95,105,110,116,101,103,101,114,95,113,117,111,116,105,101,110,116,95,97,110,100,95,114,101,109,97,105,110,100,101,114,0,0,0,0,0,0};
static C_char C_TLS li408[] C_aligned={C_lihdr(0,0,8),40,97,49,52,50,53,53,41};
static C_char C_TLS li409[] C_aligned={C_lihdr(0,0,20),40,97,49,52,50,54,57,32,113,50,53,55,57,32,117,50,53,56,49,41,0,0,0,0};
static C_char C_TLS li410[] C_aligned={C_lihdr(0,0,22),40,97,49,52,50,51,54,32,115,94,50,53,53,57,32,114,94,50,53,54,49,41,0,0};
static C_char C_TLS li411[] C_aligned={C_lihdr(0,0,28),40,35,35,115,121,115,35,101,120,97,99,116,45,105,110,116,101,103,101,114,45,115,113,114,116,32,97,41,0,0,0,0};
static C_char C_TLS li412[] C_aligned={C_lihdr(0,0,35),40,99,104,105,99,107,101,110,46,98,97,115,101,35,101,120,97,99,116,45,105,110,116,101,103,101,114,45,115,113,114,116,32,120,41,0,0,0,0,0};
static C_char C_TLS li413[] C_aligned={C_lihdr(0,0,8),40,97,49,52,51,56,50,41};
static C_char C_TLS li414[] C_aligned={C_lihdr(0,0,14),40,97,49,52,51,56,56,32,115,94,50,32,114,41,0,0};
static C_char C_TLS li415[] C_aligned={C_lihdr(0,0,8),40,97,49,52,52,49,48,41};
static C_char C_TLS li416[] C_aligned={C_lihdr(0,0,8),40,97,49,52,52,51,52,41};
static C_char C_TLS li417[] C_aligned={C_lihdr(0,0,16),40,97,49,52,52,52,54,32,100,115,94,50,32,100,114,41};
static C_char C_TLS li418[] C_aligned={C_lihdr(0,0,16),40,97,49,52,52,50,50,32,110,115,94,50,32,110,114,41};
static C_char C_TLS li419[] C_aligned={C_lihdr(0,0,22),40,35,35,115,121,115,35,115,113,114,116,47,108,111,99,32,108,111,99,32,110,41,0,0};
static C_char C_TLS li420[] C_aligned={C_lihdr(0,0,15),40,115,99,104,101,109,101,35,115,113,114,116,32,120,41,0};
static C_char C_TLS li421[] C_aligned={C_lihdr(0,0,41),40,99,104,105,99,107,101,110,46,98,97,115,101,35,101,120,97,99,116,45,105,110,116,101,103,101,114,45,110,116,104,45,114,111,111,116,32,107,32,110,41,0,0,0,0,0,0,0};
static C_char C_TLS li422[] C_aligned={C_lihdr(0,0,10),40,108,112,32,103,48,32,103,49,41,0,0,0,0,0,0};
static C_char C_TLS li423[] C_aligned={C_lihdr(0,0,42),40,35,35,115,121,115,35,101,120,97,99,116,45,105,110,116,101,103,101,114,45,110,116,104,45,114,111,111,116,47,108,111,99,32,108,111,99,32,107,32,110,41,0,0,0,0,0,0};
static C_char C_TLS li424[] C_aligned={C_lihdr(0,0,11),40,108,112,32,114,101,115,32,101,50,41,0,0,0,0,0};
static C_char C_TLS li425[] C_aligned={C_lihdr(0,0,28),40,35,35,115,121,115,35,105,110,116,101,103,101,114,45,112,111,119,101,114,32,98,97,115,101,32,101,41,0,0,0,0};
static C_char C_TLS li426[] C_aligned={C_lihdr(0,0,14),40,108,111,103,45,101,120,112,116,32,97,32,98,41,0,0};
static C_char C_TLS li427[] C_aligned={C_lihdr(0,0,15),40,115,108,111,119,45,101,120,112,116,32,97,32,98,41,0};
static C_char C_TLS li428[] C_aligned={C_lihdr(0,0,8),40,97,49,52,55,54,55,41};
static C_char C_TLS li429[] C_aligned={C_lihdr(0,0,15),40,97,49,52,55,55,57,32,100,115,94,110,32,114,41,0};
static C_char C_TLS li430[] C_aligned={C_lihdr(0,0,17),40,115,99,104,101,109,101,35,101,120,112,116,32,97,32,98,41,0,0,0,0,0,0,0};
static C_char C_TLS li431[] C_aligned={C_lihdr(0,0,28),40,35,35,115,121,115,35,105,110,116,101,114,110,97,108,45,103,99,100,32,108,111,99,32,97,32,98,41,0,0,0,0};
static C_char C_TLS li432[] C_aligned={C_lihdr(0,0,15),40,35,35,115,121,115,35,103,99,100,32,97,32,98,41,0};
static C_char C_TLS li433[] C_aligned={C_lihdr(0,0,16),40,108,111,111,112,32,104,101,97,100,32,110,101,120,116,41};
static C_char C_TLS li434[] C_aligned={C_lihdr(0,0,17),40,115,99,104,101,109,101,35,103,99,100,32,46,32,110,115,41,0,0,0,0,0,0,0};
static C_char C_TLS li435[] C_aligned={C_lihdr(0,0,15),40,35,35,115,121,115,35,108,99,109,32,120,32,121,41,0};
static C_char C_TLS li436[] C_aligned={C_lihdr(0,0,16),40,108,111,111,112,32,104,101,97,100,32,110,101,120,116,41};
static C_char C_TLS li437[] C_aligned={C_lihdr(0,0,17),40,115,99,104,101,109,101,35,108,99,109,32,46,32,110,115,41,0,0,0,0,0,0,0};
static C_char C_TLS li438[] C_aligned={C_lihdr(0,0,34),67,95,117,95,105,110,116,101,103,101,114,95,113,117,111,116,105,101,110,116,95,97,110,100,95,114,101,109,97,105,110,100,101,114,0,0,0,0,0,0};
static C_char C_TLS li439[] C_aligned={C_lihdr(0,0,8),40,97,49,53,49,50,52,41};
static C_char C_TLS li440[] C_aligned={C_lihdr(0,0,22),40,97,49,53,49,51,48,32,104,105,50,55,54,52,32,108,111,50,55,54,54,41,0,0};
static C_char C_TLS li441[] C_aligned={C_lihdr(0,0,61),40,35,35,115,121,115,35,105,110,116,101,103,101,114,45,62,115,116,114,105,110,103,47,114,101,99,117,114,115,105,118,101,32,110,32,98,97,115,101,32,101,120,112,101,99,116,101,100,45,115,116,114,105,110,103,45,115,105,122,101,41,0,0,0};
static C_char C_TLS li442[] C_aligned={C_lihdr(0,0,38),40,35,35,115,121,115,35,101,120,116,101,110,100,101,100,45,110,117,109,98,101,114,45,62,115,116,114,105,110,103,32,110,32,98,97,115,101,41,0,0};
static C_char C_TLS li443[] C_aligned={C_lihdr(0,0,20),40,114,111,117,110,100,45,113,117,111,116,105,101,110,116,32,110,32,100,41,0,0,0,0};
static C_char C_TLS li444[] C_aligned={C_lihdr(0,0,23),40,115,97,102,101,45,101,120,112,111,110,101,110,116,32,118,97,108,117,101,32,101,41,0};
static C_char C_TLS li445[] C_aligned={C_lihdr(0,0,6),40,108,112,32,105,41,0,0};
static C_char C_TLS li446[] C_aligned={C_lihdr(0,0,19),40,115,99,97,110,45,100,105,103,105,116,115,32,115,116,97,114,116,41,0,0,0,0,0};
static C_char C_TLS li447[] C_aligned={C_lihdr(0,0,6),40,108,112,32,105,41,0,0};
static C_char C_TLS li448[] C_aligned={C_lihdr(0,0,19),40,115,99,97,110,45,104,97,115,104,101,115,32,115,116,97,114,116,41,0,0,0,0,0};
static C_char C_TLS li449[] C_aligned={C_lihdr(0,0,46),40,115,99,97,110,45,100,105,103,105,116,115,43,104,97,115,104,101,115,32,115,116,97,114,116,32,110,101,103,63,32,97,108,108,45,104,97,115,104,101,115,45,111,107,63,41,0,0};
static C_char C_TLS li450[] C_aligned={C_lihdr(0,0,21),40,115,99,97,110,45,101,120,112,111,110,101,110,116,32,115,116,97,114,116,41,0,0,0};
static C_char C_TLS li451[] C_aligned={C_lihdr(0,0,43),40,115,99,97,110,45,100,101,99,105,109,97,108,45,116,97,105,108,32,115,116,97,114,116,32,110,101,103,63,32,100,101,99,105,109,97,108,45,104,101,97,100,41,0,0,0,0,0};
static C_char C_TLS li452[] C_aligned={C_lihdr(0,0,23),40,115,99,97,110,45,117,114,101,97,108,32,115,116,97,114,116,32,110,101,103,63,41,0};
static C_char C_TLS li453[] C_aligned={C_lihdr(0,0,17),40,115,99,97,110,45,114,101,97,108,32,115,116,97,114,116,41,0,0,0,0,0,0,0};
static C_char C_TLS li454[] C_aligned={C_lihdr(0,0,50),40,35,35,115,121,115,35,115,116,114,105,110,103,45,62,99,111,109,112,110,117,109,32,114,97,100,105,120,32,115,116,114,32,111,102,102,115,101,116,32,101,120,97,99,116,110,101,115,115,41,0,0,0,0,0,0};
static C_char C_TLS li455[] C_aligned={C_lihdr(0,0,32),40,115,99,97,110,45,112,114,101,102,105,120,32,105,32,101,120,110,101,115,115,32,114,97,100,105,120,32,108,101,110,41};
static C_char C_TLS li456[] C_aligned={C_lihdr(0,0,34),40,115,99,104,101,109,101,35,115,116,114,105,110,103,45,62,110,117,109,98,101,114,32,115,116,114,32,46,32,114,101,115,116,41,0,0,0,0,0,0};
static C_char C_TLS li457[] C_aligned={C_lihdr(0,0,33),40,35,35,115,121,115,35,115,116,114,105,110,103,45,62,110,117,109,98,101,114,32,115,116,114,32,46,32,114,101,115,116,41,0,0,0,0,0,0,0};
static C_char C_TLS li458[] C_aligned={C_lihdr(0,0,18),67,95,102,105,120,110,117,109,95,116,111,95,115,116,114,105,110,103,0,0,0,0,0,0};
static C_char C_TLS li459[] C_aligned={C_lihdr(0,0,18),67,95,102,108,111,110,117,109,95,116,111,95,115,116,114,105,110,103,0,0,0,0,0,0};
static C_char C_TLS li460[] C_aligned={C_lihdr(0,0,19),67,95,105,110,116,101,103,101,114,95,116,111,95,115,116,114,105,110,103,0,0,0,0,0};
static C_char C_TLS li461[] C_aligned={C_lihdr(0,0,8),40,108,111,111,112,32,105,41};
static C_char C_TLS li462[] C_aligned={C_lihdr(0,0,25),40,99,111,109,112,97,114,101,45,115,108,111,116,115,32,120,32,121,32,115,116,97,114,116,41,0,0,0,0,0,0,0};
static C_char C_TLS li463[] C_aligned={C_lihdr(0,0,10),40,119,97,108,107,32,120,32,121,41,0,0,0,0,0,0};
static C_char C_TLS li464[] C_aligned={C_lihdr(0,0,26),40,99,104,105,99,107,101,110,46,98,97,115,101,35,101,113,117,97,108,61,63,32,120,32,121,41,0,0,0,0,0,0};
static C_char C_TLS li465[] C_aligned={C_lihdr(0,0,18),67,95,115,116,114,105,110,103,95,116,111,95,115,121,109,98,111,108,0,0,0,0,0,0};
static C_char C_TLS li466[] C_aligned={C_lihdr(0,0,26),40,35,35,115,121,115,35,105,110,116,101,114,110,101,100,45,115,121,109,98,111,108,63,32,120,41,0,0,0,0,0,0};
static C_char C_TLS li467[] C_aligned={C_lihdr(0,0,26),40,35,35,115,121,115,35,115,116,114,105,110,103,45,62,115,121,109,98,111,108,32,115,116,114,41,0,0,0,0,0,0};
static C_char C_TLS li468[] C_aligned={C_lihdr(0,0,24),40,35,35,115,121,115,35,115,121,109,98,111,108,45,62,115,116,114,105,110,103,32,115,41};
static C_char C_TLS li469[] C_aligned={C_lihdr(0,0,25),40,115,99,104,101,109,101,35,115,121,109,98,111,108,45,62,115,116,114,105,110,103,32,115,41,0,0,0,0,0,0,0};
static C_char C_TLS li470[] C_aligned={C_lihdr(0,0,27),40,115,99,104,101,109,101,35,115,116,114,105,110,103,45,62,115,121,109,98,111,108,32,115,116,114,41,0,0,0,0,0};
static C_char C_TLS li471[] C_aligned={C_lihdr(0,0,13),67,95,109,97,107,101,95,115,121,109,98,111,108,0,0,0};
static C_char C_TLS li472[] C_aligned={C_lihdr(0,0,44),40,99,104,105,99,107,101,110,46,98,97,115,101,35,115,116,114,105,110,103,45,62,117,110,105,110,116,101,114,110,101,100,45,115,121,109,98,111,108,32,115,116,114,41,0,0,0,0};
static C_char C_TLS li473[] C_aligned={C_lihdr(0,0,13),67,95,109,97,107,101,95,115,121,109,98,111,108,0,0,0};
static C_char C_TLS li474[] C_aligned={C_lihdr(0,0,34),40,99,104,105,99,107,101,110,46,98,97,115,101,35,103,101,110,115,121,109,32,46,32,115,116,114,45,111,114,45,115,121,109,41,0,0,0,0,0,0};
static C_char C_TLS li475[] C_aligned={C_lihdr(0,0,20),40,109,97,112,45,108,111,111,112,51,51,54,55,32,103,51,51,55,57,41,0,0,0,0};
static C_char C_TLS li476[] C_aligned={C_lihdr(0,0,33),40,99,104,105,99,107,101,110,46,98,97,115,101,35,115,121,109,98,111,108,45,97,112,112,101,110,100,32,46,32,115,115,41,0,0,0,0,0,0,0};
static C_char C_TLS li477[] C_aligned={C_lihdr(0,0,28),40,99,104,105,99,107,101,110,46,107,101,121,119,111,114,100,35,107,101,121,119,111,114,100,63,32,120,41,0,0,0,0};
static C_char C_TLS li478[] C_aligned={C_lihdr(0,0,35),40,99,104,105,99,107,101,110,46,107,101,121,119,111,114,100,35,115,116,114,105,110,103,45,62,107,101,121,119,111,114,100,32,115,41,0,0,0,0,0};
static C_char C_TLS li479[] C_aligned={C_lihdr(0,0,36),40,99,104,105,99,107,101,110,46,107,101,121,119,111,114,100,35,107,101,121,119,111,114,100,45,62,115,116,114,105,110,103,32,107,119,41,0,0,0,0};
static C_char C_TLS li480[] C_aligned={C_lihdr(0,0,45),40,99,104,105,99,107,101,110,46,107,101,121,119,111,114,100,35,103,101,116,45,107,101,121,119,111,114,100,32,107,101,121,32,97,114,103,115,32,46,32,114,101,115,116,41,0,0,0};
static C_char C_TLS li481[] C_aligned={C_lihdr(0,0,22),40,35,35,115,121,115,35,109,97,107,101,45,98,108,111,98,32,115,105,122,101,41,0,0};
static C_char C_TLS li482[] C_aligned={C_lihdr(0,0,29),40,99,104,105,99,107,101,110,46,98,108,111,98,35,109,97,107,101,45,98,108,111,98,32,115,105,122,101,41,0,0,0};
static C_char C_TLS li483[] C_aligned={C_lihdr(0,0,22),40,99,104,105,99,107,101,110,46,98,108,111,98,35,98,108,111,98,63,32,120,41,0,0};
static C_char C_TLS li484[] C_aligned={C_lihdr(0,0,27),40,99,104,105,99,107,101,110,46,98,108,111,98,35,98,108,111,98,45,115,105,122,101,32,98,118,41,0,0,0,0,0};
static C_char C_TLS li485[] C_aligned={C_lihdr(0,0,29),40,99,104,105,99,107,101,110,46,98,108,111,98,35,115,116,114,105,110,103,45,62,98,108,111,98,32,115,41,0,0,0};
static C_char C_TLS li486[] C_aligned={C_lihdr(0,0,30),40,99,104,105,99,107,101,110,46,98,108,111,98,35,98,108,111,98,45,62,115,116,114,105,110,103,32,98,118,41,0,0};
static C_char C_TLS li487[] C_aligned={C_lihdr(0,0,27),40,99,104,105,99,107,101,110,46,98,108,111,98,35,98,108,111,98,61,63,32,98,49,32,98,50,41,0,0,0,0,0};
static C_char C_TLS li488[] C_aligned={C_lihdr(0,0,32),40,115,99,104,101,109,101,35,109,97,107,101,45,118,101,99,116,111,114,32,115,105,122,101,32,46,32,102,105,108,108,41};
static C_char C_TLS li489[] C_aligned={C_lihdr(0,0,8),40,108,111,111,112,32,105,41};
static C_char C_TLS li490[] C_aligned={C_lihdr(0,0,26),40,115,99,104,101,109,101,35,108,105,115,116,45,62,118,101,99,116,111,114,32,108,115,116,48,41,0,0,0,0,0,0};
static C_char C_TLS li491[] C_aligned={C_lihdr(0,0,8),40,108,111,111,112,32,105,41};
static C_char C_TLS li492[] C_aligned={C_lihdr(0,0,23),40,115,99,104,101,109,101,35,118,101,99,116,111,114,45,62,108,105,115,116,32,118,41,0};
static C_char C_TLS li493[] C_aligned={C_lihdr(0,0,20),40,115,99,104,101,109,101,35,118,101,99,116,111,114,32,46,32,120,115,41,0,0,0,0};
static C_char C_TLS li494[] C_aligned={C_lihdr(0,0,12),40,100,111,108,111,111,112,51,53,48,52,41,0,0,0,0};
static C_char C_TLS li495[] C_aligned={C_lihdr(0,0,25),40,115,99,104,101,109,101,35,118,101,99,116,111,114,45,102,105,108,108,33,32,118,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li496[] C_aligned={C_lihdr(0,0,12),40,100,111,108,111,111,112,51,53,49,54,41,0,0,0,0};
static C_char C_TLS li497[] C_aligned={C_lihdr(0,0,39),40,99,104,105,99,107,101,110,46,98,97,115,101,35,118,101,99,116,111,114,45,99,111,112,121,33,32,102,114,111,109,32,116,111,32,46,32,110,41,0};
static C_char C_TLS li498[] C_aligned={C_lihdr(0,0,12),40,100,111,108,111,111,112,51,53,52,55,41,0,0,0,0};
static C_char C_TLS li499[] C_aligned={C_lihdr(0,0,35),40,99,104,105,99,107,101,110,46,98,97,115,101,35,115,117,98,118,101,99,116,111,114,32,118,32,105,32,46,32,114,101,115,116,41,0,0,0,0,0};
static C_char C_TLS li500[] C_aligned={C_lihdr(0,0,39),40,99,104,105,99,107,101,110,46,98,97,115,101,35,118,101,99,116,111,114,45,114,101,115,105,122,101,32,118,32,110,32,46,32,114,101,115,116,41,0};
static C_char C_TLS li501[] C_aligned={C_lihdr(0,0,12),40,100,111,108,111,111,112,51,53,55,53,41,0,0,0,0};
static C_char C_TLS li502[] C_aligned={C_lihdr(0,0,30),40,35,35,115,121,115,35,118,101,99,116,111,114,45,114,101,115,105,122,101,32,118,32,110,32,105,110,105,116,41,0,0};
static C_char C_TLS li503[] C_aligned={C_lihdr(0,0,22),40,115,99,104,101,109,101,35,99,104,97,114,45,99,105,61,63,32,120,32,121,41,0,0};
static C_char C_TLS li504[] C_aligned={C_lihdr(0,0,22),40,115,99,104,101,109,101,35,99,104,97,114,45,99,105,62,63,32,120,32,121,41,0,0};
static C_char C_TLS li505[] C_aligned={C_lihdr(0,0,22),40,115,99,104,101,109,101,35,99,104,97,114,45,99,105,60,63,32,120,32,121,41,0,0};
static C_char C_TLS li506[] C_aligned={C_lihdr(0,0,23),40,115,99,104,101,109,101,35,99,104,97,114,45,99,105,62,61,63,32,120,32,121,41,0};
static C_char C_TLS li507[] C_aligned={C_lihdr(0,0,23),40,115,99,104,101,109,101,35,99,104,97,114,45,99,105,60,61,63,32,120,32,121,41,0};
static C_char C_TLS li508[] C_aligned={C_lihdr(0,0,6),40,108,111,111,112,41,0,0};
static C_char C_TLS li509[] C_aligned={C_lihdr(0,0,15),40,108,111,111,107,117,112,45,99,104,97,114,32,99,41,0};
static C_char C_TLS li510[] C_aligned={C_lihdr(0,0,30),40,99,104,105,99,107,101,110,46,98,97,115,101,35,99,104,97,114,45,110,97,109,101,32,120,32,46,32,121,41,0,0};
static C_char C_TLS li511[] C_aligned={C_lihdr(0,0,9),67,95,99,97,108,108,95,99,99,0,0,0,0,0,0,0};
static C_char C_TLS li512[] C_aligned={C_lihdr(0,0,19),67,95,99,97,108,108,95,119,105,116,104,95,99,116,104,117,108,104,117,0,0,0,0,0};
static C_char C_TLS li513[] C_aligned={C_lihdr(0,0,10),40,108,111,111,112,32,108,115,116,41,0,0,0,0,0,0};
static C_char C_TLS li514[] C_aligned={C_lihdr(0,0,23),40,35,35,115,121,115,35,102,111,114,45,101,97,99,104,32,112,32,108,115,116,48,41,0};
static C_char C_TLS li515[] C_aligned={C_lihdr(0,0,10),40,108,111,111,112,32,108,115,116,41,0,0,0,0,0,0};
static C_char C_TLS li516[] C_aligned={C_lihdr(0,0,18),40,35,35,115,121,115,35,109,97,112,32,112,32,108,115,116,48,41,0,0,0,0,0,0};
static C_char C_TLS li517[] C_aligned={C_lihdr(0,0,30),40,109,97,112,115,97,102,101,51,54,53,49,32,112,32,108,115,116,115,32,115,116,97,114,116,32,108,111,99,41,0,0};
static C_char C_TLS li518[] C_aligned={C_lihdr(0,0,6),40,108,111,111,112,41,0,0};
static C_char C_TLS li519[] C_aligned={C_lihdr(0,0,26),40,99,104,101,99,107,51,54,53,50,32,108,115,116,115,32,115,116,97,114,116,32,108,111,99,41,0,0,0,0,0,0};
static C_char C_TLS li520[] C_aligned={C_lihdr(0,0,25),40,102,111,114,45,101,97,99,104,45,108,111,111,112,51,54,56,50,32,103,51,54,56,57,41,0,0,0,0,0,0,0};
static C_char C_TLS li521[] C_aligned={C_lihdr(0,0,10),40,97,49,56,52,51,50,32,120,41,0,0,0,0,0,0};
static C_char C_TLS li522[] C_aligned={C_lihdr(0,0,10),40,97,49,56,52,52,50,32,120,41,0,0,0,0,0,0};
static C_char C_TLS li523[] C_aligned={C_lihdr(0,0,10),40,108,111,111,112,32,97,108,108,41,0,0,0,0,0,0};
static C_char C_TLS li524[] C_aligned={C_lihdr(0,0,32),40,115,99,104,101,109,101,35,102,111,114,45,101,97,99,104,32,102,110,32,108,115,116,49,32,46,32,108,115,116,115,41};
static C_char C_TLS li525[] C_aligned={C_lihdr(0,0,20),40,109,97,112,45,108,111,111,112,51,55,49,51,32,103,51,55,50,53,41,0,0,0,0};
static C_char C_TLS li526[] C_aligned={C_lihdr(0,0,10),40,97,49,56,53,51,55,32,120,41,0,0,0,0,0,0};
static C_char C_TLS li527[] C_aligned={C_lihdr(0,0,10),40,97,49,56,53,52,55,32,120,41,0,0,0,0,0,0};
static C_char C_TLS li528[] C_aligned={C_lihdr(0,0,10),40,108,111,111,112,32,97,108,108,41,0,0,0,0,0,0};
static C_char C_TLS li529[] C_aligned={C_lihdr(0,0,27),40,115,99,104,101,109,101,35,109,97,112,32,102,110,32,108,115,116,49,32,46,32,108,115,116,115,41,0,0,0,0,0};
static C_char C_TLS li530[] C_aligned={C_lihdr(0,0,18),40,97,49,56,53,55,49,32,46,32,114,101,115,117,108,116,115,41,0,0,0,0,0,0};
static C_char C_TLS li531[] C_aligned={C_lihdr(0,0,40),40,115,99,104,101,109,101,35,100,121,110,97,109,105,99,45,119,105,110,100,32,98,101,102,111,114,101,32,116,104,117,110,107,32,97,102,116,101,114,41};
static C_char C_TLS li532[] C_aligned={C_lihdr(0,0,24),40,99,111,110,116,105,110,117,97,116,105,111,110,32,46,32,114,101,115,117,108,116,115,41};
static C_char C_TLS li533[] C_aligned={C_lihdr(0,0,13),40,97,49,56,53,57,53,32,99,111,110,116,41,0,0,0};
static C_char C_TLS li534[] C_aligned={C_lihdr(0,0,44),40,115,99,104,101,109,101,35,99,97,108,108,45,119,105,116,104,45,99,117,114,114,101,110,116,45,99,111,110,116,105,110,117,97,116,105,111,110,32,112,114,111,99,41,0,0,0,0};
static C_char C_TLS li535[] C_aligned={C_lihdr(0,0,30),40,35,35,115,121,115,35,100,121,110,97,109,105,99,45,117,110,119,105,110,100,32,119,105,110,100,115,32,110,41,0,0};
static C_char C_TLS li536[] C_aligned={C_lihdr(0,0,22),40,99,104,105,99,107,101,110,46,98,97,115,101,35,112,111,114,116,63,32,120,41,0,0};
static C_char C_TLS li537[] C_aligned={C_lihdr(0,0,33),40,99,104,105,99,107,101,110,46,98,97,115,101,35,105,110,112,117,116,45,112,111,114,116,45,111,112,101,110,63,32,112,41,0,0,0,0,0,0,0};
static C_char C_TLS li538[] C_aligned={C_lihdr(0,0,34),40,99,104,105,99,107,101,110,46,98,97,115,101,35,111,117,116,112,117,116,45,112,111,114,116,45,111,112,101,110,63,32,112,41,0,0,0,0,0,0};
static C_char C_TLS li539[] C_aligned={C_lihdr(0,0,29),40,99,104,105,99,107,101,110,46,98,97,115,101,35,112,111,114,116,45,99,108,111,115,101,100,63,32,112,41,0,0,0};
static C_char C_TLS li540[] C_aligned={C_lihdr(0,0,37),40,35,35,115,121,115,35,109,97,107,101,45,112,111,114,116,32,105,47,111,32,99,108,97,115,115,32,110,97,109,101,32,116,121,112,101,41,0,0,0};
static C_char C_TLS li541[] C_aligned={C_lihdr(0,0,6),40,108,111,111,112,41,0,0};
static C_char C_TLS li542[] C_aligned={C_lihdr(0,0,10),40,97,51,49,56,49,51,32,112,41,0,0,0,0,0,0};
static C_char C_TLS li543[] C_aligned={C_lihdr(0,0,6),40,108,111,111,112,41,0,0};
static C_char C_TLS li544[] C_aligned={C_lihdr(0,0,10),40,97,51,49,56,53,51,32,112,41,0,0,0,0,0,0};
static C_char C_TLS li545[] C_aligned={C_lihdr(0,0,12),40,97,51,49,56,57,51,32,112,32,99,41,0,0,0,0};
static C_char C_TLS li546[] C_aligned={C_lihdr(0,0,12),40,97,51,49,56,57,54,32,112,32,115,41,0,0,0,0};
static C_char C_TLS li547[] C_aligned={C_lihdr(0,0,12),40,97,51,49,56,57,57,32,112,32,100,41,0,0,0,0};
static C_char C_TLS li548[] C_aligned={C_lihdr(0,0,10),40,97,51,49,57,48,53,32,112,41,0,0,0,0,0,0};
static C_char C_TLS li549[] C_aligned={C_lihdr(0,0,10),40,97,51,49,57,48,56,32,112,41,0,0,0,0,0,0};
static C_char C_TLS li550[] C_aligned={C_lihdr(0,0,8),40,97,51,49,57,52,53,41};
static C_char C_TLS li551[] C_aligned={C_lihdr(0,0,20),40,108,111,111,112,32,114,101,109,32,97,99,116,32,115,116,97,114,116,41,0,0,0,0};
static C_char C_TLS li552[] C_aligned={C_lihdr(0,0,23),40,97,51,49,57,49,49,32,112,32,110,32,100,101,115,116,32,115,116,97,114,116,41,0};
static C_char C_TLS li553[] C_aligned={C_lihdr(0,0,8),40,97,51,50,49,48,54,41};
static C_char C_TLS li554[] C_aligned={C_lihdr(0,0,32),40,108,111,111,112,32,108,101,110,32,108,105,109,105,116,32,98,117,102,102,101,114,32,114,101,115,117,108,116,32,102,41};
static C_char C_TLS li555[] C_aligned={C_lihdr(0,0,17),40,97,51,50,48,49,48,32,112,32,114,108,105,109,105,116,41,0,0,0,0,0,0,0};
static C_char C_TLS li556[] C_aligned={C_lihdr(0,0,16),67,95,111,112,101,110,95,102,105,108,101,95,112,111,114,116};
static C_char C_TLS li557[] C_aligned={C_lihdr(0,0,37),40,35,35,115,121,115,35,99,104,101,99,107,45,105,110,112,117,116,45,112,111,114,116,32,120,32,111,112,101,110,32,46,32,108,111,99,41,0,0,0};
static C_char C_TLS li558[] C_aligned={C_lihdr(0,0,38),40,35,35,115,121,115,35,99,104,101,99,107,45,111,117,116,112,117,116,45,112,111,114,116,32,120,32,111,112,101,110,32,46,32,108,111,99,41,0,0};
static C_char C_TLS li559[] C_aligned={C_lihdr(0,0,26),40,35,35,115,121,115,35,99,104,101,99,107,45,112,111,114,116,32,120,32,46,32,108,111,99,41,0,0,0,0,0,0};
static C_char C_TLS li560[] C_aligned={C_lihdr(0,0,31),40,35,35,115,121,115,35,99,104,101,99,107,45,111,112,101,110,45,112,111,114,116,32,120,32,46,32,108,111,99,41,0};
static C_char C_TLS li561[] C_aligned={C_lihdr(0,0,10),40,98,111,100,121,51,56,57,56,41,0,0,0,0,0,0};
static C_char C_TLS li562[] C_aligned={C_lihdr(0,0,34),40,115,99,104,101,109,101,35,99,117,114,114,101,110,116,45,105,110,112,117,116,45,112,111,114,116,32,46,32,97,114,103,115,41,0,0,0,0,0,0};
static C_char C_TLS li563[] C_aligned={C_lihdr(0,0,10),40,98,111,100,121,51,57,50,51,41,0,0,0,0,0,0};
static C_char C_TLS li564[] C_aligned={C_lihdr(0,0,35),40,115,99,104,101,109,101,35,99,117,114,114,101,110,116,45,111,117,116,112,117,116,45,112,111,114,116,32,46,32,97,114,103,115,41,0,0,0,0,0};
static C_char C_TLS li565[] C_aligned={C_lihdr(0,0,10),40,98,111,100,121,51,57,52,56,41,0,0,0,0,0,0};
static C_char C_TLS li566[] C_aligned={C_lihdr(0,0,40),40,99,104,105,99,107,101,110,46,98,97,115,101,35,99,117,114,114,101,110,116,45,101,114,114,111,114,45,112,111,114,116,32,46,32,97,114,103,115,41};
static C_char C_TLS li567[] C_aligned={C_lihdr(0,0,22),40,35,35,115,121,115,35,116,116,121,45,112,111,114,116,63,32,112,111,114,116,41,0,0};
static C_char C_TLS li568[] C_aligned={C_lihdr(0,0,22),40,35,35,115,121,115,35,112,111,114,116,45,100,97,116,97,32,112,111,114,116,41,0,0};
static C_char C_TLS li569[] C_aligned={C_lihdr(0,0,32),40,35,35,115,121,115,35,115,101,116,45,112,111,114,116,45,100,97,116,97,33,32,112,111,114,116,32,100,97,116,97,41};
static C_char C_TLS li570[] C_aligned={C_lihdr(0,0,18),40,100,111,108,111,111,112,51,57,56,53,32,109,111,100,101,115,41,0,0,0,0,0,0};
static C_char C_TLS li571[] C_aligned={C_lihdr(0,0,25),40,111,112,101,110,32,110,97,109,101,32,105,110,112,32,109,111,100,101,115,32,108,111,99,41,0,0,0,0,0,0,0};
static C_char C_TLS li572[] C_aligned={C_lihdr(0,0,20),40,99,108,111,115,101,32,112,111,114,116,32,105,110,112,32,108,111,99,41,0,0,0,0};
static C_char C_TLS li573[] C_aligned={C_lihdr(0,0,36),40,115,99,104,101,109,101,35,111,112,101,110,45,105,110,112,117,116,45,102,105,108,101,32,110,97,109,101,32,46,32,109,111,100,101,41,0,0,0,0};
static C_char C_TLS li574[] C_aligned={C_lihdr(0,0,37),40,115,99,104,101,109,101,35,111,112,101,110,45,111,117,116,112,117,116,45,102,105,108,101,32,110,97,109,101,32,46,32,109,111,100,101,41,0,0,0};
static C_char C_TLS li575[] C_aligned={C_lihdr(0,0,30),40,115,99,104,101,109,101,35,99,108,111,115,101,45,105,110,112,117,116,45,112,111,114,116,32,112,111,114,116,41,0,0};
static C_char C_TLS li576[] C_aligned={C_lihdr(0,0,31),40,115,99,104,101,109,101,35,99,108,111,115,101,45,111,117,116,112,117,116,45,112,111,114,116,32,112,111,114,116,41,0};
static C_char C_TLS li577[] C_aligned={C_lihdr(0,0,8),40,97,49,57,49,56,55,41};
static C_char C_TLS li578[] C_aligned={C_lihdr(0,0,18),40,97,49,57,49,57,51,32,46,32,114,101,115,117,108,116,115,41,0,0,0,0,0,0};
static C_char C_TLS li579[] C_aligned={C_lihdr(0,0,43),40,115,99,104,101,109,101,35,99,97,108,108,45,119,105,116,104,45,105,110,112,117,116,45,102,105,108,101,32,110,97,109,101,32,112,32,46,32,109,111,100,101,41,0,0,0,0,0};
static C_char C_TLS li580[] C_aligned={C_lihdr(0,0,8),40,97,49,57,50,49,49,41};
static C_char C_TLS li581[] C_aligned={C_lihdr(0,0,18),40,97,49,57,50,49,55,32,46,32,114,101,115,117,108,116,115,41,0,0,0,0,0,0};
static C_char C_TLS li582[] C_aligned={C_lihdr(0,0,44),40,115,99,104,101,109,101,35,99,97,108,108,45,119,105,116,104,45,111,117,116,112,117,116,45,102,105,108,101,32,110,97,109,101,32,112,32,46,32,109,111,100,101,41,0,0,0,0};
static C_char C_TLS li583[] C_aligned={C_lihdr(0,0,8),40,97,49,57,50,51,53,41};
static C_char C_TLS li584[] C_aligned={C_lihdr(0,0,18),40,97,49,57,50,52,54,32,46,32,114,101,115,117,108,116,115,41,0,0,0,0,0,0};
static C_char C_TLS li585[] C_aligned={C_lihdr(0,0,8),40,97,49,57,50,52,48,41};
static C_char C_TLS li586[] C_aligned={C_lihdr(0,0,8),40,97,49,57,50,53,53,41};
static C_char C_TLS li587[] C_aligned={C_lihdr(0,0,46),40,115,99,104,101,109,101,35,119,105,116,104,45,105,110,112,117,116,45,102,114,111,109,45,102,105,108,101,32,115,116,114,32,116,104,117,110,107,32,46,32,109,111,100,101,41,0,0};
static C_char C_TLS li588[] C_aligned={C_lihdr(0,0,8),40,97,49,57,50,54,57,41};
static C_char C_TLS li589[] C_aligned={C_lihdr(0,0,18),40,97,49,57,50,56,48,32,46,32,114,101,115,117,108,116,115,41,0,0,0,0,0,0};
static C_char C_TLS li590[] C_aligned={C_lihdr(0,0,8),40,97,49,57,50,55,52,41};
static C_char C_TLS li591[] C_aligned={C_lihdr(0,0,8),40,97,49,57,50,56,57,41};
static C_char C_TLS li592[] C_aligned={C_lihdr(0,0,45),40,115,99,104,101,109,101,35,119,105,116,104,45,111,117,116,112,117,116,45,116,111,45,102,105,108,101,32,115,116,114,32,116,104,117,110,107,32,46,32,109,111,100,101,41,0,0,0};
static C_char C_TLS li593[] C_aligned={C_lihdr(0,0,40),40,35,35,115,121,115,35,102,105,108,101,45,101,120,105,115,116,115,63,32,110,97,109,101,32,102,105,108,101,63,32,100,105,114,63,32,108,111,99,41};
static C_char C_TLS li594[] C_aligned={C_lihdr(0,0,25),40,35,35,115,121,115,35,102,108,117,115,104,45,111,117,116,112,117,116,32,112,111,114,116,41,0,0,0,0,0,0,0};
static C_char C_TLS li595[] C_aligned={C_lihdr(0,0,34),40,99,104,105,99,107,101,110,46,98,97,115,101,35,102,108,117,115,104,45,111,117,116,112,117,116,32,46,32,114,101,115,116,41,0,0,0,0,0,0};
static C_char C_TLS li596[] C_aligned={C_lihdr(0,0,22),40,35,35,115,121,115,35,112,111,114,116,45,108,105,110,101,32,112,111,114,116,41,0,0};
static C_char C_TLS li597[] C_aligned={C_lihdr(0,0,14),40,100,111,108,111,111,112,52,49,49,53,32,105,41,0,0};
static C_char C_TLS li598[] C_aligned={C_lihdr(0,0,8),40,108,111,111,112,32,105,41};
static C_char C_TLS li599[] C_aligned={C_lihdr(0,0,43),40,35,35,115,121,115,35,100,101,99,111,114,97,116,101,45,108,97,109,98,100,97,32,112,114,111,99,32,112,114,101,100,32,100,101,99,111,114,97,116,111,114,41,0,0,0,0,0};
static C_char C_TLS li600[] C_aligned={C_lihdr(0,0,8),40,108,111,111,112,32,105,41};
static C_char C_TLS li601[] C_aligned={C_lihdr(0,0,35),40,35,35,115,121,115,35,108,97,109,98,100,97,45,100,101,99,111,114,97,116,105,111,110,32,112,114,111,99,32,112,114,101,100,41,0,0,0,0,0};
static C_char C_TLS li602[] C_aligned={C_lihdr(0,0,28),40,35,35,115,121,115,35,109,97,107,101,45,108,97,109,98,100,97,45,105,110,102,111,32,115,116,114,41,0,0,0,0};
static C_char C_TLS li603[] C_aligned={C_lihdr(0,0,22),40,35,35,115,121,115,35,108,97,109,98,100,97,45,105,110,102,111,63,32,120,41,0,0};
static C_char C_TLS li604[] C_aligned={C_lihdr(0,0,24),40,35,35,115,121,115,35,108,97,109,98,100,97,45,105,110,102,111,32,112,114,111,99,41};
static C_char C_TLS li605[] C_aligned={C_lihdr(0,0,32),40,35,35,115,121,115,35,108,97,109,98,100,97,45,105,110,102,111,45,62,115,116,114,105,110,103,32,105,110,102,111,41};
static C_char C_TLS li606[] C_aligned={C_lihdr(0,0,38),40,99,104,105,99,107,101,110,46,98,97,115,101,35,112,114,111,99,101,100,117,114,101,45,105,110,102,111,114,109,97,116,105,111,110,32,120,41,0,0};
static C_char C_TLS li607[] C_aligned={C_lihdr(0,0,12),40,97,49,57,53,54,55,32,112,32,105,41,0,0,0,0};
static C_char C_TLS li608[] C_aligned={C_lihdr(0,0,10),40,97,49,57,53,55,55,32,120,41,0,0,0,0,0,0};
static C_char C_TLS li609[] C_aligned={C_lihdr(0,0,15),40,97,49,57,53,57,51,32,112,114,111,99,32,105,41,0};
static C_char C_TLS li610[] C_aligned={C_lihdr(0,0,48),40,99,104,105,99,107,101,110,46,98,97,115,101,35,103,101,116,116,101,114,45,119,105,116,104,45,115,101,116,116,101,114,32,103,101,116,32,115,101,116,32,46,32,114,101,115,116,41};
static C_char C_TLS li611[] C_aligned={C_lihdr(0,0,11),40,102,95,49,57,56,53,48,32,120,41,0,0,0,0,0};
static C_char C_TLS li612[] C_aligned={C_lihdr(0,0,28),40,97,115,115,105,103,110,32,118,97,108,32,110,32,99,111,110,118,101,114,116,63,32,115,101,116,63,41,0,0,0,0};
static C_char C_TLS li613[] C_aligned={C_lihdr(0,0,24),40,98,111,100,121,52,50,54,54,32,99,111,110,118,101,114,116,63,32,115,101,116,63,41};
static C_char C_TLS li614[] C_aligned={C_lihdr(0,0,24),40,100,101,102,45,115,101,116,63,52,50,54,57,32,37,99,111,110,118,101,114,116,63,41};
static C_char C_TLS li615[] C_aligned={C_lihdr(0,0,18),40,100,101,102,45,99,111,110,118,101,114,116,63,52,50,54,56,41,0,0,0,0,0,0};
static C_char C_TLS li616[] C_aligned={C_lihdr(0,0,15),40,97,49,57,55,52,49,32,46,32,97,114,103,115,41,0};
static C_char C_TLS li617[] C_aligned={C_lihdr(0,0,12),40,97,49,57,56,50,51,32,118,97,108,41,0,0,0,0};
static C_char C_TLS li618[] C_aligned={C_lihdr(0,0,41),40,99,104,105,99,107,101,110,46,98,97,115,101,35,109,97,107,101,45,112,97,114,97,109,101,116,101,114,32,105,110,105,116,32,46,32,114,101,115,116,41,0,0,0,0,0,0,0};
static C_char C_TLS li619[] C_aligned={C_lihdr(0,0,27),40,115,99,104,101,109,101,35,99,104,97,114,45,114,101,97,100,121,63,32,46,32,114,101,115,116,41,0,0,0,0,0};
static C_char C_TLS li620[] C_aligned={C_lihdr(0,0,25),40,115,99,104,101,109,101,35,114,101,97,100,45,99,104,97,114,32,46,32,114,101,115,116,41,0,0,0,0,0,0,0};
static C_char C_TLS li621[] C_aligned={C_lihdr(0,0,21),40,35,35,115,121,115,35,114,101,97,100,45,99,104,97,114,45,48,32,112,41,0,0,0};
static C_char C_TLS li622[] C_aligned={C_lihdr(0,0,27),40,35,35,115,121,115,35,114,101,97,100,45,99,104,97,114,47,112,111,114,116,32,112,111,114,116,41,0,0,0,0,0};
static C_char C_TLS li623[] C_aligned={C_lihdr(0,0,21),40,35,35,115,121,115,35,112,101,101,107,45,99,104,97,114,45,48,32,112,41,0,0,0};
static C_char C_TLS li624[] C_aligned={C_lihdr(0,0,25),40,115,99,104,101,109,101,35,112,101,101,107,45,99,104,97,114,32,46,32,114,101,115,116,41,0,0,0,0,0,0,0};
static C_char C_TLS li625[] C_aligned={C_lihdr(0,0,20),40,115,99,104,101,109,101,35,114,101,97,100,32,46,32,114,101,115,116,41,0,0,0,0};
static C_char C_TLS li626[] C_aligned={C_lihdr(0,0,24),40,35,35,115,121,115,35,114,101,97,100,45,112,114,111,109,112,116,45,104,111,111,107,41};
static C_char C_TLS li627[] C_aligned={C_lihdr(0,0,27),40,35,35,115,121,115,35,105,110,102,105,120,45,108,105,115,116,45,104,111,111,107,32,108,115,116,41,0,0,0,0,0};
static C_char C_TLS li628[] C_aligned={C_lihdr(0,0,32),40,35,35,115,121,115,35,115,104,97,114,112,45,110,117,109,98,101,114,45,104,111,111,107,32,112,111,114,116,32,110,41};
static C_char C_TLS li629[] C_aligned={C_lihdr(0,0,36),40,35,35,115,121,115,35,114,101,97,100,45,119,97,114,110,105,110,103,32,112,111,114,116,32,109,115,103,32,46,32,97,114,103,115,41,0,0,0,0};
static C_char C_TLS li630[] C_aligned={C_lihdr(0,0,34),40,35,35,115,121,115,35,114,101,97,100,45,101,114,114,111,114,32,112,111,114,116,32,109,115,103,32,46,32,97,114,103,115,41,0,0,0,0,0,0};
static C_char C_TLS li631[] C_aligned={C_lihdr(0,0,11),40,102,95,50,48,49,51,48,32,99,41,0,0,0,0,0};
static C_char C_TLS li632[] C_aligned={C_lihdr(0,0,21),40,105,110,102,111,32,99,108,97,115,115,32,100,97,116,97,32,118,97,108,41,0,0,0};
static C_char C_TLS li633[] C_aligned={C_lihdr(0,0,8),40,115,107,105,112,32,99,41};
static C_char C_TLS li634[] C_aligned={C_lihdr(0,0,13),40,115,107,105,112,45,116,111,45,101,111,108,41,0,0,0};
static C_char C_TLS li635[] C_aligned={C_lihdr(0,0,22),40,114,101,115,101,114,118,101,100,45,99,104,97,114,97,99,116,101,114,32,99,41,0,0};
static C_char C_TLS li636[] C_aligned={C_lihdr(0,0,29),40,114,101,97,100,45,117,110,114,101,115,101,114,118,101,100,45,99,104,97,114,45,48,32,112,111,114,116,41,0,0,0};
static C_char C_TLS li637[] C_aligned={C_lihdr(0,0,8),40,108,111,111,112,32,99,41};
static C_char C_TLS li638[] C_aligned={C_lihdr(0,0,10),40,114,45,115,112,97,99,101,115,41,0,0,0,0,0,0};
static C_char C_TLS li639[] C_aligned={C_lihdr(0,0,12),40,108,111,111,112,32,115,101,113,32,110,41,0,0,0,0};
static C_char C_TLS li640[] C_aligned={C_lihdr(0,0,22),40,114,45,117,115,101,113,117,101,110,99,101,32,117,32,110,32,98,97,115,101,41,0,0};
static C_char C_TLS li641[] C_aligned={C_lihdr(0,0,10),40,108,112,32,105,32,108,115,116,41,0,0,0,0,0,0};
static C_char C_TLS li642[] C_aligned={C_lihdr(0,0,25),40,114,45,99,111,110,115,45,99,111,100,101,112,111,105,110,116,32,99,112,32,108,115,116,41,0,0,0,0,0,0,0};
static C_char C_TLS li643[] C_aligned={C_lihdr(0,0,14),40,101,97,116,45,119,115,32,99,32,110,108,63,41,0,0};
static C_char C_TLS li644[] C_aligned={C_lihdr(0,0,12),40,108,111,111,112,32,99,32,108,115,116,41,0,0,0,0};
static C_char C_TLS li645[] C_aligned={C_lihdr(0,0,15),40,114,45,115,116,114,105,110,103,32,116,101,114,109,41,0};
static C_char C_TLS li646[] C_aligned={C_lihdr(0,0,19),40,115,116,97,114,116,105,110,103,45,108,105,110,101,32,109,115,103,41,0,0,0,0,0};
static C_char C_TLS li647[] C_aligned={C_lihdr(0,0,11),40,102,95,50,48,57,54,50,32,99,41,0,0,0,0,0};
static C_char C_TLS li648[] C_aligned={C_lihdr(0,0,15),40,97,50,49,48,55,55,32,116,111,107,32,107,119,41,0};
static C_char C_TLS li649[] C_aligned={C_lihdr(0,0,11),40,108,111,111,112,32,108,97,115,116,41,0,0,0,0,0};
static C_char C_TLS li650[] C_aligned={C_lihdr(0,0,15),40,97,50,48,57,53,56,32,114,101,116,117,114,110,41,0};
static C_char C_TLS li651[] C_aligned={C_lihdr(0,0,18),40,114,45,108,105,115,116,32,115,116,97,114,116,32,101,110,100,41,0,0,0,0,0,0};
static C_char C_TLS li652[] C_aligned={C_lihdr(0,0,10),40,114,45,118,101,99,116,111,114,41,0,0,0,0,0,0};
static C_char C_TLS li653[] C_aligned={C_lihdr(0,0,15),40,97,50,49,50,48,53,32,116,111,107,32,107,119,41,0};
static C_char C_TLS li654[] C_aligned={C_lihdr(0,0,26),40,114,45,110,117,109,98,101,114,32,114,97,100,105,120,32,101,120,97,99,116,110,101,115,115,41,0,0,0,0,0,0};
static C_char C_TLS li655[] C_aligned={C_lihdr(0,0,31),40,114,45,110,117,109,98,101,114,45,119,105,116,104,45,101,120,97,99,116,110,101,115,115,32,114,97,100,105,120,41,0};
static C_char C_TLS li656[] C_aligned={C_lihdr(0,0,31),40,114,45,110,117,109,98,101,114,45,119,105,116,104,45,114,97,100,105,120,32,101,120,97,99,116,110,101,115,115,41,0};
static C_char C_TLS li657[] C_aligned={C_lihdr(0,0,12),40,108,111,111,112,32,99,32,108,115,116,41,0,0,0,0};
static C_char C_TLS li658[] C_aligned={C_lihdr(0,0,9),40,114,45,116,111,107,101,110,41,0,0,0,0,0,0,0};
static C_char C_TLS li659[] C_aligned={C_lihdr(0,0,12),40,108,111,111,112,32,99,32,108,115,116,41,0,0,0,0};
static C_char C_TLS li660[] C_aligned={C_lihdr(0,0,10),40,114,45,100,105,103,105,116,115,41,0,0,0,0,0,0};
static C_char C_TLS li661[] C_aligned={C_lihdr(0,0,15),40,97,50,49,53,48,51,32,115,116,114,32,107,119,41,0};
static C_char C_TLS li662[] C_aligned={C_lihdr(0,0,10),40,114,45,115,121,109,98,111,108,41,0,0,0,0,0,0};
static C_char C_TLS li663[] C_aligned={C_lihdr(0,0,14),40,108,111,111,112,32,108,115,116,32,115,107,119,41,0,0};
static C_char C_TLS li664[] C_aligned={C_lihdr(0,0,12),40,114,45,120,116,111,107,101,110,32,107,41,0,0,0,0};
static C_char C_TLS li665[] C_aligned={C_lihdr(0,0,8),40,114,45,99,104,97,114,41};
static C_char C_TLS li666[] C_aligned={C_lihdr(0,0,8),40,108,111,111,112,32,105,41};
static C_char C_TLS li667[] C_aligned={C_lihdr(0,0,11),40,114,45,99,111,109,109,101,110,116,41,0,0,0,0,0};
static C_char C_TLS li668[] C_aligned={C_lihdr(0,0,14),40,114,45,101,120,116,45,115,121,109,98,111,108,41,0,0};
static C_char C_TLS li669[] C_aligned={C_lihdr(0,0,19),40,98,117,105,108,100,45,107,101,121,119,111,114,100,32,116,111,107,41,0,0,0,0,0};
static C_char C_TLS li670[] C_aligned={C_lihdr(0,0,8),40,97,50,50,48,56,51,41};
static C_char C_TLS li671[] C_aligned={C_lihdr(0,0,13),40,97,50,50,48,56,57,32,46,32,120,115,41,0,0,0};
static C_char C_TLS li672[] C_aligned={C_lihdr(0,0,8),40,97,50,50,50,50,54,41};
static C_char C_TLS li673[] C_aligned={C_lihdr(0,0,13),40,97,50,50,50,51,50,32,46,32,120,115,41,0,0,0};
static C_char C_TLS li674[] C_aligned={C_lihdr(0,0,8),40,97,50,50,50,57,55,41};
static C_char C_TLS li675[] C_aligned={C_lihdr(0,0,13),40,97,50,50,51,48,51,32,46,32,120,115,41,0,0,0};
static C_char C_TLS li676[] C_aligned={C_lihdr(0,0,8),40,97,50,50,52,49,49,41};
static C_char C_TLS li677[] C_aligned={C_lihdr(0,0,8),40,97,50,50,52,49,54,41};
static C_char C_TLS li678[] C_aligned={C_lihdr(0,0,8),40,97,50,50,52,50,50,41};
static C_char C_TLS li679[] C_aligned={C_lihdr(0,0,8),40,97,50,50,53,55,51,41};
static C_char C_TLS li680[] C_aligned={C_lihdr(0,0,15),40,97,50,50,53,56,52,32,115,116,114,32,107,119,41,0};
static C_char C_TLS li681[] C_aligned={C_lihdr(0,0,8),40,97,50,50,53,55,56,41};
static C_char C_TLS li682[] C_aligned={C_lihdr(0,0,8),40,97,50,50,54,49,51,41};
static C_char C_TLS li683[] C_aligned={C_lihdr(0,0,8),40,97,50,50,55,50,48,41};
static C_char C_TLS li684[] C_aligned={C_lihdr(0,0,13),40,97,50,50,55,50,54,32,46,32,120,115,41,0,0,0};
static C_char C_TLS li685[] C_aligned={C_lihdr(0,0,9),40,114,101,97,100,114,101,99,41,0,0,0,0,0,0,0};
static C_char C_TLS li686[] C_aligned={C_lihdr(0,0,29),40,35,35,115,121,115,35,114,101,97,100,32,112,111,114,116,32,105,110,102,111,104,97,110,100,108,101,114,41,0,0,0};
static C_char C_TLS li687[] C_aligned={C_lihdr(0,0,27),40,35,35,115,121,115,35,99,104,97,114,45,62,117,116,102,56,45,115,116,114,105,110,103,32,99,41,0,0,0,0,0};
static C_char C_TLS li688[] C_aligned={C_lihdr(0,0,28),40,35,35,115,121,115,35,117,110,105,99,111,100,101,45,115,117,114,114,111,103,97,116,101,63,32,110,41,0,0,0,0};
static C_char C_TLS li689[] C_aligned={C_lihdr(0,0,35),40,35,35,115,121,115,35,115,117,114,114,111,103,97,116,101,115,45,62,99,111,100,101,112,111,105,110,116,32,104,105,32,108,111,41,0,0,0,0,0};
static C_char C_TLS li690[] C_aligned={C_lihdr(0,0,7),40,104,101,120,32,99,41,0};
static C_char C_TLS li691[] C_aligned={C_lihdr(0,0,12),40,108,111,111,112,32,108,115,116,32,104,41,0,0,0,0};
static C_char C_TLS li692[] C_aligned={C_lihdr(0,0,36),40,35,35,115,121,115,35,114,101,97,100,45,98,121,116,101,118,101,99,116,111,114,45,108,105,116,101,114,97,108,32,112,111,114,116,41,0,0,0,0};
static C_char C_TLS li693[] C_aligned={C_lihdr(0,0,32),40,35,35,115,121,115,35,117,115,101,114,45,114,101,97,100,45,104,111,111,107,32,99,104,97,114,32,112,111,114,116,41};
static C_char C_TLS li694[] C_aligned={C_lihdr(0,0,24),40,35,35,115,121,115,35,119,114,105,116,101,45,99,104,97,114,45,48,32,99,32,112,41};
static C_char C_TLS li695[] C_aligned={C_lihdr(0,0,30),40,35,35,115,121,115,35,119,114,105,116,101,45,99,104,97,114,47,112,111,114,116,32,99,32,112,111,114,116,41,0,0};
static C_char C_TLS li696[] C_aligned={C_lihdr(0,0,28),40,115,99,104,101,109,101,35,119,114,105,116,101,45,99,104,97,114,32,99,32,46,32,114,101,115,116,41,0,0,0,0};
static C_char C_TLS li697[] C_aligned={C_lihdr(0,0,23),40,115,99,104,101,109,101,35,110,101,119,108,105,110,101,32,46,32,114,101,115,116,41,0};
static C_char C_TLS li698[] C_aligned={C_lihdr(0,0,23),40,115,99,104,101,109,101,35,119,114,105,116,101,32,120,32,46,32,114,101,115,116,41,0};
static C_char C_TLS li699[] C_aligned={C_lihdr(0,0,25),40,115,99,104,101,109,101,35,100,105,115,112,108,97,121,32,120,32,46,32,114,101,115,116,41,0,0,0,0,0,0,0};
static C_char C_TLS li700[] C_aligned={C_lihdr(0,0,25),40,102,111,114,45,101,97,99,104,45,108,111,111,112,53,48,53,52,32,103,53,48,54,49,41,0,0,0,0,0,0,0};
static C_char C_TLS li701[] C_aligned={C_lihdr(0,0,27),40,99,104,105,99,107,101,110,46,98,97,115,101,35,112,114,105,110,116,32,46,32,97,114,103,115,41,0,0,0,0,0};
static C_char C_TLS li702[] C_aligned={C_lihdr(0,0,25),40,102,111,114,45,101,97,99,104,45,108,111,111,112,53,48,56,54,32,103,53,48,57,51,41,0,0,0,0,0,0,0};
static C_char C_TLS li703[] C_aligned={C_lihdr(0,0,28),40,99,104,105,99,107,101,110,46,98,97,115,101,35,112,114,105,110,116,42,32,46,32,97,114,103,115,41,0,0,0,0};
static C_char C_TLS li704[] C_aligned={C_lihdr(0,0,17),40,111,117,116,115,116,114,32,112,111,114,116,32,115,116,114,41,0,0,0,0,0,0,0};
static C_char C_TLS li705[] C_aligned={C_lihdr(0,0,17),40,111,117,116,99,104,114,32,112,111,114,116,32,99,104,114,41,0,0,0,0,0,0,0};
static C_char C_TLS li706[] C_aligned={C_lihdr(0,0,17),40,111,117,116,115,121,109,32,112,111,114,116,32,115,121,109,41,0,0,0,0,0,0,0};
static C_char C_TLS li707[] C_aligned={C_lihdr(0,0,8),40,108,111,111,112,32,105,41};
static C_char C_TLS li708[] C_aligned={C_lihdr(0,0,25),40,111,117,116,114,101,97,100,97,98,108,101,115,121,109,32,112,111,114,116,32,115,116,114,41,0,0,0,0,0,0,0};
static C_char C_TLS li709[] C_aligned={C_lihdr(0,0,8),40,108,111,111,112,32,105,41};
static C_char C_TLS li710[] C_aligned={C_lihdr(0,0,22),40,115,121,109,45,105,115,45,114,101,97,100,97,98,108,101,63,32,115,116,114,41,0,0};
static C_char C_TLS li711[] C_aligned={C_lihdr(0,0,10),40,103,53,50,53,53,32,99,110,41,0,0,0,0,0,0};
static C_char C_TLS li712[] C_aligned={C_lihdr(0,0,16),40,100,111,108,111,111,112,53,50,56,48,32,105,32,99,41};
static C_char C_TLS li713[] C_aligned={C_lihdr(0,0,14),40,100,111,108,111,111,112,53,51,49,48,32,120,41,0,0};
static C_char C_TLS li714[] C_aligned={C_lihdr(0,0,14),40,100,111,108,111,111,112,53,51,50,52,32,105,41,0,0};
static C_char C_TLS li715[] C_aligned={C_lihdr(0,0,16),40,100,111,108,111,111,112,53,51,52,56,32,105,32,99,41};
static C_char C_TLS li716[] C_aligned={C_lihdr(0,0,7),40,111,117,116,32,120,41,0};
static C_char C_TLS li717[] C_aligned={C_lihdr(0,0,29),40,35,35,115,121,115,35,112,114,105,110,116,32,120,32,114,101,97,100,97,98,108,101,32,112,111,114,116,41,0,0,0};
static C_char C_TLS li718[] C_aligned={C_lihdr(0,0,27),40,35,35,115,121,115,35,112,114,111,99,101,100,117,114,101,45,62,115,116,114,105,110,103,32,120,41,0,0,0,0,0};
static C_char C_TLS li719[] C_aligned={C_lihdr(0,0,41),40,35,35,115,121,115,35,114,101,103,105,115,116,101,114,45,114,101,99,111,114,100,45,112,114,105,110,116,101,114,32,116,121,112,101,32,112,114,111,99,41,0,0,0,0,0,0,0};
static C_char C_TLS li720[] C_aligned={C_lihdr(0,0,8),40,97,50,52,55,57,54,41};
static C_char C_TLS li721[] C_aligned={C_lihdr(0,0,11),40,97,50,52,55,57,48,32,101,120,41,0,0,0,0,0};
static C_char C_TLS li722[] C_aligned={C_lihdr(0,0,8),40,97,50,52,56,52,55,41};
static C_char C_TLS li723[] C_aligned={C_lihdr(0,0,8),40,97,50,52,56,54,50,41};
static C_char C_TLS li724[] C_aligned={C_lihdr(0,0,15),40,97,50,52,56,53,54,32,46,32,97,114,103,115,41,0};
static C_char C_TLS li725[] C_aligned={C_lihdr(0,0,8),40,97,50,52,56,52,49,41};
static C_char C_TLS li726[] C_aligned={C_lihdr(0,0,10),40,97,50,52,55,56,52,32,107,41,0,0,0,0,0,0};
static C_char C_TLS li727[] C_aligned={C_lihdr(0,0,39),40,35,35,115,121,115,35,117,115,101,114,45,112,114,105,110,116,45,104,111,111,107,32,120,32,114,101,97,100,97,98,108,101,32,112,111,114,116,41,0};
static C_char C_TLS li728[] C_aligned={C_lihdr(0,0,8),40,97,50,52,57,50,57,41};
static C_char C_TLS li729[] C_aligned={C_lihdr(0,0,8),40,97,50,52,57,55,50,41};
static C_char C_TLS li730[] C_aligned={C_lihdr(0,0,8),40,97,50,52,57,55,56,41};
static C_char C_TLS li731[] C_aligned={C_lihdr(0,0,15),40,97,50,52,57,50,51,32,114,101,116,117,114,110,41,0};
static C_char C_TLS li732[] C_aligned={C_lihdr(0,0,43),40,35,35,115,121,115,35,119,105,116,104,45,112,114,105,110,116,45,108,101,110,103,116,104,45,108,105,109,105,116,32,108,105,109,105,116,32,116,104,117,110,107,41,0,0,0,0,0};
static C_char C_TLS li733[] C_aligned={C_lihdr(0,0,15),40,99,104,101,99,107,53,52,54,51,32,112,32,110,41,0};
static C_char C_TLS li734[] C_aligned={C_lihdr(0,0,10),40,97,51,49,51,49,53,32,112,41,0,0,0,0,0,0};
static C_char C_TLS li735[] C_aligned={C_lihdr(0,0,10),40,97,51,49,51,52,48,32,112,41,0,0,0,0,0,0};
static C_char C_TLS li736[] C_aligned={C_lihdr(0,0,12),40,97,51,49,51,53,56,32,112,32,99,41,0,0,0,0};
static C_char C_TLS li737[] C_aligned={C_lihdr(0,0,14),40,97,51,49,51,55,55,32,112,32,115,116,114,41,0,0};
static C_char C_TLS li738[] C_aligned={C_lihdr(0,0,10),40,97,51,49,51,57,54,32,112,41,0,0,0,0,0,0};
static C_char C_TLS li739[] C_aligned={C_lihdr(0,0,10),40,97,51,49,51,57,57,32,112,41,0,0,0,0,0,0};
static C_char C_TLS li740[] C_aligned={C_lihdr(0,0,23),40,97,51,49,52,48,50,32,112,32,110,32,100,101,115,116,32,115,116,97,114,116,41,0};
static C_char C_TLS li741[] C_aligned={C_lihdr(0,0,12),40,97,51,49,52,55,55,32,112,111,115,41,0,0,0,0};
static C_char C_TLS li742[] C_aligned={C_lihdr(0,0,8),40,97,51,49,52,54,55,41};
static C_char C_TLS li743[] C_aligned={C_lihdr(0,0,29),40,97,51,49,52,56,54,32,110,101,120,116,32,108,105,110,101,32,102,117,108,108,45,108,105,110,101,63,41,0,0,0};
static C_char C_TLS li744[] C_aligned={C_lihdr(0,0,16),40,97,51,49,52,52,51,32,112,32,108,105,109,105,116,41};
static C_char C_TLS li745[] C_aligned={C_lihdr(0,0,10),40,97,51,49,53,50,55,32,112,41,0,0,0,0,0,0};
static C_char C_TLS li746[] C_aligned={C_lihdr(0,0,37),40,99,111,112,121,38,97,112,112,101,110,100,32,98,117,102,32,111,102,102,115,101,116,32,112,111,115,32,111,108,100,45,108,105,110,101,41,0,0,0};
static C_char C_TLS li747[] C_aligned={C_lihdr(0,0,8),40,97,50,53,48,57,54,41};
static C_char C_TLS li748[] C_aligned={C_lihdr(0,0,25),40,97,50,53,49,48,50,32,98,117,102,32,111,102,102,115,101,116,32,108,105,109,105,116,41,0,0,0,0,0,0,0};
static C_char C_TLS li749[] C_aligned={C_lihdr(0,0,8),40,97,50,53,49,54,48,41};
static C_char C_TLS li750[] C_aligned={C_lihdr(0,0,25),40,97,50,53,49,54,54,32,98,117,102,32,111,102,102,115,101,116,32,108,105,109,105,116,41,0,0,0,0,0,0,0};
static C_char C_TLS li751[] C_aligned={C_lihdr(0,0,32),40,108,111,111,112,32,98,117,102,32,111,102,102,115,101,116,32,112,111,115,32,108,105,109,105,116,32,108,105,110,101,41};
static C_char C_TLS li752[] C_aligned={C_lihdr(0,0,56),40,35,35,115,121,115,35,115,99,97,110,45,98,117,102,102,101,114,45,108,105,110,101,32,98,117,102,32,108,105,109,105,116,32,115,116,97,114,116,45,112,111,115,32,101,111,115,45,104,97,110,100,108,101,114,41};
static C_char C_TLS li753[] C_aligned={C_lihdr(0,0,39),40,99,104,105,99,107,101,110,46,98,97,115,101,35,111,112,101,110,45,105,110,112,117,116,45,115,116,114,105,110,103,32,115,116,114,105,110,103,41,0};
static C_char C_TLS li754[] C_aligned={C_lihdr(0,0,33),40,99,104,105,99,107,101,110,46,98,97,115,101,35,111,112,101,110,45,111,117,116,112,117,116,45,115,116,114,105,110,103,41,0,0,0,0,0,0,0};
static C_char C_TLS li755[] C_aligned={C_lihdr(0,0,37),40,99,104,105,99,107,101,110,46,98,97,115,101,35,103,101,116,45,111,117,116,112,117,116,45,115,116,114,105,110,103,32,112,111,114,116,41,0,0,0};
static C_char C_TLS li756[] C_aligned={C_lihdr(0,0,9),40,103,53,53,57,51,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li757[] C_aligned={C_lihdr(0,0,25),40,102,111,114,45,101,97,99,104,45,108,111,111,112,53,53,57,50,32,103,53,53,57,57,41,0,0,0,0,0,0,0};
static C_char C_TLS li758[] C_aligned={C_lihdr(0,0,26),40,35,35,115,121,115,35,112,114,105,110,116,45,116,111,45,115,116,114,105,110,103,32,120,115,41,0,0,0,0,0,0};
static C_char C_TLS li759[] C_aligned={C_lihdr(0,0,25),40,35,35,115,121,115,35,112,111,105,110,116,101,114,45,62,115,116,114,105,110,103,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li760[] C_aligned={C_lihdr(0,0,8),40,108,111,111,112,32,105,41};
static C_char C_TLS li761[] C_aligned={C_lihdr(0,0,36),40,99,104,105,99,107,101,110,46,98,97,115,101,35,103,101,116,45,99,97,108,108,45,99,104,97,105,110,32,46,32,114,101,115,116,41,0,0,0,0};
static C_char C_TLS li762[] C_aligned={C_lihdr(0,0,8),40,97,50,53,54,48,56,41};
static C_char C_TLS li763[] C_aligned={C_lihdr(0,0,12),40,103,53,54,53,57,32,105,110,102,111,41,0,0,0,0};
static C_char C_TLS li764[] C_aligned={C_lihdr(0,0,25),40,102,111,114,45,101,97,99,104,45,108,111,111,112,53,54,53,56,32,103,53,54,54,53,41,0,0,0,0,0,0,0};
static C_char C_TLS li765[] C_aligned={C_lihdr(0,0,49),40,35,35,115,121,115,35,114,101,97,108,108,121,45,112,114,105,110,116,45,99,97,108,108,45,99,104,97,105,110,32,112,111,114,116,32,99,104,97,105,110,32,104,101,97,100,101,114,41,0,0,0,0,0,0,0};
static C_char C_TLS li766[] C_aligned={C_lihdr(0,0,38),40,99,104,105,99,107,101,110,46,98,97,115,101,35,112,114,105,110,116,45,99,97,108,108,45,99,104,97,105,110,32,46,32,114,101,115,116,41,0,0};
static C_char C_TLS li767[] C_aligned={C_lihdr(0,0,7),40,98,114,101,97,107,41,0};
static C_char C_TLS li768[] C_aligned={C_lihdr(0,0,27),40,35,35,115,121,115,35,117,115,101,114,45,105,110,116,101,114,114,117,112,116,45,104,111,111,107,41,0,0,0,0,0};
static C_char C_TLS li769[] C_aligned={C_lihdr(0,0,25),40,102,111,114,45,101,97,99,104,45,108,111,111,112,53,55,49,56,32,103,53,55,50,53,41,0,0,0,0,0,0,0};
static C_char C_TLS li770[] C_aligned={C_lihdr(0,0,6),40,108,111,111,112,41,0,0};
static C_char C_TLS li771[] C_aligned={C_lihdr(0,0,21),40,99,108,101,97,110,117,112,45,98,101,102,111,114,101,45,101,120,105,116,41,0,0,0};
static C_char C_TLS li772[] C_aligned={C_lihdr(0,0,8),40,97,50,53,57,49,55,41};
static C_char C_TLS li773[] C_aligned={C_lihdr(0,0,25),40,102,111,114,45,101,97,99,104,45,108,111,111,112,53,55,56,54,32,103,53,55,57,51,41,0,0,0,0,0,0,0};
static C_char C_TLS li774[] C_aligned={C_lihdr(0,0,35),40,35,35,115,121,115,35,115,105,103,110,97,108,45,104,111,111,107,32,109,111,100,101,32,109,115,103,32,46,32,97,114,103,115,41,0,0,0,0,0};
static C_char C_TLS li775[] C_aligned={C_lihdr(0,0,27),40,99,104,105,99,107,101,110,46,99,111,110,100,105,116,105,111,110,35,97,98,111,114,116,32,120,41,0,0,0,0,0};
static C_char C_TLS li776[] C_aligned={C_lihdr(0,0,28),40,99,104,105,99,107,101,110,46,99,111,110,100,105,116,105,111,110,35,115,105,103,110,97,108,32,120,41,0,0,0,0};
static C_char C_TLS li777[] C_aligned={C_lihdr(0,0,35),40,35,35,115,121,115,35,99,117,114,114,101,110,116,45,101,120,99,101,112,116,105,111,110,45,104,97,110,100,108,101,114,32,99,41,0,0,0,0,0};
static C_char C_TLS li778[] C_aligned={C_lihdr(0,0,8),40,97,50,54,51,53,55,41};
static C_char C_TLS li779[] C_aligned={C_lihdr(0,0,8),40,97,50,54,51,54,49,41};
static C_char C_TLS li780[] C_aligned={C_lihdr(0,0,56),40,99,104,105,99,107,101,110,46,99,111,110,100,105,116,105,111,110,35,119,105,116,104,45,101,120,99,101,112,116,105,111,110,45,104,97,110,100,108,101,114,32,104,97,110,100,108,101,114,32,116,104,117,110,107,41};
static C_char C_TLS li781[] C_aligned={C_lihdr(0,0,10),40,98,111,100,121,53,57,52,54,41,0,0,0,0,0,0};
static C_char C_TLS li782[] C_aligned={C_lihdr(0,0,52),40,99,104,105,99,107,101,110,46,99,111,110,100,105,116,105,111,110,35,99,117,114,114,101,110,116,45,101,120,99,101,112,116,105,111,110,45,104,97,110,100,108,101,114,32,46,32,97,114,103,115,41,0,0,0,0};
static C_char C_TLS li783[] C_aligned={C_lihdr(0,0,12),40,108,111,111,112,32,112,114,111,112,115,41,0,0,0,0};
static C_char C_TLS li784[] C_aligned={C_lihdr(0,0,69),40,99,104,105,99,107,101,110,46,99,111,110,100,105,116,105,111,110,35,112,114,111,112,45,108,105,115,116,45,62,107,105,110,100,45,112,114,101,102,105,120,101,100,45,112,114,111,112,45,108,105,115,116,32,108,111,99,32,107,105,110,100,32,112,108,105,115,116,41,0,0,0};
static C_char C_TLS li785[] C_aligned={C_lihdr(0,0,56),40,99,104,105,99,107,101,110,46,99,111,110,100,105,116,105,111,110,35,109,97,107,101,45,112,114,111,112,101,114,116,121,45,99,111,110,100,105,116,105,111,110,32,107,105,110,100,32,46,32,112,114,111,112,115,41};
static C_char C_TLS li786[] C_aligned={C_lihdr(0,0,19),40,102,111,114,45,101,97,99,104,45,108,111,111,112,53,57,57,48,41,0,0,0,0,0};
static C_char C_TLS li787[] C_aligned={C_lihdr(0,0,20),40,109,97,112,45,108,111,111,112,54,48,51,53,32,103,54,48,52,55,41,0,0,0,0};
static C_char C_TLS li788[] C_aligned={C_lihdr(0,0,20),40,109,97,112,45,108,111,111,112,54,48,48,56,32,103,54,48,50,48,41,0,0,0,0};
static C_char C_TLS li789[] C_aligned={C_lihdr(0,0,55),40,99,104,105,99,107,101,110,46,99,111,110,100,105,116,105,111,110,35,109,97,107,101,45,99,111,109,112,111,115,105,116,101,45,99,111,110,100,105,116,105,111,110,32,99,49,32,46,32,99,111,110,100,115,41,0};
static C_char C_TLS li790[] C_aligned={C_lihdr(0,0,20),40,109,97,112,45,108,111,111,112,54,48,57,53,32,103,54,49,48,55,41,0,0,0,0};
static C_char C_TLS li791[] C_aligned={C_lihdr(0,0,20),40,109,97,112,45,108,111,111,112,54,48,54,56,32,103,54,48,56,48,41,0,0,0,0};
static C_char C_TLS li792[] C_aligned={C_lihdr(0,0,41),40,99,104,105,99,107,101,110,46,99,111,110,100,105,116,105,111,110,35,99,111,110,100,105,116,105,111,110,32,97,114,103,49,32,46,32,97,114,103,115,41,0,0,0,0,0,0,0};
static C_char C_TLS li793[] C_aligned={C_lihdr(0,0,32),40,99,104,105,99,107,101,110,46,99,111,110,100,105,116,105,111,110,35,99,111,110,100,105,116,105,111,110,63,32,120,41};
static C_char C_TLS li794[] C_aligned={C_lihdr(0,0,12),40,108,111,111,112,32,112,114,111,112,115,41,0,0,0,0};
static C_char C_TLS li795[] C_aligned={C_lihdr(0,0,9),40,103,54,49,51,49,32,107,41,0,0,0,0,0,0,0};
static C_char C_TLS li796[] C_aligned={C_lihdr(0,0,20),40,109,97,112,45,108,111,111,112,54,49,50,53,32,103,54,49,51,55,41,0,0,0,0};
static C_char C_TLS li797[] C_aligned={C_lihdr(0,0,37),40,99,104,105,99,107,101,110,46,99,111,110,100,105,116,105,111,110,35,99,111,110,100,105,116,105,111,110,45,62,108,105,115,116,32,120,41,0,0,0};
static C_char C_TLS li798[] C_aligned={C_lihdr(0,0,11),40,102,95,50,54,56,56,48,32,99,41,0,0,0,0,0};
static C_char C_TLS li799[] C_aligned={C_lihdr(0,0,44),40,99,104,105,99,107,101,110,46,99,111,110,100,105,116,105,111,110,35,99,111,110,100,105,116,105,111,110,45,112,114,101,100,105,99,97,116,101,32,107,105,110,100,41,0,0,0,0};
static C_char C_TLS li800[] C_aligned={C_lihdr(0,0,11),40,102,95,50,54,57,48,55,32,99,41,0,0,0,0,0};
static C_char C_TLS li801[] C_aligned={C_lihdr(0,0,67),40,99,104,105,99,107,101,110,46,99,111,110,100,105,116,105,111,110,35,99,111,110,100,105,116,105,111,110,45,112,114,111,112,101,114,116,121,45,97,99,99,101,115,115,111,114,32,107,105,110,100,32,112,114,111,112,32,46,32,101,114,114,45,100,101,102,41,0,0,0,0,0};
static C_char C_TLS li802[] C_aligned={C_lihdr(0,0,64),40,99,104,105,99,107,101,110,46,99,111,110,100,105,116,105,111,110,35,103,101,116,45,99,111,110,100,105,116,105,111,110,45,112,114,111,112,101,114,116,121,32,99,32,107,105,110,100,32,112,114,111,112,32,46,32,101,114,114,45,100,101,102,41};
static C_char C_TLS li803[] C_aligned={C_lihdr(0,0,8),40,97,50,54,57,55,51,41};
static C_char C_TLS li804[] C_aligned={C_lihdr(0,0,9),40,103,54,49,57,54,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li805[] C_aligned={C_lihdr(0,0,25),40,102,111,114,45,101,97,99,104,45,108,111,111,112,54,49,57,53,32,103,54,50,48,50,41,0,0,0,0,0,0,0};
static C_char C_TLS li806[] C_aligned={C_lihdr(0,0,21),40,119,114,105,116,101,97,114,103,115,32,97,114,103,115,32,112,111,114,116,41,0,0,0};
static C_char C_TLS li807[] C_aligned={C_lihdr(0,0,11),40,103,54,50,51,57,32,109,115,103,41,0,0,0,0,0};
static C_char C_TLS li808[] C_aligned={C_lihdr(0,0,22),40,98,111,100,121,54,50,49,54,32,112,111,114,116,32,104,101,97,100,101,114,41,0,0};
static C_char C_TLS li809[] C_aligned={C_lihdr(0,0,22),40,100,101,102,45,104,101,97,100,101,114,54,50,49,57,32,37,112,111,114,116,41,0,0};
static C_char C_TLS li810[] C_aligned={C_lihdr(0,0,14),40,100,101,102,45,112,111,114,116,54,50,49,56,41,0,0};
static C_char C_TLS li811[] C_aligned={C_lihdr(0,0,49),40,99,104,105,99,107,101,110,46,99,111,110,100,105,116,105,111,110,35,112,114,105,110,116,45,101,114,114,111,114,45,109,101,115,115,97,103,101,32,101,120,32,46,32,97,114,103,115,41,0,0,0,0,0,0,0};
static C_char C_TLS li812[] C_aligned={C_lihdr(0,0,47),40,35,35,115,121,115,35,115,104,111,119,45,101,120,99,101,112,116,105,111,110,45,119,97,114,110,105,110,103,32,101,120,110,32,99,97,117,115,101,32,46,32,114,101,115,116,41,0};
static C_char C_TLS li813[] C_aligned={C_lihdr(0,0,34),40,35,35,115,121,115,35,101,114,114,111,114,45,104,111,111,107,32,99,111,100,101,32,108,111,99,32,46,32,97,114,103,115,41,0,0,0,0,0,0};
static C_char C_TLS li814[] C_aligned={C_lihdr(0,0,22),40,35,35,115,121,115,35,115,116,114,117,99,116,117,114,101,63,32,120,32,115,41,0,0};
static C_char C_TLS li815[] C_aligned={C_lihdr(0,0,28),40,35,35,115,121,115,35,103,101,110,101,114,105,99,45,115,116,114,117,99,116,117,114,101,63,32,120,41,0,0,0,0};
static C_char C_TLS li816[] C_aligned={C_lihdr(0,0,16),40,35,35,115,121,115,35,115,108,111,116,32,120,32,105,41};
static C_char C_TLS li817[] C_aligned={C_lihdr(0,0,14),40,35,35,115,121,115,35,115,105,122,101,32,120,41,0,0};
static C_char C_TLS li818[] C_aligned={C_lihdr(0,0,14),67,95,109,97,107,101,95,112,111,105,110,116,101,114,0,0};
static C_char C_TLS li819[] C_aligned={C_lihdr(0,0,21),67,95,109,97,107,101,95,116,97,103,103,101,100,95,112,111,105,110,116,101,114,0,0,0};
static C_char C_TLS li820[] C_aligned={C_lihdr(0,0,18),40,35,35,115,121,115,35,112,111,105,110,116,101,114,63,32,120,41,0,0,0,0,0,0};
static C_char C_TLS li821[] C_aligned={C_lihdr(0,0,37),40,35,35,115,121,115,35,115,101,116,45,112,111,105,110,116,101,114,45,97,100,100,114,101,115,115,33,32,112,116,114,32,97,100,100,114,41,0,0,0};
static C_char C_TLS li822[] C_aligned={C_lihdr(0,0,21),40,35,35,115,121,115,35,98,121,116,101,118,101,99,116,111,114,63,32,120,41,0,0,0};
static C_char C_TLS li823[] C_aligned={C_lihdr(0,0,29),40,35,35,115,121,115,35,115,116,114,105,110,103,45,62,112,98,121,116,101,118,101,99,116,111,114,32,115,41,0,0,0};
static C_char C_TLS li824[] C_aligned={C_lihdr(0,0,20),40,35,35,115,121,115,35,112,101,114,109,97,110,101,110,116,63,32,120,41,0,0,0,0};
static C_char C_TLS li825[] C_aligned={C_lihdr(0,0,23),40,35,35,115,121,115,35,98,108,111,99,107,45,97,100,100,114,101,115,115,32,120,41,0};
static C_char C_TLS li826[] C_aligned={C_lihdr(0,0,19),40,35,35,115,121,115,35,108,111,99,97,116,105,118,101,63,32,120,41,0,0,0,0,0};
static C_char C_TLS li827[] C_aligned={C_lihdr(0,0,24),40,35,35,115,121,115,35,115,114,102,105,45,52,45,118,101,99,116,111,114,63,32,120,41};
static C_char C_TLS li828[] C_aligned={C_lihdr(0,0,20),40,35,35,115,121,115,35,110,117,108,108,45,112,111,105,110,116,101,114,41,0,0,0,0};
static C_char C_TLS li829[] C_aligned={C_lihdr(0,0,23),40,35,35,115,121,115,35,110,117,108,108,45,112,111,105,110,116,101,114,63,32,120,41,0};
static C_char C_TLS li830[] C_aligned={C_lihdr(0,0,29),40,35,35,115,121,115,35,97,100,100,114,101,115,115,45,62,112,111,105,110,116,101,114,32,97,100,100,114,41,0,0,0};
static C_char C_TLS li831[] C_aligned={C_lihdr(0,0,28),40,35,35,115,121,115,35,112,111,105,110,116,101,114,45,62,97,100,100,114,101,115,115,32,112,116,114,41,0,0,0,0};
static C_char C_TLS li832[] C_aligned={C_lihdr(0,0,32),40,35,35,115,121,115,35,109,97,107,101,45,99,45,115,116,114,105,110,103,32,115,116,114,32,46,32,114,101,115,116,41};
static C_char C_TLS li833[] C_aligned={C_lihdr(0,0,21),67,95,112,101,101,107,95,115,105,103,110,101,100,95,105,110,116,101,103,101,114,0,0,0};
static C_char C_TLS li834[] C_aligned={C_lihdr(0,0,23),67,95,112,101,101,107,95,117,110,115,105,103,110,101,100,95,105,110,116,101,103,101,114,0};
static C_char C_TLS li835[] C_aligned={C_lihdr(0,0,23),40,35,35,115,121,115,35,112,101,101,107,45,102,105,120,110,117,109,32,98,32,105,41,0};
static C_char C_TLS li836[] C_aligned={C_lihdr(0,0,23),40,35,35,115,121,115,35,112,101,101,107,45,98,121,116,101,32,112,116,114,32,105,41,0};
static C_char C_TLS li837[] C_aligned={C_lihdr(0,0,30),40,35,35,115,121,115,35,118,101,99,116,111,114,45,62,115,116,114,117,99,116,117,114,101,33,32,118,101,99,41,0,0};
static C_char C_TLS li838[] C_aligned={C_lihdr(0,0,23),40,35,35,115,121,115,35,112,101,101,107,45,100,111,117,98,108,101,32,98,32,105,41,0};
static C_char C_TLS li839[] C_aligned={C_lihdr(0,0,25),40,35,35,115,121,115,35,112,101,101,107,45,99,45,115,116,114,105,110,103,32,98,32,105,41,0,0,0,0,0,0,0};
static C_char C_TLS li840[] C_aligned={C_lihdr(0,0,33),40,35,35,115,121,115,35,112,101,101,107,45,110,111,110,110,117,108,108,45,99,45,115,116,114,105,110,103,32,98,32,105,41,0,0,0,0,0,0,0};
static C_char C_TLS li841[] C_aligned={C_lihdr(0,0,34),40,35,35,115,121,115,35,112,101,101,107,45,97,110,100,45,102,114,101,101,45,99,45,115,116,114,105,110,103,32,98,32,105,41,0,0,0,0,0,0};
static C_char C_TLS li842[] C_aligned={C_lihdr(0,0,42),40,35,35,115,121,115,35,112,101,101,107,45,97,110,100,45,102,114,101,101,45,110,111,110,110,117,108,108,45,99,45,115,116,114,105,110,103,32,98,32,105,41,0,0,0,0,0,0};
static C_char C_TLS li843[] C_aligned={C_lihdr(0,0,27),40,35,35,115,121,115,35,112,111,107,101,45,99,45,115,116,114,105,110,103,32,98,32,105,32,115,41,0,0,0,0,0};
static C_char C_TLS li844[] C_aligned={C_lihdr(0,0,26),40,35,35,115,121,115,35,112,111,107,101,45,105,110,116,101,103,101,114,32,98,32,105,32,110,41,0,0,0,0,0,0};
static C_char C_TLS li845[] C_aligned={C_lihdr(0,0,25),40,35,35,115,121,115,35,112,111,107,101,45,100,111,117,98,108,101,32,98,32,105,32,110,41,0,0,0,0,0,0,0};
static C_char C_TLS li846[] C_aligned={C_lihdr(0,0,8),40,108,111,111,112,32,105,41};
static C_char C_TLS li847[] C_aligned={C_lihdr(0,0,32),40,35,35,115,121,115,35,112,101,101,107,45,99,45,115,116,114,105,110,103,45,108,105,115,116,32,112,116,114,32,110,41};
static C_char C_TLS li848[] C_aligned={C_lihdr(0,0,8),40,108,111,111,112,32,105,41};
static C_char C_TLS li849[] C_aligned={C_lihdr(0,0,41),40,35,35,115,121,115,35,112,101,101,107,45,97,110,100,45,102,114,101,101,45,99,45,115,116,114,105,110,103,45,108,105,115,116,32,112,116,114,32,110,41,0,0,0,0,0,0,0};
static C_char C_TLS li850[] C_aligned={C_lihdr(0,0,33),40,35,35,115,121,115,35,118,101,99,116,111,114,45,62,99,108,111,115,117,114,101,33,32,118,101,99,32,97,100,100,114,41,0,0,0,0,0,0,0};
static C_char C_TLS li851[] C_aligned={C_lihdr(0,0,38),40,35,35,115,121,115,35,115,121,109,98,111,108,45,104,97,115,45,116,111,112,108,101,118,101,108,45,98,105,110,100,105,110,103,63,32,115,41,0,0};
static C_char C_TLS li852[] C_aligned={C_lihdr(0,0,48),40,35,35,115,121,115,35,99,111,112,121,45,98,121,116,101,115,32,102,114,111,109,32,116,111,32,111,102,102,115,101,116,49,32,111,102,102,115,101,116,50,32,98,121,116,101,115,41};
static C_char C_TLS li853[] C_aligned={C_lihdr(0,0,48),40,35,35,115,121,115,35,99,111,112,121,45,119,111,114,100,115,32,102,114,111,109,32,116,111,32,111,102,102,115,101,116,49,32,111,102,102,115,101,116,50,32,119,111,114,100,115,41};
static C_char C_TLS li854[] C_aligned={C_lihdr(0,0,51),40,35,35,115,121,115,35,99,111,109,112,97,114,101,45,98,121,116,101,115,32,102,114,111,109,32,116,111,32,111,102,102,115,101,116,49,32,111,102,102,115,101,116,50,32,98,121,116,101,115,41,0,0,0,0,0};
static C_char C_TLS li855[] C_aligned={C_lihdr(0,0,23),40,35,35,115,121,115,35,98,108,111,99,107,45,112,111,105,110,116,101,114,32,120,41,0};
static C_char C_TLS li856[] C_aligned={C_lihdr(0,0,31),40,35,35,115,121,115,35,102,111,114,101,105,103,110,45,99,104,97,114,45,97,114,103,117,109,101,110,116,32,120,41,0};
static C_char C_TLS li857[] C_aligned={C_lihdr(0,0,33),40,35,35,115,121,115,35,102,111,114,101,105,103,110,45,102,105,120,110,117,109,45,97,114,103,117,109,101,110,116,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li858[] C_aligned={C_lihdr(0,0,33),40,35,35,115,121,115,35,102,111,114,101,105,103,110,45,102,108,111,110,117,109,45,97,114,103,117,109,101,110,116,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li859[] C_aligned={C_lihdr(0,0,32),40,35,35,115,121,115,35,102,111,114,101,105,103,110,45,98,108,111,99,107,45,97,114,103,117,109,101,110,116,32,120,41};
static C_char C_TLS li860[] C_aligned={C_lihdr(0,0,43),40,35,35,115,121,115,35,102,111,114,101,105,103,110,45,115,116,114,117,99,116,45,119,114,97,112,112,101,114,45,97,114,103,117,109,101,110,116,32,116,32,120,41,0,0,0,0,0};
static C_char C_TLS li861[] C_aligned={C_lihdr(0,0,33),40,35,35,115,121,115,35,102,111,114,101,105,103,110,45,115,116,114,105,110,103,45,97,114,103,117,109,101,110,116,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li862[] C_aligned={C_lihdr(0,0,33),40,35,35,115,121,115,35,102,111,114,101,105,103,110,45,115,121,109,98,111,108,45,97,114,103,117,109,101,110,116,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li863[] C_aligned={C_lihdr(0,0,34),40,35,35,115,121,115,35,102,111,114,101,105,103,110,45,112,111,105,110,116,101,114,45,97,114,103,117,109,101,110,116,32,120,41,0,0,0,0,0,0};
static C_char C_TLS li864[] C_aligned={C_lihdr(0,0,44),40,35,35,115,121,115,35,102,111,114,101,105,103,110,45,116,97,103,103,101,100,45,112,111,105,110,116,101,114,45,97,114,103,117,109,101,110,116,32,120,32,116,120,41,0,0,0,0};
static C_char C_TLS li865[] C_aligned={C_lihdr(0,0,48),40,35,35,115,121,115,35,102,111,114,101,105,103,110,45,114,97,110,103,101,100,45,105,110,116,101,103,101,114,45,97,114,103,117,109,101,110,116,32,111,98,106,32,115,105,122,101,41};
static C_char C_TLS li866[] C_aligned={C_lihdr(0,0,57),40,35,35,115,121,115,35,102,111,114,101,105,103,110,45,117,110,115,105,103,110,101,100,45,114,97,110,103,101,100,45,105,110,116,101,103,101,114,45,97,114,103,117,109,101,110,116,32,111,98,106,32,115,105,122,101,41,0,0,0,0,0,0,0};
static C_char C_TLS li867[] C_aligned={C_lihdr(0,0,37),40,35,35,115,121,115,35,100,101,102,97,117,108,116,45,101,120,99,101,112,116,105,111,110,45,104,97,110,100,108,101,114,32,97,114,103,41,0,0,0};
static C_char C_TLS li868[] C_aligned={C_lihdr(0,0,38),40,35,35,115,121,115,35,109,97,107,101,45,116,104,114,101,97,100,32,116,104,117,110,107,32,115,116,97,116,101,32,110,97,109,101,32,113,41,0,0};
static C_char C_TLS li869[] C_aligned={C_lihdr(0,0,27),40,35,35,115,121,115,35,109,97,107,101,45,109,117,116,101,120,32,105,100,32,111,119,110,101,114,41,0,0,0,0,0};
static C_char C_TLS li870[] C_aligned={C_lihdr(0,0,16),40,35,35,115,121,115,35,115,99,104,101,100,117,108,101,41};
static C_char C_TLS li871[] C_aligned={C_lihdr(0,0,8),40,97,50,56,51,50,55,41};
static C_char C_TLS li872[] C_aligned={C_lihdr(0,0,15),40,97,50,56,51,49,56,32,114,101,116,117,114,110,41,0};
static C_char C_TLS li873[] C_aligned={C_lihdr(0,0,21),40,35,35,115,121,115,35,116,104,114,101,97,100,45,121,105,101,108,100,33,41,0,0,0};
static C_char C_TLS li874[] C_aligned={C_lihdr(0,0,32),40,35,35,115,121,115,35,107,105,108,108,45,111,116,104,101,114,45,116,104,114,101,97,100,115,32,116,104,117,110,107,41};
static C_char C_TLS li875[] C_aligned={C_lihdr(0,0,27),40,99,104,105,99,107,101,110,46,98,97,115,101,35,115,108,101,101,112,45,104,111,111,107,32,110,41,0,0,0,0,0};
static C_char C_TLS li876[] C_aligned={C_lihdr(0,0,22),40,99,104,105,99,107,101,110,46,98,97,115,101,35,115,108,101,101,112,32,110,41,0,0};
static C_char C_TLS li877[] C_aligned={C_lihdr(0,0,16),67,95,99,111,110,116,101,120,116,95,115,119,105,116,99,104};
static C_char C_TLS li878[] C_aligned={C_lihdr(0,0,13),40,108,111,111,112,32,114,101,97,115,111,110,41,0,0,0};
static C_char C_TLS li879[] C_aligned={C_lihdr(0,0,35),40,35,35,115,121,115,35,105,110,116,101,114,114,117,112,116,45,104,111,111,107,32,114,101,97,115,111,110,32,115,116,97,116,101,41,0,0,0,0,0};
static C_char C_TLS li880[] C_aligned={C_lihdr(0,0,28),40,35,35,115,121,115,35,100,105,115,112,97,116,99,104,45,105,110,116,101,114,114,117,112,116,32,107,41,0,0,0,0};
static C_char C_TLS li881[] C_aligned={C_lihdr(0,0,20),40,35,35,115,121,115,35,117,112,100,97,116,101,45,101,114,114,110,111,41,0,0,0,0};
static C_char C_TLS li882[] C_aligned={C_lihdr(0,0,13),40,35,35,115,121,115,35,101,114,114,110,111,41,0,0,0};
static C_char C_TLS li883[] C_aligned={C_lihdr(0,0,14),40,100,111,108,111,111,112,54,54,49,55,32,99,41,0,0};
static C_char C_TLS li884[] C_aligned={C_lihdr(0,0,13),40,114,101,97,100,108,110,32,112,111,114,116,41,0,0,0};
static C_char C_TLS li885[] C_aligned={C_lihdr(0,0,6),40,108,111,111,112,41,0,0};
static C_char C_TLS li886[] C_aligned={C_lihdr(0,0,36),40,114,101,97,100,45,101,115,99,97,112,101,100,45,115,101,120,112,32,112,111,114,116,32,115,107,105,112,45,98,114,97,99,101,63,41,0,0,0,0};
static C_char C_TLS li887[] C_aligned={C_lihdr(0,0,15),40,100,111,108,111,111,112,54,54,53,50,32,108,110,41,0};
static C_char C_TLS li888[] C_aligned={C_lihdr(0,0,15),40,103,101,116,47,99,108,101,97,114,45,115,116,114,41,0};
static C_char C_TLS li889[] C_aligned={C_lihdr(0,0,27),40,108,111,111,112,50,32,108,115,116,32,110,101,120,116,45,115,116,114,105,110,103,32,97,99,99,41,0,0,0,0,0};
static C_char C_TLS li890[] C_aligned={C_lihdr(0,0,10),40,108,111,111,112,32,108,115,116,41,0,0,0,0,0,0};
static C_char C_TLS li891[] C_aligned={C_lihdr(0,0,32),40,35,35,115,121,115,35,117,115,101,114,45,114,101,97,100,45,104,111,111,107,32,99,104,97,114,32,112,111,114,116,41};
static C_char C_TLS li892[] C_aligned={C_lihdr(0,0,47),40,99,104,105,99,107,101,110,46,112,114,111,99,101,115,115,45,99,111,110,116,101,120,116,35,99,104,97,110,103,101,45,100,105,114,101,99,116,111,114,121,32,110,97,109,101,41,0};
static C_char C_TLS li893[] C_aligned={C_lihdr(0,0,33),40,35,35,115,121,115,35,99,104,97,110,103,101,45,100,105,114,101,99,116,111,114,121,45,104,111,111,107,32,100,105,114,41,0,0,0,0,0,0,0};
static C_char C_TLS li894[] C_aligned={C_lihdr(0,0,71),40,99,104,105,99,107,101,110,46,112,114,111,99,101,115,115,45,99,111,110,116,101,120,116,35,103,101,116,45,101,110,118,105,114,111,110,109,101,110,116,45,118,97,114,105,97,98,108,101,32,110,111,110,110,117,108,108,45,99,45,115,116,114,105,110,103,54,55,54,57,41,0};
static C_char C_TLS li895[] C_aligned={C_lihdr(0,0,59),40,99,104,105,99,107,101,110,46,112,114,111,99,101,115,115,45,99,111,110,116,101,120,116,35,115,101,116,45,101,110,118,105,114,111,110,109,101,110,116,45,118,97,114,105,97,98,108,101,33,32,118,97,114,32,118,97,108,41,0,0,0,0,0};
static C_char C_TLS li896[] C_aligned={C_lihdr(0,0,57),40,99,104,105,99,107,101,110,46,112,114,111,99,101,115,115,45,99,111,110,116,101,120,116,35,117,110,115,101,116,45,101,110,118,105,114,111,110,109,101,110,116,45,118,97,114,105,97,98,108,101,33,32,118,97,114,41,0,0,0,0,0,0,0};
static C_char C_TLS li897[] C_aligned={C_lihdr(0,0,8),40,115,99,97,110,32,106,41};
static C_char C_TLS li898[] C_aligned={C_lihdr(0,0,8),40,108,111,111,112,32,105,41};
static C_char C_TLS li899[] C_aligned={C_lihdr(0,0,51),40,99,104,105,99,107,101,110,46,112,114,111,99,101,115,115,45,99,111,110,116,101,120,116,35,103,101,116,45,101,110,118,105,114,111,110,109,101,110,116,45,118,97,114,105,97,98,108,101,115,41,0,0,0,0,0};
static C_char C_TLS li900[] C_aligned={C_lihdr(0,0,45),40,99,104,105,99,107,101,110,46,112,114,111,99,101,115,115,45,99,111,110,116,101,120,116,35,101,120,101,99,117,116,97,98,108,101,45,112,97,116,104,110,97,109,101,41,0,0,0};
static C_char C_TLS li901[] C_aligned={C_lihdr(0,0,35),40,99,104,105,99,107,101,110,46,112,114,111,99,101,115,115,45,99,111,110,116,101,120,116,35,97,114,103,99,43,97,114,103,118,41,0,0,0,0,0};
static C_char C_TLS li902[] C_aligned={C_lihdr(0,0,16),40,100,111,108,111,111,112,54,56,49,49,32,105,32,118,41};
static C_char C_TLS li903[] C_aligned={C_lihdr(0,0,30),40,99,104,105,99,107,101,110,46,112,114,111,99,101,115,115,45,99,111,110,116,101,120,116,35,97,114,103,118,41,0,0};
static C_char C_TLS li904[] C_aligned={C_lihdr(0,0,36),40,99,104,105,99,107,101,110,46,103,99,35,99,117,114,114,101,110,116,45,103,99,45,109,105,108,108,105,115,101,99,111,110,100,115,41,0,0,0,0};
static C_char C_TLS li905[] C_aligned={C_lihdr(0,0,32),40,99,104,105,99,107,101,110,46,103,99,35,115,101,116,45,103,99,45,114,101,112,111,114,116,33,32,102,108,97,103,41};
static C_char C_TLS li906[] C_aligned={C_lihdr(0,0,30),40,99,104,105,99,107,101,110,46,103,99,35,109,101,109,111,114,121,45,115,116,97,116,105,115,116,105,99,115,41,0,0};
static C_char C_TLS li907[] C_aligned={C_lihdr(0,0,20),67,95,114,101,103,105,115,116,101,114,95,102,105,110,97,108,105,122,101,114,0,0,0,0};
static C_char C_TLS li908[] C_aligned={C_lihdr(0,0,31),40,99,104,105,99,107,101,110,46,103,99,35,115,101,116,45,102,105,110,97,108,105,122,101,114,33,32,120,32,121,41,0};
static C_char C_TLS li909[] C_aligned={C_lihdr(0,0,8),40,97,50,57,51,53,57,41};
static C_char C_TLS li910[] C_aligned={C_lihdr(0,0,11),40,97,50,57,51,53,51,32,101,120,41,0,0,0,0,0};
static C_char C_TLS li911[] C_aligned={C_lihdr(0,0,8),40,97,50,57,51,55,49,41};
static C_char C_TLS li912[] C_aligned={C_lihdr(0,0,8),40,97,50,57,51,57,52,41};
static C_char C_TLS li913[] C_aligned={C_lihdr(0,0,15),40,97,50,57,51,56,56,32,46,32,97,114,103,115,41,0};
static C_char C_TLS li914[] C_aligned={C_lihdr(0,0,8),40,97,50,57,51,54,53,41};
static C_char C_TLS li915[] C_aligned={C_lihdr(0,0,10),40,97,50,57,51,52,55,32,107,41,0,0,0,0,0,0};
static C_char C_TLS li916[] C_aligned={C_lihdr(0,0,14),40,100,111,108,111,111,112,54,56,56,54,32,105,41,0,0};
static C_char C_TLS li917[] C_aligned={C_lihdr(0,0,36),40,35,35,115,121,115,35,114,117,110,45,112,101,110,100,105,110,103,45,102,105,110,97,108,105,122,101,114,115,32,115,116,97,116,101,41,0,0,0,0};
static C_char C_TLS li918[] C_aligned={C_lihdr(0,0,6),40,108,111,111,112,41,0,0};
static C_char C_TLS li919[] C_aligned={C_lihdr(0,0,24),40,35,35,115,121,115,35,102,111,114,99,101,45,102,105,110,97,108,105,122,101,114,115,41};
static C_char C_TLS li920[] C_aligned={C_lihdr(0,0,21),40,99,104,105,99,107,101,110,46,103,99,35,103,99,32,46,32,97,114,103,41,0,0,0};
static C_char C_TLS li921[] C_aligned={C_lihdr(0,0,41),40,35,35,115,121,115,35,109,97,107,101,45,108,111,99,97,116,105,118,101,32,111,98,106,32,105,110,100,101,120,32,119,101,97,107,63,32,108,111,99,41,0,0,0,0,0,0,0};
static C_char C_TLS li922[] C_aligned={C_lihdr(0,0,33),40,99,104,105,99,107,101,110,46,112,108,105,115,116,35,112,117,116,33,32,115,121,109,32,112,114,111,112,32,118,97,108,41,0,0,0,0,0,0,0};
static C_char C_TLS li923[] C_aligned={C_lihdr(0,0,35),40,99,104,105,99,107,101,110,46,112,108,105,115,116,35,103,101,116,32,115,121,109,32,112,114,111,112,32,46,32,114,101,115,116,41,0,0,0,0,0};
static C_char C_TLS li924[] C_aligned={C_lihdr(0,0,10),40,108,111,111,112,32,112,116,108,41,0,0,0,0,0,0};
static C_char C_TLS li925[] C_aligned={C_lihdr(0,0,33),40,99,104,105,99,107,101,110,46,112,108,105,115,116,35,114,101,109,112,114,111,112,33,32,115,121,109,32,112,114,111,112,41,0,0,0,0,0,0,0};
static C_char C_TLS li926[] C_aligned={C_lihdr(0,0,12),40,108,111,111,112,32,112,108,105,115,116,41,0,0,0,0};
static C_char C_TLS li927[] C_aligned={C_lihdr(0,0,40),40,99,104,105,99,107,101,110,46,112,108,105,115,116,35,103,101,116,45,112,114,111,112,101,114,116,105,101,115,32,115,121,109,32,112,114,111,112,115,41};
static C_char C_TLS li928[] C_aligned={C_lihdr(0,0,10),40,112,110,117,109,32,110,117,109,41,0,0,0,0,0,0};
static C_char C_TLS li929[] C_aligned={C_lihdr(0,0,14),40,114,111,117,110,100,45,116,111,32,120,32,121,41,0,0};
static C_char C_TLS li930[] C_aligned={C_lihdr(0,0,12),40,112,109,101,109,32,98,121,116,101,115,41,0,0,0,0};
static C_char C_TLS li931[] C_aligned={C_lihdr(0,0,26),40,35,35,115,121,115,35,100,105,115,112,108,97,121,45,116,105,109,101,115,32,105,110,102,111,41,0,0,0,0,0,0};
static C_char C_TLS li932[] C_aligned={C_lihdr(0,0,17),67,95,100,117,109,112,95,104,101,97,112,95,115,116,97,116,101,0,0,0,0,0,0,0};
static C_char C_TLS li933[] C_aligned={C_lihdr(0,0,21),67,95,102,105,108,116,101,114,95,104,101,97,112,95,111,98,106,101,99,116,115,0,0,0};
static C_char C_TLS li934[] C_aligned={C_lihdr(0,0,32),40,99,104,105,99,107,101,110,46,112,108,97,116,102,111,114,109,35,115,111,102,116,119,97,114,101,45,116,121,112,101,41};
static C_char C_TLS li935[] C_aligned={C_lihdr(0,0,31),40,99,104,105,99,107,101,110,46,112,108,97,116,102,111,114,109,35,109,97,99,104,105,110,101,45,116,121,112,101,41,0};
static C_char C_TLS li936[] C_aligned={C_lihdr(0,0,37),40,99,104,105,99,107,101,110,46,112,108,97,116,102,111,114,109,35,109,97,99,104,105,110,101,45,98,121,116,101,45,111,114,100,101,114,41,0,0,0};
static C_char C_TLS li937[] C_aligned={C_lihdr(0,0,35),40,99,104,105,99,107,101,110,46,112,108,97,116,102,111,114,109,35,115,111,102,116,119,97,114,101,45,118,101,114,115,105,111,110,41,0,0,0,0,0};
static C_char C_TLS li938[] C_aligned={C_lihdr(0,0,33),40,99,104,105,99,107,101,110,46,112,108,97,116,102,111,114,109,35,98,117,105,108,100,45,112,108,97,116,102,111,114,109,41,0,0,0,0,0,0,0};
static C_char C_TLS li939[] C_aligned={C_lihdr(0,0,7),40,115,116,114,32,120,41,0};
static C_char C_TLS li940[] C_aligned={C_lihdr(0,0,41),40,99,104,105,99,107,101,110,46,112,108,97,116,102,111,114,109,35,99,104,105,99,107,101,110,45,118,101,114,115,105,111,110,32,46,32,114,101,115,116,41,0,0,0,0,0,0,0};
static C_char C_TLS li941[] C_aligned={C_lihdr(0,0,31),40,99,104,105,99,107,101,110,46,112,108,97,116,102,111,114,109,35,99,104,105,99,107,101,110,45,104,111,109,101,41,0};
static C_char C_TLS li942[] C_aligned={C_lihdr(0,0,16),40,108,111,111,112,32,115,116,97,114,116,32,112,111,115,41};
static C_char C_TLS li943[] C_aligned={C_lihdr(0,0,23),40,35,35,115,121,115,35,115,112,108,105,116,45,112,97,116,104,32,112,97,116,104,41,0};
static C_char C_TLS li944[] C_aligned={C_lihdr(0,0,33),40,99,104,105,99,107,101,110,46,112,108,97,116,102,111,114,109,35,45,62,102,101,97,116,117,114,101,45,105,100,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li945[] C_aligned={C_lihdr(0,0,9),40,99,104,101,99,107,32,102,41,0,0,0,0,0,0,0};
static C_char C_TLS li946[] C_aligned={C_lihdr(0,0,25),40,102,111,114,45,101,97,99,104,45,108,111,111,112,55,50,56,54,32,103,55,50,57,51,41,0,0,0,0,0,0,0};
static C_char C_TLS li947[] C_aligned={C_lihdr(0,0,41),40,99,104,105,99,107,101,110,46,112,108,97,116,102,111,114,109,35,114,101,103,105,115,116,101,114,45,102,101,97,116,117,114,101,33,32,46,32,102,115,41,0,0,0,0,0,0,0};
static C_char C_TLS li948[] C_aligned={C_lihdr(0,0,10),40,108,111,111,112,32,102,102,115,41,0,0,0,0,0,0};
static C_char C_TLS li949[] C_aligned={C_lihdr(0,0,20),40,109,97,112,45,108,111,111,112,55,51,48,57,32,103,55,51,50,49,41,0,0,0,0};
static C_char C_TLS li950[] C_aligned={C_lihdr(0,0,43),40,99,104,105,99,107,101,110,46,112,108,97,116,102,111,114,109,35,117,110,114,101,103,105,115,116,101,114,45,102,101,97,116,117,114,101,33,32,46,32,102,115,41,0,0,0,0,0};
static C_char C_TLS li951[] C_aligned={C_lihdr(0,0,27),40,99,104,105,99,107,101,110,46,112,108,97,116,102,111,114,109,35,102,101,97,116,117,114,101,115,41,0,0,0,0,0};
static C_char C_TLS li952[] C_aligned={C_lihdr(0,0,10),40,108,111,111,112,32,105,100,115,41,0,0,0,0,0,0};
static C_char C_TLS li953[] C_aligned={C_lihdr(0,0,33),40,99,104,105,99,107,101,110,46,112,108,97,116,102,111,114,109,35,102,101,97,116,117,114,101,63,32,46,32,105,100,115,41,0,0,0,0,0,0,0};
static C_char C_TLS li954[] C_aligned={C_lihdr(0,0,16),67,95,114,101,116,117,114,110,95,116,111,95,104,111,115,116};
static C_char C_TLS li955[] C_aligned={C_lihdr(0,0,42),40,99,104,105,99,107,101,110,46,112,108,97,116,102,111,114,109,35,115,121,115,116,101,109,45,99,111,110,102,105,103,45,100,105,114,101,99,116,111,114,121,41,0,0,0,0,0,0};
static C_char C_TLS li956[] C_aligned={C_lihdr(0,0,41),40,99,104,105,99,107,101,110,46,112,108,97,116,102,111,114,109,35,115,121,115,116,101,109,45,99,97,99,104,101,45,100,105,114,101,99,116,111,114,121,41,0,0,0,0,0,0,0};
static C_char C_TLS li957[] C_aligned={C_lihdr(0,0,19),40,102,111,114,45,101,97,99,104,45,108,111,111,112,55,50,50,56,41,0,0,0,0,0};
static C_char C_TLS li958[] C_aligned={C_lihdr(0,0,12),40,97,51,48,56,53,53,32,110,101,119,41,0,0,0,0};
static C_char C_TLS li959[] C_aligned={C_lihdr(0,0,16),67,95,98,117,105,108,100,95,112,108,97,116,102,111,114,109};
static C_char C_TLS li960[] C_aligned={C_lihdr(0,0,18),67,95,115,111,102,116,119,97,114,101,95,118,101,114,115,105,111,110,0,0,0,0,0,0};
static C_char C_TLS li961[] C_aligned={C_lihdr(0,0,20),67,95,109,97,99,104,105,110,101,95,98,121,116,101,95,111,114,100,101,114,0,0,0,0};
static C_char C_TLS li962[] C_aligned={C_lihdr(0,0,14),67,95,109,97,99,104,105,110,101,95,116,121,112,101,0,0};
static C_char C_TLS li963[] C_aligned={C_lihdr(0,0,15),67,95,115,111,102,116,119,97,114,101,95,116,121,112,101,0};
static C_char C_TLS li964[] C_aligned={C_lihdr(0,0,12),40,97,51,48,57,53,52,32,115,121,109,41,0,0,0,0};
static C_char C_TLS li965[] C_aligned={C_lihdr(0,0,16),40,97,51,48,57,54,51,32,115,121,109,32,108,115,116,41};
static C_char C_TLS li966[] C_aligned={C_lihdr(0,0,10),40,97,51,49,48,48,51,32,120,41,0,0,0,0,0,0};
static C_char C_TLS li967[] C_aligned={C_lihdr(0,0,11),40,108,111,111,112,32,97,114,103,115,41,0,0,0,0,0};
static C_char C_TLS li968[] C_aligned={C_lihdr(0,0,19),40,102,51,54,54,56,49,32,120,54,56,50,56,51,54,54,56,48,41,0,0,0,0,0};
static C_char C_TLS li969[] C_aligned={C_lihdr(0,0,19),40,102,51,54,54,56,55,32,120,54,56,49,56,51,54,54,56,54,41,0,0,0,0,0};
static C_char C_TLS li970[] C_aligned={C_lihdr(0,0,19),40,102,51,54,54,57,51,32,120,54,56,49,56,51,54,54,57,50,41,0,0,0,0,0};
static C_char C_TLS li971[] C_aligned={C_lihdr(0,0,8),40,97,51,49,48,56,56,41};
static C_char C_TLS li972[] C_aligned={C_lihdr(0,0,12),40,97,51,49,49,49,48,32,100,105,114,41,0,0,0,0};
static C_char C_TLS li973[] C_aligned={C_lihdr(0,0,25),40,102,111,114,45,101,97,99,104,45,108,111,111,112,53,56,53,49,32,103,53,56,53,56,41,0,0,0,0,0,0,0};
static C_char C_TLS li974[] C_aligned={C_lihdr(0,0,8),40,97,51,49,49,54,49,41};
static C_char C_TLS li975[] C_aligned={C_lihdr(0,0,9),40,103,53,56,56,51,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li976[] C_aligned={C_lihdr(0,0,25),40,102,111,114,45,101,97,99,104,45,108,111,111,112,53,56,56,50,32,103,53,56,56,57,41,0,0,0,0,0,0,0};
static C_char C_TLS li977[] C_aligned={C_lihdr(0,0,15),40,97,51,49,50,55,51,32,46,32,97,114,103,115,41,0};
static C_char C_TLS li978[] C_aligned={C_lihdr(0,0,19),40,97,51,49,49,49,54,32,109,115,103,32,46,32,97,114,103,115,41,0,0,0,0,0};
static C_char C_TLS li979[] C_aligned={C_lihdr(0,0,8),40,97,51,49,50,55,54,41};
static C_char C_TLS li980[] C_aligned={C_lihdr(0,0,8),40,97,51,49,50,56,53,41};
static C_char C_TLS li981[] C_aligned={C_lihdr(0,0,15),40,97,51,49,50,57,49,32,46,32,114,101,115,116,41,0};
static C_char C_TLS li982[] C_aligned={C_lihdr(0,0,14),40,97,51,49,53,53,57,32,120,32,105,32,121,41,0,0};
static C_char C_TLS li983[] C_aligned={C_lihdr(0,0,12),40,97,51,49,53,54,57,32,120,32,121,41,0,0,0,0};
static C_char C_TLS li984[] C_aligned={C_lihdr(0,0,12),40,97,51,49,53,55,57,32,120,32,121,41,0,0,0,0};
static C_char C_TLS li985[] C_aligned={C_lihdr(0,0,12),40,97,51,49,53,56,57,32,120,32,121,41,0,0,0,0};
static C_char C_TLS li986[] C_aligned={C_lihdr(0,0,12),40,97,51,49,53,57,57,32,120,32,121,41,0,0,0,0};
static C_char C_TLS li987[] C_aligned={C_lihdr(0,0,12),40,97,51,49,54,48,57,32,120,32,121,41,0,0,0,0};
static C_char C_TLS li988[] C_aligned={C_lihdr(0,0,12),40,97,51,49,54,49,57,32,120,32,121,41,0,0,0,0};
static C_char C_TLS li989[] C_aligned={C_lihdr(0,0,12),40,97,51,49,54,50,57,32,120,32,121,41,0,0,0,0};
static C_char C_TLS li990[] C_aligned={C_lihdr(0,0,12),40,97,51,49,54,51,57,32,120,32,121,41,0,0,0,0};
static C_char C_TLS li991[] C_aligned={C_lihdr(0,0,12),40,97,51,49,54,52,57,32,120,32,121,41,0,0,0,0};
static C_char C_TLS li992[] C_aligned={C_lihdr(0,0,12),40,97,51,49,54,53,57,32,120,32,121,41,0,0,0,0};
static C_char C_TLS li993[] C_aligned={C_lihdr(0,0,12),40,97,51,49,54,54,57,32,120,32,121,41,0,0,0,0};
static C_char C_TLS li994[] C_aligned={C_lihdr(0,0,12),40,97,51,49,54,55,57,32,120,32,121,41,0,0,0,0};
static C_char C_TLS li995[] C_aligned={C_lihdr(0,0,10),40,97,51,49,55,49,51,32,120,41,0,0,0,0,0,0};
static C_char C_TLS li996[] C_aligned={C_lihdr(0,0,13),40,97,51,49,54,56,57,32,112,114,111,99,41,0,0,0};
static C_char C_TLS li997[] C_aligned={C_lihdr(0,0,10),40,97,51,49,55,50,57,32,120,41,0,0,0,0,0,0};
static C_char C_TLS li998[] C_aligned={C_lihdr(0,0,10),40,97,51,49,55,56,52,32,120,41,0,0,0,0,0,0};
static C_char C_TLS li999[] C_aligned={C_lihdr(0,0,15),40,97,51,49,56,48,48,32,112,114,111,99,32,105,41,0};
static C_char C_TLS li1000[] C_aligned={C_lihdr(0,0,16),40,97,51,49,55,53,53,32,103,101,116,32,115,101,116,41};
static C_char C_TLS li1001[] C_aligned={C_lihdr(0,0,15),40,97,51,49,55,52,53,32,112,114,111,99,32,105,41,0};
static C_char C_TLS li1002[] C_aligned={C_lihdr(0,0,10),40,116,111,112,108,101,118,101,108,41,0,0,0,0,0,0};


#define return(x) C_cblock C_r = (C_mpointer(&C_a,(void*)(x))); goto C_ret; C_cblockend
C_regparm static C_word C_fcall stub6807(C_word C_buf,C_word C_a0){
C_word C_r=C_SCHEME_UNDEFINED,*C_a=(C_word*)C_buf;
C_word i=(C_word )(C_a0);
C_return(C_main_argv[C_unfix(i)]);
C_ret:
#undef return

return C_r;}

/* from chicken.process-context#executable-pathname in k28990 in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in ... */
C_regparm static C_word C_fcall stub6799(C_word C_buf){
C_word C_r=C_SCHEME_UNDEFINED,*C_a=(C_word*)C_buf;
C_r=C_mpointer(&C_a,(void*)C_executable_pathname());
return C_r;}

/* from k29043 */
C_regparm static C_word C_fcall stub6787(C_word C_buf,C_word C_a0){
C_word C_r=C_SCHEME_UNDEFINED,*C_a=(C_word*)C_buf;
int t0=(int )C_unfix(C_a0);
C_r=C_mpointer(&C_a,(void*)C_getenventry(t0));
return C_r;}

/* from k29001 in chicken.process-context#get-environment-variable in k28990 in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in ... */
C_regparm static C_word C_fcall stub6770(C_word C_buf,C_word C_a0){
C_word C_r=C_SCHEME_UNDEFINED,*C_a=(C_word*)C_buf;
char * t0=(char * )C_c_string(C_a0);
C_r=C_mpointer(&C_a,(void*)C_getenv(t0));
return C_r;}

/* from k28161 */
C_regparm static C_word C_fcall stub6484(C_word C_buf,C_word C_a0){
C_word C_r=C_SCHEME_UNDEFINED,*C_a=(C_word*)C_buf;
void * t0=(void * )C_c_pointer_or_null(C_a0);
C_free(t0);
return C_r;}

/* from k28152 */
C_regparm static C_word C_fcall stub6476(C_word C_buf,C_word C_a0,C_word C_a1){
C_word C_r=C_SCHEME_UNDEFINED,*C_a=(C_word*)C_buf;
void * t0=(void * )C_c_pointer_or_null(C_a0);
int t1=(int )C_unfix(C_a1);
C_r=C_mpointer(&C_a,(void*)C_peek_c_string_at(t0,t1));
return C_r;}

/* from k28100 */
C_regparm static C_word C_fcall stub6457(C_word C_buf,C_word C_a0,C_word C_a1){
C_word C_r=C_SCHEME_UNDEFINED,*C_a=(C_word*)C_buf;
void * t0=(void * )C_c_pointer_or_null(C_a0);
int t1=(int )C_unfix(C_a1);
C_r=C_mpointer(&C_a,(void*)C_peek_c_string_at(t0,t1));
return C_r;}

#define return(x) C_cblock C_r = (C_mpointer(&C_a,(void*)(x))); goto C_ret; C_cblockend
C_regparm static C_word C_fcall stub5615(C_word C_buf,C_word C_a0){
C_word C_r=C_SCHEME_UNDEFINED,*C_a=(C_word*)C_buf;
C_word x=(C_word )(C_a0);
C_return((C_char *)x);
C_ret:
#undef return

return C_r;}

/* from k15329 */
C_regparm static C_word C_fcall stub2822(C_word C_buf,C_word C_a0,C_word C_a1){
C_word C_r=C_SCHEME_UNDEFINED,*C_a=(C_word*)C_buf;
double t0=(double )C_c_double(C_a0);
int t1=(int )C_unfix(C_a1);
C_r=C_flonum(&C_a,ldexp(t0,t1));
return C_r;}

C_noret_decl(f33920)
static void C_ccall f33920(C_word c,C_word *av) C_noret;
C_noret_decl(f34448)
static void C_ccall f34448(C_word c,C_word *av) C_noret;
C_noret_decl(f36681)
static void C_ccall f36681(C_word c,C_word *av) C_noret;
C_noret_decl(f36687)
static void C_ccall f36687(C_word c,C_word *av) C_noret;
C_noret_decl(f36693)
static void C_ccall f36693(C_word c,C_word *av) C_noret;
C_noret_decl(f_10008)
static void C_ccall f_10008(C_word c,C_word *av) C_noret;
C_noret_decl(f_10014)
static void C_fcall f_10014(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_10030)
static void C_ccall f_10030(C_word c,C_word *av) C_noret;
C_noret_decl(f_10055)
static void C_ccall f_10055(C_word c,C_word *av) C_noret;
C_noret_decl(f_10064)
static void C_fcall f_10064(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_10105)
static void C_ccall f_10105(C_word c,C_word *av) C_noret;
C_noret_decl(f_10127)
static void C_ccall f_10127(C_word c,C_word *av) C_noret;
C_noret_decl(f_10159)
static void C_ccall f_10159(C_word c,C_word *av) C_noret;
C_noret_decl(f_10175)
static void C_fcall f_10175(C_word t0,C_word t1) C_noret;
C_noret_decl(f_10178)
static void C_ccall f_10178(C_word c,C_word *av) C_noret;
C_noret_decl(f_10200)
static void C_ccall f_10200(C_word c,C_word *av) C_noret;
C_noret_decl(f_10206)
static void C_fcall f_10206(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_10231)
static void C_ccall f_10231(C_word c,C_word *av) C_noret;
C_noret_decl(f_10271)
static void C_ccall f_10271(C_word c,C_word *av) C_noret;
C_noret_decl(f_10278)
static void C_fcall f_10278(C_word t0,C_word t1) C_noret;
C_noret_decl(f_10283)
static void C_fcall f_10283(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_10302)
static void C_ccall f_10302(C_word c,C_word *av) C_noret;
C_noret_decl(f_10324)
static void C_ccall f_10324(C_word c,C_word *av) C_noret;
C_noret_decl(f_10327)
static void C_ccall f_10327(C_word c,C_word *av) C_noret;
C_noret_decl(f_10330)
static void C_ccall f_10330(C_word c,C_word *av) C_noret;
C_noret_decl(f_10333)
static void C_ccall f_10333(C_word c,C_word *av) C_noret;
C_noret_decl(f_10339)
static void C_ccall f_10339(C_word c,C_word *av) C_noret;
C_noret_decl(f_10342)
static void C_ccall f_10342(C_word c,C_word *av) C_noret;
C_noret_decl(f_10345)
static void C_ccall f_10345(C_word c,C_word *av) C_noret;
C_noret_decl(f_10348)
static void C_ccall f_10348(C_word c,C_word *av) C_noret;
C_noret_decl(f_10351)
static void C_ccall f_10351(C_word c,C_word *av) C_noret;
C_noret_decl(f_10354)
static void C_ccall f_10354(C_word c,C_word *av) C_noret;
C_noret_decl(f_10357)
static void C_ccall f_10357(C_word c,C_word *av) C_noret;
C_noret_decl(f_10360)
static void C_ccall f_10360(C_word c,C_word *av) C_noret;
C_noret_decl(f_10363)
static void C_ccall f_10363(C_word c,C_word *av) C_noret;
C_noret_decl(f_10366)
static void C_ccall f_10366(C_word c,C_word *av) C_noret;
C_noret_decl(f_10369)
static void C_ccall f_10369(C_word c,C_word *av) C_noret;
C_noret_decl(f_10372)
static void C_ccall f_10372(C_word c,C_word *av) C_noret;
C_noret_decl(f_10375)
static void C_ccall f_10375(C_word c,C_word *av) C_noret;
C_noret_decl(f_10378)
static void C_ccall f_10378(C_word c,C_word *av) C_noret;
C_noret_decl(f_10381)
static void C_ccall f_10381(C_word c,C_word *av) C_noret;
C_noret_decl(f_10384)
static void C_ccall f_10384(C_word c,C_word *av) C_noret;
C_noret_decl(f_10387)
static void C_ccall f_10387(C_word c,C_word *av) C_noret;
C_noret_decl(f_10390)
static void C_ccall f_10390(C_word c,C_word *av) C_noret;
C_noret_decl(f_10393)
static void C_ccall f_10393(C_word c,C_word *av) C_noret;
C_noret_decl(f_10396)
static void C_ccall f_10396(C_word c,C_word *av) C_noret;
C_noret_decl(f_10399)
static void C_ccall f_10399(C_word c,C_word *av) C_noret;
C_noret_decl(f_10402)
static void C_ccall f_10402(C_word c,C_word *av) C_noret;
C_noret_decl(f_10405)
static void C_ccall f_10405(C_word c,C_word *av) C_noret;
C_noret_decl(f_10408)
static void C_ccall f_10408(C_word c,C_word *av) C_noret;
C_noret_decl(f_10411)
static void C_ccall f_10411(C_word c,C_word *av) C_noret;
C_noret_decl(f_10416)
static void C_ccall f_10416(C_word c,C_word *av) C_noret;
C_noret_decl(f_10425)
static void C_ccall f_10425(C_word c,C_word *av) C_noret;
C_noret_decl(f_10437)
static void C_ccall f_10437(C_word c,C_word *av) C_noret;
C_noret_decl(f_10452)
static void C_ccall f_10452(C_word c,C_word *av) C_noret;
C_noret_decl(f_10455)
static void C_ccall f_10455(C_word c,C_word *av) C_noret;
C_noret_decl(f_10463)
static void C_ccall f_10463(C_word c,C_word *av) C_noret;
C_noret_decl(f_10467)
static void C_ccall f_10467(C_word c,C_word *av) C_noret;
C_noret_decl(f_10469)
static void C_ccall f_10469(C_word c,C_word *av) C_noret;
C_noret_decl(f_10473)
static void C_ccall f_10473(C_word c,C_word *av) C_noret;
C_noret_decl(f_10476)
static void C_ccall f_10476(C_word c,C_word *av) C_noret;
C_noret_decl(f_10487)
static void C_ccall f_10487(C_word c,C_word *av) C_noret;
C_noret_decl(f_10489)
static void C_ccall f_10489(C_word c,C_word *av) C_noret;
C_noret_decl(f_10496)
static void C_ccall f_10496(C_word c,C_word *av) C_noret;
C_noret_decl(f_10499)
static void C_ccall f_10499(C_word c,C_word *av) C_noret;
C_noret_decl(f_10502)
static void C_ccall f_10502(C_word c,C_word *av) C_noret;
C_noret_decl(f_10507)
static void C_ccall f_10507(C_word c,C_word *av) C_noret;
C_noret_decl(f_10511)
static void C_ccall f_10511(C_word c,C_word *av) C_noret;
C_noret_decl(f_10516)
static void C_ccall f_10516(C_word c,C_word *av) C_noret;
C_noret_decl(f_10520)
static void C_ccall f_10520(C_word c,C_word *av) C_noret;
C_noret_decl(f_10523)
static void C_ccall f_10523(C_word c,C_word *av) C_noret;
C_noret_decl(f_10551)
static void C_ccall f_10551(C_word c,C_word *av) C_noret;
C_noret_decl(f_10554)
static void C_ccall f_10554(C_word c,C_word *av) C_noret;
C_noret_decl(f_10557)
static void C_ccall f_10557(C_word c,C_word *av) C_noret;
C_noret_decl(f_10574)
static void C_ccall f_10574(C_word c,C_word *av) C_noret;
C_noret_decl(f_10585)
static void C_ccall f_10585(C_word c,C_word *av) C_noret;
C_noret_decl(f_10597)
static void C_ccall f_10597(C_word c,C_word *av) C_noret;
C_noret_decl(f_10608)
static void C_ccall f_10608(C_word c,C_word *av) C_noret;
C_noret_decl(f_10619)
static void C_ccall f_10619(C_word c,C_word *av) C_noret;
C_noret_decl(f_10630)
static void C_ccall f_10630(C_word c,C_word *av) C_noret;
C_noret_decl(f_10641)
static void C_ccall f_10641(C_word c,C_word *av) C_noret;
C_noret_decl(f_10652)
static void C_ccall f_10652(C_word c,C_word *av) C_noret;
C_noret_decl(f_10663)
static void C_ccall f_10663(C_word c,C_word *av) C_noret;
C_noret_decl(f_10674)
static void C_ccall f_10674(C_word c,C_word *av) C_noret;
C_noret_decl(f_10685)
static void C_ccall f_10685(C_word c,C_word *av) C_noret;
C_noret_decl(f_10696)
static void C_ccall f_10696(C_word c,C_word *av) C_noret;
C_noret_decl(f_10707)
static void C_ccall f_10707(C_word c,C_word *av) C_noret;
C_noret_decl(f_10718)
static void C_ccall f_10718(C_word c,C_word *av) C_noret;
C_noret_decl(f_10729)
static void C_ccall f_10729(C_word c,C_word *av) C_noret;
C_noret_decl(f_10746)
static void C_ccall f_10746(C_word c,C_word *av) C_noret;
C_noret_decl(f_10763)
static void C_ccall f_10763(C_word c,C_word *av) C_noret;
C_noret_decl(f_10787)
static void C_ccall f_10787(C_word c,C_word *av) C_noret;
C_noret_decl(f_10804)
static void C_ccall f_10804(C_word c,C_word *av) C_noret;
C_noret_decl(f_10808)
static void C_ccall f_10808(C_word c,C_word *av) C_noret;
C_noret_decl(f_10834)
static void C_ccall f_10834(C_word c,C_word *av) C_noret;
C_noret_decl(f_10854)
static void C_ccall f_10854(C_word c,C_word *av) C_noret;
C_noret_decl(f_10865)
static void C_ccall f_10865(C_word c,C_word *av) C_noret;
C_noret_decl(f_10877)
static void C_fcall f_10877(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_10911)
static void C_ccall f_10911(C_word c,C_word *av) C_noret;
C_noret_decl(f_10926)
static void C_fcall f_10926(C_word t0,C_word t1) C_noret;
C_noret_decl(f_10993)
static void C_ccall f_10993(C_word c,C_word *av) C_noret;
C_noret_decl(f_11009)
static void C_ccall f_11009(C_word c,C_word *av) C_noret;
C_noret_decl(f_11025)
static void C_ccall f_11025(C_word c,C_word *av) C_noret;
C_noret_decl(f_11041)
static void C_ccall f_11041(C_word c,C_word *av) C_noret;
C_noret_decl(f_11057)
static void C_ccall f_11057(C_word c,C_word *av) C_noret;
C_noret_decl(f_11073)
static void C_ccall f_11073(C_word c,C_word *av) C_noret;
C_noret_decl(f_11089)
static void C_ccall f_11089(C_word c,C_word *av) C_noret;
C_noret_decl(f_11105)
static void C_ccall f_11105(C_word c,C_word *av) C_noret;
C_noret_decl(f_11121)
static void C_ccall f_11121(C_word c,C_word *av) C_noret;
C_noret_decl(f_11133)
static void C_fcall f_11133(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_11152)
static void C_fcall f_11152(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_11183)
static void C_ccall f_11183(C_word c,C_word *av) C_noret;
C_noret_decl(f_11200)
static void C_ccall f_11200(C_word c,C_word *av) C_noret;
C_noret_decl(f_11206)
static void C_fcall f_11206(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_11230)
static void C_ccall f_11230(C_word c,C_word *av) C_noret;
C_noret_decl(f_11250)
static void C_ccall f_11250(C_word c,C_word *av) C_noret;
C_noret_decl(f_11254)
static void C_ccall f_11254(C_word c,C_word *av) C_noret;
C_noret_decl(f_11257)
static void C_ccall f_11257(C_word c,C_word *av) C_noret;
C_noret_decl(f_11286)
static void C_ccall f_11286(C_word c,C_word *av) C_noret;
C_noret_decl(f_11302)
static void C_fcall f_11302(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_11324)
static void C_ccall f_11324(C_word c,C_word *av) C_noret;
C_noret_decl(f_11340)
static void C_ccall f_11340(C_word c,C_word *av) C_noret;
C_noret_decl(f_11345)
static C_word C_fcall f_11345(C_word t0,C_word t1,C_word t2);
C_noret_decl(f_11376)
static void C_ccall f_11376(C_word c,C_word *av) C_noret;
C_noret_decl(f_11387)
static void C_ccall f_11387(C_word c,C_word *av) C_noret;
C_noret_decl(f_11396)
static C_word C_fcall f_11396(C_word t0,C_word t1,C_word t2);
C_noret_decl(f_11425)
static void C_ccall f_11425(C_word c,C_word *av) C_noret;
C_noret_decl(f_11438)
static void C_ccall f_11438(C_word c,C_word *av) C_noret;
C_noret_decl(f_11448)
static void C_ccall f_11448(C_word c,C_word *av) C_noret;
C_noret_decl(f_11450)
static void C_ccall f_11450(C_word c,C_word *av) C_noret;
C_noret_decl(f_11457)
static void C_ccall f_11457(C_word c,C_word *av) C_noret;
C_noret_decl(f_11460)
static void C_fcall f_11460(C_word t0,C_word t1) C_noret;
C_noret_decl(f_11469)
static void C_fcall f_11469(C_word t0,C_word t1) C_noret;
C_noret_decl(f_11495)
static void C_ccall f_11495(C_word c,C_word *av) C_noret;
C_noret_decl(f_11500)
static void C_ccall f_11500(C_word c,C_word *av) C_noret;
C_noret_decl(f_11504)
static void C_ccall f_11504(C_word c,C_word *av) C_noret;
C_noret_decl(f_11509)
static void C_ccall f_11509(C_word c,C_word *av) C_noret;
C_noret_decl(f_11530)
static void C_ccall f_11530(C_word c,C_word *av) C_noret;
C_noret_decl(f_11536)
static void C_ccall f_11536(C_word c,C_word *av) C_noret;
C_noret_decl(f_11554)
static void C_ccall f_11554(C_word c,C_word *av) C_noret;
C_noret_decl(f_11560)
static void C_ccall f_11560(C_word c,C_word *av) C_noret;
C_noret_decl(f_11578)
static void C_ccall f_11578(C_word c,C_word *av) C_noret;
C_noret_decl(f_11584)
static void C_ccall f_11584(C_word c,C_word *av) C_noret;
C_noret_decl(f_11599)
static void C_ccall f_11599(C_word c,C_word *av) C_noret;
C_noret_decl(f_11605)
static void C_ccall f_11605(C_word c,C_word *av) C_noret;
C_noret_decl(f_11619)
static void C_ccall f_11619(C_word c,C_word *av) C_noret;
C_noret_decl(f_11640)
static void C_ccall f_11640(C_word c,C_word *av) C_noret;
C_noret_decl(f_11646)
static void C_ccall f_11646(C_word c,C_word *av) C_noret;
C_noret_decl(f_11664)
static void C_ccall f_11664(C_word c,C_word *av) C_noret;
C_noret_decl(f_11670)
static void C_ccall f_11670(C_word c,C_word *av) C_noret;
C_noret_decl(f_11688)
static void C_ccall f_11688(C_word c,C_word *av) C_noret;
C_noret_decl(f_11694)
static void C_ccall f_11694(C_word c,C_word *av) C_noret;
C_noret_decl(f_11709)
static void C_ccall f_11709(C_word c,C_word *av) C_noret;
C_noret_decl(f_11715)
static void C_ccall f_11715(C_word c,C_word *av) C_noret;
C_noret_decl(f_11730)
static void C_ccall f_11730(C_word c,C_word *av) C_noret;
C_noret_decl(f_11740)
static void C_ccall f_11740(C_word c,C_word *av) C_noret;
C_noret_decl(f_11746)
static void C_ccall f_11746(C_word c,C_word *av) C_noret;
C_noret_decl(f_11750)
static void C_ccall f_11750(C_word c,C_word *av) C_noret;
C_noret_decl(f_11752)
static void C_fcall f_11752(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_11763)
static void C_ccall f_11763(C_word c,C_word *av) C_noret;
C_noret_decl(f_11775)
static void C_ccall f_11775(C_word c,C_word *av) C_noret;
C_noret_decl(f_11785)
static void C_ccall f_11785(C_word c,C_word *av) C_noret;
C_noret_decl(f_11791)
static void C_ccall f_11791(C_word c,C_word *av) C_noret;
C_noret_decl(f_11795)
static void C_ccall f_11795(C_word c,C_word *av) C_noret;
C_noret_decl(f_11800)
static C_word C_fcall f_11800(C_word t0,C_word t1,C_word t2);
C_noret_decl(f_11826)
static void C_ccall f_11826(C_word c,C_word *av) C_noret;
C_noret_decl(f_11830)
static void C_ccall f_11830(C_word c,C_word *av) C_noret;
C_noret_decl(f_11833)
static void C_ccall f_11833(C_word c,C_word *av) C_noret;
C_noret_decl(f_11841)
static void C_fcall f_11841(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_11862)
static void C_fcall f_11862(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4) C_noret;
C_noret_decl(f_11876)
static void C_ccall f_11876(C_word c,C_word *av) C_noret;
C_noret_decl(f_11880)
static void C_ccall f_11880(C_word c,C_word *av) C_noret;
C_noret_decl(f_11921)
static void C_ccall f_11921(C_word c,C_word *av) C_noret;
C_noret_decl(f_11943)
static void C_ccall f_11943(C_word c,C_word *av) C_noret;
C_noret_decl(f_11945)
static void C_ccall f_11945(C_word c,C_word *av) C_noret;
C_noret_decl(f_11967)
static void C_ccall f_11967(C_word c,C_word *av) C_noret;
C_noret_decl(f_11969)
static void C_ccall f_11969(C_word c,C_word *av) C_noret;
C_noret_decl(f_11991)
static void C_ccall f_11991(C_word c,C_word *av) C_noret;
C_noret_decl(f_11993)
static void C_ccall f_11993(C_word c,C_word *av) C_noret;
C_noret_decl(f_12015)
static void C_ccall f_12015(C_word c,C_word *av) C_noret;
C_noret_decl(f_12017)
static void C_ccall f_12017(C_word c,C_word *av) C_noret;
C_noret_decl(f_12039)
static void C_ccall f_12039(C_word c,C_word *av) C_noret;
C_noret_decl(f_12041)
static void C_ccall f_12041(C_word c,C_word *av) C_noret;
C_noret_decl(f_12063)
static void C_ccall f_12063(C_word c,C_word *av) C_noret;
C_noret_decl(f_12065)
static void C_ccall f_12065(C_word c,C_word *av) C_noret;
C_noret_decl(f_12087)
static void C_ccall f_12087(C_word c,C_word *av) C_noret;
C_noret_decl(f_12089)
static void C_ccall f_12089(C_word c,C_word *av) C_noret;
C_noret_decl(f_12111)
static void C_ccall f_12111(C_word c,C_word *av) C_noret;
C_noret_decl(f_12113)
static void C_ccall f_12113(C_word c,C_word *av) C_noret;
C_noret_decl(f_12135)
static void C_ccall f_12135(C_word c,C_word *av) C_noret;
C_noret_decl(f_12137)
static void C_ccall f_12137(C_word c,C_word *av) C_noret;
C_noret_decl(f_12159)
static void C_ccall f_12159(C_word c,C_word *av) C_noret;
C_noret_decl(f_12161)
static void C_ccall f_12161(C_word c,C_word *av) C_noret;
C_noret_decl(f_12183)
static void C_ccall f_12183(C_word c,C_word *av) C_noret;
C_noret_decl(f_12185)
static void C_ccall f_12185(C_word c,C_word *av) C_noret;
C_noret_decl(f_12201)
static void C_ccall f_12201(C_word c,C_word *av) C_noret;
C_noret_decl(f_12203)
static void C_ccall f_12203(C_word c,C_word *av) C_noret;
C_noret_decl(f_12225)
static void C_ccall f_12225(C_word c,C_word *av) C_noret;
C_noret_decl(f_12227)
static void C_ccall f_12227(C_word c,C_word *av) C_noret;
C_noret_decl(f_12249)
static void C_ccall f_12249(C_word c,C_word *av) C_noret;
C_noret_decl(f_12251)
static void C_ccall f_12251(C_word c,C_word *av) C_noret;
C_noret_decl(f_12267)
static void C_ccall f_12267(C_word c,C_word *av) C_noret;
C_noret_decl(f_12269)
static void C_ccall f_12269(C_word c,C_word *av) C_noret;
C_noret_decl(f_12285)
static void C_ccall f_12285(C_word c,C_word *av) C_noret;
C_noret_decl(f_12287)
static void C_ccall f_12287(C_word c,C_word *av) C_noret;
C_noret_decl(f_12303)
static void C_ccall f_12303(C_word c,C_word *av) C_noret;
C_noret_decl(f_12305)
static void C_ccall f_12305(C_word c,C_word *av) C_noret;
C_noret_decl(f_12321)
static void C_ccall f_12321(C_word c,C_word *av) C_noret;
C_noret_decl(f_12323)
static void C_ccall f_12323(C_word c,C_word *av) C_noret;
C_noret_decl(f_12339)
static void C_ccall f_12339(C_word c,C_word *av) C_noret;
C_noret_decl(f_12341)
static void C_ccall f_12341(C_word c,C_word *av) C_noret;
C_noret_decl(f_12357)
static void C_ccall f_12357(C_word c,C_word *av) C_noret;
C_noret_decl(f_12359)
static void C_ccall f_12359(C_word c,C_word *av) C_noret;
C_noret_decl(f_12375)
static void C_ccall f_12375(C_word c,C_word *av) C_noret;
C_noret_decl(f_12377)
static void C_ccall f_12377(C_word c,C_word *av) C_noret;
C_noret_decl(f_12393)
static void C_ccall f_12393(C_word c,C_word *av) C_noret;
C_noret_decl(f_12395)
static void C_ccall f_12395(C_word c,C_word *av) C_noret;
C_noret_decl(f_12411)
static void C_ccall f_12411(C_word c,C_word *av) C_noret;
C_noret_decl(f_12413)
static void C_ccall f_12413(C_word c,C_word *av) C_noret;
C_noret_decl(f_12429)
static void C_ccall f_12429(C_word c,C_word *av) C_noret;
C_noret_decl(f_12431)
static void C_ccall f_12431(C_word c,C_word *av) C_noret;
C_noret_decl(f_12453)
static void C_ccall f_12453(C_word c,C_word *av) C_noret;
C_noret_decl(f_12455)
static void C_ccall f_12455(C_word c,C_word *av) C_noret;
C_noret_decl(f_12471)
static void C_ccall f_12471(C_word c,C_word *av) C_noret;
C_noret_decl(f_12473)
static void C_ccall f_12473(C_word c,C_word *av) C_noret;
C_noret_decl(f_12495)
static void C_ccall f_12495(C_word c,C_word *av) C_noret;
C_noret_decl(f_12497)
static void C_ccall f_12497(C_word c,C_word *av) C_noret;
C_noret_decl(f_12513)
static void C_ccall f_12513(C_word c,C_word *av) C_noret;
C_noret_decl(f_12515)
static void C_ccall f_12515(C_word c,C_word *av) C_noret;
C_noret_decl(f_12531)
static void C_ccall f_12531(C_word c,C_word *av) C_noret;
C_noret_decl(f_12533)
static void C_ccall f_12533(C_word c,C_word *av) C_noret;
C_noret_decl(f_12549)
static void C_ccall f_12549(C_word c,C_word *av) C_noret;
C_noret_decl(f_12551)
static void C_ccall f_12551(C_word c,C_word *av) C_noret;
C_noret_decl(f_12567)
static void C_ccall f_12567(C_word c,C_word *av) C_noret;
C_noret_decl(f_12569)
static void C_ccall f_12569(C_word c,C_word *av) C_noret;
C_noret_decl(f_12579)
static void C_ccall f_12579(C_word c,C_word *av) C_noret;
C_noret_decl(f_12591)
static void C_fcall f_12591(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_12601)
static void C_ccall f_12601(C_word c,C_word *av) C_noret;
C_noret_decl(f_12605)
static void C_ccall f_12605(C_word c,C_word *av) C_noret;
C_noret_decl(f_12627)
static void C_ccall f_12627(C_word c,C_word *av) C_noret;
C_noret_decl(f_12631)
static void C_ccall f_12631(C_word c,C_word *av) C_noret;
C_noret_decl(f_12634)
static void C_ccall f_12634(C_word c,C_word *av) C_noret;
C_noret_decl(f_12639)
static void C_ccall f_12639(C_word c,C_word *av) C_noret;
C_noret_decl(f_12643)
static void C_ccall f_12643(C_word c,C_word *av) C_noret;
C_noret_decl(f_12646)
static void C_ccall f_12646(C_word c,C_word *av) C_noret;
C_noret_decl(f_12649)
static void C_ccall f_12649(C_word c,C_word *av) C_noret;
C_noret_decl(f_12660)
static void C_ccall f_12660(C_word c,C_word *av) C_noret;
C_noret_decl(f_12683)
static void C_ccall f_12683(C_word c,C_word *av) C_noret;
C_noret_decl(f_12709)
static void C_ccall f_12709(C_word c,C_word *av) C_noret;
C_noret_decl(f_12718)
static void C_ccall f_12718(C_word c,C_word *av) C_noret;
C_noret_decl(f_12723)
static void C_ccall f_12723(C_word c,C_word *av) C_noret;
C_noret_decl(f_12725)
static void C_ccall f_12725(C_word c,C_word *av) C_noret;
C_noret_decl(f_12764)
static void C_fcall f_12764(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_12810)
static void C_ccall f_12810(C_word c,C_word *av) C_noret;
C_noret_decl(f_12834)
static void C_ccall f_12834(C_word c,C_word *av) C_noret;
C_noret_decl(f_12838)
static void C_ccall f_12838(C_word c,C_word *av) C_noret;
C_noret_decl(f_12856)
static void C_ccall f_12856(C_word c,C_word *av) C_noret;
C_noret_decl(f_12880)
static void C_ccall f_12880(C_word c,C_word *av) C_noret;
C_noret_decl(f_12884)
static void C_ccall f_12884(C_word c,C_word *av) C_noret;
C_noret_decl(f_12902)
static void C_ccall f_12902(C_word c,C_word *av) C_noret;
C_noret_decl(f_12943)
static void C_fcall f_12943(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_12954)
static void C_ccall f_12954(C_word c,C_word *av) C_noret;
C_noret_decl(f_12960)
static void C_fcall f_12960(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_12964)
static void C_ccall f_12964(C_word c,C_word *av) C_noret;
C_noret_decl(f_12969)
static void C_ccall f_12969(C_word c,C_word *av) C_noret;
C_noret_decl(f_12980)
static void C_ccall f_12980(C_word c,C_word *av) C_noret;
C_noret_decl(f_12993)
static void C_ccall f_12993(C_word c,C_word *av) C_noret;
C_noret_decl(f_13008)
static void C_ccall f_13008(C_word c,C_word *av) C_noret;
C_noret_decl(f_13012)
static void C_ccall f_13012(C_word c,C_word *av) C_noret;
C_noret_decl(f_13018)
static void C_ccall f_13018(C_word c,C_word *av) C_noret;
C_noret_decl(f_13022)
static void C_ccall f_13022(C_word c,C_word *av) C_noret;
C_noret_decl(f_13062)
static void C_ccall f_13062(C_word c,C_word *av) C_noret;
C_noret_decl(f_13066)
static void C_ccall f_13066(C_word c,C_word *av) C_noret;
C_noret_decl(f_13088)
static void C_ccall f_13088(C_word c,C_word *av) C_noret;
C_noret_decl(f_13091)
static void C_ccall f_13091(C_word c,C_word *av) C_noret;
C_noret_decl(f_13094)
static void C_ccall f_13094(C_word c,C_word *av) C_noret;
C_noret_decl(f_13097)
static void C_ccall f_13097(C_word c,C_word *av) C_noret;
C_noret_decl(f_13100)
static void C_ccall f_13100(C_word c,C_word *av) C_noret;
C_noret_decl(f_13121)
static void C_ccall f_13121(C_word c,C_word *av) C_noret;
C_noret_decl(f_13123)
static void C_fcall f_13123(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_13141)
static void C_ccall f_13141(C_word c,C_word *av) C_noret;
C_noret_decl(f_13151)
static void C_ccall f_13151(C_word c,C_word *av) C_noret;
C_noret_decl(f_13155)
static void C_ccall f_13155(C_word c,C_word *av) C_noret;
C_noret_decl(f_13161)
static void C_fcall f_13161(C_word t0,C_word t1) C_noret;
C_noret_decl(f_13193)
static void C_ccall f_13193(C_word c,C_word *av) C_noret;
C_noret_decl(f_13196)
static void C_ccall f_13196(C_word c,C_word *av) C_noret;
C_noret_decl(f_13199)
static void C_ccall f_13199(C_word c,C_word *av) C_noret;
C_noret_decl(f_13202)
static void C_ccall f_13202(C_word c,C_word *av) C_noret;
C_noret_decl(f_13211)
static void C_ccall f_13211(C_word c,C_word *av) C_noret;
C_noret_decl(f_13214)
static void C_ccall f_13214(C_word c,C_word *av) C_noret;
C_noret_decl(f_13244)
static void C_ccall f_13244(C_word c,C_word *av) C_noret;
C_noret_decl(f_13248)
static void C_ccall f_13248(C_word c,C_word *av) C_noret;
C_noret_decl(f_13315)
static void C_ccall f_13315(C_word c,C_word *av) C_noret;
C_noret_decl(f_13349)
static void C_ccall f_13349(C_word c,C_word *av) C_noret;
C_noret_decl(f_13399)
static void C_ccall f_13399(C_word c,C_word *av) C_noret;
C_noret_decl(f_13440)
static void C_ccall f_13440(C_word c,C_word *av) C_noret;
C_noret_decl(f_13481)
static void C_ccall f_13481(C_word c,C_word *av) C_noret;
C_noret_decl(f_13515)
static void C_ccall f_13515(C_word c,C_word *av) C_noret;
C_noret_decl(f_13539)
static void C_ccall f_13539(C_word c,C_word *av) C_noret;
C_noret_decl(f_13555)
static void C_fcall f_13555(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_13558)
static void C_fcall f_13558(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_13562)
static void C_ccall f_13562(C_word c,C_word *av) C_noret;
C_noret_decl(f_13565)
static void C_ccall f_13565(C_word c,C_word *av) C_noret;
C_noret_decl(f_13582)
static void C_ccall f_13582(C_word c,C_word *av) C_noret;
C_noret_decl(f_13600)
static void C_ccall f_13600(C_word c,C_word *av) C_noret;
C_noret_decl(f_13604)
static void C_ccall f_13604(C_word c,C_word *av) C_noret;
C_noret_decl(f_13623)
static void C_ccall f_13623(C_word c,C_word *av) C_noret;
C_noret_decl(f_13627)
static void C_ccall f_13627(C_word c,C_word *av) C_noret;
C_noret_decl(f_13658)
static void C_ccall f_13658(C_word c,C_word *av) C_noret;
C_noret_decl(f_13691)
static void C_ccall f_13691(C_word c,C_word *av) C_noret;
C_noret_decl(f_13695)
static void C_ccall f_13695(C_word c,C_word *av) C_noret;
C_noret_decl(f_13714)
static void C_ccall f_13714(C_word c,C_word *av) C_noret;
C_noret_decl(f_13716)
static void C_ccall f_13716(C_word c,C_word *av) C_noret;
C_noret_decl(f_13723)
static void C_fcall f_13723(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4) C_noret;
C_noret_decl(f_13759)
static void C_ccall f_13759(C_word c,C_word *av) C_noret;
C_noret_decl(f_13766)
static void C_fcall f_13766(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4) C_noret;
C_noret_decl(f_13802)
static void C_ccall f_13802(C_word c,C_word *av) C_noret;
C_noret_decl(f_13817)
static void C_ccall f_13817(C_word c,C_word *av) C_noret;
C_noret_decl(f_13826)
static void C_ccall f_13826(C_word c,C_word *av) C_noret;
C_noret_decl(f_13831)
static void C_ccall f_13831(C_word c,C_word *av) C_noret;
C_noret_decl(f_13844)
static void C_ccall f_13844(C_word c,C_word *av) C_noret;
C_noret_decl(f_13863)
static void C_fcall f_13863(C_word t0,C_word t1) C_noret;
C_noret_decl(f_13867)
static void C_ccall f_13867(C_word c,C_word *av) C_noret;
C_noret_decl(f_13872)
static void C_ccall f_13872(C_word c,C_word *av) C_noret;
C_noret_decl(f_13876)
static void C_ccall f_13876(C_word c,C_word *av) C_noret;
C_noret_decl(f_13880)
static void C_ccall f_13880(C_word c,C_word *av) C_noret;
C_noret_decl(f_13884)
static void C_ccall f_13884(C_word c,C_word *av) C_noret;
C_noret_decl(f_13887)
static void C_ccall f_13887(C_word c,C_word *av) C_noret;
C_noret_decl(f_13901)
static void C_ccall f_13901(C_word c,C_word *av) C_noret;
C_noret_decl(f_13905)
static void C_ccall f_13905(C_word c,C_word *av) C_noret;
C_noret_decl(f_13916)
static void C_ccall f_13916(C_word c,C_word *av) C_noret;
C_noret_decl(f_13936)
static void C_ccall f_13936(C_word c,C_word *av) C_noret;
C_noret_decl(f_13940)
static void C_ccall f_13940(C_word c,C_word *av) C_noret;
C_noret_decl(f_13946)
static void C_ccall f_13946(C_word c,C_word *av) C_noret;
C_noret_decl(f_13966)
static void C_ccall f_13966(C_word c,C_word *av) C_noret;
C_noret_decl(f_13970)
static void C_ccall f_13970(C_word c,C_word *av) C_noret;
C_noret_decl(f_13976)
static void C_ccall f_13976(C_word c,C_word *av) C_noret;
C_noret_decl(f_13993)
static void C_ccall f_13993(C_word c,C_word *av) C_noret;
C_noret_decl(f_13997)
static void C_ccall f_13997(C_word c,C_word *av) C_noret;
C_noret_decl(f_14001)
static void C_ccall f_14001(C_word c,C_word *av) C_noret;
C_noret_decl(f_14011)
static void C_fcall f_14011(C_word t0,C_word t1) C_noret;
C_noret_decl(f_14017)
static void C_fcall f_14017(C_word t0,C_word t1) C_noret;
C_noret_decl(f_14022)
static void C_ccall f_14022(C_word c,C_word *av) C_noret;
C_noret_decl(f_14030)
static void C_ccall f_14030(C_word c,C_word *av) C_noret;
C_noret_decl(f_14050)
static void C_ccall f_14050(C_word c,C_word *av) C_noret;
C_noret_decl(f_14054)
static void C_ccall f_14054(C_word c,C_word *av) C_noret;
C_noret_decl(f_14064)
static void C_fcall f_14064(C_word t0,C_word t1) C_noret;
C_noret_decl(f_14070)
static void C_fcall f_14070(C_word t0,C_word t1) C_noret;
C_noret_decl(f_14075)
static void C_ccall f_14075(C_word c,C_word *av) C_noret;
C_noret_decl(f_14090)
static void C_ccall f_14090(C_word c,C_word *av) C_noret;
C_noret_decl(f_14094)
static void C_ccall f_14094(C_word c,C_word *av) C_noret;
C_noret_decl(f_14123)
static void C_ccall f_14123(C_word c,C_word *av) C_noret;
C_noret_decl(f_14127)
static void C_ccall f_14127(C_word c,C_word *av) C_noret;
C_noret_decl(f_14142)
static void C_ccall f_14142(C_word c,C_word *av) C_noret;
C_noret_decl(f_14152)
static void C_ccall f_14152(C_word c,C_word *av) C_noret;
C_noret_decl(f_14225)
static void C_ccall f_14225(C_word c,C_word *av) C_noret;
C_noret_decl(f_14237)
static void C_ccall f_14237(C_word c,C_word *av) C_noret;
C_noret_decl(f_14256)
static void C_ccall f_14256(C_word c,C_word *av) C_noret;
C_noret_decl(f_14270)
static void C_ccall f_14270(C_word c,C_word *av) C_noret;
C_noret_decl(f_14317)
static void C_ccall f_14317(C_word c,C_word *av) C_noret;
C_noret_decl(f_14321)
static void C_ccall f_14321(C_word c,C_word *av) C_noret;
C_noret_decl(f_14326)
static void C_ccall f_14326(C_word c,C_word *av) C_noret;
C_noret_decl(f_14336)
static void C_ccall f_14336(C_word c,C_word *av) C_noret;
C_noret_decl(f_14340)
static void C_ccall f_14340(C_word c,C_word *av) C_noret;
C_noret_decl(f_14349)
static void C_ccall f_14349(C_word c,C_word *av) C_noret;
C_noret_decl(f_14355)
static void C_ccall f_14355(C_word c,C_word *av) C_noret;
C_noret_decl(f_14372)
static void C_ccall f_14372(C_word c,C_word *av) C_noret;
C_noret_decl(f_14383)
static void C_ccall f_14383(C_word c,C_word *av) C_noret;
C_noret_decl(f_14389)
static void C_ccall f_14389(C_word c,C_word *av) C_noret;
C_noret_decl(f_14400)
static void C_ccall f_14400(C_word c,C_word *av) C_noret;
C_noret_decl(f_14411)
static void C_ccall f_14411(C_word c,C_word *av) C_noret;
C_noret_decl(f_14423)
static void C_ccall f_14423(C_word c,C_word *av) C_noret;
C_noret_decl(f_14435)
static void C_ccall f_14435(C_word c,C_word *av) C_noret;
C_noret_decl(f_14447)
static void C_ccall f_14447(C_word c,C_word *av) C_noret;
C_noret_decl(f_14464)
static void C_ccall f_14464(C_word c,C_word *av) C_noret;
C_noret_decl(f_14471)
static void C_ccall f_14471(C_word c,C_word *av) C_noret;
C_noret_decl(f_14475)
static void C_ccall f_14475(C_word c,C_word *av) C_noret;
C_noret_decl(f_14477)
static void C_ccall f_14477(C_word c,C_word *av) C_noret;
C_noret_decl(f_14483)
static void C_ccall f_14483(C_word c,C_word *av) C_noret;
C_noret_decl(f_14487)
static void C_ccall f_14487(C_word c,C_word *av) C_noret;
C_noret_decl(f_14490)
static void C_ccall f_14490(C_word c,C_word *av) C_noret;
C_noret_decl(f_14495)
static void C_ccall f_14495(C_word c,C_word *av) C_noret;
C_noret_decl(f_14505)
static void C_fcall f_14505(C_word t0,C_word t1) C_noret;
C_noret_decl(f_14523)
static void C_ccall f_14523(C_word c,C_word *av) C_noret;
C_noret_decl(f_14541)
static void C_ccall f_14541(C_word c,C_word *av) C_noret;
C_noret_decl(f_14544)
static void C_fcall f_14544(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_14564)
static void C_ccall f_14564(C_word c,C_word *av) C_noret;
C_noret_decl(f_14574)
static void C_ccall f_14574(C_word c,C_word *av) C_noret;
C_noret_decl(f_14578)
static void C_ccall f_14578(C_word c,C_word *av) C_noret;
C_noret_decl(f_14582)
static void C_ccall f_14582(C_word c,C_word *av) C_noret;
C_noret_decl(f_14598)
static void C_ccall f_14598(C_word c,C_word *av) C_noret;
C_noret_decl(f_14615)
static void C_ccall f_14615(C_word c,C_word *av) C_noret;
C_noret_decl(f_14626)
static void C_fcall f_14626(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_14646)
static void C_ccall f_14646(C_word c,C_word *av) C_noret;
C_noret_decl(f_14660)
static void C_ccall f_14660(C_word c,C_word *av) C_noret;
C_noret_decl(f_14663)
static void C_fcall f_14663(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_14673)
static void C_ccall f_14673(C_word c,C_word *av) C_noret;
C_noret_decl(f_14675)
static void C_fcall f_14675(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_14694)
static void C_ccall f_14694(C_word c,C_word *av) C_noret;
C_noret_decl(f_14718)
static void C_fcall f_14718(C_word t0,C_word t1) C_noret;
C_noret_decl(f_14722)
static void C_ccall f_14722(C_word c,C_word *av) C_noret;
C_noret_decl(f_14726)
static void C_ccall f_14726(C_word c,C_word *av) C_noret;
C_noret_decl(f_14761)
static void C_ccall f_14761(C_word c,C_word *av) C_noret;
C_noret_decl(f_14768)
static void C_ccall f_14768(C_word c,C_word *av) C_noret;
C_noret_decl(f_14780)
static void C_ccall f_14780(C_word c,C_word *av) C_noret;
C_noret_decl(f_14800)
static void C_ccall f_14800(C_word c,C_word *av) C_noret;
C_noret_decl(f_14804)
static void C_ccall f_14804(C_word c,C_word *av) C_noret;
C_noret_decl(f_14824)
static void C_fcall f_14824(C_word t0,C_word t1) C_noret;
C_noret_decl(f_14833)
static void C_fcall f_14833(C_word t0,C_word t1) C_noret;
C_noret_decl(f_14844)
static void C_ccall f_14844(C_word c,C_word *av) C_noret;
C_noret_decl(f_14848)
static void C_ccall f_14848(C_word c,C_word *av) C_noret;
C_noret_decl(f_14852)
static void C_ccall f_14852(C_word c,C_word *av) C_noret;
C_noret_decl(f_14859)
static void C_ccall f_14859(C_word c,C_word *av) C_noret;
C_noret_decl(f_14875)
static void C_ccall f_14875(C_word c,C_word *av) C_noret;
C_noret_decl(f_14879)
static void C_ccall f_14879(C_word c,C_word *av) C_noret;
C_noret_decl(f_14920)
static void C_fcall f_14920(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_14953)
static void C_ccall f_14953(C_word c,C_word *av) C_noret;
C_noret_decl(f_14982)
static void C_ccall f_14982(C_word c,C_word *av) C_noret;
C_noret_decl(f_14990)
static void C_ccall f_14990(C_word c,C_word *av) C_noret;
C_noret_decl(f_14996)
static void C_ccall f_14996(C_word c,C_word *av) C_noret;
C_noret_decl(f_15016)
static void C_fcall f_15016(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_15041)
static void C_ccall f_15041(C_word c,C_word *av) C_noret;
C_noret_decl(f_15047)
static void C_ccall f_15047(C_word c,C_word *av) C_noret;
C_noret_decl(f_15051)
static void C_ccall f_15051(C_word c,C_word *av) C_noret;
C_noret_decl(f_15058)
static void C_ccall f_15058(C_word c,C_word *av) C_noret;
C_noret_decl(f_15078)
static void C_fcall f_15078(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_15099)
static void C_ccall f_15099(C_word c,C_word *av) C_noret;
C_noret_decl(f_15113)
static void C_ccall f_15113(C_word c,C_word *av) C_noret;
C_noret_decl(f_15120)
static void C_ccall f_15120(C_word c,C_word *av) C_noret;
C_noret_decl(f_15125)
static void C_ccall f_15125(C_word c,C_word *av) C_noret;
C_noret_decl(f_15131)
static void C_ccall f_15131(C_word c,C_word *av) C_noret;
C_noret_decl(f_15135)
static void C_ccall f_15135(C_word c,C_word *av) C_noret;
C_noret_decl(f_15138)
static void C_ccall f_15138(C_word c,C_word *av) C_noret;
C_noret_decl(f_15145)
static void C_ccall f_15145(C_word c,C_word *av) C_noret;
C_noret_decl(f_15166)
static void C_ccall f_15166(C_word c,C_word *av) C_noret;
C_noret_decl(f_15180)
static void C_ccall f_15180(C_word c,C_word *av) C_noret;
C_noret_decl(f_15184)
static void C_ccall f_15184(C_word c,C_word *av) C_noret;
C_noret_decl(f_15221)
static void C_ccall f_15221(C_word c,C_word *av) C_noret;
C_noret_decl(f_15229)
static void C_ccall f_15229(C_word c,C_word *av) C_noret;
C_noret_decl(f_15256)
static void C_ccall f_15256(C_word c,C_word *av) C_noret;
C_noret_decl(f_15259)
static void C_ccall f_15259(C_word c,C_word *av) C_noret;
C_noret_decl(f_15276)
static void C_ccall f_15276(C_word c,C_word *av) C_noret;
C_noret_decl(f_15279)
static void C_fcall f_15279(C_word t0,C_word t1) C_noret;
C_noret_decl(f_15286)
static void C_ccall f_15286(C_word c,C_word *av) C_noret;
C_noret_decl(f_15297)
static void C_ccall f_15297(C_word c,C_word *av) C_noret;
C_noret_decl(f_15308)
static void C_ccall f_15308(C_word c,C_word *av) C_noret;
C_noret_decl(f_15333)
static void C_fcall f_15333(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_15348)
static void C_ccall f_15348(C_word c,C_word *av) C_noret;
C_noret_decl(f_15371)
static void C_fcall f_15371(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4) C_noret;
C_noret_decl(f_15374)
static C_word C_fcall f_15374(C_word t0);
C_noret_decl(f_15384)
static void C_fcall f_15384(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_15442)
static void C_ccall f_15442(C_word c,C_word *av) C_noret;
C_noret_decl(f_15458)
static void C_fcall f_15458(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_15464)
static void C_fcall f_15464(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_15527)
static void C_fcall f_15527(C_word t0,C_word t1) C_noret;
C_noret_decl(f_15566)
static void C_fcall f_15566(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_15572)
static void C_fcall f_15572(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_15616)
static void C_fcall f_15616(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4) C_noret;
C_noret_decl(f_15620)
static void C_ccall f_15620(C_word c,C_word *av) C_noret;
C_noret_decl(f_15623)
static void C_ccall f_15623(C_word c,C_word *av) C_noret;
C_noret_decl(f_15672)
static void C_fcall f_15672(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_15687)
static void C_fcall f_15687(C_word t0,C_word t1) C_noret;
C_noret_decl(f_15696)
static void C_ccall f_15696(C_word c,C_word *av) C_noret;
C_noret_decl(f_15733)
static void C_fcall f_15733(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4) C_noret;
C_noret_decl(f_15743)
static void C_ccall f_15743(C_word c,C_word *av) C_noret;
C_noret_decl(f_15752)
static void C_fcall f_15752(C_word t0,C_word t1) C_noret;
C_noret_decl(f_15755)
static void C_fcall f_15755(C_word t0,C_word t1) C_noret;
C_noret_decl(f_15764)
static void C_fcall f_15764(C_word t0,C_word t1) C_noret;
C_noret_decl(f_15773)
static void C_ccall f_15773(C_word c,C_word *av) C_noret;
C_noret_decl(f_15785)
static void C_ccall f_15785(C_word c,C_word *av) C_noret;
C_noret_decl(f_15791)
static void C_fcall f_15791(C_word t0,C_word t1) C_noret;
C_noret_decl(f_15797)
static void C_ccall f_15797(C_word c,C_word *av) C_noret;
C_noret_decl(f_15838)
static void C_ccall f_15838(C_word c,C_word *av) C_noret;
C_noret_decl(f_15945)
static void C_fcall f_15945(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_15952)
static void C_fcall f_15952(C_word t0,C_word t1) C_noret;
C_noret_decl(f_15965)
static void C_ccall f_15965(C_word c,C_word *av) C_noret;
C_noret_decl(f_15971)
static void C_fcall f_15971(C_word t0,C_word t1) C_noret;
C_noret_decl(f_16023)
static void C_fcall f_16023(C_word t0,C_word t1) C_noret;
C_noret_decl(f_16038)
static void C_ccall f_16038(C_word c,C_word *av) C_noret;
C_noret_decl(f_16048)
static void C_ccall f_16048(C_word c,C_word *av) C_noret;
C_noret_decl(f_16084)
static void C_ccall f_16084(C_word c,C_word *av) C_noret;
C_noret_decl(f_16110)
static void C_ccall f_16110(C_word c,C_word *av) C_noret;
C_noret_decl(f_16121)
static void C_ccall f_16121(C_word c,C_word *av) C_noret;
C_noret_decl(f_16288)
static void C_fcall f_16288(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_16303)
static void C_fcall f_16303(C_word t0,C_word t1) C_noret;
C_noret_decl(f_16329)
static void C_fcall f_16329(C_word t0,C_word t1) C_noret;
C_noret_decl(f_16361)
static void C_fcall f_16361(C_word t0,C_word t1) C_noret;
C_noret_decl(f_16398)
static void C_ccall f_16398(C_word c,C_word *av) C_noret;
C_noret_decl(f_16422)
static void C_fcall f_16422(C_word t0,C_word t1) C_noret;
C_noret_decl(f_16472)
static void C_ccall f_16472(C_word c,C_word *av) C_noret;
C_noret_decl(f_16520)
static void C_ccall f_16520(C_word c,C_word *av) C_noret;
C_noret_decl(f_16523)
static void C_ccall f_16523(C_word c,C_word *av) C_noret;
C_noret_decl(f_16542)
static void C_fcall f_16542(C_word t0,C_word t1) C_noret;
C_noret_decl(f_16612)
static void C_ccall f_16612(C_word c,C_word *av) C_noret;
C_noret_decl(f_16633)
static void C_fcall f_16633(C_word t0,C_word t1) C_noret;
C_noret_decl(f_16680)
static void C_ccall f_16680(C_word c,C_word *av) C_noret;
C_noret_decl(f_16772)
static void C_ccall f_16772(C_word c,C_word *av) C_noret;
C_noret_decl(f_16782)
static void C_ccall f_16782(C_word c,C_word *av) C_noret;
C_noret_decl(f_16791)
static void C_fcall f_16791(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4,C_word t5) C_noret;
C_noret_decl(f_16798)
static void C_fcall f_16798(C_word t0,C_word t1) C_noret;
C_noret_decl(f_17027)
static void C_ccall f_17027(C_word c,C_word *av) C_noret;
C_noret_decl(f_17073)
static void C_ccall f_17073(C_word c,C_word *av) C_noret;
C_noret_decl(f_17076)
static void C_fcall f_17076(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4) C_noret;
C_noret_decl(f_17103)
static void C_fcall f_17103(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_17127)
static void C_ccall f_17127(C_word c,C_word *av) C_noret;
C_noret_decl(f_17144)
static void C_fcall f_17144(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_17243)
static void C_ccall f_17243(C_word c,C_word *av) C_noret;
C_noret_decl(f_17246)
static void C_ccall f_17246(C_word c,C_word *av) C_noret;
C_noret_decl(f_17255)
static void C_ccall f_17255(C_word c,C_word *av) C_noret;
C_noret_decl(f_17271)
static void C_ccall f_17271(C_word c,C_word *av) C_noret;
C_noret_decl(f_17282)
static void C_ccall f_17282(C_word c,C_word *av) C_noret;
C_noret_decl(f_17284)
static void C_ccall f_17284(C_word c,C_word *av) C_noret;
C_noret_decl(f_17295)
static void C_ccall f_17295(C_word c,C_word *av) C_noret;
C_noret_decl(f_17297)
static void C_ccall f_17297(C_word c,C_word *av) C_noret;
C_noret_decl(f_17308)
static void C_ccall f_17308(C_word c,C_word *av) C_noret;
C_noret_decl(f_17310)
static void C_ccall f_17310(C_word c,C_word *av) C_noret;
C_noret_decl(f_17327)
static void C_ccall f_17327(C_word c,C_word *av) C_noret;
C_noret_decl(f_17331)
static void C_ccall f_17331(C_word c,C_word *av) C_noret;
C_noret_decl(f_17335)
static void C_ccall f_17335(C_word c,C_word *av) C_noret;
C_noret_decl(f_17344)
static void C_ccall f_17344(C_word c,C_word *av) C_noret;
C_noret_decl(f_17364)
static void C_ccall f_17364(C_word c,C_word *av) C_noret;
C_noret_decl(f_17372)
static void C_ccall f_17372(C_word c,C_word *av) C_noret;
C_noret_decl(f_17387)
static void C_ccall f_17387(C_word c,C_word *av) C_noret;
C_noret_decl(f_17389)
static void C_fcall f_17389(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_17414)
static void C_ccall f_17414(C_word c,C_word *av) C_noret;
C_noret_decl(f_17423)
static void C_ccall f_17423(C_word c,C_word *av) C_noret;
C_noret_decl(f_17432)
static void C_ccall f_17432(C_word c,C_word *av) C_noret;
C_noret_decl(f_17443)
static void C_ccall f_17443(C_word c,C_word *av) C_noret;
C_noret_decl(f_17453)
static void C_ccall f_17453(C_word c,C_word *av) C_noret;
C_noret_decl(f_17460)
static void C_ccall f_17460(C_word c,C_word *av) C_noret;
C_noret_decl(f_17471)
static void C_ccall f_17471(C_word c,C_word *av) C_noret;
C_noret_decl(f_17499)
static void C_ccall f_17499(C_word c,C_word *av) C_noret;
C_noret_decl(f_17503)
static void C_ccall f_17503(C_word c,C_word *av) C_noret;
C_noret_decl(f_17505)
static void C_ccall f_17505(C_word c,C_word *av) C_noret;
C_noret_decl(f_17509)
static void C_ccall f_17509(C_word c,C_word *av) C_noret;
C_noret_decl(f_17514)
static void C_ccall f_17514(C_word c,C_word *av) C_noret;
C_noret_decl(f_17520)
static void C_ccall f_17520(C_word c,C_word *av) C_noret;
C_noret_decl(f_17524)
static void C_ccall f_17524(C_word c,C_word *av) C_noret;
C_noret_decl(f_17529)
static void C_ccall f_17529(C_word c,C_word *av) C_noret;
C_noret_decl(f_17539)
static void C_ccall f_17539(C_word c,C_word *av) C_noret;
C_noret_decl(f_17541)
static void C_ccall f_17541(C_word c,C_word *av) C_noret;
C_noret_decl(f_17545)
static void C_ccall f_17545(C_word c,C_word *av) C_noret;
C_noret_decl(f_17551)
static void C_ccall f_17551(C_word c,C_word *av) C_noret;
C_noret_decl(f_17553)
static void C_ccall f_17553(C_word c,C_word *av) C_noret;
C_noret_decl(f_17557)
static void C_ccall f_17557(C_word c,C_word *av) C_noret;
C_noret_decl(f_17560)
static void C_ccall f_17560(C_word c,C_word *av) C_noret;
C_noret_decl(f_17576)
static void C_ccall f_17576(C_word c,C_word *av) C_noret;
C_noret_decl(f_17580)
static void C_ccall f_17580(C_word c,C_word *av) C_noret;
C_noret_decl(f_17583)
static void C_ccall f_17583(C_word c,C_word *av) C_noret;
C_noret_decl(f_17605)
static void C_ccall f_17605(C_word c,C_word *av) C_noret;
C_noret_decl(f_17621)
static void C_ccall f_17621(C_word c,C_word *av) C_noret;
C_noret_decl(f_17626)
static C_word C_fcall f_17626(C_word t0,C_word t1,C_word t2);
C_noret_decl(f_17657)
static void C_ccall f_17657(C_word c,C_word *av) C_noret;
C_noret_decl(f_17666)
static void C_fcall f_17666(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_17684)
static void C_ccall f_17684(C_word c,C_word *av) C_noret;
C_noret_decl(f_17690)
static void C_ccall f_17690(C_word c,C_word *av) C_noret;
C_noret_decl(f_17696)
static void C_ccall f_17696(C_word c,C_word *av) C_noret;
C_noret_decl(f_17705)
static C_word C_fcall f_17705(C_word t0,C_word t1);
C_noret_decl(f_17724)
static void C_ccall f_17724(C_word c,C_word *av) C_noret;
C_noret_decl(f_17740)
static void C_fcall f_17740(C_word t0,C_word t1) C_noret;
C_noret_decl(f_17743)
static void C_ccall f_17743(C_word c,C_word *av) C_noret;
C_noret_decl(f_17746)
static void C_ccall f_17746(C_word c,C_word *av) C_noret;
C_noret_decl(f_17751)
static C_word C_fcall f_17751(C_word t0,C_word t1);
C_noret_decl(f_17793)
static void C_ccall f_17793(C_word c,C_word *av) C_noret;
C_noret_decl(f_17812)
static void C_ccall f_17812(C_word c,C_word *av) C_noret;
C_noret_decl(f_17815)
static void C_ccall f_17815(C_word c,C_word *av) C_noret;
C_noret_decl(f_17818)
static void C_ccall f_17818(C_word c,C_word *av) C_noret;
C_noret_decl(f_17823)
static C_word C_fcall f_17823(C_word t0,C_word t1);
C_noret_decl(f_17864)
static void C_ccall f_17864(C_word c,C_word *av) C_noret;
C_noret_decl(f_17874)
static void C_ccall f_17874(C_word c,C_word *av) C_noret;
C_noret_decl(f_17885)
static void C_fcall f_17885(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_17889)
static void C_ccall f_17889(C_word c,C_word *av) C_noret;
C_noret_decl(f_17892)
static void C_ccall f_17892(C_word c,C_word *av) C_noret;
C_noret_decl(f_17897)
static C_word C_fcall f_17897(C_word t0,C_word t1);
C_noret_decl(f_17924)
static void C_ccall f_17924(C_word c,C_word *av) C_noret;
C_noret_decl(f_17938)
static void C_ccall f_17938(C_word c,C_word *av) C_noret;
C_noret_decl(f_17949)
static void C_ccall f_17949(C_word c,C_word *av) C_noret;
C_noret_decl(f_17960)
static void C_ccall f_17960(C_word c,C_word *av) C_noret;
C_noret_decl(f_17971)
static void C_ccall f_17971(C_word c,C_word *av) C_noret;
C_noret_decl(f_17984)
static void C_ccall f_17984(C_word c,C_word *av) C_noret;
C_noret_decl(f_17986)
static void C_fcall f_17986(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_17999)
static C_word C_fcall f_17999(C_word t0,C_word t1);
C_noret_decl(f_18027)
static void C_ccall f_18027(C_word c,C_word *av) C_noret;
C_noret_decl(f_18031)
static void C_fcall f_18031(C_word t0,C_word t1) C_noret;
C_noret_decl(f_18040)
static void C_ccall f_18040(C_word c,C_word *av) C_noret;
C_noret_decl(f_18058)
static void C_ccall f_18058(C_word c,C_word *av) C_noret;
C_noret_decl(f_18061)
static void C_ccall f_18061(C_word c,C_word *av) C_noret;
C_noret_decl(f_18144)
static void C_ccall f_18144(C_word c,C_word *av) C_noret;
C_noret_decl(f_18147)
static void C_ccall f_18147(C_word c,C_word *av) C_noret;
C_noret_decl(f_18150)
static void C_ccall f_18150(C_word c,C_word *av) C_noret;
C_noret_decl(f_18153)
static void C_ccall f_18153(C_word c,C_word *av) C_noret;
C_noret_decl(f_18156)
static void C_ccall f_18156(C_word c,C_word *av) C_noret;
C_noret_decl(f_18159)
static void C_ccall f_18159(C_word c,C_word *av) C_noret;
C_noret_decl(f_18162)
static void C_ccall f_18162(C_word c,C_word *av) C_noret;
C_noret_decl(f_18165)
static void C_ccall f_18165(C_word c,C_word *av) C_noret;
C_noret_decl(f_18168)
static void C_ccall f_18168(C_word c,C_word *av) C_noret;
C_noret_decl(f_18171)
static void C_ccall f_18171(C_word c,C_word *av) C_noret;
C_noret_decl(f_18174)
static void C_ccall f_18174(C_word c,C_word *av) C_noret;
C_noret_decl(f_18177)
static void C_ccall f_18177(C_word c,C_word *av) C_noret;
C_noret_decl(f_18180)
static void C_ccall f_18180(C_word c,C_word *av) C_noret;
C_noret_decl(f_18183)
static void C_ccall f_18183(C_word c,C_word *av) C_noret;
C_noret_decl(f_18188)
static void C_ccall f_18188(C_word c,C_word *av) C_noret;
C_noret_decl(f_18194)
static void C_fcall f_18194(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_18210)
static void C_ccall f_18210(C_word c,C_word *av) C_noret;
C_noret_decl(f_18226)
static void C_ccall f_18226(C_word c,C_word *av) C_noret;
C_noret_decl(f_18232)
static void C_fcall f_18232(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_18252)
static void C_ccall f_18252(C_word c,C_word *av) C_noret;
C_noret_decl(f_18256)
static void C_ccall f_18256(C_word c,C_word *av) C_noret;
C_noret_decl(f_18268)
static void C_ccall f_18268(C_word c,C_word *av) C_noret;
C_noret_decl(f_18300)
static void C_ccall f_18300(C_word c,C_word *av) C_noret;
C_noret_decl(f_18304)
static void C_ccall f_18304(C_word c,C_word *av) C_noret;
C_noret_decl(f_18312)
static void C_ccall f_18312(C_word c,C_word *av) C_noret;
C_noret_decl(f_18322)
static void C_fcall f_18322(C_word t0,C_word t1) C_noret;
C_noret_decl(f_18330)
static C_word C_fcall f_18330(C_word t0);
C_noret_decl(f_18366)
static void C_ccall f_18366(C_word c,C_word *av) C_noret;
C_noret_decl(f_18381)
static void C_fcall f_18381(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_18391)
static void C_ccall f_18391(C_word c,C_word *av) C_noret;
C_noret_decl(f_18411)
static void C_fcall f_18411(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_18424)
static void C_ccall f_18424(C_word c,C_word *av) C_noret;
C_noret_decl(f_18431)
static void C_ccall f_18431(C_word c,C_word *av) C_noret;
C_noret_decl(f_18433)
static void C_ccall f_18433(C_word c,C_word *av) C_noret;
C_noret_decl(f_18441)
static void C_ccall f_18441(C_word c,C_word *av) C_noret;
C_noret_decl(f_18443)
static void C_ccall f_18443(C_word c,C_word *av) C_noret;
C_noret_decl(f_18452)
static void C_ccall f_18452(C_word c,C_word *av) C_noret;
C_noret_decl(f_18470)
static void C_fcall f_18470(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_18495)
static void C_ccall f_18495(C_word c,C_word *av) C_noret;
C_noret_decl(f_18511)
static void C_fcall f_18511(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_18528)
static void C_ccall f_18528(C_word c,C_word *av) C_noret;
C_noret_decl(f_18532)
static void C_ccall f_18532(C_word c,C_word *av) C_noret;
C_noret_decl(f_18536)
static void C_ccall f_18536(C_word c,C_word *av) C_noret;
C_noret_decl(f_18538)
static void C_ccall f_18538(C_word c,C_word *av) C_noret;
C_noret_decl(f_18546)
static void C_ccall f_18546(C_word c,C_word *av) C_noret;
C_noret_decl(f_18548)
static void C_ccall f_18548(C_word c,C_word *av) C_noret;
C_noret_decl(f_18555)
static void C_ccall f_18555(C_word c,C_word *av) C_noret;
C_noret_decl(f_18559)
static void C_ccall f_18559(C_word c,C_word *av) C_noret;
C_noret_decl(f_18563)
static void C_ccall f_18563(C_word c,C_word *av) C_noret;
C_noret_decl(f_18572)
static void C_ccall f_18572(C_word c,C_word *av) C_noret;
C_noret_decl(f_18580)
static void C_ccall f_18580(C_word c,C_word *av) C_noret;
C_noret_decl(f_18590)
static void C_ccall f_18590(C_word c,C_word *av) C_noret;
C_noret_decl(f_18596)
static void C_ccall f_18596(C_word c,C_word *av) C_noret;
C_noret_decl(f_18599)
static void C_ccall f_18599(C_word c,C_word *av) C_noret;
C_noret_decl(f_18603)
static void C_ccall f_18603(C_word c,C_word *av) C_noret;
C_noret_decl(f_18630)
static void C_fcall f_18630(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_18646)
static void C_ccall f_18646(C_word c,C_word *av) C_noret;
C_noret_decl(f_18652)
static void C_ccall f_18652(C_word c,C_word *av) C_noret;
C_noret_decl(f_18675)
static void C_ccall f_18675(C_word c,C_word *av) C_noret;
C_noret_decl(f_18688)
static void C_ccall f_18688(C_word c,C_word *av) C_noret;
C_noret_decl(f_18694)
static void C_ccall f_18694(C_word c,C_word *av) C_noret;
C_noret_decl(f_18699)
static void C_ccall f_18699(C_word c,C_word *av) C_noret;
C_noret_decl(f_18704)
static void C_ccall f_18704(C_word c,C_word *av) C_noret;
C_noret_decl(f_18708)
static void C_ccall f_18708(C_word c,C_word *av) C_noret;
C_noret_decl(f_18717)
static void C_ccall f_18717(C_word c,C_word *av) C_noret;
C_noret_decl(f_18748)
static void C_ccall f_18748(C_word c,C_word *av) C_noret;
C_noret_decl(f_18752)
static void C_ccall f_18752(C_word c,C_word *av) C_noret;
C_noret_decl(f_18756)
static void C_ccall f_18756(C_word c,C_word *av) C_noret;
C_noret_decl(f_18759)
static void C_ccall f_18759(C_word c,C_word *av) C_noret;
C_noret_decl(f_18762)
static void C_ccall f_18762(C_word c,C_word *av) C_noret;
C_noret_decl(f_18765)
static void C_ccall f_18765(C_word c,C_word *av) C_noret;
C_noret_decl(f_18767)
static void C_ccall f_18767(C_word c,C_word *av) C_noret;
C_noret_decl(f_18778)
static void C_ccall f_18778(C_word c,C_word *av) C_noret;
C_noret_decl(f_18789)
static void C_ccall f_18789(C_word c,C_word *av) C_noret;
C_noret_decl(f_18800)
static void C_ccall f_18800(C_word c,C_word *av) C_noret;
C_noret_decl(f_18811)
static void C_ccall f_18811(C_word c,C_word *av) C_noret;
C_noret_decl(f_18824)
static void C_ccall f_18824(C_word c,C_word *av) C_noret;
C_noret_decl(f_18826)
static C_word C_fcall f_18826(C_word t0,C_word t1);
C_noret_decl(f_18832)
static C_word C_fcall f_18832(C_word t0);
C_noret_decl(f_18837)
static C_word C_fcall f_18837(C_word t0);
C_noret_decl(f_18872)
static void C_ccall f_18872(C_word c,C_word *av) C_noret;
C_noret_decl(f_18885)
static void C_ccall f_18885(C_word c,C_word *av) C_noret;
C_noret_decl(f_18887)
static C_word C_fcall f_18887(C_word t0,C_word t1);
C_noret_decl(f_18893)
static C_word C_fcall f_18893(C_word t0);
C_noret_decl(f_18898)
static C_word C_fcall f_18898(C_word t0);
C_noret_decl(f_18933)
static void C_ccall f_18933(C_word c,C_word *av) C_noret;
C_noret_decl(f_18946)
static void C_ccall f_18946(C_word c,C_word *av) C_noret;
C_noret_decl(f_18948)
static C_word C_fcall f_18948(C_word t0,C_word t1);
C_noret_decl(f_18954)
static C_word C_fcall f_18954(C_word t0);
C_noret_decl(f_18959)
static C_word C_fcall f_18959(C_word t0);
C_noret_decl(f_18994)
static void C_ccall f_18994(C_word c,C_word *av) C_noret;
C_noret_decl(f_19006)
static void C_ccall f_19006(C_word c,C_word *av) C_noret;
C_noret_decl(f_19008)
static void C_ccall f_19008(C_word c,C_word *av) C_noret;
C_noret_decl(f_19014)
static void C_ccall f_19014(C_word c,C_word *av) C_noret;
C_noret_decl(f_19020)
static void C_fcall f_19020(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4) C_noret;
C_noret_decl(f_19030)
static void C_ccall f_19030(C_word c,C_word *av) C_noret;
C_noret_decl(f_19033)
static void C_ccall f_19033(C_word c,C_word *av) C_noret;
C_noret_decl(f_19036)
static void C_ccall f_19036(C_word c,C_word *av) C_noret;
C_noret_decl(f_19039)
static void C_ccall f_19039(C_word c,C_word *av) C_noret;
C_noret_decl(f_19042)
static void C_ccall f_19042(C_word c,C_word *av) C_noret;
C_noret_decl(f_19049)
static void C_ccall f_19049(C_word c,C_word *av) C_noret;
C_noret_decl(f_19053)
static void C_ccall f_19053(C_word c,C_word *av) C_noret;
C_noret_decl(f_19057)
static void C_ccall f_19057(C_word c,C_word *av) C_noret;
C_noret_decl(f_19063)
static void C_fcall f_19063(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_19076)
static void C_ccall f_19076(C_word c,C_word *av) C_noret;
C_noret_decl(f_19118)
static void C_fcall f_19118(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_19122)
static void C_ccall f_19122(C_word c,C_word *av) C_noret;
C_noret_decl(f_19155)
static void C_ccall f_19155(C_word c,C_word *av) C_noret;
C_noret_decl(f_19161)
static void C_ccall f_19161(C_word c,C_word *av) C_noret;
C_noret_decl(f_19167)
static void C_ccall f_19167(C_word c,C_word *av) C_noret;
C_noret_decl(f_19173)
static void C_ccall f_19173(C_word c,C_word *av) C_noret;
C_noret_decl(f_19179)
static void C_ccall f_19179(C_word c,C_word *av) C_noret;
C_noret_decl(f_19183)
static void C_ccall f_19183(C_word c,C_word *av) C_noret;
C_noret_decl(f_19188)
static void C_ccall f_19188(C_word c,C_word *av) C_noret;
C_noret_decl(f_19194)
static void C_ccall f_19194(C_word c,C_word *av) C_noret;
C_noret_decl(f_19198)
static void C_ccall f_19198(C_word c,C_word *av) C_noret;
C_noret_decl(f_19203)
static void C_ccall f_19203(C_word c,C_word *av) C_noret;
C_noret_decl(f_19207)
static void C_ccall f_19207(C_word c,C_word *av) C_noret;
C_noret_decl(f_19212)
static void C_ccall f_19212(C_word c,C_word *av) C_noret;
C_noret_decl(f_19218)
static void C_ccall f_19218(C_word c,C_word *av) C_noret;
C_noret_decl(f_19222)
static void C_ccall f_19222(C_word c,C_word *av) C_noret;
C_noret_decl(f_19227)
static void C_ccall f_19227(C_word c,C_word *av) C_noret;
C_noret_decl(f_19231)
static void C_ccall f_19231(C_word c,C_word *av) C_noret;
C_noret_decl(f_19236)
static void C_ccall f_19236(C_word c,C_word *av) C_noret;
C_noret_decl(f_19241)
static void C_ccall f_19241(C_word c,C_word *av) C_noret;
C_noret_decl(f_19247)
static void C_ccall f_19247(C_word c,C_word *av) C_noret;
C_noret_decl(f_19251)
static void C_ccall f_19251(C_word c,C_word *av) C_noret;
C_noret_decl(f_19256)
static void C_ccall f_19256(C_word c,C_word *av) C_noret;
C_noret_decl(f_19261)
static void C_ccall f_19261(C_word c,C_word *av) C_noret;
C_noret_decl(f_19265)
static void C_ccall f_19265(C_word c,C_word *av) C_noret;
C_noret_decl(f_19270)
static void C_ccall f_19270(C_word c,C_word *av) C_noret;
C_noret_decl(f_19275)
static void C_ccall f_19275(C_word c,C_word *av) C_noret;
C_noret_decl(f_19281)
static void C_ccall f_19281(C_word c,C_word *av) C_noret;
C_noret_decl(f_19285)
static void C_ccall f_19285(C_word c,C_word *av) C_noret;
C_noret_decl(f_19290)
static void C_ccall f_19290(C_word c,C_word *av) C_noret;
C_noret_decl(f_19295)
static void C_ccall f_19295(C_word c,C_word *av) C_noret;
C_noret_decl(f_19300)
static void C_ccall f_19300(C_word c,C_word *av) C_noret;
C_noret_decl(f_19321)
static void C_ccall f_19321(C_word c,C_word *av) C_noret;
C_noret_decl(f_19328)
static void C_ccall f_19328(C_word c,C_word *av) C_noret;
C_noret_decl(f_19334)
static void C_ccall f_19334(C_word c,C_word *av) C_noret;
C_noret_decl(f_19352)
static void C_ccall f_19352(C_word c,C_word *av) C_noret;
C_noret_decl(f_19361)
static void C_ccall f_19361(C_word c,C_word *av) C_noret;
C_noret_decl(f_19374)
static void C_fcall f_19374(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_19382)
static void C_ccall f_19382(C_word c,C_word *av) C_noret;
C_noret_decl(f_19387)
static void C_fcall f_19387(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_19424)
static void C_ccall f_19424(C_word c,C_word *av) C_noret;
C_noret_decl(f_19436)
static void C_ccall f_19436(C_word c,C_word *av) C_noret;
C_noret_decl(f_19446)
static void C_fcall f_19446(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_19462)
static void C_ccall f_19462(C_word c,C_word *av) C_noret;
C_noret_decl(f_19475)
static void C_ccall f_19475(C_word c,C_word *av) C_noret;
C_noret_decl(f_19482)
static void C_ccall f_19482(C_word c,C_word *av) C_noret;
C_noret_decl(f_19484)
static void C_ccall f_19484(C_word c,C_word *av) C_noret;
C_noret_decl(f_19497)
static void C_ccall f_19497(C_word c,C_word *av) C_noret;
C_noret_decl(f_19503)
static void C_ccall f_19503(C_word c,C_word *av) C_noret;
C_noret_decl(f_19510)
static void C_ccall f_19510(C_word c,C_word *av) C_noret;
C_noret_decl(f_19512)
static void C_ccall f_19512(C_word c,C_word *av) C_noret;
C_noret_decl(f_19516)
static void C_ccall f_19516(C_word c,C_word *av) C_noret;
C_noret_decl(f_19519)
static void C_ccall f_19519(C_word c,C_word *av) C_noret;
C_noret_decl(f_19529)
static void C_ccall f_19529(C_word c,C_word *av) C_noret;
C_noret_decl(f_19533)
static void C_ccall f_19533(C_word c,C_word *av) C_noret;
C_noret_decl(f_19541)
static void C_ccall f_19541(C_word c,C_word *av) C_noret;
C_noret_decl(f_19544)
static void C_ccall f_19544(C_word c,C_word *av) C_noret;
C_noret_decl(f_19551)
static void C_ccall f_19551(C_word c,C_word *av) C_noret;
C_noret_decl(f_19554)
static void C_ccall f_19554(C_word c,C_word *av) C_noret;
C_noret_decl(f_19557)
static void C_ccall f_19557(C_word c,C_word *av) C_noret;
C_noret_decl(f_19560)
static void C_ccall f_19560(C_word c,C_word *av) C_noret;
C_noret_decl(f_19568)
static void C_ccall f_19568(C_word c,C_word *av) C_noret;
C_noret_decl(f_19576)
static void C_ccall f_19576(C_word c,C_word *av) C_noret;
C_noret_decl(f_19578)
static void C_ccall f_19578(C_word c,C_word *av) C_noret;
C_noret_decl(f_19594)
static void C_ccall f_19594(C_word c,C_word *av) C_noret;
C_noret_decl(f_19621)
static void C_ccall f_19621(C_word c,C_word *av) C_noret;
C_noret_decl(f_19625)
static void C_ccall f_19625(C_word c,C_word *av) C_noret;
C_noret_decl(f_19629)
static void C_ccall f_19629(C_word c,C_word *av) C_noret;
C_noret_decl(f_19633)
static void C_ccall f_19633(C_word c,C_word *av) C_noret;
C_noret_decl(f_19637)
static void C_ccall f_19637(C_word c,C_word *av) C_noret;
C_noret_decl(f_19641)
static void C_ccall f_19641(C_word c,C_word *av) C_noret;
C_noret_decl(f_19645)
static void C_ccall f_19645(C_word c,C_word *av) C_noret;
C_noret_decl(f_19649)
static void C_ccall f_19649(C_word c,C_word *av) C_noret;
C_noret_decl(f_19653)
static void C_ccall f_19653(C_word c,C_word *av) C_noret;
C_noret_decl(f_19657)
static void C_ccall f_19657(C_word c,C_word *av) C_noret;
C_noret_decl(f_19661)
static void C_ccall f_19661(C_word c,C_word *av) C_noret;
C_noret_decl(f_19665)
static void C_ccall f_19665(C_word c,C_word *av) C_noret;
C_noret_decl(f_19669)
static void C_ccall f_19669(C_word c,C_word *av) C_noret;
C_noret_decl(f_19673)
static void C_ccall f_19673(C_word c,C_word *av) C_noret;
C_noret_decl(f_19677)
static void C_ccall f_19677(C_word c,C_word *av) C_noret;
C_noret_decl(f_19681)
static void C_ccall f_19681(C_word c,C_word *av) C_noret;
C_noret_decl(f_19685)
static void C_ccall f_19685(C_word c,C_word *av) C_noret;
C_noret_decl(f_19692)
static void C_ccall f_19692(C_word c,C_word *av) C_noret;
C_noret_decl(f_19699)
static void C_ccall f_19699(C_word c,C_word *av) C_noret;
C_noret_decl(f_19700)
static void C_fcall f_19700(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4,C_word t5) C_noret;
C_noret_decl(f_19704)
static void C_fcall f_19704(C_word t0,C_word t1) C_noret;
C_noret_decl(f_19707)
static void C_ccall f_19707(C_word c,C_word *av) C_noret;
C_noret_decl(f_19723)
static void C_ccall f_19723(C_word c,C_word *av) C_noret;
C_noret_decl(f_19734)
static void C_fcall f_19734(C_word t0,C_word t1) C_noret;
C_noret_decl(f_19742)
static void C_ccall f_19742(C_word c,C_word *av) C_noret;
C_noret_decl(f_19754)
static void C_fcall f_19754(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_19763)
static void C_fcall f_19763(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_19768)
static void C_fcall f_19768(C_word t0,C_word t1) C_noret;
C_noret_decl(f_19824)
static void C_ccall f_19824(C_word c,C_word *av) C_noret;
C_noret_decl(f_19838)
static void C_ccall f_19838(C_word c,C_word *av) C_noret;
C_noret_decl(f_19850)
static void C_ccall f_19850(C_word c,C_word *av) C_noret;
C_noret_decl(f_19856)
static void C_ccall f_19856(C_word c,C_word *av) C_noret;
C_noret_decl(f_19881)
static void C_ccall f_19881(C_word c,C_word *av) C_noret;
C_noret_decl(f_19899)
static void C_ccall f_19899(C_word c,C_word *av) C_noret;
C_noret_decl(f_19903)
static void C_ccall f_19903(C_word c,C_word *av) C_noret;
C_noret_decl(f_19959)
static void C_ccall f_19959(C_word c,C_word *av) C_noret;
C_noret_decl(f_19968)
static void C_ccall f_19968(C_word c,C_word *av) C_noret;
C_noret_decl(f_19981)
static void C_ccall f_19981(C_word c,C_word *av) C_noret;
C_noret_decl(f_19993)
static void C_ccall f_19993(C_word c,C_word *av) C_noret;
C_noret_decl(f_20011)
static void C_ccall f_20011(C_word c,C_word *av) C_noret;
C_noret_decl(f_20031)
static void C_ccall f_20031(C_word c,C_word *av) C_noret;
C_noret_decl(f_20034)
static void C_ccall f_20034(C_word c,C_word *av) C_noret;
C_noret_decl(f_20037)
static void C_ccall f_20037(C_word c,C_word *av) C_noret;
C_noret_decl(f_20045)
static void C_ccall f_20045(C_word c,C_word *av) C_noret;
C_noret_decl(f_20049)
static void C_ccall f_20049(C_word c,C_word *av) C_noret;
C_noret_decl(f_20053)
static void C_ccall f_20053(C_word c,C_word *av) C_noret;
C_noret_decl(f_20057)
static void C_ccall f_20057(C_word c,C_word *av) C_noret;
C_noret_decl(f_20061)
static void C_ccall f_20061(C_word c,C_word *av) C_noret;
C_noret_decl(f_20063)
static void C_ccall f_20063(C_word c,C_word *av) C_noret;
C_noret_decl(f_20071)
static void C_ccall f_20071(C_word c,C_word *av) C_noret;
C_noret_decl(f_20074)
static void C_ccall f_20074(C_word c,C_word *av) C_noret;
C_noret_decl(f_20084)
static void C_ccall f_20084(C_word c,C_word *av) C_noret;
C_noret_decl(f_20086)
static void C_ccall f_20086(C_word c,C_word *av) C_noret;
C_noret_decl(f_20094)
static void C_ccall f_20094(C_word c,C_word *av) C_noret;
C_noret_decl(f_20097)
static void C_ccall f_20097(C_word c,C_word *av) C_noret;
C_noret_decl(f_20107)
static void C_ccall f_20107(C_word c,C_word *av) C_noret;
C_noret_decl(f_20112)
static void C_ccall f_20112(C_word c,C_word *av) C_noret;
C_noret_decl(f_20116)
static void C_ccall f_20116(C_word c,C_word *av) C_noret;
C_noret_decl(f_20119)
static void C_ccall f_20119(C_word c,C_word *av) C_noret;
C_noret_decl(f_20122)
static void C_ccall f_20122(C_word c,C_word *av) C_noret;
C_noret_decl(f_20125)
static void C_ccall f_20125(C_word c,C_word *av) C_noret;
C_noret_decl(f_20128)
static void C_ccall f_20128(C_word c,C_word *av) C_noret;
C_noret_decl(f_20130)
static void C_ccall f_20130(C_word c,C_word *av) C_noret;
C_noret_decl(f_20136)
static void C_fcall f_20136(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4) C_noret;
C_noret_decl(f_20145)
static void C_fcall f_20145(C_word t0,C_word t1) C_noret;
C_noret_decl(f_20153)
static void C_ccall f_20153(C_word c,C_word *av) C_noret;
C_noret_decl(f_20155)
static void C_fcall f_20155(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_20162)
static void C_fcall f_20162(C_word t0,C_word t1) C_noret;
C_noret_decl(f_20169)
static void C_ccall f_20169(C_word c,C_word *av) C_noret;
C_noret_decl(f_20182)
static void C_fcall f_20182(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_20186)
static void C_ccall f_20186(C_word c,C_word *av) C_noret;
C_noret_decl(f_20191)
static void C_fcall f_20191(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_20195)
static void C_ccall f_20195(C_word c,C_word *av) C_noret;
C_noret_decl(f_20206)
static void C_fcall f_20206(C_word t0,C_word t1) C_noret;
C_noret_decl(f_20209)
static void C_fcall f_20209(C_word t0,C_word t1) C_noret;
C_noret_decl(f_20217)
static void C_ccall f_20217(C_word c,C_word *av) C_noret;
C_noret_decl(f_20219)
static void C_fcall f_20219(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_20232)
static void C_ccall f_20232(C_word c,C_word *av) C_noret;
C_noret_decl(f_20239)
static void C_ccall f_20239(C_word c,C_word *av) C_noret;
C_noret_decl(f_20248)
static void C_ccall f_20248(C_word c,C_word *av) C_noret;
C_noret_decl(f_20255)
static void C_ccall f_20255(C_word c,C_word *av) C_noret;
C_noret_decl(f_20257)
static void C_fcall f_20257(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4) C_noret;
C_noret_decl(f_20263)
static void C_fcall f_20263(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_20273)
static void C_ccall f_20273(C_word c,C_word *av) C_noret;
C_noret_decl(f_20276)
static void C_ccall f_20276(C_word c,C_word *av) C_noret;
C_noret_decl(f_20286)
static void C_ccall f_20286(C_word c,C_word *av) C_noret;
C_noret_decl(f_20289)
static void C_ccall f_20289(C_word c,C_word *av) C_noret;
C_noret_decl(f_20317)
static void C_fcall f_20317(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_20321)
static void C_ccall f_20321(C_word c,C_word *av) C_noret;
C_noret_decl(f_20329)
static void C_fcall f_20329(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_20354)
static void C_fcall f_20354(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_20362)
static void C_ccall f_20362(C_word c,C_word *av) C_noret;
C_noret_decl(f_20364)
static void C_fcall f_20364(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_20381)
static void C_ccall f_20381(C_word c,C_word *av) C_noret;
C_noret_decl(f_20394)
static void C_ccall f_20394(C_word c,C_word *av) C_noret;
C_noret_decl(f_20411)
static void C_ccall f_20411(C_word c,C_word *av) C_noret;
C_noret_decl(f_20428)
static void C_ccall f_20428(C_word c,C_word *av) C_noret;
C_noret_decl(f_20445)
static void C_ccall f_20445(C_word c,C_word *av) C_noret;
C_noret_decl(f_20462)
static void C_ccall f_20462(C_word c,C_word *av) C_noret;
C_noret_decl(f_20483)
static void C_ccall f_20483(C_word c,C_word *av) C_noret;
C_noret_decl(f_20504)
static void C_ccall f_20504(C_word c,C_word *av) C_noret;
C_noret_decl(f_20528)
static void C_ccall f_20528(C_word c,C_word *av) C_noret;
C_noret_decl(f_20536)
static void C_ccall f_20536(C_word c,C_word *av) C_noret;
C_noret_decl(f_20545)
static void C_ccall f_20545(C_word c,C_word *av) C_noret;
C_noret_decl(f_20551)
static void C_ccall f_20551(C_word c,C_word *av) C_noret;
C_noret_decl(f_20557)
static void C_fcall f_20557(C_word t0,C_word t1) C_noret;
C_noret_decl(f_20560)
static void C_ccall f_20560(C_word c,C_word *av) C_noret;
C_noret_decl(f_20563)
static void C_ccall f_20563(C_word c,C_word *av) C_noret;
C_noret_decl(f_20573)
static void C_ccall f_20573(C_word c,C_word *av) C_noret;
C_noret_decl(f_20577)
static void C_ccall f_20577(C_word c,C_word *av) C_noret;
C_noret_decl(f_20594)
static void C_ccall f_20594(C_word c,C_word *av) C_noret;
C_noret_decl(f_20599)
static void C_ccall f_20599(C_word c,C_word *av) C_noret;
C_noret_decl(f_20606)
static void C_ccall f_20606(C_word c,C_word *av) C_noret;
C_noret_decl(f_20610)
static void C_ccall f_20610(C_word c,C_word *av) C_noret;
C_noret_decl(f_20619)
static void C_ccall f_20619(C_word c,C_word *av) C_noret;
C_noret_decl(f_20625)
static void C_ccall f_20625(C_word c,C_word *av) C_noret;
C_noret_decl(f_20635)
static void C_ccall f_20635(C_word c,C_word *av) C_noret;
C_noret_decl(f_20639)
static void C_ccall f_20639(C_word c,C_word *av) C_noret;
C_noret_decl(f_20648)
static void C_fcall f_20648(C_word t0,C_word t1) C_noret;
C_noret_decl(f_20655)
static void C_ccall f_20655(C_word c,C_word *av) C_noret;
C_noret_decl(f_20668)
static void C_fcall f_20668(C_word t0,C_word t1) C_noret;
C_noret_decl(f_20673)
static void C_fcall f_20673(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_20690)
static void C_ccall f_20690(C_word c,C_word *av) C_noret;
C_noret_decl(f_20705)
static void C_ccall f_20705(C_word c,C_word *av) C_noret;
C_noret_decl(f_20718)
static void C_ccall f_20718(C_word c,C_word *av) C_noret;
C_noret_decl(f_20740)
static void C_ccall f_20740(C_word c,C_word *av) C_noret;
C_noret_decl(f_20743)
static void C_ccall f_20743(C_word c,C_word *av) C_noret;
C_noret_decl(f_20772)
static void C_fcall f_20772(C_word t0,C_word t1) C_noret;
C_noret_decl(f_20782)
static void C_ccall f_20782(C_word c,C_word *av) C_noret;
C_noret_decl(f_20798)
static void C_ccall f_20798(C_word c,C_word *av) C_noret;
C_noret_decl(f_20809)
static void C_ccall f_20809(C_word c,C_word *av) C_noret;
C_noret_decl(f_20816)
static void C_ccall f_20816(C_word c,C_word *av) C_noret;
C_noret_decl(f_20914)
static void C_ccall f_20914(C_word c,C_word *av) C_noret;
C_noret_decl(f_20920)
static void C_fcall f_20920(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_20929)
static void C_fcall f_20929(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_20943)
static void C_ccall f_20943(C_word c,C_word *av) C_noret;
C_noret_decl(f_20946)
static void C_ccall f_20946(C_word c,C_word *av) C_noret;
C_noret_decl(f_20957)
static void C_ccall f_20957(C_word c,C_word *av) C_noret;
C_noret_decl(f_20959)
static void C_ccall f_20959(C_word c,C_word *av) C_noret;
C_noret_decl(f_20962)
static void C_ccall f_20962(C_word c,C_word *av) C_noret;
C_noret_decl(f_20979)
static void C_ccall f_20979(C_word c,C_word *av) C_noret;
C_noret_decl(f_20984)
static void C_fcall f_20984(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_20988)
static void C_ccall f_20988(C_word c,C_word *av) C_noret;
C_noret_decl(f_20991)
static void C_fcall f_20991(C_word t0,C_word t1) C_noret;
C_noret_decl(f_20994)
static void C_ccall f_20994(C_word c,C_word *av) C_noret;
C_noret_decl(f_21004)
static void C_ccall f_21004(C_word c,C_word *av) C_noret;
C_noret_decl(f_21022)
static void C_ccall f_21022(C_word c,C_word *av) C_noret;
C_noret_decl(f_21025)
static void C_ccall f_21025(C_word c,C_word *av) C_noret;
C_noret_decl(f_21034)
static void C_fcall f_21034(C_word t0,C_word t1) C_noret;
C_noret_decl(f_21037)
static void C_ccall f_21037(C_word c,C_word *av) C_noret;
C_noret_decl(f_21040)
static void C_ccall f_21040(C_word c,C_word *av) C_noret;
C_noret_decl(f_21046)
static void C_ccall f_21046(C_word c,C_word *av) C_noret;
C_noret_decl(f_21059)
static void C_ccall f_21059(C_word c,C_word *av) C_noret;
C_noret_decl(f_21063)
static void C_ccall f_21063(C_word c,C_word *av) C_noret;
C_noret_decl(f_21067)
static void C_ccall f_21067(C_word c,C_word *av) C_noret;
C_noret_decl(f_21078)
static void C_ccall f_21078(C_word c,C_word *av) C_noret;
C_noret_decl(f_21082)
static void C_ccall f_21082(C_word c,C_word *av) C_noret;
C_noret_decl(f_21085)
static void C_ccall f_21085(C_word c,C_word *av) C_noret;
C_noret_decl(f_21113)
static void C_ccall f_21113(C_word c,C_word *av) C_noret;
C_noret_decl(f_21169)
static void C_ccall f_21169(C_word c,C_word *av) C_noret;
C_noret_decl(f_21173)
static void C_ccall f_21173(C_word c,C_word *av) C_noret;
C_noret_decl(f_21180)
static void C_ccall f_21180(C_word c,C_word *av) C_noret;
C_noret_decl(f_21182)
static void C_fcall f_21182(C_word t0,C_word t1) C_noret;
C_noret_decl(f_21186)
static void C_ccall f_21186(C_word c,C_word *av) C_noret;
C_noret_decl(f_21200)
static void C_fcall f_21200(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_21206)
static void C_ccall f_21206(C_word c,C_word *av) C_noret;
C_noret_decl(f_21213)
static void C_ccall f_21213(C_word c,C_word *av) C_noret;
C_noret_decl(f_21220)
static void C_ccall f_21220(C_word c,C_word *av) C_noret;
C_noret_decl(f_21235)
static void C_fcall f_21235(C_word t0,C_word t1) C_noret;
C_noret_decl(f_21241)
static void C_ccall f_21241(C_word c,C_word *av) C_noret;
C_noret_decl(f_21270)
static void C_fcall f_21270(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_21280)
static void C_ccall f_21280(C_word c,C_word *av) C_noret;
C_noret_decl(f_21283)
static void C_ccall f_21283(C_word c,C_word *av) C_noret;
C_noret_decl(f_21319)
static void C_ccall f_21319(C_word c,C_word *av) C_noret;
C_noret_decl(f_21321)
static void C_fcall f_21321(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_21331)
static void C_ccall f_21331(C_word c,C_word *av) C_noret;
C_noret_decl(f_21334)
static void C_ccall f_21334(C_word c,C_word *av) C_noret;
C_noret_decl(f_21386)
static void C_ccall f_21386(C_word c,C_word *av) C_noret;
C_noret_decl(f_21388)
static void C_fcall f_21388(C_word t0,C_word t1) C_noret;
C_noret_decl(f_21396)
static void C_ccall f_21396(C_word c,C_word *av) C_noret;
C_noret_decl(f_21398)
static void C_fcall f_21398(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_21408)
static void C_fcall f_21408(C_word t0,C_word t1) C_noret;
C_noret_decl(f_21423)
static void C_ccall f_21423(C_word c,C_word *av) C_noret;
C_noret_decl(f_21430)
static void C_ccall f_21430(C_word c,C_word *av) C_noret;
C_noret_decl(f_21452)
static void C_fcall f_21452(C_word t0,C_word t1) C_noret;
C_noret_decl(f_21460)
static void C_ccall f_21460(C_word c,C_word *av) C_noret;
C_noret_decl(f_21462)
static void C_fcall f_21462(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_21472)
static void C_fcall f_21472(C_word t0,C_word t1) C_noret;
C_noret_decl(f_21478)
static void C_ccall f_21478(C_word c,C_word *av) C_noret;
C_noret_decl(f_21485)
static void C_ccall f_21485(C_word c,C_word *av) C_noret;
C_noret_decl(f_21498)
static void C_fcall f_21498(C_word t0,C_word t1) C_noret;
C_noret_decl(f_21504)
static void C_ccall f_21504(C_word c,C_word *av) C_noret;
C_noret_decl(f_21508)
static void C_ccall f_21508(C_word c,C_word *av) C_noret;
C_noret_decl(f_21515)
static void C_ccall f_21515(C_word c,C_word *av) C_noret;
C_noret_decl(f_21523)
static void C_fcall f_21523(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_21529)
static void C_fcall f_21529(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_21533)
static void C_ccall f_21533(C_word c,C_word *av) C_noret;
C_noret_decl(f_21542)
static void C_fcall f_21542(C_word t0,C_word t1) C_noret;
C_noret_decl(f_21548)
static void C_fcall f_21548(C_word t0,C_word t1) C_noret;
C_noret_decl(f_21555)
static void C_ccall f_21555(C_word c,C_word *av) C_noret;
C_noret_decl(f_21566)
static void C_ccall f_21566(C_word c,C_word *av) C_noret;
C_noret_decl(f_21606)
static void C_ccall f_21606(C_word c,C_word *av) C_noret;
C_noret_decl(f_21615)
static void C_ccall f_21615(C_word c,C_word *av) C_noret;
C_noret_decl(f_21622)
static void C_ccall f_21622(C_word c,C_word *av) C_noret;
C_noret_decl(f_21626)
static void C_ccall f_21626(C_word c,C_word *av) C_noret;
C_noret_decl(f_21630)
static void C_ccall f_21630(C_word c,C_word *av) C_noret;
C_noret_decl(f_21639)
static void C_ccall f_21639(C_word c,C_word *av) C_noret;
C_noret_decl(f_21650)
static void C_ccall f_21650(C_word c,C_word *av) C_noret;
C_noret_decl(f_21688)
static void C_ccall f_21688(C_word c,C_word *av) C_noret;
C_noret_decl(f_21737)
static void C_fcall f_21737(C_word t0,C_word t1) C_noret;
C_noret_decl(f_21741)
static void C_ccall f_21741(C_word c,C_word *av) C_noret;
C_noret_decl(f_21744)
static void C_ccall f_21744(C_word c,C_word *av) C_noret;
C_noret_decl(f_21756)
static void C_ccall f_21756(C_word c,C_word *av) C_noret;
C_noret_decl(f_21776)
static void C_fcall f_21776(C_word t0,C_word t1) C_noret;
C_noret_decl(f_21782)
static void C_ccall f_21782(C_word c,C_word *av) C_noret;
C_noret_decl(f_21792)
static void C_ccall f_21792(C_word c,C_word *av) C_noret;
C_noret_decl(f_21921)
static void C_fcall f_21921(C_word t0,C_word t1) C_noret;
C_noret_decl(f_21928)
static void C_ccall f_21928(C_word c,C_word *av) C_noret;
C_noret_decl(f_21946)
static void C_fcall f_21946(C_word t0,C_word t1) C_noret;
C_noret_decl(f_21952)
static void C_fcall f_21952(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_21956)
static void C_ccall f_21956(C_word c,C_word *av) C_noret;
C_noret_decl(f_21992)
static void C_ccall f_21992(C_word c,C_word *av) C_noret;
C_noret_decl(f_22015)
static void C_ccall f_22015(C_word c,C_word *av) C_noret;
C_noret_decl(f_22033)
static void C_fcall f_22033(C_word t0,C_word t1) C_noret;
C_noret_decl(f_22037)
static void C_ccall f_22037(C_word c,C_word *av) C_noret;
C_noret_decl(f_22044)
static void C_ccall f_22044(C_word c,C_word *av) C_noret;
C_noret_decl(f_22052)
static void C_fcall f_22052(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_22060)
static void C_ccall f_22060(C_word c,C_word *av) C_noret;
C_noret_decl(f_22064)
static void C_ccall f_22064(C_word c,C_word *av) C_noret;
C_noret_decl(f_22067)
static void C_ccall f_22067(C_word c,C_word *av) C_noret;
C_noret_decl(f_22070)
static void C_ccall f_22070(C_word c,C_word *av) C_noret;
C_noret_decl(f_22076)
static void C_fcall f_22076(C_word t0,C_word t1) C_noret;
C_noret_decl(f_22084)
static void C_ccall f_22084(C_word c,C_word *av) C_noret;
C_noret_decl(f_22090)
static void C_ccall f_22090(C_word c,C_word *av) C_noret;
C_noret_decl(f_22112)
static void C_ccall f_22112(C_word c,C_word *av) C_noret;
C_noret_decl(f_22119)
static void C_ccall f_22119(C_word c,C_word *av) C_noret;
C_noret_decl(f_22128)
static void C_ccall f_22128(C_word c,C_word *av) C_noret;
C_noret_decl(f_22135)
static void C_ccall f_22135(C_word c,C_word *av) C_noret;
C_noret_decl(f_22144)
static void C_ccall f_22144(C_word c,C_word *av) C_noret;
C_noret_decl(f_22153)
static void C_ccall f_22153(C_word c,C_word *av) C_noret;
C_noret_decl(f_22160)
static void C_ccall f_22160(C_word c,C_word *av) C_noret;
C_noret_decl(f_22167)
static void C_ccall f_22167(C_word c,C_word *av) C_noret;
C_noret_decl(f_22171)
static void C_ccall f_22171(C_word c,C_word *av) C_noret;
C_noret_decl(f_22180)
static void C_ccall f_22180(C_word c,C_word *av) C_noret;
C_noret_decl(f_22183)
static void C_ccall f_22183(C_word c,C_word *av) C_noret;
C_noret_decl(f_22201)
static void C_ccall f_22201(C_word c,C_word *av) C_noret;
C_noret_decl(f_22204)
static void C_ccall f_22204(C_word c,C_word *av) C_noret;
C_noret_decl(f_22210)
static void C_fcall f_22210(C_word t0,C_word t1) C_noret;
C_noret_decl(f_22227)
static void C_ccall f_22227(C_word c,C_word *av) C_noret;
C_noret_decl(f_22233)
static void C_ccall f_22233(C_word c,C_word *av) C_noret;
C_noret_decl(f_22261)
static void C_ccall f_22261(C_word c,C_word *av) C_noret;
C_noret_decl(f_22284)
static void C_ccall f_22284(C_word c,C_word *av) C_noret;
C_noret_decl(f_22290)
static void C_fcall f_22290(C_word t0,C_word t1) C_noret;
C_noret_decl(f_22298)
static void C_ccall f_22298(C_word c,C_word *av) C_noret;
C_noret_decl(f_22304)
static void C_ccall f_22304(C_word c,C_word *av) C_noret;
C_noret_decl(f_22329)
static void C_ccall f_22329(C_word c,C_word *av) C_noret;
C_noret_decl(f_22341)
static void C_ccall f_22341(C_word c,C_word *av) C_noret;
C_noret_decl(f_22353)
static void C_ccall f_22353(C_word c,C_word *av) C_noret;
C_noret_decl(f_22365)
static void C_ccall f_22365(C_word c,C_word *av) C_noret;
C_noret_decl(f_22377)
static void C_ccall f_22377(C_word c,C_word *av) C_noret;
C_noret_decl(f_22389)
static void C_ccall f_22389(C_word c,C_word *av) C_noret;
C_noret_decl(f_22401)
static void C_ccall f_22401(C_word c,C_word *av) C_noret;
C_noret_decl(f_22404)
static void C_ccall f_22404(C_word c,C_word *av) C_noret;
C_noret_decl(f_22407)
static void C_ccall f_22407(C_word c,C_word *av) C_noret;
C_noret_decl(f_22412)
static void C_ccall f_22412(C_word c,C_word *av) C_noret;
C_noret_decl(f_22417)
static void C_ccall f_22417(C_word c,C_word *av) C_noret;
C_noret_decl(f_22423)
static void C_ccall f_22423(C_word c,C_word *av) C_noret;
C_noret_decl(f_22465)
static void C_ccall f_22465(C_word c,C_word *av) C_noret;
C_noret_decl(f_22477)
static void C_ccall f_22477(C_word c,C_word *av) C_noret;
C_noret_decl(f_22480)
static void C_ccall f_22480(C_word c,C_word *av) C_noret;
C_noret_decl(f_22492)
static void C_ccall f_22492(C_word c,C_word *av) C_noret;
C_noret_decl(f_22504)
static void C_ccall f_22504(C_word c,C_word *av) C_noret;
C_noret_decl(f_22507)
static void C_ccall f_22507(C_word c,C_word *av) C_noret;
C_noret_decl(f_22519)
static void C_ccall f_22519(C_word c,C_word *av) C_noret;
C_noret_decl(f_22526)
static void C_ccall f_22526(C_word c,C_word *av) C_noret;
C_noret_decl(f_22535)
static void C_ccall f_22535(C_word c,C_word *av) C_noret;
C_noret_decl(f_22538)
static void C_ccall f_22538(C_word c,C_word *av) C_noret;
C_noret_decl(f_22547)
static void C_ccall f_22547(C_word c,C_word *av) C_noret;
C_noret_decl(f_22557)
static void C_ccall f_22557(C_word c,C_word *av) C_noret;
C_noret_decl(f_22566)
static void C_ccall f_22566(C_word c,C_word *av) C_noret;
C_noret_decl(f_22569)
static void C_ccall f_22569(C_word c,C_word *av) C_noret;
C_noret_decl(f_22574)
static void C_ccall f_22574(C_word c,C_word *av) C_noret;
C_noret_decl(f_22579)
static void C_ccall f_22579(C_word c,C_word *av) C_noret;
C_noret_decl(f_22585)
static void C_ccall f_22585(C_word c,C_word *av) C_noret;
C_noret_decl(f_22614)
static void C_ccall f_22614(C_word c,C_word *av) C_noret;
C_noret_decl(f_22626)
static void C_ccall f_22626(C_word c,C_word *av) C_noret;
C_noret_decl(f_22629)
static void C_ccall f_22629(C_word c,C_word *av) C_noret;
C_noret_decl(f_22640)
static void C_ccall f_22640(C_word c,C_word *av) C_noret;
C_noret_decl(f_22649)
static void C_ccall f_22649(C_word c,C_word *av) C_noret;
C_noret_decl(f_22652)
static void C_ccall f_22652(C_word c,C_word *av) C_noret;
C_noret_decl(f_22658)
static void C_fcall f_22658(C_word t0,C_word t1) C_noret;
C_noret_decl(f_22661)
static void C_ccall f_22661(C_word c,C_word *av) C_noret;
C_noret_decl(f_22667)
static void C_ccall f_22667(C_word c,C_word *av) C_noret;
C_noret_decl(f_22686)
static void C_ccall f_22686(C_word c,C_word *av) C_noret;
C_noret_decl(f_22705)
static void C_ccall f_22705(C_word c,C_word *av) C_noret;
C_noret_decl(f_22721)
static void C_ccall f_22721(C_word c,C_word *av) C_noret;
C_noret_decl(f_22727)
static void C_ccall f_22727(C_word c,C_word *av) C_noret;
C_noret_decl(f_22799)
static void C_ccall f_22799(C_word c,C_word *av) C_noret;
C_noret_decl(f_22811)
static void C_ccall f_22811(C_word c,C_word *av) C_noret;
C_noret_decl(f_22889)
static void C_ccall f_22889(C_word c,C_word *av) C_noret;
C_noret_decl(f_22965)
static void C_ccall f_22965(C_word c,C_word *av) C_noret;
C_noret_decl(f_23130)
static void C_ccall f_23130(C_word c,C_word *av) C_noret;
C_noret_decl(f_23142)
static void C_ccall f_23142(C_word c,C_word *av) C_noret;
C_noret_decl(f_23204)
static void C_ccall f_23204(C_word c,C_word *av) C_noret;
C_noret_decl(f_23207)
static void C_fcall f_23207(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_23253)
static void C_fcall f_23253(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_23257)
static void C_ccall f_23257(C_word c,C_word *av) C_noret;
C_noret_decl(f_23275)
static void C_ccall f_23275(C_word c,C_word *av) C_noret;
C_noret_decl(f_23339)
static void C_ccall f_23339(C_word c,C_word *av) C_noret;
C_noret_decl(f_23350)
static void C_ccall f_23350(C_word c,C_word *av) C_noret;
C_noret_decl(f_23352)
static void C_ccall f_23352(C_word c,C_word *av) C_noret;
C_noret_decl(f_23365)
static void C_ccall f_23365(C_word c,C_word *av) C_noret;
C_noret_decl(f_23377)
static void C_ccall f_23377(C_word c,C_word *av) C_noret;
C_noret_decl(f_23397)
static void C_ccall f_23397(C_word c,C_word *av) C_noret;
C_noret_decl(f_23404)
static void C_ccall f_23404(C_word c,C_word *av) C_noret;
C_noret_decl(f_23413)
static void C_ccall f_23413(C_word c,C_word *av) C_noret;
C_noret_decl(f_23425)
static void C_ccall f_23425(C_word c,C_word *av) C_noret;
C_noret_decl(f_23446)
static void C_ccall f_23446(C_word c,C_word *av) C_noret;
C_noret_decl(f_23461)
static void C_ccall f_23461(C_word c,C_word *av) C_noret;
C_noret_decl(f_23479)
static void C_ccall f_23479(C_word c,C_word *av) C_noret;
C_noret_decl(f_23497)
static void C_ccall f_23497(C_word c,C_word *av) C_noret;
C_noret_decl(f_23516)
static void C_fcall f_23516(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_23526)
static void C_ccall f_23526(C_word c,C_word *av) C_noret;
C_noret_decl(f_23540)
static void C_ccall f_23540(C_word c,C_word *av) C_noret;
C_noret_decl(f_23543)
static void C_ccall f_23543(C_word c,C_word *av) C_noret;
C_noret_decl(f_23548)
static void C_ccall f_23548(C_word c,C_word *av) C_noret;
C_noret_decl(f_23567)
static void C_fcall f_23567(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_23577)
static void C_ccall f_23577(C_word c,C_word *av) C_noret;
C_noret_decl(f_23591)
static void C_ccall f_23591(C_word c,C_word *av) C_noret;
C_noret_decl(f_23594)
static void C_ccall f_23594(C_word c,C_word *av) C_noret;
C_noret_decl(f_23601)
static void C_ccall f_23601(C_word c,C_word *av) C_noret;
C_noret_decl(f_23605)
static void C_ccall f_23605(C_word c,C_word *av) C_noret;
C_noret_decl(f_23609)
static void C_ccall f_23609(C_word c,C_word *av) C_noret;
C_noret_decl(f_23611)
static void C_ccall f_23611(C_word c,C_word *av) C_noret;
C_noret_decl(f_23618)
static void C_ccall f_23618(C_word c,C_word *av) C_noret;
C_noret_decl(f_23621)
static void C_ccall f_23621(C_word c,C_word *av) C_noret;
C_noret_decl(f_23624)
static void C_ccall f_23624(C_word c,C_word *av) C_noret;
C_noret_decl(f_23626)
static void C_fcall f_23626(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_23636)
static void C_ccall f_23636(C_word c,C_word *av) C_noret;
C_noret_decl(f_23642)
static void C_ccall f_23642(C_word c,C_word *av) C_noret;
C_noret_decl(f_23654)
static void C_ccall f_23654(C_word c,C_word *av) C_noret;
C_noret_decl(f_23657)
static void C_ccall f_23657(C_word c,C_word *av) C_noret;
C_noret_decl(f_23660)
static void C_ccall f_23660(C_word c,C_word *av) C_noret;
C_noret_decl(f_23677)
static void C_ccall f_23677(C_word c,C_word *av) C_noret;
C_noret_decl(f_23698)
static void C_fcall f_23698(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_23702)
static void C_ccall f_23702(C_word c,C_word *av) C_noret;
C_noret_decl(f_23715)
static void C_ccall f_23715(C_word c,C_word *av) C_noret;
C_noret_decl(f_23718)
static void C_ccall f_23718(C_word c,C_word *av) C_noret;
C_noret_decl(f_23727)
static void C_ccall f_23727(C_word c,C_word *av) C_noret;
C_noret_decl(f_23730)
static void C_ccall f_23730(C_word c,C_word *av) C_noret;
C_noret_decl(f_23758)
static void C_fcall f_23758(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_23762)
static void C_ccall f_23762(C_word c,C_word *av) C_noret;
C_noret_decl(f_23771)
static void C_ccall f_23771(C_word c,C_word *av) C_noret;
C_noret_decl(f_23782)
static void C_fcall f_23782(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_23789)
static void C_ccall f_23789(C_word c,C_word *av) C_noret;
C_noret_decl(f_23794)
static void C_fcall f_23794(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_23816)
static void C_ccall f_23816(C_word c,C_word *av) C_noret;
C_noret_decl(f_23822)
static void C_ccall f_23822(C_word c,C_word *av) C_noret;
C_noret_decl(f_23825)
static void C_ccall f_23825(C_word c,C_word *av) C_noret;
C_noret_decl(f_23836)
static void C_ccall f_23836(C_word c,C_word *av) C_noret;
C_noret_decl(f_23845)
static void C_ccall f_23845(C_word c,C_word *av) C_noret;
C_noret_decl(f_23848)
static void C_ccall f_23848(C_word c,C_word *av) C_noret;
C_noret_decl(f_23871)
static void C_fcall f_23871(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_23920)
static void C_fcall f_23920(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_23936)
static void C_fcall f_23936(C_word t0,C_word t1) C_noret;
C_noret_decl(f_23943)
static void C_ccall f_23943(C_word c,C_word *av) C_noret;
C_noret_decl(f_23962)
static void C_fcall f_23962(C_word t0,C_word t1) C_noret;
C_noret_decl(f_24021)
static void C_fcall f_24021(C_word t0,C_word t1) C_noret;
C_noret_decl(f_24078)
static void C_ccall f_24078(C_word c,C_word *av) C_noret;
C_noret_decl(f_24083)
static void C_fcall f_24083(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_24132)
static void C_ccall f_24132(C_word c,C_word *av) C_noret;
C_noret_decl(f_24138)
static void C_ccall f_24138(C_word c,C_word *av) C_noret;
C_noret_decl(f_24142)
static void C_fcall f_24142(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_24165)
static void C_ccall f_24165(C_word c,C_word *av) C_noret;
C_noret_decl(f_24172)
static void C_ccall f_24172(C_word c,C_word *av) C_noret;
C_noret_decl(f_24191)
static void C_ccall f_24191(C_word c,C_word *av) C_noret;
C_noret_decl(f_24230)
static void C_ccall f_24230(C_word c,C_word *av) C_noret;
C_noret_decl(f_24242)
static void C_ccall f_24242(C_word c,C_word *av) C_noret;
C_noret_decl(f_24248)
static void C_ccall f_24248(C_word c,C_word *av) C_noret;
C_noret_decl(f_24267)
static void C_ccall f_24267(C_word c,C_word *av) C_noret;
C_noret_decl(f_24274)
static void C_ccall f_24274(C_word c,C_word *av) C_noret;
C_noret_decl(f_24284)
static void C_ccall f_24284(C_word c,C_word *av) C_noret;
C_noret_decl(f_24293)
static void C_ccall f_24293(C_word c,C_word *av) C_noret;
C_noret_decl(f_24299)
static void C_fcall f_24299(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_24312)
static void C_ccall f_24312(C_word c,C_word *av) C_noret;
C_noret_decl(f_24350)
static void C_ccall f_24350(C_word c,C_word *av) C_noret;
C_noret_decl(f_24416)
static void C_ccall f_24416(C_word c,C_word *av) C_noret;
C_noret_decl(f_24419)
static void C_ccall f_24419(C_word c,C_word *av) C_noret;
C_noret_decl(f_24426)
static void C_ccall f_24426(C_word c,C_word *av) C_noret;
C_noret_decl(f_24466)
static void C_ccall f_24466(C_word c,C_word *av) C_noret;
C_noret_decl(f_24469)
static void C_ccall f_24469(C_word c,C_word *av) C_noret;
C_noret_decl(f_24478)
static void C_fcall f_24478(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_24488)
static void C_fcall f_24488(C_word t0,C_word t1) C_noret;
C_noret_decl(f_24491)
static void C_ccall f_24491(C_word c,C_word *av) C_noret;
C_noret_decl(f_24500)
static void C_ccall f_24500(C_word c,C_word *av) C_noret;
C_noret_decl(f_24510)
static void C_ccall f_24510(C_word c,C_word *av) C_noret;
C_noret_decl(f_24513)
static void C_ccall f_24513(C_word c,C_word *av) C_noret;
C_noret_decl(f_24539)
static void C_ccall f_24539(C_word c,C_word *av) C_noret;
C_noret_decl(f_24545)
static void C_ccall f_24545(C_word c,C_word *av) C_noret;
C_noret_decl(f_24550)
static void C_fcall f_24550(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_24563)
static void C_ccall f_24563(C_word c,C_word *av) C_noret;
C_noret_decl(f_24566)
static void C_ccall f_24566(C_word c,C_word *av) C_noret;
C_noret_decl(f_24577)
static void C_ccall f_24577(C_word c,C_word *av) C_noret;
C_noret_decl(f_24599)
static void C_ccall f_24599(C_word c,C_word *av) C_noret;
C_noret_decl(f_24611)
static void C_ccall f_24611(C_word c,C_word *av) C_noret;
C_noret_decl(f_24614)
static void C_ccall f_24614(C_word c,C_word *av) C_noret;
C_noret_decl(f_24621)
static void C_ccall f_24621(C_word c,C_word *av) C_noret;
C_noret_decl(f_24630)
static void C_ccall f_24630(C_word c,C_word *av) C_noret;
C_noret_decl(f_24633)
static void C_ccall f_24633(C_word c,C_word *av) C_noret;
C_noret_decl(f_24677)
static void C_ccall f_24677(C_word c,C_word *av) C_noret;
C_noret_decl(f_24680)
static void C_ccall f_24680(C_word c,C_word *av) C_noret;
C_noret_decl(f_24689)
static void C_fcall f_24689(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_24702)
static void C_ccall f_24702(C_word c,C_word *av) C_noret;
C_noret_decl(f_24705)
static void C_ccall f_24705(C_word c,C_word *av) C_noret;
C_noret_decl(f_24730)
static void C_ccall f_24730(C_word c,C_word *av) C_noret;
C_noret_decl(f_24734)
static void C_ccall f_24734(C_word c,C_word *av) C_noret;
C_noret_decl(f_24744)
static void C_ccall f_24744(C_word c,C_word *av) C_noret;
C_noret_decl(f_24747)
static void C_ccall f_24747(C_word c,C_word *av) C_noret;
C_noret_decl(f_24767)
static void C_ccall f_24767(C_word c,C_word *av) C_noret;
C_noret_decl(f_24780)
static void C_ccall f_24780(C_word c,C_word *av) C_noret;
C_noret_decl(f_24785)
static void C_ccall f_24785(C_word c,C_word *av) C_noret;
C_noret_decl(f_24791)
static void C_ccall f_24791(C_word c,C_word *av) C_noret;
C_noret_decl(f_24797)
static void C_ccall f_24797(C_word c,C_word *av) C_noret;
C_noret_decl(f_24801)
static void C_ccall f_24801(C_word c,C_word *av) C_noret;
C_noret_decl(f_24804)
static void C_ccall f_24804(C_word c,C_word *av) C_noret;
C_noret_decl(f_24819)
static void C_ccall f_24819(C_word c,C_word *av) C_noret;
C_noret_decl(f_24822)
static void C_ccall f_24822(C_word c,C_word *av) C_noret;
C_noret_decl(f_24840)
static void C_ccall f_24840(C_word c,C_word *av) C_noret;
C_noret_decl(f_24842)
static void C_ccall f_24842(C_word c,C_word *av) C_noret;
C_noret_decl(f_24848)
static void C_ccall f_24848(C_word c,C_word *av) C_noret;
C_noret_decl(f_24857)
static void C_ccall f_24857(C_word c,C_word *av) C_noret;
C_noret_decl(f_24863)
static void C_ccall f_24863(C_word c,C_word *av) C_noret;
C_noret_decl(f_24870)
static void C_ccall f_24870(C_word c,C_word *av) C_noret;
C_noret_decl(f_24873)
static void C_ccall f_24873(C_word c,C_word *av) C_noret;
C_noret_decl(f_24876)
static void C_ccall f_24876(C_word c,C_word *av) C_noret;
C_noret_decl(f_24885)
static void C_ccall f_24885(C_word c,C_word *av) C_noret;
C_noret_decl(f_24901)
static void C_ccall f_24901(C_word c,C_word *av) C_noret;
C_noret_decl(f_24916)
static void C_ccall f_24916(C_word c,C_word *av) C_noret;
C_noret_decl(f_24918)
static void C_ccall f_24918(C_word c,C_word *av) C_noret;
C_noret_decl(f_24924)
static void C_ccall f_24924(C_word c,C_word *av) C_noret;
C_noret_decl(f_24930)
static void C_ccall f_24930(C_word c,C_word *av) C_noret;
C_noret_decl(f_24934)
static void C_ccall f_24934(C_word c,C_word *av) C_noret;
C_noret_decl(f_24937)
static void C_ccall f_24937(C_word c,C_word *av) C_noret;
C_noret_decl(f_24940)
static void C_ccall f_24940(C_word c,C_word *av) C_noret;
C_noret_decl(f_24944)
static void C_ccall f_24944(C_word c,C_word *av) C_noret;
C_noret_decl(f_24948)
static void C_ccall f_24948(C_word c,C_word *av) C_noret;
C_noret_decl(f_24952)
static void C_ccall f_24952(C_word c,C_word *av) C_noret;
C_noret_decl(f_24955)
static void C_ccall f_24955(C_word c,C_word *av) C_noret;
C_noret_decl(f_24958)
static void C_ccall f_24958(C_word c,C_word *av) C_noret;
C_noret_decl(f_24961)
static void C_ccall f_24961(C_word c,C_word *av) C_noret;
C_noret_decl(f_24973)
static void C_ccall f_24973(C_word c,C_word *av) C_noret;
C_noret_decl(f_24979)
static void C_ccall f_24979(C_word c,C_word *av) C_noret;
C_noret_decl(f_24983)
static void C_ccall f_24983(C_word c,C_word *av) C_noret;
C_noret_decl(f_24986)
static void C_ccall f_24986(C_word c,C_word *av) C_noret;
C_noret_decl(f_24989)
static void C_ccall f_24989(C_word c,C_word *av) C_noret;
C_noret_decl(f_24992)
static void C_ccall f_24992(C_word c,C_word *av) C_noret;
C_noret_decl(f_24995)
static void C_ccall f_24995(C_word c,C_word *av) C_noret;
C_noret_decl(f_24998)
static void C_ccall f_24998(C_word c,C_word *av) C_noret;
C_noret_decl(f_25003)
static void C_ccall f_25003(C_word c,C_word *av) C_noret;
C_noret_decl(f_25025)
static void C_ccall f_25025(C_word c,C_word *av) C_noret;
C_noret_decl(f_25031)
static void C_ccall f_25031(C_word c,C_word *av) C_noret;
C_noret_decl(f_25034)
static void C_ccall f_25034(C_word c,C_word *av) C_noret;
C_noret_decl(f_25059)
static void C_ccall f_25059(C_word c,C_word *av) C_noret;
C_noret_decl(f_25062)
static void C_fcall f_25062(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4) C_noret;
C_noret_decl(f_25069)
static void C_ccall f_25069(C_word c,C_word *av) C_noret;
C_noret_decl(f_25082)
static void C_fcall f_25082(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4,C_word t5,C_word t6) C_noret;
C_noret_decl(f_25092)
static void C_ccall f_25092(C_word c,C_word *av) C_noret;
C_noret_decl(f_25097)
static void C_ccall f_25097(C_word c,C_word *av) C_noret;
C_noret_decl(f_25103)
static void C_ccall f_25103(C_word c,C_word *av) C_noret;
C_noret_decl(f_25130)
static void C_ccall f_25130(C_word c,C_word *av) C_noret;
C_noret_decl(f_25136)
static void C_fcall f_25136(C_word t0,C_word t1) C_noret;
C_noret_decl(f_25147)
static void C_ccall f_25147(C_word c,C_word *av) C_noret;
C_noret_decl(f_25153)
static void C_fcall f_25153(C_word t0,C_word t1) C_noret;
C_noret_decl(f_25156)
static void C_ccall f_25156(C_word c,C_word *av) C_noret;
C_noret_decl(f_25161)
static void C_ccall f_25161(C_word c,C_word *av) C_noret;
C_noret_decl(f_25167)
static void C_ccall f_25167(C_word c,C_word *av) C_noret;
C_noret_decl(f_25191)
static void C_ccall f_25191(C_word c,C_word *av) C_noret;
C_noret_decl(f_25199)
static void C_ccall f_25199(C_word c,C_word *av) C_noret;
C_noret_decl(f_25216)
static void C_ccall f_25216(C_word c,C_word *av) C_noret;
C_noret_decl(f_25256)
static void C_ccall f_25256(C_word c,C_word *av) C_noret;
C_noret_decl(f_25263)
static void C_ccall f_25263(C_word c,C_word *av) C_noret;
C_noret_decl(f_25275)
static void C_ccall f_25275(C_word c,C_word *av) C_noret;
C_noret_decl(f_25279)
static void C_ccall f_25279(C_word c,C_word *av) C_noret;
C_noret_decl(f_25292)
static void C_ccall f_25292(C_word c,C_word *av) C_noret;
C_noret_decl(f_25294)
static void C_ccall f_25294(C_word c,C_word *av) C_noret;
C_noret_decl(f_25328)
static void C_ccall f_25328(C_word c,C_word *av) C_noret;
C_noret_decl(f_25332)
static void C_ccall f_25332(C_word c,C_word *av) C_noret;
C_noret_decl(f_25333)
static void C_fcall f_25333(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_25343)
static void C_ccall f_25343(C_word c,C_word *av) C_noret;
C_noret_decl(f_25348)
static void C_fcall f_25348(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_25358)
static void C_ccall f_25358(C_word c,C_word *av) C_noret;
C_noret_decl(f_25371)
static void C_ccall f_25371(C_word c,C_word *av) C_noret;
C_noret_decl(f_25382)
static void C_ccall f_25382(C_word c,C_word *av) C_noret;
C_noret_decl(f_25386)
static void C_ccall f_25386(C_word c,C_word *av) C_noret;
C_noret_decl(f_25390)
static void C_ccall f_25390(C_word c,C_word *av) C_noret;
C_noret_decl(f_25412)
static void C_ccall f_25412(C_word c,C_word *av) C_noret;
C_noret_decl(f_25416)
static void C_ccall f_25416(C_word c,C_word *av) C_noret;
C_noret_decl(f_25424)
static void C_ccall f_25424(C_word c,C_word *av) C_noret;
C_noret_decl(f_25440)
static void C_ccall f_25440(C_word c,C_word *av) C_noret;
C_noret_decl(f_25451)
static void C_fcall f_25451(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_25470)
static void C_fcall f_25470(C_word t0,C_word t1) C_noret;
C_noret_decl(f_25481)
static void C_ccall f_25481(C_word c,C_word *av) C_noret;
C_noret_decl(f_25489)
static void C_ccall f_25489(C_word c,C_word *av) C_noret;
C_noret_decl(f_25568)
static void C_ccall f_25568(C_word c,C_word *av) C_noret;
C_noret_decl(f_25578)
static void C_ccall f_25578(C_word c,C_word *av) C_noret;
C_noret_decl(f_25579)
static void C_fcall f_25579(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_25592)
static void C_ccall f_25592(C_word c,C_word *av) C_noret;
C_noret_decl(f_25595)
static void C_ccall f_25595(C_word c,C_word *av) C_noret;
C_noret_decl(f_25598)
static void C_ccall f_25598(C_word c,C_word *av) C_noret;
C_noret_decl(f_25601)
static void C_ccall f_25601(C_word c,C_word *av) C_noret;
C_noret_decl(f_25609)
static void C_ccall f_25609(C_word c,C_word *av) C_noret;
C_noret_decl(f_25616)
static void C_fcall f_25616(C_word t0,C_word t1) C_noret;
C_noret_decl(f_25619)
static void C_ccall f_25619(C_word c,C_word *av) C_noret;
C_noret_decl(f_25622)
static void C_ccall f_25622(C_word c,C_word *av) C_noret;
C_noret_decl(f_25645)
static void C_ccall f_25645(C_word c,C_word *av) C_noret;
C_noret_decl(f_25650)
static void C_fcall f_25650(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_25660)
static void C_ccall f_25660(C_word c,C_word *av) C_noret;
C_noret_decl(f_25673)
static void C_ccall f_25673(C_word c,C_word *av) C_noret;
C_noret_decl(f_25704)
static void C_ccall f_25704(C_word c,C_word *av) C_noret;
C_noret_decl(f_25714)
static void C_ccall f_25714(C_word c,C_word *av) C_noret;
C_noret_decl(f_25764)
static void C_ccall f_25764(C_word c,C_word *av) C_noret;
C_noret_decl(f_25767)
static void C_ccall f_25767(C_word c,C_word *av) C_noret;
C_noret_decl(f_25786)
static void C_fcall f_25786(C_word t0) C_noret;
C_noret_decl(f_25791)
static void C_ccall f_25791(C_word c,C_word *av) C_noret;
C_noret_decl(f_25797)
static void C_ccall f_25797(C_word c,C_word *av) C_noret;
C_noret_decl(f_25800)
static void C_ccall f_25800(C_word c,C_word *av) C_noret;
C_noret_decl(f_25806)
static void C_ccall f_25806(C_word c,C_word *av) C_noret;
C_noret_decl(f_25814)
static void C_fcall f_25814(C_word t0,C_word t1) C_noret;
C_noret_decl(f_25833)
static void C_ccall f_25833(C_word c,C_word *av) C_noret;
C_noret_decl(f_25838)
static void C_fcall f_25838(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_25848)
static void C_ccall f_25848(C_word c,C_word *av) C_noret;
C_noret_decl(f_25862)
static void C_ccall f_25862(C_word c,C_word *av) C_noret;
C_noret_decl(f_25869)
static void C_ccall f_25869(C_word c,C_word *av) C_noret;
C_noret_decl(f_25873)
static void C_ccall f_25873(C_word c,C_word *av) C_noret;
C_noret_decl(f_25877)
static void C_ccall f_25877(C_word c,C_word *av) C_noret;
C_noret_decl(f_25879)
static void C_ccall f_25879(C_word c,C_word *av) C_noret;
C_noret_decl(f_25905)
static void C_ccall f_25905(C_word c,C_word *av) C_noret;
C_noret_decl(f_25908)
static void C_ccall f_25908(C_word c,C_word *av) C_noret;
C_noret_decl(f_25911)
static void C_ccall f_25911(C_word c,C_word *av) C_noret;
C_noret_decl(f_25918)
static void C_ccall f_25918(C_word c,C_word *av) C_noret;
C_noret_decl(f_25922)
static void C_ccall f_25922(C_word c,C_word *av) C_noret;
C_noret_decl(f_25928)
static void C_ccall f_25928(C_word c,C_word *av) C_noret;
C_noret_decl(f_25933)
static void C_fcall f_25933(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_25943)
static void C_ccall f_25943(C_word c,C_word *av) C_noret;
C_noret_decl(f_25960)
static void C_fcall f_25960(C_word t0,C_word t1) C_noret;
C_noret_decl(f_25981)
static void C_fcall f_25981(C_word t0,C_word t1) C_noret;
C_noret_decl(f_25984)
static void C_fcall f_25984(C_word t0,C_word t1) C_noret;
C_noret_decl(f_26004)
static void C_fcall f_26004(C_word t0,C_word t1) C_noret;
C_noret_decl(f_26012)
static void C_ccall f_26012(C_word c,C_word *av) C_noret;
C_noret_decl(f_26146)
static void C_ccall f_26146(C_word c,C_word *av) C_noret;
C_noret_decl(f_26163)
static void C_ccall f_26163(C_word c,C_word *av) C_noret;
C_noret_decl(f_26167)
static void C_ccall f_26167(C_word c,C_word *av) C_noret;
C_noret_decl(f_26180)
static void C_ccall f_26180(C_word c,C_word *av) C_noret;
C_noret_decl(f_26189)
static void C_ccall f_26189(C_word c,C_word *av) C_noret;
C_noret_decl(f_26192)
static void C_ccall f_26192(C_word c,C_word *av) C_noret;
C_noret_decl(f_26196)
static void C_ccall f_26196(C_word c,C_word *av) C_noret;
C_noret_decl(f_26235)
static void C_ccall f_26235(C_word c,C_word *av) C_noret;
C_noret_decl(f_26238)
static void C_ccall f_26238(C_word c,C_word *av) C_noret;
C_noret_decl(f_26245)
static void C_ccall f_26245(C_word c,C_word *av) C_noret;
C_noret_decl(f_26249)
static void C_ccall f_26249(C_word c,C_word *av) C_noret;
C_noret_decl(f_26275)
static void C_ccall f_26275(C_word c,C_word *av) C_noret;
C_noret_decl(f_26306)
static void C_ccall f_26306(C_word c,C_word *av) C_noret;
C_noret_decl(f_26309)
static void C_ccall f_26309(C_word c,C_word *av) C_noret;
C_noret_decl(f_26321)
static void C_ccall f_26321(C_word c,C_word *av) C_noret;
C_noret_decl(f_26324)
static void C_ccall f_26324(C_word c,C_word *av) C_noret;
C_noret_decl(f_26327)
static void C_ccall f_26327(C_word c,C_word *av) C_noret;
C_noret_decl(f_26352)
static void C_ccall f_26352(C_word c,C_word *av) C_noret;
C_noret_decl(f_26358)
static void C_ccall f_26358(C_word c,C_word *av) C_noret;
C_noret_decl(f_26362)
static void C_ccall f_26362(C_word c,C_word *av) C_noret;
C_noret_decl(f_26366)
static void C_ccall f_26366(C_word c,C_word *av) C_noret;
C_noret_decl(f_26379)
static void C_ccall f_26379(C_word c,C_word *av) C_noret;
C_noret_decl(f_26381)
static C_word C_fcall f_26381(C_word t0,C_word t1);
C_noret_decl(f_26387)
static C_word C_fcall f_26387(C_word t0);
C_noret_decl(f_26392)
static C_word C_fcall f_26392(C_word t0);
C_noret_decl(f_26427)
static void C_fcall f_26427(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_26433)
static void C_fcall f_26433(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_26449)
static void C_fcall f_26449(C_word t0,C_word t1) C_noret;
C_noret_decl(f_26471)
static void C_ccall f_26471(C_word c,C_word *av) C_noret;
C_noret_decl(f_26495)
static void C_ccall f_26495(C_word c,C_word *av) C_noret;
C_noret_decl(f_26507)
static void C_ccall f_26507(C_word c,C_word *av) C_noret;
C_noret_decl(f_26509)
static void C_ccall f_26509(C_word c,C_word *av) C_noret;
C_noret_decl(f_26528)
static void C_ccall f_26528(C_word c,C_word *av) C_noret;
C_noret_decl(f_26532)
static void C_ccall f_26532(C_word c,C_word *av) C_noret;
C_noret_decl(f_26544)
static void C_ccall f_26544(C_word c,C_word *av) C_noret;
C_noret_decl(f_26546)
static void C_fcall f_26546(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_26590)
static void C_ccall f_26590(C_word c,C_word *av) C_noret;
C_noret_decl(f_26592)
static void C_fcall f_26592(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_26626)
static C_word C_fcall f_26626(C_word t0);
C_noret_decl(f_26649)
static void C_ccall f_26649(C_word c,C_word *av) C_noret;
C_noret_decl(f_26656)
static void C_ccall f_26656(C_word c,C_word *av) C_noret;
C_noret_decl(f_26666)
static void C_ccall f_26666(C_word c,C_word *av) C_noret;
C_noret_decl(f_26668)
static void C_fcall f_26668(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_26718)
static void C_ccall f_26718(C_word c,C_word *av) C_noret;
C_noret_decl(f_26720)
static void C_fcall f_26720(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_26745)
static void C_ccall f_26745(C_word c,C_word *av) C_noret;
C_noret_decl(f_26754)
static void C_ccall f_26754(C_word c,C_word *av) C_noret;
C_noret_decl(f_26760)
static void C_ccall f_26760(C_word c,C_word *av) C_noret;
C_noret_decl(f_26764)
static void C_ccall f_26764(C_word c,C_word *av) C_noret;
C_noret_decl(f_26768)
static void C_fcall f_26768(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_26776)
static void C_ccall f_26776(C_word c,C_word *av) C_noret;
C_noret_decl(f_26782)
static void C_fcall f_26782(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_26813)
static void C_ccall f_26813(C_word c,C_word *av) C_noret;
C_noret_decl(f_26838)
static void C_fcall f_26838(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_26863)
static void C_ccall f_26863(C_word c,C_word *av) C_noret;
C_noret_decl(f_26873)
static void C_ccall f_26873(C_word c,C_word *av) C_noret;
C_noret_decl(f_26878)
static void C_ccall f_26878(C_word c,C_word *av) C_noret;
C_noret_decl(f_26880)
static void C_ccall f_26880(C_word c,C_word *av) C_noret;
C_noret_decl(f_26887)
static void C_ccall f_26887(C_word c,C_word *av) C_noret;
C_noret_decl(f_26899)
static void C_ccall f_26899(C_word c,C_word *av) C_noret;
C_noret_decl(f_26907)
static void C_ccall f_26907(C_word c,C_word *av) C_noret;
C_noret_decl(f_26945)
static void C_ccall f_26945(C_word c,C_word *av) C_noret;
C_noret_decl(f_26949)
static void C_ccall f_26949(C_word c,C_word *av) C_noret;
C_noret_decl(f_26956)
static void C_ccall f_26956(C_word c,C_word *av) C_noret;
C_noret_decl(f_26959)
static void C_ccall f_26959(C_word c,C_word *av) C_noret;
C_noret_decl(f_26962)
static void C_ccall f_26962(C_word c,C_word *av) C_noret;
C_noret_decl(f_26963)
static void C_fcall f_26963(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_26965)
static void C_fcall f_26965(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_26969)
static void C_ccall f_26969(C_word c,C_word *av) C_noret;
C_noret_decl(f_26974)
static void C_ccall f_26974(C_word c,C_word *av) C_noret;
C_noret_decl(f_26986)
static void C_fcall f_26986(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_26996)
static void C_ccall f_26996(C_word c,C_word *av) C_noret;
C_noret_decl(f_27008)
static void C_ccall f_27008(C_word c,C_word *av) C_noret;
C_noret_decl(f_27010)
static void C_fcall f_27010(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_27017)
static void C_ccall f_27017(C_word c,C_word *av) C_noret;
C_noret_decl(f_27020)
static void C_ccall f_27020(C_word c,C_word *av) C_noret;
C_noret_decl(f_27026)
static void C_fcall f_27026(C_word t0,C_word t1) C_noret;
C_noret_decl(f_27029)
static void C_ccall f_27029(C_word c,C_word *av) C_noret;
C_noret_decl(f_27032)
static void C_ccall f_27032(C_word c,C_word *av) C_noret;
C_noret_decl(f_27035)
static void C_ccall f_27035(C_word c,C_word *av) C_noret;
C_noret_decl(f_27050)
static void C_ccall f_27050(C_word c,C_word *av) C_noret;
C_noret_decl(f_27056)
static void C_ccall f_27056(C_word c,C_word *av) C_noret;
C_noret_decl(f_27064)
static void C_fcall f_27064(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_27068)
static void C_ccall f_27068(C_word c,C_word *av) C_noret;
C_noret_decl(f_27071)
static void C_ccall f_27071(C_word c,C_word *av) C_noret;
C_noret_decl(f_27074)
static void C_ccall f_27074(C_word c,C_word *av) C_noret;
C_noret_decl(f_27087)
static void C_ccall f_27087(C_word c,C_word *av) C_noret;
C_noret_decl(f_27091)
static void C_ccall f_27091(C_word c,C_word *av) C_noret;
C_noret_decl(f_27112)
static void C_ccall f_27112(C_word c,C_word *av) C_noret;
C_noret_decl(f_27128)
static void C_ccall f_27128(C_word c,C_word *av) C_noret;
C_noret_decl(f_27131)
static void C_ccall f_27131(C_word c,C_word *av) C_noret;
C_noret_decl(f_27137)
static void C_ccall f_27137(C_word c,C_word *av) C_noret;
C_noret_decl(f_27159)
static void C_fcall f_27159(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_27164)
static void C_fcall f_27164(C_word t0,C_word t1) C_noret;
C_noret_decl(f_27199)
static void C_ccall f_27199(C_word c,C_word *av) C_noret;
C_noret_decl(f_27209)
static void C_ccall f_27209(C_word c,C_word *av) C_noret;
C_noret_decl(f_27212)
static void C_ccall f_27212(C_word c,C_word *av) C_noret;
C_noret_decl(f_27215)
static void C_ccall f_27215(C_word c,C_word *av) C_noret;
C_noret_decl(f_27218)
static void C_ccall f_27218(C_word c,C_word *av) C_noret;
C_noret_decl(f_27221)
static void C_ccall f_27221(C_word c,C_word *av) C_noret;
C_noret_decl(f_27224)
static void C_ccall f_27224(C_word c,C_word *av) C_noret;
C_noret_decl(f_27231)
static void C_ccall f_27231(C_word c,C_word *av) C_noret;
C_noret_decl(f_27234)
static void C_ccall f_27234(C_word c,C_word *av) C_noret;
C_noret_decl(f_27237)
static void C_ccall f_27237(C_word c,C_word *av) C_noret;
C_noret_decl(f_27248)
static void C_ccall f_27248(C_word c,C_word *av) C_noret;
C_noret_decl(f_27271)
static void C_ccall f_27271(C_word c,C_word *av) C_noret;
C_noret_decl(f_27282)
static void C_ccall f_27282(C_word c,C_word *av) C_noret;
C_noret_decl(f_27286)
static void C_ccall f_27286(C_word c,C_word *av) C_noret;
C_noret_decl(f_27308)
static void C_ccall f_27308(C_word c,C_word *av) C_noret;
C_noret_decl(f_27319)
static void C_ccall f_27319(C_word c,C_word *av) C_noret;
C_noret_decl(f_27323)
static void C_ccall f_27323(C_word c,C_word *av) C_noret;
C_noret_decl(f_27904)
static void C_ccall f_27904(C_word c,C_word *av) C_noret;
C_noret_decl(f_27907)
static void C_ccall f_27907(C_word c,C_word *av) C_noret;
C_noret_decl(f_27910)
static void C_ccall f_27910(C_word c,C_word *av) C_noret;
C_noret_decl(f_27913)
static void C_ccall f_27913(C_word c,C_word *av) C_noret;
C_noret_decl(f_27918)
static void C_ccall f_27918(C_word c,C_word *av) C_noret;
C_noret_decl(f_27921)
static void C_ccall f_27921(C_word c,C_word *av) C_noret;
C_noret_decl(f_27924)
static void C_ccall f_27924(C_word c,C_word *av) C_noret;
C_noret_decl(f_27927)
static void C_ccall f_27927(C_word c,C_word *av) C_noret;
C_noret_decl(f_27930)
static void C_ccall f_27930(C_word c,C_word *av) C_noret;
C_noret_decl(f_27933)
static void C_ccall f_27933(C_word c,C_word *av) C_noret;
C_noret_decl(f_27936)
static void C_ccall f_27936(C_word c,C_word *av) C_noret;
C_noret_decl(f_27939)
static void C_ccall f_27939(C_word c,C_word *av) C_noret;
C_noret_decl(f_27956)
static void C_ccall f_27956(C_word c,C_word *av) C_noret;
C_noret_decl(f_27960)
static void C_ccall f_27960(C_word c,C_word *av) C_noret;
C_noret_decl(f_27962)
static void C_ccall f_27962(C_word c,C_word *av) C_noret;
C_noret_decl(f_27970)
static void C_ccall f_27970(C_word c,C_word *av) C_noret;
C_noret_decl(f_27972)
static void C_ccall f_27972(C_word c,C_word *av) C_noret;
C_noret_decl(f_27976)
static void C_ccall f_27976(C_word c,C_word *av) C_noret;
C_noret_decl(f_27978)
static void C_ccall f_27978(C_word c,C_word *av) C_noret;
C_noret_decl(f_27985)
static void C_ccall f_27985(C_word c,C_word *av) C_noret;
C_noret_decl(f_27995)
static void C_ccall f_27995(C_word c,C_word *av) C_noret;
C_noret_decl(f_28020)
static void C_ccall f_28020(C_word c,C_word *av) C_noret;
C_noret_decl(f_28023)
static void C_ccall f_28023(C_word c,C_word *av) C_noret;
C_noret_decl(f_28026)
static void C_ccall f_28026(C_word c,C_word *av) C_noret;
C_noret_decl(f_28029)
static void C_ccall f_28029(C_word c,C_word *av) C_noret;
C_noret_decl(f_28032)
static void C_ccall f_28032(C_word c,C_word *av) C_noret;
C_noret_decl(f_28042)
static void C_ccall f_28042(C_word c,C_word *av) C_noret;
C_noret_decl(f_28048)
static void C_ccall f_28048(C_word c,C_word *av) C_noret;
C_noret_decl(f_28052)
static void C_ccall f_28052(C_word c,C_word *av) C_noret;
C_noret_decl(f_28054)
static void C_ccall f_28054(C_word c,C_word *av) C_noret;
C_noret_decl(f_28064)
static void C_ccall f_28064(C_word c,C_word *av) C_noret;
C_noret_decl(f_28070)
static void C_ccall f_28070(C_word c,C_word *av) C_noret;
C_noret_decl(f_28074)
static void C_ccall f_28074(C_word c,C_word *av) C_noret;
C_noret_decl(f_28076)
static void C_ccall f_28076(C_word c,C_word *av) C_noret;
C_noret_decl(f_28081)
static void C_ccall f_28081(C_word c,C_word *av) C_noret;
C_noret_decl(f_28083)
static void C_ccall f_28083(C_word c,C_word *av) C_noret;
C_noret_decl(f_28086)
static void C_ccall f_28086(C_word c,C_word *av) C_noret;
C_noret_decl(f_28106)
static void C_ccall f_28106(C_word c,C_word *av) C_noret;
C_noret_decl(f_28112)
static void C_fcall f_28112(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_28122)
static void C_ccall f_28122(C_word c,C_word *av) C_noret;
C_noret_decl(f_28132)
static void C_ccall f_28132(C_word c,C_word *av) C_noret;
C_noret_decl(f_28167)
static void C_ccall f_28167(C_word c,C_word *av) C_noret;
C_noret_decl(f_28171)
static void C_ccall f_28171(C_word c,C_word *av) C_noret;
C_noret_decl(f_28176)
static void C_fcall f_28176(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_28186)
static void C_ccall f_28186(C_word c,C_word *av) C_noret;
C_noret_decl(f_28196)
static void C_ccall f_28196(C_word c,C_word *av) C_noret;
C_noret_decl(f_28205)
static void C_ccall f_28205(C_word c,C_word *av) C_noret;
C_noret_decl(f_28208)
static void C_ccall f_28208(C_word c,C_word *av) C_noret;
C_noret_decl(f_28211)
static void C_ccall f_28211(C_word c,C_word *av) C_noret;
C_noret_decl(f_28218)
static void C_ccall f_28218(C_word c,C_word *av) C_noret;
C_noret_decl(f_28225)
static void C_ccall f_28225(C_word c,C_word *av) C_noret;
C_noret_decl(f_28228)
static void C_ccall f_28228(C_word c,C_word *av) C_noret;
C_noret_decl(f_28232)
static void C_ccall f_28232(C_word c,C_word *av) C_noret;
C_noret_decl(f_28234)
static void C_ccall f_28234(C_word c,C_word *av) C_noret;
C_noret_decl(f_28237)
static void C_ccall f_28237(C_word c,C_word *av) C_noret;
C_noret_decl(f_28240)
static void C_ccall f_28240(C_word c,C_word *av) C_noret;
C_noret_decl(f_28243)
static void C_ccall f_28243(C_word c,C_word *av) C_noret;
C_noret_decl(f_28246)
static void C_ccall f_28246(C_word c,C_word *av) C_noret;
C_noret_decl(f_28249)
static void C_ccall f_28249(C_word c,C_word *av) C_noret;
C_noret_decl(f_28252)
static void C_ccall f_28252(C_word c,C_word *av) C_noret;
C_noret_decl(f_28255)
static void C_ccall f_28255(C_word c,C_word *av) C_noret;
C_noret_decl(f_28258)
static void C_ccall f_28258(C_word c,C_word *av) C_noret;
C_noret_decl(f_28261)
static void C_ccall f_28261(C_word c,C_word *av) C_noret;
C_noret_decl(f_28264)
static void C_ccall f_28264(C_word c,C_word *av) C_noret;
C_noret_decl(f_28268)
static void C_ccall f_28268(C_word c,C_word *av) C_noret;
C_noret_decl(f_28271)
static void C_ccall f_28271(C_word c,C_word *av) C_noret;
C_noret_decl(f_28287)
static void C_ccall f_28287(C_word c,C_word *av) C_noret;
C_noret_decl(f_28295)
static void C_ccall f_28295(C_word c,C_word *av) C_noret;
C_noret_decl(f_28298)
static void C_ccall f_28298(C_word c,C_word *av) C_noret;
C_noret_decl(f_28304)
static void C_ccall f_28304(C_word c,C_word *av) C_noret;
C_noret_decl(f_28313)
static void C_ccall f_28313(C_word c,C_word *av) C_noret;
C_noret_decl(f_28319)
static void C_ccall f_28319(C_word c,C_word *av) C_noret;
C_noret_decl(f_28328)
static void C_ccall f_28328(C_word c,C_word *av) C_noret;
C_noret_decl(f_28334)
static void C_ccall f_28334(C_word c,C_word *av) C_noret;
C_noret_decl(f_28340)
static void C_ccall f_28340(C_word c,C_word *av) C_noret;
C_noret_decl(f_28343)
static void C_ccall f_28343(C_word c,C_word *av) C_noret;
C_noret_decl(f_28347)
static void C_ccall f_28347(C_word c,C_word *av) C_noret;
C_noret_decl(f_28350)
static void C_ccall f_28350(C_word c,C_word *av) C_noret;
C_noret_decl(f_28355)
static void C_ccall f_28355(C_word c,C_word *av) C_noret;
C_noret_decl(f_28357)
static void C_ccall f_28357(C_word c,C_word *av) C_noret;
C_noret_decl(f_28361)
static void C_ccall f_28361(C_word c,C_word *av) C_noret;
C_noret_decl(f_28388)
static void C_fcall f_28388(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_28398)
static void C_ccall f_28398(C_word c,C_word *av) C_noret;
C_noret_decl(f_28407)
static void C_ccall f_28407(C_word c,C_word *av) C_noret;
C_noret_decl(f_28414)
static void C_ccall f_28414(C_word c,C_word *av) C_noret;
C_noret_decl(f_28418)
static void C_ccall f_28418(C_word c,C_word *av) C_noret;
C_noret_decl(f_28432)
static void C_fcall f_28432(C_word t0,C_word t1) C_noret;
C_noret_decl(f_28436)
static void C_ccall f_28436(C_word c,C_word *av) C_noret;
C_noret_decl(f_28443)
static void C_ccall f_28443(C_word c,C_word *av) C_noret;
C_noret_decl(f_28445)
static void C_fcall f_28445(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_28467)
static void C_ccall f_28467(C_word c,C_word *av) C_noret;
C_noret_decl(f_28474)
static void C_ccall f_28474(C_word c,C_word *av) C_noret;
C_noret_decl(f_28479)
static void C_fcall f_28479(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_28483)
static void C_ccall f_28483(C_word c,C_word *av) C_noret;
C_noret_decl(f_28486)
static void C_ccall f_28486(C_word c,C_word *av) C_noret;
C_noret_decl(f_28489)
static void C_ccall f_28489(C_word c,C_word *av) C_noret;
C_noret_decl(f_28494)
static void C_fcall f_28494(C_word t0,C_word t1) C_noret;
C_noret_decl(f_28498)
static void C_ccall f_28498(C_word c,C_word *av) C_noret;
C_noret_decl(f_28524)
static void C_ccall f_28524(C_word c,C_word *av) C_noret;
C_noret_decl(f_28537)
static void C_ccall f_28537(C_word c,C_word *av) C_noret;
C_noret_decl(f_28540)
static void C_ccall f_28540(C_word c,C_word *av) C_noret;
C_noret_decl(f_28549)
static void C_ccall f_28549(C_word c,C_word *av) C_noret;
C_noret_decl(f_28552)
static void C_ccall f_28552(C_word c,C_word *av) C_noret;
C_noret_decl(f_28555)
static void C_ccall f_28555(C_word c,C_word *av) C_noret;
C_noret_decl(f_28561)
static void C_ccall f_28561(C_word c,C_word *av) C_noret;
C_noret_decl(f_28568)
static void C_ccall f_28568(C_word c,C_word *av) C_noret;
C_noret_decl(f_28570)
static void C_fcall f_28570(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_28583)
static void C_ccall f_28583(C_word c,C_word *av) C_noret;
C_noret_decl(f_28596)
static void C_ccall f_28596(C_word c,C_word *av) C_noret;
C_noret_decl(f_28599)
static void C_ccall f_28599(C_word c,C_word *av) C_noret;
C_noret_decl(f_28602)
static void C_ccall f_28602(C_word c,C_word *av) C_noret;
C_noret_decl(f_28609)
static void C_ccall f_28609(C_word c,C_word *av) C_noret;
C_noret_decl(f_28662)
static void C_ccall f_28662(C_word c,C_word *av) C_noret;
C_noret_decl(f_28665)
static void C_ccall f_28665(C_word c,C_word *av) C_noret;
C_noret_decl(f_28668)
static void C_ccall f_28668(C_word c,C_word *av) C_noret;
C_noret_decl(f_28670)
static void C_fcall f_28670(C_word t0,C_word t1) C_noret;
C_noret_decl(f_28674)
static void C_ccall f_28674(C_word c,C_word *av) C_noret;
C_noret_decl(f_28678)
static void C_ccall f_28678(C_word c,C_word *av) C_noret;
C_noret_decl(f_28684)
static void C_ccall f_28684(C_word c,C_word *av) C_noret;
C_noret_decl(f_28689)
static void C_fcall f_28689(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_28693)
static void C_ccall f_28693(C_word c,C_word *av) C_noret;
C_noret_decl(f_28705)
static void C_ccall f_28705(C_word c,C_word *av) C_noret;
C_noret_decl(f_28717)
static void C_ccall f_28717(C_word c,C_word *av) C_noret;
C_noret_decl(f_28724)
static void C_ccall f_28724(C_word c,C_word *av) C_noret;
C_noret_decl(f_28730)
static void C_fcall f_28730(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4) C_noret;
C_noret_decl(f_28744)
static void C_ccall f_28744(C_word c,C_word *av) C_noret;
C_noret_decl(f_28753)
static void C_fcall f_28753(C_word t0,C_word t1) C_noret;
C_noret_decl(f_28783)
static void C_ccall f_28783(C_word c,C_word *av) C_noret;
C_noret_decl(f_28802)
static void C_ccall f_28802(C_word c,C_word *av) C_noret;
C_noret_decl(f_28825)
static void C_ccall f_28825(C_word c,C_word *av) C_noret;
C_noret_decl(f_28834)
static void C_ccall f_28834(C_word c,C_word *av) C_noret;
C_noret_decl(f_28841)
static void C_ccall f_28841(C_word c,C_word *av) C_noret;
C_noret_decl(f_28858)
static void C_ccall f_28858(C_word c,C_word *av) C_noret;
C_noret_decl(f_28866)
static void C_ccall f_28866(C_word c,C_word *av) C_noret;
C_noret_decl(f_28877)
static void C_ccall f_28877(C_word c,C_word *av) C_noret;
C_noret_decl(f_28885)
static void C_ccall f_28885(C_word c,C_word *av) C_noret;
C_noret_decl(f_28892)
static void C_ccall f_28892(C_word c,C_word *av) C_noret;
C_noret_decl(f_28954)
static void C_ccall f_28954(C_word c,C_word *av) C_noret;
C_noret_decl(f_28961)
static void C_ccall f_28961(C_word c,C_word *av) C_noret;
C_noret_decl(f_28964)
static void C_ccall f_28964(C_word c,C_word *av) C_noret;
C_noret_decl(f_28970)
static void C_ccall f_28970(C_word c,C_word *av) C_noret;
C_noret_decl(f_28977)
static void C_ccall f_28977(C_word c,C_word *av) C_noret;
C_noret_decl(f_28981)
static void C_ccall f_28981(C_word c,C_word *av) C_noret;
C_noret_decl(f_28984)
static void C_ccall f_28984(C_word c,C_word *av) C_noret;
C_noret_decl(f_28992)
static void C_ccall f_28992(C_word c,C_word *av) C_noret;
C_noret_decl(f_28994)
static void C_ccall f_28994(C_word c,C_word *av) C_noret;
C_noret_decl(f_29003)
static void C_ccall f_29003(C_word c,C_word *av) C_noret;
C_noret_decl(f_29009)
static void C_ccall f_29009(C_word c,C_word *av) C_noret;
C_noret_decl(f_29020)
static void C_ccall f_29020(C_word c,C_word *av) C_noret;
C_noret_decl(f_29024)
static void C_ccall f_29024(C_word c,C_word *av) C_noret;
C_noret_decl(f_29026)
static void C_ccall f_29026(C_word c,C_word *av) C_noret;
C_noret_decl(f_29034)
static void C_ccall f_29034(C_word c,C_word *av) C_noret;
C_noret_decl(f_29046)
static void C_ccall f_29046(C_word c,C_word *av) C_noret;
C_noret_decl(f_29052)
static void C_fcall f_29052(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_29056)
static void C_ccall f_29056(C_word c,C_word *av) C_noret;
C_noret_decl(f_29064)
static void C_fcall f_29064(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_29082)
static void C_ccall f_29082(C_word c,C_word *av) C_noret;
C_noret_decl(f_29090)
static void C_ccall f_29090(C_word c,C_word *av) C_noret;
C_noret_decl(f_29094)
static void C_ccall f_29094(C_word c,C_word *av) C_noret;
C_noret_decl(f_29112)
static void C_ccall f_29112(C_word c,C_word *av) C_noret;
C_noret_decl(f_29119)
static void C_ccall f_29119(C_word c,C_word *av) C_noret;
C_noret_decl(f_29131)
static void C_ccall f_29131(C_word c,C_word *av) C_noret;
C_noret_decl(f_29139)
static void C_ccall f_29139(C_word c,C_word *av) C_noret;
C_noret_decl(f_29145)
static void C_fcall f_29145(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_29167)
static void C_ccall f_29167(C_word c,C_word *av) C_noret;
C_noret_decl(f_29171)
static void C_ccall f_29171(C_word c,C_word *av) C_noret;
C_noret_decl(f_29175)
static void C_ccall f_29175(C_word c,C_word *av) C_noret;
C_noret_decl(f_29177)
static void C_ccall f_29177(C_word c,C_word *av) C_noret;
C_noret_decl(f_29180)
static void C_ccall f_29180(C_word c,C_word *av) C_noret;
C_noret_decl(f_29183)
static void C_ccall f_29183(C_word c,C_word *av) C_noret;
C_noret_decl(f_29187)
static void C_ccall f_29187(C_word c,C_word *av) C_noret;
C_noret_decl(f_29190)
static void C_ccall f_29190(C_word c,C_word *av) C_noret;
C_noret_decl(f_29208)
static void C_ccall f_29208(C_word c,C_word *av) C_noret;
C_noret_decl(f_29214)
static void C_ccall f_29214(C_word c,C_word *av) C_noret;
C_noret_decl(f_29218)
static void C_ccall f_29218(C_word c,C_word *av) C_noret;
C_noret_decl(f_29235)
static void C_ccall f_29235(C_word c,C_word *av) C_noret;
C_noret_decl(f_29245)
static void C_ccall f_29245(C_word c,C_word *av) C_noret;
C_noret_decl(f_29249)
static void C_ccall f_29249(C_word c,C_word *av) C_noret;
C_noret_decl(f_29253)
static void C_ccall f_29253(C_word c,C_word *av) C_noret;
C_noret_decl(f_29265)
static void C_ccall f_29265(C_word c,C_word *av) C_noret;
C_noret_decl(f_29275)
static void C_ccall f_29275(C_word c,C_word *av) C_noret;
C_noret_decl(f_29279)
static void C_ccall f_29279(C_word c,C_word *av) C_noret;
C_noret_decl(f_29283)
static void C_fcall f_29283(C_word t0,C_word t1) C_noret;
C_noret_decl(f_29311)
static void C_ccall f_29311(C_word c,C_word *av) C_noret;
C_noret_decl(f_29314)
static void C_ccall f_29314(C_word c,C_word *av) C_noret;
C_noret_decl(f_29317)
static void C_ccall f_29317(C_word c,C_word *av) C_noret;
C_noret_decl(f_29323)
static void C_fcall f_29323(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_29336)
static void C_ccall f_29336(C_word c,C_word *av) C_noret;
C_noret_decl(f_29339)
static void C_ccall f_29339(C_word c,C_word *av) C_noret;
C_noret_decl(f_29348)
static void C_ccall f_29348(C_word c,C_word *av) C_noret;
C_noret_decl(f_29354)
static void C_ccall f_29354(C_word c,C_word *av) C_noret;
C_noret_decl(f_29360)
static void C_ccall f_29360(C_word c,C_word *av) C_noret;
C_noret_decl(f_29366)
static void C_ccall f_29366(C_word c,C_word *av) C_noret;
C_noret_decl(f_29372)
static void C_ccall f_29372(C_word c,C_word *av) C_noret;
C_noret_decl(f_29389)
static void C_ccall f_29389(C_word c,C_word *av) C_noret;
C_noret_decl(f_29395)
static void C_ccall f_29395(C_word c,C_word *av) C_noret;
C_noret_decl(f_29410)
static void C_ccall f_29410(C_word c,C_word *av) C_noret;
C_noret_decl(f_29414)
static void C_ccall f_29414(C_word c,C_word *av) C_noret;
C_noret_decl(f_29418)
static void C_ccall f_29418(C_word c,C_word *av) C_noret;
C_noret_decl(f_29422)
static void C_ccall f_29422(C_word c,C_word *av) C_noret;
C_noret_decl(f_29428)
static void C_ccall f_29428(C_word c,C_word *av) C_noret;
C_noret_decl(f_29430)
static void C_ccall f_29430(C_word c,C_word *av) C_noret;
C_noret_decl(f_29436)
static void C_fcall f_29436(C_word t0,C_word t1) C_noret;
C_noret_decl(f_29440)
static void C_ccall f_29440(C_word c,C_word *av) C_noret;
C_noret_decl(f_29449)
static void C_ccall f_29449(C_word c,C_word *av) C_noret;
C_noret_decl(f_29458)
static void C_ccall f_29458(C_word c,C_word *av) C_noret;
C_noret_decl(f_29501)
static void C_ccall f_29501(C_word c,C_word *av) C_noret;
C_noret_decl(f_29523)
static void C_ccall f_29523(C_word c,C_word *av) C_noret;
C_noret_decl(f_29536)
static void C_ccall f_29536(C_word c,C_word *av) C_noret;
C_noret_decl(f_29561)
static void C_ccall f_29561(C_word c,C_word *av) C_noret;
C_noret_decl(f_29577)
static void C_ccall f_29577(C_word c,C_word *av) C_noret;
C_noret_decl(f_29593)
static void C_ccall f_29593(C_word c,C_word *av) C_noret;
C_noret_decl(f_29609)
static void C_ccall f_29609(C_word c,C_word *av) C_noret;
C_noret_decl(f_29625)
static void C_ccall f_29625(C_word c,C_word *av) C_noret;
C_noret_decl(f_29641)
static void C_ccall f_29641(C_word c,C_word *av) C_noret;
C_noret_decl(f_29657)
static void C_ccall f_29657(C_word c,C_word *av) C_noret;
C_noret_decl(f_29673)
static void C_ccall f_29673(C_word c,C_word *av) C_noret;
C_noret_decl(f_29689)
static void C_ccall f_29689(C_word c,C_word *av) C_noret;
C_noret_decl(f_29705)
static void C_ccall f_29705(C_word c,C_word *av) C_noret;
C_noret_decl(f_29712)
static void C_ccall f_29712(C_word c,C_word *av) C_noret;
C_noret_decl(f_29753)
static void C_ccall f_29753(C_word c,C_word *av) C_noret;
C_noret_decl(f_29765)
static void C_ccall f_29765(C_word c,C_word *av) C_noret;
C_noret_decl(f_29771)
static void C_ccall f_29771(C_word c,C_word *av) C_noret;
C_noret_decl(f_29790)
static void C_ccall f_29790(C_word c,C_word *av) C_noret;
C_noret_decl(f_29792)
static void C_ccall f_29792(C_word c,C_word *av) C_noret;
C_noret_decl(f_29815)
static C_word C_fcall f_29815(C_word t0,C_word t1,C_word t2);
C_noret_decl(f_29861)
static void C_ccall f_29861(C_word c,C_word *av) C_noret;
C_noret_decl(f_29863)
static void C_ccall f_29863(C_word c,C_word *av) C_noret;
C_noret_decl(f_29870)
static void C_fcall f_29870(C_word t0,C_word t1) C_noret;
C_noret_decl(f_29882)
static void C_fcall f_29882(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_29926)
static void C_ccall f_29926(C_word c,C_word *av) C_noret;
C_noret_decl(f_29941)
static void C_fcall f_29941(C_word t0,C_word t1) C_noret;
C_noret_decl(f_29949)
static void C_ccall f_29949(C_word c,C_word *av) C_noret;
C_noret_decl(f_29955)
static void C_fcall f_29955(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_29963)
static void C_ccall f_29963(C_word c,C_word *av) C_noret;
C_noret_decl(f_29967)
static void C_ccall f_29967(C_word c,C_word *av) C_noret;
C_noret_decl(f_29973)
static void C_ccall f_29973(C_word c,C_word *av) C_noret;
C_noret_decl(f_29975)
static void C_fcall f_29975(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_29987)
static void C_ccall f_29987(C_word c,C_word *av) C_noret;
C_noret_decl(f_29994)
static void C_ccall f_29994(C_word c,C_word *av) C_noret;
C_noret_decl(f_29998)
static void C_ccall f_29998(C_word c,C_word *av) C_noret;
C_noret_decl(f_30014)
static void C_ccall f_30014(C_word c,C_word *av) C_noret;
C_noret_decl(f_30021)
static void C_ccall f_30021(C_word c,C_word *av) C_noret;
C_noret_decl(f_30025)
static void C_ccall f_30025(C_word c,C_word *av) C_noret;
C_noret_decl(f_30038)
static void C_ccall f_30038(C_word c,C_word *av) C_noret;
C_noret_decl(f_30045)
static void C_ccall f_30045(C_word c,C_word *av) C_noret;
C_noret_decl(f_30049)
static void C_ccall f_30049(C_word c,C_word *av) C_noret;
C_noret_decl(f_30054)
static void C_ccall f_30054(C_word c,C_word *av) C_noret;
C_noret_decl(f_30060)
static void C_ccall f_30060(C_word c,C_word *av) C_noret;
C_noret_decl(f_30063)
static void C_ccall f_30063(C_word c,C_word *av) C_noret;
C_noret_decl(f_30066)
static void C_ccall f_30066(C_word c,C_word *av) C_noret;
C_noret_decl(f_30072)
static void C_ccall f_30072(C_word c,C_word *av) C_noret;
C_noret_decl(f_30081)
static void C_ccall f_30081(C_word c,C_word *av) C_noret;
C_noret_decl(f_30090)
static void C_ccall f_30090(C_word c,C_word *av) C_noret;
C_noret_decl(f_30096)
static void C_ccall f_30096(C_word c,C_word *av) C_noret;
C_noret_decl(f_30099)
static void C_ccall f_30099(C_word c,C_word *av) C_noret;
C_noret_decl(f_30102)
static void C_ccall f_30102(C_word c,C_word *av) C_noret;
C_noret_decl(f_30114)
static void C_ccall f_30114(C_word c,C_word *av) C_noret;
C_noret_decl(f_30117)
static void C_ccall f_30117(C_word c,C_word *av) C_noret;
C_noret_decl(f_30120)
static void C_ccall f_30120(C_word c,C_word *av) C_noret;
C_noret_decl(f_30123)
static void C_ccall f_30123(C_word c,C_word *av) C_noret;
C_noret_decl(f_30135)
static void C_ccall f_30135(C_word c,C_word *av) C_noret;
C_noret_decl(f_30138)
static void C_ccall f_30138(C_word c,C_word *av) C_noret;
C_noret_decl(f_30141)
static void C_ccall f_30141(C_word c,C_word *av) C_noret;
C_noret_decl(f_30144)
static void C_ccall f_30144(C_word c,C_word *av) C_noret;
C_noret_decl(f_30152)
static void C_ccall f_30152(C_word c,C_word *av) C_noret;
C_noret_decl(f_30155)
static void C_ccall f_30155(C_word c,C_word *av) C_noret;
C_noret_decl(f_30168)
static void C_ccall f_30168(C_word c,C_word *av) C_noret;
C_noret_decl(f_30169)
static void C_ccall f_30169(C_word c,C_word *av) C_noret;
C_noret_decl(f_30174)
static void C_ccall f_30174(C_word c,C_word *av) C_noret;
C_noret_decl(f_30175)
static void C_ccall f_30175(C_word c,C_word *av) C_noret;
C_noret_decl(f_30180)
static void C_ccall f_30180(C_word c,C_word *av) C_noret;
C_noret_decl(f_30181)
static void C_ccall f_30181(C_word c,C_word *av) C_noret;
C_noret_decl(f_30186)
static void C_ccall f_30186(C_word c,C_word *av) C_noret;
C_noret_decl(f_30187)
static void C_ccall f_30187(C_word c,C_word *av) C_noret;
C_noret_decl(f_30192)
static void C_ccall f_30192(C_word c,C_word *av) C_noret;
C_noret_decl(f_30193)
static void C_ccall f_30193(C_word c,C_word *av) C_noret;
C_noret_decl(f_30198)
static void C_fcall f_30198(C_word t0,C_word t1) C_noret;
C_noret_decl(f_30200)
static void C_ccall f_30200(C_word c,C_word *av) C_noret;
C_noret_decl(f_30210)
static void C_ccall f_30210(C_word c,C_word *av) C_noret;
C_noret_decl(f_30213)
static void C_ccall f_30213(C_word c,C_word *av) C_noret;
C_noret_decl(f_30216)
static void C_ccall f_30216(C_word c,C_word *av) C_noret;
C_noret_decl(f_30219)
static void C_ccall f_30219(C_word c,C_word *av) C_noret;
C_noret_decl(f_30221)
static void C_fcall f_30221(C_word t0,C_word t1) C_noret;
C_noret_decl(f_30235)
static void C_ccall f_30235(C_word c,C_word *av) C_noret;
C_noret_decl(f_30243)
static void C_ccall f_30243(C_word c,C_word *av) C_noret;
C_noret_decl(f_30247)
static void C_ccall f_30247(C_word c,C_word *av) C_noret;
C_noret_decl(f_30251)
static void C_ccall f_30251(C_word c,C_word *av) C_noret;
C_noret_decl(f_30255)
static void C_ccall f_30255(C_word c,C_word *av) C_noret;
C_noret_decl(f_30261)
static void C_ccall f_30261(C_word c,C_word *av) C_noret;
C_noret_decl(f_30268)
static void C_ccall f_30268(C_word c,C_word *av) C_noret;
C_noret_decl(f_30272)
static void C_ccall f_30272(C_word c,C_word *av) C_noret;
C_noret_decl(f_30276)
static void C_ccall f_30276(C_word c,C_word *av) C_noret;
C_noret_decl(f_30280)
static void C_ccall f_30280(C_word c,C_word *av) C_noret;
C_noret_decl(f_30319)
static void C_ccall f_30319(C_word c,C_word *av) C_noret;
C_noret_decl(f_30322)
static void C_ccall f_30322(C_word c,C_word *av) C_noret;
C_noret_decl(f_30325)
static void C_ccall f_30325(C_word c,C_word *av) C_noret;
C_noret_decl(f_30328)
static void C_ccall f_30328(C_word c,C_word *av) C_noret;
C_noret_decl(f_30331)
static void C_ccall f_30331(C_word c,C_word *av) C_noret;
C_noret_decl(f_30339)
static void C_ccall f_30339(C_word c,C_word *av) C_noret;
C_noret_decl(f_30349)
static void C_ccall f_30349(C_word c,C_word *av) C_noret;
C_noret_decl(f_30371)
static void C_ccall f_30371(C_word c,C_word *av) C_noret;
C_noret_decl(f_30377)
static void C_fcall f_30377(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_30397)
static void C_ccall f_30397(C_word c,C_word *av) C_noret;
C_noret_decl(f_30412)
static void C_ccall f_30412(C_word c,C_word *av) C_noret;
C_noret_decl(f_30416)
static void C_ccall f_30416(C_word c,C_word *av) C_noret;
C_noret_decl(f_30439)
static void C_ccall f_30439(C_word c,C_word *av) C_noret;
C_noret_decl(f_30443)
static void C_ccall f_30443(C_word c,C_word *av) C_noret;
C_noret_decl(f_30460)
static void C_ccall f_30460(C_word c,C_word *av) C_noret;
C_noret_decl(f_30467)
static void C_ccall f_30467(C_word c,C_word *av) C_noret;
C_noret_decl(f_30489)
static void C_ccall f_30489(C_word c,C_word *av) C_noret;
C_noret_decl(f_30494)
static void C_fcall f_30494(C_word t0,C_word t1) C_noret;
C_noret_decl(f_30509)
static void C_ccall f_30509(C_word c,C_word *av) C_noret;
C_noret_decl(f_30512)
static void C_ccall f_30512(C_word c,C_word *av) C_noret;
C_noret_decl(f_30515)
static void C_ccall f_30515(C_word c,C_word *av) C_noret;
C_noret_decl(f_30518)
static void C_ccall f_30518(C_word c,C_word *av) C_noret;
C_noret_decl(f_30521)
static void C_ccall f_30521(C_word c,C_word *av) C_noret;
C_noret_decl(f_30524)
static void C_ccall f_30524(C_word c,C_word *av) C_noret;
C_noret_decl(f_30527)
static void C_fcall f_30527(C_word t0,C_word t1) C_noret;
C_noret_decl(f_30530)
static void C_fcall f_30530(C_word t0,C_word t1) C_noret;
C_noret_decl(f_30533)
static void C_fcall f_30533(C_word t0,C_word t1) C_noret;
C_noret_decl(f_30536)
static void C_fcall f_30536(C_word t0,C_word t1) C_noret;
C_noret_decl(f_30539)
static void C_fcall f_30539(C_word t0,C_word t1) C_noret;
C_noret_decl(f_30543)
static void C_ccall f_30543(C_word c,C_word *av) C_noret;
C_noret_decl(f_30546)
static void C_ccall f_30546(C_word c,C_word *av) C_noret;
C_noret_decl(f_30551)
static void C_ccall f_30551(C_word c,C_word *av) C_noret;
C_noret_decl(f_30557)
static void C_ccall f_30557(C_word c,C_word *av) C_noret;
C_noret_decl(f_30570)
static void C_ccall f_30570(C_word c,C_word *av) C_noret;
C_noret_decl(f_30572)
static void C_fcall f_30572(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_30582)
static void C_ccall f_30582(C_word c,C_word *av) C_noret;
C_noret_decl(f_30595)
static void C_ccall f_30595(C_word c,C_word *av) C_noret;
C_noret_decl(f_30602)
static void C_ccall f_30602(C_word c,C_word *av) C_noret;
C_noret_decl(f_30606)
static void C_ccall f_30606(C_word c,C_word *av) C_noret;
C_noret_decl(f_30608)
static void C_fcall f_30608(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_30637)
static void C_ccall f_30637(C_word c,C_word *av) C_noret;
C_noret_decl(f_30639)
static void C_fcall f_30639(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_30664)
static void C_ccall f_30664(C_word c,C_word *av) C_noret;
C_noret_decl(f_30673)
static void C_ccall f_30673(C_word c,C_word *av) C_noret;
C_noret_decl(f_30676)
static void C_ccall f_30676(C_word c,C_word *av) C_noret;
C_noret_decl(f_30682)
static void C_fcall f_30682(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_30706)
static void C_ccall f_30706(C_word c,C_word *av) C_noret;
C_noret_decl(f_30713)
static void C_ccall f_30713(C_word c,C_word *av) C_noret;
C_noret_decl(f_30717)
static void C_ccall f_30717(C_word c,C_word *av) C_noret;
C_noret_decl(f_30729)
static void C_ccall f_30729(C_word c,C_word *av) C_noret;
C_noret_decl(f_30737)
static void C_ccall f_30737(C_word c,C_word *av) C_noret;
C_noret_decl(f_30741)
static void C_ccall f_30741(C_word c,C_word *av) C_noret;
C_noret_decl(f_30750)
static void C_ccall f_30750(C_word c,C_word *av) C_noret;
C_noret_decl(f_30759)
static void C_ccall f_30759(C_word c,C_word *av) C_noret;
C_noret_decl(f_30769)
static void C_ccall f_30769(C_word c,C_word *av) C_noret;
C_noret_decl(f_30777)
static void C_ccall f_30777(C_word c,C_word *av) C_noret;
C_noret_decl(f_30781)
static void C_ccall f_30781(C_word c,C_word *av) C_noret;
C_noret_decl(f_30785)
static void C_ccall f_30785(C_word c,C_word *av) C_noret;
C_noret_decl(f_30815)
static void C_ccall f_30815(C_word c,C_word *av) C_noret;
C_noret_decl(f_30819)
static void C_ccall f_30819(C_word c,C_word *av) C_noret;
C_noret_decl(f_30823)
static void C_ccall f_30823(C_word c,C_word *av) C_noret;
C_noret_decl(f_30827)
static void C_ccall f_30827(C_word c,C_word *av) C_noret;
C_noret_decl(f_30831)
static void C_ccall f_30831(C_word c,C_word *av) C_noret;
C_noret_decl(f_30835)
static void C_ccall f_30835(C_word c,C_word *av) C_noret;
C_noret_decl(f_30838)
static void C_ccall f_30838(C_word c,C_word *av) C_noret;
C_noret_decl(f_30841)
static void C_ccall f_30841(C_word c,C_word *av) C_noret;
C_noret_decl(f_30851)
static void C_ccall f_30851(C_word c,C_word *av) C_noret;
C_noret_decl(f_30854)
static void C_ccall f_30854(C_word c,C_word *av) C_noret;
C_noret_decl(f_30856)
static void C_ccall f_30856(C_word c,C_word *av) C_noret;
C_noret_decl(f_30873)
static C_word C_fcall f_30873(C_word t0);
C_noret_decl(f_30900)
static void C_ccall f_30900(C_word c,C_word *av) C_noret;
C_noret_decl(f_30909)
static void C_ccall f_30909(C_word c,C_word *av) C_noret;
C_noret_decl(f_30929)
static void C_ccall f_30929(C_word c,C_word *av) C_noret;
C_noret_decl(f_30933)
static void C_ccall f_30933(C_word c,C_word *av) C_noret;
C_noret_decl(f_30937)
static void C_ccall f_30937(C_word c,C_word *av) C_noret;
C_noret_decl(f_30941)
static void C_ccall f_30941(C_word c,C_word *av) C_noret;
C_noret_decl(f_30945)
static void C_ccall f_30945(C_word c,C_word *av) C_noret;
C_noret_decl(f_30949)
static void C_ccall f_30949(C_word c,C_word *av) C_noret;
C_noret_decl(f_30953)
static void C_ccall f_30953(C_word c,C_word *av) C_noret;
C_noret_decl(f_30955)
static void C_ccall f_30955(C_word c,C_word *av) C_noret;
C_noret_decl(f_30964)
static void C_ccall f_30964(C_word c,C_word *av) C_noret;
C_noret_decl(f_30974)
static void C_ccall f_30974(C_word c,C_word *av) C_noret;
C_noret_decl(f_30999)
static void C_ccall f_30999(C_word c,C_word *av) C_noret;
C_noret_decl(f_31002)
static void C_ccall f_31002(C_word c,C_word *av) C_noret;
C_noret_decl(f_31004)
static void C_ccall f_31004(C_word c,C_word *av) C_noret;
C_noret_decl(f_31020)
static void C_fcall f_31020(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_31039)
static void C_fcall f_31039(C_word t0,C_word t1) C_noret;
C_noret_decl(f_31049)
static void C_ccall f_31049(C_word c,C_word *av) C_noret;
C_noret_decl(f_31059)
static void C_ccall f_31059(C_word c,C_word *av) C_noret;
C_noret_decl(f_31083)
static void C_ccall f_31083(C_word c,C_word *av) C_noret;
C_noret_decl(f_31087)
static void C_ccall f_31087(C_word c,C_word *av) C_noret;
C_noret_decl(f_31089)
static void C_ccall f_31089(C_word c,C_word *av) C_noret;
C_noret_decl(f_31093)
static void C_ccall f_31093(C_word c,C_word *av) C_noret;
C_noret_decl(f_31096)
static void C_ccall f_31096(C_word c,C_word *av) C_noret;
C_noret_decl(f_31111)
static void C_ccall f_31111(C_word c,C_word *av) C_noret;
C_noret_decl(f_31117)
static void C_ccall f_31117(C_word c,C_word *av) C_noret;
C_noret_decl(f_31121)
static void C_ccall f_31121(C_word c,C_word *av) C_noret;
C_noret_decl(f_31130)
static void C_ccall f_31130(C_word c,C_word *av) C_noret;
C_noret_decl(f_31133)
static void C_ccall f_31133(C_word c,C_word *av) C_noret;
C_noret_decl(f_31136)
static void C_ccall f_31136(C_word c,C_word *av) C_noret;
C_noret_decl(f_31139)
static void C_ccall f_31139(C_word c,C_word *av) C_noret;
C_noret_decl(f_31142)
static void C_ccall f_31142(C_word c,C_word *av) C_noret;
C_noret_decl(f_31148)
static void C_ccall f_31148(C_word c,C_word *av) C_noret;
C_noret_decl(f_31154)
static void C_ccall f_31154(C_word c,C_word *av) C_noret;
C_noret_decl(f_31157)
static void C_ccall f_31157(C_word c,C_word *av) C_noret;
C_noret_decl(f_31162)
static void C_ccall f_31162(C_word c,C_word *av) C_noret;
C_noret_decl(f_31172)
static void C_ccall f_31172(C_word c,C_word *av) C_noret;
C_noret_decl(f_31184)
static void C_ccall f_31184(C_word c,C_word *av) C_noret;
C_noret_decl(f_31192)
static void C_fcall f_31192(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_31202)
static void C_ccall f_31202(C_word c,C_word *av) C_noret;
C_noret_decl(f_31218)
static void C_ccall f_31218(C_word c,C_word *av) C_noret;
C_noret_decl(f_31224)
static void C_ccall f_31224(C_word c,C_word *av) C_noret;
C_noret_decl(f_31227)
static void C_ccall f_31227(C_word c,C_word *av) C_noret;
C_noret_decl(f_31230)
static void C_ccall f_31230(C_word c,C_word *av) C_noret;
C_noret_decl(f_31231)
static void C_fcall f_31231(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_31235)
static void C_ccall f_31235(C_word c,C_word *av) C_noret;
C_noret_decl(f_31241)
static void C_ccall f_31241(C_word c,C_word *av) C_noret;
C_noret_decl(f_31245)
static void C_ccall f_31245(C_word c,C_word *av) C_noret;
C_noret_decl(f_31247)
static void C_fcall f_31247(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_31257)
static void C_ccall f_31257(C_word c,C_word *av) C_noret;
C_noret_decl(f_31274)
static void C_ccall f_31274(C_word c,C_word *av) C_noret;
C_noret_decl(f_31277)
static void C_ccall f_31277(C_word c,C_word *av) C_noret;
C_noret_decl(f_31281)
static void C_ccall f_31281(C_word c,C_word *av) C_noret;
C_noret_decl(f_31286)
static void C_ccall f_31286(C_word c,C_word *av) C_noret;
C_noret_decl(f_31292)
static void C_ccall f_31292(C_word c,C_word *av) C_noret;
C_noret_decl(f_31299)
static void C_ccall f_31299(C_word c,C_word *av) C_noret;
C_noret_decl(f_31308)
static void C_ccall f_31308(C_word c,C_word *av) C_noret;
C_noret_decl(f_31316)
static void C_ccall f_31316(C_word c,C_word *av) C_noret;
C_noret_decl(f_31341)
static void C_ccall f_31341(C_word c,C_word *av) C_noret;
C_noret_decl(f_31359)
static void C_ccall f_31359(C_word c,C_word *av) C_noret;
C_noret_decl(f_31363)
static void C_ccall f_31363(C_word c,C_word *av) C_noret;
C_noret_decl(f_31378)
static void C_ccall f_31378(C_word c,C_word *av) C_noret;
C_noret_decl(f_31382)
static void C_ccall f_31382(C_word c,C_word *av) C_noret;
C_noret_decl(f_31397)
static void C_ccall f_31397(C_word c,C_word *av) C_noret;
C_noret_decl(f_31400)
static void C_ccall f_31400(C_word c,C_word *av) C_noret;
C_noret_decl(f_31403)
static void C_ccall f_31403(C_word c,C_word *av) C_noret;
C_noret_decl(f_31413)
static void C_fcall f_31413(C_word t0,C_word t1) C_noret;
C_noret_decl(f_31444)
static void C_ccall f_31444(C_word c,C_word *av) C_noret;
C_noret_decl(f_31468)
static void C_ccall f_31468(C_word c,C_word *av) C_noret;
C_noret_decl(f_31478)
static void C_ccall f_31478(C_word c,C_word *av) C_noret;
C_noret_decl(f_31487)
static void C_ccall f_31487(C_word c,C_word *av) C_noret;
C_noret_decl(f_31528)
static void C_ccall f_31528(C_word c,C_word *av) C_noret;
C_noret_decl(f_31547)
static void C_ccall f_31547(C_word c,C_word *av) C_noret;
C_noret_decl(f_31560)
static void C_ccall f_31560(C_word c,C_word *av) C_noret;
C_noret_decl(f_31570)
static void C_ccall f_31570(C_word c,C_word *av) C_noret;
C_noret_decl(f_31580)
static void C_ccall f_31580(C_word c,C_word *av) C_noret;
C_noret_decl(f_31590)
static void C_ccall f_31590(C_word c,C_word *av) C_noret;
C_noret_decl(f_31600)
static void C_ccall f_31600(C_word c,C_word *av) C_noret;
C_noret_decl(f_31610)
static void C_ccall f_31610(C_word c,C_word *av) C_noret;
C_noret_decl(f_31620)
static void C_ccall f_31620(C_word c,C_word *av) C_noret;
C_noret_decl(f_31630)
static void C_ccall f_31630(C_word c,C_word *av) C_noret;
C_noret_decl(f_31640)
static void C_ccall f_31640(C_word c,C_word *av) C_noret;
C_noret_decl(f_31650)
static void C_ccall f_31650(C_word c,C_word *av) C_noret;
C_noret_decl(f_31660)
static void C_ccall f_31660(C_word c,C_word *av) C_noret;
C_noret_decl(f_31670)
static void C_ccall f_31670(C_word c,C_word *av) C_noret;
C_noret_decl(f_31680)
static void C_ccall f_31680(C_word c,C_word *av) C_noret;
C_noret_decl(f_31690)
static void C_ccall f_31690(C_word c,C_word *av) C_noret;
C_noret_decl(f_31706)
static void C_ccall f_31706(C_word c,C_word *av) C_noret;
C_noret_decl(f_31714)
static void C_ccall f_31714(C_word c,C_word *av) C_noret;
C_noret_decl(f_31730)
static void C_ccall f_31730(C_word c,C_word *av) C_noret;
C_noret_decl(f_31746)
static void C_ccall f_31746(C_word c,C_word *av) C_noret;
C_noret_decl(f_31756)
static void C_ccall f_31756(C_word c,C_word *av) C_noret;
C_noret_decl(f_31766)
static void C_ccall f_31766(C_word c,C_word *av) C_noret;
C_noret_decl(f_31785)
static void C_ccall f_31785(C_word c,C_word *av) C_noret;
C_noret_decl(f_31801)
static void C_ccall f_31801(C_word c,C_word *av) C_noret;
C_noret_decl(f_31814)
static void C_ccall f_31814(C_word c,C_word *av) C_noret;
C_noret_decl(f_31820)
static void C_ccall f_31820(C_word c,C_word *av) C_noret;
C_noret_decl(f_31843)
static void C_ccall f_31843(C_word c,C_word *av) C_noret;
C_noret_decl(f_31847)
static void C_ccall f_31847(C_word c,C_word *av) C_noret;
C_noret_decl(f_31851)
static void C_ccall f_31851(C_word c,C_word *av) C_noret;
C_noret_decl(f_31854)
static void C_ccall f_31854(C_word c,C_word *av) C_noret;
C_noret_decl(f_31860)
static void C_ccall f_31860(C_word c,C_word *av) C_noret;
C_noret_decl(f_31883)
static void C_ccall f_31883(C_word c,C_word *av) C_noret;
C_noret_decl(f_31887)
static void C_ccall f_31887(C_word c,C_word *av) C_noret;
C_noret_decl(f_31891)
static void C_ccall f_31891(C_word c,C_word *av) C_noret;
C_noret_decl(f_31894)
static void C_ccall f_31894(C_word c,C_word *av) C_noret;
C_noret_decl(f_31897)
static void C_ccall f_31897(C_word c,C_word *av) C_noret;
C_noret_decl(f_31900)
static void C_ccall f_31900(C_word c,C_word *av) C_noret;
C_noret_decl(f_31906)
static void C_ccall f_31906(C_word c,C_word *av) C_noret;
C_noret_decl(f_31909)
static void C_ccall f_31909(C_word c,C_word *av) C_noret;
C_noret_decl(f_31912)
static void C_ccall f_31912(C_word c,C_word *av) C_noret;
C_noret_decl(f_31920)
static void C_fcall f_31920(C_word t0,C_word t1) C_noret;
C_noret_decl(f_31922)
static void C_fcall f_31922(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4) C_noret;
C_noret_decl(f_31946)
static void C_ccall f_31946(C_word c,C_word *av) C_noret;
C_noret_decl(f_31969)
static void C_ccall f_31969(C_word c,C_word *av) C_noret;
C_noret_decl(f_31973)
static void C_ccall f_31973(C_word c,C_word *av) C_noret;
C_noret_decl(f_31977)
static void C_ccall f_31977(C_word c,C_word *av) C_noret;
C_noret_decl(f_32011)
static void C_ccall f_32011(C_word c,C_word *av) C_noret;
C_noret_decl(f_32015)
static void C_ccall f_32015(C_word c,C_word *av) C_noret;
C_noret_decl(f_32018)
static void C_fcall f_32018(C_word t0,C_word t1) C_noret;
C_noret_decl(f_32031)
static void C_fcall f_32031(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4,C_word t5,C_word t6) C_noret;
C_noret_decl(f_32064)
static void C_ccall f_32064(C_word c,C_word *av) C_noret;
C_noret_decl(f_32079)
static void C_ccall f_32079(C_word c,C_word *av) C_noret;
C_noret_decl(f_32083)
static void C_ccall f_32083(C_word c,C_word *av) C_noret;
C_noret_decl(f_32107)
static void C_ccall f_32107(C_word c,C_word *av) C_noret;
C_noret_decl(f_32115)
static void C_ccall f_32115(C_word c,C_word *av) C_noret;
C_noret_decl(f_32119)
static void C_ccall f_32119(C_word c,C_word *av) C_noret;
C_noret_decl(f_32130)
static void C_ccall f_32130(C_word c,C_word *av) C_noret;
C_noret_decl(f_32134)
static void C_ccall f_32134(C_word c,C_word *av) C_noret;
C_noret_decl(f_32138)
static void C_ccall f_32138(C_word c,C_word *av) C_noret;
C_noret_decl(f_32152)
static void C_ccall f_32152(C_word c,C_word *av) C_noret;
C_noret_decl(f_32184)
static void C_ccall f_32184(C_word c,C_word *av) C_noret;
C_noret_decl(f_8510)
static void C_ccall f_8510(C_word c,C_word *av) C_noret;
C_noret_decl(f_8512)
static void C_ccall f_8512(C_word c,C_word *av) C_noret;
C_noret_decl(f_8515)
static void C_ccall f_8515(C_word c,C_word *av) C_noret;
C_noret_decl(f_8518)
static void C_ccall f_8518(C_word c,C_word *av) C_noret;
C_noret_decl(f_8521)
static void C_ccall f_8521(C_word c,C_word *av) C_noret;
C_noret_decl(f_8524)
static void C_ccall f_8524(C_word c,C_word *av) C_noret;
C_noret_decl(f_8527)
static void C_ccall f_8527(C_word c,C_word *av) C_noret;
C_noret_decl(f_8530)
static void C_ccall f_8530(C_word c,C_word *av) C_noret;
C_noret_decl(f_8533)
static void C_ccall f_8533(C_word c,C_word *av) C_noret;
C_noret_decl(f_8536)
static void C_ccall f_8536(C_word c,C_word *av) C_noret;
C_noret_decl(f_8539)
static void C_ccall f_8539(C_word c,C_word *av) C_noret;
C_noret_decl(f_8542)
static void C_ccall f_8542(C_word c,C_word *av) C_noret;
C_noret_decl(f_8545)
static void C_ccall f_8545(C_word c,C_word *av) C_noret;
C_noret_decl(f_8548)
static void C_ccall f_8548(C_word c,C_word *av) C_noret;
C_noret_decl(f_8551)
static void C_ccall f_8551(C_word c,C_word *av) C_noret;
C_noret_decl(f_8554)
static void C_ccall f_8554(C_word c,C_word *av) C_noret;
C_noret_decl(f_8557)
static void C_ccall f_8557(C_word c,C_word *av) C_noret;
C_noret_decl(f_8560)
static void C_ccall f_8560(C_word c,C_word *av) C_noret;
C_noret_decl(f_8563)
static void C_ccall f_8563(C_word c,C_word *av) C_noret;
C_noret_decl(f_8566)
static void C_ccall f_8566(C_word c,C_word *av) C_noret;
C_noret_decl(f_8580)
static void C_ccall f_8580(C_word c,C_word *av) C_noret;
C_noret_decl(f_8587)
static void C_ccall f_8587(C_word c,C_word *av) C_noret;
C_noret_decl(f_8594)
static void C_ccall f_8594(C_word c,C_word *av) C_noret;
C_noret_decl(f_8608)
static void C_ccall f_8608(C_word c,C_word *av) C_noret;
C_noret_decl(f_8615)
static void C_ccall f_8615(C_word c,C_word *av) C_noret;
C_noret_decl(f_8629)
static void C_ccall f_8629(C_word c,C_word *av) C_noret;
C_noret_decl(f_8643)
static void C_ccall f_8643(C_word c,C_word *av) C_noret;
C_noret_decl(f_8661)
static void C_ccall f_8661(C_word c,C_word *av) C_noret;
C_noret_decl(f_8672)
static void C_ccall f_8672(C_word c,C_word *av) C_noret;
C_noret_decl(f_8683)
static void C_ccall f_8683(C_word c,C_word *av) C_noret;
C_noret_decl(f_8690)
static void C_ccall f_8690(C_word c,C_word *av) C_noret;
C_noret_decl(f_8701)
static void C_ccall f_8701(C_word c,C_word *av) C_noret;
C_noret_decl(f_8705)
static void C_ccall f_8705(C_word c,C_word *av) C_noret;
C_noret_decl(f_8712)
static void C_ccall f_8712(C_word c,C_word *av) C_noret;
C_noret_decl(f_8730)
static void C_ccall f_8730(C_word c,C_word *av) C_noret;
C_noret_decl(f_8741)
static void C_ccall f_8741(C_word c,C_word *av) C_noret;
C_noret_decl(f_8752)
static void C_ccall f_8752(C_word c,C_word *av) C_noret;
C_noret_decl(f_8759)
static void C_ccall f_8759(C_word c,C_word *av) C_noret;
C_noret_decl(f_8777)
static void C_ccall f_8777(C_word c,C_word *av) C_noret;
C_noret_decl(f_8788)
static void C_ccall f_8788(C_word c,C_word *av) C_noret;
C_noret_decl(f_8806)
static void C_ccall f_8806(C_word c,C_word *av) C_noret;
C_noret_decl(f_8812)
static void C_ccall f_8812(C_word c,C_word *av) C_noret;
C_noret_decl(f_8815)
static void C_ccall f_8815(C_word c,C_word *av) C_noret;
C_noret_decl(f_8818)
static void C_ccall f_8818(C_word c,C_word *av) C_noret;
C_noret_decl(f_8821)
static void C_ccall f_8821(C_word c,C_word *av) C_noret;
C_noret_decl(f_8824)
static void C_ccall f_8824(C_word c,C_word *av) C_noret;
C_noret_decl(f_8830)
static void C_fcall f_8830(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_8863)
static void C_ccall f_8863(C_word c,C_word *av) C_noret;
C_noret_decl(f_8866)
static void C_ccall f_8866(C_word c,C_word *av) C_noret;
C_noret_decl(f_8869)
static void C_ccall f_8869(C_word c,C_word *av) C_noret;
C_noret_decl(f_8872)
static void C_ccall f_8872(C_word c,C_word *av) C_noret;
C_noret_decl(f_8875)
static void C_ccall f_8875(C_word c,C_word *av) C_noret;
C_noret_decl(f_8878)
static void C_ccall f_8878(C_word c,C_word *av) C_noret;
C_noret_decl(f_8881)
static void C_ccall f_8881(C_word c,C_word *av) C_noret;
C_noret_decl(f_8884)
static void C_ccall f_8884(C_word c,C_word *av) C_noret;
C_noret_decl(f_8887)
static void C_ccall f_8887(C_word c,C_word *av) C_noret;
C_noret_decl(f_8890)
static void C_ccall f_8890(C_word c,C_word *av) C_noret;
C_noret_decl(f_8893)
static void C_ccall f_8893(C_word c,C_word *av) C_noret;
C_noret_decl(f_8896)
static void C_ccall f_8896(C_word c,C_word *av) C_noret;
C_noret_decl(f_8899)
static void C_ccall f_8899(C_word c,C_word *av) C_noret;
C_noret_decl(f_8903)
static void C_ccall f_8903(C_word c,C_word *av) C_noret;
C_noret_decl(f_8906)
static void C_ccall f_8906(C_word c,C_word *av) C_noret;
C_noret_decl(f_8912)
static void C_ccall f_8912(C_word c,C_word *av) C_noret;
C_noret_decl(f_8915)
static void C_ccall f_8915(C_word c,C_word *av) C_noret;
C_noret_decl(f_8918)
static void C_ccall f_8918(C_word c,C_word *av) C_noret;
C_noret_decl(f_8921)
static void C_ccall f_8921(C_word c,C_word *av) C_noret;
C_noret_decl(f_8924)
static void C_ccall f_8924(C_word c,C_word *av) C_noret;
C_noret_decl(f_8932)
static void C_ccall f_8932(C_word c,C_word *av) C_noret;
C_noret_decl(f_8936)
static void C_ccall f_8936(C_word c,C_word *av) C_noret;
C_noret_decl(f_8939)
static void C_ccall f_8939(C_word c,C_word *av) C_noret;
C_noret_decl(f_8942)
static void C_ccall f_8942(C_word c,C_word *av) C_noret;
C_noret_decl(f_8945)
static void C_ccall f_8945(C_word c,C_word *av) C_noret;
C_noret_decl(f_8948)
static void C_ccall f_8948(C_word c,C_word *av) C_noret;
C_noret_decl(f_8951)
static void C_ccall f_8951(C_word c,C_word *av) C_noret;
C_noret_decl(f_8954)
static void C_ccall f_8954(C_word c,C_word *av) C_noret;
C_noret_decl(f_8957)
static void C_ccall f_8957(C_word c,C_word *av) C_noret;
C_noret_decl(f_8961)
static void C_ccall f_8961(C_word c,C_word *av) C_noret;
C_noret_decl(f_8964)
static void C_ccall f_8964(C_word c,C_word *av) C_noret;
C_noret_decl(f_8967)
static void C_ccall f_8967(C_word c,C_word *av) C_noret;
C_noret_decl(f_8970)
static void C_ccall f_8970(C_word c,C_word *av) C_noret;
C_noret_decl(f_8973)
static void C_ccall f_8973(C_word c,C_word *av) C_noret;
C_noret_decl(f_8981)
static void C_ccall f_8981(C_word c,C_word *av) C_noret;
C_noret_decl(f_8984)
static void C_ccall f_8984(C_word c,C_word *av) C_noret;
C_noret_decl(f_8991)
static void C_ccall f_8991(C_word c,C_word *av) C_noret;
C_noret_decl(f_8995)
static void C_ccall f_8995(C_word c,C_word *av) C_noret;
C_noret_decl(f_8998)
static void C_ccall f_8998(C_word c,C_word *av) C_noret;
C_noret_decl(f_9001)
static void C_ccall f_9001(C_word c,C_word *av) C_noret;
C_noret_decl(f_9004)
static void C_ccall f_9004(C_word c,C_word *av) C_noret;
C_noret_decl(f_9007)
static void C_ccall f_9007(C_word c,C_word *av) C_noret;
C_noret_decl(f_9010)
static void C_ccall f_9010(C_word c,C_word *av) C_noret;
C_noret_decl(f_9013)
static void C_ccall f_9013(C_word c,C_word *av) C_noret;
C_noret_decl(f_9019)
static void C_ccall f_9019(C_word c,C_word *av) C_noret;
C_noret_decl(f_9030)
static void C_ccall f_9030(C_word c,C_word *av) C_noret;
C_noret_decl(f_9036)
static void C_ccall f_9036(C_word c,C_word *av) C_noret;
C_noret_decl(f_9042)
static void C_ccall f_9042(C_word c,C_word *av) C_noret;
C_noret_decl(f_9048)
static void C_ccall f_9048(C_word c,C_word *av) C_noret;
C_noret_decl(f_9054)
static void C_ccall f_9054(C_word c,C_word *av) C_noret;
C_noret_decl(f_9060)
static void C_ccall f_9060(C_word c,C_word *av) C_noret;
C_noret_decl(f_9067)
static void C_ccall f_9067(C_word c,C_word *av) C_noret;
C_noret_decl(f_9073)
static void C_ccall f_9073(C_word c,C_word *av) C_noret;
C_noret_decl(f_9089)
static void C_ccall f_9089(C_word c,C_word *av) C_noret;
C_noret_decl(f_9100)
static void C_ccall f_9100(C_word c,C_word *av) C_noret;
C_noret_decl(f_9106)
static void C_ccall f_9106(C_word c,C_word *av) C_noret;
C_noret_decl(f_9112)
static void C_ccall f_9112(C_word c,C_word *av) C_noret;
C_noret_decl(f_9118)
static void C_ccall f_9118(C_word c,C_word *av) C_noret;
C_noret_decl(f_9124)
static void C_ccall f_9124(C_word c,C_word *av) C_noret;
C_noret_decl(f_9133)
static void C_ccall f_9133(C_word c,C_word *av) C_noret;
C_noret_decl(f_9136)
static void C_ccall f_9136(C_word c,C_word *av) C_noret;
C_noret_decl(f_9139)
static void C_ccall f_9139(C_word c,C_word *av) C_noret;
C_noret_decl(f_9142)
static void C_ccall f_9142(C_word c,C_word *av) C_noret;
C_noret_decl(f_9145)
static void C_ccall f_9145(C_word c,C_word *av) C_noret;
C_noret_decl(f_9148)
static void C_ccall f_9148(C_word c,C_word *av) C_noret;
C_noret_decl(f_9152)
static void C_ccall f_9152(C_word c,C_word *av) C_noret;
C_noret_decl(f_9158)
static void C_ccall f_9158(C_word c,C_word *av) C_noret;
C_noret_decl(f_9164)
static void C_ccall f_9164(C_word c,C_word *av) C_noret;
C_noret_decl(f_9197)
static void C_ccall f_9197(C_word c,C_word *av) C_noret;
C_noret_decl(f_9200)
static void C_ccall f_9200(C_word c,C_word *av) C_noret;
C_noret_decl(f_9203)
static void C_ccall f_9203(C_word c,C_word *av) C_noret;
C_noret_decl(f_9211)
static void C_ccall f_9211(C_word c,C_word *av) C_noret;
C_noret_decl(f_9216)
static void C_ccall f_9216(C_word c,C_word *av) C_noret;
C_noret_decl(f_9222)
static void C_ccall f_9222(C_word c,C_word *av) C_noret;
C_noret_decl(f_9237)
static void C_ccall f_9237(C_word c,C_word *av) C_noret;
C_noret_decl(f_9258)
static void C_ccall f_9258(C_word c,C_word *av) C_noret;
C_noret_decl(f_9264)
static void C_ccall f_9264(C_word c,C_word *av) C_noret;
C_noret_decl(f_9270)
static void C_ccall f_9270(C_word c,C_word *av) C_noret;
C_noret_decl(f_9277)
static void C_ccall f_9277(C_word c,C_word *av) C_noret;
C_noret_decl(f_9282)
static void C_ccall f_9282(C_word c,C_word *av) C_noret;
C_noret_decl(f_9285)
static void C_ccall f_9285(C_word c,C_word *av) C_noret;
C_noret_decl(f_9294)
static void C_fcall f_9294(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_9312)
static void C_ccall f_9312(C_word c,C_word *av) C_noret;
C_noret_decl(f_9322)
static void C_ccall f_9322(C_word c,C_word *av) C_noret;
C_noret_decl(f_9331)
static void C_fcall f_9331(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_9349)
static void C_ccall f_9349(C_word c,C_word *av) C_noret;
C_noret_decl(f_9362)
static void C_ccall f_9362(C_word c,C_word *av) C_noret;
C_noret_decl(f_9369)
static void C_ccall f_9369(C_word c,C_word *av) C_noret;
C_noret_decl(f_9376)
static void C_ccall f_9376(C_word c,C_word *av) C_noret;
C_noret_decl(f_9387)
static void C_ccall f_9387(C_word c,C_word *av) C_noret;
C_noret_decl(f_9394)
static void C_ccall f_9394(C_word c,C_word *av) C_noret;
C_noret_decl(f_9406)
static void C_ccall f_9406(C_word c,C_word *av) C_noret;
C_noret_decl(f_9409)
static void C_ccall f_9409(C_word c,C_word *av) C_noret;
C_noret_decl(f_9411)
static void C_ccall f_9411(C_word c,C_word *av) C_noret;
C_noret_decl(f_9417)
static void C_fcall f_9417(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_9433)
static void C_ccall f_9433(C_word c,C_word *av) C_noret;
C_noret_decl(f_9442)
static void C_ccall f_9442(C_word c,C_word *av) C_noret;
C_noret_decl(f_9444)
static void C_ccall f_9444(C_word c,C_word *av) C_noret;
C_noret_decl(f_9450)
static void C_fcall f_9450(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_9463)
static void C_ccall f_9463(C_word c,C_word *av) C_noret;
C_noret_decl(f_9479)
static void C_ccall f_9479(C_word c,C_word *av) C_noret;
C_noret_decl(f_9490)
static void C_ccall f_9490(C_word c,C_word *av) C_noret;
C_noret_decl(f_9492)
static void C_ccall f_9492(C_word c,C_word *av) C_noret;
C_noret_decl(f_9500)
static void C_ccall f_9500(C_word c,C_word *av) C_noret;
C_noret_decl(f_9502)
static void C_ccall f_9502(C_word c,C_word *av) C_noret;
C_noret_decl(f_9508)
static void C_ccall f_9508(C_word c,C_word *av) C_noret;
C_noret_decl(f_9510)
static void C_ccall f_9510(C_word c,C_word *av) C_noret;
C_noret_decl(f_9518)
static void C_ccall f_9518(C_word c,C_word *av) C_noret;
C_noret_decl(f_9520)
static void C_ccall f_9520(C_word c,C_word *av) C_noret;
C_noret_decl(f_9523)
static void C_ccall f_9523(C_word c,C_word *av) C_noret;
C_noret_decl(f_9531)
static void C_ccall f_9531(C_word c,C_word *av) C_noret;
C_noret_decl(f_9537)
static void C_ccall f_9537(C_word c,C_word *av) C_noret;
C_noret_decl(f_9545)
static void C_ccall f_9545(C_word c,C_word *av) C_noret;
C_noret_decl(f_9556)
static void C_ccall f_9556(C_word c,C_word *av) C_noret;
C_noret_decl(f_9568)
static void C_fcall f_9568(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_9582)
static void C_ccall f_9582(C_word c,C_word *av) C_noret;
C_noret_decl(f_9590)
static void C_ccall f_9590(C_word c,C_word *av) C_noret;
C_noret_decl(f_9593)
static void C_ccall f_9593(C_word c,C_word *av) C_noret;
C_noret_decl(f_9595)
static void C_ccall f_9595(C_word c,C_word *av) C_noret;
C_noret_decl(f_9597)
static void C_ccall f_9597(C_word c,C_word *av) C_noret;
C_noret_decl(f_9603)
static void C_fcall f_9603(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_9622)
static void C_ccall f_9622(C_word c,C_word *av) C_noret;
C_noret_decl(f_9639)
static void C_ccall f_9639(C_word c,C_word *av) C_noret;
C_noret_decl(f_9647)
static void C_ccall f_9647(C_word c,C_word *av) C_noret;
C_noret_decl(f_9661)
static void C_ccall f_9661(C_word c,C_word *av) C_noret;
C_noret_decl(f_9667)
static void C_fcall f_9667(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_9686)
static void C_ccall f_9686(C_word c,C_word *av) C_noret;
C_noret_decl(f_9695)
static void C_ccall f_9695(C_word c,C_word *av) C_noret;
C_noret_decl(f_9698)
static void C_ccall f_9698(C_word c,C_word *av) C_noret;
C_noret_decl(f_9710)
static C_word C_fcall f_9710(C_word t0,C_word t1);
C_noret_decl(f_9726)
static void C_ccall f_9726(C_word c,C_word *av) C_noret;
C_noret_decl(f_9732)
static void C_fcall f_9732(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_9757)
static void C_ccall f_9757(C_word c,C_word *av) C_noret;
C_noret_decl(f_9759)
static void C_ccall f_9759(C_word c,C_word *av) C_noret;
C_noret_decl(f_9768)
static void C_fcall f_9768(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_9789)
static void C_ccall f_9789(C_word c,C_word *av) C_noret;
C_noret_decl(f_9791)
static void C_ccall f_9791(C_word c,C_word *av) C_noret;
C_noret_decl(f_9797)
static void C_fcall f_9797(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_9823)
static void C_ccall f_9823(C_word c,C_word *av) C_noret;
C_noret_decl(f_9830)
static void C_ccall f_9830(C_word c,C_word *av) C_noret;
C_noret_decl(f_9832)
static void C_ccall f_9832(C_word c,C_word *av) C_noret;
C_noret_decl(f_9836)
static void C_fcall f_9836(C_word t0,C_word t1) C_noret;
C_noret_decl(f_9844)
static void C_fcall f_9844(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_9879)
static void C_ccall f_9879(C_word c,C_word *av) C_noret;
C_noret_decl(f_9889)
static void C_ccall f_9889(C_word c,C_word *av) C_noret;
C_noret_decl(f_9898)
static void C_fcall f_9898(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_9940)
static void C_ccall f_9940(C_word c,C_word *av) C_noret;
C_noret_decl(f_9969)
static void C_ccall f_9969(C_word c,C_word *av) C_noret;
C_noret_decl(f_9976)
static void C_fcall f_9976(C_word t0,C_word t1) C_noret;
C_noret_decl(f_9979)
static void C_ccall f_9979(C_word c,C_word *av) C_noret;
C_noret_decl(C_library_toplevel)
C_externexport void C_ccall C_library_toplevel(C_word c,C_word *av) C_noret;

C_noret_decl(trf_10014)
static void C_ccall trf_10014(C_word c,C_word *av) C_noret;
static void C_ccall trf_10014(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_10014(t0,t1,t2);}

C_noret_decl(trf_10064)
static void C_ccall trf_10064(C_word c,C_word *av) C_noret;
static void C_ccall trf_10064(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_10064(t0,t1,t2);}

C_noret_decl(trf_10175)
static void C_ccall trf_10175(C_word c,C_word *av) C_noret;
static void C_ccall trf_10175(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_10175(t0,t1);}

C_noret_decl(trf_10206)
static void C_ccall trf_10206(C_word c,C_word *av) C_noret;
static void C_ccall trf_10206(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_10206(t0,t1,t2);}

C_noret_decl(trf_10278)
static void C_ccall trf_10278(C_word c,C_word *av) C_noret;
static void C_ccall trf_10278(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_10278(t0,t1);}

C_noret_decl(trf_10283)
static void C_ccall trf_10283(C_word c,C_word *av) C_noret;
static void C_ccall trf_10283(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_10283(t0,t1,t2);}

C_noret_decl(trf_10877)
static void C_ccall trf_10877(C_word c,C_word *av) C_noret;
static void C_ccall trf_10877(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_10877(t0,t1,t2,t3);}

C_noret_decl(trf_10926)
static void C_ccall trf_10926(C_word c,C_word *av) C_noret;
static void C_ccall trf_10926(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_10926(t0,t1);}

C_noret_decl(trf_11133)
static void C_ccall trf_11133(C_word c,C_word *av) C_noret;
static void C_ccall trf_11133(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_11133(t0,t1,t2);}

C_noret_decl(trf_11152)
static void C_ccall trf_11152(C_word c,C_word *av) C_noret;
static void C_ccall trf_11152(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_11152(t0,t1,t2);}

C_noret_decl(trf_11206)
static void C_ccall trf_11206(C_word c,C_word *av) C_noret;
static void C_ccall trf_11206(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_11206(t0,t1,t2,t3);}

C_noret_decl(trf_11302)
static void C_ccall trf_11302(C_word c,C_word *av) C_noret;
static void C_ccall trf_11302(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_11302(t0,t1,t2,t3);}

C_noret_decl(trf_11460)
static void C_ccall trf_11460(C_word c,C_word *av) C_noret;
static void C_ccall trf_11460(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_11460(t0,t1);}

C_noret_decl(trf_11469)
static void C_ccall trf_11469(C_word c,C_word *av) C_noret;
static void C_ccall trf_11469(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_11469(t0,t1);}

C_noret_decl(trf_11752)
static void C_ccall trf_11752(C_word c,C_word *av) C_noret;
static void C_ccall trf_11752(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_11752(t0,t1,t2,t3);}

C_noret_decl(trf_11841)
static void C_ccall trf_11841(C_word c,C_word *av) C_noret;
static void C_ccall trf_11841(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_11841(t0,t1,t2,t3);}

C_noret_decl(trf_11862)
static void C_ccall trf_11862(C_word c,C_word *av) C_noret;
static void C_ccall trf_11862(C_word c,C_word *av){
C_word t0=av[4];
C_word t1=av[3];
C_word t2=av[2];
C_word t3=av[1];
C_word t4=av[0];
f_11862(t0,t1,t2,t3,t4);}

C_noret_decl(trf_12591)
static void C_ccall trf_12591(C_word c,C_word *av) C_noret;
static void C_ccall trf_12591(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_12591(t0,t1,t2);}

C_noret_decl(trf_12764)
static void C_ccall trf_12764(C_word c,C_word *av) C_noret;
static void C_ccall trf_12764(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_12764(t0,t1,t2);}

C_noret_decl(trf_12943)
static void C_ccall trf_12943(C_word c,C_word *av) C_noret;
static void C_ccall trf_12943(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_12943(t0,t1,t2,t3);}

C_noret_decl(trf_12960)
static void C_ccall trf_12960(C_word c,C_word *av) C_noret;
static void C_ccall trf_12960(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_12960(t0,t1,t2,t3);}

C_noret_decl(trf_13123)
static void C_ccall trf_13123(C_word c,C_word *av) C_noret;
static void C_ccall trf_13123(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_13123(t0,t1,t2,t3);}

C_noret_decl(trf_13161)
static void C_ccall trf_13161(C_word c,C_word *av) C_noret;
static void C_ccall trf_13161(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_13161(t0,t1);}

C_noret_decl(trf_13555)
static void C_ccall trf_13555(C_word c,C_word *av) C_noret;
static void C_ccall trf_13555(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_13555(t0,t1,t2);}

C_noret_decl(trf_13558)
static void C_ccall trf_13558(C_word c,C_word *av) C_noret;
static void C_ccall trf_13558(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_13558(t0,t1,t2,t3);}

C_noret_decl(trf_13723)
static void C_ccall trf_13723(C_word c,C_word *av) C_noret;
static void C_ccall trf_13723(C_word c,C_word *av){
C_word t0=av[4];
C_word t1=av[3];
C_word t2=av[2];
C_word t3=av[1];
C_word t4=av[0];
f_13723(t0,t1,t2,t3,t4);}

C_noret_decl(trf_13766)
static void C_ccall trf_13766(C_word c,C_word *av) C_noret;
static void C_ccall trf_13766(C_word c,C_word *av){
C_word t0=av[4];
C_word t1=av[3];
C_word t2=av[2];
C_word t3=av[1];
C_word t4=av[0];
f_13766(t0,t1,t2,t3,t4);}

C_noret_decl(trf_13863)
static void C_ccall trf_13863(C_word c,C_word *av) C_noret;
static void C_ccall trf_13863(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_13863(t0,t1);}

C_noret_decl(trf_14011)
static void C_ccall trf_14011(C_word c,C_word *av) C_noret;
static void C_ccall trf_14011(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_14011(t0,t1);}

C_noret_decl(trf_14017)
static void C_ccall trf_14017(C_word c,C_word *av) C_noret;
static void C_ccall trf_14017(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_14017(t0,t1);}

C_noret_decl(trf_14064)
static void C_ccall trf_14064(C_word c,C_word *av) C_noret;
static void C_ccall trf_14064(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_14064(t0,t1);}

C_noret_decl(trf_14070)
static void C_ccall trf_14070(C_word c,C_word *av) C_noret;
static void C_ccall trf_14070(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_14070(t0,t1);}

C_noret_decl(trf_14505)
static void C_ccall trf_14505(C_word c,C_word *av) C_noret;
static void C_ccall trf_14505(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_14505(t0,t1);}

C_noret_decl(trf_14544)
static void C_ccall trf_14544(C_word c,C_word *av) C_noret;
static void C_ccall trf_14544(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_14544(t0,t1,t2,t3);}

C_noret_decl(trf_14626)
static void C_ccall trf_14626(C_word c,C_word *av) C_noret;
static void C_ccall trf_14626(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_14626(t0,t1,t2,t3);}

C_noret_decl(trf_14663)
static void C_ccall trf_14663(C_word c,C_word *av) C_noret;
static void C_ccall trf_14663(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_14663(t0,t1,t2);}

C_noret_decl(trf_14675)
static void C_ccall trf_14675(C_word c,C_word *av) C_noret;
static void C_ccall trf_14675(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_14675(t0,t1,t2);}

C_noret_decl(trf_14718)
static void C_ccall trf_14718(C_word c,C_word *av) C_noret;
static void C_ccall trf_14718(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_14718(t0,t1);}

C_noret_decl(trf_14824)
static void C_ccall trf_14824(C_word c,C_word *av) C_noret;
static void C_ccall trf_14824(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_14824(t0,t1);}

C_noret_decl(trf_14833)
static void C_ccall trf_14833(C_word c,C_word *av) C_noret;
static void C_ccall trf_14833(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_14833(t0,t1);}

C_noret_decl(trf_14920)
static void C_ccall trf_14920(C_word c,C_word *av) C_noret;
static void C_ccall trf_14920(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_14920(t0,t1,t2,t3);}

C_noret_decl(trf_15016)
static void C_ccall trf_15016(C_word c,C_word *av) C_noret;
static void C_ccall trf_15016(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_15016(t0,t1,t2,t3);}

C_noret_decl(trf_15078)
static void C_ccall trf_15078(C_word c,C_word *av) C_noret;
static void C_ccall trf_15078(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_15078(t0,t1,t2,t3);}

C_noret_decl(trf_15279)
static void C_ccall trf_15279(C_word c,C_word *av) C_noret;
static void C_ccall trf_15279(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_15279(t0,t1);}

C_noret_decl(trf_15333)
static void C_ccall trf_15333(C_word c,C_word *av) C_noret;
static void C_ccall trf_15333(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_15333(t0,t1,t2);}

C_noret_decl(trf_15371)
static void C_ccall trf_15371(C_word c,C_word *av) C_noret;
static void C_ccall trf_15371(C_word c,C_word *av){
C_word t0=av[4];
C_word t1=av[3];
C_word t2=av[2];
C_word t3=av[1];
C_word t4=av[0];
f_15371(t0,t1,t2,t3,t4);}

C_noret_decl(trf_15384)
static void C_ccall trf_15384(C_word c,C_word *av) C_noret;
static void C_ccall trf_15384(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_15384(t0,t1,t2,t3);}

C_noret_decl(trf_15458)
static void C_ccall trf_15458(C_word c,C_word *av) C_noret;
static void C_ccall trf_15458(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_15458(t0,t1,t2);}

C_noret_decl(trf_15464)
static void C_ccall trf_15464(C_word c,C_word *av) C_noret;
static void C_ccall trf_15464(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_15464(t0,t1,t2);}

C_noret_decl(trf_15527)
static void C_ccall trf_15527(C_word c,C_word *av) C_noret;
static void C_ccall trf_15527(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_15527(t0,t1);}

C_noret_decl(trf_15566)
static void C_ccall trf_15566(C_word c,C_word *av) C_noret;
static void C_ccall trf_15566(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_15566(t0,t1,t2);}

C_noret_decl(trf_15572)
static void C_ccall trf_15572(C_word c,C_word *av) C_noret;
static void C_ccall trf_15572(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_15572(t0,t1,t2);}

C_noret_decl(trf_15616)
static void C_ccall trf_15616(C_word c,C_word *av) C_noret;
static void C_ccall trf_15616(C_word c,C_word *av){
C_word t0=av[4];
C_word t1=av[3];
C_word t2=av[2];
C_word t3=av[1];
C_word t4=av[0];
f_15616(t0,t1,t2,t3,t4);}

C_noret_decl(trf_15672)
static void C_ccall trf_15672(C_word c,C_word *av) C_noret;
static void C_ccall trf_15672(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_15672(t0,t1,t2);}

C_noret_decl(trf_15687)
static void C_ccall trf_15687(C_word c,C_word *av) C_noret;
static void C_ccall trf_15687(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_15687(t0,t1);}

C_noret_decl(trf_15733)
static void C_ccall trf_15733(C_word c,C_word *av) C_noret;
static void C_ccall trf_15733(C_word c,C_word *av){
C_word t0=av[4];
C_word t1=av[3];
C_word t2=av[2];
C_word t3=av[1];
C_word t4=av[0];
f_15733(t0,t1,t2,t3,t4);}

C_noret_decl(trf_15752)
static void C_ccall trf_15752(C_word c,C_word *av) C_noret;
static void C_ccall trf_15752(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_15752(t0,t1);}

C_noret_decl(trf_15755)
static void C_ccall trf_15755(C_word c,C_word *av) C_noret;
static void C_ccall trf_15755(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_15755(t0,t1);}

C_noret_decl(trf_15764)
static void C_ccall trf_15764(C_word c,C_word *av) C_noret;
static void C_ccall trf_15764(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_15764(t0,t1);}

C_noret_decl(trf_15791)
static void C_ccall trf_15791(C_word c,C_word *av) C_noret;
static void C_ccall trf_15791(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_15791(t0,t1);}

C_noret_decl(trf_15945)
static void C_ccall trf_15945(C_word c,C_word *av) C_noret;
static void C_ccall trf_15945(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_15945(t0,t1,t2,t3);}

C_noret_decl(trf_15952)
static void C_ccall trf_15952(C_word c,C_word *av) C_noret;
static void C_ccall trf_15952(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_15952(t0,t1);}

C_noret_decl(trf_15971)
static void C_ccall trf_15971(C_word c,C_word *av) C_noret;
static void C_ccall trf_15971(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_15971(t0,t1);}

C_noret_decl(trf_16023)
static void C_ccall trf_16023(C_word c,C_word *av) C_noret;
static void C_ccall trf_16023(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_16023(t0,t1);}

C_noret_decl(trf_16288)
static void C_ccall trf_16288(C_word c,C_word *av) C_noret;
static void C_ccall trf_16288(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_16288(t0,t1,t2);}

C_noret_decl(trf_16303)
static void C_ccall trf_16303(C_word c,C_word *av) C_noret;
static void C_ccall trf_16303(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_16303(t0,t1);}

C_noret_decl(trf_16329)
static void C_ccall trf_16329(C_word c,C_word *av) C_noret;
static void C_ccall trf_16329(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_16329(t0,t1);}

C_noret_decl(trf_16361)
static void C_ccall trf_16361(C_word c,C_word *av) C_noret;
static void C_ccall trf_16361(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_16361(t0,t1);}

C_noret_decl(trf_16422)
static void C_ccall trf_16422(C_word c,C_word *av) C_noret;
static void C_ccall trf_16422(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_16422(t0,t1);}

C_noret_decl(trf_16542)
static void C_ccall trf_16542(C_word c,C_word *av) C_noret;
static void C_ccall trf_16542(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_16542(t0,t1);}

C_noret_decl(trf_16633)
static void C_ccall trf_16633(C_word c,C_word *av) C_noret;
static void C_ccall trf_16633(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_16633(t0,t1);}

C_noret_decl(trf_16791)
static void C_ccall trf_16791(C_word c,C_word *av) C_noret;
static void C_ccall trf_16791(C_word c,C_word *av){
C_word t0=av[5];
C_word t1=av[4];
C_word t2=av[3];
C_word t3=av[2];
C_word t4=av[1];
C_word t5=av[0];
f_16791(t0,t1,t2,t3,t4,t5);}

C_noret_decl(trf_16798)
static void C_ccall trf_16798(C_word c,C_word *av) C_noret;
static void C_ccall trf_16798(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_16798(t0,t1);}

C_noret_decl(trf_17076)
static void C_ccall trf_17076(C_word c,C_word *av) C_noret;
static void C_ccall trf_17076(C_word c,C_word *av){
C_word t0=av[4];
C_word t1=av[3];
C_word t2=av[2];
C_word t3=av[1];
C_word t4=av[0];
f_17076(t0,t1,t2,t3,t4);}

C_noret_decl(trf_17103)
static void C_ccall trf_17103(C_word c,C_word *av) C_noret;
static void C_ccall trf_17103(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_17103(t0,t1,t2);}

C_noret_decl(trf_17144)
static void C_ccall trf_17144(C_word c,C_word *av) C_noret;
static void C_ccall trf_17144(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_17144(t0,t1,t2,t3);}

C_noret_decl(trf_17389)
static void C_ccall trf_17389(C_word c,C_word *av) C_noret;
static void C_ccall trf_17389(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_17389(t0,t1,t2);}

C_noret_decl(trf_17666)
static void C_ccall trf_17666(C_word c,C_word *av) C_noret;
static void C_ccall trf_17666(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_17666(t0,t1,t2);}

C_noret_decl(trf_17740)
static void C_ccall trf_17740(C_word c,C_word *av) C_noret;
static void C_ccall trf_17740(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_17740(t0,t1);}

C_noret_decl(trf_17885)
static void C_ccall trf_17885(C_word c,C_word *av) C_noret;
static void C_ccall trf_17885(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_17885(t0,t1,t2,t3);}

C_noret_decl(trf_17986)
static void C_ccall trf_17986(C_word c,C_word *av) C_noret;
static void C_ccall trf_17986(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_17986(t0,t1,t2);}

C_noret_decl(trf_18031)
static void C_ccall trf_18031(C_word c,C_word *av) C_noret;
static void C_ccall trf_18031(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_18031(t0,t1);}

C_noret_decl(trf_18194)
static void C_ccall trf_18194(C_word c,C_word *av) C_noret;
static void C_ccall trf_18194(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_18194(t0,t1,t2);}

C_noret_decl(trf_18232)
static void C_ccall trf_18232(C_word c,C_word *av) C_noret;
static void C_ccall trf_18232(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_18232(t0,t1,t2);}

C_noret_decl(trf_18322)
static void C_ccall trf_18322(C_word c,C_word *av) C_noret;
static void C_ccall trf_18322(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_18322(t0,t1);}

C_noret_decl(trf_18381)
static void C_ccall trf_18381(C_word c,C_word *av) C_noret;
static void C_ccall trf_18381(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_18381(t0,t1,t2);}

C_noret_decl(trf_18411)
static void C_ccall trf_18411(C_word c,C_word *av) C_noret;
static void C_ccall trf_18411(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_18411(t0,t1,t2);}

C_noret_decl(trf_18470)
static void C_ccall trf_18470(C_word c,C_word *av) C_noret;
static void C_ccall trf_18470(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_18470(t0,t1,t2);}

C_noret_decl(trf_18511)
static void C_ccall trf_18511(C_word c,C_word *av) C_noret;
static void C_ccall trf_18511(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_18511(t0,t1,t2);}

C_noret_decl(trf_18630)
static void C_ccall trf_18630(C_word c,C_word *av) C_noret;
static void C_ccall trf_18630(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_18630(t0,t1,t2);}

C_noret_decl(trf_19020)
static void C_ccall trf_19020(C_word c,C_word *av) C_noret;
static void C_ccall trf_19020(C_word c,C_word *av){
C_word t0=av[4];
C_word t1=av[3];
C_word t2=av[2];
C_word t3=av[1];
C_word t4=av[0];
f_19020(t0,t1,t2,t3,t4);}

C_noret_decl(trf_19063)
static void C_ccall trf_19063(C_word c,C_word *av) C_noret;
static void C_ccall trf_19063(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_19063(t0,t1,t2);}

C_noret_decl(trf_19118)
static void C_ccall trf_19118(C_word c,C_word *av) C_noret;
static void C_ccall trf_19118(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_19118(t0,t1,t2,t3);}

C_noret_decl(trf_19374)
static void C_ccall trf_19374(C_word c,C_word *av) C_noret;
static void C_ccall trf_19374(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_19374(t0,t1,t2);}

C_noret_decl(trf_19387)
static void C_ccall trf_19387(C_word c,C_word *av) C_noret;
static void C_ccall trf_19387(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_19387(t0,t1,t2);}

C_noret_decl(trf_19446)
static void C_ccall trf_19446(C_word c,C_word *av) C_noret;
static void C_ccall trf_19446(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_19446(t0,t1,t2);}

C_noret_decl(trf_19700)
static void C_ccall trf_19700(C_word c,C_word *av) C_noret;
static void C_ccall trf_19700(C_word c,C_word *av){
C_word t0=av[5];
C_word t1=av[4];
C_word t2=av[3];
C_word t3=av[2];
C_word t4=av[1];
C_word t5=av[0];
f_19700(t0,t1,t2,t3,t4,t5);}

C_noret_decl(trf_19704)
static void C_ccall trf_19704(C_word c,C_word *av) C_noret;
static void C_ccall trf_19704(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_19704(t0,t1);}

C_noret_decl(trf_19734)
static void C_ccall trf_19734(C_word c,C_word *av) C_noret;
static void C_ccall trf_19734(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_19734(t0,t1);}

C_noret_decl(trf_19754)
static void C_ccall trf_19754(C_word c,C_word *av) C_noret;
static void C_ccall trf_19754(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_19754(t0,t1,t2,t3);}

C_noret_decl(trf_19763)
static void C_ccall trf_19763(C_word c,C_word *av) C_noret;
static void C_ccall trf_19763(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_19763(t0,t1,t2);}

C_noret_decl(trf_19768)
static void C_ccall trf_19768(C_word c,C_word *av) C_noret;
static void C_ccall trf_19768(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_19768(t0,t1);}

C_noret_decl(trf_20136)
static void C_ccall trf_20136(C_word c,C_word *av) C_noret;
static void C_ccall trf_20136(C_word c,C_word *av){
C_word t0=av[4];
C_word t1=av[3];
C_word t2=av[2];
C_word t3=av[1];
C_word t4=av[0];
f_20136(t0,t1,t2,t3,t4);}

C_noret_decl(trf_20145)
static void C_ccall trf_20145(C_word c,C_word *av) C_noret;
static void C_ccall trf_20145(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_20145(t0,t1);}

C_noret_decl(trf_20155)
static void C_ccall trf_20155(C_word c,C_word *av) C_noret;
static void C_ccall trf_20155(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_20155(t0,t1,t2);}

C_noret_decl(trf_20162)
static void C_ccall trf_20162(C_word c,C_word *av) C_noret;
static void C_ccall trf_20162(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_20162(t0,t1);}

C_noret_decl(trf_20182)
static void C_ccall trf_20182(C_word c,C_word *av) C_noret;
static void C_ccall trf_20182(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_20182(t0,t1,t2);}

C_noret_decl(trf_20191)
static void C_ccall trf_20191(C_word c,C_word *av) C_noret;
static void C_ccall trf_20191(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_20191(t0,t1,t2);}

C_noret_decl(trf_20206)
static void C_ccall trf_20206(C_word c,C_word *av) C_noret;
static void C_ccall trf_20206(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_20206(t0,t1);}

C_noret_decl(trf_20209)
static void C_ccall trf_20209(C_word c,C_word *av) C_noret;
static void C_ccall trf_20209(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_20209(t0,t1);}

C_noret_decl(trf_20219)
static void C_ccall trf_20219(C_word c,C_word *av) C_noret;
static void C_ccall trf_20219(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_20219(t0,t1,t2);}

C_noret_decl(trf_20257)
static void C_ccall trf_20257(C_word c,C_word *av) C_noret;
static void C_ccall trf_20257(C_word c,C_word *av){
C_word t0=av[4];
C_word t1=av[3];
C_word t2=av[2];
C_word t3=av[1];
C_word t4=av[0];
f_20257(t0,t1,t2,t3,t4);}

C_noret_decl(trf_20263)
static void C_ccall trf_20263(C_word c,C_word *av) C_noret;
static void C_ccall trf_20263(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_20263(t0,t1,t2,t3);}

C_noret_decl(trf_20317)
static void C_ccall trf_20317(C_word c,C_word *av) C_noret;
static void C_ccall trf_20317(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_20317(t0,t1,t2);}

C_noret_decl(trf_20329)
static void C_ccall trf_20329(C_word c,C_word *av) C_noret;
static void C_ccall trf_20329(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_20329(t0,t1,t2,t3);}

C_noret_decl(trf_20354)
static void C_ccall trf_20354(C_word c,C_word *av) C_noret;
static void C_ccall trf_20354(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_20354(t0,t1,t2);}

C_noret_decl(trf_20364)
static void C_ccall trf_20364(C_word c,C_word *av) C_noret;
static void C_ccall trf_20364(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_20364(t0,t1,t2,t3);}

C_noret_decl(trf_20557)
static void C_ccall trf_20557(C_word c,C_word *av) C_noret;
static void C_ccall trf_20557(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_20557(t0,t1);}

C_noret_decl(trf_20648)
static void C_ccall trf_20648(C_word c,C_word *av) C_noret;
static void C_ccall trf_20648(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_20648(t0,t1);}

C_noret_decl(trf_20668)
static void C_ccall trf_20668(C_word c,C_word *av) C_noret;
static void C_ccall trf_20668(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_20668(t0,t1);}

C_noret_decl(trf_20673)
static void C_ccall trf_20673(C_word c,C_word *av) C_noret;
static void C_ccall trf_20673(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_20673(t0,t1,t2,t3);}

C_noret_decl(trf_20772)
static void C_ccall trf_20772(C_word c,C_word *av) C_noret;
static void C_ccall trf_20772(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_20772(t0,t1);}

C_noret_decl(trf_20920)
static void C_ccall trf_20920(C_word c,C_word *av) C_noret;
static void C_ccall trf_20920(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_20920(t0,t1,t2,t3);}

C_noret_decl(trf_20929)
static void C_ccall trf_20929(C_word c,C_word *av) C_noret;
static void C_ccall trf_20929(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_20929(t0,t1,t2);}

C_noret_decl(trf_20984)
static void C_ccall trf_20984(C_word c,C_word *av) C_noret;
static void C_ccall trf_20984(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_20984(t0,t1,t2);}

C_noret_decl(trf_20991)
static void C_ccall trf_20991(C_word c,C_word *av) C_noret;
static void C_ccall trf_20991(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_20991(t0,t1);}

C_noret_decl(trf_21034)
static void C_ccall trf_21034(C_word c,C_word *av) C_noret;
static void C_ccall trf_21034(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_21034(t0,t1);}

C_noret_decl(trf_21182)
static void C_ccall trf_21182(C_word c,C_word *av) C_noret;
static void C_ccall trf_21182(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_21182(t0,t1);}

C_noret_decl(trf_21200)
static void C_ccall trf_21200(C_word c,C_word *av) C_noret;
static void C_ccall trf_21200(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_21200(t0,t1,t2,t3);}

C_noret_decl(trf_21235)
static void C_ccall trf_21235(C_word c,C_word *av) C_noret;
static void C_ccall trf_21235(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_21235(t0,t1);}

C_noret_decl(trf_21270)
static void C_ccall trf_21270(C_word c,C_word *av) C_noret;
static void C_ccall trf_21270(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_21270(t0,t1,t2);}

C_noret_decl(trf_21321)
static void C_ccall trf_21321(C_word c,C_word *av) C_noret;
static void C_ccall trf_21321(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_21321(t0,t1,t2);}

C_noret_decl(trf_21388)
static void C_ccall trf_21388(C_word c,C_word *av) C_noret;
static void C_ccall trf_21388(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_21388(t0,t1);}

C_noret_decl(trf_21398)
static void C_ccall trf_21398(C_word c,C_word *av) C_noret;
static void C_ccall trf_21398(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_21398(t0,t1,t2,t3);}

C_noret_decl(trf_21408)
static void C_ccall trf_21408(C_word c,C_word *av) C_noret;
static void C_ccall trf_21408(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_21408(t0,t1);}

C_noret_decl(trf_21452)
static void C_ccall trf_21452(C_word c,C_word *av) C_noret;
static void C_ccall trf_21452(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_21452(t0,t1);}

C_noret_decl(trf_21462)
static void C_ccall trf_21462(C_word c,C_word *av) C_noret;
static void C_ccall trf_21462(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_21462(t0,t1,t2,t3);}

C_noret_decl(trf_21472)
static void C_ccall trf_21472(C_word c,C_word *av) C_noret;
static void C_ccall trf_21472(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_21472(t0,t1);}

C_noret_decl(trf_21498)
static void C_ccall trf_21498(C_word c,C_word *av) C_noret;
static void C_ccall trf_21498(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_21498(t0,t1);}

C_noret_decl(trf_21523)
static void C_ccall trf_21523(C_word c,C_word *av) C_noret;
static void C_ccall trf_21523(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_21523(t0,t1,t2);}

C_noret_decl(trf_21529)
static void C_ccall trf_21529(C_word c,C_word *av) C_noret;
static void C_ccall trf_21529(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_21529(t0,t1,t2,t3);}

C_noret_decl(trf_21542)
static void C_ccall trf_21542(C_word c,C_word *av) C_noret;
static void C_ccall trf_21542(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_21542(t0,t1);}

C_noret_decl(trf_21548)
static void C_ccall trf_21548(C_word c,C_word *av) C_noret;
static void C_ccall trf_21548(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_21548(t0,t1);}

C_noret_decl(trf_21737)
static void C_ccall trf_21737(C_word c,C_word *av) C_noret;
static void C_ccall trf_21737(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_21737(t0,t1);}

C_noret_decl(trf_21776)
static void C_ccall trf_21776(C_word c,C_word *av) C_noret;
static void C_ccall trf_21776(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_21776(t0,t1);}

C_noret_decl(trf_21921)
static void C_ccall trf_21921(C_word c,C_word *av) C_noret;
static void C_ccall trf_21921(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_21921(t0,t1);}

C_noret_decl(trf_21946)
static void C_ccall trf_21946(C_word c,C_word *av) C_noret;
static void C_ccall trf_21946(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_21946(t0,t1);}

C_noret_decl(trf_21952)
static void C_ccall trf_21952(C_word c,C_word *av) C_noret;
static void C_ccall trf_21952(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_21952(t0,t1,t2);}

C_noret_decl(trf_22033)
static void C_ccall trf_22033(C_word c,C_word *av) C_noret;
static void C_ccall trf_22033(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_22033(t0,t1);}

C_noret_decl(trf_22052)
static void C_ccall trf_22052(C_word c,C_word *av) C_noret;
static void C_ccall trf_22052(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_22052(t0,t1,t2);}

C_noret_decl(trf_22076)
static void C_ccall trf_22076(C_word c,C_word *av) C_noret;
static void C_ccall trf_22076(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_22076(t0,t1);}

C_noret_decl(trf_22210)
static void C_ccall trf_22210(C_word c,C_word *av) C_noret;
static void C_ccall trf_22210(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_22210(t0,t1);}

C_noret_decl(trf_22290)
static void C_ccall trf_22290(C_word c,C_word *av) C_noret;
static void C_ccall trf_22290(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_22290(t0,t1);}

C_noret_decl(trf_22658)
static void C_ccall trf_22658(C_word c,C_word *av) C_noret;
static void C_ccall trf_22658(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_22658(t0,t1);}

C_noret_decl(trf_23207)
static void C_ccall trf_23207(C_word c,C_word *av) C_noret;
static void C_ccall trf_23207(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_23207(t0,t1,t2);}

C_noret_decl(trf_23253)
static void C_ccall trf_23253(C_word c,C_word *av) C_noret;
static void C_ccall trf_23253(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_23253(t0,t1,t2,t3);}

C_noret_decl(trf_23516)
static void C_ccall trf_23516(C_word c,C_word *av) C_noret;
static void C_ccall trf_23516(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_23516(t0,t1,t2);}

C_noret_decl(trf_23567)
static void C_ccall trf_23567(C_word c,C_word *av) C_noret;
static void C_ccall trf_23567(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_23567(t0,t1,t2);}

C_noret_decl(trf_23626)
static void C_ccall trf_23626(C_word c,C_word *av) C_noret;
static void C_ccall trf_23626(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_23626(t0,t1,t2,t3);}

C_noret_decl(trf_23698)
static void C_ccall trf_23698(C_word c,C_word *av) C_noret;
static void C_ccall trf_23698(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_23698(t0,t1,t2,t3);}

C_noret_decl(trf_23758)
static void C_ccall trf_23758(C_word c,C_word *av) C_noret;
static void C_ccall trf_23758(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_23758(t0,t1,t2,t3);}

C_noret_decl(trf_23782)
static void C_ccall trf_23782(C_word c,C_word *av) C_noret;
static void C_ccall trf_23782(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_23782(t0,t1,t2,t3);}

C_noret_decl(trf_23794)
static void C_ccall trf_23794(C_word c,C_word *av) C_noret;
static void C_ccall trf_23794(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_23794(t0,t1,t2);}

C_noret_decl(trf_23871)
static void C_ccall trf_23871(C_word c,C_word *av) C_noret;
static void C_ccall trf_23871(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_23871(t0,t1,t2);}

C_noret_decl(trf_23920)
static void C_ccall trf_23920(C_word c,C_word *av) C_noret;
static void C_ccall trf_23920(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_23920(t0,t1,t2);}

C_noret_decl(trf_23936)
static void C_ccall trf_23936(C_word c,C_word *av) C_noret;
static void C_ccall trf_23936(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_23936(t0,t1);}

C_noret_decl(trf_23962)
static void C_ccall trf_23962(C_word c,C_word *av) C_noret;
static void C_ccall trf_23962(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_23962(t0,t1);}

C_noret_decl(trf_24021)
static void C_ccall trf_24021(C_word c,C_word *av) C_noret;
static void C_ccall trf_24021(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_24021(t0,t1);}

C_noret_decl(trf_24083)
static void C_ccall trf_24083(C_word c,C_word *av) C_noret;
static void C_ccall trf_24083(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_24083(t0,t1,t2);}

C_noret_decl(trf_24142)
static void C_ccall trf_24142(C_word c,C_word *av) C_noret;
static void C_ccall trf_24142(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_24142(t0,t1,t2);}

C_noret_decl(trf_24299)
static void C_ccall trf_24299(C_word c,C_word *av) C_noret;
static void C_ccall trf_24299(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_24299(t0,t1,t2,t3);}

C_noret_decl(trf_24478)
static void C_ccall trf_24478(C_word c,C_word *av) C_noret;
static void C_ccall trf_24478(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_24478(t0,t1,t2);}

C_noret_decl(trf_24488)
static void C_ccall trf_24488(C_word c,C_word *av) C_noret;
static void C_ccall trf_24488(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_24488(t0,t1);}

C_noret_decl(trf_24550)
static void C_ccall trf_24550(C_word c,C_word *av) C_noret;
static void C_ccall trf_24550(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_24550(t0,t1,t2);}

C_noret_decl(trf_24689)
static void C_ccall trf_24689(C_word c,C_word *av) C_noret;
static void C_ccall trf_24689(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_24689(t0,t1,t2,t3);}

C_noret_decl(trf_25062)
static void C_ccall trf_25062(C_word c,C_word *av) C_noret;
static void C_ccall trf_25062(C_word c,C_word *av){
C_word t0=av[4];
C_word t1=av[3];
C_word t2=av[2];
C_word t3=av[1];
C_word t4=av[0];
f_25062(t0,t1,t2,t3,t4);}

C_noret_decl(trf_25082)
static void C_ccall trf_25082(C_word c,C_word *av) C_noret;
static void C_ccall trf_25082(C_word c,C_word *av){
C_word t0=av[6];
C_word t1=av[5];
C_word t2=av[4];
C_word t3=av[3];
C_word t4=av[2];
C_word t5=av[1];
C_word t6=av[0];
f_25082(t0,t1,t2,t3,t4,t5,t6);}

C_noret_decl(trf_25136)
static void C_ccall trf_25136(C_word c,C_word *av) C_noret;
static void C_ccall trf_25136(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_25136(t0,t1);}

C_noret_decl(trf_25153)
static void C_ccall trf_25153(C_word c,C_word *av) C_noret;
static void C_ccall trf_25153(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_25153(t0,t1);}

C_noret_decl(trf_25333)
static void C_ccall trf_25333(C_word c,C_word *av) C_noret;
static void C_ccall trf_25333(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_25333(t0,t1,t2);}

C_noret_decl(trf_25348)
static void C_ccall trf_25348(C_word c,C_word *av) C_noret;
static void C_ccall trf_25348(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_25348(t0,t1,t2);}

C_noret_decl(trf_25451)
static void C_ccall trf_25451(C_word c,C_word *av) C_noret;
static void C_ccall trf_25451(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_25451(t0,t1,t2);}

C_noret_decl(trf_25470)
static void C_ccall trf_25470(C_word c,C_word *av) C_noret;
static void C_ccall trf_25470(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_25470(t0,t1);}

C_noret_decl(trf_25579)
static void C_ccall trf_25579(C_word c,C_word *av) C_noret;
static void C_ccall trf_25579(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_25579(t0,t1,t2);}

C_noret_decl(trf_25616)
static void C_ccall trf_25616(C_word c,C_word *av) C_noret;
static void C_ccall trf_25616(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_25616(t0,t1);}

C_noret_decl(trf_25650)
static void C_ccall trf_25650(C_word c,C_word *av) C_noret;
static void C_ccall trf_25650(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_25650(t0,t1,t2);}

C_noret_decl(trf_25786)
static void C_ccall trf_25786(C_word c,C_word *av) C_noret;
static void C_ccall trf_25786(C_word c,C_word *av){
C_word t0=av[0];
f_25786(t0);}

C_noret_decl(trf_25814)
static void C_ccall trf_25814(C_word c,C_word *av) C_noret;
static void C_ccall trf_25814(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_25814(t0,t1);}

C_noret_decl(trf_25838)
static void C_ccall trf_25838(C_word c,C_word *av) C_noret;
static void C_ccall trf_25838(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_25838(t0,t1,t2);}

C_noret_decl(trf_25933)
static void C_ccall trf_25933(C_word c,C_word *av) C_noret;
static void C_ccall trf_25933(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_25933(t0,t1,t2);}

C_noret_decl(trf_25960)
static void C_ccall trf_25960(C_word c,C_word *av) C_noret;
static void C_ccall trf_25960(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_25960(t0,t1);}

C_noret_decl(trf_25981)
static void C_ccall trf_25981(C_word c,C_word *av) C_noret;
static void C_ccall trf_25981(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_25981(t0,t1);}

C_noret_decl(trf_25984)
static void C_ccall trf_25984(C_word c,C_word *av) C_noret;
static void C_ccall trf_25984(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_25984(t0,t1);}

C_noret_decl(trf_26004)
static void C_ccall trf_26004(C_word c,C_word *av) C_noret;
static void C_ccall trf_26004(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_26004(t0,t1);}

C_noret_decl(trf_26427)
static void C_ccall trf_26427(C_word c,C_word *av) C_noret;
static void C_ccall trf_26427(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_26427(t0,t1,t2,t3);}

C_noret_decl(trf_26433)
static void C_ccall trf_26433(C_word c,C_word *av) C_noret;
static void C_ccall trf_26433(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_26433(t0,t1,t2);}

C_noret_decl(trf_26449)
static void C_ccall trf_26449(C_word c,C_word *av) C_noret;
static void C_ccall trf_26449(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_26449(t0,t1);}

C_noret_decl(trf_26546)
static void C_ccall trf_26546(C_word c,C_word *av) C_noret;
static void C_ccall trf_26546(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_26546(t0,t1,t2);}

C_noret_decl(trf_26592)
static void C_ccall trf_26592(C_word c,C_word *av) C_noret;
static void C_ccall trf_26592(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_26592(t0,t1,t2);}

C_noret_decl(trf_26668)
static void C_ccall trf_26668(C_word c,C_word *av) C_noret;
static void C_ccall trf_26668(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_26668(t0,t1,t2);}

C_noret_decl(trf_26720)
static void C_ccall trf_26720(C_word c,C_word *av) C_noret;
static void C_ccall trf_26720(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_26720(t0,t1,t2);}

C_noret_decl(trf_26768)
static void C_ccall trf_26768(C_word c,C_word *av) C_noret;
static void C_ccall trf_26768(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_26768(t0,t1,t2);}

C_noret_decl(trf_26782)
static void C_ccall trf_26782(C_word c,C_word *av) C_noret;
static void C_ccall trf_26782(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_26782(t0,t1,t2);}

C_noret_decl(trf_26838)
static void C_ccall trf_26838(C_word c,C_word *av) C_noret;
static void C_ccall trf_26838(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_26838(t0,t1,t2);}

C_noret_decl(trf_26963)
static void C_ccall trf_26963(C_word c,C_word *av) C_noret;
static void C_ccall trf_26963(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_26963(t0,t1,t2);}

C_noret_decl(trf_26965)
static void C_ccall trf_26965(C_word c,C_word *av) C_noret;
static void C_ccall trf_26965(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_26965(t0,t1,t2);}

C_noret_decl(trf_26986)
static void C_ccall trf_26986(C_word c,C_word *av) C_noret;
static void C_ccall trf_26986(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_26986(t0,t1,t2);}

C_noret_decl(trf_27010)
static void C_ccall trf_27010(C_word c,C_word *av) C_noret;
static void C_ccall trf_27010(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_27010(t0,t1,t2,t3);}

C_noret_decl(trf_27026)
static void C_ccall trf_27026(C_word c,C_word *av) C_noret;
static void C_ccall trf_27026(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_27026(t0,t1);}

C_noret_decl(trf_27064)
static void C_ccall trf_27064(C_word c,C_word *av) C_noret;
static void C_ccall trf_27064(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_27064(t0,t1,t2);}

C_noret_decl(trf_27159)
static void C_ccall trf_27159(C_word c,C_word *av) C_noret;
static void C_ccall trf_27159(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_27159(t0,t1,t2);}

C_noret_decl(trf_27164)
static void C_ccall trf_27164(C_word c,C_word *av) C_noret;
static void C_ccall trf_27164(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_27164(t0,t1);}

C_noret_decl(trf_28112)
static void C_ccall trf_28112(C_word c,C_word *av) C_noret;
static void C_ccall trf_28112(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_28112(t0,t1,t2);}

C_noret_decl(trf_28176)
static void C_ccall trf_28176(C_word c,C_word *av) C_noret;
static void C_ccall trf_28176(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_28176(t0,t1,t2);}

C_noret_decl(trf_28388)
static void C_ccall trf_28388(C_word c,C_word *av) C_noret;
static void C_ccall trf_28388(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_28388(t0,t1,t2);}

C_noret_decl(trf_28432)
static void C_ccall trf_28432(C_word c,C_word *av) C_noret;
static void C_ccall trf_28432(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_28432(t0,t1);}

C_noret_decl(trf_28445)
static void C_ccall trf_28445(C_word c,C_word *av) C_noret;
static void C_ccall trf_28445(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_28445(t0,t1,t2);}

C_noret_decl(trf_28479)
static void C_ccall trf_28479(C_word c,C_word *av) C_noret;
static void C_ccall trf_28479(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_28479(t0,t1,t2);}

C_noret_decl(trf_28494)
static void C_ccall trf_28494(C_word c,C_word *av) C_noret;
static void C_ccall trf_28494(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_28494(t0,t1);}

C_noret_decl(trf_28570)
static void C_ccall trf_28570(C_word c,C_word *av) C_noret;
static void C_ccall trf_28570(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_28570(t0,t1,t2);}

C_noret_decl(trf_28670)
static void C_ccall trf_28670(C_word c,C_word *av) C_noret;
static void C_ccall trf_28670(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_28670(t0,t1);}

C_noret_decl(trf_28689)
static void C_ccall trf_28689(C_word c,C_word *av) C_noret;
static void C_ccall trf_28689(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_28689(t0,t1,t2);}

C_noret_decl(trf_28730)
static void C_ccall trf_28730(C_word c,C_word *av) C_noret;
static void C_ccall trf_28730(C_word c,C_word *av){
C_word t0=av[4];
C_word t1=av[3];
C_word t2=av[2];
C_word t3=av[1];
C_word t4=av[0];
f_28730(t0,t1,t2,t3,t4);}

C_noret_decl(trf_28753)
static void C_ccall trf_28753(C_word c,C_word *av) C_noret;
static void C_ccall trf_28753(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_28753(t0,t1);}

C_noret_decl(trf_29052)
static void C_ccall trf_29052(C_word c,C_word *av) C_noret;
static void C_ccall trf_29052(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_29052(t0,t1,t2);}

C_noret_decl(trf_29064)
static void C_ccall trf_29064(C_word c,C_word *av) C_noret;
static void C_ccall trf_29064(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_29064(t0,t1,t2);}

C_noret_decl(trf_29145)
static void C_ccall trf_29145(C_word c,C_word *av) C_noret;
static void C_ccall trf_29145(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_29145(t0,t1,t2,t3);}

C_noret_decl(trf_29283)
static void C_ccall trf_29283(C_word c,C_word *av) C_noret;
static void C_ccall trf_29283(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_29283(t0,t1);}

C_noret_decl(trf_29323)
static void C_ccall trf_29323(C_word c,C_word *av) C_noret;
static void C_ccall trf_29323(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_29323(t0,t1,t2);}

C_noret_decl(trf_29436)
static void C_ccall trf_29436(C_word c,C_word *av) C_noret;
static void C_ccall trf_29436(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_29436(t0,t1);}

C_noret_decl(trf_29870)
static void C_ccall trf_29870(C_word c,C_word *av) C_noret;
static void C_ccall trf_29870(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_29870(t0,t1);}

C_noret_decl(trf_29882)
static void C_ccall trf_29882(C_word c,C_word *av) C_noret;
static void C_ccall trf_29882(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_29882(t0,t1,t2);}

C_noret_decl(trf_29941)
static void C_ccall trf_29941(C_word c,C_word *av) C_noret;
static void C_ccall trf_29941(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_29941(t0,t1);}

C_noret_decl(trf_29955)
static void C_ccall trf_29955(C_word c,C_word *av) C_noret;
static void C_ccall trf_29955(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_29955(t0,t1,t2);}

C_noret_decl(trf_29975)
static void C_ccall trf_29975(C_word c,C_word *av) C_noret;
static void C_ccall trf_29975(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_29975(t0,t1,t2);}

C_noret_decl(trf_30198)
static void C_ccall trf_30198(C_word c,C_word *av) C_noret;
static void C_ccall trf_30198(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_30198(t0,t1);}

C_noret_decl(trf_30221)
static void C_ccall trf_30221(C_word c,C_word *av) C_noret;
static void C_ccall trf_30221(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_30221(t0,t1);}

C_noret_decl(trf_30377)
static void C_ccall trf_30377(C_word c,C_word *av) C_noret;
static void C_ccall trf_30377(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_30377(t0,t1,t2,t3);}

C_noret_decl(trf_30494)
static void C_ccall trf_30494(C_word c,C_word *av) C_noret;
static void C_ccall trf_30494(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_30494(t0,t1);}

C_noret_decl(trf_30527)
static void C_ccall trf_30527(C_word c,C_word *av) C_noret;
static void C_ccall trf_30527(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_30527(t0,t1);}

C_noret_decl(trf_30530)
static void C_ccall trf_30530(C_word c,C_word *av) C_noret;
static void C_ccall trf_30530(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_30530(t0,t1);}

C_noret_decl(trf_30533)
static void C_ccall trf_30533(C_word c,C_word *av) C_noret;
static void C_ccall trf_30533(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_30533(t0,t1);}

C_noret_decl(trf_30536)
static void C_ccall trf_30536(C_word c,C_word *av) C_noret;
static void C_ccall trf_30536(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_30536(t0,t1);}

C_noret_decl(trf_30539)
static void C_ccall trf_30539(C_word c,C_word *av) C_noret;
static void C_ccall trf_30539(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_30539(t0,t1);}

C_noret_decl(trf_30572)
static void C_ccall trf_30572(C_word c,C_word *av) C_noret;
static void C_ccall trf_30572(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_30572(t0,t1,t2);}

C_noret_decl(trf_30608)
static void C_ccall trf_30608(C_word c,C_word *av) C_noret;
static void C_ccall trf_30608(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_30608(t0,t1,t2);}

C_noret_decl(trf_30639)
static void C_ccall trf_30639(C_word c,C_word *av) C_noret;
static void C_ccall trf_30639(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_30639(t0,t1,t2);}

C_noret_decl(trf_30682)
static void C_ccall trf_30682(C_word c,C_word *av) C_noret;
static void C_ccall trf_30682(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_30682(t0,t1,t2);}

C_noret_decl(trf_31020)
static void C_ccall trf_31020(C_word c,C_word *av) C_noret;
static void C_ccall trf_31020(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_31020(t0,t1,t2);}

C_noret_decl(trf_31039)
static void C_ccall trf_31039(C_word c,C_word *av) C_noret;
static void C_ccall trf_31039(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_31039(t0,t1);}

C_noret_decl(trf_31192)
static void C_ccall trf_31192(C_word c,C_word *av) C_noret;
static void C_ccall trf_31192(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_31192(t0,t1,t2);}

C_noret_decl(trf_31231)
static void C_ccall trf_31231(C_word c,C_word *av) C_noret;
static void C_ccall trf_31231(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_31231(t0,t1,t2);}

C_noret_decl(trf_31247)
static void C_ccall trf_31247(C_word c,C_word *av) C_noret;
static void C_ccall trf_31247(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_31247(t0,t1,t2);}

C_noret_decl(trf_31413)
static void C_ccall trf_31413(C_word c,C_word *av) C_noret;
static void C_ccall trf_31413(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_31413(t0,t1);}

C_noret_decl(trf_31920)
static void C_ccall trf_31920(C_word c,C_word *av) C_noret;
static void C_ccall trf_31920(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_31920(t0,t1);}

C_noret_decl(trf_31922)
static void C_ccall trf_31922(C_word c,C_word *av) C_noret;
static void C_ccall trf_31922(C_word c,C_word *av){
C_word t0=av[4];
C_word t1=av[3];
C_word t2=av[2];
C_word t3=av[1];
C_word t4=av[0];
f_31922(t0,t1,t2,t3,t4);}

C_noret_decl(trf_32018)
static void C_ccall trf_32018(C_word c,C_word *av) C_noret;
static void C_ccall trf_32018(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_32018(t0,t1);}

C_noret_decl(trf_32031)
static void C_ccall trf_32031(C_word c,C_word *av) C_noret;
static void C_ccall trf_32031(C_word c,C_word *av){
C_word t0=av[6];
C_word t1=av[5];
C_word t2=av[4];
C_word t3=av[3];
C_word t4=av[2];
C_word t5=av[1];
C_word t6=av[0];
f_32031(t0,t1,t2,t3,t4,t5,t6);}

C_noret_decl(trf_8830)
static void C_ccall trf_8830(C_word c,C_word *av) C_noret;
static void C_ccall trf_8830(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_8830(t0,t1,t2,t3);}

C_noret_decl(trf_9294)
static void C_ccall trf_9294(C_word c,C_word *av) C_noret;
static void C_ccall trf_9294(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_9294(t0,t1,t2,t3);}

C_noret_decl(trf_9331)
static void C_ccall trf_9331(C_word c,C_word *av) C_noret;
static void C_ccall trf_9331(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_9331(t0,t1,t2);}

C_noret_decl(trf_9417)
static void C_ccall trf_9417(C_word c,C_word *av) C_noret;
static void C_ccall trf_9417(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_9417(t0,t1,t2);}

C_noret_decl(trf_9450)
static void C_ccall trf_9450(C_word c,C_word *av) C_noret;
static void C_ccall trf_9450(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_9450(t0,t1,t2);}

C_noret_decl(trf_9568)
static void C_ccall trf_9568(C_word c,C_word *av) C_noret;
static void C_ccall trf_9568(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_9568(t0,t1,t2);}

C_noret_decl(trf_9603)
static void C_ccall trf_9603(C_word c,C_word *av) C_noret;
static void C_ccall trf_9603(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_9603(t0,t1,t2);}

C_noret_decl(trf_9667)
static void C_ccall trf_9667(C_word c,C_word *av) C_noret;
static void C_ccall trf_9667(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_9667(t0,t1,t2);}

C_noret_decl(trf_9732)
static void C_ccall trf_9732(C_word c,C_word *av) C_noret;
static void C_ccall trf_9732(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_9732(t0,t1,t2);}

C_noret_decl(trf_9768)
static void C_ccall trf_9768(C_word c,C_word *av) C_noret;
static void C_ccall trf_9768(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_9768(t0,t1,t2);}

C_noret_decl(trf_9797)
static void C_ccall trf_9797(C_word c,C_word *av) C_noret;
static void C_ccall trf_9797(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_9797(t0,t1,t2,t3);}

C_noret_decl(trf_9836)
static void C_ccall trf_9836(C_word c,C_word *av) C_noret;
static void C_ccall trf_9836(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_9836(t0,t1);}

C_noret_decl(trf_9844)
static void C_ccall trf_9844(C_word c,C_word *av) C_noret;
static void C_ccall trf_9844(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_9844(t0,t1,t2);}

C_noret_decl(trf_9898)
static void C_ccall trf_9898(C_word c,C_word *av) C_noret;
static void C_ccall trf_9898(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_9898(t0,t1,t2,t3);}

C_noret_decl(trf_9976)
static void C_ccall trf_9976(C_word c,C_word *av) C_noret;
static void C_ccall trf_9976(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_9976(t0,t1);}

/* f33920 in chicken.base#emergency-exit in k8508 */
static void C_ccall f33920(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f33920,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_exit_runtime(C_fix(0));
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* f34448 in chicken.base#exit in k8508 */
static void C_ccall f34448(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f34448,2,av);}
/* library.scm:721: g671 */
t2=t1;{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=C_fix(0);
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* f36681 in k30997 in k29169 in k28990 in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in ... */
static void C_ccall f36681(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f36681,3,av);}
t3=C_i_check_list_2(t2,lf[1355]);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* f36687 in k31085 in k28990 in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in ... */
static void C_ccall f36687(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f36687,3,av);}
t3=C_i_check_string_2(t2,lf[1357]);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* f36693 in k31081 in k31085 in k28990 in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in ... */
static void C_ccall f36693(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f36693,3,av);}
t3=C_i_check_string_2(t2,lf[1357]);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* f_10008 in chicken.base#alist-update! in k8508 */
static void C_ccall f_10008(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,3)))){
C_save_and_reclaim((void *)f_10008,4,av);}
a=C_alloc(8);
t4=C_SCHEME_UNDEFINED;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=C_set_block_item(t5,0,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_10014,a[2]=t5,a[3]=((C_word*)t0)[2],a[4]=t2,a[5]=((C_word)li186),tmp=(C_word)a,a+=6,tmp));
t7=((C_word*)t5)[1];
f_10014(t7,t1,t3);}

/* loop */
static void C_fcall f_10014(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,3)))){
C_save_and_reclaim_args((void *)trf_10014,3,t0,t1,t2);}
a=C_alloc(6);
if(C_truep(C_i_pairp(t2))){
t3=C_slot(t2,C_fix(0));
t4=t3;
t5=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_10030,a[2]=t1,a[3]=t4,a[4]=t2,a[5]=((C_word*)t0)[2],tmp=(C_word)a,a+=6,tmp);
if(C_truep(C_i_pairp(t4))){
t6=C_slot(t4,C_fix(0));
/* library.scm:892: cmp */
t7=((C_word*)t0)[3];{
C_word av2[4];
av2[0]=t7;
av2[1]=t5;
av2[2]=((C_word*)t0)[4];
av2[3]=t6;
((C_proc)C_fast_retrieve_proc(t7))(4,av2);}}
else{
t6=t5;{
C_word av2[2];
av2[0]=t6;
av2[1]=C_SCHEME_FALSE;
f_10030(2,av2);}}}
else{
t3=t1;{
C_word av2[2];
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k10028 in loop */
static void C_ccall f_10030(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_10030,2,av);}
if(C_truep(t1)){
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}
else{
t2=C_slot(((C_word*)t0)[4],C_fix(1));
/* library.scm:894: loop */
t3=((C_word*)((C_word*)t0)[5])[1];
f_10014(t3,((C_word*)t0)[2],t2);}}

/* chicken.base#alist-update in k8508 */
static void C_ccall f_10055(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word *a;
if(c<5) C_bad_min_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-5)*C_SIZEOF_PAIR +9,c,3)))){
C_save_and_reclaim((void*)f_10055,c,av);}
a=C_alloc((c-5)*C_SIZEOF_PAIR+9);
t5=C_build_rest(&a,c,5,av);
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
t6=C_i_nullp(t5);
t7=(C_truep(t6)?*((C_word*)lf[5]+1):C_i_car(t5));
t8=t7;
t9=C_SCHEME_UNDEFINED;
t10=(*a=C_VECTOR_TYPE|1,a[1]=t9,tmp=(C_word)a,a+=2,tmp);
t11=C_set_block_item(t10,0,(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_10064,a[2]=t2,a[3]=t3,a[4]=t10,a[5]=t8,a[6]=((C_word)li189),tmp=(C_word)a,a+=7,tmp));
t12=((C_word*)t10)[1];
f_10064(t12,t1,t4);}

/* loop in chicken.base#alist-update in k8508 */
static void C_fcall f_10064(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,0,4)))){
C_save_and_reclaim_args((void *)trf_10064,3,t0,t1,t2);}
a=C_alloc(8);
if(C_truep(C_i_nullp(t2))){
t3=C_a_i_cons(&a,2,((C_word*)t0)[2],((C_word*)t0)[3]);
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=C_a_i_list1(&a,1,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t3=C_i_pairp(t2);
if(C_truep(C_i_not(t3))){
/* library.scm:907: chicken.base#error */
t4=*((C_word*)lf[193]+1);{
C_word av2[5];
av2[0]=t4;
av2[1]=t1;
av2[2]=lf[261];
av2[3]=lf[262];
av2[4]=t2;
((C_proc)(void*)(*((C_word*)t4+1)))(5,av2);}}
else{
t4=C_slot(t2,C_fix(0));
t5=t4;
t6=C_i_pairp(t5);
if(C_truep(C_i_not(t6))){
/* library.scm:911: chicken.base#error */
t7=*((C_word*)lf[193]+1);{
C_word av2[5];
av2[0]=t7;
av2[1]=t1;
av2[2]=lf[261];
av2[3]=lf[263];
av2[4]=t5;
((C_proc)(void*)(*((C_word*)t7+1)))(5,av2);}}
else{
t7=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_10105,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t2,a[5]=t1,a[6]=t5,a[7]=((C_word*)t0)[4],tmp=(C_word)a,a+=8,tmp);
t8=C_slot(t5,C_fix(0));
/* library.scm:912: cmp */
t9=((C_word*)t0)[5];{
C_word av2[4];
av2[0]=t9;
av2[1]=t7;
av2[2]=((C_word*)t0)[2];
av2[3]=t8;
((C_proc)C_fast_retrieve_proc(t9))(4,av2);}}}}}

/* k10103 in loop in chicken.base#alist-update in k8508 */
static void C_ccall f_10105(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_10105,2,av);}
a=C_alloc(7);
if(C_truep(t1)){
t2=C_a_i_cons(&a,2,((C_word*)t0)[2],((C_word*)t0)[3]);
t3=C_slot(((C_word*)t0)[4],C_fix(1));
t4=((C_word*)t0)[5];{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_a_i_cons(&a,2,t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t2=C_slot(((C_word*)t0)[6],C_fix(0));
t3=C_slot(((C_word*)t0)[6],C_fix(1));
t4=C_a_i_cons(&a,2,t2,t3);
t5=t4;
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_10127,a[2]=((C_word*)t0)[5],a[3]=t5,tmp=(C_word)a,a+=4,tmp);
t7=C_slot(((C_word*)t0)[4],C_fix(1));
/* library.scm:916: loop */
t8=((C_word*)((C_word*)t0)[7])[1];
f_10064(t8,t6,t7);}}

/* k10125 in k10103 in loop in chicken.base#alist-update in k8508 */
static void C_ccall f_10127(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_10127,2,av);}
a=C_alloc(3);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_cons(&a,2,((C_word*)t0)[3],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.base#alist-ref in k8508 */
static void C_ccall f_10159(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c<4) C_bad_min_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-4)*C_SIZEOF_PAIR +10,c,4)))){
C_save_and_reclaim((void*)f_10159,c,av);}
a=C_alloc((c-4)*C_SIZEOF_PAIR+10);
t4=C_build_rest(&a,c,4,av);
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word t19;
t5=C_i_nullp(t4);
t6=(C_truep(t5)?*((C_word*)lf[5]+1):C_i_car(t4));
t7=t6;
t8=C_i_nullp(t4);
t9=(C_truep(t8)?C_SCHEME_END_OF_LIST:C_i_cdr(t4));
t10=C_i_nullp(t9);
t11=(C_truep(t10)?C_SCHEME_FALSE:C_i_car(t9));
t12=t11;
t13=C_i_nullp(t9);
t14=(C_truep(t13)?C_SCHEME_END_OF_LIST:C_i_cdr(t9));
t15=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_10175,a[2]=t1,a[3]=t12,a[4]=t2,a[5]=t3,tmp=(C_word)a,a+=6,tmp);
t16=C_eqp(*((C_word*)lf[4]+1),t7);
if(C_truep(t16)){
t17=t15;
f_10175(t17,*((C_word*)lf[52]+1));}
else{
t17=C_eqp(*((C_word*)lf[5]+1),t7);
if(C_truep(t17)){
t18=t15;
f_10175(t18,*((C_word*)lf[53]+1));}
else{
t18=C_eqp(*((C_word*)lf[6]+1),t7);
t19=t15;
f_10175(t19,(C_truep(t18)?*((C_word*)lf[54]+1):(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_10200,a[2]=t7,a[3]=((C_word)li192),tmp=(C_word)a,a+=4,tmp)));}}}

/* k10173 in chicken.base#alist-ref in k8508 */
static void C_fcall f_10175(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,0,3)))){
C_save_and_reclaim_args((void *)trf_10175,2,t0,t1);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_10178,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:934: aq */
t3=t1;{
C_word av2[4];
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[4];
av2[3]=((C_word*)t0)[5];
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* k10176 in k10173 in chicken.base#alist-ref in k8508 */
static void C_ccall f_10178(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10178,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=(C_truep(t1)?C_slot(t1,C_fix(1)):((C_word*)t0)[3]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* f_10200 in chicken.base#alist-ref in k8508 */
static void C_ccall f_10200(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,3)))){
C_save_and_reclaim((void *)f_10200,4,av);}
a=C_alloc(8);
t4=C_SCHEME_UNDEFINED;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=C_set_block_item(t5,0,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_10206,a[2]=t5,a[3]=((C_word*)t0)[2],a[4]=t2,a[5]=((C_word)li191),tmp=(C_word)a,a+=6,tmp));
t7=((C_word*)t5)[1];
f_10206(t7,t1,t3);}

/* loop */
static void C_fcall f_10206(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,4)))){
C_save_and_reclaim_args((void *)trf_10206,3,t0,t1,t2);}
a=C_alloc(6);
if(C_truep(C_i_nullp(t2))){
t3=t1;{
C_word av2[2];
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
if(C_truep(C_i_pairp(t2))){
t3=C_slot(t2,C_fix(0));
t4=t3;
t5=C_i_check_pair_2(t4,lf[265]);
t6=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_10231,a[2]=t1,a[3]=t4,a[4]=t2,a[5]=((C_word*)t0)[2],tmp=(C_word)a,a+=6,tmp);
t7=C_slot(t4,C_fix(0));
/* library.scm:930: cmp */
t8=((C_word*)t0)[3];{
C_word av2[4];
av2[0]=t8;
av2[1]=t6;
av2[2]=((C_word*)t0)[4];
av2[3]=t7;
((C_proc)C_fast_retrieve_proc(t8))(4,av2);}}
else{
/* library.scm:933: chicken.base#error */
t3=*((C_word*)lf[193]+1);{
C_word av2[5];
av2[0]=t3;
av2[1]=t1;
av2[2]=lf[265];
av2[3]=lf[266];
av2[4]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}}}

/* k10229 in loop */
static void C_ccall f_10231(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_10231,2,av);}
if(C_truep(t1)){
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}
else{
t2=C_slot(((C_word*)t0)[4],C_fix(1));
/* library.scm:932: loop */
t3=((C_word*)((C_word*)t0)[5])[1];
f_10206(t3,((C_word*)t0)[2],t2);}}

/* chicken.base#rassoc in k8508 */
static void C_ccall f_10271(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c<4) C_bad_min_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-4)*C_SIZEOF_PAIR +5,c,2)))){
C_save_and_reclaim((void*)f_10271,c,av);}
a=C_alloc((c-4)*C_SIZEOF_PAIR+5);
t4=C_build_rest(&a,c,4,av);
C_word t5;
C_word t6;
C_word t7;
C_word t8;
t5=C_i_check_list_2(t3,lf[268]);
t6=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_10278,a[2]=t2,a[3]=t1,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
if(C_truep(C_i_pairp(t4))){
t7=t4;
t8=t6;
f_10278(t8,C_u_i_car(t7));}
else{
t7=t6;
f_10278(t7,*((C_word*)lf[5]+1));}}

/* k10276 in chicken.base#rassoc in k8508 */
static void C_fcall f_10278(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,0,3)))){
C_save_and_reclaim_args((void *)trf_10278,2,t0,t1);}
a=C_alloc(8);
t2=t1;
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_10283,a[2]=t4,a[3]=t2,a[4]=((C_word*)t0)[2],a[5]=((C_word)li194),tmp=(C_word)a,a+=6,tmp));
t6=((C_word*)t4)[1];
f_10283(t6,((C_word*)t0)[3],((C_word*)t0)[4]);}

/* loop in k10276 in chicken.base#rassoc in k8508 */
static void C_fcall f_10283(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,3)))){
C_save_and_reclaim_args((void *)trf_10283,3,t0,t1,t2);}
a=C_alloc(6);
if(C_truep(C_i_pairp(t2))){
t3=C_slot(t2,C_fix(0));
t4=t3;
t5=C_i_check_pair_2(t4,lf[268]);
t6=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_10302,a[2]=t1,a[3]=t4,a[4]=t2,a[5]=((C_word*)t0)[2],tmp=(C_word)a,a+=6,tmp);
t7=C_slot(t4,C_fix(1));
/* library.scm:947: tst */
t8=((C_word*)t0)[3];{
C_word av2[4];
av2[0]=t8;
av2[1]=t6;
av2[2]=((C_word*)t0)[4];
av2[3]=t7;
((C_proc)C_fast_retrieve_proc(t8))(4,av2);}}
else{
t3=t1;{
C_word av2[2];
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k10300 in loop in k10276 in chicken.base#rassoc in k8508 */
static void C_ccall f_10302(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_10302,2,av);}
if(C_truep(t1)){
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}
else{
t2=C_slot(((C_word*)t0)[4],C_fix(1));
/* library.scm:949: loop */
t3=((C_word*)((C_word*)t0)[5])[1];
f_10283(t3,((C_word*)t0)[2],t2);}}

/* chicken.fixnum#fx+ in k8508 */
static void C_ccall f_10324(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10324,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_fixnum_plus(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* chicken.fixnum#fx- in k8508 */
static void C_ccall f_10327(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10327,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_fixnum_difference(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* chicken.fixnum#fx* in k8508 */
static void C_ccall f_10330(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10330,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_fixnum_times(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* chicken.fixnum#fx= in k8508 */
static void C_ccall f_10333(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10333,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_eqp(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* chicken.fixnum#fx> in k8508 */
static void C_ccall f_10339(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10339,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_fixnum_greaterp(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* chicken.fixnum#fx< in k8508 */
static void C_ccall f_10342(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10342,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_fixnum_lessp(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* chicken.fixnum#fx>= in k8508 */
static void C_ccall f_10345(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10345,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_fixnum_greater_or_equal_p(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* chicken.fixnum#fx<= in k8508 */
static void C_ccall f_10348(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10348,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_fixnum_less_or_equal_p(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* chicken.fixnum#fxmin in k8508 */
static void C_ccall f_10351(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10351,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_fixnum_min(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* chicken.fixnum#fxmax in k8508 */
static void C_ccall f_10354(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10354,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_fixnum_max(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* chicken.fixnum#fxneg in k8508 */
static void C_ccall f_10357(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10357,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_fixnum_negate(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.fixnum#fxand in k8508 */
static void C_ccall f_10360(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10360,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_fixnum_and(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* chicken.fixnum#fxior in k8508 */
static void C_ccall f_10363(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10363,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_fixnum_or(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* chicken.fixnum#fxxor in k8508 */
static void C_ccall f_10366(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10366,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_fixnum_xor(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* chicken.fixnum#fxnot in k8508 */
static void C_ccall f_10369(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10369,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_fixnum_not(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.fixnum#fxshl in k8508 */
static void C_ccall f_10372(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10372,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_fixnum_shift_left(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* chicken.fixnum#fxshr in k8508 */
static void C_ccall f_10375(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10375,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_fixnum_shift_right(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* chicken.fixnum#fxodd? in k8508 */
static void C_ccall f_10378(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10378,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_fixnumoddp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.fixnum#fxeven? in k8508 */
static void C_ccall f_10381(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10381,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_fixnumevenp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.fixnum#fxlen in k8508 */
static void C_ccall f_10384(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10384,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_fixnum_length(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.fixnum#fx/ in k8508 */
static void C_ccall f_10387(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10387,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_fixnum_divide(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* chicken.fixnum#fxgcd in k8508 */
static void C_ccall f_10390(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10390,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_fixnum_gcd(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* chicken.fixnum#fxmod in k8508 */
static void C_ccall f_10393(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10393,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_fixnum_modulo(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* chicken.fixnum#fxrem in k8508 */
static void C_ccall f_10396(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10396,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_fixnum_remainder_checked(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* chicken.fixnum#fx+? in k8508 */
static void C_ccall f_10399(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10399,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_o_fixnum_plus(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* chicken.fixnum#fx-? in k8508 */
static void C_ccall f_10402(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10402,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_o_fixnum_difference(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* chicken.fixnum#fx*? in k8508 */
static void C_ccall f_10405(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10405,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_o_fixnum_times(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* chicken.fixnum#fx/? in k8508 */
static void C_ccall f_10408(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10408,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_o_fixnum_quotient(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* ##sys#debug-mode? in k8508 */
static void C_ccall f_10411(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10411,2,av);}
t2=t1;{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_i_debug_modep();
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.base#warning in k8508 */
static void C_ccall f_10416(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,5)))){
C_save_and_reclaim((void*)f_10416,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
if(C_truep(*((C_word*)lf[304]+1))){{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[307];
av2[4]=t2;
av2[5]=t3;
C_apply(6,av2);}}
else{
t4=C_SCHEME_UNDEFINED;
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* chicken.base#notice in k8508 */
static void C_ccall f_10425(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,5)))){
C_save_and_reclaim((void*)f_10425,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
t4=(C_truep(*((C_word*)lf[305]+1))?*((C_word*)lf[304]+1):C_SCHEME_FALSE);
if(C_truep(t4)){{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[309];
av2[4]=t2;
av2[5]=t3;
C_apply(6,av2);}}
else{
t5=C_SCHEME_UNDEFINED;
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=t5;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}}

/* chicken.base#enable-warnings in k8508 */
static void C_ccall f_10437(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +0,c,1)))){
C_save_and_reclaim((void*)f_10437,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+0);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
if(C_truep(C_i_pairp(t2))){
t3=t2;
t4=C_mutate((C_word*)lf[304]+1 /* (set! ##sys#warnings-enabled ...) */,C_u_i_car(t3));
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t3=*((C_word*)lf[304]+1);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=*((C_word*)lf[304]+1);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* ##sys#setslot in k8508 */
static void C_ccall f_10452(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10452,5,av);}
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_i_setslot(t2,t3,t4);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* ##sys#setislot in k8508 */
static void C_ccall f_10455(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10455,5,av);}
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_i_set_i_slot(t2,t3,t4);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* ##sys#start-timer in k8508 */
static void C_ccall f_10463(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_10463,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10467,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* library.scm:1048: ##sys#gc */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[313]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[313]+1);
av2[1]=t2;
av2[2]=C_SCHEME_TRUE;
tp(3,av2);}}

/* k10465 in ##sys#start-timer in k8508 */
static void C_ccall f_10467(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10467,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_start_timer();
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* ##sys#stop-timer in k8508 */
static void C_ccall f_10469(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_10469,2,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_stop_timer,a[2]=((C_word)li237),tmp=(C_word)a,a+=3,tmp);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10473,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* library.scm:1052: g1202 */
t4=t2;{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)C_fast_retrieve_proc(t4))(2,av2);}}

/* k10471 in ##sys#stop-timer in k8508 */
static void C_ccall f_10473(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_10473,2,av);}
a=C_alloc(4);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_10476,a[2]=t2,a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
/* library.scm:1055: ##sys#gc */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[313]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[313]+1);
av2[1]=t3;
av2[2]=C_SCHEME_TRUE;
tp(3,av2);}}

/* k10474 in k10471 in ##sys#stop-timer in k8508 */
static void C_ccall f_10476(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_10476,2,av);}
a=C_alloc(7);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_stop_timer,a[2]=((C_word)li238),tmp=(C_word)a,a+=3,tmp);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_10487,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:1056: g1204 */
t4=t2;{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)C_fast_retrieve_proc(t4))(2,av2);}}

/* k10485 in k10474 in k10471 in ##sys#stop-timer in k8508 */
static void C_ccall f_10487(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10487,2,av);}
t2=C_slot(t1,C_fix(6));
t3=C_i_setslot(((C_word*)t0)[2],C_fix(6),t2);
t4=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t4;
av2[1]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* ##sys#immediate? in k8508 */
static void C_ccall f_10489(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10489,3,av);}
t3=C_blockp(t2);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_not(t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* ##sys#message in k8508 */
static void C_ccall f_10496(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10496,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_message(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#byte in k8508 */
static void C_ccall f_10499(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10499,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_subbyte(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* ##sys#setbyte in k8508 */
static void C_ccall f_10502(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10502,5,av);}
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_setbyte(t2,t3,t4);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* ##sys#halt in k8508 */
static void C_ccall f_10507(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10507,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_halt(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#block-ref in k8508 */
static void C_ccall f_10511(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10511,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_block_ref(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* ##sys#block-set! in k8508 */
static void C_ccall f_10516(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,5)))){
C_save_and_reclaim((void *)f_10516,5,av);}
a=C_alloc(6);
t5=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_10520,a[2]=t1,a[3]=t2,a[4]=t3,a[5]=t4,tmp=(C_word)a,a+=6,tmp);
t6=C_blockp(t2);
t7=C_i_not(t6);
if(C_truep(t7)){
if(C_truep(t7)){
/* library.scm:1075: ##sys#signal-hook */
t8=C_fast_retrieve(lf[194]);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t8;
av2[1]=t5;
av2[2]=lf[258];
av2[3]=lf[333];
av2[4]=lf[335];
av2[5]=t2;
((C_proc)(void*)(*((C_word*)t8+1)))(6,av2);}}
else{
t8=t5;{
C_word *av2=av;
av2[0]=t8;
av2[1]=C_SCHEME_UNDEFINED;
f_10520(2,av2);}}}
else{
t8=(C_truep(C_specialp(t2))?C_eqp(t3,C_fix(0)):C_SCHEME_FALSE);
if(C_truep(t8)){
if(C_truep(t8)){
/* library.scm:1075: ##sys#signal-hook */
t9=C_fast_retrieve(lf[194]);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t9;
av2[1]=t5;
av2[2]=lf[258];
av2[3]=lf[333];
av2[4]=lf[335];
av2[5]=t2;
((C_proc)(void*)(*((C_word*)t9+1)))(6,av2);}}
else{
t9=t5;{
C_word *av2=av;
av2[0]=t9;
av2[1]=C_SCHEME_UNDEFINED;
f_10520(2,av2);}}}
else{
if(C_truep(C_byteblockp(t2))){
/* library.scm:1075: ##sys#signal-hook */
t9=C_fast_retrieve(lf[194]);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t9;
av2[1]=t5;
av2[2]=lf[258];
av2[3]=lf[333];
av2[4]=lf[335];
av2[5]=t2;
((C_proc)(void*)(*((C_word*)t9+1)))(6,av2);}}
else{
t9=t5;{
C_word *av2=av;
av2[0]=t9;
av2[1]=C_SCHEME_UNDEFINED;
f_10520(2,av2);}}}}}

/* k10518 in ##sys#block-set! in k8508 */
static void C_ccall f_10520(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,5)))){
C_save_and_reclaim((void *)f_10520,2,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_10523,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
t3=C_block_size(((C_word*)t0)[3]);
/* library.scm:1076: ##sys#check-range */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[334]+1));
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[334]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[4];
av2[3]=C_fix(0);
av2[4]=t3;
av2[5]=lf[333];
tp(6,av2);}}

/* k10521 in k10518 in ##sys#block-set! in k8508 */
static void C_ccall f_10523(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10523,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_i_setslot(((C_word*)t0)[3],((C_word*)t0)[4],((C_word*)t0)[5]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.time#current-milliseconds in k8508 */
static void C_ccall f_10551(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(7,c,1)))){
C_save_and_reclaim((void *)f_10551,2,av);}
a=C_alloc(7);
t2=t1;{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_current_milliseconds(&a,1,C_SCHEME_FALSE);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.time#current-seconds in k8508 */
static void C_ccall f_10554(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(7,c,1)))){
C_save_and_reclaim((void *)f_10554,2,av);}
a=C_alloc(7);
t2=t1;{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_get_current_seconds(&a,1,C_SCHEME_FALSE);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.time#cpu-time in k8508 */
static void C_ccall f_10557(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(11,c,3)))){
C_save_and_reclaim((void *)f_10557,2,av);}
a=C_alloc(11);
t2=C_a_i_vector2(&a,2,C_SCHEME_FALSE,C_SCHEME_FALSE);
t3=C_a_i_cpu_time(&a,1,t2);
t4=C_slot(t2,C_fix(0));
t5=C_slot(t2,C_fix(1));
/* library.scm:1103: scheme#values */{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=t1;
av2[2]=t4;
av2[3]=t5;
C_values(4,av2);}}

/* ##sys#check-structure in k8508 */
static void C_ccall f_10574(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c<4) C_bad_min_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-4)*C_SIZEOF_PAIR +0,c,1)))){
C_save_and_reclaim((void*)f_10574,c,av);}
a=C_alloc((c-4)*C_SIZEOF_PAIR+0);
t4=C_build_rest(&a,c,4,av);
C_word t5;
C_word t6;
C_word t7;
C_word t8;
if(C_truep(C_i_pairp(t4))){
t5=t4;
t6=C_u_i_car(t5);
t7=C_i_check_structure_2(t2,t3,t6);
t8=t1;{
C_word *av2=av;
av2[0]=t8;
av2[1]=t7;
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}
else{
t5=C_i_check_structure(t2,t3);
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=t5;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}}

/* ##sys#check-blob in k8508 */
static void C_ccall f_10585(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,1)))){
C_save_and_reclaim((void*)f_10585,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
if(C_truep(C_i_pairp(t3))){
t4=t3;
t5=C_u_i_car(t4);
t6=C_i_check_bytevector_2(t2,t5);
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
t4=C_i_check_bytevector(t2);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* ##sys#check-pair in k8508 */
static void C_ccall f_10597(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,1)))){
C_save_and_reclaim((void*)f_10597,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
if(C_truep(C_i_pairp(t3))){
t4=t3;
t5=C_u_i_car(t4);
t6=C_i_check_pair_2(t2,t5);
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
t4=C_i_check_pair(t2);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* ##sys#check-list in k8508 */
static void C_ccall f_10608(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,1)))){
C_save_and_reclaim((void*)f_10608,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
if(C_truep(C_i_pairp(t3))){
t4=t3;
t5=C_u_i_car(t4);
t6=C_i_check_list_2(t2,t5);
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
t4=C_i_check_list(t2);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* ##sys#check-string in k8508 */
static void C_ccall f_10619(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,1)))){
C_save_and_reclaim((void*)f_10619,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
if(C_truep(C_i_pairp(t3))){
t4=t3;
t5=C_u_i_car(t4);
t6=C_i_check_string_2(t2,t5);
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
t4=C_i_check_string(t2);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* ##sys#check-number in k8508 */
static void C_ccall f_10630(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,1)))){
C_save_and_reclaim((void*)f_10630,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
if(C_truep(C_i_pairp(t3))){
t4=t3;
t5=C_u_i_car(t4);
t6=C_i_check_number_2(t2,t5);
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
t4=C_i_check_number(t2);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* ##sys#check-fixnum in k8508 */
static void C_ccall f_10641(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,1)))){
C_save_and_reclaim((void*)f_10641,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
if(C_truep(C_i_pairp(t3))){
t4=t3;
t5=C_u_i_car(t4);
t6=C_i_check_fixnum_2(t2,t5);
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
t4=C_i_check_fixnum(t2);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* ##sys#check-exact in k8508 */
static void C_ccall f_10652(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,1)))){
C_save_and_reclaim((void*)f_10652,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
if(C_truep(C_i_pairp(t3))){
t4=t3;
t5=C_u_i_car(t4);
t6=C_i_check_exact_2(t2,t5);
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
t4=C_i_check_exact(t2);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* ##sys#check-inexact in k8508 */
static void C_ccall f_10663(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,1)))){
C_save_and_reclaim((void*)f_10663,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
if(C_truep(C_i_pairp(t3))){
t4=t3;
t5=C_u_i_car(t4);
t6=C_i_check_inexact_2(t2,t5);
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
t4=C_i_check_inexact(t2);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* ##sys#check-symbol in k8508 */
static void C_ccall f_10674(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,1)))){
C_save_and_reclaim((void*)f_10674,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
if(C_truep(C_i_pairp(t3))){
t4=t3;
t5=C_u_i_car(t4);
t6=C_i_check_symbol_2(t2,t5);
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
t4=C_i_check_symbol(t2);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* ##sys#check-vector in k8508 */
static void C_ccall f_10685(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,1)))){
C_save_and_reclaim((void*)f_10685,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
if(C_truep(C_i_pairp(t3))){
t4=t3;
t5=C_u_i_car(t4);
t6=C_i_check_vector_2(t2,t5);
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
t4=C_i_check_vector(t2);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* ##sys#check-char in k8508 */
static void C_ccall f_10696(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,1)))){
C_save_and_reclaim((void*)f_10696,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
if(C_truep(C_i_pairp(t3))){
t4=t3;
t5=C_u_i_car(t4);
t6=C_i_check_char_2(t2,t5);
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
t4=C_i_check_char(t2);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* ##sys#check-boolean in k8508 */
static void C_ccall f_10707(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,1)))){
C_save_and_reclaim((void*)f_10707,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
if(C_truep(C_i_pairp(t3))){
t4=t3;
t5=C_u_i_car(t4);
t6=C_i_check_boolean_2(t2,t5);
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
t4=C_i_check_boolean(t2);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* ##sys#check-locative in k8508 */
static void C_ccall f_10718(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,1)))){
C_save_and_reclaim((void*)f_10718,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
if(C_truep(C_i_pairp(t3))){
t4=t3;
t5=C_u_i_car(t4);
t6=C_i_check_locative_2(t2,t5);
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
t4=C_i_check_locative(t2);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* ##sys#check-integer in k8508 */
static void C_ccall f_10729(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,3)))){
C_save_and_reclaim((void*)f_10729,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
if(C_truep(C_i_integerp(t2))){
t4=C_SCHEME_UNDEFINED;
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
if(C_truep(C_i_pairp(t3))){
t4=t3;
t5=C_u_i_car(t4);
/* library.scm:1181: ##sys#error-bad-integer */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[355]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[355]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=t5;
tp(4,av2);}}
else{
/* library.scm:1181: ##sys#error-bad-integer */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[355]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[355]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=C_SCHEME_FALSE;
tp(4,av2);}}}}

/* ##sys#check-exact-integer in k8508 */
static void C_ccall f_10746(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,3)))){
C_save_and_reclaim((void*)f_10746,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
if(C_truep(C_i_exact_integerp(t2))){
t4=C_SCHEME_UNDEFINED;
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
if(C_truep(C_i_pairp(t3))){
t4=t3;
t5=C_u_i_car(t4);
/* library.scm:1185: ##sys#error-bad-exact-integer */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[357]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[357]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=t5;
tp(4,av2);}}
else{
/* library.scm:1185: ##sys#error-bad-exact-integer */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[357]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[357]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=C_SCHEME_FALSE;
tp(4,av2);}}}}

/* ##sys#check-exact-uinteger in k8508 */
static void C_ccall f_10763(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,3)))){
C_save_and_reclaim((void*)f_10763,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
t4=C_i_exact_integerp(t2);
t5=C_i_not(t4);
t6=(C_truep(t5)?t5:C_i_integer_negativep(t2));
if(C_truep(t6)){
if(C_truep(C_i_pairp(t3))){
t7=t3;
t8=C_u_i_car(t7);
/* library.scm:1190: ##sys#error-bad-exact-uinteger */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[359]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[359]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=t8;
tp(4,av2);}}
else{
/* library.scm:1190: ##sys#error-bad-exact-uinteger */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[359]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[359]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=C_SCHEME_FALSE;
tp(4,av2);}}}
else{
t7=C_SCHEME_UNDEFINED;
t8=t1;{
C_word *av2=av;
av2[0]=t8;
av2[1]=t7;
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}}

/* ##sys#check-real in k8508 */
static void C_ccall f_10787(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,3)))){
C_save_and_reclaim((void*)f_10787,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
if(C_truep(C_i_realp(t2))){
t4=C_SCHEME_UNDEFINED;
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
if(C_truep(C_i_pairp(t3))){
t4=t3;
t5=C_u_i_car(t4);
/* library.scm:1194: ##sys#error-bad-real */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[361]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[361]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=t5;
tp(4,av2);}}
else{
/* library.scm:1194: ##sys#error-bad-real */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[361]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[361]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=C_SCHEME_FALSE;
tp(4,av2);}}}}

/* ##sys#check-range in k8508 */
static void C_ccall f_10804(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word *a;
if(c<5) C_bad_min_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-5)*C_SIZEOF_PAIR +7,c,3)))){
C_save_and_reclaim((void*)f_10804,c,av);}
a=C_alloc((c-5)*C_SIZEOF_PAIR+7);
t5=C_build_rest(&a,c,5,av);
C_word t6;
C_word t7;
t6=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_10808,a[2]=t3,a[3]=t2,a[4]=t4,a[5]=t1,a[6]=t5,tmp=(C_word)a,a+=7,tmp);
/* library.scm:1197: ##sys#check-fixnum */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[102]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[102]+1);
av2[1]=t6;
av2[2]=t2;
av2[3]=t5;
tp(4,av2);}}

/* k10806 in ##sys#check-range in k8508 */
static void C_ccall f_10808(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,6)))){
C_save_and_reclaim((void *)f_10808,2,av);}
t2=C_fixnum_less_or_equal_p(((C_word*)t0)[2],((C_word*)t0)[3]);
t3=(C_truep(t2)?C_fixnum_lessp(((C_word*)t0)[3],((C_word*)t0)[4]):C_SCHEME_FALSE);
if(C_truep(t3)){
t4=C_SCHEME_UNDEFINED;
t5=((C_word*)t0)[5];{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t4=C_fix((C_word)C_OUT_OF_RANGE_ERROR);
if(C_truep(C_i_pairp(((C_word*)t0)[6]))){
t5=((C_word*)t0)[6];
t6=C_u_i_car(t5);
/* library.scm:1199: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=((C_word*)t0)[5];
av2[2]=t4;
av2[3]=t6;
av2[4]=((C_word*)t0)[3];
av2[5]=((C_word*)t0)[2];
av2[6]=((C_word*)t0)[4];
tp(7,av2);}}
else{
/* library.scm:1199: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=((C_word*)t0)[5];
av2[2]=t4;
av2[3]=C_SCHEME_FALSE;
av2[4]=((C_word*)t0)[3];
av2[5]=((C_word*)t0)[2];
av2[6]=((C_word*)t0)[4];
tp(7,av2);}}}}

/* ##sys#check-special in k8508 */
static void C_ccall f_10834(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,5)))){
C_save_and_reclaim((void*)f_10834,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
t4=(C_truep(C_blockp(t2))?C_specialp(t2):C_SCHEME_FALSE);
if(C_truep(t4)){
t5=C_SCHEME_UNDEFINED;
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=t5;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}
else{
if(C_truep(C_i_pairp(t3))){
t5=t3;
t6=C_u_i_car(t5);
/* library.scm:1205: ##sys#signal-hook */
t7=C_fast_retrieve(lf[194]);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t7;
av2[1]=t1;
av2[2]=lf[258];
av2[3]=t6;
av2[4]=lf[364];
av2[5]=t2;
((C_proc)(void*)(*((C_word*)t7+1)))(6,av2);}}
else{
/* library.scm:1205: ##sys#signal-hook */
t5=C_fast_retrieve(lf[194]);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t5;
av2[1]=t1;
av2[2]=lf[258];
av2[3]=C_SCHEME_FALSE;
av2[4]=lf[364];
av2[5]=t2;
((C_proc)(void*)(*((C_word*)t5+1)))(6,av2);}}}}

/* ##sys#check-closure in k8508 */
static void C_ccall f_10854(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,1)))){
C_save_and_reclaim((void*)f_10854,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
if(C_truep(C_i_pairp(t3))){
t4=t3;
t5=C_u_i_car(t4);
t6=C_i_check_closure_2(t2,t5);
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
t4=C_i_check_closure(t2);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* scheme#force in k8508 */
static void C_ccall f_10865(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,4)))){
C_save_and_reclaim((void *)f_10865,3,av);}
a=C_alloc(6);
if(C_truep(C_i_structurep(t2,lf[216]))){
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_10877,a[2]=t4,a[3]=((C_word)li274),tmp=(C_word)a,a+=4,tmp));
t6=((C_word*)t4)[1];
f_10877(t6,t1,t2,C_SCHEME_FALSE);}
else{
t3=t2;
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* lp in scheme#force in k8508 */
static void C_fcall f_10877(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(6,0,3)))){
C_save_and_reclaim_args((void *)trf_10877,4,t0,t1,t2,t3);}
a=C_alloc(6);
t4=C_slot(t2,C_fix(1));
if(C_truep(C_i_nullp(t4))){
/* library.scm:1218: ##sys#values */{
C_word av2[2];
av2[0]=0;
av2[1]=t1;
C_values(2,av2);}}
else{
if(C_truep(C_i_pairp(t4))){{
C_word av2[3];
av2[0]=0;
av2[1]=t1;
av2[2]=t4;
C_apply_values(3,av2);}}
else{
if(C_truep(C_i_closurep(t4))){
t5=(C_truep(t3)?C_i_setslot(t3,C_fix(1),t2):C_SCHEME_UNDEFINED);
t6=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_10911,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=t1,a[5]=t3,tmp=(C_word)a,a+=6,tmp);
/* library.scm:1222: ##sys#call-with-values */{
C_word av2[4];
av2[0]=0;
av2[1]=t6;
av2[2]=t4;
av2[3]=*((C_word*)lf[367]+1);
C_call_with_values(4,av2);}}
else{
if(C_truep(C_i_structurep(t4,lf[216]))){
/* library.scm:1234: lp */
t8=t1;
t9=t4;
t10=t3;
t1=t8;
t2=t9;
t3=t10;
goto loop;}
else{
t5=t1;{
C_word av2[2];
av2[0]=t5;
av2[1]=C_SCHEME_UNDEFINED;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}}}}

/* k10909 in lp in scheme#force in k8508 */
static void C_ccall f_10911(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,3)))){
C_save_and_reclaim((void *)f_10911,2,av);}
a=C_alloc(6);
t2=t1;
t3=C_slot(((C_word*)t0)[2],C_fix(1));
t4=C_i_closurep(t3);
if(C_truep(C_i_not(t4))){
/* library.scm:1224: lp */
t5=((C_word*)((C_word*)t0)[3])[1];
f_10877(t5,((C_word*)t0)[4],((C_word*)t0)[2],((C_word*)t0)[5]);}
else{
t5=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_10926,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
t6=C_i_nullp(t2);
if(C_truep(C_i_not(t6))){
t7=C_i_cdr(t2);
if(C_truep(C_i_nullp(t7))){
t8=C_slot(t2,C_fix(0));
t9=t5;
f_10926(t9,C_i_structurep(t8,lf[216]));}
else{
t8=t5;
f_10926(t8,C_SCHEME_FALSE);}}
else{
t7=t5;
f_10926(t7,C_SCHEME_FALSE);}}}

/* k10924 in k10909 in lp in scheme#force in k8508 */
static void C_fcall f_10926(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,0,3)))){
C_save_and_reclaim_args((void *)trf_10926,2,t0,t1);}
if(C_truep(t1)){
t2=C_slot(((C_word*)t0)[2],C_fix(0));
t3=C_slot(t2,C_fix(1));
t4=C_i_setslot(((C_word*)t0)[3],C_fix(1),t3);
/* library.scm:1229: lp */
t5=((C_word*)((C_word*)t0)[4])[1];
f_10877(t5,((C_word*)t0)[5],((C_word*)t0)[3],t2);}
else{
t2=C_i_setslot(((C_word*)t0)[3],C_fix(1),((C_word*)t0)[2]);{
C_word av2[3];
av2[0]=0;
av2[1]=((C_word*)t0)[5];
av2[2]=((C_word*)t0)[2];
C_apply_values(3,av2);}}}

/* ##sys#error-not-a-proper-list in k8508 */
static void C_ccall f_10993(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,4)))){
C_save_and_reclaim((void*)f_10993,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
if(C_truep(C_i_nullp(t3))){
t4=C_fix((C_word)C_NOT_A_PROPER_LIST_ERROR);
/* library.scm:1244: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t1;
av2[2]=t4;
av2[3]=C_SCHEME_FALSE;
av2[4]=t2;
tp(5,av2);}}
else{
t4=C_i_car(t3);
t5=C_fix((C_word)C_NOT_A_PROPER_LIST_ERROR);
/* library.scm:1244: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t1;
av2[2]=t5;
av2[3]=t4;
av2[4]=t2;
tp(5,av2);}}}

/* ##sys#error-bad-number in k8508 */
static void C_ccall f_11009(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,4)))){
C_save_and_reclaim((void*)f_11009,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
if(C_truep(C_i_nullp(t3))){
t4=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_NUMBER_ERROR);
/* library.scm:1248: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t1;
av2[2]=t4;
av2[3]=C_SCHEME_FALSE;
av2[4]=t2;
tp(5,av2);}}
else{
t4=C_i_car(t3);
t5=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_NUMBER_ERROR);
/* library.scm:1248: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t1;
av2[2]=t5;
av2[3]=t4;
av2[4]=t2;
tp(5,av2);}}}

/* ##sys#error-bad-integer in k8508 */
static void C_ccall f_11025(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,4)))){
C_save_and_reclaim((void*)f_11025,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
if(C_truep(C_i_nullp(t3))){
t4=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_INTEGER_ERROR);
/* library.scm:1252: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t1;
av2[2]=t4;
av2[3]=C_SCHEME_FALSE;
av2[4]=t2;
tp(5,av2);}}
else{
t4=C_i_car(t3);
t5=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_INTEGER_ERROR);
/* library.scm:1252: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t1;
av2[2]=t5;
av2[3]=t4;
av2[4]=t2;
tp(5,av2);}}}

/* ##sys#error-bad-exact-integer in k8508 */
static void C_ccall f_11041(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,4)))){
C_save_and_reclaim((void*)f_11041,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
if(C_truep(C_i_nullp(t3))){
t4=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_INTEGER_ERROR);
/* library.scm:1256: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t1;
av2[2]=t4;
av2[3]=C_SCHEME_FALSE;
av2[4]=t2;
tp(5,av2);}}
else{
t4=C_i_car(t3);
t5=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_INTEGER_ERROR);
/* library.scm:1256: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t1;
av2[2]=t5;
av2[3]=t4;
av2[4]=t2;
tp(5,av2);}}}

/* ##sys#error-bad-exact-uinteger in k8508 */
static void C_ccall f_11057(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,4)))){
C_save_and_reclaim((void*)f_11057,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
if(C_truep(C_i_nullp(t3))){
t4=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_UINTEGER_ERROR);
/* library.scm:1260: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t1;
av2[2]=t4;
av2[3]=C_SCHEME_FALSE;
av2[4]=t2;
tp(5,av2);}}
else{
t4=C_i_car(t3);
t5=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_UINTEGER_ERROR);
/* library.scm:1260: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t1;
av2[2]=t5;
av2[3]=t4;
av2[4]=t2;
tp(5,av2);}}}

/* ##sys#error-bad-inexact in k8508 */
static void C_ccall f_11073(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,4)))){
C_save_and_reclaim((void*)f_11073,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
if(C_truep(C_i_nullp(t3))){
t4=C_fix((C_word)C_CANT_REPRESENT_INEXACT_ERROR);
/* library.scm:1264: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t1;
av2[2]=t4;
av2[3]=C_SCHEME_FALSE;
av2[4]=t2;
tp(5,av2);}}
else{
t4=C_i_car(t3);
t5=C_fix((C_word)C_CANT_REPRESENT_INEXACT_ERROR);
/* library.scm:1264: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t1;
av2[2]=t5;
av2[3]=t4;
av2[4]=t2;
tp(5,av2);}}}

/* ##sys#error-bad-real in k8508 */
static void C_ccall f_11089(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,4)))){
C_save_and_reclaim((void*)f_11089,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
if(C_truep(C_i_nullp(t3))){
t4=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_REAL_ERROR);
/* library.scm:1268: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t1;
av2[2]=t4;
av2[3]=C_SCHEME_FALSE;
av2[4]=t2;
tp(5,av2);}}
else{
t4=C_i_car(t3);
t5=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_REAL_ERROR);
/* library.scm:1268: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t1;
av2[2]=t5;
av2[3]=t4;
av2[4]=t2;
tp(5,av2);}}}

/* ##sys#error-bad-base in k8508 */
static void C_ccall f_11105(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,4)))){
C_save_and_reclaim((void*)f_11105,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
if(C_truep(C_i_nullp(t3))){
t4=C_fix((C_word)C_BAD_ARGUMENT_TYPE_BAD_BASE_ERROR);
/* library.scm:1272: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t1;
av2[2]=t4;
av2[3]=C_SCHEME_FALSE;
av2[4]=t2;
tp(5,av2);}}
else{
t4=C_i_car(t3);
t5=C_fix((C_word)C_BAD_ARGUMENT_TYPE_BAD_BASE_ERROR);
/* library.scm:1272: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t1;
av2[2]=t5;
av2[3]=t4;
av2[4]=t2;
tp(5,av2);}}}

/* scheme#append in k8508 */
static void C_ccall f_11121(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +6,c,3)))){
C_save_and_reclaim((void*)f_11121,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+6);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
t3=C_eqp(t2,C_SCHEME_END_OF_LIST);
if(C_truep(t3)){
t4=t2;
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t4=C_SCHEME_UNDEFINED;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=C_set_block_item(t5,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_11133,a[2]=t5,a[3]=((C_word)li287),tmp=(C_word)a,a+=4,tmp));
t7=((C_word*)t5)[1];
f_11133(t7,t1,t2);}}

/* loop in scheme#append in k8508 */
static void C_fcall f_11133(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,0,3)))){
C_save_and_reclaim_args((void *)trf_11133,3,t0,t1,t2);}
a=C_alloc(8);
t3=C_slot(t2,C_fix(1));
t4=C_eqp(t3,C_SCHEME_END_OF_LIST);
if(C_truep(t4)){
t5=t1;{
C_word av2[2];
av2[0]=t5;
av2[1]=C_slot(t2,C_fix(0));
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t5=C_slot(t2,C_fix(0));
t6=C_SCHEME_UNDEFINED;
t7=(*a=C_VECTOR_TYPE|1,a[1]=t6,tmp=(C_word)a,a+=2,tmp);
t8=C_set_block_item(t7,0,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_11152,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=t7,a[5]=((C_word)li286),tmp=(C_word)a,a+=6,tmp));
t9=((C_word*)t7)[1];
f_11152(t9,t1,t5);}}

/* copy in loop in scheme#append in k8508 */
static void C_fcall f_11152(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(4,0,3)))){
C_save_and_reclaim_args((void *)trf_11152,3,t0,t1,t2);}
a=C_alloc(4);
t3=C_eqp(t2,C_SCHEME_END_OF_LIST);
if(C_truep(t3)){
t4=C_slot(((C_word*)t0)[2],C_fix(1));
/* library.scm:1283: loop */
t5=((C_word*)((C_word*)t0)[3])[1];
f_11133(t5,t1,t4);}
else{
if(C_truep(C_i_pairp(t2))){
t4=C_slot(t2,C_fix(0));
t5=t4;
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_11183,a[2]=t1,a[3]=t5,tmp=(C_word)a,a+=4,tmp);
t7=C_slot(t2,C_fix(1));
/* library.scm:1285: copy */
t9=t6;
t10=t7;
t1=t9;
t2=t10;
goto loop;}
else{
t4=C_slot(((C_word*)t0)[2],C_fix(0));
/* library.scm:1287: ##sys#error-not-a-proper-list */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[47]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[47]+1);
av2[1]=t1;
av2[2]=t4;
av2[3]=lf[374];
tp(4,av2);}}}}

/* k11181 in copy in loop in scheme#append in k8508 */
static void C_ccall f_11183(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_11183,2,av);}
a=C_alloc(3);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_cons(&a,2,((C_word*)t0)[3],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* ##sys#fast-reverse in k8508 */
static void C_ccall f_11200(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,4)))){
C_save_and_reclaim((void *)f_11200,3,av);}
a=C_alloc(6);
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_11206,a[2]=t4,a[3]=((C_word)li289),tmp=(C_word)a,a+=4,tmp));
t6=((C_word*)t4)[1];
f_11206(t6,t1,t2,C_SCHEME_END_OF_LIST);}

/* loop in ##sys#fast-reverse in k8508 */
static void C_fcall f_11206(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(3,0,3)))){
C_save_and_reclaim_args((void *)trf_11206,4,t0,t1,t2,t3);}
a=C_alloc(3);
if(C_truep(C_i_pairp(t2))){
t4=C_slot(t2,C_fix(1));
t5=C_slot(t2,C_fix(0));
t6=C_a_i_cons(&a,2,t5,t3);
/* library.scm:1293: loop */
t8=t1;
t9=t4;
t10=t6;
t1=t8;
t2=t9;
t3=t10;
goto loop;}
else{
t4=t3;
t5=t1;{
C_word av2[2];
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* ##sys#make-string in k8508 */
static void C_ccall f_11230(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,5)))){
C_save_and_reclaim((void*)f_11230,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
if(C_truep(C_i_nullp(t3))){
t4=t1;
t5=t2;
/* library.scm:1300: ##sys#allocate-vector */
t6=*((C_word*)lf[316]+1);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t6;
av2[1]=t4;
av2[2]=t5;
av2[3]=C_SCHEME_TRUE;
av2[4]=C_make_character(32);
av2[5]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t6+1)))(6,av2);}}
else{
t4=C_i_car(t3);
t5=t1;
t6=t2;
/* library.scm:1300: ##sys#allocate-vector */
t7=*((C_word*)lf[316]+1);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t7;
av2[1]=t5;
av2[2]=t6;
av2[3]=C_SCHEME_TRUE;
av2[4]=t4;
av2[5]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t7+1)))(6,av2);}}}

/* scheme#make-string in k8508 */
static void C_ccall f_11250(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +5,c,3)))){
C_save_and_reclaim((void*)f_11250,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+5);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_11254,a[2]=t3,a[3]=t1,a[4]=t2,tmp=(C_word)a,a+=5,tmp);
/* library.scm:1307: ##sys#check-fixnum */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[102]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[102]+1);
av2[1]=t4;
av2[2]=t2;
av2[3]=lf[378];
tp(4,av2);}}

/* k11252 in scheme#make-string in k8508 */
static void C_ccall f_11254(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,5)))){
C_save_and_reclaim((void *)f_11254,2,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_11257,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
if(C_truep(C_fixnum_lessp(((C_word*)t0)[4],C_fix(0)))){
/* library.scm:1309: ##sys#signal-hook */
t3=C_fast_retrieve(lf[194]);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[379];
av2[3]=lf[378];
av2[4]=lf[380];
av2[5]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t3+1)))(6,av2);}}
else{
t3=t2;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_UNDEFINED;
f_11257(2,av2);}}}

/* k11255 in k11252 in scheme#make-string in k8508 */
static void C_ccall f_11257(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,5)))){
C_save_and_reclaim((void *)f_11257,2,av);}
if(C_truep(C_i_nullp(((C_word*)t0)[2]))){
t2=((C_word*)t0)[3];
t3=((C_word*)t0)[4];
/* library.scm:1300: ##sys#allocate-vector */
t4=*((C_word*)lf[316]+1);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t4;
av2[1]=t2;
av2[2]=t3;
av2[3]=C_SCHEME_TRUE;
av2[4]=C_make_character(32);
av2[5]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t4+1)))(6,av2);}}
else{
t2=C_i_car(((C_word*)t0)[2]);
t3=C_i_check_char_2(t2,lf[378]);
t4=((C_word*)t0)[3];
t5=((C_word*)t0)[4];
/* library.scm:1300: ##sys#allocate-vector */
t6=*((C_word*)lf[316]+1);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t6;
av2[1]=t4;
av2[2]=t5;
av2[3]=C_SCHEME_TRUE;
av2[4]=t2;
av2[5]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t6+1)))(6,av2);}}}

/* scheme#string->list in k8508 */
static void C_ccall f_11286(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(7,c,4)))){
C_save_and_reclaim((void *)f_11286,3,av);}
a=C_alloc(7);
t3=C_i_check_string_2(t2,lf[382]);
t4=C_block_size(t2);
t5=C_fixnum_difference(t4,C_fix(1));
t6=C_SCHEME_UNDEFINED;
t7=(*a=C_VECTOR_TYPE|1,a[1]=t6,tmp=(C_word)a,a+=2,tmp);
t8=C_set_block_item(t7,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_11302,a[2]=t2,a[3]=t7,a[4]=((C_word)li293),tmp=(C_word)a,a+=5,tmp));
t9=((C_word*)t7)[1];
f_11302(t9,t1,t5,C_SCHEME_END_OF_LIST);}

/* loop in scheme#string->list in k8508 */
static void C_fcall f_11302(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(3,0,3)))){
C_save_and_reclaim_args((void *)trf_11302,4,t0,t1,t2,t3);}
a=C_alloc(3);
if(C_truep(C_fixnum_lessp(t2,C_fix(0)))){
t4=t3;
t5=t1;{
C_word av2[2];
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t4=C_fixnum_difference(t2,C_fix(1));
t5=C_subchar(((C_word*)t0)[2],t2);
t6=C_a_i_cons(&a,2,t5,t3);
/* library.scm:1325: loop */
t8=t1;
t9=t4;
t10=t6;
t1=t8;
t2=t9;
t3=t10;
goto loop;}}

/* scheme#list->string in k8508 */
static void C_ccall f_11324(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_11324,3,av);}
a=C_alloc(5);
t3=C_i_listp(t2);
if(C_truep(C_i_not(t3))){
/* library.scm:1333: ##sys#error-not-a-proper-list */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[47]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[47]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=lf[385];
tp(4,av2);}}
else{
t4=C_i_length(t2);
t5=t4;
t6=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_11340,a[2]=t5,a[3]=t1,a[4]=t2,tmp=(C_word)a,a+=5,tmp);
/* library.scm:1335: ##sys#make-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[376]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[376]+1);
av2[1]=t6;
av2[2]=t5;
tp(3,av2);}}}

/* k11338 in scheme#list->string in k8508 */
static void C_ccall f_11340(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_11340,2,av);}
a=C_alloc(5);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_11345,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word)li295),tmp=(C_word)a,a+=5,tmp);
t4=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t4;
av2[1]=(
  f_11345(t3,C_fix(0),((C_word*)t0)[4])
);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* doloop1519 in k11338 in scheme#list->string in k8508 */
static C_word C_fcall f_11345(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_stack_overflow_check;
loop:{}
if(C_truep(C_fixnum_greater_or_equal_p(t1,((C_word*)t0)[2]))){
return(((C_word*)t0)[3]);}
else{
t3=C_slot(t2,C_fix(0));
t4=C_i_check_char_2(t3,lf[385]);
t5=C_setsubchar(((C_word*)t0)[3],t1,t3);
t6=C_fixnum_plus(t1,C_fix(1));
t7=C_slot(t2,C_fix(1));
t9=t6;
t10=t7;
t1=t9;
t2=t10;
goto loop;}}

/* ##sys#reverse-list->string in k8508 */
static void C_ccall f_11376(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_11376,3,av);}
a=C_alloc(5);
if(C_truep(C_i_listp(t2))){
t3=t2;
t4=C_u_i_length(t3);
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_11387,a[2]=t4,a[3]=t2,a[4]=t1,tmp=(C_word)a,a+=5,tmp);
/* library.scm:1350: ##sys#make-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[376]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[376]+1);
av2[1]=t5;
av2[2]=t4;
tp(3,av2);}}
else{
/* library.scm:1358: ##sys#error-not-a-proper-list */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[47]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[47]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=lf[388];
tp(4,av2);}}}

/* k11385 in ##sys#reverse-list->string in k8508 */
static void C_ccall f_11387(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_11387,2,av);}
a=C_alloc(4);
t2=t1;
t3=C_fixnum_difference(((C_word*)t0)[2],C_fix(1));
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_11396,a[2]=t2,a[3]=((C_word)li297),tmp=(C_word)a,a+=4,tmp);
t5=(
  f_11396(t4,((C_word*)t0)[3],t3)
);
t6=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t6;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}

/* iter in k11385 in ##sys#reverse-list->string in k8508 */
static C_word C_fcall f_11396(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_stack_overflow_check;
loop:{}
if(C_truep(C_fixnum_greater_or_equal_p(t2,C_fix(0)))){
t3=C_slot(t1,C_fix(0));
t4=C_i_check_char_2(t3,lf[388]);
t5=C_setsubchar(((C_word*)t0)[2],t2,t3);
t6=C_slot(t1,C_fix(1));
t7=C_fixnum_difference(t2,C_fix(1));
t9=t6;
t10=t7;
t1=t9;
t2=t10;
goto loop;}
else{
t3=C_SCHEME_UNDEFINED;
return(t3);}}

/* scheme#string-fill! in k8508 */
static void C_ccall f_11425(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_11425,4,av);}
t4=C_i_check_string_2(t2,lf[390]);
t5=C_i_check_char_2(t3,lf[390]);
t6=C_block_size(t2);
t7=C_set_memory(t2,t3,t6);
t8=t1;{
C_word *av2=av;
av2[0]=t8;
av2[1]=C_SCHEME_UNDEFINED;
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}

/* scheme#string-copy in k8508 */
static void C_ccall f_11438(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_11438,3,av);}
a=C_alloc(5);
t3=C_i_check_string_2(t2,lf[392]);
t4=C_block_size(t2);
t5=t4;
t6=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_11448,a[2]=t2,a[3]=t5,a[4]=t1,tmp=(C_word)a,a+=5,tmp);
/* library.scm:1371: ##sys#make-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[376]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[376]+1);
av2[1]=t6;
av2[2]=t5;
tp(3,av2);}}

/* k11446 in scheme#string-copy in k8508 */
static void C_ccall f_11448(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_11448,2,av);}
t2=C_copy_memory(t1,((C_word*)t0)[2],((C_word*)t0)[3]);
t3=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#substring in k8508 */
static void C_ccall f_11450(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c<4) C_bad_min_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-4)*C_SIZEOF_PAIR +6,c,3)))){
C_save_and_reclaim((void*)f_11450,c,av);}
a=C_alloc((c-4)*C_SIZEOF_PAIR+6);
t4=C_build_rest(&a,c,4,av);
C_word t5;
C_word t6;
C_word t7;
t5=C_i_check_string_2(t2,lf[394]);
t6=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_11457,a[2]=t2,a[3]=t1,a[4]=t3,a[5]=t4,tmp=(C_word)a,a+=6,tmp);
/* library.scm:1378: ##sys#check-fixnum */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[102]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[102]+1);
av2[1]=t6;
av2[2]=t3;
av2[3]=lf[394];
tp(4,av2);}}

/* k11455 in scheme#substring in k8508 */
static void C_ccall f_11457(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,3)))){
C_save_and_reclaim((void *)f_11457,2,av);}
a=C_alloc(9);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_11460,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
if(C_truep(C_i_pairp(((C_word*)t0)[5]))){
t3=((C_word*)t0)[5];
t4=C_u_i_car(t3);
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_11495,a[2]=t2,a[3]=t4,tmp=(C_word)a,a+=4,tmp);
/* library.scm:1381: ##sys#check-fixnum */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[102]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[102]+1);
av2[1]=t5;
av2[2]=t4;
av2[3]=lf[394];
tp(4,av2);}}
else{
t3=t2;
f_11460(t3,C_block_size(((C_word*)t0)[2]));}}

/* k11458 in k11455 in scheme#substring in k8508 */
static void C_fcall f_11460(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,2)))){
C_save_and_reclaim_args((void *)trf_11460,2,t0,t1);}
a=C_alloc(6);
t2=t1;
t3=C_block_size(((C_word*)t0)[2]);
t4=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_11469,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[4],a[5]=t2,tmp=(C_word)a,a+=6,tmp);
if(C_truep(C_fixnum_less_or_equal_p(((C_word*)t0)[4],t2))){
t5=C_fixnum_greater_or_equal_p(((C_word*)t0)[4],C_fix(0));
t6=t4;
f_11469(t6,(C_truep(t5)?C_fixnum_less_or_equal_p(t2,t3):C_SCHEME_FALSE));}
else{
t5=t4;
f_11469(t5,C_SCHEME_FALSE);}}

/* k11467 in k11458 in k11455 in scheme#substring in k8508 */
static void C_fcall f_11469(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,0,5)))){
C_save_and_reclaim_args((void *)trf_11469,2,t0,t1);}
if(C_truep(t1)){
/* library.scm:1388: ##sys#substring */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[395]+1));
C_word av2[5];
av2[0]=*((C_word*)lf[395]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=((C_word*)t0)[4];
av2[4]=((C_word*)t0)[5];
tp(5,av2);}}
else{
t2=C_fix((C_word)C_OUT_OF_RANGE_ERROR);
/* library.scm:1389: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word av2[6];
av2[0]=*((C_word*)lf[362]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=t2;
av2[3]=lf[394];
av2[4]=((C_word*)t0)[4];
av2[5]=((C_word*)t0)[5];
tp(6,av2);}}}

/* k11493 in k11455 in scheme#substring in k8508 */
static void C_ccall f_11495(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_11495,2,av);}
t2=((C_word*)t0)[2];
f_11460(t2,((C_word*)t0)[3]);}

/* ##sys#substring in k8508 */
static void C_ccall f_11500(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_11500,5,av);}
a=C_alloc(6);
t5=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_11504,a[2]=t2,a[3]=t3,a[4]=t4,a[5]=t1,tmp=(C_word)a,a+=6,tmp);
t6=C_fixnum_difference(t4,t3);
/* library.scm:1394: ##sys#make-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[376]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[376]+1);
av2[1]=t5;
av2[2]=t6;
tp(3,av2);}}

/* k11502 in ##sys#substring in k8508 */
static void C_ccall f_11504(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_11504,2,av);}
t2=C_substring_copy(((C_word*)t0)[2],t1,((C_word*)t0)[3],((C_word*)t0)[4],C_fix(0));
t3=((C_word*)t0)[5];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* compare1572 in k8508 */
static void C_ccall f_11509(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5=av[5];
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word *a;
if(c!=6) C_bad_argc_2(c,6,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_11509,6,av);}
t6=C_i_check_string_2(t2,t4);
t7=C_i_check_string_2(t3,t4);
t8=C_block_size(t2);
t9=C_block_size(t3);
if(C_truep(C_fixnum_lessp(t8,t9))){
t10=C_string_compare(t2,t3,t8);
/* library.scm:1404: k */
t11=t5;{
C_word *av2=av;
av2[0]=t11;
av2[1]=t1;
av2[2]=t8;
av2[3]=t9;
av2[4]=t10;
((C_proc)C_fast_retrieve_proc(t11))(5,av2);}}
else{
t10=C_string_compare(t2,t3,t9);
/* library.scm:1404: k */
t11=t5;{
C_word *av2=av;
av2[0]=t11;
av2[1]=t1;
av2[2]=t8;
av2[3]=t9;
av2[4]=t10;
((C_proc)C_fast_retrieve_proc(t11))(5,av2);}}}

/* scheme#string<? in k8508 */
static void C_ccall f_11530(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,5)))){
C_save_and_reclaim((void *)f_11530,4,av);}
a=C_alloc(3);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11536,a[2]=((C_word)li304),tmp=(C_word)a,a+=3,tmp);
/* library.scm:1412: compare */
t5=((C_word*)((C_word*)t0)[2])[1];{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t5;
av2[1]=t1;
av2[2]=t2;
av2[3]=t3;
av2[4]=lf[397];
av2[5]=t4;
((C_proc)C_fast_retrieve_proc(t5))(6,av2);}}

/* a11535 in scheme#string<? in k8508 */
static void C_ccall f_11536(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_11536,5,av);}
t5=C_fixnum_lessp(t4,C_fix(0));
if(C_truep(t5)){
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=t5;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}
else{
t6=C_fixnum_lessp(t2,t3);
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=(C_truep(t6)?C_eqp(t4,C_fix(0)):C_SCHEME_FALSE);
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}}

/* scheme#string>? in k8508 */
static void C_ccall f_11554(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,5)))){
C_save_and_reclaim((void *)f_11554,4,av);}
a=C_alloc(3);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11560,a[2]=((C_word)li306),tmp=(C_word)a,a+=3,tmp);
/* library.scm:1419: compare */
t5=((C_word*)((C_word*)t0)[2])[1];{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t5;
av2[1]=t1;
av2[2]=t2;
av2[3]=t3;
av2[4]=lf[399];
av2[5]=t4;
((C_proc)C_fast_retrieve_proc(t5))(6,av2);}}

/* a11559 in scheme#string>? in k8508 */
static void C_ccall f_11560(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_11560,5,av);}
t5=C_fixnum_greaterp(t4,C_fix(0));
if(C_truep(t5)){
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=t5;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}
else{
t6=C_fixnum_lessp(t3,t2);
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=(C_truep(t6)?C_eqp(t4,C_fix(0)):C_SCHEME_FALSE);
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}}

/* scheme#string<=? in k8508 */
static void C_ccall f_11578(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,5)))){
C_save_and_reclaim((void *)f_11578,4,av);}
a=C_alloc(3);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11584,a[2]=((C_word)li308),tmp=(C_word)a,a+=3,tmp);
/* library.scm:1426: compare */
t5=((C_word*)((C_word*)t0)[2])[1];{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t5;
av2[1]=t1;
av2[2]=t2;
av2[3]=t3;
av2[4]=lf[401];
av2[5]=t4;
((C_proc)C_fast_retrieve_proc(t5))(6,av2);}}

/* a11583 in scheme#string<=? in k8508 */
static void C_ccall f_11584(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word t6;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_11584,5,av);}
t5=C_eqp(t4,C_fix(0));
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=(C_truep(t5)?C_fixnum_less_or_equal_p(t2,t3):C_fixnum_lessp(t4,C_fix(0)));
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}

/* scheme#string>=? in k8508 */
static void C_ccall f_11599(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,5)))){
C_save_and_reclaim((void *)f_11599,4,av);}
a=C_alloc(3);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11605,a[2]=((C_word)li310),tmp=(C_word)a,a+=3,tmp);
/* library.scm:1433: compare */
t5=((C_word*)((C_word*)t0)[2])[1];{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t5;
av2[1]=t1;
av2[2]=t2;
av2[3]=t3;
av2[4]=lf[403];
av2[5]=t4;
((C_proc)C_fast_retrieve_proc(t5))(6,av2);}}

/* a11604 in scheme#string>=? in k8508 */
static void C_ccall f_11605(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word t6;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_11605,5,av);}
t5=C_eqp(t4,C_fix(0));
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=(C_truep(t5)?C_fixnum_greater_or_equal_p(t2,t3):C_fixnum_greaterp(t4,C_fix(0)));
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}

/* compare1615 in k8508 */
static void C_ccall f_11619(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5=av[5];
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word *a;
if(c!=6) C_bad_argc_2(c,6,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_11619,6,av);}
t6=C_i_check_string_2(t2,t4);
t7=C_i_check_string_2(t3,t4);
t8=C_block_size(t2);
t9=C_block_size(t3);
if(C_truep(C_fixnum_lessp(t8,t9))){
t10=C_string_compare_case_insensitive(t2,t3,t8);
/* library.scm:1446: k */
t11=t5;{
C_word *av2=av;
av2[0]=t11;
av2[1]=t1;
av2[2]=t8;
av2[3]=t9;
av2[4]=t10;
((C_proc)C_fast_retrieve_proc(t11))(5,av2);}}
else{
t10=C_string_compare_case_insensitive(t2,t3,t9);
/* library.scm:1446: k */
t11=t5;{
C_word *av2=av;
av2[0]=t11;
av2[1]=t1;
av2[2]=t8;
av2[3]=t9;
av2[4]=t10;
((C_proc)C_fast_retrieve_proc(t11))(5,av2);}}}

/* scheme#string-ci<? in k8508 */
static void C_ccall f_11640(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,5)))){
C_save_and_reclaim((void *)f_11640,4,av);}
a=C_alloc(3);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11646,a[2]=((C_word)li313),tmp=(C_word)a,a+=3,tmp);
/* library.scm:1454: compare */
t5=((C_word*)((C_word*)t0)[2])[1];{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t5;
av2[1]=t1;
av2[2]=t2;
av2[3]=t3;
av2[4]=lf[405];
av2[5]=t4;
((C_proc)C_fast_retrieve_proc(t5))(6,av2);}}

/* a11645 in scheme#string-ci<? in k8508 */
static void C_ccall f_11646(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_11646,5,av);}
t5=C_fixnum_lessp(t4,C_fix(0));
if(C_truep(t5)){
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=t5;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}
else{
t6=C_fixnum_lessp(t2,t3);
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=(C_truep(t6)?C_eqp(t4,C_fix(0)):C_SCHEME_FALSE);
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}}

/* scheme#string-ci>? in k8508 */
static void C_ccall f_11664(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,5)))){
C_save_and_reclaim((void *)f_11664,4,av);}
a=C_alloc(3);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11670,a[2]=((C_word)li315),tmp=(C_word)a,a+=3,tmp);
/* library.scm:1461: compare */
t5=((C_word*)((C_word*)t0)[2])[1];{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t5;
av2[1]=t1;
av2[2]=t2;
av2[3]=t3;
av2[4]=lf[407];
av2[5]=t4;
((C_proc)C_fast_retrieve_proc(t5))(6,av2);}}

/* a11669 in scheme#string-ci>? in k8508 */
static void C_ccall f_11670(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_11670,5,av);}
t5=C_fixnum_greaterp(t4,C_fix(0));
if(C_truep(t5)){
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=t5;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}
else{
t6=C_fixnum_lessp(t3,t2);
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=(C_truep(t6)?C_eqp(t4,C_fix(0)):C_SCHEME_FALSE);
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}}

/* scheme#string-ci<=? in k8508 */
static void C_ccall f_11688(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,5)))){
C_save_and_reclaim((void *)f_11688,4,av);}
a=C_alloc(3);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11694,a[2]=((C_word)li317),tmp=(C_word)a,a+=3,tmp);
/* library.scm:1468: compare */
t5=((C_word*)((C_word*)t0)[2])[1];{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t5;
av2[1]=t1;
av2[2]=t2;
av2[3]=t3;
av2[4]=lf[409];
av2[5]=t4;
((C_proc)C_fast_retrieve_proc(t5))(6,av2);}}

/* a11693 in scheme#string-ci<=? in k8508 */
static void C_ccall f_11694(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word t6;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_11694,5,av);}
t5=C_eqp(t4,C_fix(0));
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=(C_truep(t5)?C_fixnum_less_or_equal_p(t2,t3):C_fixnum_lessp(t4,C_fix(0)));
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}

/* scheme#string-ci>=? in k8508 */
static void C_ccall f_11709(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,5)))){
C_save_and_reclaim((void *)f_11709,4,av);}
a=C_alloc(3);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11715,a[2]=((C_word)li319),tmp=(C_word)a,a+=3,tmp);
/* library.scm:1475: compare */
t5=((C_word*)((C_word*)t0)[2])[1];{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t5;
av2[1]=t1;
av2[2]=t2;
av2[3]=t3;
av2[4]=lf[411];
av2[5]=t4;
((C_proc)C_fast_retrieve_proc(t5))(6,av2);}}

/* a11714 in scheme#string-ci>=? in k8508 */
static void C_ccall f_11715(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word t6;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_11715,5,av);}
t5=C_eqp(t4,C_fix(0));
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=(C_truep(t5)?C_fixnum_greater_or_equal_p(t2,t3):C_fixnum_greaterp(t4,C_fix(0)));
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}

/* ##sys#string-append in k8508 */
static void C_ccall f_11730(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_11730,4,av);}
a=C_alloc(7);
t4=C_block_size(t2);
t5=t4;
t6=C_block_size(t3);
t7=t6;
t8=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_11740,a[2]=t2,a[3]=t5,a[4]=t3,a[5]=t7,a[6]=t1,tmp=(C_word)a,a+=7,tmp);
t9=C_fixnum_plus(t5,t7);
/* library.scm:1485: ##sys#make-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[376]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[376]+1);
av2[1]=t8;
av2[2]=t9;
tp(3,av2);}}

/* k11738 in ##sys#string-append in k8508 */
static void C_ccall f_11740(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_11740,2,av);}
t2=C_substring_copy(((C_word*)t0)[2],t1,C_fix(0),((C_word*)t0)[3],C_fix(0));
t3=C_substring_copy(((C_word*)t0)[4],t1,C_fix(0),((C_word*)t0)[5],((C_word*)t0)[3]);
t4=((C_word*)t0)[6];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#string-append in k8508 */
static void C_ccall f_11746(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +13,c,4)))){
C_save_and_reclaim((void*)f_11746,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+13);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
t3=C_SCHEME_FALSE;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_11750,a[2]=t1,a[3]=t4,tmp=(C_word)a,a+=4,tmp);
t6=C_SCHEME_UNDEFINED;
t7=(*a=C_VECTOR_TYPE|1,a[1]=t6,tmp=(C_word)a,a+=2,tmp);
t8=C_set_block_item(t7,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_11752,a[2]=t4,a[3]=t7,a[4]=((C_word)li322),tmp=(C_word)a,a+=5,tmp));
t9=((C_word*)t7)[1];
f_11752(t9,t5,t2,C_fix(0));}

/* k11748 in scheme#string-append in k8508 */
static void C_ccall f_11750(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_11750,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=((C_word*)((C_word*)t0)[3])[1];
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* loop in scheme#string-append in k8508 */
static void C_fcall f_11752(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(7,0,3)))){
C_save_and_reclaim_args((void *)trf_11752,4,t0,t1,t2,t3);}
a=C_alloc(7);
t4=C_eqp(t2,C_SCHEME_END_OF_LIST);
if(C_truep(t4)){
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_11763,a[2]=((C_word*)t0)[2],a[3]=t1,tmp=(C_word)a,a+=4,tmp);
/* library.scm:1495: ##sys#make-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[376]+1));
C_word av2[3];
av2[0]=*((C_word*)lf[376]+1);
av2[1]=t5;
av2[2]=t3;
tp(3,av2);}}
else{
t5=C_slot(t2,C_fix(0));
t6=t5;
t7=C_i_check_string_2(t6,lf[414]);
t8=C_block_size(t6);
t9=t8;
t10=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_11775,a[2]=t6,a[3]=((C_word*)t0)[2],a[4]=t9,a[5]=t3,a[6]=t1,tmp=(C_word)a,a+=7,tmp);
t11=C_slot(t2,C_fix(1));
t12=C_fixnum_plus(t3,t9);
/* library.scm:1499: loop */
t14=t10;
t15=t11;
t16=t12;
t1=t14;
t2=t15;
t3=t16;
goto loop;}}

/* k11761 in loop in scheme#string-append in k8508 */
static void C_ccall f_11763(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_11763,2,av);}
t2=C_mutate(((C_word *)((C_word*)t0)[2])+1,t1);
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* k11773 in loop in scheme#string-append in k8508 */
static void C_ccall f_11775(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_11775,2,av);}
t2=C_substring_copy(((C_word*)t0)[2],((C_word*)((C_word*)t0)[3])[1],C_fix(0),((C_word*)t0)[4],((C_word*)t0)[5]);
t3=((C_word*)t0)[6];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#string in k8508 */
static void C_ccall f_11785(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +0,c,2)))){
C_save_and_reclaim((void*)f_11785,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+0);
t2=C_build_rest(&a,c,2,av);
C_word t3;
/* ##sys#list->string */
t3=*((C_word*)lf[386]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t3;
av2[1]=t1;
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}

/* ##sys#fragments->string in k8508 */
static void C_ccall f_11791(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_11791,4,av);}
a=C_alloc(4);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_11795,a[2]=t1,a[3]=t3,tmp=(C_word)a,a+=4,tmp);
/* library.scm:1508: ##sys#make-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[376]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[376]+1);
av2[1]=t4;
av2[2]=t2;
tp(3,av2);}}

/* k11793 in ##sys#fragments->string in k8508 */
static void C_ccall f_11795(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_11795,2,av);}
a=C_alloc(4);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_11800,a[2]=t2,a[3]=((C_word)li325),tmp=(C_word)a,a+=4,tmp);
t4=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t4;
av2[1]=(
  f_11800(t3,((C_word*)t0)[3],C_fix(0))
);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* loop in k11793 in ##sys#fragments->string in k8508 */
static C_word C_fcall f_11800(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_stack_overflow_check;
loop:{}
if(C_truep(C_i_nullp(t1))){
return(((C_word*)t0)[2]);}
else{
t3=C_slot(t1,C_fix(0));
t4=C_block_size(t3);
t5=C_substring_copy(t3,((C_word*)t0)[2],C_fix(0),t4,t2);
t6=C_slot(t1,C_fix(1));
t7=C_fixnum_plus(t2,t4);
t9=t6;
t10=t7;
t1=t9;
t2=t10;
goto loop;}}

/* chicken.base#chop in k8508 */
static void C_ccall f_11826(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_11826,4,av);}
a=C_alloc(5);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_11830,a[2]=t2,a[3]=t3,a[4]=t1,tmp=(C_word)a,a+=5,tmp);
/* library.scm:1519: ##sys#check-fixnum */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[102]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[102]+1);
av2[1]=t4;
av2[2]=t3;
av2[3]=lf[418];
tp(4,av2);}}

/* k11828 in chicken.base#chop in k8508 */
static void C_ccall f_11830(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,4)))){
C_save_and_reclaim((void *)f_11830,2,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_11833,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
if(C_truep(C_fixnum_less_or_equal_p(((C_word*)t0)[3],C_fix(0)))){
/* library.scm:1520: ##sys#error */
t3=*((C_word*)lf[155]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[418];
av2[3]=lf[419];
av2[4]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}
else{
t3=t2;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_UNDEFINED;
f_11833(2,av2);}}}

/* k11831 in k11828 in chicken.base#chop in k8508 */
static void C_ccall f_11833(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,4)))){
C_save_and_reclaim((void *)f_11833,2,av);}
a=C_alloc(7);
t2=C_i_length(((C_word*)t0)[2]);
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_11841,a[2]=((C_word*)t0)[3],a[3]=t4,a[4]=((C_word)li328),tmp=(C_word)a,a+=5,tmp));
t6=((C_word*)t4)[1];
f_11841(t6,((C_word*)t0)[4],((C_word*)t0)[2],t2);}

/* loop in k11831 in k11828 in chicken.base#chop in k8508 */
static void C_fcall f_11841(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,0,5)))){
C_save_and_reclaim_args((void *)trf_11841,4,t0,t1,t2,t3);}
a=C_alloc(9);
if(C_truep(C_i_nullp(t2))){
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=C_SCHEME_END_OF_LIST;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
if(C_truep(C_fixnum_lessp(t3,((C_word*)t0)[2]))){
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=C_a_i_list1(&a,1,t2);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t4=C_SCHEME_UNDEFINED;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=C_set_block_item(t5,0,(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_11862,a[2]=t3,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=t5,a[6]=((C_word)li327),tmp=(C_word)a,a+=7,tmp));
t7=((C_word*)t5)[1];
f_11862(t7,t1,C_SCHEME_END_OF_LIST,t2,((C_word*)t0)[2]);}}}

/* doloop1700 in loop in k11831 in k11828 in chicken.base#chop in k8508 */
static void C_fcall f_11862(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4){
C_word tmp;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(7,0,4)))){
C_save_and_reclaim_args((void *)trf_11862,5,t0,t1,t2,t3,t4);}
a=C_alloc(7);
t5=C_eqp(t4,C_fix(0));
if(C_truep(t5)){
t6=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_11876,a[2]=t1,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],a[6]=t3,tmp=(C_word)a,a+=7,tmp);
/* library.scm:1530: scheme#reverse */
t7=*((C_word*)lf[46]+1);{
C_word av2[3];
av2[0]=t7;
av2[1]=t6;
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t7+1)))(3,av2);}}
else{
t6=C_slot(t3,C_fix(0));
t7=C_a_i_cons(&a,2,t6,t2);
t8=C_slot(t3,C_fix(1));
t9=C_fixnum_difference(t4,C_fix(1));
t11=t1;
t12=t7;
t13=t8;
t14=t9;
t1=t11;
t2=t12;
t3=t13;
t4=t14;
goto loop;}}

/* k11874 in doloop1700 in loop in k11831 in k11828 in chicken.base#chop in k8508 */
static void C_ccall f_11876(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_11876,2,av);}
a=C_alloc(4);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_11880,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=C_fixnum_difference(((C_word*)t0)[3],((C_word*)t0)[4]);
/* library.scm:1530: loop */
t5=((C_word*)((C_word*)t0)[5])[1];
f_11841(t5,t3,((C_word*)t0)[6],t4);}

/* k11878 in k11874 in doloop1700 in loop in k11831 in k11828 in chicken.base#chop in k8508 */
static void C_ccall f_11880(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_11880,2,av);}
a=C_alloc(3);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_cons(&a,2,((C_word*)t0)[3],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fp+ in k8508 */
static void C_ccall f_11921(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(9,c,5)))){
C_save_and_reclaim((void *)f_11921,4,av);}
a=C_alloc(9);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_11943,a[2]=t1,a[3]=t2,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
t5=t2;
t6=t3;
t7=C_i_flonump(t5);
t8=(C_truep(t7)?C_i_flonump(t6):C_SCHEME_FALSE);
if(C_truep(t8)){
t9=t1;{
C_word *av2=av;
av2[0]=t9;
av2[1]=C_flonum(&a,C_ub_i_flonum_plus(C_flonum_magnitude(t2),C_flonum_magnitude(t3)));
((C_proc)(void*)(*((C_word*)t9+1)))(2,av2);}}
else{
t9=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1561: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t4;
av2[2]=t9;
av2[3]=lf[432];
av2[4]=t5;
av2[5]=t6;
tp(6,av2);}}}

/* k11941 in chicken.flonum#fp+ in k8508 */
static void C_ccall f_11943(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_11943,2,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_flonum(&a,C_ub_i_flonum_plus(C_flonum_magnitude(((C_word*)t0)[3]),C_flonum_magnitude(((C_word*)t0)[4])));
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fp- in k8508 */
static void C_ccall f_11945(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(9,c,5)))){
C_save_and_reclaim((void *)f_11945,4,av);}
a=C_alloc(9);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_11967,a[2]=t1,a[3]=t2,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
t5=t2;
t6=t3;
t7=C_i_flonump(t5);
t8=(C_truep(t7)?C_i_flonump(t6):C_SCHEME_FALSE);
if(C_truep(t8)){
t9=t1;{
C_word *av2=av;
av2[0]=t9;
av2[1]=C_flonum(&a,C_ub_i_flonum_difference(C_flonum_magnitude(t2),C_flonum_magnitude(t3)));
((C_proc)(void*)(*((C_word*)t9+1)))(2,av2);}}
else{
t9=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1561: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t4;
av2[2]=t9;
av2[3]=lf[434];
av2[4]=t5;
av2[5]=t6;
tp(6,av2);}}}

/* k11965 in chicken.flonum#fp- in k8508 */
static void C_ccall f_11967(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_11967,2,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_flonum(&a,C_ub_i_flonum_difference(C_flonum_magnitude(((C_word*)t0)[3]),C_flonum_magnitude(((C_word*)t0)[4])));
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fp* in k8508 */
static void C_ccall f_11969(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(9,c,5)))){
C_save_and_reclaim((void *)f_11969,4,av);}
a=C_alloc(9);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_11991,a[2]=t1,a[3]=t2,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
t5=t2;
t6=t3;
t7=C_i_flonump(t5);
t8=(C_truep(t7)?C_i_flonump(t6):C_SCHEME_FALSE);
if(C_truep(t8)){
t9=t1;{
C_word *av2=av;
av2[0]=t9;
av2[1]=C_flonum(&a,C_ub_i_flonum_times(C_flonum_magnitude(t2),C_flonum_magnitude(t3)));
((C_proc)(void*)(*((C_word*)t9+1)))(2,av2);}}
else{
t9=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1561: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t4;
av2[2]=t9;
av2[3]=lf[436];
av2[4]=t5;
av2[5]=t6;
tp(6,av2);}}}

/* k11989 in chicken.flonum#fp* in k8508 */
static void C_ccall f_11991(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_11991,2,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_flonum(&a,C_ub_i_flonum_times(C_flonum_magnitude(((C_word*)t0)[3]),C_flonum_magnitude(((C_word*)t0)[4])));
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fp/ in k8508 */
static void C_ccall f_11993(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(9,c,5)))){
C_save_and_reclaim((void *)f_11993,4,av);}
a=C_alloc(9);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_12015,a[2]=t1,a[3]=t2,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
t5=t2;
t6=t3;
t7=C_i_flonump(t5);
t8=(C_truep(t7)?C_i_flonump(t6):C_SCHEME_FALSE);
if(C_truep(t8)){
t9=t1;{
C_word *av2=av;
av2[0]=t9;
av2[1]=C_flonum(&a,C_ub_i_flonum_quotient(C_flonum_magnitude(t2),C_flonum_magnitude(t3)));
((C_proc)(void*)(*((C_word*)t9+1)))(2,av2);}}
else{
t9=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1561: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t4;
av2[2]=t9;
av2[3]=lf[438];
av2[4]=t5;
av2[5]=t6;
tp(6,av2);}}}

/* k12013 in chicken.flonum#fp/ in k8508 */
static void C_ccall f_12015(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_12015,2,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_flonum(&a,C_ub_i_flonum_quotient(C_flonum_magnitude(((C_word*)t0)[3]),C_flonum_magnitude(((C_word*)t0)[4])));
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fpgcd in k8508 */
static void C_ccall f_12017(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(9,c,5)))){
C_save_and_reclaim((void *)f_12017,4,av);}
a=C_alloc(9);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_12039,a[2]=t1,a[3]=t2,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
t5=t2;
t6=t3;
t7=C_i_flonump(t5);
t8=(C_truep(t7)?C_i_flonump(t6):C_SCHEME_FALSE);
if(C_truep(t8)){
t9=t1;{
C_word *av2=av;
av2[0]=t9;
av2[1]=C_a_i_flonum_gcd(&a,2,t2,t3);
((C_proc)(void*)(*((C_word*)t9+1)))(2,av2);}}
else{
t9=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1561: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t4;
av2[2]=t9;
av2[3]=lf[440];
av2[4]=t5;
av2[5]=t6;
tp(6,av2);}}}

/* k12037 in chicken.flonum#fpgcd in k8508 */
static void C_ccall f_12039(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_12039,2,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_flonum_gcd(&a,2,((C_word*)t0)[3],((C_word*)t0)[4]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fp/? in k8508 */
static void C_ccall f_12041(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(9,c,5)))){
C_save_and_reclaim((void *)f_12041,4,av);}
a=C_alloc(9);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_12063,a[2]=t1,a[3]=t2,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
t5=t2;
t6=t3;
t7=C_i_flonump(t5);
t8=(C_truep(t7)?C_i_flonump(t6):C_SCHEME_FALSE);
if(C_truep(t8)){
t9=t1;{
C_word *av2=av;
av2[0]=t9;
av2[1]=C_a_i_flonum_quotient_checked(&a,2,t2,t3);
((C_proc)(void*)(*((C_word*)t9+1)))(2,av2);}}
else{
t9=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1561: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t4;
av2[2]=t9;
av2[3]=lf[442];
av2[4]=t5;
av2[5]=t6;
tp(6,av2);}}}

/* k12061 in chicken.flonum#fp/? in k8508 */
static void C_ccall f_12063(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_12063,2,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_flonum_quotient_checked(&a,2,((C_word*)t0)[3],((C_word*)t0)[4]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fp= in k8508 */
static void C_ccall f_12065(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,5)))){
C_save_and_reclaim((void *)f_12065,4,av);}
a=C_alloc(5);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_12087,a[2]=t1,a[3]=t2,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
t5=t2;
t6=t3;
t7=C_i_flonump(t5);
t8=(C_truep(t7)?C_i_flonump(t6):C_SCHEME_FALSE);
if(C_truep(t8)){
t9=t1;{
C_word *av2=av;
av2[0]=t9;
av2[1]=C_ub_i_flonum_equalp(C_flonum_magnitude(t2),C_flonum_magnitude(t3));
((C_proc)(void*)(*((C_word*)t9+1)))(2,av2);}}
else{
t9=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1561: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t4;
av2[2]=t9;
av2[3]=lf[444];
av2[4]=t5;
av2[5]=t6;
tp(6,av2);}}}

/* k12085 in chicken.flonum#fp= in k8508 */
static void C_ccall f_12087(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_12087,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_ub_i_flonum_equalp(C_flonum_magnitude(((C_word*)t0)[3]),C_flonum_magnitude(((C_word*)t0)[4]));
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fp> in k8508 */
static void C_ccall f_12089(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,5)))){
C_save_and_reclaim((void *)f_12089,4,av);}
a=C_alloc(5);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_12111,a[2]=t1,a[3]=t2,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
t5=t2;
t6=t3;
t7=C_i_flonump(t5);
t8=(C_truep(t7)?C_i_flonump(t6):C_SCHEME_FALSE);
if(C_truep(t8)){
t9=t1;{
C_word *av2=av;
av2[0]=t9;
av2[1]=C_ub_i_flonum_greaterp(C_flonum_magnitude(t2),C_flonum_magnitude(t3));
((C_proc)(void*)(*((C_word*)t9+1)))(2,av2);}}
else{
t9=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1561: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t4;
av2[2]=t9;
av2[3]=lf[446];
av2[4]=t5;
av2[5]=t6;
tp(6,av2);}}}

/* k12109 in chicken.flonum#fp> in k8508 */
static void C_ccall f_12111(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_12111,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_ub_i_flonum_greaterp(C_flonum_magnitude(((C_word*)t0)[3]),C_flonum_magnitude(((C_word*)t0)[4]));
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fp< in k8508 */
static void C_ccall f_12113(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,5)))){
C_save_and_reclaim((void *)f_12113,4,av);}
a=C_alloc(5);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_12135,a[2]=t1,a[3]=t2,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
t5=t2;
t6=t3;
t7=C_i_flonump(t5);
t8=(C_truep(t7)?C_i_flonump(t6):C_SCHEME_FALSE);
if(C_truep(t8)){
t9=t1;{
C_word *av2=av;
av2[0]=t9;
av2[1]=C_ub_i_flonum_lessp(C_flonum_magnitude(t2),C_flonum_magnitude(t3));
((C_proc)(void*)(*((C_word*)t9+1)))(2,av2);}}
else{
t9=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1561: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t4;
av2[2]=t9;
av2[3]=lf[448];
av2[4]=t5;
av2[5]=t6;
tp(6,av2);}}}

/* k12133 in chicken.flonum#fp< in k8508 */
static void C_ccall f_12135(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_12135,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_ub_i_flonum_lessp(C_flonum_magnitude(((C_word*)t0)[3]),C_flonum_magnitude(((C_word*)t0)[4]));
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fp>= in k8508 */
static void C_ccall f_12137(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,5)))){
C_save_and_reclaim((void *)f_12137,4,av);}
a=C_alloc(5);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_12159,a[2]=t1,a[3]=t2,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
t5=t2;
t6=t3;
t7=C_i_flonump(t5);
t8=(C_truep(t7)?C_i_flonump(t6):C_SCHEME_FALSE);
if(C_truep(t8)){
t9=t1;{
C_word *av2=av;
av2[0]=t9;
av2[1]=C_ub_i_flonum_greater_or_equal_p(C_flonum_magnitude(t2),C_flonum_magnitude(t3));
((C_proc)(void*)(*((C_word*)t9+1)))(2,av2);}}
else{
t9=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1561: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t4;
av2[2]=t9;
av2[3]=lf[450];
av2[4]=t5;
av2[5]=t6;
tp(6,av2);}}}

/* k12157 in chicken.flonum#fp>= in k8508 */
static void C_ccall f_12159(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_12159,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_ub_i_flonum_greater_or_equal_p(C_flonum_magnitude(((C_word*)t0)[3]),C_flonum_magnitude(((C_word*)t0)[4]));
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fp<= in k8508 */
static void C_ccall f_12161(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,5)))){
C_save_and_reclaim((void *)f_12161,4,av);}
a=C_alloc(5);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_12183,a[2]=t1,a[3]=t2,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
t5=t2;
t6=t3;
t7=C_i_flonump(t5);
t8=(C_truep(t7)?C_i_flonump(t6):C_SCHEME_FALSE);
if(C_truep(t8)){
t9=t1;{
C_word *av2=av;
av2[0]=t9;
av2[1]=C_ub_i_flonum_less_or_equal_p(C_flonum_magnitude(t2),C_flonum_magnitude(t3));
((C_proc)(void*)(*((C_word*)t9+1)))(2,av2);}}
else{
t9=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1561: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t4;
av2[2]=t9;
av2[3]=lf[452];
av2[4]=t5;
av2[5]=t6;
tp(6,av2);}}}

/* k12181 in chicken.flonum#fp<= in k8508 */
static void C_ccall f_12183(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_12183,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_ub_i_flonum_less_or_equal_p(C_flonum_magnitude(((C_word*)t0)[3]),C_flonum_magnitude(((C_word*)t0)[4]));
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fpneg in k8508 */
static void C_ccall f_12185(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,4)))){
C_save_and_reclaim((void *)f_12185,3,av);}
a=C_alloc(8);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_12201,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=t2;
if(C_truep(C_i_flonump(t4))){
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_a_i_flonum_negate(&a,1,t2);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t5=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1557: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t3;
av2[2]=t5;
av2[3]=lf[454];
av2[4]=t4;
tp(5,av2);}}}

/* k12199 in chicken.flonum#fpneg in k8508 */
static void C_ccall f_12201(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_12201,2,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_flonum_negate(&a,1,((C_word*)t0)[3]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fpmax in k8508 */
static void C_ccall f_12203(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,5)))){
C_save_and_reclaim((void *)f_12203,4,av);}
a=C_alloc(5);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_12225,a[2]=t1,a[3]=t2,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
t5=t2;
t6=t3;
t7=C_i_flonump(t5);
t8=(C_truep(t7)?C_i_flonump(t6):C_SCHEME_FALSE);
if(C_truep(t8)){
t9=t1;{
C_word *av2=av;
av2[0]=t9;
av2[1]=C_i_flonum_max(t2,t3);
((C_proc)(void*)(*((C_word*)t9+1)))(2,av2);}}
else{
t9=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1561: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t4;
av2[2]=t9;
av2[3]=lf[456];
av2[4]=t5;
av2[5]=t6;
tp(6,av2);}}}

/* k12223 in chicken.flonum#fpmax in k8508 */
static void C_ccall f_12225(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_12225,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_i_flonum_max(((C_word*)t0)[3],((C_word*)t0)[4]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fpmin in k8508 */
static void C_ccall f_12227(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,5)))){
C_save_and_reclaim((void *)f_12227,4,av);}
a=C_alloc(5);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_12249,a[2]=t1,a[3]=t2,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
t5=t2;
t6=t3;
t7=C_i_flonump(t5);
t8=(C_truep(t7)?C_i_flonump(t6):C_SCHEME_FALSE);
if(C_truep(t8)){
t9=t1;{
C_word *av2=av;
av2[0]=t9;
av2[1]=C_i_flonum_min(t2,t3);
((C_proc)(void*)(*((C_word*)t9+1)))(2,av2);}}
else{
t9=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1561: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t4;
av2[2]=t9;
av2[3]=lf[458];
av2[4]=t5;
av2[5]=t6;
tp(6,av2);}}}

/* k12247 in chicken.flonum#fpmin in k8508 */
static void C_ccall f_12249(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_12249,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_i_flonum_min(((C_word*)t0)[3],((C_word*)t0)[4]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fpfloor in k8508 */
static void C_ccall f_12251(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,4)))){
C_save_and_reclaim((void *)f_12251,3,av);}
a=C_alloc(8);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_12267,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=t2;
if(C_truep(C_i_flonump(t4))){
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_flonum(&a,C_floor(C_flonum_magnitude(t2)));
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t5=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1557: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t3;
av2[2]=t5;
av2[3]=lf[460];
av2[4]=t4;
tp(5,av2);}}}

/* k12265 in chicken.flonum#fpfloor in k8508 */
static void C_ccall f_12267(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_12267,2,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_flonum(&a,C_floor(C_flonum_magnitude(((C_word*)t0)[3])));
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fptruncate in k8508 */
static void C_ccall f_12269(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,4)))){
C_save_and_reclaim((void *)f_12269,3,av);}
a=C_alloc(8);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_12285,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=t2;
if(C_truep(C_i_flonump(t4))){
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_flonum(&a,C_trunc(C_flonum_magnitude(t2)));
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t5=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1557: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t3;
av2[2]=t5;
av2[3]=lf[462];
av2[4]=t4;
tp(5,av2);}}}

/* k12283 in chicken.flonum#fptruncate in k8508 */
static void C_ccall f_12285(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_12285,2,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_flonum(&a,C_trunc(C_flonum_magnitude(((C_word*)t0)[3])));
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fpround in k8508 */
static void C_ccall f_12287(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,4)))){
C_save_and_reclaim((void *)f_12287,3,av);}
a=C_alloc(8);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_12303,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=t2;
if(C_truep(C_i_flonump(t4))){
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_flonum(&a,C_round(C_flonum_magnitude(t2)));
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t5=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1557: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t3;
av2[2]=t5;
av2[3]=lf[464];
av2[4]=t4;
tp(5,av2);}}}

/* k12301 in chicken.flonum#fpround in k8508 */
static void C_ccall f_12303(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_12303,2,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_flonum(&a,C_round(C_flonum_magnitude(((C_word*)t0)[3])));
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fpceiling in k8508 */
static void C_ccall f_12305(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,4)))){
C_save_and_reclaim((void *)f_12305,3,av);}
a=C_alloc(8);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_12321,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=t2;
if(C_truep(C_i_flonump(t4))){
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_flonum(&a,C_ceil(C_flonum_magnitude(t2)));
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t5=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1557: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t3;
av2[2]=t5;
av2[3]=lf[466];
av2[4]=t4;
tp(5,av2);}}}

/* k12319 in chicken.flonum#fpceiling in k8508 */
static void C_ccall f_12321(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_12321,2,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_flonum(&a,C_ceil(C_flonum_magnitude(((C_word*)t0)[3])));
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fpsin in k8508 */
static void C_ccall f_12323(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,4)))){
C_save_and_reclaim((void *)f_12323,3,av);}
a=C_alloc(8);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_12339,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=t2;
if(C_truep(C_i_flonump(t4))){
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_flonum(&a,C_sin(C_flonum_magnitude(t2)));
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t5=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1557: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t3;
av2[2]=t5;
av2[3]=lf[468];
av2[4]=t4;
tp(5,av2);}}}

/* k12337 in chicken.flonum#fpsin in k8508 */
static void C_ccall f_12339(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_12339,2,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_flonum(&a,C_sin(C_flonum_magnitude(((C_word*)t0)[3])));
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fpcos in k8508 */
static void C_ccall f_12341(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,4)))){
C_save_and_reclaim((void *)f_12341,3,av);}
a=C_alloc(8);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_12357,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=t2;
if(C_truep(C_i_flonump(t4))){
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_flonum(&a,C_cos(C_flonum_magnitude(t2)));
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t5=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1557: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t3;
av2[2]=t5;
av2[3]=lf[470];
av2[4]=t4;
tp(5,av2);}}}

/* k12355 in chicken.flonum#fpcos in k8508 */
static void C_ccall f_12357(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_12357,2,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_flonum(&a,C_cos(C_flonum_magnitude(((C_word*)t0)[3])));
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fptan in k8508 */
static void C_ccall f_12359(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,4)))){
C_save_and_reclaim((void *)f_12359,3,av);}
a=C_alloc(8);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_12375,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=t2;
if(C_truep(C_i_flonump(t4))){
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_flonum(&a,C_tan(C_flonum_magnitude(t2)));
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t5=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1557: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t3;
av2[2]=t5;
av2[3]=lf[472];
av2[4]=t4;
tp(5,av2);}}}

/* k12373 in chicken.flonum#fptan in k8508 */
static void C_ccall f_12375(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_12375,2,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_flonum(&a,C_tan(C_flonum_magnitude(((C_word*)t0)[3])));
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fpasin in k8508 */
static void C_ccall f_12377(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,4)))){
C_save_and_reclaim((void *)f_12377,3,av);}
a=C_alloc(8);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_12393,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=t2;
if(C_truep(C_i_flonump(t4))){
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_flonum(&a,C_asin(C_flonum_magnitude(t2)));
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t5=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1557: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t3;
av2[2]=t5;
av2[3]=lf[474];
av2[4]=t4;
tp(5,av2);}}}

/* k12391 in chicken.flonum#fpasin in k8508 */
static void C_ccall f_12393(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_12393,2,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_flonum(&a,C_asin(C_flonum_magnitude(((C_word*)t0)[3])));
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fpacos in k8508 */
static void C_ccall f_12395(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,4)))){
C_save_and_reclaim((void *)f_12395,3,av);}
a=C_alloc(8);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_12411,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=t2;
if(C_truep(C_i_flonump(t4))){
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_flonum(&a,C_acos(C_flonum_magnitude(t2)));
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t5=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1557: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t3;
av2[2]=t5;
av2[3]=lf[476];
av2[4]=t4;
tp(5,av2);}}}

/* k12409 in chicken.flonum#fpacos in k8508 */
static void C_ccall f_12411(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_12411,2,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_flonum(&a,C_acos(C_flonum_magnitude(((C_word*)t0)[3])));
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fpatan in k8508 */
static void C_ccall f_12413(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,4)))){
C_save_and_reclaim((void *)f_12413,3,av);}
a=C_alloc(8);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_12429,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=t2;
if(C_truep(C_i_flonump(t4))){
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_flonum(&a,C_atan(C_flonum_magnitude(t2)));
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t5=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1557: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t3;
av2[2]=t5;
av2[3]=lf[478];
av2[4]=t4;
tp(5,av2);}}}

/* k12427 in chicken.flonum#fpatan in k8508 */
static void C_ccall f_12429(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_12429,2,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_flonum(&a,C_atan(C_flonum_magnitude(((C_word*)t0)[3])));
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fpatan2 in k8508 */
static void C_ccall f_12431(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(9,c,5)))){
C_save_and_reclaim((void *)f_12431,4,av);}
a=C_alloc(9);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_12453,a[2]=t1,a[3]=t2,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
t5=t2;
t6=t3;
t7=C_i_flonump(t5);
t8=(C_truep(t7)?C_i_flonump(t6):C_SCHEME_FALSE);
if(C_truep(t8)){
t9=t1;{
C_word *av2=av;
av2[0]=t9;
av2[1]=C_flonum(&a,C_atan2(C_flonum_magnitude(t2),C_flonum_magnitude(t3)));
((C_proc)(void*)(*((C_word*)t9+1)))(2,av2);}}
else{
t9=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1561: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t4;
av2[2]=t9;
av2[3]=lf[480];
av2[4]=t5;
av2[5]=t6;
tp(6,av2);}}}

/* k12451 in chicken.flonum#fpatan2 in k8508 */
static void C_ccall f_12453(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_12453,2,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_flonum(&a,C_atan2(C_flonum_magnitude(((C_word*)t0)[3]),C_flonum_magnitude(((C_word*)t0)[4])));
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fpexp in k8508 */
static void C_ccall f_12455(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,4)))){
C_save_and_reclaim((void *)f_12455,3,av);}
a=C_alloc(8);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_12471,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=t2;
if(C_truep(C_i_flonump(t4))){
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_flonum(&a,C_exp(C_flonum_magnitude(t2)));
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t5=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1557: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t3;
av2[2]=t5;
av2[3]=lf[482];
av2[4]=t4;
tp(5,av2);}}}

/* k12469 in chicken.flonum#fpexp in k8508 */
static void C_ccall f_12471(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_12471,2,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_flonum(&a,C_exp(C_flonum_magnitude(((C_word*)t0)[3])));
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fpexpt in k8508 */
static void C_ccall f_12473(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(9,c,5)))){
C_save_and_reclaim((void *)f_12473,4,av);}
a=C_alloc(9);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_12495,a[2]=t1,a[3]=t2,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
t5=t2;
t6=t3;
t7=C_i_flonump(t5);
t8=(C_truep(t7)?C_i_flonump(t6):C_SCHEME_FALSE);
if(C_truep(t8)){
t9=t1;{
C_word *av2=av;
av2[0]=t9;
av2[1]=C_a_i_flonum_expt(&a,2,t2,t3);
((C_proc)(void*)(*((C_word*)t9+1)))(2,av2);}}
else{
t9=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1561: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t4;
av2[2]=t9;
av2[3]=lf[484];
av2[4]=t5;
av2[5]=t6;
tp(6,av2);}}}

/* k12493 in chicken.flonum#fpexpt in k8508 */
static void C_ccall f_12495(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_12495,2,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_flonum_expt(&a,2,((C_word*)t0)[3],((C_word*)t0)[4]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fplog in k8508 */
static void C_ccall f_12497(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,4)))){
C_save_and_reclaim((void *)f_12497,3,av);}
a=C_alloc(8);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_12513,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=t2;
if(C_truep(C_i_flonump(t4))){
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_flonum(&a,C_log(C_flonum_magnitude(t2)));
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t5=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1557: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t3;
av2[2]=t5;
av2[3]=lf[486];
av2[4]=t4;
tp(5,av2);}}}

/* k12511 in chicken.flonum#fplog in k8508 */
static void C_ccall f_12513(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_12513,2,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_flonum(&a,C_log(C_flonum_magnitude(((C_word*)t0)[3])));
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fpsqrt in k8508 */
static void C_ccall f_12515(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,4)))){
C_save_and_reclaim((void *)f_12515,3,av);}
a=C_alloc(8);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_12531,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=t2;
if(C_truep(C_i_flonump(t4))){
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_flonum(&a,C_sqrt(C_flonum_magnitude(t2)));
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t5=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1557: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t3;
av2[2]=t5;
av2[3]=lf[488];
av2[4]=t4;
tp(5,av2);}}}

/* k12529 in chicken.flonum#fpsqrt in k8508 */
static void C_ccall f_12531(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_12531,2,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_flonum(&a,C_sqrt(C_flonum_magnitude(((C_word*)t0)[3])));
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fpabs in k8508 */
static void C_ccall f_12533(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,4)))){
C_save_and_reclaim((void *)f_12533,3,av);}
a=C_alloc(8);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_12549,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=t2;
if(C_truep(C_i_flonump(t4))){
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_flonum(&a,C_fabs(C_flonum_magnitude(t2)));
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t5=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1557: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t3;
av2[2]=t5;
av2[3]=lf[490];
av2[4]=t4;
tp(5,av2);}}}

/* k12547 in chicken.flonum#fpabs in k8508 */
static void C_ccall f_12549(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_12549,2,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_flonum(&a,C_fabs(C_flonum_magnitude(((C_word*)t0)[3])));
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fpinteger? in k8508 */
static void C_ccall f_12551(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,4)))){
C_save_and_reclaim((void *)f_12551,3,av);}
a=C_alloc(4);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_12567,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=t2;
if(C_truep(C_i_flonump(t4))){
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_u_i_fpintegerp(t2);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t5=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1557: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t3;
av2[2]=t5;
av2[3]=lf[492];
av2[4]=t4;
tp(5,av2);}}}

/* k12565 in chicken.flonum#fpinteger? in k8508 */
static void C_ccall f_12567(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_12567,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_u_i_fpintegerp(((C_word*)t0)[3]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#flonum-print-precision in k8508 */
static void C_ccall f_12569(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +5,c,3)))){
C_save_and_reclaim((void*)f_12569,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+5);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
t3=C_i_nullp(t2);
t4=(C_truep(t3)?C_SCHEME_FALSE:C_i_car(t2));
t5=t4;
t6=C_get_print_precision();
if(C_truep(t5)){
t7=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_12579,a[2]=t5,a[3]=t1,a[4]=t6,tmp=(C_word)a,a+=5,tmp);
/* library.scm:1690: ##sys#check-fixnum */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[102]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[102]+1);
av2[1]=t7;
av2[2]=t5;
av2[3]=lf[494];
tp(4,av2);}}
else{
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}}

/* k12577 in chicken.flonum#flonum-print-precision in k8508 */
static void C_ccall f_12579(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_12579,2,av);}
t2=C_set_print_precision(((C_word*)t0)[2]);
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* make-complex in k8508 */
static void C_fcall f_12591(C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,3)))){
C_save_and_reclaim_args((void *)trf_12591,3,t1,t2,t3);}
a=C_alloc(5);
t4=C_eqp(t3,C_fix(0));
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_12601,a[2]=t2,a[3]=t1,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
if(C_truep(t4)){
t6=t5;{
C_word av2[2];
av2[0]=t6;
av2[1]=t4;
f_12601(2,av2);}}
else{
if(C_truep(C_i_flonump(t3))){
/* library.scm:1710: chicken.flonum#fp= */
t6=*((C_word*)lf[443]+1);{
C_word av2[4];
av2[0]=t6;
av2[1]=t5;
av2[2]=t3;
av2[3]=lf[500];
((C_proc)(void*)(*((C_word*)t6+1)))(4,av2);}}
else{
t6=t5;{
C_word av2[2];
av2[0]=t6;
av2[1]=C_SCHEME_FALSE;
f_12601(2,av2);}}}}

/* k12599 in make-complex in k8508 */
static void C_ccall f_12601(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_12601,2,av);}
a=C_alloc(5);
if(C_truep(t1)){
t2=((C_word*)t0)[2];
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_12605,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
if(C_truep(C_i_inexactp(((C_word*)t0)[4]))){
/* library.scm:1713: scheme#exact->inexact */
t3=*((C_word*)lf[62]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}
else{
t3=t2;{
C_word *av2=av;
av2[0]=t3;
av2[1]=((C_word*)t0)[2];
f_12605(2,av2);}}}}

/* k12603 in k12599 in make-complex in k8508 */
static void C_ccall f_12605(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(14,c,1)))){
C_save_and_reclaim((void *)f_12605,2,av);}
a=C_alloc(14);
if(C_truep(C_i_inexactp(((C_word*)t0)[2]))){
t2=((C_word*)t0)[3];
t3=C_a_i_exact_to_inexact(&a,1,t2);
t4=C_a_i_cplxnum(&a,2,t1,t3);
t5=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t2=((C_word*)t0)[3];
t3=C_a_i_cplxnum(&a,2,t1,t2);
t4=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* scheme#make-rectangular in k8508 */
static void C_ccall f_12627(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_12627,4,av);}
a=C_alloc(5);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_12631,a[2]=t1,a[3]=t2,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
/* library.scm:1718: ##sys#check-real */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[360]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[360]+1);
av2[1]=t4;
av2[2]=t2;
av2[3]=lf[502];
tp(4,av2);}}

/* k12629 in scheme#make-rectangular in k8508 */
static void C_ccall f_12631(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_12631,2,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_12634,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:1719: ##sys#check-real */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[360]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[360]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[4];
av2[3]=lf[502];
tp(4,av2);}}

/* k12632 in k12629 in scheme#make-rectangular in k8508 */
static void C_ccall f_12634(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_12634,2,av);}
/* library.scm:1720: make-complex */
f_12591(((C_word*)t0)[2],((C_word*)t0)[3],((C_word*)t0)[4]);}

/* scheme#make-polar in k8508 */
static void C_ccall f_12639(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_12639,4,av);}
a=C_alloc(5);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_12643,a[2]=t2,a[3]=t1,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
/* library.scm:1724: ##sys#check-real */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[360]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[360]+1);
av2[1]=t4;
av2[2]=t2;
av2[3]=lf[504];
tp(4,av2);}}

/* k12641 in scheme#make-polar in k8508 */
static void C_ccall f_12643(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_12643,2,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_12646,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:1725: ##sys#check-real */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[360]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[360]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[4];
av2[3]=lf[504];
tp(4,av2);}}

/* k12644 in k12641 in scheme#make-polar in k8508 */
static void C_ccall f_12646(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_12646,2,av);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_12649,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:1726: scheme#exact->inexact */
t3=*((C_word*)lf[62]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}

/* k12647 in k12644 in k12641 in scheme#make-polar in k8508 */
static void C_ccall f_12649(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(74,c,3)))){
C_save_and_reclaim((void *)f_12649,2,av);}
a=C_alloc(74);
t2=((C_word*)t0)[2];
t3=C_a_i_cos(&a,1,t1);
t4=C_s_a_i_times(&a,2,t2,t3);
t5=((C_word*)t0)[2];
t6=C_a_i_sin(&a,1,t1);
t7=C_s_a_i_times(&a,2,t5,t6);
/* library.scm:1727: make-complex */
f_12591(((C_word*)t0)[3],t4,t7);}

/* scheme#real-part in k8508 */
static void C_ccall f_12660(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_12660,3,av);}
if(C_truep(C_i_cplxnump(t2))){
t3=t1;
t4=t2;
t5=t3;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_u_i_cplxnum_real(t4);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
if(C_truep(C_i_numberp(t2))){
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
/* library.scm:1735: ##sys#error-bad-number */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[370]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[370]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=lf[506];
tp(4,av2);}}}}

/* scheme#imag-part in k8508 */
static void C_ccall f_12683(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_12683,3,av);}
if(C_truep(C_i_cplxnump(t2))){
t3=t1;
t4=t2;
t5=t3;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_u_i_cplxnum_imag(t4);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
if(C_truep(C_i_flonump(t2))){
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=lf[500];
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
if(C_truep(C_i_numberp(t2))){
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_fix(0);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
/* library.scm:1742: ##sys#error-bad-number */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[370]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[370]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=lf[508];
tp(4,av2);}}}}}

/* scheme#angle in k8508 */
static void C_ccall f_12709(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_12709,3,av);}
a=C_alloc(4);
t3=C_i_check_number_2(t2,lf[510]);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_12718,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:1748: scheme#imag-part */
t5=*((C_word*)lf[507]+1);{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t5+1)))(3,av2);}}

/* k12716 in scheme#angle in k8508 */
static void C_ccall f_12718(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(15,c,2)))){
C_save_and_reclaim((void *)f_12718,2,av);}
a=C_alloc(15);
t2=C_a_i_exact_to_inexact(&a,1,t1);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_12723,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:1749: scheme#real-part */
t4=*((C_word*)lf[505]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k12721 in k12716 in scheme#angle in k8508 */
static void C_ccall f_12723(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(15,c,1)))){
C_save_and_reclaim((void *)f_12723,2,av);}
a=C_alloc(15);
t2=C_a_i_exact_to_inexact(&a,1,t1);
t3=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_a_i_atan2(&a,2,((C_word*)t0)[3],t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#magnitude in k8508 */
static void C_ccall f_12725(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(95,c,3)))){
C_save_and_reclaim((void *)f_12725,3,av);}
a=C_alloc(95);
if(C_truep(C_i_cplxnump(t2))){
t3=t2;
t4=C_u_i_cplxnum_real(t3);
t5=t2;
t6=C_u_i_cplxnum_imag(t5);
t7=C_s_a_i_times(&a,2,t4,t4);
t8=C_s_a_i_times(&a,2,t6,t6);
t9=C_s_a_i_plus(&a,2,t7,t8);
/* library.scm:1756: scheme#sqrt */
t10=*((C_word*)lf[512]+1);{
C_word *av2=av;
av2[0]=t10;
av2[1]=t1;
av2[2]=t9;
((C_proc)(void*)(*((C_word*)t10+1)))(3,av2);}}
else{
if(C_truep(C_i_numberp(t2))){
t3=t2;
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_s_a_i_abs(&a,1,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
/* library.scm:1758: ##sys#error-bad-number */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[370]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[370]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=lf[513];
tp(4,av2);}}}}

/* ratnum in k8508 */
static void C_fcall f_12764(C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(13,0,1)))){
C_save_and_reclaim_args((void *)trf_12764,3,t1,t2,t3);}
a=C_alloc(13);
switch(t3){
case C_fix(1):
t4=t2;
t5=t1;{
C_word av2[2];
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}
case C_fix(-1):
t4=t1;
t5=t2;
t6=t4;{
C_word av2[2];
av2[0]=t6;
av2[1]=C_s_a_u_i_integer_negate(&a,1,t5);
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}
default:
t4=t3;
if(C_truep(C_i_negativep(t4))){
t5=t2;
t6=C_s_a_u_i_integer_negate(&a,1,t5);
t7=t3;
t8=C_s_a_u_i_integer_negate(&a,1,t7);
t9=t1;
t10=t9;{
C_word av2[2];
av2[0]=t10;
av2[1]=C_a_i_ratnum(&a,2,t6,t8);
((C_proc)(void*)(*((C_word*)t10+1)))(2,av2);}}
else{
t5=t1;
t6=t2;
t7=t3;
t8=t5;{
C_word av2[2];
av2[0]=t8;
av2[1]=C_a_i_ratnum(&a,2,t6,t7);
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}}}

/* scheme#numerator in k8508 */
static void C_ccall f_12810(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,5)))){
C_save_and_reclaim((void *)f_12810,3,av);}
a=C_alloc(6);
t3=t2;
if(C_truep(C_i_exact_integerp(t3))){
t4=t2;
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
if(C_truep(C_i_flonump(t2))){
t4=t2;
t5=C_i_finitep(t4);
if(C_truep(C_i_not(t5))){
/* library.scm:1778: bad-inexact */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[516]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[516]+1);
av2[1]=t1;
av2[2]=lf[517];
av2[3]=t2;
tp(4,av2);}}
else{
if(C_truep(C_u_i_fpintegerp(t2))){
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}
else{
t6=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12834,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
t7=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12838,a[2]=t6,tmp=(C_word)a,a+=3,tmp);
/* library.scm:1780: scheme#inexact->exact */
t8=*((C_word*)lf[518]+1);{
C_word *av2=av;
av2[0]=t8;
av2[1]=t7;
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t8+1)))(3,av2);}}}}
else{
if(C_truep(C_i_ratnump(t2))){
t4=t1;
t5=t2;
t6=t4;{
C_word *av2=av;
av2[0]=t6;
av2[1]=C_u_i_ratnum_num(t5);
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}
else{
/* library.scm:1782: ##sys#signal-hook */
t4=C_fast_retrieve(lf[194]);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t4;
av2[1]=t1;
av2[2]=lf[258];
av2[3]=lf[517];
av2[4]=lf[519];
av2[5]=t2;
((C_proc)(void*)(*((C_word*)t4+1)))(6,av2);}}}}}

/* k12832 in scheme#numerator in k8508 */
static void C_ccall f_12834(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,c,1)))){
C_save_and_reclaim((void *)f_12834,2,av);}
a=C_alloc(11);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_exact_to_inexact(&a,1,t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k12836 in scheme#numerator in k8508 */
static void C_ccall f_12838(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_12838,2,av);}
/* library.scm:1780: scheme#numerator */
t2=*((C_word*)lf[515]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* scheme#denominator in k8508 */
static void C_ccall f_12856(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,5)))){
C_save_and_reclaim((void *)f_12856,3,av);}
a=C_alloc(6);
t3=t2;
if(C_truep(C_i_exact_integerp(t3))){
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_fix(1);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
if(C_truep(C_i_flonump(t2))){
t4=t2;
t5=C_i_finitep(t4);
if(C_truep(C_i_not(t5))){
/* library.scm:1790: bad-inexact */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[516]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[516]+1);
av2[1]=t1;
av2[2]=lf[521];
av2[3]=t2;
tp(4,av2);}}
else{
if(C_truep(C_u_i_fpintegerp(t2))){
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=lf[522];
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}
else{
t6=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12880,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
t7=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12884,a[2]=t6,tmp=(C_word)a,a+=3,tmp);
/* library.scm:1792: scheme#inexact->exact */
t8=*((C_word*)lf[518]+1);{
C_word *av2=av;
av2[0]=t8;
av2[1]=t7;
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t8+1)))(3,av2);}}}}
else{
if(C_truep(C_i_ratnump(t2))){
t4=t1;
t5=t2;
t6=t4;{
C_word *av2=av;
av2[0]=t6;
av2[1]=C_u_i_ratnum_denom(t5);
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}
else{
/* library.scm:1794: ##sys#signal-hook */
t4=C_fast_retrieve(lf[194]);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t4;
av2[1]=t1;
av2[2]=lf[258];
av2[3]=lf[517];
av2[4]=lf[523];
av2[5]=t2;
((C_proc)(void*)(*((C_word*)t4+1)))(6,av2);}}}}}

/* k12878 in scheme#denominator in k8508 */
static void C_ccall f_12880(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,c,1)))){
C_save_and_reclaim((void *)f_12880,2,av);}
a=C_alloc(11);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_exact_to_inexact(&a,1,t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k12882 in scheme#denominator in k8508 */
static void C_ccall f_12884(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_12884,2,av);}
/* library.scm:1792: scheme#denominator */
t2=*((C_word*)lf[520]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* ##sys#extended-signum in k8508 */
static void C_ccall f_12902(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(26,c,3)))){
C_save_and_reclaim((void *)f_12902,3,av);}
a=C_alloc(26);
if(C_truep(C_i_ratnump(t2))){
t3=t2;
t4=C_u_i_ratnum_num(t3);
t5=C_u_i_integer_signum(t4);
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=t5;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}
else{
if(C_truep(C_i_cplxnump(t2))){
t3=t2;
t4=C_u_i_cplxnum_imag(t3);
t5=C_a_i_exact_to_inexact(&a,1,t4);
t6=C_u_i_cplxnum_real(t3);
t7=C_a_i_exact_to_inexact(&a,1,t6);
t8=C_flonum(&a,C_atan2(C_flonum_magnitude(t5),C_flonum_magnitude(t7)));
/* library.scm:1801: scheme#make-polar */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[503]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[503]+1);
av2[1]=t1;
av2[2]=C_fix(1);
av2[3]=t8;
tp(4,av2);}}
else{
/* library.scm:1802: ##sys#error-bad-number */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[370]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[370]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=lf[525];
tp(4,av2);}}}}

/* doloop2211 in deliver in scheme#inexact->exact in k8508 */
static void C_fcall f_12943(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,3)))){
C_save_and_reclaim_args((void *)trf_12943,4,t0,t1,t2,t3);}
a=C_alloc(5);
if(C_truep(C_u_i_fpintegerp(t2))){
t4=t3;
t5=t1;{
C_word av2[2];
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_12954,a[2]=t3,a[3]=((C_word*)t0)[2],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
/* library.scm:1810: chicken.flonum#fp* */
t5=*((C_word*)lf[435]+1);{
C_word av2[4];
av2[0]=t5;
av2[1]=t4;
av2[2]=t2;
av2[3]=lf[529];
((C_proc)(void*)(*((C_word*)t5+1)))(4,av2);}}}

/* k12952 in doloop2211 in deliver in scheme#inexact->exact in k8508 */
static void C_ccall f_12954(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_12954,2,av);}
t2=C_fixnum_plus(((C_word*)t0)[2],C_fix(1));
t3=((C_word*)((C_word*)t0)[3])[1];
f_12943(t3,((C_word*)t0)[4],t1,t2);}

/* deliver in scheme#inexact->exact in k8508 */
static void C_fcall f_12960(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(15,0,4)))){
C_save_and_reclaim_args((void *)trf_12960,4,t0,t1,t2,t3);}
a=C_alloc(15);
t4=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_12964,a[2]=t2,a[3]=t1,a[4]=t3,a[5]=((C_word*)t0)[2],tmp=(C_word)a,a+=6,tmp);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12993,a[2]=t4,tmp=(C_word)a,a+=3,tmp);
t6=t2;
t7=C_SCHEME_UNDEFINED;
t8=(*a=C_VECTOR_TYPE|1,a[1]=t7,tmp=(C_word)a,a+=2,tmp);
t9=C_set_block_item(t8,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_12943,a[2]=t8,a[3]=((C_word)li373),tmp=(C_word)a,a+=4,tmp));
t10=((C_word*)t8)[1];
f_12943(t10,t5,t6,C_fix(0));}

/* k12962 in deliver in scheme#inexact->exact in k8508 */
static void C_ccall f_12964(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_12964,2,av);}
a=C_alloc(7);
t2=t1;
t3=((C_word*)t0)[2];
t4=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_12969,a[2]=t3,a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=t2,a[6]=((C_word*)t0)[5],tmp=(C_word)a,a+=7,tmp);
/* library.scm:1816: scheme#exact->inexact */
t5=*((C_word*)lf[62]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t5;
av2[1]=t4;
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t5+1)))(3,av2);}}

/* k12967 in k12962 in deliver in scheme#inexact->exact in k8508 */
static void C_ccall f_12969(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(42,c,3)))){
C_save_and_reclaim((void *)f_12969,2,av);}
a=C_alloc(42);
t2=C_s_a_i_times(&a,2,((C_word*)t0)[2],t1);
if(C_truep(C_i_finitep(t2))){
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_12980,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],tmp=(C_word)a,a+=4,tmp);
t4=C_s_a_u_i_flo_to_int(&a,1,t2);
/* library.scm:1818: ##sys#/-2 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[526]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[526]+1);
av2[1]=t3;
av2[2]=t4;
av2[3]=((C_word*)t0)[5];
tp(4,av2);}}
else{
/* library.scm:1819: ##sys#error-bad-inexact */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[371]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[371]+1);
av2[1]=((C_word*)t0)[3];
av2[2]=((C_word*)t0)[6];
av2[3]=lf[527];
tp(4,av2);}}}

/* k12978 in k12967 in k12962 in deliver in scheme#inexact->exact in k8508 */
static void C_ccall f_12980(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_12980,2,av);}
/* library.scm:1818: ##sys#/-2 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[526]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[526]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
av2[3]=((C_word*)t0)[3];
tp(4,av2);}}

/* k12991 in deliver in scheme#inexact->exact in k8508 */
static void C_ccall f_12993(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_12993,2,av);}
/* library.scm:1815: ##sys#integer-power */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[528]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[528]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=C_fix(2);
av2[3]=t1;
tp(4,av2);}}

/* k13006 in k13016 in scheme#inexact->exact in k8508 */
static void C_ccall f_13008(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(38,c,3)))){
C_save_and_reclaim((void *)f_13008,2,av);}
a=C_alloc(38);
t2=C_s_a_i_times(&a,2,((C_word*)t0)[2],t1);
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_13012,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=t2,tmp=(C_word)a,a+=5,tmp);
/* library.scm:1826: ##sys#integer-power */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[528]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[528]+1);
av2[1]=t3;
av2[2]=C_fix(2);
av2[3]=*((C_word*)lf[425]+1);
tp(4,av2);}}

/* k13010 in k13006 in k13016 in scheme#inexact->exact in k8508 */
static void C_ccall f_13012(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_13012,2,av);}
/* library.scm:1823: deliver */
t2=((C_word*)t0)[2];
f_12960(t2,((C_word*)t0)[3],((C_word*)t0)[4],t1);}

/* k13016 in scheme#inexact->exact in k8508 */
static void C_ccall f_13018(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_13018,2,av);}
a=C_alloc(5);
t2=(C_truep(t1)?C_ub_i_flonum_greaterp(C_flonum_magnitude(((C_word*)t0)[2]),-1.0):C_SCHEME_FALSE);
if(C_truep(t2)){
t3=((C_word*)t0)[2];
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_13008,a[2]=t3,a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:1823: scheme#expt */
t5=*((C_word*)lf[530]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t5;
av2[1]=t4;
av2[2]=lf[529];
av2[3]=*((C_word*)lf[425]+1);
((C_proc)(void*)(*((C_word*)t5+1)))(4,av2);}}
else{
/* library.scm:1827: deliver */
t3=((C_word*)t0)[3];
f_12960(t3,((C_word*)t0)[4],((C_word*)t0)[2],C_fix(1));}}

/* scheme#inexact->exact in k8508 */
static void C_ccall f_13022(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(9,c,4)))){
C_save_and_reclaim((void *)f_13022,3,av);}
a=C_alloc(9);
if(C_truep(C_i_exactp(t2))){
t3=t2;
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
if(C_truep(C_i_flonump(t2))){
if(C_truep(C_u_i_fpintegerp(t2))){
t3=t1;
t4=t2;
t5=t3;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_s_a_u_i_flo_to_int(&a,1,t4);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
if(C_truep(C_u_i_flonum_finitep(t2))){
t3=t1;
t4=t2;
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_12960,a[2]=t4,a[3]=((C_word)li374),tmp=(C_word)a,a+=4,tmp);
t6=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_13018,a[2]=t4,a[3]=t5,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
/* library.scm:1821: chicken.flonum#fp< */
t7=*((C_word*)lf[447]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t7;
av2[1]=t6;
av2[2]=t4;
av2[3]=lf[522];
((C_proc)(void*)(*((C_word*)t7+1)))(4,av2);}}
else{
/* library.scm:1835: ##sys#error-bad-inexact */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[371]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[371]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=lf[527];
tp(4,av2);}}}}
else{
if(C_truep(C_i_cplxnump(t2))){
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_13062,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=t2;
t5=C_u_i_cplxnum_real(t4);
/* library.scm:1837: scheme#inexact->exact */
t6=*((C_word*)lf[518]+1);{
C_word *av2=av;
av2[0]=t6;
av2[1]=t3;
av2[2]=t5;
((C_proc)(void*)(*((C_word*)t6+1)))(3,av2);}}
else{
/* library.scm:1839: ##sys#error-bad-number */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[370]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[370]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=lf[527];
tp(4,av2);}}}}}

/* k13060 in scheme#inexact->exact in k8508 */
static void C_ccall f_13062(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_13062,2,av);}
a=C_alloc(4);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_13066,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=((C_word*)t0)[3];
t5=C_u_i_cplxnum_imag(t4);
/* library.scm:1838: scheme#inexact->exact */
t6=*((C_word*)lf[518]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t6;
av2[1]=t3;
av2[2]=t5;
((C_proc)(void*)(*((C_word*)t6+1)))(3,av2);}}

/* k13064 in k13060 in scheme#inexact->exact in k8508 */
static void C_ccall f_13066(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_13066,2,av);}
/* library.scm:1837: make-complex */
f_12591(((C_word*)t0)[2],((C_word*)t0)[3],t1);}

/* chicken.bitwise#bitwise-not in k8508 */
static void C_ccall f_13088(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,1)))){
C_save_and_reclaim((void *)f_13088,3,av);}
a=C_alloc(5);
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_s_a_i_bitwise_not(&a,1,t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.bitwise#bit->boolean in k8508 */
static void C_ccall f_13091(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_13091,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_bit_to_bool(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* chicken.bitwise#integer-length in k8508 */
static void C_ccall f_13094(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_13094,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_integer_length(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.bitwise#arithmetic-shift in k8508 */
static void C_ccall f_13097(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,1)))){
C_save_and_reclaim((void *)f_13097,4,av);}
a=C_alloc(5);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_s_a_i_arithmetic_shift(&a,2,t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#/ in k8508 */
static void C_ccall f_13100(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +4,c,3)))){
C_save_and_reclaim((void*)f_13100,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+4);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
if(C_truep(C_i_nullp(t3))){
/* library.scm:1874: ##sys#/-2 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[526]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[526]+1);
av2[1]=t1;
av2[2]=C_fix(1);
av2[3]=t2;
tp(4,av2);}}
else{
t4=C_slot(t3,C_fix(1));
t5=t4;
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_13121,a[2]=t1,a[3]=t5,tmp=(C_word)a,a+=4,tmp);
t7=C_slot(t3,C_fix(0));
/* library.scm:1876: ##sys#/-2 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[526]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[526]+1);
av2[1]=t6;
av2[2]=t2;
av2[3]=t7;
tp(4,av2);}}}

/* k13119 in scheme#/ in k8508 */
static void C_ccall f_13121(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,4)))){
C_save_and_reclaim((void *)f_13121,2,av);}
a=C_alloc(6);
t2=C_SCHEME_UNDEFINED;
t3=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
t4=C_set_block_item(t3,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_13123,a[2]=t3,a[3]=((C_word)li383),tmp=(C_word)a,a+=4,tmp));
t5=((C_word*)t3)[1];
f_13123(t5,((C_word*)t0)[2],((C_word*)t0)[3],t1);}

/* loop in k13119 in scheme#/ in k8508 */
static void C_fcall f_13123(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,3)))){
C_save_and_reclaim_args((void *)trf_13123,4,t0,t1,t2,t3);}
a=C_alloc(5);
if(C_truep(C_i_nullp(t2))){
t4=t3;
t5=t1;{
C_word av2[2];
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t4=C_slot(t2,C_fix(1));
t5=t4;
t6=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_13141,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=t5,tmp=(C_word)a,a+=5,tmp);
t7=C_slot(t2,C_fix(0));
/* library.scm:1880: ##sys#/-2 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[526]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[526]+1);
av2[1]=t6;
av2[2]=t3;
av2[3]=t7;
tp(4,av2);}}}

/* k13139 in loop in k13119 in scheme#/ in k8508 */
static void C_ccall f_13141(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_13141,2,av);}
/* library.scm:1879: loop */
t2=((C_word*)((C_word*)t0)[2])[1];
f_13123(t2,((C_word*)t0)[3],((C_word*)t0)[4],t1);}

/* ##sys#/-2 in k8508 */
static void C_ccall f_13151(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,5)))){
C_save_and_reclaim((void *)f_13151,4,av);}
a=C_alloc(5);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_13155,a[2]=t2,a[3]=t3,a[4]=t1,tmp=(C_word)a,a+=5,tmp);
t5=C_eqp(t3,C_fix(0));
if(C_truep(t5)){
t6=C_fix((C_word)C_DIVISION_BY_ZERO_ERROR);
/* library.scm:1887: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t4;
av2[2]=t6;
av2[3]=lf[543];
av2[4]=t2;
av2[5]=t3;
tp(6,av2);}}
else{
t6=t4;{
C_word *av2=av;
av2[0]=t6;
av2[1]=C_SCHEME_UNDEFINED;
f_13155(2,av2);}}}

/* k13153 in ##sys#/-2 in k8508 */
static void C_ccall f_13155(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_13155,2,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_13161,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
t3=((C_word*)t0)[2];
if(C_truep(C_i_exact_integerp(t3))){
t4=((C_word*)t0)[3];
t5=t2;
f_13161(t5,C_i_exact_integerp(t4));}
else{
t4=t2;
f_13161(t4,C_SCHEME_FALSE);}}

/* k13159 in k13153 in ##sys#/-2 in k8508 */
static void C_fcall f_13161(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word t19;
C_word t20;
C_word t21;
C_word t22;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(96,0,4)))){
C_save_and_reclaim_args((void *)trf_13161,2,t0,t1);}
a=C_alloc(96);
if(C_truep(t1)){
t2=((C_word*)t0)[2];
t3=((C_word*)t0)[3];
t4=C_s_a_u_i_integer_gcd(&a,2,t2,t3);
t5=((C_word*)t0)[2];
t6=C_s_a_u_i_integer_quotient(&a,2,t5,t4);
t7=((C_word*)t0)[3];
t8=C_s_a_u_i_integer_quotient(&a,2,t7,t4);
/* library.scm:1890: ratnum */
f_12764(((C_word*)t0)[4],t6,t8);}
else{
t2=C_i_cplxnump(((C_word*)t0)[2]);
t3=(C_truep(t2)?t2:C_i_cplxnump(((C_word*)t0)[3]));
if(C_truep(t3)){
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_13193,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[2],tmp=(C_word)a,a+=5,tmp);
/* library.scm:1893: scheme#real-part */
t5=*((C_word*)lf[505]+1);{
C_word av2[3];
av2[0]=t5;
av2[1]=t4;
av2[2]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t5+1)))(3,av2);}}
else{
t4=C_i_flonump(((C_word*)t0)[2]);
t5=(C_truep(t4)?t4:C_i_flonump(((C_word*)t0)[3]));
if(C_truep(t5)){
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_13244,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:1901: scheme#exact->inexact */
t7=*((C_word*)lf[62]+1);{
C_word av2[3];
av2[0]=t7;
av2[1]=t6;
av2[2]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t7+1)))(3,av2);}}
else{
if(C_truep(C_i_ratnump(((C_word*)t0)[2]))){
if(C_truep(C_i_ratnump(((C_word*)t0)[3]))){
t6=((C_word*)t0)[2];
t7=C_u_i_ratnum_num(t6);
t8=((C_word*)t0)[2];
t9=C_u_i_ratnum_denom(t8);
t10=((C_word*)t0)[3];
t11=C_u_i_ratnum_num(t10);
t12=((C_word*)t0)[3];
t13=C_u_i_ratnum_denom(t12);
t14=C_s_a_u_i_integer_gcd(&a,2,t7,t11);
t15=C_s_a_u_i_integer_gcd(&a,2,t9,t13);
t16=C_s_a_i_quotient(&a,2,t7,t14);
t17=C_s_a_i_quotient(&a,2,t13,t15);
t18=C_s_a_i_times(&a,2,t16,t17);
t19=C_s_a_i_quotient(&a,2,t9,t15);
t20=C_s_a_i_quotient(&a,2,t11,t14);
t21=C_s_a_i_times(&a,2,t19,t20);
/* library.scm:1911: ratnum */
f_12764(((C_word*)t0)[4],t18,t21);}
else{
t6=((C_word*)t0)[2];
t7=C_u_i_ratnum_num(t6);
t8=t7;
t9=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_13315,a[2]=t8,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
/* library.scm:1917: ##sys#internal-gcd */
f_14920(t9,lf[543],t8,((C_word*)t0)[3]);}}
else{
if(C_truep(C_i_ratnump(((C_word*)t0)[3]))){
t6=((C_word*)t0)[3];
t7=C_u_i_ratnum_num(t6);
t8=t7;
t9=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_13349,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t8,a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
/* library.scm:1928: ##sys#internal-gcd */
f_14920(t9,lf[543],((C_word*)t0)[2],t8);}
else{
t6=C_i_numberp(((C_word*)t0)[2]);
if(C_truep(C_i_not(t6))){
/* library.scm:1934: ##sys#error-bad-number */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[370]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[370]+1);
av2[1]=((C_word*)t0)[4];
av2[2]=((C_word*)t0)[2];
av2[3]=lf[543];
tp(4,av2);}}
else{
/* library.scm:1935: ##sys#error-bad-number */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[370]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[370]+1);
av2[1]=((C_word*)t0)[4];
av2[2]=((C_word*)t0)[3];
av2[3]=lf[543];
tp(4,av2);}}}}}}}}

/* k13191 in k13159 in k13153 in ##sys#/-2 in k8508 */
static void C_ccall f_13193(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_13193,2,av);}
a=C_alloc(5);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_13196,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
/* library.scm:1893: scheme#imag-part */
t4=*((C_word*)lf[507]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k13194 in k13191 in k13159 in k13153 in ##sys#/-2 in k8508 */
static void C_ccall f_13196(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_13196,2,av);}
a=C_alloc(6);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_13199,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
/* library.scm:1894: scheme#real-part */
t4=*((C_word*)lf[505]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k13197 in k13194 in k13191 in k13159 in k13153 in ##sys#/-2 in k8508 */
static void C_ccall f_13199(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_13199,2,av);}
a=C_alloc(6);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_13202,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
/* library.scm:1894: scheme#imag-part */
t4=*((C_word*)lf[507]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)t0)[5];
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k13200 in k13197 in k13194 in k13191 in k13159 in k13153 in ##sys#/-2 in k8508 */
static void C_ccall f_13202(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(198,c,3)))){
C_save_and_reclaim((void *)f_13202,2,av);}
a=C_alloc(198);
t2=t1;
t3=C_s_a_i_times(&a,2,((C_word*)t0)[2],((C_word*)t0)[2]);
t4=C_s_a_i_times(&a,2,t2,t2);
t5=C_s_a_i_plus(&a,2,t3,t4);
t6=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_13211,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[2],a[5]=((C_word*)t0)[5],a[6]=t2,a[7]=t5,tmp=(C_word)a,a+=8,tmp);
t7=C_s_a_i_times(&a,2,((C_word*)t0)[5],((C_word*)t0)[2]);
t8=C_s_a_i_times(&a,2,((C_word*)t0)[4],t2);
t9=C_s_a_i_plus(&a,2,t7,t8);
/* library.scm:1896: ##sys#/-2 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[526]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[526]+1);
av2[1]=t6;
av2[2]=t9;
av2[3]=t5;
tp(4,av2);}}

/* k13209 in k13200 in k13197 in k13194 in k13191 in k13159 in k13153 in ##sys#/-2 in k8508 */
static void C_ccall f_13211(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(99,c,3)))){
C_save_and_reclaim((void *)f_13211,2,av);}
a=C_alloc(99);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_13214,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=C_s_a_i_times(&a,2,((C_word*)t0)[3],((C_word*)t0)[4]);
t5=C_s_a_i_times(&a,2,((C_word*)t0)[5],((C_word*)t0)[6]);
t6=C_s_a_i_minus(&a,2,t4,t5);
/* library.scm:1897: ##sys#/-2 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[526]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[526]+1);
av2[1]=t3;
av2[2]=t6;
av2[3]=((C_word*)t0)[7];
tp(4,av2);}}

/* k13212 in k13209 in k13200 in k13197 in k13194 in k13191 in k13159 in k13153 in ##sys#/-2 in k8508 */
static void C_ccall f_13214(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_13214,2,av);}
/* library.scm:1898: make-complex */
f_12591(((C_word*)t0)[2],((C_word*)t0)[3],t1);}

/* k13242 in k13159 in k13153 in ##sys#/-2 in k8508 */
static void C_ccall f_13244(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_13244,2,av);}
a=C_alloc(4);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_13248,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:1901: scheme#exact->inexact */
t4=*((C_word*)lf[62]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k13246 in k13242 in k13159 in k13153 in ##sys#/-2 in k8508 */
static void C_ccall f_13248(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_13248,2,av);}
/* library.scm:1901: chicken.flonum#fp/ */
t2=*((C_word*)lf[437]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* k13313 in k13159 in k13153 in ##sys#/-2 in k8508 */
static void C_ccall f_13315(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(43,c,3)))){
C_save_and_reclaim((void *)f_13315,2,av);}
a=C_alloc(43);
t2=C_s_a_i_quotient(&a,2,((C_word*)t0)[2],t1);
t3=((C_word*)t0)[3];
t4=C_u_i_ratnum_denom(t3);
t5=((C_word*)t0)[4];
t6=C_s_a_i_quotient(&a,2,t5,t1);
t7=C_s_a_i_times(&a,2,t4,t6);
if(C_truep(C_i_flonump(t7))){
/* library.scm:1921: ##sys#/-2 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[526]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[526]+1);
av2[1]=((C_word*)t0)[5];
av2[2]=t2;
av2[3]=t7;
tp(4,av2);}}
else{
/* library.scm:1922: ratnum */
f_12764(((C_word*)t0)[5],t2,t7);}}

/* k13347 in k13159 in k13153 in ##sys#/-2 in k8508 */
static void C_ccall f_13349(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(43,c,3)))){
C_save_and_reclaim((void *)f_13349,2,av);}
a=C_alloc(43);
t2=((C_word*)t0)[2];
t3=C_s_a_i_quotient(&a,2,t2,t1);
t4=((C_word*)t0)[3];
t5=C_u_i_ratnum_denom(t4);
t6=C_s_a_i_times(&a,2,t3,t5);
t7=C_s_a_i_quotient(&a,2,((C_word*)t0)[4],t1);
if(C_truep(C_i_flonump(t7))){
/* library.scm:1932: ##sys#/-2 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[526]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[526]+1);
av2[1]=((C_word*)t0)[5];
av2[2]=t6;
av2[3]=t7;
tp(4,av2);}}
else{
/* library.scm:1933: ratnum */
f_12764(((C_word*)t0)[5],t6,t7);}}

/* scheme#floor in k8508 */
static void C_ccall f_13399(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(34,c,3)))){
C_save_and_reclaim((void *)f_13399,3,av);}
a=C_alloc(34);
t3=t2;
if(C_truep(C_i_exact_integerp(t3))){
t4=t2;
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
if(C_truep(C_i_flonump(t2))){
/* library.scm:1940: chicken.flonum#fpfloor */
t4=*((C_word*)lf[459]+1);{
C_word *av2=av;
av2[0]=t4;
av2[1]=t1;
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}
else{
if(C_truep(C_i_ratnump(t2))){
t4=t2;
t5=C_u_i_ratnum_num(t4);
t6=t2;
t7=C_u_i_ratnum_denom(t6);
t8=C_s_a_i_quotient(&a,2,t5,t7);
t9=t1;{
C_word *av2=av;
av2[0]=t9;
av2[1]=(C_truep(C_i_greater_or_equalp(t5,C_fix(0)))?t8:C_s_a_i_minus(&a,2,t8,C_fix(1)));
((C_proc)(void*)(*((C_word*)t9+1)))(2,av2);}}
else{
/* library.scm:1945: ##sys#error-bad-real */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[361]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[361]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=lf[545];
tp(4,av2);}}}}}

/* scheme#ceiling in k8508 */
static void C_ccall f_13440(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(34,c,3)))){
C_save_and_reclaim((void *)f_13440,3,av);}
a=C_alloc(34);
t3=t2;
if(C_truep(C_i_exact_integerp(t3))){
t4=t2;
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
if(C_truep(C_i_flonump(t2))){
/* library.scm:1950: chicken.flonum#fpceiling */
t4=*((C_word*)lf[465]+1);{
C_word *av2=av;
av2[0]=t4;
av2[1]=t1;
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}
else{
if(C_truep(C_i_ratnump(t2))){
t4=t2;
t5=C_u_i_ratnum_num(t4);
t6=t2;
t7=C_u_i_ratnum_denom(t6);
t8=C_s_a_i_quotient(&a,2,t5,t7);
t9=t1;{
C_word *av2=av;
av2[0]=t9;
av2[1]=(C_truep(C_i_greater_or_equalp(t5,C_fix(0)))?C_s_a_i_plus(&a,2,t8,C_fix(1)):t8);
((C_proc)(void*)(*((C_word*)t9+1)))(2,av2);}}
else{
/* library.scm:1955: ##sys#error-bad-real */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[361]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[361]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=lf[547];
tp(4,av2);}}}}}

/* scheme#truncate in k8508 */
static void C_ccall f_13481(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_13481,3,av);}
a=C_alloc(5);
t3=t2;
if(C_truep(C_i_exact_integerp(t3))){
t4=t2;
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
if(C_truep(C_i_flonump(t2))){
/* library.scm:1960: chicken.flonum#fptruncate */
t4=*((C_word*)lf[461]+1);{
C_word *av2=av;
av2[0]=t4;
av2[1]=t1;
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}
else{
if(C_truep(C_i_ratnump(t2))){
t4=t2;
t5=C_u_i_ratnum_num(t4);
t6=t2;
t7=C_u_i_ratnum_denom(t6);
t8=C_s_a_i_quotient(&a,2,t5,t7);
t9=t1;{
C_word *av2=av;
av2[0]=t9;
av2[1]=t8;
((C_proc)(void*)(*((C_word*)t9+1)))(2,av2);}}
else{
/* library.scm:1964: ##sys#error-bad-real */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[361]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[361]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=lf[549];
tp(4,av2);}}}}}

/* scheme#round in k8508 */
static void C_ccall f_13515(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(36,c,3)))){
C_save_and_reclaim((void *)f_13515,3,av);}
a=C_alloc(36);
t3=t2;
if(C_truep(C_i_exact_integerp(t3))){
t4=t2;
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
if(C_truep(C_i_flonump(t2))){
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_a_i_flonum_round_proper(&a,1,t2);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
if(C_truep(C_i_ratnump(t2))){
t4=t2;
t5=C_a_i_ratnum(&a,2,C_fix(1),C_fix(2));
t6=C_s_a_i_plus(&a,2,t4,t5);
t7=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_13539,a[2]=t1,a[3]=t6,tmp=(C_word)a,a+=4,tmp);
/* library.scm:1973: scheme#floor */
t8=*((C_word*)lf[544]+1);{
C_word *av2=av;
av2[0]=t8;
av2[1]=t7;
av2[2]=t6;
((C_proc)(void*)(*((C_word*)t8+1)))(3,av2);}}
else{
/* library.scm:1975: ##sys#error-bad-real */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[361]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[361]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=lf[551];
tp(4,av2);}}}}}

/* k13537 in scheme#round in k8508 */
static void C_ccall f_13539(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(29,c,1)))){
C_save_and_reclaim((void *)f_13539,2,av);}
a=C_alloc(29);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=(C_truep(C_i_nequalp(t1,((C_word*)t0)[3]))?(C_truep(C_i_oddp(t1))?C_s_a_i_minus(&a,2,t1,C_fix(1)):t1):t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* find-ratio-between in k8508 */
static void C_fcall f_13555(C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word t19;
C_word t20;
C_word t21;
C_word t22;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(67,0,4)))){
C_save_and_reclaim_args((void *)trf_13555,3,t1,t2,t3);}
a=C_alloc(67);
t4=C_SCHEME_UNDEFINED;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=C_set_block_item(t5,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_13558,a[2]=t5,a[3]=((C_word)li390),tmp=(C_word)a,a+=4,tmp));
t7=t3;
t8=t2;
if(C_truep(C_i_lessp(t7,t8))){
/* library.scm:1988: find-ratio-between */
t20=t1;
t21=t3;
t22=t2;
t1=t20;
t2=t21;
t3=t22;
goto loop;}
else{
t9=t2;
t10=t3;
t11=C_i_lessp(t9,t10);
if(C_truep(C_i_not(t11))){
t12=t1;{
C_word av2[2];
av2[0]=t12;
av2[1]=C_a_i_list2(&a,2,t2,C_fix(1));
((C_proc)(void*)(*((C_word*)t12+1)))(2,av2);}}
else{
t12=t2;
if(C_truep(C_i_positivep(t12))){
/* library.scm:1990: sr */
t13=((C_word*)t5)[1];
f_13558(t13,t1,t2,t3);}
else{
t13=t3;
if(C_truep(C_i_negativep(t13))){
t14=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_13658,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
t15=t3;
t16=C_s_a_i_negate(&a,1,t15);
t17=t2;
t18=C_s_a_i_negate(&a,1,t17);
/* library.scm:1991: sr */
t19=((C_word*)t5)[1];
f_13558(t19,t14,t16,t18);}
else{
t14=t1;{
C_word av2[2];
av2[0]=t14;
av2[1]=lf[553];
((C_proc)(void*)(*((C_word*)t14+1)))(2,av2);}}}}}}

/* sr in find-ratio-between in k8508 */
static void C_fcall f_13558(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,0,2)))){
C_save_and_reclaim_args((void *)trf_13558,4,t0,t1,t2,t3);}
a=C_alloc(9);
t4=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_13562,a[2]=t2,a[3]=t1,a[4]=((C_word*)t0)[2],a[5]=t3,tmp=(C_word)a,a+=6,tmp);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_13627,a[2]=t4,tmp=(C_word)a,a+=3,tmp);
/* library.scm:1979: scheme#floor */
t6=*((C_word*)lf[544]+1);{
C_word av2[3];
av2[0]=t6;
av2[1]=t5;
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t6+1)))(3,av2);}}

/* k13560 in sr in find-ratio-between in k8508 */
static void C_ccall f_13562(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,2)))){
C_save_and_reclaim((void *)f_13562,2,av);}
a=C_alloc(10);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_13565,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],tmp=(C_word)a,a+=7,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_13623,a[2]=t3,tmp=(C_word)a,a+=3,tmp);
/* library.scm:1980: scheme#floor */
t5=*((C_word*)lf[544]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t5;
av2[1]=t4;
av2[2]=((C_word*)t0)[5];
((C_proc)(void*)(*((C_word*)t5+1)))(3,av2);}}

/* k13563 in k13560 in sr in find-ratio-between in k8508 */
static void C_ccall f_13565(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(39,c,3)))){
C_save_and_reclaim((void *)f_13565,2,av);}
a=C_alloc(39);
t2=((C_word*)t0)[2];
t3=C_i_lessp(((C_word*)t0)[3],t2);
if(C_truep(C_i_not(t3))){
t4=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_a_i_list2(&a,2,((C_word*)t0)[3],C_fix(1));
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
if(C_truep(C_i_nequalp(((C_word*)t0)[3],t1))){
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_13582,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],tmp=(C_word)a,a+=4,tmp);
t5=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_13600,a[2]=((C_word*)t0)[5],a[3]=t4,a[4]=((C_word*)t0)[2],a[5]=((C_word*)t0)[3],tmp=(C_word)a,a+=6,tmp);
t6=((C_word*)t0)[6];
t7=C_s_a_i_minus(&a,2,t6,t1);
/* library.scm:1983: ##sys#/-2 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[526]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[526]+1);
av2[1]=t5;
av2[2]=C_fix(1);
av2[3]=t7;
tp(4,av2);}}
else{
t4=C_s_a_i_plus(&a,2,C_fix(1),((C_word*)t0)[3]);
t5=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_a_i_list2(&a,2,t4,C_fix(1));
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}}

/* k13580 in k13563 in k13560 in sr in find-ratio-between in k8508 */
static void C_ccall f_13582(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(68,c,1)))){
C_save_and_reclaim((void *)f_13582,2,av);}
a=C_alloc(68);
t2=C_i_cadr(t1);
t3=C_u_i_car(t1);
t4=C_s_a_i_times(&a,2,((C_word*)t0)[2],t3);
t5=C_s_a_i_plus(&a,2,t2,t4);
t6=C_u_i_car(t1);
t7=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t7;
av2[1]=C_a_i_list2(&a,2,t5,t6);
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}

/* k13598 in k13563 in k13560 in sr in find-ratio-between in k8508 */
static void C_ccall f_13600(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(34,c,3)))){
C_save_and_reclaim((void *)f_13600,2,av);}
a=C_alloc(34);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_13604,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t2,tmp=(C_word)a,a+=5,tmp);
t4=((C_word*)t0)[4];
t5=C_s_a_i_minus(&a,2,t4,((C_word*)t0)[5]);
/* library.scm:1984: ##sys#/-2 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[526]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[526]+1);
av2[1]=t3;
av2[2]=C_fix(1);
av2[3]=t5;
tp(4,av2);}}

/* k13602 in k13598 in k13563 in k13560 in sr in find-ratio-between in k8508 */
static void C_ccall f_13604(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_13604,2,av);}
/* library.scm:1983: sr */
t2=((C_word*)((C_word*)t0)[2])[1];
f_13558(t2,((C_word*)t0)[3],((C_word*)t0)[4],t1);}

/* k13621 in k13560 in sr in find-ratio-between in k8508 */
static void C_ccall f_13623(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_13623,2,av);}
/* library.scm:1980: scheme#inexact->exact */
t2=*((C_word*)lf[518]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* k13625 in sr in find-ratio-between in k8508 */
static void C_ccall f_13627(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_13627,2,av);}
/* library.scm:1979: scheme#inexact->exact */
t2=*((C_word*)lf[518]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* k13656 in find-ratio-between in k8508 */
static void C_ccall f_13658(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(35,c,1)))){
C_save_and_reclaim((void *)f_13658,2,av);}
a=C_alloc(35);
t2=C_i_car(t1);
t3=C_s_a_i_negate(&a,1,t2);
t4=C_i_cadr(t1);
t5=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_a_i_list2(&a,2,t3,t4);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* scheme#rationalize in k8508 */
static void C_ccall f_13691(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(66,c,3)))){
C_save_and_reclaim((void *)f_13691,4,av);}
a=C_alloc(66);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_13695,a[2]=t2,a[3]=t1,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_13714,a[2]=t4,tmp=(C_word)a,a+=3,tmp);
t6=t2;
t7=t3;
t8=C_s_a_i_minus(&a,2,t6,t7);
t9=C_s_a_i_plus(&a,2,t6,t7);
/* library.scm:1995: find-ratio-between */
f_13555(t5,t8,t9);}

/* k13693 in scheme#rationalize in k8508 */
static void C_ccall f_13695(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_13695,2,av);}
t2=C_i_inexactp(((C_word*)t0)[2]);
if(C_truep(t2)){
if(C_truep(t2)){
/* library.scm:2001: scheme#exact->inexact */
t3=*((C_word*)lf[62]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t3;
av2[1]=((C_word*)t0)[3];
av2[2]=t1;
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}
else{
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}
else{
if(C_truep(C_i_inexactp(((C_word*)t0)[4]))){
/* library.scm:2001: scheme#exact->inexact */
t3=*((C_word*)lf[62]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t3;
av2[1]=((C_word*)t0)[3];
av2[2]=t1;
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}
else{
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}}

/* k13712 in scheme#rationalize in k8508 */
static void C_ccall f_13714(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_13714,2,av);}{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=*((C_word*)lf[526]+1);
av2[3]=t1;
C_apply(4,av2);}}

/* scheme#max in k8508 */
static void C_ccall f_13716(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +6,c,5)))){
C_save_and_reclaim((void*)f_13716,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+6);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
t4=C_i_flonump(t2);
t5=C_SCHEME_UNDEFINED;
t6=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t7=C_set_block_item(t6,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_13723,a[2]=t6,a[3]=((C_word)li393),tmp=(C_word)a,a+=4,tmp));
t8=((C_word*)t6)[1];
f_13723(t8,t1,t4,t2,t3);}

/* loop in scheme#max in k8508 */
static void C_fcall f_13723(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4){
C_word tmp;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(11,0,4)))){
C_save_and_reclaim_args((void *)trf_13723,5,t0,t1,t2,t3,t4);}
a=C_alloc(11);
t5=C_i_check_number_2(t3,lf[556]);
if(C_truep(C_i_nullp(t4))){
if(C_truep(t2)){
t6=t3;
t7=t1;{
C_word av2[2];
av2[0]=t7;
av2[1]=C_a_i_exact_to_inexact(&a,1,t6);
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
t6=t1;{
C_word av2[2];
av2[0]=t6;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}}
else{
t6=C_slot(t4,C_fix(0));
t7=t2;
t8=(C_truep(t7)?t7:C_i_flonump(t6));
t9=t3;
t10=(C_truep(C_i_greaterp(t6,t9))?t6:t3);
t11=C_slot(t4,C_fix(1));
/* library.scm:2011: loop */
t13=t1;
t14=t8;
t15=t10;
t16=t11;
t1=t13;
t2=t14;
t3=t15;
t4=t16;
goto loop;}}

/* scheme#min in k8508 */
static void C_ccall f_13759(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +6,c,5)))){
C_save_and_reclaim((void*)f_13759,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+6);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
t4=C_i_flonump(t2);
t5=C_SCHEME_UNDEFINED;
t6=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t7=C_set_block_item(t6,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_13766,a[2]=t6,a[3]=((C_word)li395),tmp=(C_word)a,a+=4,tmp));
t8=((C_word*)t6)[1];
f_13766(t8,t1,t4,t2,t3);}

/* loop in scheme#min in k8508 */
static void C_fcall f_13766(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4){
C_word tmp;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(11,0,4)))){
C_save_and_reclaim_args((void *)trf_13766,5,t0,t1,t2,t3,t4);}
a=C_alloc(11);
t5=C_i_check_number_2(t3,lf[558]);
if(C_truep(C_i_nullp(t4))){
if(C_truep(t2)){
t6=t3;
t7=t1;{
C_word av2[2];
av2[0]=t7;
av2[1]=C_a_i_exact_to_inexact(&a,1,t6);
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
t6=t1;{
C_word av2[2];
av2[0]=t6;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}}
else{
t6=C_slot(t4,C_fix(0));
t7=t2;
t8=(C_truep(t7)?t7:C_i_flonump(t6));
t9=t3;
t10=(C_truep(C_i_lessp(t6,t9))?t6:t3);
t11=C_slot(t4,C_fix(1));
/* library.scm:2022: loop */
t13=t1;
t14=t8;
t15=t10;
t16=t11;
t1=t13;
t2=t14;
t3=t15;
t4=t16;
goto loop;}}

/* scheme#exp in k8508 */
static void C_ccall f_13802(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(15,c,2)))){
C_save_and_reclaim((void *)f_13802,3,av);}
a=C_alloc(15);
t3=C_i_check_number_2(t2,lf[560]);
if(C_truep(C_i_cplxnump(t2))){
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_13817,a[2]=t2,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
t5=t2;
t6=C_u_i_cplxnum_real(t5);
/* library.scm:2031: scheme#exact->inexact */
t7=*((C_word*)lf[62]+1);{
C_word *av2=av;
av2[0]=t7;
av2[1]=t4;
av2[2]=t6;
((C_proc)(void*)(*((C_word*)t7+1)))(3,av2);}}
else{
t4=t2;
t5=C_a_i_exact_to_inexact(&a,1,t4);
t6=C_flonum(&a,C_exp(C_flonum_magnitude(t5)));
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}}

/* k13815 in scheme#exp in k8508 */
static void C_ccall f_13817(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(12,c,2)))){
C_save_and_reclaim((void *)f_13817,2,av);}
a=C_alloc(12);
t2=C_a_i_exp(&a,1,t1);
t3=((C_word*)t0)[2];
t4=C_u_i_cplxnum_imag(t3);
t5=t4;
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_13826,a[2]=t2,a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
t7=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_13831,a[2]=t5,a[3]=t6,tmp=(C_word)a,a+=4,tmp);
/* library.scm:2034: scheme#exact->inexact */
t8=*((C_word*)lf[62]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t8;
av2[1]=t7;
av2[2]=t5;
((C_proc)(void*)(*((C_word*)t8+1)))(3,av2);}}

/* k13824 in k13815 in scheme#exp in k8508 */
static void C_ccall f_13826(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(33,c,1)))){
C_save_and_reclaim((void *)f_13826,2,av);}
a=C_alloc(33);
t2=C_s_a_i_times(&a,2,((C_word*)t0)[2],t1);
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* k13829 in k13815 in scheme#exp in k8508 */
static void C_ccall f_13831(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(19,c,3)))){
C_save_and_reclaim((void *)f_13831,2,av);}
a=C_alloc(19);
t2=C_a_i_cos(&a,1,t1);
t3=C_a_i_exact_to_inexact(&a,1,((C_word*)t0)[2]);
t4=C_a_i_sin(&a,1,t3);
/* library.scm:2033: make-complex */
f_12591(((C_word*)t0)[3],t2,t4);}

/* ##sys#log-1 in k8508 */
static void C_ccall f_13844(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,5)))){
C_save_and_reclaim((void *)f_13844,3,av);}
a=C_alloc(4);
t3=C_eqp(t2,C_fix(0));
if(C_truep(t3)){
/* library.scm:2041: ##sys#signal-hook */
t4=C_fast_retrieve(lf[194]);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t4;
av2[1]=t1;
av2[2]=lf[562];
av2[3]=lf[563];
av2[4]=lf[564];
av2[5]=t2;
((C_proc)(void*)(*((C_word*)t4+1)))(6,av2);}}
else{
t4=C_i_cplxnump(t2);
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_13863,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
if(C_truep(t4)){
t6=t5;
f_13863(t6,t4);}
else{
t6=t2;
t7=t5;
f_13863(t7,C_i_negativep(t6));}}}

/* k13861 in ##sys#log-1 in k8508 */
static void C_fcall f_13863(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,0,2)))){
C_save_and_reclaim_args((void *)trf_13863,2,t0,t1);}
a=C_alloc(7);
if(C_truep(t1)){
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_13867,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_13880,a[2]=t2,tmp=(C_word)a,a+=3,tmp);
/* library.scm:2044: scheme#magnitude */
t4=*((C_word*)lf[511]+1);{
C_word av2[3];
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}
else{
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_13884,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:2047: scheme#exact->inexact */
t3=*((C_word*)lf[62]+1);{
C_word av2[3];
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}}

/* k13865 in k13861 in ##sys#log-1 in k8508 */
static void C_ccall f_13867(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_13867,2,av);}
a=C_alloc(5);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_13872,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
/* library.scm:2045: make-complex */
f_12591(t3,C_fix(0),C_fix(1));}

/* k13870 in k13865 in k13861 in ##sys#log-1 in k8508 */
static void C_ccall f_13872(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_13872,2,av);}
a=C_alloc(5);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_13876,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
/* library.scm:2045: scheme#angle */
t4=*((C_word*)lf[509]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k13874 in k13870 in k13865 in k13861 in ##sys#log-1 in k8508 */
static void C_ccall f_13876(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(62,c,1)))){
C_save_and_reclaim((void *)f_13876,2,av);}
a=C_alloc(62);
t2=C_s_a_i_times(&a,2,((C_word*)t0)[2],t1);
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_s_a_i_plus(&a,2,((C_word*)t0)[4],t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* k13878 in k13861 in ##sys#log-1 in k8508 */
static void C_ccall f_13880(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_13880,2,av);}
/* library.scm:2044: ##sys#log-1 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[561]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[561]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
tp(3,av2);}}

/* k13882 in k13861 in ##sys#log-1 in k8508 */
static void C_ccall f_13884(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_13884,2,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_log(&a,1,t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* scheme#log in k8508 */
static void C_ccall f_13887(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +4,c,2)))){
C_save_and_reclaim((void*)f_13887,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+4);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
t4=C_i_nullp(t3);
t5=(C_truep(t4)?C_SCHEME_FALSE:C_i_car(t3));
t6=t5;
if(C_truep(t6)){
t7=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_13901,a[2]=t1,a[3]=t6,tmp=(C_word)a,a+=4,tmp);
/* library.scm:2051: ##sys#log-1 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[561]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[561]+1);
av2[1]=t7;
av2[2]=t2;
tp(3,av2);}}
else{
/* library.scm:2051: ##sys#log-1 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[561]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[561]+1);
av2[1]=t1;
av2[2]=t2;
tp(3,av2);}}}

/* k13899 in scheme#log in k8508 */
static void C_ccall f_13901(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_13901,2,av);}
a=C_alloc(4);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_13905,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:2051: ##sys#log-1 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[561]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[561]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}

/* k13903 in k13899 in scheme#log in k8508 */
static void C_ccall f_13905(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_13905,2,av);}
/* library.scm:2051: ##sys#/-2 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[526]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[526]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t1;
tp(4,av2);}}

/* scheme#sin in k8508 */
static void C_ccall f_13916(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(37,c,2)))){
C_save_and_reclaim((void *)f_13916,3,av);}
a=C_alloc(37);
t3=C_i_check_number_2(t2,lf[567]);
if(C_truep(C_i_cplxnump(t2))){
t4=t2;
t5=C_s_a_i_times(&a,2,lf[568],t4);
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_13936,a[2]=t1,a[3]=t5,tmp=(C_word)a,a+=4,tmp);
/* library.scm:2058: scheme#exp */
t7=*((C_word*)lf[559]+1);{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
av2[2]=t5;
((C_proc)(void*)(*((C_word*)t7+1)))(3,av2);}}
else{
t4=t2;
t5=C_a_i_exact_to_inexact(&a,1,t4);
t6=C_a_i_sin(&a,1,t5);
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}}

/* k13934 in scheme#sin in k8508 */
static void C_ccall f_13936(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(33,c,2)))){
C_save_and_reclaim((void *)f_13936,2,av);}
a=C_alloc(33);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_13940,a[2]=t2,a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
t4=C_s_a_i_negate(&a,1,((C_word*)t0)[3]);
/* library.scm:2058: scheme#exp */
t5=*((C_word*)lf[559]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t5;
av2[1]=t3;
av2[2]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(3,av2);}}

/* k13938 in k13934 in scheme#sin in k8508 */
static void C_ccall f_13940(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(29,c,3)))){
C_save_and_reclaim((void *)f_13940,2,av);}
a=C_alloc(29);
t2=C_s_a_i_minus(&a,2,((C_word*)t0)[2],t1);
/* library.scm:2058: ##sys#/-2 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[526]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[526]+1);
av2[1]=((C_word*)t0)[3];
av2[2]=t2;
av2[3]=lf[569];
tp(4,av2);}}

/* scheme#cos in k8508 */
static void C_ccall f_13946(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(37,c,2)))){
C_save_and_reclaim((void *)f_13946,3,av);}
a=C_alloc(37);
t3=C_i_check_number_2(t2,lf[571]);
if(C_truep(C_i_cplxnump(t2))){
t4=t2;
t5=C_s_a_i_times(&a,2,lf[568],t4);
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_13966,a[2]=t1,a[3]=t5,tmp=(C_word)a,a+=4,tmp);
/* library.scm:2066: scheme#exp */
t7=*((C_word*)lf[559]+1);{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
av2[2]=t5;
((C_proc)(void*)(*((C_word*)t7+1)))(3,av2);}}
else{
t4=t2;
t5=C_a_i_exact_to_inexact(&a,1,t4);
t6=C_a_i_cos(&a,1,t5);
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}}

/* k13964 in scheme#cos in k8508 */
static void C_ccall f_13966(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(33,c,2)))){
C_save_and_reclaim((void *)f_13966,2,av);}
a=C_alloc(33);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_13970,a[2]=t2,a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
t4=C_s_a_i_negate(&a,1,((C_word*)t0)[3]);
/* library.scm:2066: scheme#exp */
t5=*((C_word*)lf[559]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t5;
av2[1]=t3;
av2[2]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(3,av2);}}

/* k13968 in k13964 in scheme#cos in k8508 */
static void C_ccall f_13970(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(29,c,3)))){
C_save_and_reclaim((void *)f_13970,2,av);}
a=C_alloc(29);
t2=C_s_a_i_plus(&a,2,((C_word*)t0)[2],t1);
/* library.scm:2066: ##sys#/-2 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[526]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[526]+1);
av2[1]=((C_word*)t0)[3];
av2[2]=t2;
av2[3]=C_fix(2);
tp(4,av2);}}

/* scheme#tan in k8508 */
static void C_ccall f_13976(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(15,c,2)))){
C_save_and_reclaim((void *)f_13976,3,av);}
a=C_alloc(15);
t3=C_i_check_number_2(t2,lf[573]);
if(C_truep(C_i_cplxnump(t2))){
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_13993,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:2073: scheme#sin */
t5=*((C_word*)lf[566]+1);{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t5+1)))(3,av2);}}
else{
t4=t2;
t5=C_a_i_exact_to_inexact(&a,1,t4);
t6=C_a_i_tan(&a,1,t5);
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}}

/* k13991 in scheme#tan in k8508 */
static void C_ccall f_13993(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_13993,2,av);}
a=C_alloc(4);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_13997,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:2073: scheme#cos */
t4=*((C_word*)lf[570]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k13995 in k13991 in scheme#tan in k8508 */
static void C_ccall f_13997(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_13997,2,av);}
/* library.scm:2073: ##sys#/-2 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[526]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[526]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t1;
tp(4,av2);}}

/* scheme#asin in k8508 */
static void C_ccall f_14001(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,3)))){
C_save_and_reclaim((void *)f_14001,3,av);}
a=C_alloc(8);
t3=C_i_check_number_2(t2,lf[575]);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14011,a[2]=t2,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
if(C_truep(C_i_flonump(t2))){
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14050,a[2]=t2,a[3]=t4,tmp=(C_word)a,a+=4,tmp);
/* library.scm:2080: chicken.flonum#fp>= */
t6=*((C_word*)lf[449]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t6;
av2[1]=t5;
av2[2]=t2;
av2[3]=lf[578];
((C_proc)(void*)(*((C_word*)t6+1)))(4,av2);}}
else{
t5=t4;
f_14011(t5,C_SCHEME_FALSE);}}

/* k14009 in scheme#asin in k8508 */
static void C_fcall f_14011(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,0,2)))){
C_save_and_reclaim_args((void *)trf_14011,2,t0,t1);}
a=C_alloc(4);
if(C_truep(t1)){
t2=C_a_i_asin(&a,1,((C_word*)t0)[2]);
t3=((C_word*)t0)[3];{
C_word av2[2];
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14017,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
if(C_truep(C_fixnump(((C_word*)t0)[2]))){
t3=C_fixnum_greater_or_equal_p(((C_word*)t0)[2],C_fix(-1));
t4=t2;
f_14017(t4,(C_truep(t3)?C_fixnum_less_or_equal_p(((C_word*)t0)[2],C_fix(1)):C_SCHEME_FALSE));}
else{
t3=t2;
f_14017(t3,C_SCHEME_FALSE);}}}

/* k14015 in k14009 in scheme#asin in k8508 */
static void C_fcall f_14017(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(102,0,3)))){
C_save_and_reclaim_args((void *)trf_14017,2,t0,t1);}
a=C_alloc(102);
if(C_truep(t1)){
t2=((C_word*)t0)[2];{
C_word av2[2];
av2[0]=t2;
av2[1]=C_a_i_asin(&a,1,C_a_i_fix_to_flo(&a,1,((C_word*)t0)[3]));
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}
else{
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_14022,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t3=((C_word*)t0)[3];
t4=C_s_a_i_times(&a,2,lf[568],t3);
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14030,a[2]=t4,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t6=((C_word*)t0)[3];
t7=((C_word*)t0)[3];
t8=C_s_a_i_times(&a,2,t6,t7);
t9=C_s_a_i_minus(&a,2,C_fix(1),t8);
/* library.scm:2089: ##sys#sqrt/loc */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[577]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[577]+1);
av2[1]=t5;
av2[2]=lf[575];
av2[3]=t9;
tp(4,av2);}}}

/* k14020 in k14015 in k14009 in scheme#asin in k8508 */
static void C_ccall f_14022(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(33,c,1)))){
C_save_and_reclaim((void *)f_14022,2,av);}
a=C_alloc(33);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_s_a_i_times(&a,2,lf[576],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k14028 in k14015 in k14009 in scheme#asin in k8508 */
static void C_ccall f_14030(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(29,c,2)))){
C_save_and_reclaim((void *)f_14030,2,av);}
a=C_alloc(29);
t2=C_s_a_i_plus(&a,2,((C_word*)t0)[2],t1);
/* library.scm:2087: ##sys#log-1 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[561]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[561]+1);
av2[1]=((C_word*)t0)[3];
av2[2]=t2;
tp(3,av2);}}

/* k14048 in scheme#asin in k8508 */
static void C_ccall f_14050(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_14050,2,av);}
if(C_truep(t1)){
t2=((C_word*)t0)[2];
t3=C_ub_i_flonum_less_or_equal_p(C_flonum_magnitude(t2),1.0);
t4=((C_word*)t0)[3];
f_14011(t4,t3);}
else{
t2=((C_word*)t0)[3];
f_14011(t2,C_SCHEME_FALSE);}}

/* scheme#acos in k8508 */
static void C_ccall f_14054(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(9,c,3)))){
C_save_and_reclaim((void *)f_14054,3,av);}
a=C_alloc(9);
t3=C_i_check_number_2(t2,lf[580]);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_14064,a[2]=t2,a[3]=t1,a[4]=((C_word*)t0)[2],tmp=(C_word)a,a+=5,tmp);
if(C_truep(C_i_flonump(t2))){
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14090,a[2]=t2,a[3]=t4,tmp=(C_word)a,a+=4,tmp);
/* library.scm:2097: chicken.flonum#fp>= */
t6=*((C_word*)lf[449]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t6;
av2[1]=t5;
av2[2]=t2;
av2[3]=lf[578];
((C_proc)(void*)(*((C_word*)t6+1)))(4,av2);}}
else{
t5=t4;
f_14064(t5,C_SCHEME_FALSE);}}

/* k14062 in scheme#acos in k8508 */
static void C_fcall f_14064(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,2)))){
C_save_and_reclaim_args((void *)trf_14064,2,t0,t1);}
a=C_alloc(5);
if(C_truep(t1)){
t2=C_a_i_acos(&a,1,((C_word*)t0)[2]);
t3=((C_word*)t0)[3];{
C_word av2[2];
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_14070,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
if(C_truep(C_fixnump(((C_word*)t0)[2]))){
t3=C_fixnum_greater_or_equal_p(((C_word*)t0)[2],C_fix(-1));
t4=t2;
f_14070(t4,(C_truep(t3)?C_fixnum_less_or_equal_p(((C_word*)t0)[2],C_fix(1)):C_SCHEME_FALSE));}
else{
t3=t2;
f_14070(t3,C_SCHEME_FALSE);}}}

/* k14068 in k14062 in scheme#acos in k8508 */
static void C_fcall f_14070(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,0,2)))){
C_save_and_reclaim_args((void *)trf_14070,2,t0,t1);}
a=C_alloc(8);
if(C_truep(t1)){
t2=((C_word*)t0)[2];{
C_word av2[2];
av2[0]=t2;
av2[1]=C_a_i_acos(&a,1,C_a_i_fix_to_flo(&a,1,((C_word*)t0)[3]));
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}
else{
t2=((C_word*)t0)[4];
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14075,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:2104: scheme#asin */
t4=*((C_word*)lf[574]+1);{
C_word av2[3];
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}}

/* k14073 in k14068 in k14062 in scheme#acos in k8508 */
static void C_ccall f_14075(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(29,c,1)))){
C_save_and_reclaim((void *)f_14075,2,av);}
a=C_alloc(29);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_s_a_i_minus(&a,2,((C_word*)t0)[3],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k14088 in scheme#acos in k8508 */
static void C_ccall f_14090(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_14090,2,av);}
if(C_truep(t1)){
t2=((C_word*)t0)[2];
t3=C_ub_i_flonum_less_or_equal_p(C_flonum_magnitude(t2),1.0);
t4=((C_word*)t0)[3];
f_14064(t4,t3);}
else{
t2=((C_word*)t0)[3];
f_14064(t2,C_SCHEME_FALSE);}}

/* scheme#atan in k8508 */
static void C_ccall f_14094(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +66,c,3)))){
C_save_and_reclaim((void*)f_14094,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+66);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
t4=C_i_nullp(t3);
t5=(C_truep(t4)?C_SCHEME_FALSE:C_i_car(t3));
t6=C_i_check_number_2(t2,lf[582]);
if(C_truep(C_i_cplxnump(t2))){
if(C_truep(t5)){
/* library.scm:2111: ##sys#error-bad-real */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[361]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[361]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=lf[582];
tp(4,av2);}}
else{
t7=t2;
t8=C_s_a_i_times(&a,2,lf[568],t7);
t9=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14123,a[2]=t1,a[3]=t8,tmp=(C_word)a,a+=4,tmp);
t10=C_s_a_i_plus(&a,2,C_fix(1),t8);
/* library.scm:2113: ##sys#log-1 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[561]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[561]+1);
av2[1]=t9;
av2[2]=t10;
tp(3,av2);}}}
else{
if(C_truep(t5)){
t7=t2;
t8=C_a_i_exact_to_inexact(&a,1,t7);
t9=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14142,a[2]=t1,a[3]=t8,tmp=(C_word)a,a+=4,tmp);
/* library.scm:2117: scheme#exact->inexact */
t10=*((C_word*)lf[62]+1);{
C_word *av2=av;
av2[0]=t10;
av2[1]=t9;
av2[2]=t5;
((C_proc)(void*)(*((C_word*)t10+1)))(3,av2);}}
else{
t7=t2;
t8=C_a_i_exact_to_inexact(&a,1,t7);
t9=t1;{
C_word *av2=av;
av2[0]=t9;
av2[1]=C_a_i_atan(&a,1,t8);
((C_proc)(void*)(*((C_word*)t9+1)))(2,av2);}}}}

/* k14121 in scheme#atan in k8508 */
static void C_ccall f_14123(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(33,c,2)))){
C_save_and_reclaim((void *)f_14123,2,av);}
a=C_alloc(33);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14127,a[2]=t2,a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
t4=C_s_a_i_minus(&a,2,C_fix(1),((C_word*)t0)[3]);
/* library.scm:2114: ##sys#log-1 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[561]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[561]+1);
av2[1]=t3;
av2[2]=t4;
tp(3,av2);}}

/* k14125 in k14121 in scheme#atan in k8508 */
static void C_ccall f_14127(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(29,c,3)))){
C_save_and_reclaim((void *)f_14127,2,av);}
a=C_alloc(29);
t2=C_s_a_i_minus(&a,2,((C_word*)t0)[2],t1);
/* library.scm:2113: ##sys#/-2 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[526]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[526]+1);
av2[1]=((C_word*)t0)[3];
av2[2]=t2;
av2[3]=lf[569];
tp(4,av2);}}

/* k14140 in scheme#atan in k8508 */
static void C_ccall f_14142(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_14142,2,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_atan2(&a,2,((C_word*)t0)[3],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* ##sys#exact-integer-sqrt in k8508 */
static void C_ccall f_14152(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(10,c,4)))){
C_save_and_reclaim((void *)f_14152,3,av);}
a=C_alloc(10);
t3=C_fixnump(t2);
t4=(C_truep(t3)?C_fixnum_less_or_equal_p(t2,C_fix(4)):C_SCHEME_FALSE);
if(C_truep(t4)){
t5=t2;
t6=C_eqp(t5,C_fix(0));
t7=(C_truep(t6)?t6:C_eqp(t5,C_fix(1)));
if(C_truep(t7)){
/* library.scm:2129: scheme#values */{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=t1;
av2[2]=t2;
av2[3]=C_fix(0);
C_values(4,av2);}}
else{
switch(t5){
case C_fix(2):
/* library.scm:2130: scheme#values */{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fix(1);
av2[3]=C_fix(1);
C_values(4,av2);}
case C_fix(3):
/* library.scm:2131: scheme#values */{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fix(1);
av2[3]=C_fix(2);
C_values(4,av2);}
case C_fix(4):
/* library.scm:2132: scheme#values */{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fix(2);
av2[3]=C_fix(0);
C_values(4,av2);}
default:
/* library.scm:2133: chicken.base#error */
t8=*((C_word*)lf[193]+1);{
C_word *av2=av;
av2[0]=t8;
av2[1]=t1;
av2[2]=lf[584];
((C_proc)(void*)(*((C_word*)t8+1)))(3,av2);}}}}
else{
t5=t2;
t6=C_i_integer_length(t5);
t7=C_fixnum_plus(t6,C_fix(1));
t8=C_fixnum_shift_right(t7,C_fix(2));
t9=t8;
t10=C_fixnum_shift_left(t9,C_fix(1));
t11=t10;
t12=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_14225,a[2]=t2,a[3]=t11,a[4]=((C_word)li406),tmp=(C_word)a,a+=5,tmp);
t13=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_14237,a[2]=t9,a[3]=t2,a[4]=((C_word)li410),tmp=(C_word)a,a+=5,tmp);
/* library.scm:2134: ##sys#call-with-values */{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=t1;
av2[2]=t12;
av2[3]=t13;
C_call_with_values(4,av2);}}}

/* a14224 in ##sys#exact-integer-sqrt in k8508 */
static void C_ccall f_14225(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_14225,2,av);}
a=C_alloc(5);
t2=((C_word*)t0)[2];
t3=C_fixnum_negate(((C_word*)t0)[3]);
t4=C_s_a_i_arithmetic_shift(&a,2,t2,t3);
/* library.scm:2137: ##sys#exact-integer-sqrt */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[583]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[583]+1);
av2[1]=t1;
av2[2]=t4;
tp(3,av2);}}

/* a14236 in ##sys#exact-integer-sqrt in k8508 */
static void C_ccall f_14237(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(38,c,4)))){
C_save_and_reclaim((void *)f_14237,4,av);}
a=C_alloc(38);
t4=t2;
t5=t3;
t6=C_s_a_i_arithmetic_shift(&a,2,C_fix(1),((C_word*)t0)[2]);
t7=C_s_a_u_i_integer_minus(&a,2,t6,C_fix(1));
t8=((C_word*)t0)[3];
t9=C_s_a_i_bitwise_and(&a,2,t8,t7);
t10=t9;
t11=((C_word*)t0)[3];
t12=C_fixnum_negate(((C_word*)t0)[2]);
t13=C_s_a_i_arithmetic_shift(&a,2,t11,t12);
t14=C_s_a_i_bitwise_and(&a,2,t13,t7);
t15=t14;
t16=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_14256,a[2]=t5,a[3]=((C_word*)t0)[2],a[4]=t15,a[5]=t4,a[6]=((C_word)li408),tmp=(C_word)a,a+=7,tmp);
t17=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_14270,a[2]=t4,a[3]=((C_word*)t0)[2],a[4]=t10,a[5]=((C_word)li409),tmp=(C_word)a,a+=6,tmp);
/* library.scm:2134: ##sys#call-with-values */{
C_word *av2=av;
av2[0]=0;
av2[1]=t1;
av2[2]=t16;
av2[3]=t17;
C_call_with_values(4,av2);}}

/* a14255 in a14236 in ##sys#exact-integer-sqrt in k8508 */
static void C_ccall f_14256(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(18,c,3)))){
C_save_and_reclaim((void *)f_14256,2,av);}
a=C_alloc(18);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_u_integer_quotient_and_remainder,a[2]=((C_word)li407),tmp=(C_word)a,a+=3,tmp);
t3=C_s_a_i_arithmetic_shift(&a,2,((C_word*)t0)[2],((C_word*)t0)[3]);
t4=C_s_a_u_i_integer_plus(&a,2,t3,((C_word*)t0)[4]);
t5=C_s_a_i_arithmetic_shift(&a,2,((C_word*)t0)[5],C_fix(1));
/* library.scm:2134: g2583 */
t6=t2;{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t6;
av2[1]=t1;
av2[2]=t4;
av2[3]=t5;
((C_proc)C_fast_retrieve_proc(t6))(4,av2);}}

/* a14269 in a14236 in ##sys#exact-integer-sqrt in k8508 */
static void C_ccall f_14270(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(222,c,3)))){
C_save_and_reclaim((void *)f_14270,4,av);}
a=C_alloc(222);
t4=C_s_a_i_arithmetic_shift(&a,2,((C_word*)t0)[2],((C_word*)t0)[3]);
t5=C_s_a_i_plus(&a,2,t4,t2);
t6=C_s_a_i_arithmetic_shift(&a,2,t3,((C_word*)t0)[3]);
t7=C_s_a_i_times(&a,2,t2,t2);
t8=C_s_a_i_minus(&a,2,((C_word*)t0)[4],t7);
t9=C_s_a_i_plus(&a,2,t6,t8);
if(C_truep(C_i_negativep(t9))){
t10=C_s_a_i_minus(&a,2,t5,C_fix(1));
t11=C_s_a_i_arithmetic_shift(&a,2,t5,C_fix(1));
t12=C_s_a_i_plus(&a,2,t9,t11);
t13=C_s_a_i_minus(&a,2,t12,C_fix(1));
/* library.scm:2148: scheme#values */{
C_word *av2=av;
av2[0]=0;
av2[1]=t1;
av2[2]=t10;
av2[3]=t13;
C_values(4,av2);}}
else{
/* library.scm:2150: scheme#values */{
C_word *av2=av;
av2[0]=0;
av2[1]=t1;
av2[2]=t5;
av2[3]=t9;
C_values(4,av2);}}}

/* chicken.base#exact-integer-sqrt in k8508 */
static void C_ccall f_14317(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_14317,3,av);}
a=C_alloc(4);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14321,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:2154: ##sys#check-exact-uinteger */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[358]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[358]+1);
av2[1]=t3;
av2[2]=t2;
av2[3]=lf[586];
tp(4,av2);}}

/* k14319 in chicken.base#exact-integer-sqrt in k8508 */
static void C_ccall f_14321(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_14321,2,av);}
/* library.scm:2155: ##sys#exact-integer-sqrt */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[583]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[583]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}

/* ##sys#sqrt/loc in k8508 */
static void C_ccall f_14326(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(32,c,4)))){
C_save_and_reclaim((void *)f_14326,4,av);}
a=C_alloc(32);
if(C_truep(C_i_cplxnump(t3))){
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14336,a[2]=t1,a[3]=t3,tmp=(C_word)a,a+=4,tmp);
t5=t3;
t6=C_u_i_cplxnum_imag(t5);
t7=C_a_i_exact_to_inexact(&a,1,t6);
t8=C_u_i_cplxnum_real(t5);
t9=C_a_i_exact_to_inexact(&a,1,t8);
t10=C_flonum(&a,C_atan2(C_flonum_magnitude(t7),C_flonum_magnitude(t9)));
/* library.scm:2161: ##sys#/-2 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[526]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[526]+1);
av2[1]=t4;
av2[2]=t10;
av2[3]=C_fix(2);
tp(4,av2);}}
else{
t4=t3;
if(C_truep(C_i_negativep(t4))){
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_14372,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
t6=t3;
t7=C_s_a_i_negate(&a,1,t6);
/* library.scm:2166: scheme#exact->inexact */
t8=*((C_word*)lf[62]+1);{
C_word *av2=av;
av2[0]=t8;
av2[1]=t5;
av2[2]=t7;
((C_proc)(void*)(*((C_word*)t8+1)))(3,av2);}}
else{
t5=t3;
if(C_truep(C_i_exact_integerp(t5))){
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14383,a[2]=t3,a[3]=((C_word)li413),tmp=(C_word)a,a+=4,tmp);
t7=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14389,a[2]=t3,a[3]=((C_word)li414),tmp=(C_word)a,a+=4,tmp);
/* library.scm:2168: ##sys#call-with-values */{
C_word *av2=av;
av2[0]=0;
av2[1]=t1;
av2[2]=t6;
av2[3]=t7;
C_call_with_values(4,av2);}}
else{
if(C_truep(C_i_ratnump(t3))){
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14411,a[2]=t3,a[3]=((C_word)li415),tmp=(C_word)a,a+=4,tmp);
t7=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_14423,a[2]=t3,a[3]=t2,a[4]=((C_word)li418),tmp=(C_word)a,a+=5,tmp);
/* library.scm:2173: ##sys#call-with-values */{
C_word *av2=av;
av2[0]=0;
av2[1]=t1;
av2[2]=t6;
av2[3]=t7;
C_call_with_values(4,av2);}}
else{
t6=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_14475,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* library.scm:2181: scheme#exact->inexact */
t7=*((C_word*)lf[62]+1);{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
av2[2]=t3;
((C_proc)(void*)(*((C_word*)t7+1)))(3,av2);}}}}}}

/* k14334 in ##sys#sqrt/loc in k8508 */
static void C_ccall f_14336(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_14336,2,av);}
a=C_alloc(4);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14340,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:2162: scheme#magnitude */
t4=*((C_word*)lf[511]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k14338 in k14334 in ##sys#sqrt/loc in k8508 */
static void C_ccall f_14340(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,2)))){
C_save_and_reclaim((void *)f_14340,2,av);}
a=C_alloc(10);
t2=C_a_i_sqrt(&a,1,t1);
t3=t2;
t4=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_14349,a[2]=t3,a[3]=t2,a[4]=((C_word*)t0)[2],a[5]=((C_word*)t0)[3],tmp=(C_word)a,a+=6,tmp);
/* library.scm:2163: scheme#cos */
t5=*((C_word*)lf[570]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t5;
av2[1]=t4;
av2[2]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t5+1)))(3,av2);}}

/* k14347 in k14338 in k14334 in ##sys#sqrt/loc in k8508 */
static void C_ccall f_14349(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(38,c,2)))){
C_save_and_reclaim((void *)f_14349,2,av);}
a=C_alloc(38);
t2=C_s_a_i_times(&a,2,((C_word*)t0)[2],t1);
t3=((C_word*)t0)[3];
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_14355,a[2]=t3,a[3]=((C_word*)t0)[4],a[4]=t2,tmp=(C_word)a,a+=5,tmp);
/* library.scm:2163: scheme#sin */
t5=*((C_word*)lf[566]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t5;
av2[1]=t4;
av2[2]=((C_word*)t0)[5];
((C_proc)(void*)(*((C_word*)t5+1)))(3,av2);}}

/* k14353 in k14347 in k14338 in k14334 in ##sys#sqrt/loc in k8508 */
static void C_ccall f_14355(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(33,c,3)))){
C_save_and_reclaim((void *)f_14355,2,av);}
a=C_alloc(33);
t2=C_s_a_i_times(&a,2,((C_word*)t0)[2],t1);
/* library.scm:2163: make-complex */
f_12591(((C_word*)t0)[3],((C_word*)t0)[4],t2);}

/* k14370 in ##sys#sqrt/loc in k8508 */
static void C_ccall f_14372(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_14372,2,av);}
a=C_alloc(4);
t2=C_a_i_sqrt(&a,1,t1);
/* library.scm:2165: make-complex */
f_12591(((C_word*)t0)[2],lf[500],t2);}

/* a14382 in ##sys#sqrt/loc in k8508 */
static void C_ccall f_14383(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_14383,2,av);}
/* library.scm:2168: ##sys#exact-integer-sqrt */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[583]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[583]+1);
av2[1]=t1;
av2[2]=((C_word*)t0)[2];
tp(3,av2);}}

/* a14388 in ##sys#sqrt/loc in k8508 */
static void C_ccall f_14389(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_14389,4,av);}
a=C_alloc(3);
t4=C_eqp(C_fix(0),t3);
if(C_truep(t4)){
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_14400,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* library.scm:2171: scheme#exact->inexact */
t6=*((C_word*)lf[62]+1);{
C_word *av2=av;
av2[0]=t6;
av2[1]=t5;
av2[2]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t6+1)))(3,av2);}}}

/* k14398 in a14388 in ##sys#sqrt/loc in k8508 */
static void C_ccall f_14400(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_14400,2,av);}
a=C_alloc(4);
t2=C_a_i_sqrt(&a,1,t1);
t3=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* a14410 in ##sys#sqrt/loc in k8508 */
static void C_ccall f_14411(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_14411,2,av);}
t2=((C_word*)t0)[2];
t3=C_u_i_ratnum_num(t2);
/* library.scm:2173: ##sys#exact-integer-sqrt */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[583]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[583]+1);
av2[1]=t1;
av2[2]=t3;
tp(3,av2);}}

/* a14422 in ##sys#sqrt/loc in k8508 */
static void C_ccall f_14423(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(10,c,4)))){
C_save_and_reclaim((void *)f_14423,4,av);}
a=C_alloc(10);
t4=C_eqp(t3,C_fix(0));
if(C_truep(t4)){
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14435,a[2]=((C_word*)t0)[2],a[3]=((C_word)li416),tmp=(C_word)a,a+=4,tmp);
t6=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_14447,a[2]=t2,a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[2],a[5]=((C_word)li417),tmp=(C_word)a,a+=6,tmp);
/* library.scm:2175: ##sys#call-with-values */{
C_word *av2=av;
av2[0]=0;
av2[1]=t1;
av2[2]=t5;
av2[3]=t6;
C_call_with_values(4,av2);}}
else{
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14471,a[2]=t1,a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:2180: scheme#exact->inexact */
t6=*((C_word*)lf[62]+1);{
C_word *av2=av;
av2[0]=t6;
av2[1]=t5;
av2[2]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t6+1)))(3,av2);}}}

/* a14434 in a14422 in ##sys#sqrt/loc in k8508 */
static void C_ccall f_14435(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_14435,2,av);}
t2=((C_word*)t0)[2];
t3=C_u_i_ratnum_denom(t2);
/* library.scm:2176: ##sys#exact-integer-sqrt */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[583]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[583]+1);
av2[1]=t1;
av2[2]=t3;
tp(3,av2);}}

/* a14446 in a14422 in ##sys#sqrt/loc in k8508 */
static void C_ccall f_14447(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_14447,4,av);}
a=C_alloc(4);
t4=C_eqp(t3,C_fix(0));
if(C_truep(t4)){
/* library.scm:2178: ##sys#/-2 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[526]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[526]+1);
av2[1]=t1;
av2[2]=((C_word*)t0)[2];
av2[3]=t2;
tp(4,av2);}}
else{
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14464,a[2]=t1,a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:2179: scheme#exact->inexact */
t6=*((C_word*)lf[62]+1);{
C_word *av2=av;
av2[0]=t6;
av2[1]=t5;
av2[2]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t6+1)))(3,av2);}}}

/* k14462 in a14446 in a14422 in ##sys#sqrt/loc in k8508 */
static void C_ccall f_14464(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_14464,2,av);}
/* library.scm:2179: ##sys#sqrt/loc */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[577]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[577]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t1;
tp(4,av2);}}

/* k14469 in a14422 in ##sys#sqrt/loc in k8508 */
static void C_ccall f_14471(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_14471,2,av);}
/* library.scm:2180: ##sys#sqrt/loc */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[577]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[577]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t1;
tp(4,av2);}}

/* k14473 in ##sys#sqrt/loc in k8508 */
static void C_ccall f_14475(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_14475,2,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_sqrt(&a,1,t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* scheme#sqrt in k8508 */
static void C_ccall f_14477(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_14477,3,av);}
/* library.scm:2183: ##sys#sqrt/loc */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[577]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[577]+1);
av2[1]=t1;
av2[2]=lf[587];
av2[3]=t2;
tp(4,av2);}}

/* chicken.base#exact-integer-nth-root in k8508 */
static void C_ccall f_14483(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_14483,4,av);}
a=C_alloc(5);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_14487,a[2]=t1,a[3]=t2,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
/* library.scm:2187: ##sys#check-exact-uinteger */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[358]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[358]+1);
av2[1]=t4;
av2[2]=t2;
av2[3]=lf[590];
tp(4,av2);}}

/* k14485 in chicken.base#exact-integer-nth-root in k8508 */
static void C_ccall f_14487(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_14487,2,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_14490,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:2188: ##sys#check-exact-uinteger */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[358]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[358]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[4];
av2[3]=lf[590];
tp(4,av2);}}

/* k14488 in k14485 in chicken.base#exact-integer-nth-root in k8508 */
static void C_ccall f_14490(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_14490,2,av);}
/* library.scm:2189: ##sys#exact-integer-nth-root/loc */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[589]+1));
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[589]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=lf[590];
av2[3]=((C_word*)t0)[3];
av2[4]=((C_word*)t0)[4];
tp(5,av2);}}

/* ##sys#exact-integer-nth-root/loc in k8508 */
static void C_ccall f_14495(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_14495,5,av);}
a=C_alloc(5);
t5=C_eqp(C_fix(0),t3);
t6=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_14505,a[2]=t1,a[3]=t3,a[4]=t4,tmp=(C_word)a,a+=5,tmp);
if(C_truep(t5)){
t7=t6;
f_14505(t7,t5);}
else{
t7=C_eqp(C_fix(1),t3);
t8=t6;
f_14505(t8,(C_truep(t7)?t7:C_eqp(C_fix(1),t4)));}}

/* k14503 in ##sys#exact-integer-nth-root/loc in k8508 */
static void C_fcall f_14505(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(29,0,3)))){
C_save_and_reclaim_args((void *)trf_14505,2,t0,t1);}
a=C_alloc(29);
if(C_truep(t1)){
/* library.scm:2195: scheme#values */{
C_word av2[4];
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=C_fix(0);
C_values(4,av2);}}
else{
t2=((C_word*)t0)[3];
t3=C_i_integer_length(t2);
t4=((C_word*)t0)[4];
if(C_truep(C_i_lessp(t3,t4))){
t5=((C_word*)t0)[3];
t6=C_s_a_i_minus(&a,2,t5,C_fix(1));
/* library.scm:2198: scheme#values */{
C_word av2[4];
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=C_fix(1);
av2[3]=t6;
C_values(4,av2);}}
else{
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_14523,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[2],tmp=(C_word)a,a+=5,tmp);
t6=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_14578,a[2]=t5,tmp=(C_word)a,a+=3,tmp);
t7=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_14582,a[2]=t6,tmp=(C_word)a,a+=3,tmp);
t8=C_fixnum_plus(t3,C_fix(1));
t9=((C_word*)t0)[4];
/* ##sys#/-2 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[526]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[526]+1);
av2[1]=t7;
av2[2]=t8;
av2[3]=t9;
tp(4,av2);}}}}

/* k14521 in k14503 in ##sys#exact-integer-nth-root/loc in k8508 */
static void C_ccall f_14523(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(76,c,3)))){
C_save_and_reclaim((void *)f_14523,2,av);}
a=C_alloc(76);
t2=C_s_a_i_arithmetic_shift(&a,2,C_fix(1),t1);
t3=((C_word*)t0)[2];
t4=C_s_a_i_minus(&a,2,t3,C_fix(1));
t5=C_s_a_i_times(&a,2,t4,t2);
t6=((C_word*)t0)[3];
t7=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_14541,a[2]=t6,a[3]=t5,a[4]=((C_word*)t0)[2],a[5]=t4,a[6]=((C_word*)t0)[3],a[7]=((C_word*)t0)[4],a[8]=t2,tmp=(C_word)a,a+=9,tmp);
/* library.scm:2206: ##sys#integer-power */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[528]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[528]+1);
av2[1]=t7;
av2[2]=t2;
av2[3]=t4;
tp(4,av2);}}

/* k14539 in k14521 in k14503 in ##sys#exact-integer-nth-root/loc in k8508 */
static void C_ccall f_14541(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(48,c,4)))){
C_save_and_reclaim((void *)f_14541,2,av);}
a=C_alloc(48);
t2=C_s_a_i_quotient(&a,2,((C_word*)t0)[2],t1);
t3=C_s_a_i_plus(&a,2,((C_word*)t0)[3],t2);
t4=((C_word*)t0)[4];
t5=C_s_a_i_quotient(&a,2,t3,t4);
t6=C_SCHEME_UNDEFINED;
t7=(*a=C_VECTOR_TYPE|1,a[1]=t6,tmp=(C_word)a,a+=2,tmp);
t8=C_set_block_item(t7,0,(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_14544,a[2]=((C_word*)t0)[5],a[3]=((C_word*)t0)[6],a[4]=((C_word*)t0)[4],a[5]=t7,a[6]=((C_word)li422),tmp=(C_word)a,a+=7,tmp));
t9=((C_word*)t7)[1];
f_14544(t9,((C_word*)t0)[7],((C_word*)t0)[8],t5);}

/* lp in k14539 in k14521 in k14503 in ##sys#exact-integer-nth-root/loc in k8508 */
static void C_fcall f_14544(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(41,0,3)))){
C_save_and_reclaim_args((void *)trf_14544,4,t0,t1,t2,t3);}
a=C_alloc(41);
t4=t3;
t5=t2;
if(C_truep(C_i_lessp(t4,t5))){
t6=t3;
t7=C_s_a_i_times(&a,2,((C_word*)t0)[2],t6);
t8=((C_word*)t0)[3];
t9=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_14564,a[2]=t8,a[3]=t7,a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=t1,a[7]=t3,tmp=(C_word)a,a+=8,tmp);
/* library.scm:2211: ##sys#integer-power */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[528]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[528]+1);
av2[1]=t9;
av2[2]=t3;
av2[3]=((C_word*)t0)[2];
tp(4,av2);}}
else{
t6=((C_word*)t0)[3];
t7=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_14574,a[2]=t6,a[3]=t1,a[4]=t2,tmp=(C_word)a,a+=5,tmp);
/* library.scm:2213: ##sys#integer-power */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[528]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[528]+1);
av2[1]=t7;
av2[2]=t2;
av2[3]=((C_word*)t0)[4];
tp(4,av2);}}}

/* k14562 in lp in k14539 in k14521 in k14503 in ##sys#exact-integer-nth-root/loc in k8508 */
static void C_ccall f_14564(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(39,c,3)))){
C_save_and_reclaim((void *)f_14564,2,av);}
a=C_alloc(39);
t2=C_s_a_i_quotient(&a,2,((C_word*)t0)[2],t1);
t3=C_s_a_i_plus(&a,2,((C_word*)t0)[3],t2);
t4=((C_word*)t0)[4];
t5=C_s_a_i_quotient(&a,2,t3,t4);
/* library.scm:2209: lp */
t6=((C_word*)((C_word*)t0)[5])[1];
f_14544(t6,((C_word*)t0)[6],((C_word*)t0)[7],t5);}

/* k14572 in lp in k14539 in k14521 in k14503 in ##sys#exact-integer-nth-root/loc in k8508 */
static void C_ccall f_14574(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(29,c,3)))){
C_save_and_reclaim((void *)f_14574,2,av);}
a=C_alloc(29);
t2=C_s_a_i_minus(&a,2,((C_word*)t0)[2],t1);
/* library.scm:2213: scheme#values */{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=((C_word*)t0)[3];
av2[2]=((C_word*)t0)[4];
av2[3]=t2;
C_values(4,av2);}}

/* k14576 in k14503 in ##sys#exact-integer-nth-root/loc in k8508 */
static void C_ccall f_14578(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_14578,2,av);}
/* library.scm:2200: scheme#inexact->exact */
t2=*((C_word*)lf[518]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* k14580 in k14503 in ##sys#exact-integer-nth-root/loc in k8508 */
static void C_ccall f_14582(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_14582,2,av);}
/* library.scm:2200: scheme#ceiling */
t2=*((C_word*)lf[546]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* ##sys#integer-power in k8508 */
static void C_ccall f_14598(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,4)))){
C_save_and_reclaim((void *)f_14598,4,av);}
a=C_alloc(8);
t4=t3;
if(C_truep(C_i_negativep(t4))){
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_14615,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
t6=t3;
t7=C_s_a_u_i_integer_negate(&a,1,t6);
/* library.scm:2218: ##sys#integer-power */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[528]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[528]+1);
av2[1]=t5;
av2[2]=t2;
av2[3]=t7;
tp(4,av2);}}
else{
t5=C_SCHEME_UNDEFINED;
t6=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t7=C_set_block_item(t6,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_14626,a[2]=t6,a[3]=t2,a[4]=((C_word)li424),tmp=(C_word)a,a+=5,tmp));
t8=((C_word*)t6)[1];
f_14626(t8,t1,C_fix(1),t3);}}

/* k14613 in ##sys#integer-power in k8508 */
static void C_ccall f_14615(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_14615,2,av);}
/* library.scm:2218: ##sys#/-2 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[526]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[526]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=C_fix(1);
av2[3]=t1;
tp(4,av2);}}

/* lp in ##sys#integer-power in k8508 */
static void C_fcall f_14626(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(62,0,3)))){
C_save_and_reclaim_args((void *)trf_14626,4,t0,t1,t2,t3);}
a=C_alloc(62);
t4=C_eqp(t3,C_fix(0));
if(C_truep(t4)){
t5=t2;
t6=t1;{
C_word av2[2];
av2[0]=t6;
av2[1]=t5;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}
else{
t5=t3;
if(C_truep(C_i_evenp(t5))){
t6=t2;
t7=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14646,a[2]=t1,a[3]=t6,tmp=(C_word)a,a+=4,tmp);
t8=t3;
t9=C_s_a_i_arithmetic_shift(&a,2,t8,C_fix(-1));
/* library.scm:2223: lp */
t12=t7;
t13=C_fix(1);
t14=t9;
t1=t12;
t2=t13;
t3=t14;
goto loop;}
else{
t6=t2;
t7=((C_word*)t0)[3];
t8=C_s_a_i_times(&a,2,t6,t7);
t9=t3;
t10=C_s_a_i_minus(&a,2,t9,C_fix(1));
/* library.scm:2225: lp */
t12=t1;
t13=t8;
t14=t10;
t1=t12;
t2=t13;
t3=t14;
goto loop;}}}

/* k14644 in lp in ##sys#integer-power in k8508 */
static void C_ccall f_14646(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(66,c,1)))){
C_save_and_reclaim((void *)f_14646,2,av);}
a=C_alloc(66);
t2=C_s_a_i_times(&a,2,t1,t1);
t3=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_s_a_i_times(&a,2,((C_word*)t0)[3],t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#expt in k8508 */
static void C_ccall f_14660(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(17,c,4)))){
C_save_and_reclaim((void *)f_14660,4,av);}
a=C_alloc(17);
t4=C_SCHEME_UNDEFINED;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=C_SCHEME_UNDEFINED;
t7=(*a=C_VECTOR_TYPE|1,a[1]=t6,tmp=(C_word)a,a+=2,tmp);
t8=C_set_block_item(t5,0,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_14663,a[2]=((C_word)li426),tmp=(C_word)a,a+=3,tmp));
t9=C_set_block_item(t7,0,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_14675,a[2]=((C_word)li427),tmp=(C_word)a,a+=3,tmp));
t10=C_i_numberp(t2);
if(C_truep(C_i_not(t10))){
/* library.scm:2237: ##sys#error-bad-number */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[370]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[370]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=lf[591];
tp(4,av2);}}
else{
t11=C_i_numberp(t3);
if(C_truep(C_i_not(t11))){
/* library.scm:2238: ##sys#error-bad-number */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[370]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[370]+1);
av2[1]=t1;
av2[2]=t3;
av2[3]=lf[591];
tp(4,av2);}}
else{
t12=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_14718,a[2]=t1,a[3]=t2,a[4]=t3,a[5]=t5,a[6]=t7,tmp=(C_word)a,a+=7,tmp);
if(C_truep(C_i_ratnump(t2))){
t13=C_i_inexactp(t3);
t14=t12;
f_14718(t14,C_i_not(t13));}
else{
t13=t12;
f_14718(t13,C_SCHEME_FALSE);}}}}

/* log-expt in scheme#expt in k8508 */
static void C_fcall f_14663(C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,0,2)))){
C_save_and_reclaim_args((void *)trf_14663,3,t1,t2,t3);}
a=C_alloc(4);
t4=t3;
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14673,a[2]=t4,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
/* library.scm:2230: ##sys#log-1 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[561]+1));
C_word av2[3];
av2[0]=*((C_word*)lf[561]+1);
av2[1]=t5;
av2[2]=t2;
tp(3,av2);}}

/* k14671 in log-expt in scheme#expt in k8508 */
static void C_ccall f_14673(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(33,c,2)))){
C_save_and_reclaim((void *)f_14673,2,av);}
a=C_alloc(33);
t2=C_s_a_i_times(&a,2,((C_word*)t0)[2],t1);
/* library.scm:2230: scheme#exp */
t3=*((C_word*)lf[559]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t3;
av2[1]=((C_word*)t0)[3];
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}

/* slow-expt in scheme#expt in k8508 */
static void C_fcall f_14675(C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,0,6)))){
C_save_and_reclaim_args((void *)trf_14675,3,t1,t2,t3);}
a=C_alloc(4);
t4=C_eqp(C_fix(0),t2);
if(C_truep(t4)){
/* library.scm:2233: ##sys#signal-hook */
t5=C_fast_retrieve(lf[194]);{
C_word av2[7];
av2[0]=t5;
av2[1]=t1;
av2[2]=lf[562];
av2[3]=lf[591];
av2[4]=lf[592];
av2[5]=t2;
av2[6]=t3;
((C_proc)(void*)(*((C_word*)t5+1)))(7,av2);}}
else{
t5=t3;
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14694,a[2]=t5,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
/* library.scm:2236: ##sys#log-1 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[561]+1));
C_word av2[3];
av2[0]=*((C_word*)lf[561]+1);
av2[1]=t6;
av2[2]=t2;
tp(3,av2);}}}

/* k14692 in slow-expt in scheme#expt in k8508 */
static void C_ccall f_14694(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(33,c,2)))){
C_save_and_reclaim((void *)f_14694,2,av);}
a=C_alloc(33);
t2=C_s_a_i_times(&a,2,((C_word*)t0)[2],t1);
/* library.scm:2236: scheme#exp */
t3=*((C_word*)lf[559]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t3;
av2[1]=((C_word*)t0)[3];
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}

/* k14716 in scheme#expt in k8508 */
static void C_fcall f_14718(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,0,4)))){
C_save_and_reclaim_args((void *)trf_14718,2,t0,t1);}
a=C_alloc(11);
if(C_truep(t1)){
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_14722,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
t3=((C_word*)t0)[3];
t4=C_u_i_ratnum_num(t3);
/* library.scm:2242: scheme#expt */
t5=*((C_word*)lf[530]+1);{
C_word av2[4];
av2[0]=t5;
av2[1]=t2;
av2[2]=t4;
av2[3]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t5+1)))(4,av2);}}
else{
if(C_truep(C_i_ratnump(((C_word*)t0)[4]))){
t2=((C_word*)t0)[3];
if(C_truep(C_i_exact_integerp(t2))){
t3=((C_word*)t0)[3];
if(C_truep(C_i_negativep(t3))){
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_14761,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[5],a[4]=((C_word*)t0)[2],tmp=(C_word)a,a+=5,tmp);
/* library.scm:2249: scheme#exact->inexact */
t5=*((C_word*)lf[62]+1);{
C_word av2[3];
av2[0]=t5;
av2[1]=t4;
av2[2]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t5+1)))(3,av2);}}
else{
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_14768,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[3],a[4]=((C_word)li428),tmp=(C_word)a,a+=5,tmp);
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_14780,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[3],a[4]=((C_word)li429),tmp=(C_word)a,a+=5,tmp);
/* library.scm:2250: ##sys#call-with-values */{
C_word av2[4];
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=t4;
av2[3]=t5;
C_call_with_values(4,av2);}}}
else{
if(C_truep(C_i_flonump(((C_word*)t0)[3]))){
t3=((C_word*)t0)[4];
t4=C_a_i_exact_to_inexact(&a,1,t3);
/* library.scm:2259: log-expt */
f_14663(((C_word*)t0)[2],((C_word*)t0)[3],t4);}
else{
/* library.scm:2260: slow-expt */
f_14675(((C_word*)t0)[2],((C_word*)t0)[3],((C_word*)t0)[4]);}}}
else{
t2=C_i_cplxnump(((C_word*)t0)[4]);
t3=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_14824,a[2]=((C_word*)t0)[6],a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],tmp=(C_word)a,a+=7,tmp);
if(C_truep(t2)){
t4=t3;
f_14824(t4,t2);}
else{
if(C_truep(C_i_cplxnump(((C_word*)t0)[3]))){
t4=((C_word*)t0)[4];
t5=C_i_integerp(t4);
t6=t3;
f_14824(t6,C_i_not(t5));}
else{
t4=t3;
f_14824(t4,C_SCHEME_FALSE);}}}}}

/* k14720 in k14716 in scheme#expt in k8508 */
static void C_ccall f_14722(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(33,c,3)))){
C_save_and_reclaim((void *)f_14722,2,av);}
a=C_alloc(33);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14726,a[2]=t2,a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
t4=((C_word*)t0)[3];
t5=C_u_i_ratnum_denom(t4);
t6=((C_word*)t0)[4];
t7=C_s_a_i_negate(&a,1,t6);
/* library.scm:2243: scheme#expt */
t8=*((C_word*)lf[530]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t8;
av2[1]=t3;
av2[2]=t5;
av2[3]=t7;
((C_proc)(void*)(*((C_word*)t8+1)))(4,av2);}}

/* k14724 in k14720 in k14716 in scheme#expt in k8508 */
static void C_ccall f_14726(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(33,c,1)))){
C_save_and_reclaim((void *)f_14726,2,av);}
a=C_alloc(33);
t2=C_s_a_i_times(&a,2,((C_word*)t0)[2],t1);
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* k14759 in k14716 in scheme#expt in k8508 */
static void C_ccall f_14761(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,c,3)))){
C_save_and_reclaim((void *)f_14761,2,av);}
a=C_alloc(11);
t2=((C_word*)t0)[2];
t3=C_a_i_exact_to_inexact(&a,1,t2);
/* library.scm:2249: log-expt */
f_14663(((C_word*)t0)[4],t1,t3);}

/* a14767 in k14716 in scheme#expt in k8508 */
static void C_ccall f_14768(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_14768,2,av);}
t2=((C_word*)t0)[2];
t3=C_u_i_ratnum_denom(t2);
/* library.scm:2251: ##sys#exact-integer-nth-root/loc */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[589]+1));
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[589]+1);
av2[1]=t1;
av2[2]=lf[591];
av2[3]=((C_word*)t0)[3];
av2[4]=t3;
tp(5,av2);}}

/* a14779 in k14716 in scheme#expt in k8508 */
static void C_ccall f_14780(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_14780,4,av);}
a=C_alloc(4);
t4=C_eqp(t3,C_fix(0));
if(C_truep(t4)){
t5=((C_word*)t0)[2];
t6=C_u_i_ratnum_num(t5);
/* library.scm:2254: ##sys#integer-power */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[528]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[528]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=t6;
tp(4,av2);}}
else{
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14800,a[2]=t1,a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
/* library.scm:2256: scheme#exact->inexact */
t6=*((C_word*)lf[62]+1);{
C_word *av2=av;
av2[0]=t6;
av2[1]=t5;
av2[2]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t6+1)))(3,av2);}}}

/* k14798 in a14779 in k14716 in scheme#expt in k8508 */
static void C_ccall f_14800(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_14800,2,av);}
a=C_alloc(4);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14804,a[2]=t2,a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
/* library.scm:2257: scheme#exact->inexact */
t4=*((C_word*)lf[62]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k14802 in k14798 in a14779 in k14716 in scheme#expt in k8508 */
static void C_ccall f_14804(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_14804,2,av);}
a=C_alloc(4);
t2=C_a_i_flonum_expt(&a,2,((C_word*)t0)[2],t1);
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* k14822 in k14716 in scheme#expt in k8508 */
static void C_fcall f_14824(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,3)))){
C_save_and_reclaim_args((void *)trf_14824,2,t0,t1);}
a=C_alloc(6);
if(C_truep(t1)){
/* library.scm:2262: slow-expt */
f_14675(((C_word*)t0)[3],((C_word*)t0)[4],((C_word*)t0)[5]);}
else{
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_14833,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[6],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
if(C_truep(C_i_flonump(((C_word*)t0)[5]))){
t3=C_u_i_fpintegerp(((C_word*)t0)[5]);
t4=t2;
f_14833(t4,C_i_not(t3));}
else{
t3=t2;
f_14833(t3,C_SCHEME_FALSE);}}}

/* k14831 in k14822 in k14716 in scheme#expt in k8508 */
static void C_fcall f_14833(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,0,3)))){
C_save_and_reclaim_args((void *)trf_14833,2,t0,t1);}
a=C_alloc(7);
if(C_truep(t1)){
t2=((C_word*)t0)[2];
if(C_truep(C_i_negativep(t2))){
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_14844,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],tmp=(C_word)a,a+=5,tmp);
/* library.scm:2266: scheme#exact->inexact */
t4=*((C_word*)lf[62]+1);{
C_word av2[3];
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}
else{
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14852,a[2]=((C_word*)t0)[5],a[3]=((C_word*)t0)[4],tmp=(C_word)a,a+=4,tmp);
/* library.scm:2268: scheme#exact->inexact */
t4=*((C_word*)lf[62]+1);{
C_word av2[3];
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}}
else{
if(C_truep(C_i_flonump(((C_word*)t0)[2]))){
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14859,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[4],tmp=(C_word)a,a+=4,tmp);
/* library.scm:2270: scheme#exact->inexact */
t3=*((C_word*)lf[62]+1);{
C_word av2[3];
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[5];
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}
else{
t2=C_i_inexactp(((C_word*)t0)[2]);
t3=(C_truep(t2)?t2:C_i_inexactp(((C_word*)t0)[5]));
if(C_truep(t3)){
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_14875,a[2]=((C_word*)t0)[4],tmp=(C_word)a,a+=3,tmp);
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14879,a[2]=t4,a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
/* library.scm:2274: scheme#inexact->exact */
t6=*((C_word*)lf[518]+1);{
C_word av2[3];
av2[0]=t6;
av2[1]=t5;
av2[2]=((C_word*)t0)[5];
((C_proc)(void*)(*((C_word*)t6+1)))(3,av2);}}
else{
/* library.scm:2275: ##sys#integer-power */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[528]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[528]+1);
av2[1]=((C_word*)t0)[4];
av2[2]=((C_word*)t0)[2];
av2[3]=((C_word*)t0)[5];
tp(4,av2);}}}}}

/* k14842 in k14831 in k14822 in k14716 in scheme#expt in k8508 */
static void C_ccall f_14844(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_14844,2,av);}
a=C_alloc(5);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_14848,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t2,tmp=(C_word)a,a+=5,tmp);
/* library.scm:2266: scheme#exact->inexact */
t4=*((C_word*)lf[62]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k14846 in k14842 in k14831 in k14822 in k14716 in scheme#expt in k8508 */
static void C_ccall f_14848(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_14848,2,av);}
/* library.scm:2266: log-expt */
f_14663(((C_word*)t0)[3],((C_word*)t0)[4],t1);}

/* k14850 in k14831 in k14822 in k14716 in scheme#expt in k8508 */
static void C_ccall f_14852(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_14852,2,av);}
a=C_alloc(4);
t2=C_a_i_flonum_expt(&a,2,t1,((C_word*)t0)[2]);
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* k14857 in k14831 in k14822 in k14716 in scheme#expt in k8508 */
static void C_ccall f_14859(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_14859,2,av);}
a=C_alloc(4);
t2=C_a_i_flonum_expt(&a,2,((C_word*)t0)[2],t1);
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* k14873 in k14831 in k14822 in k14716 in scheme#expt in k8508 */
static void C_ccall f_14875(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_14875,2,av);}
/* library.scm:2274: scheme#exact->inexact */
t2=*((C_word*)lf[62]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* k14877 in k14831 in k14822 in k14716 in scheme#expt in k8508 */
static void C_ccall f_14879(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_14879,2,av);}
/* library.scm:2274: ##sys#integer-power */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[528]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[528]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t1;
tp(4,av2);}}

/* ##sys#internal-gcd in k8508 */
static void C_fcall f_14920(C_word t1,C_word t2,C_word t3,C_word t4){
C_word tmp;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,3)))){
C_save_and_reclaim_args((void *)trf_14920,4,t1,t2,t3,t4);}
a=C_alloc(5);
t5=t3;
if(C_truep(C_i_exact_integerp(t5))){
t6=t4;
if(C_truep(C_i_exact_integerp(t6))){
t7=t1;
t8=t3;
t9=t4;
t10=t7;{
C_word av2[2];
av2[0]=t10;
av2[1]=C_s_a_u_i_integer_gcd(&a,2,t8,t9);
((C_proc)(void*)(*((C_word*)t10+1)))(2,av2);}}
else{
t7=(C_truep(C_i_flonump(t4))?C_u_i_fpintegerp(t4):C_SCHEME_FALSE);
if(C_truep(t7)){
t8=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14953,a[2]=t3,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
/* library.scm:2283: scheme#inexact->exact */
t9=*((C_word*)lf[518]+1);{
C_word av2[3];
av2[0]=t9;
av2[1]=t8;
av2[2]=t4;
((C_proc)(void*)(*((C_word*)t9+1)))(3,av2);}}
else{
/* library.scm:2284: ##sys#error-bad-integer */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[355]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[355]+1);
av2[1]=t1;
av2[2]=t4;
av2[3]=t2;
tp(4,av2);}}}}
else{
t6=(C_truep(C_i_flonump(t3))?C_u_i_fpintegerp(t3):C_SCHEME_FALSE);
if(C_truep(t6)){
if(C_truep(C_i_flonump(t4))){
t7=C_a_i_flonum_gcd(&a,2,t3,t4);
t8=t1;{
C_word av2[2];
av2[0]=t8;
av2[1]=t7;
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}
else{
t7=t4;
if(C_truep(C_i_exact_integerp(t7))){
t8=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14982,a[2]=t4,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
/* library.scm:2290: scheme#inexact->exact */
t9=*((C_word*)lf[518]+1);{
C_word av2[3];
av2[0]=t9;
av2[1]=t8;
av2[2]=t3;
((C_proc)(void*)(*((C_word*)t9+1)))(3,av2);}}
else{
/* library.scm:2291: ##sys#error-bad-integer */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[355]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[355]+1);
av2[1]=t1;
av2[2]=t4;
av2[3]=t2;
tp(4,av2);}}}}
else{
/* library.scm:2292: ##sys#error-bad-integer */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[355]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[355]+1);
av2[1]=t1;
av2[2]=t3;
av2[3]=t2;
tp(4,av2);}}}}

/* k14951 in ##sys#internal-gcd in k8508 */
static void C_ccall f_14953(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_14953,2,av);}
a=C_alloc(5);
t2=((C_word*)t0)[2];
t3=C_s_a_u_i_integer_gcd(&a,2,t2,t1);
/* library.scm:2283: scheme#exact->inexact */
t4=*((C_word*)lf[62]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=((C_word*)t0)[3];
av2[2]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k14980 in ##sys#internal-gcd in k8508 */
static void C_ccall f_14982(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_14982,2,av);}
a=C_alloc(5);
t2=((C_word*)t0)[2];
t3=C_s_a_u_i_integer_gcd(&a,2,t1,t2);
/* library.scm:2290: scheme#exact->inexact */
t4=*((C_word*)lf[62]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=((C_word*)t0)[3];
av2[2]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* ##sys#gcd in k8508 */
static void C_ccall f_14990(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_14990,4,av);}
/* library.scm:2294: ##sys#internal-gcd */
f_14920(t1,lf[594],t2,t3);}

/* scheme#gcd in k8508 */
static void C_ccall f_14996(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +6,c,4)))){
C_save_and_reclaim((void*)f_14996,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+6);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
t3=C_eqp(t2,C_SCHEME_END_OF_LIST);
if(C_truep(t3)){
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_fix(0);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t4=C_slot(t2,C_fix(0));
t5=C_slot(t2,C_fix(1));
t6=C_SCHEME_UNDEFINED;
t7=(*a=C_VECTOR_TYPE|1,a[1]=t6,tmp=(C_word)a,a+=2,tmp);
t8=C_set_block_item(t7,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_15016,a[2]=t7,a[3]=((C_word)li433),tmp=(C_word)a,a+=4,tmp));
t9=((C_word*)t7)[1];
f_15016(t9,t1,t4,t5);}}

/* loop in scheme#gcd in k8508 */
static void C_fcall f_15016(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,0,4)))){
C_save_and_reclaim_args((void *)trf_15016,4,t0,t1,t2,t3);}
a=C_alloc(7);
if(C_truep(C_i_nullp(t3))){
t4=t2;
if(C_truep(C_i_integerp(t4))){
t5=t2;
t6=t1;{
C_word av2[2];
av2[0]=t6;
av2[1]=C_s_a_i_abs(&a,1,t5);
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}
else{
/* library.scm:2303: ##sys#error-bad-integer */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[355]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[355]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=lf[594];
tp(4,av2);}}}
else{
t4=C_slot(t3,C_fix(0));
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_15041,a[2]=t3,a[3]=((C_word*)t0)[2],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
/* library.scm:2305: ##sys#internal-gcd */
f_14920(t5,lf[594],t2,t4);}}

/* k15039 in loop in scheme#gcd in k8508 */
static void C_ccall f_15041(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_15041,2,av);}
t2=C_slot(((C_word*)t0)[2],C_fix(1));
/* library.scm:2305: loop */
t3=((C_word*)((C_word*)t0)[3])[1];
f_15016(t3,((C_word*)t0)[4],t1,t2);}

/* ##sys#lcm in k8508 */
static void C_ccall f_15047(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,4)))){
C_save_and_reclaim((void *)f_15047,4,av);}
a=C_alloc(5);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_15051,a[2]=t2,a[3]=t3,a[4]=t1,tmp=(C_word)a,a+=5,tmp);
/* library.scm:2309: ##sys#internal-gcd */
f_14920(t4,lf[597],t2,t3);}

/* k15049 in ##sys#lcm in k8508 */
static void C_ccall f_15051(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(45,c,1)))){
C_save_and_reclaim((void *)f_15051,2,av);}
a=C_alloc(45);
t2=((C_word*)t0)[2];
t3=((C_word*)t0)[3];
t4=C_s_a_i_times(&a,2,t2,t3);
t5=C_s_a_i_quotient(&a,2,t4,t1);
t6=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t6;
av2[1]=C_s_a_i_abs(&a,1,t5);
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}

/* scheme#lcm in k8508 */
static void C_ccall f_15058(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +6,c,4)))){
C_save_and_reclaim((void*)f_15058,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+6);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
if(C_truep(C_i_nullp(t2))){
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_fix(1);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
t3=C_slot(t2,C_fix(0));
t4=C_slot(t2,C_fix(1));
t5=C_SCHEME_UNDEFINED;
t6=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t7=C_set_block_item(t6,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_15078,a[2]=t6,a[3]=((C_word)li436),tmp=(C_word)a,a+=4,tmp));
t8=((C_word*)t6)[1];
f_15078(t8,t1,t3,t4);}}

/* loop in scheme#lcm in k8508 */
static void C_fcall f_15078(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,0,4)))){
C_save_and_reclaim_args((void *)trf_15078,4,t0,t1,t2,t3);}
a=C_alloc(7);
if(C_truep(C_i_nullp(t3))){
t4=t2;
if(C_truep(C_i_integerp(t4))){
t5=t2;
t6=t1;{
C_word av2[2];
av2[0]=t6;
av2[1]=C_s_a_i_abs(&a,1,t5);
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}
else{
/* library.scm:2319: ##sys#error-bad-integer */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[355]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[355]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=lf[597];
tp(4,av2);}}}
else{
t4=C_slot(t3,C_fix(0));
t5=t4;
t6=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_15099,a[2]=t2,a[3]=t5,a[4]=t3,a[5]=((C_word*)t0)[2],a[6]=t1,tmp=(C_word)a,a+=7,tmp);
/* library.scm:2321: ##sys#internal-gcd */
f_14920(t6,lf[597],t2,t5);}}

/* k15097 in loop in scheme#lcm in k8508 */
static void C_ccall f_15099(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(38,c,3)))){
C_save_and_reclaim((void *)f_15099,2,av);}
a=C_alloc(38);
t2=((C_word*)t0)[2];
t3=C_s_a_i_times(&a,2,t2,((C_word*)t0)[3]);
t4=C_s_a_i_quotient(&a,2,t3,t1);
t5=C_slot(((C_word*)t0)[4],C_fix(1));
/* library.scm:2322: loop */
t6=((C_word*)((C_word*)t0)[5])[1];
f_15078(t6,((C_word*)t0)[6],t4,t5);}

/* ##sys#integer->string/recursive in k8508 */
static void C_ccall f_15113(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,3)))){
C_save_and_reclaim((void *)f_15113,5,av);}
a=C_alloc(6);
t5=C_fixnum_plus(t4,C_fix(1));
t6=C_fixnum_shift_right(t5,C_fix(1));
t7=t6;
t8=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_15120,a[2]=t2,a[3]=t7,a[4]=t3,a[5]=t1,tmp=(C_word)a,a+=6,tmp);
/* library.scm:2329: ##sys#integer-power */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[528]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[528]+1);
av2[1]=t8;
av2[2]=t3;
av2[3]=t7;
tp(4,av2);}}

/* k15118 in ##sys#integer->string/recursive in k8508 */
static void C_ccall f_15120(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,4)))){
C_save_and_reclaim((void *)f_15120,2,av);}
a=C_alloc(10);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_15125,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word)li439),tmp=(C_word)a,a+=5,tmp);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_15131,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word)li440),tmp=(C_word)a,a+=5,tmp);
/* library.scm:2328: ##sys#call-with-values */{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=((C_word*)t0)[5];
av2[2]=t3;
av2[3]=t4;
C_call_with_values(4,av2);}}

/* a15124 in k15118 in ##sys#integer->string/recursive in k8508 */
static void C_ccall f_15125(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_15125,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_u_integer_quotient_and_remainder,a[2]=((C_word)li438),tmp=(C_word)a,a+=3,tmp);
/* library.scm:2328: g2768 */
t3=t2;{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=t1;
av2[2]=((C_word*)t0)[2];
av2[3]=((C_word*)t0)[3];
((C_proc)C_fast_retrieve_proc(t3))(4,av2);}}

/* a15130 in k15118 in ##sys#integer->string/recursive in k8508 */
static void C_ccall f_15131(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,3)))){
C_save_and_reclaim((void *)f_15131,4,av);}
a=C_alloc(6);
t4=t3;
t5=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_15135,a[2]=t1,a[3]=((C_word*)t0)[2],a[4]=t4,a[5]=((C_word*)t0)[3],tmp=(C_word)a,a+=6,tmp);
t6=((C_word*)t0)[3];
/* ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[600]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[600]+1);
av2[1]=t5;
av2[2]=t2;
av2[3]=t6;
tp(4,av2);}}

/* k15133 in a15130 in k15118 in ##sys#integer->string/recursive in k8508 */
static void C_ccall f_15135(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(12,c,3)))){
C_save_and_reclaim((void *)f_15135,2,av);}
a=C_alloc(12);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_15138,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
t4=C_s_a_i_abs(&a,1,((C_word*)t0)[4]);
t5=((C_word*)t0)[5];
/* ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[600]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[600]+1);
av2[1]=t3;
av2[2]=t4;
av2[3]=t5;
tp(4,av2);}}

/* k15136 in k15133 in a15130 in k15118 in ##sys#integer->string/recursive in k8508 */
static void C_ccall f_15138(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_15138,2,av);}
a=C_alloc(5);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_15145,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t2,tmp=(C_word)a,a+=5,tmp);
t4=C_block_size(t2);
t5=C_fixnum_difference(((C_word*)t0)[4],t4);
/* ##sys#make-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[376]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[376]+1);
av2[1]=t3;
av2[2]=t5;
av2[3]=C_make_character(48);
tp(4,av2);}}

/* k15143 in k15136 in k15133 in a15130 in k15118 in ##sys#integer->string/recursive in k8508 */
static void C_ccall f_15145(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_15145,2,av);}
/* library.scm:2334: scheme#string-append */
t2=*((C_word*)lf[413]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t1;
av2[4]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}

/* ##sys#extended-number->string in k8508 */
static void C_ccall f_15166(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_15166,4,av);}
a=C_alloc(5);
if(C_truep(C_i_ratnump(t2))){
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_15180,a[2]=t1,a[3]=t2,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
t5=t2;
t6=C_u_i_ratnum_num(t5);
t7=t3;
/* ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[600]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[600]+1);
av2[1]=t4;
av2[2]=t6;
av2[3]=t7;
tp(4,av2);}}
else{
if(C_truep(C_i_cplxnump(t2))){
t4=t2;
t5=C_u_i_cplxnum_real(t4);
t6=t2;
t7=C_u_i_cplxnum_imag(t6);
t8=t7;
t9=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_15221,a[2]=t8,a[3]=t1,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
t10=t3;
/* ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[600]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[600]+1);
av2[1]=t9;
av2[2]=t5;
av2[3]=t10;
tp(4,av2);}}
else{
/* library.scm:2356: ##sys#error-bad-number */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[370]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[370]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=lf[606];
tp(4,av2);}}}}

/* k15178 in ##sys#extended-number->string in k8508 */
static void C_ccall f_15180(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_15180,2,av);}
a=C_alloc(4);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_15184,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=((C_word*)t0)[3];
t5=C_u_i_ratnum_denom(t4);
t6=((C_word*)t0)[4];
/* ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[600]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[600]+1);
av2[1]=t3;
av2[2]=t5;
av2[3]=t6;
tp(4,av2);}}

/* k15182 in k15178 in ##sys#extended-number->string in k8508 */
static void C_ccall f_15184(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_15184,2,av);}
/* library.scm:2344: string-append */
t2=*((C_word*)lf[413]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=lf[602];
av2[4]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}

/* k15219 in ##sys#extended-number->string in k8508 */
static void C_ccall f_15221(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_15221,2,av);}
a=C_alloc(5);
t2=t1;
t3=(C_truep(C_i_finitep(((C_word*)t0)[2]))?(C_truep(C_i_positivep(((C_word*)t0)[2]))?lf[603]:lf[604]):lf[604]);
t4=t3;
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_15229,a[2]=((C_word*)t0)[3],a[3]=t2,a[4]=t4,tmp=(C_word)a,a+=5,tmp);
t6=((C_word*)t0)[4];
/* ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[600]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[600]+1);
av2[1]=t5;
av2[2]=((C_word*)t0)[2];
av2[3]=t6;
tp(4,av2);}}

/* k15227 in k15219 in ##sys#extended-number->string in k8508 */
static void C_ccall f_15229(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,5)))){
C_save_and_reclaim((void *)f_15229,2,av);}
/* library.scm:2351: string-append */
t2=*((C_word*)lf[413]+1);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=((C_word*)t0)[4];
av2[4]=t1;
av2[5]=lf[605];
((C_proc)(void*)(*((C_word*)t2+1)))(6,av2);}}

/* k15254 in safe-exponent in ##sys#string->compnum in k8508 */
static void C_ccall f_15256(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(44,c,1)))){
C_save_and_reclaim((void *)f_15256,2,av);}
a=C_alloc(44);
t2=C_s_a_i_times(&a,2,((C_word*)t0)[2],t1);
t3=C_a_i_exact_to_inexact(&a,1,t2);
t4=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* k15257 in safe-exponent in ##sys#string->compnum in k8508 */
static void C_ccall f_15259(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(13,c,3)))){
C_save_and_reclaim((void *)f_15259,2,av);}
a=C_alloc(13);
t2=t1;
t3=C_i_integer_length(((C_word*)t0)[2]);
t4=C_i_integer_length(t2);
t5=C_fixnum_difference(t3,t4);
t6=C_fixnum_difference(t5,*((C_word*)lf[425]+1));
t7=t6;
t8=(*a=C_VECTOR_TYPE|1,a[1]=t7,tmp=(C_word)a,a+=2,tmp);
if(C_truep(C_fixnum_lessp(((C_word*)t8)[1],C_fix(0)))){
t9=C_fixnum_negate(((C_word*)t8)[1]);
t10=C_s_a_i_arithmetic_shift(&a,2,((C_word*)t0)[2],t9);
t11=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_15276,a[2]=t8,a[3]=((C_word*)t0)[3],a[4]=t2,a[5]=t10,tmp=(C_word)a,a+=6,tmp);
/* library.scm:2375: round-quotient */
f_15333(t11,t10,t2);}
else{
t9=((C_word*)t0)[2];
t10=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_15308,a[2]=((C_word*)t0)[3],a[3]=t9,tmp=(C_word)a,a+=4,tmp);
/* library.scm:2382: ##sys#integer-power */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[528]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[528]+1);
av2[1]=t10;
av2[2]=C_fix(10);
av2[3]=((C_word*)t0)[4];
tp(4,av2);}}}

/* k15274 in k15257 in safe-exponent in ##sys#string->compnum in k8508 */
static void C_ccall f_15276(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(44,c,3)))){
C_save_and_reclaim((void *)f_15276,2,av);}
a=C_alloc(44);
t2=t1;
t3=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_15279,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t3,tmp=(C_word)a,a+=5,tmp);
t5=((C_word*)t3)[1];
t6=C_i_integer_length(t5);
t7=*((C_word*)lf[425]+1);
if(C_truep(C_fixnum_greaterp(t6,*((C_word*)lf[425]+1)))){
t8=C_fixnum_plus(C_fix(1),((C_word*)((C_word*)t0)[2])[1]);
t9=C_set_block_item(((C_word*)t0)[2],0,t8);
t10=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_15297,a[2]=t3,a[3]=t4,tmp=(C_word)a,a+=4,tmp);
t11=C_s_a_i_times(&a,2,((C_word*)t0)[4],C_fix(2));
/* library.scm:2379: round-quotient */
f_15333(t10,((C_word*)t0)[5],t11);}
else{
t8=t4;
f_15279(t8,C_SCHEME_UNDEFINED);}}

/* k15277 in k15274 in k15257 in safe-exponent in ##sys#string->compnum in k8508 */
static void C_fcall f_15279(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,0,2)))){
C_save_and_reclaim_args((void *)trf_15279,2,t0,t1);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_15286,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:2380: scheme#exact->inexact */
t3=*((C_word*)lf[62]+1);{
C_word av2[3];
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)((C_word*)t0)[4])[1];
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}

/* k15284 in k15277 in k15274 in k15257 in safe-exponent in ##sys#string->compnum in k8508 */
static void C_ccall f_15286(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,1)))){
C_save_and_reclaim((void *)f_15286,2,av);}
a=C_alloc(6);
t2=((C_word*)((C_word*)t0)[2])[1];
t3=C_a_i_bytevector(&a,1,C_fix(4));
t4=C_i_foreign_flonum_argumentp(t1);
t5=C_i_foreign_fixnum_argumentp(t2);
t6=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t6;
av2[1]=stub2822(t3,t4,t5);
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}

/* k15295 in k15274 in k15257 in safe-exponent in ##sys#string->compnum in k8508 */
static void C_ccall f_15297(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_15297,2,av);}
t2=C_mutate(((C_word *)((C_word*)t0)[2])+1,t1);
t3=((C_word*)t0)[3];
f_15279(t3,t2);}

/* k15306 in k15257 in safe-exponent in ##sys#string->compnum in k8508 */
static void C_ccall f_15308(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(33,c,1)))){
C_save_and_reclaim((void *)f_15308,2,av);}
a=C_alloc(33);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_s_a_i_times(&a,2,((C_word*)t0)[3],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* round-quotient in k8508 */
static void C_fcall f_15333(C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(63,0,3)))){
C_save_and_reclaim_args((void *)trf_15333,3,t1,t2,t3);}
a=C_alloc(63);
t4=t2;
t5=t3;
t6=C_s_a_u_i_integer_quotient(&a,2,t4,t5);
t7=t6;
t8=(C_truep(C_i_evenp(t7))?*((C_word*)lf[73]+1):*((C_word*)lf[75]+1));
t9=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_15348,a[2]=t2,a[3]=t3,a[4]=t7,a[5]=t1,tmp=(C_word)a,a+=6,tmp);
t10=t2;
t11=t3;
t12=C_s_a_i_remainder(&a,2,t10,t11);
t13=C_s_a_i_abs(&a,1,t12);
t14=C_s_a_i_times(&a,2,t13,C_fix(2));
t15=t3;
t16=C_s_a_i_abs(&a,1,t15);
/* library.scm:2389: g2835 */
t17=t8;{
C_word av2[4];
av2[0]=t17;
av2[1]=t9;
av2[2]=t14;
av2[3]=t16;
((C_proc)(void*)(*((C_word*)t17+1)))(4,av2);}}

/* k15346 in round-quotient in k8508 */
static void C_ccall f_15348(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(29,c,1)))){
C_save_and_reclaim((void *)f_15348,2,av);}
a=C_alloc(29);
if(C_truep(t1)){
t2=((C_word*)t0)[2];
t3=C_i_negativep(t2);
t4=((C_word*)t0)[3];
t5=C_i_negativep(t4);
t6=C_eqp(t3,t5);
if(C_truep(t6)){
t7=C_s_a_i_plus(&a,2,((C_word*)t0)[4],C_fix(1));
t8=((C_word*)t0)[5];{
C_word *av2=av;
av2[0]=t8;
av2[1]=t7;
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}
else{
t7=C_s_a_i_plus(&a,2,((C_word*)t0)[4],C_fix(-1));
t8=((C_word*)t0)[5];{
C_word *av2=av;
av2[0]=t8;
av2[1]=t7;
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}}
else{
t2=((C_word*)t0)[5];{
C_word *av2=av;
av2[0]=t2;
av2[1]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}}

/* ##sys#string->compnum in k8508 */
static void C_fcall f_15371(C_word t1,C_word t2,C_word t3,C_word t4,C_word t5){
C_word tmp;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word t19;
C_word t20;
C_word t21;
C_word t22;
C_word t23;
C_word t24;
C_word t25;
C_word t26;
C_word t27;
C_word t28;
C_word t29;
C_word t30;
C_word t31;
C_word t32;
C_word t33;
C_word t34;
C_word t35;
C_word t36;
C_word t37;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(83,0,5)))){
C_save_and_reclaim_args((void *)trf_15371,5,t1,t2,t3,t4,t5);}
a=C_alloc(83);
t6=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t7=C_SCHEME_UNDEFINED;
t8=(*a=C_VECTOR_TYPE|1,a[1]=t7,tmp=(C_word)a,a+=2,tmp);
t9=C_SCHEME_UNDEFINED;
t10=(*a=C_VECTOR_TYPE|1,a[1]=t9,tmp=(C_word)a,a+=2,tmp);
t11=C_set_block_item(t8,0,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_15374,a[2]=t6,tmp=(C_word)a,a+=3,tmp));
t12=C_set_block_item(t10,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_15384,a[2]=t6,a[3]=((C_word)li444),tmp=(C_word)a,a+=4,tmp));
t13=C_block_size(t3);
t14=t13;
t15=C_fixnum_difference(t2,C_fix(1));
t16=C_fixnum_plus(C_fix(48),t15);
t17=C_make_character(C_unfix(t16));
t18=t17;
t19=C_fixnum_difference(t2,C_fix(11));
t20=C_fixnum_plus(C_fix(97),t19);
t21=C_make_character(C_unfix(t20));
t22=t21;
t23=C_fixnum_difference(t2,C_fix(11));
t24=C_fixnum_plus(C_fix(65),t23);
t25=C_make_character(C_unfix(t24));
t26=t25;
t27=C_SCHEME_FALSE;
t28=(*a=C_VECTOR_TYPE|1,a[1]=t27,tmp=(C_word)a,a+=2,tmp);
t29=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_15458,a[2]=t14,a[3]=t3,a[4]=t2,a[5]=t18,a[6]=t22,a[7]=t26,a[8]=((C_word)li446),tmp=(C_word)a,a+=9,tmp);
t30=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_15566,a[2]=t14,a[3]=t3,a[4]=((C_word)li448),tmp=(C_word)a,a+=5,tmp);
t31=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_15616,a[2]=t3,a[3]=t2,a[4]=t28,a[5]=t8,a[6]=t30,a[7]=t29,a[8]=((C_word)li449),tmp=(C_word)a,a+=9,tmp);
t32=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_15672,a[2]=t14,a[3]=t3,a[4]=t8,a[5]=t2,a[6]=t29,a[7]=((C_word)li450),tmp=(C_word)a,a+=8,tmp);
t33=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_15733,a[2]=t14,a[3]=t10,a[4]=t32,a[5]=t3,a[6]=t31,a[7]=((C_word)li451),tmp=(C_word)a,a+=8,tmp);
t34=(*a=C_CLOSURE_TYPE|12,a[1]=(C_word)f_15945,a[2]=t8,a[3]=t33,a[4]=t2,a[5]=t14,a[6]=t10,a[7]=t32,a[8]=t28,a[9]=t6,a[10]=t31,a[11]=t3,a[12]=((C_word)li452),tmp=(C_word)a,a+=13,tmp);
t35=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_16288,a[2]=t14,a[3]=t3,a[4]=t34,a[5]=t8,a[6]=((C_word)li453),tmp=(C_word)a,a+=7,tmp);
t36=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_16520,a[2]=t6,a[3]=t1,a[4]=t14,a[5]=t3,a[6]=t4,a[7]=t28,a[8]=t35,tmp=(C_word)a,a+=9,tmp);
/* library.scm:2571: scan-real */
t37=t35;
f_16288(t37,t36,t4);}

/* go-inexact! in ##sys#string->compnum in k8508 */
static C_word C_fcall f_15374(C_word t0){
C_word tmp;
C_word t1;
C_word t2;
C_word t3;
C_stack_overflow_check;{}
t1=C_eqp(((C_word*)((C_word*)t0)[2])[1],lf[609]);
if(C_truep(t1)){
t2=C_SCHEME_UNDEFINED;
return(t2);}
else{
t2=C_mutate(((C_word *)((C_word*)t0)[2])+1,lf[610]);
return(t2);}}

/* safe-exponent in ##sys#string->compnum in k8508 */
static void C_fcall f_15384(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(12,0,3)))){
C_save_and_reclaim_args((void *)trf_15384,4,t0,t1,t2,t3);}
a=C_alloc(12);
if(C_truep(t3)){
if(C_truep(C_i_not(t2))){
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=C_fix(0);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t4=t3;
if(C_truep(C_i_greaterp(t4,C_fix(10000)))){
t5=C_eqp(((C_word*)((C_word*)t0)[2])[1],lf[610]);
if(C_truep(t5)){
t6=t2;
if(C_truep(C_i_zerop(t6))){
t7=t1;{
C_word av2[2];
av2[0]=t7;
av2[1]=lf[500];
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
t7=t2;
t8=t1;{
C_word av2[2];
av2[0]=t8;
av2[1]=(C_truep(C_i_greaterp(t7,lf[500]))?lf[611]:lf[612]);
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}}
else{
t6=t1;{
C_word av2[2];
av2[0]=t6;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}}
else{
t5=t3;
t6=C_fixnum_negate(C_fix(10000));
if(C_truep(C_i_lessp(t5,t6))){
t7=C_eqp(((C_word*)((C_word*)t0)[2])[1],lf[610]);
t8=t1;{
C_word av2[2];
av2[0]=t8;
av2[1]=(C_truep(t7)?lf[500]:C_SCHEME_FALSE);
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}
else{
t7=C_eqp(((C_word*)((C_word*)t0)[2])[1],lf[610]);
if(C_truep(t7)){
t8=t1;
t9=t2;
t10=t3;
t11=C_i_negativep(t10);
if(C_truep(C_i_not(t11))){
t12=t9;
t13=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_15256,a[2]=t12,a[3]=t8,tmp=(C_word)a,a+=4,tmp);
/* library.scm:2368: ##sys#integer-power */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[528]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[528]+1);
av2[1]=t13;
av2[2]=C_fix(10);
av2[3]=t10;
tp(4,av2);}}
else{
t12=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_15259,a[2]=t9,a[3]=t8,a[4]=t10,tmp=(C_word)a,a+=5,tmp);
t13=C_s_a_i_abs(&a,1,t10);
/* library.scm:2369: ##sys#integer-power */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[528]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[528]+1);
av2[1]=t12;
av2[2]=C_fix(10);
av2[3]=t13;
tp(4,av2);}}}
else{
t8=t2;
t9=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_15442,a[2]=t8,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
/* library.scm:2410: ##sys#integer-power */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[528]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[528]+1);
av2[1]=t9;
av2[2]=C_fix(10);
av2[3]=t3;
tp(4,av2);}}}}}}
else{
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* k15440 in safe-exponent in ##sys#string->compnum in k8508 */
static void C_ccall f_15442(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(33,c,1)))){
C_save_and_reclaim((void *)f_15442,2,av);}
a=C_alloc(33);
t2=C_s_a_i_times(&a,2,((C_word*)t0)[2],t1);
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scan-digits in ##sys#string->compnum in k8508 */
static void C_fcall f_15458(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(13,0,3)))){
C_save_and_reclaim_args((void *)trf_15458,3,t0,t1,t2);}
a=C_alloc(13);
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|10,a[1]=(C_word)f_15464,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],a[7]=t4,a[8]=((C_word*)t0)[6],a[9]=((C_word*)t0)[7],a[10]=((C_word)li445),tmp=(C_word)a,a+=11,tmp));
t6=((C_word*)t4)[1];
f_15464(t6,t1,t2);}

/* lp in scan-digits in ##sys#string->compnum in k8508 */
static void C_fcall f_15464(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(6,0,2)))){
C_save_and_reclaim_args((void *)trf_15464,3,t0,t1,t2);}
a=C_alloc(6);
t3=C_eqp(t2,((C_word*)t0)[2]);
if(C_truep(t3)){
t4=C_fixnum_greaterp(t2,((C_word*)t0)[3]);
t5=t1;{
C_word av2[2];
av2[0]=t5;
av2[1]=(C_truep(t4)?C_a_i_cons(&a,2,t2,C_SCHEME_FALSE):C_SCHEME_FALSE);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t4=((C_word*)t0)[4];
t5=t2;
t6=C_subchar(t4,t5);
if(C_truep(C_fixnum_less_or_equal_p(((C_word*)t0)[5],C_fix(10)))){
t7=C_i_char_greater_or_equal_p(t6,C_make_character(48));
t8=(C_truep(t7)?C_u_i_char_less_or_equal_p(t6,((C_word*)t0)[6]):C_SCHEME_FALSE);
if(C_truep(t8)){
t9=C_fixnum_plus(t2,C_fix(1));
/* library.scm:2434: lp */
t12=t1;
t13=t9;
t1=t12;
t2=t13;
goto loop;}
else{
t9=C_fixnum_greaterp(t2,((C_word*)t0)[3]);
t10=t1;{
C_word av2[2];
av2[0]=t10;
av2[1]=(C_truep(t9)?C_a_i_cons(&a,2,t2,t2):C_SCHEME_FALSE);
((C_proc)(void*)(*((C_word*)t10+1)))(2,av2);}}}
else{
t7=C_i_char_greater_or_equal_p(t6,C_make_character(48));
t8=(C_truep(t7)?C_u_i_char_less_or_equal_p(t6,C_make_character(57)):C_SCHEME_FALSE);
t9=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_15527,a[2]=t2,a[3]=((C_word*)t0)[7],a[4]=t1,a[5]=((C_word*)t0)[3],tmp=(C_word)a,a+=6,tmp);
if(C_truep(t8)){
t10=t9;
f_15527(t10,t8);}
else{
t10=(C_truep(C_u_i_char_greater_or_equal_p(t6,C_make_character(97)))?C_u_i_char_less_or_equal_p(t6,((C_word*)t0)[8]):C_SCHEME_FALSE);
t11=t9;
f_15527(t11,(C_truep(t10)?t10:(C_truep(C_u_i_char_greater_or_equal_p(t6,C_make_character(65)))?C_u_i_char_less_or_equal_p(t6,((C_word*)t0)[9]):C_SCHEME_FALSE)));}}}}

/* k15525 in lp in scan-digits in ##sys#string->compnum in k8508 */
static void C_fcall f_15527(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,0,2)))){
C_save_and_reclaim_args((void *)trf_15527,2,t0,t1);}
a=C_alloc(3);
if(C_truep(t1)){
t2=C_fixnum_plus(((C_word*)t0)[2],C_fix(1));
/* library.scm:2439: lp */
t3=((C_word*)((C_word*)t0)[3])[1];
f_15464(t3,((C_word*)t0)[4],t2);}
else{
t2=C_fixnum_greaterp(((C_word*)t0)[2],((C_word*)t0)[5]);
t3=((C_word*)t0)[4];{
C_word av2[2];
av2[0]=t3;
av2[1]=(C_truep(t2)?C_a_i_cons(&a,2,((C_word*)t0)[2],((C_word*)t0)[2]):C_SCHEME_FALSE);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* scan-hashes in ##sys#string->compnum in k8508 */
static void C_fcall f_15566(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,0,3)))){
C_save_and_reclaim_args((void *)trf_15566,3,t0,t1,t2);}
a=C_alloc(9);
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_15572,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word*)t0)[3],a[5]=t4,a[6]=((C_word)li447),tmp=(C_word)a,a+=7,tmp));
t6=((C_word*)t4)[1];
f_15572(t6,t1,t2);}

/* lp in scan-hashes in ##sys#string->compnum in k8508 */
static void C_fcall f_15572(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(3,0,2)))){
C_save_and_reclaim_args((void *)trf_15572,3,t0,t1,t2);}
a=C_alloc(3);
t3=C_eqp(t2,((C_word*)t0)[2]);
if(C_truep(t3)){
t4=C_fixnum_greaterp(t2,((C_word*)t0)[3]);
t5=t1;{
C_word av2[2];
av2[0]=t5;
av2[1]=(C_truep(t4)?C_a_i_cons(&a,2,t2,C_SCHEME_FALSE):C_SCHEME_FALSE);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t4=((C_word*)t0)[4];
t5=t2;
t6=C_subchar(t4,t5);
t7=C_eqp(t6,C_make_character(35));
if(C_truep(t7)){
t8=C_fixnum_plus(t2,C_fix(1));
/* library.scm:2448: lp */
t10=t1;
t11=t8;
t1=t10;
t2=t11;
goto loop;}
else{
t8=C_fixnum_greaterp(t2,((C_word*)t0)[3]);
t9=t1;{
C_word av2[2];
av2[0]=t9;
av2[1]=(C_truep(t8)?C_a_i_cons(&a,2,t2,t2):C_SCHEME_FALSE);
((C_proc)(void*)(*((C_word*)t9+1)))(2,av2);}}}}

/* scan-digits+hashes in ##sys#string->compnum in k8508 */
static void C_fcall f_15616(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4){
C_word tmp;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,0,2)))){
C_save_and_reclaim_args((void *)trf_15616,5,t0,t1,t2,t3,t4);}
a=C_alloc(11);
t5=(*a=C_CLOSURE_TYPE|10,a[1]=(C_word)f_15620,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word*)t0)[3],a[5]=t3,a[6]=((C_word*)t0)[4],a[7]=((C_word*)t0)[5],a[8]=t1,a[9]=((C_word*)t0)[6],a[10]=t4,tmp=(C_word)a,a+=11,tmp);
if(C_truep(C_i_not(((C_word*)((C_word*)t0)[4])[1]))){
/* library.scm:2452: scan-digits */
t6=((C_word*)t0)[7];
f_15458(t6,t5,t2);}
else{
t6=t5;{
C_word av2[2];
av2[0]=t6;
av2[1]=C_SCHEME_FALSE;
f_15620(2,av2);}}}

/* k15618 in scan-digits+hashes in ##sys#string->compnum in k8508 */
static void C_ccall f_15620(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,2)))){
C_save_and_reclaim((void *)f_15620,2,av);}
a=C_alloc(10);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|9,a[1]=(C_word)f_15623,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],a[7]=((C_word*)t0)[6],a[8]=((C_word*)t0)[7],a[9]=((C_word*)t0)[8],tmp=(C_word)a,a+=10,tmp);
if(C_truep(t2)){
if(C_truep(C_i_cdr(t2))){
t4=C_u_i_cdr(t2);
/* library.scm:2454: scan-hashes */
t5=((C_word*)t0)[9];
f_15566(t5,t3,t4);}
else{
t4=t3;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_SCHEME_FALSE;
f_15623(2,av2);}}}
else{
if(C_truep(((C_word*)t0)[10])){
/* library.scm:2455: scan-hashes */
t4=((C_word*)t0)[9];
f_15566(t4,t3,((C_word*)t0)[3]);}
else{
t4=t3;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_SCHEME_FALSE;
f_15623(2,av2);}}}}

/* k15621 in k15618 in scan-digits+hashes in ##sys#string->compnum in k8508 */
static void C_ccall f_15623(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,1)))){
C_save_and_reclaim((void *)f_15623,2,av);}
a=C_alloc(8);
t2=(C_truep(t1)?t1:((C_word*)t0)[2]);
if(C_truep(t2)){
t3=C_i_car(t2);
t4=C_s_a_i_digits_to_integer(&a,5,((C_word*)t0)[3],((C_word*)t0)[4],t3,((C_word*)t0)[5],((C_word*)t0)[6]);
if(C_truep(t4)){
if(C_truep(t1)){
t5=C_set_block_item(((C_word*)t0)[7],0,C_SCHEME_TRUE);
t6=(
/* library.scm:2463: go-inexact! */
  f_15374(((C_word*)((C_word*)t0)[8])[1])
);
t7=C_u_i_cdr(t2);
t8=((C_word*)t0)[9];{
C_word *av2=av;
av2[0]=t8;
av2[1]=C_a_i_cons(&a,2,t4,t7);
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}
else{
t5=C_u_i_cdr(t2);
t6=((C_word*)t0)[9];{
C_word *av2=av;
av2[0]=t6;
av2[1]=C_a_i_cons(&a,2,t4,t5);
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}}
else{
t5=((C_word*)t0)[9];{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}
else{
t3=((C_word*)t0)[9];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* scan-exponent in ##sys#string->compnum in k8508 */
static void C_fcall f_15672(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,0,2)))){
C_save_and_reclaim_args((void *)trf_15672,3,t0,t1,t2);}
a=C_alloc(8);
if(C_truep(C_fixnum_lessp(t2,((C_word*)t0)[2]))){
t3=((C_word*)t0)[3];
t4=t2;
t5=C_subchar(t3,t4);
t6=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_15687,a[2]=t2,a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[5],a[6]=t1,a[7]=((C_word*)t0)[6],tmp=(C_word)a,a+=8,tmp);
t7=C_eqp(t5,C_make_character(43));
if(C_truep(t7)){
t8=t6;
f_15687(t8,lf[614]);}
else{
t8=C_eqp(t5,C_make_character(45));
t9=t6;
f_15687(t9,(C_truep(t8)?lf[613]:C_SCHEME_FALSE));}}
else{
t3=t1;{
C_word av2[2];
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k15685 in scan-exponent in ##sys#string->compnum in k8508 */
static void C_fcall f_15687(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,0,2)))){
C_save_and_reclaim_args((void *)trf_15687,2,t0,t1);}
a=C_alloc(8);
t2=t1;
t3=(C_truep(t2)?C_fixnum_plus(((C_word*)t0)[2],C_fix(1)):((C_word*)t0)[2]);
t4=t3;
if(C_truep(t4)){
t5=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_15696,a[2]=((C_word*)t0)[3],a[3]=t2,a[4]=((C_word*)t0)[4],a[5]=t4,a[6]=((C_word*)t0)[5],a[7]=((C_word*)t0)[6],tmp=(C_word)a,a+=8,tmp);
/* library.scm:2471: scan-digits */
t6=((C_word*)t0)[7];
f_15458(t6,t5,t4);}
else{
t5=((C_word*)t0)[6];{
C_word av2[2];
av2[0]=t5;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* k15694 in k15685 in scan-exponent in ##sys#string->compnum in k8508 */
static void C_ccall f_15696(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,1)))){
C_save_and_reclaim((void *)f_15696,2,av);}
a=C_alloc(8);
if(C_truep(t1)){
t2=(
/* library.scm:2472: go-inexact! */
  f_15374(((C_word*)((C_word*)t0)[2])[1])
);
t3=C_i_car(t1);
t4=C_eqp(((C_word*)t0)[3],lf[613]);
t5=C_s_a_i_digits_to_integer(&a,5,((C_word*)t0)[4],((C_word*)t0)[5],t3,((C_word*)t0)[6],t4);
t6=C_u_i_cdr(t1);
t7=((C_word*)t0)[7];{
C_word *av2=av;
av2[0]=t7;
av2[1]=C_a_i_cons(&a,2,t5,t6);
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
t2=((C_word*)t0)[7];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}}

/* scan-decimal-tail in ##sys#string->compnum in k8508 */
static void C_fcall f_15733(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4){
C_word tmp;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,0,4)))){
C_save_and_reclaim_args((void *)trf_15733,5,t0,t1,t2,t3,t4);}
a=C_alloc(9);
if(C_truep(C_fixnum_lessp(t2,((C_word*)t0)[2]))){
t5=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_15743,a[2]=t2,a[3]=t4,a[4]=((C_word*)t0)[2],a[5]=t1,a[6]=((C_word*)t0)[3],a[7]=((C_word*)t0)[4],a[8]=((C_word*)t0)[5],tmp=(C_word)a,a+=9,tmp);
/* library.scm:2480: scan-digits+hashes */
t6=((C_word*)t0)[6];
f_15616(t6,t5,t2,t3,t4);}
else{
t5=t1;{
C_word av2[2];
av2[0]=t5;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* k15741 in scan-decimal-tail in ##sys#string->compnum in k8508 */
static void C_ccall f_15743(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,c,2)))){
C_save_and_reclaim((void *)f_15743,2,av);}
a=C_alloc(11);
t2=t1;
t3=(C_truep(t2)?C_i_cdr(t2):((C_word*)t0)[2]);
t4=t3;
t5=((C_word*)t0)[3];
t6=(*a=C_CLOSURE_TYPE|10,a[1]=(C_word)f_15752,a[2]=((C_word*)t0)[4],a[3]=t4,a[4]=t2,a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[2],a[8]=((C_word*)t0)[3],a[9]=((C_word*)t0)[7],a[10]=((C_word*)t0)[8],tmp=(C_word)a,a+=11,tmp);
if(C_truep(t5)){
t7=t6;
f_15752(t7,t5);}
else{
t7=C_i_not(t4);
t8=t6;
f_15752(t8,(C_truep(t7)?t7:C_fixnum_greaterp(t4,((C_word*)t0)[2])));}}

/* k15750 in k15741 in scan-decimal-tail in ##sys#string->compnum in k8508 */
static void C_fcall f_15752(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,0,2)))){
C_save_and_reclaim_args((void *)trf_15752,2,t0,t1);}
a=C_alloc(10);
if(C_truep(t1)){
t2=(*a=C_CLOSURE_TYPE|9,a[1]=(C_word)f_15755,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=((C_word*)t0)[8],a[9]=((C_word*)t0)[9],tmp=(C_word)a,a+=10,tmp);
if(C_truep(((C_word*)t0)[3])){
t3=((C_word*)t0)[10];
t4=t2;
f_15755(t4,C_subchar(t3,((C_word*)t0)[3]));}
else{
t3=t2;
f_15755(t3,C_SCHEME_FALSE);}}
else{
t2=((C_word*)t0)[5];{
C_word av2[2];
av2[0]=t2;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}}

/* k15753 in k15750 in k15741 in scan-decimal-tail in ##sys#string->compnum in k8508 */
static void C_fcall f_15755(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,0,2)))){
C_save_and_reclaim_args((void *)trf_15755,2,t0,t1);}
a=C_alloc(10);
t2=C_eqp(t1,C_make_character(101));
t3=(*a=C_CLOSURE_TYPE|9,a[1]=(C_word)f_15764,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=((C_word*)t0)[8],a[9]=((C_word*)t0)[9],tmp=(C_word)a,a+=10,tmp);
if(C_truep(t2)){
t4=t3;
f_15764(t4,t2);}
else{
t4=C_eqp(t1,C_make_character(115));
if(C_truep(t4)){
t5=t3;
f_15764(t5,t4);}
else{
t5=C_eqp(t1,C_make_character(102));
if(C_truep(t5)){
t6=t3;
f_15764(t6,t5);}
else{
t6=C_eqp(t1,C_make_character(100));
if(C_truep(t6)){
t7=t3;
f_15764(t7,t6);}
else{
t7=C_eqp(t1,C_make_character(108));
if(C_truep(t7)){
t8=t3;
f_15764(t8,t7);}
else{
t8=C_eqp(t1,C_make_character(69));
if(C_truep(t8)){
t9=t3;
f_15764(t9,t8);}
else{
t9=C_eqp(t1,C_make_character(83));
if(C_truep(t9)){
t10=t3;
f_15764(t10,t9);}
else{
t10=C_eqp(t1,C_make_character(70));
if(C_truep(t10)){
t11=t3;
f_15764(t11,t10);}
else{
t11=C_eqp(t1,C_make_character(68));
t12=t3;
f_15764(t12,(C_truep(t11)?t11:C_eqp(t1,C_make_character(76))));}}}}}}}}}

/* k15762 in k15753 in k15750 in k15741 in scan-decimal-tail in ##sys#string->compnum in k8508 */
static void C_fcall f_15764(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,0,3)))){
C_save_and_reclaim_args((void *)trf_15764,2,t0,t1);}
a=C_alloc(7);
if(C_truep(t1)){
if(C_truep(C_fixnum_greaterp(((C_word*)t0)[2],((C_word*)t0)[3]))){
t2=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_15773,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[5],a[4]=((C_word*)t0)[6],a[5]=((C_word*)t0)[7],a[6]=((C_word*)t0)[8],tmp=(C_word)a,a+=7,tmp);
t3=C_fixnum_plus(((C_word*)t0)[3],C_fix(1));
/* library.scm:2488: scan-exponent */
t4=((C_word*)t0)[9];
f_15672(t4,t2,t3);}
else{
t2=((C_word*)t0)[5];{
C_word av2[2];
av2[0]=t2;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}}
else{
t2=(C_truep(((C_word*)t0)[3])?((C_word*)t0)[3]:((C_word*)t0)[2]);
t3=(C_truep(((C_word*)t0)[4])?C_fixnum_difference(((C_word*)t0)[7],t2):C_SCHEME_FALSE);
t4=(C_truep(((C_word*)t0)[4])?C_i_car(((C_word*)t0)[4]):C_SCHEME_FALSE);
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_15838,a[2]=((C_word*)t0)[8],a[3]=((C_word*)t0)[5],a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
/* library.scm:2498: safe-exponent */
t6=((C_word*)((C_word*)t0)[6])[1];
f_15384(t6,t5,t4,t3);}}

/* k15771 in k15762 in k15753 in k15750 in k15741 in scan-decimal-tail in ##sys#string->compnum in k8508 */
static void C_ccall f_15773(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,3)))){
C_save_and_reclaim((void *)f_15773,2,av);}
a=C_alloc(8);
t2=t1;
if(C_truep(t2)){
t3=C_i_car(t2);
t4=t3;
if(C_truep(t4)){
t5=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_15785,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],a[7]=t4,tmp=(C_word)a,a+=8,tmp);
/* library.scm:2490: safe-exponent */
t6=((C_word*)((C_word*)t0)[4])[1];
f_15384(t6,t5,((C_word*)t0)[6],t4);}
else{
t5=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}
else{
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k15783 in k15771 in k15762 in k15753 in k15750 in k15741 in scan-decimal-tail in ##sys#string->compnum in k8508 */
static void C_ccall f_15785(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_15785,2,av);}
a=C_alloc(7);
t2=t1;
if(C_truep(t2)){
t3=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_15791,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],tmp=(C_word)a,a+=7,tmp);
if(C_truep(((C_word*)t0)[2])){
t4=C_i_cdr(((C_word*)t0)[2]);
t5=C_fixnum_difference(t4,((C_word*)t0)[6]);
t6=t3;
f_15791(t6,C_fixnum_difference(((C_word*)t0)[7],t5));}
else{
t4=t3;
f_15791(t4,C_SCHEME_FALSE);}}
else{
t3=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k15789 in k15783 in k15771 in k15762 in k15753 in k15750 in k15741 in scan-decimal-tail in ##sys#string->compnum in k8508 */
static void C_fcall f_15791(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,3)))){
C_save_and_reclaim_args((void *)trf_15791,2,t0,t1);}
a=C_alloc(5);
t2=(C_truep(((C_word*)t0)[2])?C_i_car(((C_word*)t0)[2]):C_SCHEME_FALSE);
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_15797,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],tmp=(C_word)a,a+=5,tmp);
/* library.scm:2493: safe-exponent */
t4=((C_word*)((C_word*)t0)[6])[1];
f_15384(t4,t3,t2,t1);}

/* k15795 in k15789 in k15783 in k15771 in k15762 in k15753 in k15750 in k15741 in scan-decimal-tail in ##sys#string->compnum in k8508 */
static void C_ccall f_15797(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(32,c,1)))){
C_save_and_reclaim((void *)f_15797,2,av);}
a=C_alloc(32);
if(C_truep(t1)){
t2=C_s_a_i_plus(&a,2,((C_word*)t0)[2],t1);
t3=C_u_i_cdr(((C_word*)t0)[3]);
t4=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_a_i_cons(&a,2,t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t2=C_u_i_cdr(((C_word*)t0)[3]);
t3=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_a_i_cons(&a,2,((C_word*)t0)[2],t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k15836 in k15762 in k15753 in k15750 in k15741 in scan-decimal-tail in ##sys#string->compnum in k8508 */
static void C_ccall f_15838(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(32,c,1)))){
C_save_and_reclaim((void *)f_15838,2,av);}
a=C_alloc(32);
t2=((C_word*)t0)[2];
t3=(C_truep(t2)?t2:C_fix(0));
if(C_truep(t1)){
t4=C_s_a_i_plus(&a,2,t3,t1);
t5=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_a_i_cons(&a,2,t4,((C_word*)t0)[4]);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t4=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_a_i_cons(&a,2,t3,((C_word*)t0)[4]);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* scan-ureal in ##sys#string->compnum in k8508 */
static void C_fcall f_15945(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(15,0,2)))){
C_save_and_reclaim_args((void *)trf_15945,4,t0,t1,t2,t3);}
a=C_alloc(15);
t4=(*a=C_CLOSURE_TYPE|14,a[1]=(C_word)f_15952,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word*)t0)[3],a[5]=t1,a[6]=t3,a[7]=((C_word*)t0)[4],a[8]=((C_word*)t0)[5],a[9]=((C_word*)t0)[6],a[10]=((C_word*)t0)[7],a[11]=((C_word*)t0)[8],a[12]=((C_word*)t0)[9],a[13]=((C_word*)t0)[10],a[14]=((C_word*)t0)[11],tmp=(C_word)a,a+=15,tmp);
t5=C_fixnum_plus(t2,C_fix(1));
if(C_truep(C_fixnum_greaterp(((C_word*)t0)[5],t5))){
t6=C_eqp(((C_word*)t0)[4],C_fix(10));
if(C_truep(t6)){
t7=((C_word*)t0)[11];
t8=t2;
t9=C_subchar(t7,t8);
t10=t4;
f_15952(t10,C_eqp(t9,C_make_character(46)));}
else{
t7=t4;
f_15952(t7,C_SCHEME_FALSE);}}
else{
t6=t4;
f_15952(t6,C_SCHEME_FALSE);}}

/* k15950 in scan-ureal in ##sys#string->compnum in k8508 */
static void C_fcall f_15952(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(14,0,4)))){
C_save_and_reclaim_args((void *)trf_15952,2,t0,t1);}
a=C_alloc(14);
if(C_truep(t1)){
t2=(
/* library.scm:2506: go-inexact! */
  f_15374(((C_word*)((C_word*)t0)[2])[1])
);
t3=C_fixnum_plus(((C_word*)t0)[3],C_fix(1));
/* library.scm:2507: scan-decimal-tail */
t4=((C_word*)t0)[4];
f_15733(t4,((C_word*)t0)[5],t3,((C_word*)t0)[6],C_SCHEME_FALSE);}
else{
t2=(*a=C_CLOSURE_TYPE|13,a[1]=(C_word)f_15965,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[7],a[4]=((C_word*)t0)[8],a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],a[7]=((C_word*)t0)[6],a[8]=((C_word*)t0)[9],a[9]=((C_word*)t0)[10],a[10]=((C_word*)t0)[11],a[11]=((C_word*)t0)[12],a[12]=((C_word*)t0)[13],a[13]=((C_word*)t0)[14],tmp=(C_word)a,a+=14,tmp);
/* library.scm:2508: scan-digits+hashes */
t3=((C_word*)t0)[13];
f_15616(t3,t2,((C_word*)t0)[3],((C_word*)t0)[6],C_SCHEME_FALSE);}}

/* k15963 in k15950 in scan-ureal in ##sys#string->compnum in k8508 */
static void C_ccall f_15965(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(14,c,2)))){
C_save_and_reclaim((void *)f_15965,2,av);}
a=C_alloc(14);
t2=t1;
if(C_truep(t2)){
t3=(*a=C_CLOSURE_TYPE|13,a[1]=(C_word)f_15971,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t2,a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],a[7]=((C_word*)t0)[6],a[8]=((C_word*)t0)[7],a[9]=((C_word*)t0)[8],a[10]=((C_word*)t0)[9],a[11]=((C_word*)t0)[10],a[12]=((C_word*)t0)[11],a[13]=((C_word*)t0)[12],tmp=(C_word)a,a+=14,tmp);
if(C_truep(C_i_cdr(t2))){
t4=C_u_i_cdr(t2);
t5=((C_word*)t0)[13];
t6=t3;
f_15971(t6,C_subchar(t5,t4));}
else{
t4=t3;
f_15971(t4,C_SCHEME_FALSE);}}
else{
t3=((C_word*)t0)[6];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k15969 in k15963 in k15950 in scan-ureal in ##sys#string->compnum in k8508 */
static void C_fcall f_15971(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(12,0,4)))){
C_save_and_reclaim_args((void *)trf_15971,2,t0,t1);}
a=C_alloc(12);
t2=t1;
t3=C_eqp(t2,C_make_character(46));
if(C_truep(t3)){
t4=(
/* library.scm:2511: go-inexact! */
  f_15374(((C_word*)((C_word*)t0)[2])[1])
);
t5=C_eqp(((C_word*)t0)[3],C_fix(10));
if(C_truep(t5)){
t6=C_u_i_cdr(((C_word*)t0)[4]);
t7=C_fixnum_plus(t6,C_fix(1));
if(C_truep(C_fixnum_greaterp(((C_word*)t0)[5],t7))){
t8=C_u_i_cdr(((C_word*)t0)[4]);
t9=C_fixnum_plus(t8,C_fix(1));
t10=C_u_i_car(((C_word*)t0)[4]);
/* library.scm:2514: scan-decimal-tail */
t11=((C_word*)t0)[6];
f_15733(t11,((C_word*)t0)[7],t9,((C_word*)t0)[8],t10);}
else{
t8=C_u_i_car(((C_word*)t0)[4]);
t9=((C_word*)t0)[7];{
C_word av2[2];
av2[0]=t9;
av2[1]=C_a_i_cons(&a,2,t8,C_SCHEME_FALSE);
((C_proc)(void*)(*((C_word*)t9+1)))(2,av2);}}}
else{
t6=((C_word*)t0)[7];{
C_word av2[2];
av2[0]=t6;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}}
else{
t4=C_eqp(t2,C_make_character(101));
t5=(*a=C_CLOSURE_TYPE|11,a[1]=(C_word)f_16023,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],a[5]=((C_word*)t0)[7],a[6]=((C_word*)t0)[9],a[7]=((C_word*)t0)[10],a[8]=t2,a[9]=((C_word*)t0)[11],a[10]=((C_word*)t0)[12],a[11]=((C_word*)t0)[13],tmp=(C_word)a,a+=12,tmp);
if(C_truep(t4)){
t6=t5;
f_16023(t6,t4);}
else{
t6=C_eqp(t2,C_make_character(115));
if(C_truep(t6)){
t7=t5;
f_16023(t7,t6);}
else{
t7=C_eqp(t2,C_make_character(102));
if(C_truep(t7)){
t8=t5;
f_16023(t8,t7);}
else{
t8=C_eqp(t2,C_make_character(100));
if(C_truep(t8)){
t9=t5;
f_16023(t9,t8);}
else{
t9=C_eqp(t2,C_make_character(108));
if(C_truep(t9)){
t10=t5;
f_16023(t10,t9);}
else{
t10=C_eqp(t2,C_make_character(69));
if(C_truep(t10)){
t11=t5;
f_16023(t11,t10);}
else{
t11=C_eqp(t2,C_make_character(83));
if(C_truep(t11)){
t12=t5;
f_16023(t12,t11);}
else{
t12=C_eqp(t2,C_make_character(70));
if(C_truep(t12)){
t13=t5;
f_16023(t13,t12);}
else{
t13=C_eqp(t2,C_make_character(68));
t14=t5;
f_16023(t14,(C_truep(t13)?t13:C_eqp(t2,C_make_character(76))));}}}}}}}}}}

/* k16021 in k15969 in k15963 in k15950 in scan-ureal in ##sys#string->compnum in k8508 */
static void C_fcall f_16023(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,4)))){
C_save_and_reclaim_args((void *)trf_16023,2,t0,t1);}
a=C_alloc(5);
if(C_truep(t1)){
t2=C_eqp(((C_word*)t0)[2],C_fix(10));
if(C_truep(t2)){
t3=C_u_i_cdr(((C_word*)t0)[3]);
if(C_truep(C_fixnum_greaterp(((C_word*)t0)[4],t3))){
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_16038,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[5],a[4]=((C_word*)t0)[6],tmp=(C_word)a,a+=5,tmp);
t5=C_u_i_cdr(((C_word*)t0)[3]);
t6=C_fixnum_plus(t5,C_fix(1));
/* library.scm:2520: scan-exponent */
t7=((C_word*)t0)[7];
f_15672(t7,t4,t6);}
else{
t4=((C_word*)t0)[5];{
C_word av2[2];
av2[0]=t4;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}
else{
t3=((C_word*)t0)[5];{
C_word av2[2];
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}
else{
t2=C_eqp(((C_word*)t0)[8],C_make_character(47));
if(C_truep(t2)){
t3=C_set_block_item(((C_word*)t0)[9],0,C_SCHEME_FALSE);
t4=C_u_i_cdr(((C_word*)t0)[3]);
if(C_truep(C_fixnum_greaterp(((C_word*)t0)[4],t4))){
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_16084,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[5],a[4]=((C_word*)t0)[10],tmp=(C_word)a,a+=5,tmp);
t6=C_u_i_cdr(((C_word*)t0)[3]);
t7=C_fixnum_plus(t6,C_fix(1));
/* library.scm:2527: scan-digits+hashes */
t8=((C_word*)t0)[11];
f_15616(t8,t5,t7,C_SCHEME_FALSE,C_SCHEME_FALSE);}
else{
t5=((C_word*)t0)[5];{
C_word av2[2];
av2[0]=t5;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}
else{
t3=((C_word*)t0)[5];{
C_word av2[2];
av2[0]=t3;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}}

/* k16036 in k16021 in k15969 in k15963 in k15950 in scan-ureal in ##sys#string->compnum in k8508 */
static void C_ccall f_16038(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_16038,2,av);}
a=C_alloc(4);
t2=t1;
if(C_truep(t2)){
t3=C_u_i_car(((C_word*)t0)[2]);
if(C_truep(t3)){
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_16048,a[2]=t2,a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
t5=C_i_car(t2);
/* library.scm:2522: safe-exponent */
t6=((C_word*)((C_word*)t0)[4])[1];
f_15384(t6,t4,t3,t5);}
else{
t4=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}
else{
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k16046 in k16036 in k16021 in k15969 in k15963 in k15950 in scan-ureal in ##sys#string->compnum in k8508 */
static void C_ccall f_16048(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_16048,2,av);}
a=C_alloc(3);
if(C_truep(t1)){
t2=C_u_i_cdr(((C_word*)t0)[2]);
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_a_i_cons(&a,2,t1,t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
t2=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}}

/* k16082 in k16021 in k15969 in k15963 in k15950 in scan-ureal in ##sys#string->compnum in k8508 */
static void C_ccall f_16084(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_16084,2,av);}
a=C_alloc(4);
t2=t1;
if(C_truep(t2)){
t3=C_u_i_car(((C_word*)t0)[2]);
if(C_truep(t3)){
t4=C_i_car(t2);
if(C_truep(t4)){
t5=C_eqp(t4,C_fix(0));
if(C_truep(C_i_not(t5))){
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_16110,a[2]=t2,a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:2531: ##sys#/-2 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[526]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[526]+1);
av2[1]=t6;
av2[2]=t3;
av2[3]=t4;
tp(4,av2);}}
else{
t6=C_eqp(((C_word*)((C_word*)t0)[4])[1],lf[609]);
if(C_truep(C_i_not(t6))){
t7=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_16121,a[2]=t2,a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:2535: chicken.base#signum */
t8=*((C_word*)lf[185]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t8;
av2[1]=t7;
av2[2]=t3;
((C_proc)(void*)(*((C_word*)t8+1)))(3,av2);}}
else{
t7=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t7;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}}}
else{
t5=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}
else{
t4=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}
else{
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k16108 in k16082 in k16021 in k15969 in k15963 in k15950 in scan-ureal in ##sys#string->compnum in k8508 */
static void C_ccall f_16110(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_16110,2,av);}
a=C_alloc(3);
t2=C_u_i_cdr(((C_word*)t0)[2]);
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_a_i_cons(&a,2,t1,t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* k16119 in k16082 in k16021 in k15969 in k15963 in k15950 in scan-ureal in ##sys#string->compnum in k8508 */
static void C_ccall f_16121(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,1)))){
C_save_and_reclaim((void *)f_16121,2,av);}
a=C_alloc(7);
switch(t1){
case C_fix(-1):
t2=C_u_i_cdr(((C_word*)t0)[2]);
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_a_i_cons(&a,2,lf[612],t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}
case C_fix(0):
t2=C_flonum(&a,C_ub_i_flonum_quotient(0.0,0.0));
t3=C_u_i_cdr(((C_word*)t0)[2]);
t4=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_a_i_cons(&a,2,t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}
case C_fix(1):
t2=C_u_i_cdr(((C_word*)t0)[2]);
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_a_i_cons(&a,2,lf[611],t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}
default:
t2=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_SCHEME_UNDEFINED;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}}

/* scan-real in ##sys#string->compnum in k8508 */
static void C_fcall f_16288(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,0,2)))){
C_save_and_reclaim_args((void *)trf_16288,3,t0,t1,t2);}
a=C_alloc(8);
if(C_truep(C_fixnum_lessp(t2,((C_word*)t0)[2]))){
t3=((C_word*)t0)[3];
t4=t2;
t5=C_subchar(t3,t4);
t6=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_16303,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=t1,a[6]=((C_word*)t0)[4],a[7]=((C_word*)t0)[5],tmp=(C_word)a,a+=8,tmp);
t7=C_eqp(t5,C_make_character(43));
if(C_truep(t7)){
t8=t6;
f_16303(t8,lf[614]);}
else{
t8=C_eqp(t5,C_make_character(45));
t9=t6;
f_16303(t9,(C_truep(t8)?lf[613]:C_SCHEME_FALSE));}}
else{
t3=t1;{
C_word av2[2];
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k16301 in scan-real in ##sys#string->compnum in k8508 */
static void C_fcall f_16303(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(16,0,4)))){
C_save_and_reclaim_args((void *)trf_16303,2,t0,t1);}
a=C_alloc(16);
t2=t1;
t3=(C_truep(t2)?C_fixnum_plus(((C_word*)t0)[2],C_fix(1)):((C_word*)t0)[2]);
t4=t3;
if(C_truep(C_fixnum_lessp(t4,((C_word*)t0)[3]))){
t5=((C_word*)t0)[4];
t6=C_subchar(t5,t4);
t7=C_eqp(t6,C_make_character(105));
t8=(C_truep(t7)?t7:C_eqp(t6,C_make_character(73)));
if(C_truep(t8)){
t9=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_16329,a[2]=((C_word*)t0)[5],a[3]=t2,a[4]=((C_word*)t0)[6],a[5]=t4,tmp=(C_word)a,a+=6,tmp);
if(C_truep(t2)){
t10=C_fixnum_plus(t4,C_fix(1));
t11=C_eqp(t10,((C_word*)t0)[3]);
if(C_truep(t11)){
t12=C_eqp(t2,lf[613]);
t13=t9;
f_16329(t13,(C_truep(t12)?C_a_i_cons(&a,2,C_fix(-1),t4):C_a_i_cons(&a,2,C_fix(1),t4)));}
else{
t12=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_16361,a[2]=((C_word*)t0)[7],a[3]=t2,a[4]=t4,a[5]=((C_word*)t0)[3],a[6]=t9,tmp=(C_word)a,a+=7,tmp);
t13=C_fixnum_plus(t4,C_fix(5));
if(C_truep(C_fixnum_less_or_equal_p(t13,((C_word*)t0)[3]))){
t14=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_16398,a[2]=t12,tmp=(C_word)a,a+=3,tmp);
t15=C_fixnum_plus(t4,C_fix(5));
/* library.scm:2554: scheme#substring */
t16=*((C_word*)lf[393]+1);{
C_word av2[5];
av2[0]=t16;
av2[1]=t14;
av2[2]=((C_word*)t0)[4];
av2[3]=t4;
av2[4]=t15;
((C_proc)(void*)(*((C_word*)t16+1)))(5,av2);}}
else{
t14=t12;
f_16361(t14,C_SCHEME_FALSE);}}}
else{
t10=t9;
f_16329(t10,C_SCHEME_FALSE);}}
else{
t9=C_eqp(t6,C_make_character(110));
t10=(C_truep(t9)?t9:C_eqp(t6,C_make_character(78)));
if(C_truep(t10)){
t11=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_16422,a[2]=((C_word*)t0)[5],a[3]=t2,a[4]=((C_word*)t0)[6],a[5]=t4,tmp=(C_word)a,a+=6,tmp);
if(C_truep(t2)){
t12=C_fixnum_plus(t4,C_fix(5));
if(C_truep(C_fixnum_less_or_equal_p(t12,((C_word*)t0)[3]))){
t13=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_16472,a[2]=((C_word*)t0)[7],a[3]=t4,a[4]=((C_word*)t0)[3],a[5]=t11,tmp=(C_word)a,a+=6,tmp);
t14=C_fixnum_plus(t4,C_fix(5));
/* library.scm:2564: scheme#substring */
t15=*((C_word*)lf[393]+1);{
C_word av2[5];
av2[0]=t15;
av2[1]=t13;
av2[2]=((C_word*)t0)[4];
av2[3]=t4;
av2[4]=t14;
((C_proc)(void*)(*((C_word*)t15+1)))(5,av2);}}
else{
t13=t11;
f_16422(t13,C_SCHEME_FALSE);}}
else{
t12=t11;
f_16422(t12,C_SCHEME_FALSE);}}
else{
t11=C_eqp(t2,lf[613]);
/* library.scm:2570: scan-ureal */
t12=((C_word*)t0)[6];
f_15945(t12,((C_word*)t0)[5],t4,t11);}}}
else{
t5=((C_word*)t0)[5];{
C_word av2[2];
av2[0]=t5;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* k16327 in k16301 in scan-real in ##sys#string->compnum in k8508 */
static void C_fcall f_16329(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,0,3)))){
C_save_and_reclaim_args((void *)trf_16329,2,t0,t1);}
if(C_truep(t1)){
t2=((C_word*)t0)[2];{
C_word av2[2];
av2[0]=t2;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}
else{
t2=C_eqp(((C_word*)t0)[3],lf[613]);
/* library.scm:2560: scan-ureal */
t3=((C_word*)t0)[4];
f_15945(t3,((C_word*)t0)[2],((C_word*)t0)[5],t2);}}

/* k16359 in k16301 in scan-real in ##sys#string->compnum in k8508 */
static void C_fcall f_16361(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,0,1)))){
C_save_and_reclaim_args((void *)trf_16361,2,t0,t1);}
a=C_alloc(3);
if(C_truep(t1)){
t2=(
/* library.scm:2555: go-inexact! */
  f_15374(((C_word*)((C_word*)t0)[2])[1])
);
t3=C_eqp(((C_word*)t0)[3],lf[613]);
t4=(C_truep(t3)?lf[612]:lf[611]);
t5=C_fixnum_plus(((C_word*)t0)[4],C_fix(5));
if(C_truep(C_fixnum_lessp(t5,((C_word*)t0)[5]))){
t6=C_fixnum_plus(((C_word*)t0)[4],C_fix(5));
t7=((C_word*)t0)[6];
f_16329(t7,C_a_i_cons(&a,2,t4,t6));}
else{
t6=((C_word*)t0)[6];
f_16329(t6,C_a_i_cons(&a,2,t4,C_SCHEME_FALSE));}}
else{
t2=((C_word*)t0)[6];
f_16329(t2,C_SCHEME_FALSE);}}

/* k16396 in k16301 in scan-real in ##sys#string->compnum in k8508 */
static void C_ccall f_16398(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_16398,2,av);}
t2=((C_word*)t0)[2];
f_16361(t2,C_i_string_ci_equal_p(t1,lf[615]));}

/* k16420 in k16301 in scan-real in ##sys#string->compnum in k8508 */
static void C_fcall f_16422(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,0,3)))){
C_save_and_reclaim_args((void *)trf_16422,2,t0,t1);}
if(C_truep(t1)){
t2=t1;
t3=((C_word*)t0)[2];{
C_word av2[2];
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
t2=C_eqp(((C_word*)t0)[3],lf[613]);
/* library.scm:2569: scan-ureal */
t3=((C_word*)t0)[4];
f_15945(t3,((C_word*)t0)[2],((C_word*)t0)[5],t2);}}

/* k16470 in k16301 in scan-real in ##sys#string->compnum in k8508 */
static void C_ccall f_16472(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,1)))){
C_save_and_reclaim((void *)f_16472,2,av);}
a=C_alloc(7);
if(C_truep(C_i_string_ci_equal_p(t1,lf[616]))){
t2=(
/* library.scm:2565: go-inexact! */
  f_15374(((C_word*)((C_word*)t0)[2])[1])
);
t3=C_flonum(&a,C_ub_i_flonum_quotient(0.0,0.0));
t4=C_fixnum_plus(((C_word*)t0)[3],C_fix(5));
if(C_truep(C_fixnum_lessp(t4,((C_word*)t0)[4]))){
t5=C_fixnum_plus(((C_word*)t0)[3],C_fix(5));
t6=((C_word*)t0)[5];
f_16422(t6,C_a_i_cons(&a,2,t3,t5));}
else{
t5=((C_word*)t0)[5];
f_16422(t5,C_a_i_cons(&a,2,t3,C_SCHEME_FALSE));}}
else{
t2=((C_word*)t0)[5];
f_16422(t2,C_SCHEME_FALSE);}}

/* k16518 in ##sys#string->compnum in k8508 */
static void C_ccall f_16520(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(13,c,2)))){
C_save_and_reclaim((void *)f_16520,2,av);}
a=C_alloc(13);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_16523,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
if(C_truep(t2)){
t4=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_16542,a[2]=t2,a[3]=t3,a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=((C_word*)t0)[8],tmp=(C_word)a,a+=9,tmp);
if(C_truep(C_i_cdr(t2))){
t5=C_u_i_cdr(t2);
t6=((C_word*)t0)[5];
t7=t4;
f_16542(t7,C_subchar(t6,t5));}
else{
t5=t4;
f_16542(t5,C_SCHEME_FALSE);}}
else{
t4=t3;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_SCHEME_FALSE;
f_16523(2,av2);}}}

/* k16521 in k16518 in ##sys#string->compnum in k8508 */
static void C_ccall f_16523(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_16523,2,av);}
if(C_truep(t1)){
t2=C_eqp(((C_word*)((C_word*)t0)[2])[1],lf[610]);
if(C_truep(t2)){
/* library.scm:2593: scheme#exact->inexact */
t3=*((C_word*)lf[62]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t3;
av2[1]=((C_word*)t0)[3];
av2[2]=t1;
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}
else{
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=(C_truep(C_i_finitep(t1))?t1:C_SCHEME_FALSE);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}
else{
t2=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}}

/* k16540 in k16518 in ##sys#string->compnum in k8508 */
static void C_fcall f_16542(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,3)))){
C_save_and_reclaim_args((void *)trf_16542,2,t0,t1);}
a=C_alloc(6);
t2=C_eqp(t1,C_SCHEME_FALSE);
if(C_truep(t2)){
t3=C_u_i_car(((C_word*)t0)[2]);
t4=((C_word*)t0)[3];{
C_word av2[2];
av2[0]=t4;
av2[1]=t3;
f_16523(2,av2);}}
else{
t3=C_eqp(t1,C_make_character(105));
t4=(C_truep(t3)?t3:C_eqp(t1,C_make_character(73)));
if(C_truep(t4)){
t5=C_u_i_cdr(((C_word*)t0)[2]);
t6=C_fixnum_plus(t5,C_fix(1));
t7=C_eqp(((C_word*)t0)[4],t6);
if(C_truep(t7)){
t8=((C_word*)t0)[5];
t9=((C_word*)t0)[6];
t10=C_subchar(t8,t9);
t11=C_eqp(t10,C_make_character(43));
if(C_truep(t11)){
if(C_truep(t11)){
t12=C_u_i_car(((C_word*)t0)[2]);
/* library.scm:2577: scheme#make-rectangular */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[501]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[501]+1);
av2[1]=((C_word*)t0)[3];
av2[2]=C_fix(0);
av2[3]=t12;
tp(4,av2);}}
else{
t12=((C_word*)t0)[3];{
C_word av2[2];
av2[0]=t12;
av2[1]=C_SCHEME_FALSE;
f_16523(2,av2);}}}
else{
t12=((C_word*)t0)[5];
t13=((C_word*)t0)[6];
t14=C_subchar(t12,t13);
t15=C_eqp(t14,C_make_character(45));
if(C_truep(t15)){
t16=C_u_i_car(((C_word*)t0)[2]);
/* library.scm:2577: scheme#make-rectangular */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[501]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[501]+1);
av2[1]=((C_word*)t0)[3];
av2[2]=C_fix(0);
av2[3]=t16;
tp(4,av2);}}
else{
t16=((C_word*)t0)[3];{
C_word av2[2];
av2[0]=t16;
av2[1]=C_SCHEME_FALSE;
f_16523(2,av2);}}}}
else{
t8=((C_word*)t0)[3];{
C_word av2[2];
av2[0]=t8;
av2[1]=C_SCHEME_FALSE;
f_16523(2,av2);}}}
else{
t5=C_eqp(t1,C_make_character(43));
t6=(C_truep(t5)?t5:C_eqp(t1,C_make_character(45)));
if(C_truep(t6)){
t7=C_set_block_item(((C_word*)t0)[7],0,C_SCHEME_FALSE);
t8=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_16612,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[5],a[4]=((C_word*)t0)[2],a[5]=((C_word*)t0)[3],tmp=(C_word)a,a+=6,tmp);
t9=C_u_i_cdr(((C_word*)t0)[2]);
/* library.scm:2580: scan-real */
t10=((C_word*)t0)[8];
f_16288(t10,t8,t9);}
else{
t7=C_eqp(t1,C_make_character(64));
if(C_truep(t7)){
t8=C_set_block_item(((C_word*)t0)[7],0,C_SCHEME_FALSE);
t9=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_16680,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
t10=C_u_i_cdr(((C_word*)t0)[2]);
t11=C_fixnum_plus(t10,C_fix(1));
/* library.scm:2588: scan-real */
t12=((C_word*)t0)[8];
f_16288(t12,t9,t11);}
else{
t8=((C_word*)t0)[3];{
C_word av2[2];
av2[0]=t8;
av2[1]=C_SCHEME_FALSE;
f_16523(2,av2);}}}}}}

/* k16610 in k16540 in k16518 in ##sys#string->compnum in k8508 */
static void C_ccall f_16612(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_16612,2,av);}
a=C_alloc(5);
t2=t1;
if(C_truep(t2)){
if(C_truep(C_i_cdr(t2))){
t3=C_u_i_cdr(t2);
t4=C_fixnum_plus(t3,C_fix(1));
t5=C_eqp(((C_word*)t0)[2],t4);
if(C_truep(t5)){
t6=C_u_i_cdr(t2);
t7=((C_word*)t0)[3];
t8=C_subchar(t7,t6);
t9=C_eqp(t8,C_make_character(105));
t10=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_16633,a[2]=((C_word*)t0)[4],a[3]=t2,a[4]=((C_word*)t0)[5],tmp=(C_word)a,a+=5,tmp);
if(C_truep(t9)){
t11=t10;
f_16633(t11,t9);}
else{
t11=C_u_i_cdr(t2);
t12=((C_word*)t0)[3];
t13=C_subchar(t12,t11);
t14=t10;
f_16633(t14,C_eqp(t13,C_make_character(73)));}}
else{
t6=((C_word*)t0)[5];{
C_word *av2=av;
av2[0]=t6;
av2[1]=C_SCHEME_FALSE;
f_16523(2,av2);}}}
else{
t3=((C_word*)t0)[5];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
f_16523(2,av2);}}}
else{
t3=((C_word*)t0)[5];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
f_16523(2,av2);}}}

/* k16631 in k16610 in k16540 in k16518 in ##sys#string->compnum in k8508 */
static void C_fcall f_16633(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,0,3)))){
C_save_and_reclaim_args((void *)trf_16633,2,t0,t1);}
if(C_truep(t1)){
t2=C_u_i_car(((C_word*)t0)[2]);
t3=C_u_i_car(((C_word*)t0)[3]);
/* library.scm:2585: scheme#make-rectangular */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[501]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[501]+1);
av2[1]=((C_word*)t0)[4];
av2[2]=t2;
av2[3]=t3;
tp(4,av2);}}
else{
t2=((C_word*)t0)[4];{
C_word av2[2];
av2[0]=t2;
av2[1]=C_SCHEME_FALSE;
f_16523(2,av2);}}}

/* k16678 in k16540 in k16518 in ##sys#string->compnum in k8508 */
static void C_ccall f_16680(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_16680,2,av);}
if(C_truep(t1)){
t2=C_i_cdr(t1);
if(C_truep(C_i_not(t2))){
t3=C_u_i_car(((C_word*)t0)[2]);
t4=C_u_i_car(t1);
/* library.scm:2590: scheme#make-polar */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[503]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[503]+1);
av2[1]=((C_word*)t0)[3];
av2[2]=t3;
av2[3]=t4;
tp(4,av2);}}
else{
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
f_16523(2,av2);}}}
else{
t2=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_SCHEME_FALSE;
f_16523(2,av2);}}}

/* scheme#string->number in k8508 */
static void C_ccall f_16772(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +5,c,3)))){
C_save_and_reclaim((void*)f_16772,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+5);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
t4=C_i_nullp(t3);
t5=(C_truep(t4)?C_fix(10):C_i_car(t3));
t6=t5;
t7=C_i_check_string_2(t2,lf[618]);
t8=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_16782,a[2]=t2,a[3]=t6,a[4]=t1,tmp=(C_word)a,a+=5,tmp);
if(C_truep(C_fixnump(t6))){
if(C_truep(C_fixnum_lessp(C_fix(1),t6))){
if(C_truep(C_fixnum_lessp(t6,C_fix(37)))){
t9=t8;{
C_word *av2=av;
av2[0]=t9;
av2[1]=C_SCHEME_UNDEFINED;
f_16782(2,av2);}}
else{
/* library.scm:2602: ##sys#error-bad-base */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[372]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[372]+1);
av2[1]=t8;
av2[2]=t6;
av2[3]=lf[618];
tp(4,av2);}}}
else{
/* library.scm:2602: ##sys#error-bad-base */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[372]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[372]+1);
av2[1]=t8;
av2[2]=t6;
av2[3]=lf[618];
tp(4,av2);}}}
else{
/* library.scm:2602: ##sys#error-bad-base */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[372]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[372]+1);
av2[1]=t8;
av2[2]=t6;
av2[3]=lf[618];
tp(4,av2);}}}

/* k16780 in scheme#string->number in k8508 */
static void C_ccall f_16782(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,6)))){
C_save_and_reclaim((void *)f_16782,2,av);}
a=C_alloc(8);
t2=C_block_size(((C_word*)t0)[2]);
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_16791,a[2]=((C_word*)t0)[2],a[3]=t4,a[4]=((C_word*)t0)[3],a[5]=((C_word)li455),tmp=(C_word)a,a+=6,tmp));
t6=((C_word*)t4)[1];
f_16791(t6,((C_word*)t0)[4],C_fix(0),C_SCHEME_FALSE,C_SCHEME_FALSE,t2);}

/* scan-prefix in k16780 in scheme#string->number in k8508 */
static void C_fcall f_16791(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4,C_word t5){
C_word tmp;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,0,2)))){
C_save_and_reclaim_args((void *)trf_16791,6,t0,t1,t2,t3,t4,t5);}
a=C_alloc(10);
t6=(*a=C_CLOSURE_TYPE|9,a[1]=(C_word)f_16798,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=t3,a[5]=((C_word*)t0)[3],a[6]=t1,a[7]=t4,a[8]=t5,a[9]=((C_word*)t0)[4],tmp=(C_word)a,a+=10,tmp);
t7=C_fixnum_plus(t2,C_fix(2));
if(C_truep(C_fixnum_lessp(t7,t5))){
t8=((C_word*)t0)[2];
t9=t2;
t10=C_subchar(t8,t9);
t11=t6;
f_16798(t11,C_eqp(t10,C_make_character(35)));}
else{
t8=t6;
f_16798(t8,C_SCHEME_FALSE);}}

/* k16796 in scan-prefix in k16780 in scheme#string->number in k8508 */
static void C_fcall f_16798(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,0,5)))){
C_save_and_reclaim_args((void *)trf_16798,2,t0,t1);}
if(C_truep(t1)){
t2=C_fixnum_plus(((C_word*)t0)[2],C_fix(1));
t3=((C_word*)t0)[3];
t4=C_subchar(t3,t2);
t5=C_eqp(t4,C_make_character(105));
t6=(C_truep(t5)?t5:C_eqp(t4,C_make_character(73)));
if(C_truep(t6)){
if(C_truep(C_i_not(((C_word*)t0)[4]))){
t7=C_fixnum_plus(((C_word*)t0)[2],C_fix(2));
/* library.scm:2609: scan-prefix */
t8=((C_word*)((C_word*)t0)[5])[1];
f_16791(t8,((C_word*)t0)[6],t7,lf[610],((C_word*)t0)[7],((C_word*)t0)[8]);}
else{
t7=((C_word*)t0)[6];{
C_word av2[2];
av2[0]=t7;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}}
else{
t7=C_eqp(t4,C_make_character(101));
t8=(C_truep(t7)?t7:C_eqp(t4,C_make_character(69)));
if(C_truep(t8)){
if(C_truep(C_i_not(((C_word*)t0)[4]))){
t9=C_fixnum_plus(((C_word*)t0)[2],C_fix(2));
/* library.scm:2610: scan-prefix */
t10=((C_word*)((C_word*)t0)[5])[1];
f_16791(t10,((C_word*)t0)[6],t9,lf[609],((C_word*)t0)[7],((C_word*)t0)[8]);}
else{
t9=((C_word*)t0)[6];{
C_word av2[2];
av2[0]=t9;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t9+1)))(2,av2);}}}
else{
t9=C_eqp(t4,C_make_character(98));
t10=(C_truep(t9)?t9:C_eqp(t4,C_make_character(66)));
if(C_truep(t10)){
if(C_truep(C_i_not(((C_word*)t0)[7]))){
t11=C_fixnum_plus(((C_word*)t0)[2],C_fix(2));
/* library.scm:2611: scan-prefix */
t12=((C_word*)((C_word*)t0)[5])[1];
f_16791(t12,((C_word*)t0)[6],t11,((C_word*)t0)[4],C_fix(2),((C_word*)t0)[8]);}
else{
t11=((C_word*)t0)[6];{
C_word av2[2];
av2[0]=t11;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t11+1)))(2,av2);}}}
else{
t11=C_eqp(t4,C_make_character(111));
t12=(C_truep(t11)?t11:C_eqp(t4,C_make_character(79)));
if(C_truep(t12)){
if(C_truep(C_i_not(((C_word*)t0)[7]))){
t13=C_fixnum_plus(((C_word*)t0)[2],C_fix(2));
/* library.scm:2612: scan-prefix */
t14=((C_word*)((C_word*)t0)[5])[1];
f_16791(t14,((C_word*)t0)[6],t13,((C_word*)t0)[4],C_fix(8),((C_word*)t0)[8]);}
else{
t13=((C_word*)t0)[6];{
C_word av2[2];
av2[0]=t13;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t13+1)))(2,av2);}}}
else{
t13=C_eqp(t4,C_make_character(100));
t14=(C_truep(t13)?t13:C_eqp(t4,C_make_character(68)));
if(C_truep(t14)){
if(C_truep(C_i_not(((C_word*)t0)[7]))){
t15=C_fixnum_plus(((C_word*)t0)[2],C_fix(2));
/* library.scm:2613: scan-prefix */
t16=((C_word*)((C_word*)t0)[5])[1];
f_16791(t16,((C_word*)t0)[6],t15,((C_word*)t0)[4],C_fix(10),((C_word*)t0)[8]);}
else{
t15=((C_word*)t0)[6];{
C_word av2[2];
av2[0]=t15;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t15+1)))(2,av2);}}}
else{
t15=C_eqp(t4,C_make_character(120));
t16=(C_truep(t15)?t15:C_eqp(t4,C_make_character(88)));
if(C_truep(t16)){
if(C_truep(C_i_not(((C_word*)t0)[7]))){
t17=C_fixnum_plus(((C_word*)t0)[2],C_fix(2));
/* library.scm:2614: scan-prefix */
t18=((C_word*)((C_word*)t0)[5])[1];
f_16791(t18,((C_word*)t0)[6],t17,((C_word*)t0)[4],C_fix(16),((C_word*)t0)[8]);}
else{
t17=((C_word*)t0)[6];{
C_word av2[2];
av2[0]=t17;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t17+1)))(2,av2);}}}
else{
t17=((C_word*)t0)[6];{
C_word av2[2];
av2[0]=t17;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t17+1)))(2,av2);}}}}}}}}
else{
t2=((C_word*)t0)[7];
if(C_truep(t2)){
/* library.scm:2616: ##sys#string->compnum */
f_15371(((C_word*)t0)[6],t2,((C_word*)t0)[3],((C_word*)t0)[2],((C_word*)t0)[4]);}
else{
/* library.scm:2616: ##sys#string->compnum */
f_15371(((C_word*)t0)[6],((C_word*)t0)[9],((C_word*)t0)[3],((C_word*)t0)[2],((C_word*)t0)[4]);}}}

/* ##sys#string->number in k8508 */
static void C_ccall f_17027(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,5)))){
C_save_and_reclaim((void*)f_17027,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
t4=C_i_nullp(t3);
t5=(C_truep(t4)?C_fix(10):C_i_car(t3));
t6=C_i_nullp(t3);
t7=(C_truep(t6)?C_SCHEME_END_OF_LIST:C_i_cdr(t3));
t8=C_i_nullp(t7);
t9=(C_truep(t8)?C_SCHEME_FALSE:C_i_car(t7));
if(C_truep(C_i_nullp(t7))){
/* library.scm:2619: ##sys#string->compnum */
f_15371(t1,t5,t2,C_fix(0),t9);}
else{
t10=C_i_cdr(t7);
/* library.scm:2619: ##sys#string->compnum */
f_15371(t1,t5,t2,C_fix(0),t9);}}

/* chicken.base#equal=? in k8508 */
static void C_ccall f_17073(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(12,c,5)))){
C_save_and_reclaim((void *)f_17073,4,av);}
a=C_alloc(12);
t4=C_SCHEME_UNDEFINED;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=C_SCHEME_UNDEFINED;
t7=(*a=C_VECTOR_TYPE|1,a[1]=t6,tmp=(C_word)a,a+=2,tmp);
t8=C_set_block_item(t5,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_17076,a[2]=t7,a[3]=((C_word)li462),tmp=(C_word)a,a+=4,tmp));
t9=C_set_block_item(t7,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_17144,a[2]=t5,a[3]=((C_word)li463),tmp=(C_word)a,a+=4,tmp));
/* library.scm:2662: walk */
t10=((C_word*)t7)[1];
f_17144(t10,t1,t2,t3);}

/* compare-slots in chicken.base#equal=? in k8508 */
static void C_fcall f_17076(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4){
C_word tmp;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,0,3)))){
C_save_and_reclaim_args((void *)trf_17076,5,t0,t1,t2,t3,t4);}
a=C_alloc(10);
t5=C_block_size(t2);
t6=C_block_size(t3);
t7=C_eqp(t5,t6);
if(C_truep(t7)){
t8=C_fixnum_less_or_equal_p(t5,t4);
if(C_truep(t8)){
t9=t1;{
C_word av2[2];
av2[0]=t9;
av2[1]=t8;
((C_proc)(void*)(*((C_word*)t9+1)))(2,av2);}}
else{
t9=C_fixnum_difference(t5,C_fix(1));
t10=t9;
t11=C_SCHEME_UNDEFINED;
t12=(*a=C_VECTOR_TYPE|1,a[1]=t11,tmp=(C_word)a,a+=2,tmp);
t13=C_set_block_item(t12,0,(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_17103,a[2]=t10,a[3]=t2,a[4]=t3,a[5]=((C_word*)t0)[2],a[6]=t12,a[7]=((C_word)li461),tmp=(C_word)a,a+=8,tmp));
t14=((C_word*)t12)[1];
f_17103(t14,t1,t4);}}
else{
t8=t1;{
C_word av2[2];
av2[0]=t8;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}}

/* loop in compare-slots in chicken.base#equal=? in k8508 */
static void C_fcall f_17103(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,3)))){
C_save_and_reclaim_args((void *)trf_17103,3,t0,t1,t2);}
a=C_alloc(5);
t3=C_eqp(t2,((C_word*)t0)[2]);
if(C_truep(t3)){
t4=C_slot(((C_word*)t0)[3],t2);
t5=C_slot(((C_word*)t0)[4],t2);
/* library.scm:2636: walk */
t6=((C_word*)((C_word*)t0)[5])[1];
f_17144(t6,t1,t4,t5);}
else{
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_17127,a[2]=t2,a[3]=((C_word*)t0)[6],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
t5=C_slot(((C_word*)t0)[3],t2);
t6=C_slot(((C_word*)t0)[4],t2);
/* library.scm:2637: walk */
t7=((C_word*)((C_word*)t0)[5])[1];
f_17144(t7,t4,t5,t6);}}

/* k17125 in loop in compare-slots in chicken.base#equal=? in k8508 */
static void C_ccall f_17127(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_17127,2,av);}
if(C_truep(t1)){
t2=C_fixnum_plus(((C_word*)t0)[2],C_fix(1));
/* library.scm:2638: loop */
t3=((C_word*)((C_word*)t0)[3])[1];
f_17103(t3,((C_word*)t0)[4],t2);}
else{
t2=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}}

/* walk in chicken.base#equal=? in k8508 */
static void C_fcall f_17144(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,0,4)))){
C_save_and_reclaim_args((void *)trf_17144,4,t0,t1,t2,t3);}
t4=C_eqp(t2,t3);
if(C_truep(t4)){
t5=t1;{
C_word av2[2];
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
if(C_truep(C_i_numberp(t2))){
if(C_truep(C_i_numberp(t3))){
t5=t2;
t6=t3;
t7=C_i_nequalp(t5,t6);
t8=t1;{
C_word av2[2];
av2[0]=t8;
av2[1]=t7;
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}
else{
t5=t1;{
C_word av2[2];
av2[0]=t5;
av2[1]=C_eqp(t2,t3);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}
else{
t5=C_blockp(t2);
if(C_truep(C_i_not(t5))){
t6=t1;{
C_word av2[2];
av2[0]=t6;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}
else{
t6=C_blockp(t3);
if(C_truep(C_i_not(t6))){
t7=t1;{
C_word av2[2];
av2[0]=t7;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
t7=C_sametypep(t2,t3);
if(C_truep(C_i_not(t7))){
t8=t1;{
C_word av2[2];
av2[0]=t8;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}
else{
if(C_truep(C_specialp(t2))){
if(C_truep(C_specialp(t3))){
if(C_truep(C_closurep(t2))){
t8=t1;{
C_word av2[2];
av2[0]=t8;
av2[1]=shallow_equal(t2,t3);
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}
else{
/* library.scm:2652: compare-slots */
t8=((C_word*)((C_word*)t0)[2])[1];
f_17076(t8,t1,t2,t3,C_fix(1));}}
else{
t8=t1;{
C_word av2[2];
av2[0]=t8;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}}
else{
if(C_truep(C_byteblockp(t2))){
if(C_truep(C_byteblockp(t3))){
t8=C_block_size(t2);
t9=C_block_size(t3);
t10=C_eqp(t8,t9);
if(C_truep(t10)){
t11=C_substring_compare(t2,t3,C_fix(0),C_fix(0),t8);
t12=t1;{
C_word av2[2];
av2[0]=t12;
av2[1]=t11;
((C_proc)(void*)(*((C_word*)t12+1)))(2,av2);}}
else{
t11=t1;{
C_word av2[2];
av2[0]=t11;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t11+1)))(2,av2);}}}
else{
t8=t1;{
C_word av2[2];
av2[0]=t8;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}}
else{
t8=C_block_size(t2);
t9=C_block_size(t3);
t10=C_eqp(t8,t9);
if(C_truep(t10)){
/* library.scm:2661: compare-slots */
t11=((C_word*)((C_word*)t0)[2])[1];
f_17076(t11,t1,t2,t3,C_fix(0));}
else{
t11=t1;{
C_word av2[2];
av2[0]=t11;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t11+1)))(2,av2);}}}}}}}}}}

/* ##sys#interned-symbol? in k8508 */
static void C_ccall f_17243(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_17243,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_lookup_symbol(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#string->symbol in k8508 */
static void C_ccall f_17246(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_17246,3,av);}
t3=C_i_check_string(t2);
/* library.scm:2673: ##sys#intern-symbol */{
C_word *av2=av;
av2[0]=0;
av2[1]=t1;
av2[2]=t2;
C_string_to_symbol(3,av2);}}

/* ##sys#symbol->string in k8508 */
static void C_ccall f_17255(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_17255,3,av);}
t3=C_slot(t2,C_fix(1));
if(C_truep(C_u_i_keywordp(t2))){
t4=C_i_string_length(t3);
/* library.scm:2678: ##sys#substring */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[395]+1));
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[395]+1);
av2[1]=t1;
av2[2]=t3;
av2[3]=C_fix(1);
av2[4]=t4;
tp(5,av2);}}
else{
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* scheme#symbol->string in k8508 */
static void C_ccall f_17271(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_17271,3,av);}
a=C_alloc(3);
t3=C_i_check_symbol_2(t2,lf[631]);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17282,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* library.scm:2684: ##sys#symbol->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[629]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[629]+1);
av2[1]=t4;
av2[2]=t2;
tp(3,av2);}}

/* k17280 in scheme#symbol->string in k8508 */
static void C_ccall f_17282(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_17282,2,av);}
/* library.scm:2684: scheme#string-copy */
t2=*((C_word*)lf[391]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* scheme#string->symbol in k8508 */
static void C_ccall f_17284(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_17284,3,av);}
a=C_alloc(3);
t3=C_i_check_string_2(t2,lf[633]);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17295,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* library.scm:2690: string-copy */
t5=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t5+1)))(3,av2);}}

/* k17293 in scheme#string->symbol in k8508 */
static void C_ccall f_17295(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_17295,2,av);}
/* library.scm:2690: ##sys#intern-symbol */{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
C_string_to_symbol(3,av2);}}

/* chicken.base#string->uninterned-symbol in k8508 */
static void C_ccall f_17297(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_17297,3,av);}
a=C_alloc(7);
t3=C_i_check_string_2(t2,lf[635]);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_make_symbol,a[2]=((C_word)li471),tmp=(C_word)a,a+=3,tmp);
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_17308,a[2]=t4,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
/* library.scm:2696: string-copy */
t6=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t6;
av2[1]=t5;
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t6+1)))(3,av2);}}

/* k17306 in chicken.base#string->uninterned-symbol in k8508 */
static void C_ccall f_17308(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_17308,2,av);}
/* library.scm:2694: g3344 */
t2=((C_word*)t0)[2];{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
av2[2]=t1;
((C_proc)C_fast_retrieve_proc(t2))(3,av2);}}

/* chicken.base#gensym in k8508 */
static void C_ccall f_17310(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +15,c,5)))){
C_save_and_reclaim((void*)f_17310,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+15);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
t3=C_fixnum_plus(((C_word*)((C_word*)t0)[2])[1],C_fix(1));
t4=C_set_block_item(((C_word*)t0)[2],0,t3);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_make_symbol,a[2]=((C_word)li473),tmp=(C_word)a,a+=3,tmp);
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_17327,a[2]=t5,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
t7=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_17331,a[2]=t6,a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
t8=C_eqp(t2,C_SCHEME_END_OF_LIST);
if(C_truep(t8)){
t9=t7;{
C_word *av2=av;
av2[0]=t9;
av2[1]=lf[637];
f_17331(2,av2);}}
else{
t9=C_i_car(t2);
t10=t9;
t11=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_17344,a[2]=t7,a[3]=t10,tmp=(C_word)a,a+=4,tmp);
if(C_truep(C_blockp(t10))){
if(C_truep(C_stringp(t10))){
t12=t11;{
C_word *av2=av;
av2[0]=t12;
av2[1]=t10;
f_17344(2,av2);}}
else{
if(C_truep(C_symbolp(t10))){
/* library.scm:2710: ##sys#symbol->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[629]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[629]+1);
av2[1]=t11;
av2[2]=t10;
tp(3,av2);}}
else{
/* library.scm:2701: ##sys#signal-hook */
t12=C_fast_retrieve(lf[194]);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t12;
av2[1]=t11;
av2[2]=lf[258];
av2[3]=lf[638];
av2[4]=lf[639];
av2[5]=t10;
((C_proc)(void*)(*((C_word*)t12+1)))(6,av2);}}}}
else{
t12=t11;{
C_word *av2=av;
av2[0]=t12;
av2[1]=C_SCHEME_FALSE;
f_17344(2,av2);}}}}

/* k17325 in chicken.base#gensym in k8508 */
static void C_ccall f_17327(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_17327,2,av);}
/* library.scm:2701: g3351 */
t2=((C_word*)t0)[2];{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
av2[2]=t1;
((C_proc)C_fast_retrieve_proc(t2))(3,av2);}}

/* k17329 in chicken.base#gensym in k8508 */
static void C_ccall f_17331(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_17331,2,av);}
a=C_alloc(4);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_17335,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:2713: ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[600]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[600]+1);
av2[1]=t3;
av2[2]=((C_word*)((C_word*)t0)[3])[1];
tp(3,av2);}}

/* k17333 in k17329 in chicken.base#gensym in k8508 */
static void C_ccall f_17335(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_17335,2,av);}
/* library.scm:2704: ##sys#string-append */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[412]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[412]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t1;
tp(4,av2);}}

/* k17342 in chicken.base#gensym in k8508 */
static void C_ccall f_17344(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,5)))){
C_save_and_reclaim((void *)f_17344,2,av);}
if(C_truep(t1)){
t2=t1;
t3=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
f_17331(2,av2);}}
else{
/* library.scm:2701: ##sys#signal-hook */
t2=C_fast_retrieve(lf[194]);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[258];
av2[3]=lf[638];
av2[4]=lf[639];
av2[5]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(6,av2);}}}

/* chicken.base#symbol-append in k8508 */
static void C_ccall f_17364(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +20,c,3)))){
C_save_and_reclaim((void*)f_17364,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+20);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17372,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
t4=C_a_i_cons(&a,2,C_SCHEME_UNDEFINED,C_SCHEME_END_OF_LIST);
t5=t4;
t6=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t7=((C_word*)t6)[1];
t8=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_17387,a[2]=t3,a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
t9=C_SCHEME_UNDEFINED;
t10=(*a=C_VECTOR_TYPE|1,a[1]=t9,tmp=(C_word)a,a+=2,tmp);
t11=C_set_block_item(t10,0,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_17389,a[2]=t6,a[3]=t10,a[4]=t7,a[5]=((C_word)li475),tmp=(C_word)a,a+=6,tmp));
t12=((C_word*)t10)[1];
f_17389(t12,t8,t2);}

/* k17370 in chicken.base#symbol-append in k8508 */
static void C_ccall f_17372(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_17372,2,av);}
/* library.scm:2718: ##sys#intern-symbol */{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
C_string_to_symbol(3,av2);}}

/* k17385 in chicken.base#symbol-append in k8508 */
static void C_ccall f_17387(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_17387,2,av);}{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t1;
C_apply(4,av2);}}

/* map-loop3367 in chicken.base#symbol-append in k8508 */
static void C_fcall f_17389(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,2)))){
C_save_and_reclaim_args((void *)trf_17389,3,t0,t1,t2);}
a=C_alloc(6);
if(C_truep(C_i_pairp(t2))){
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_17414,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word*)t0)[3],a[5]=t1,tmp=(C_word)a,a+=6,tmp);
t4=C_slot(t2,C_fix(0));
t5=C_i_check_symbol_2(t4,lf[641]);
/* library.scm:2723: ##sys#symbol->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[629]+1));
C_word av2[3];
av2[0]=*((C_word*)lf[629]+1);
av2[1]=t3;
av2[2]=t4;
tp(3,av2);}}
else{
t3=t1;{
C_word av2[2];
av2[0]=t3;
av2[1]=C_slot(((C_word*)t0)[4],C_fix(1));
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k17412 in map-loop3367 in chicken.base#symbol-append in k8508 */
static void C_ccall f_17414(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_17414,2,av);}
a=C_alloc(3);
t2=C_a_i_cons(&a,2,t1,C_SCHEME_END_OF_LIST);
t3=C_i_setslot(((C_word*)((C_word*)t0)[2])[1],C_fix(1),t2);
t4=C_mutate(((C_word *)((C_word*)t0)[2])+1,t2);
t5=C_slot(((C_word*)t0)[3],C_fix(1));
t6=((C_word*)((C_word*)t0)[4])[1];
f_17389(t6,((C_word*)t0)[5],t5);}

/* chicken.keyword#keyword? in k8508 */
static void C_ccall f_17423(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_17423,3,av);}
if(C_truep(C_i_symbolp(t2))){
t3=C_u_i_keywordp(t2);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* chicken.keyword#string->keyword in k8508 */
static void C_ccall f_17432(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_17432,3,av);}
a=C_alloc(5);
t3=C_i_check_string_2(t2,lf[645]);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17443,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
t5=C_a_i_string(&a,1,C_make_character(0));
/* library.scm:2741: ##sys#string-append */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[412]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[412]+1);
av2[1]=t4;
av2[2]=t5;
av2[3]=t2;
tp(4,av2);}}

/* k17441 in chicken.keyword#string->keyword in k8508 */
static void C_ccall f_17443(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_17443,2,av);}
/* library.scm:2741: ##sys#intern-symbol */{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
C_string_to_symbol(3,av2);}}

/* chicken.keyword#keyword->string in k8508 */
static void C_ccall f_17453(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_17453,3,av);}
a=C_alloc(4);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_17460,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:2746: keyword? */
t4=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k17458 in chicken.keyword#keyword->string in k8508 */
static void C_ccall f_17460(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,5)))){
C_save_and_reclaim((void *)f_17460,2,av);}
if(C_truep(t1)){
/* library.scm:2747: ##sys#symbol->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[629]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[629]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}
else{
/* library.scm:2748: ##sys#signal-hook */
t2=C_fast_retrieve(lf[194]);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[258];
av2[3]=lf[647];
av2[4]=lf[648];
av2[5]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(6,av2);}}}

/* chicken.keyword#get-keyword in k8508 */
static void C_ccall f_17471(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c<4) C_bad_min_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-4)*C_SIZEOF_PAIR +0,c,1)))){
C_save_and_reclaim((void*)f_17471,c,av);}
a=C_alloc((c-4)*C_SIZEOF_PAIR+0);
t4=C_build_rest(&a,c,4,av);
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
t5=C_i_nullp(t4);
t6=(C_truep(t5)?C_SCHEME_FALSE:C_i_car(t4));
t7=C_i_check_list_2(t3,lf[651]);
t8=C_i_get_keyword(t2,t3,((C_word*)t0)[2]);
t9=C_eqp(t8,((C_word*)t0)[2]);
if(C_truep(t9)){
if(C_truep(t6)){
/* library.scm:2756: thunk */
t10=t6;{
C_word *av2=av;
av2[0]=t10;
av2[1]=t1;
((C_proc)C_fast_retrieve_proc(t10))(2,av2);}}
else{
t10=t1;{
C_word *av2=av;
av2[0]=t10;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t10+1)))(2,av2);}}}
else{
t10=t1;{
C_word *av2=av;
av2[0]=t10;
av2[1]=t8;
((C_proc)(void*)(*((C_word*)t10+1)))(2,av2);}}}

/* ##sys#make-blob in k8508 */
static void C_ccall f_17499(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,5)))){
C_save_and_reclaim((void *)f_17499,3,av);}
a=C_alloc(3);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17503,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* library.scm:2772: ##sys#allocate-vector */
t4=*((C_word*)lf[316]+1);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=t2;
av2[3]=C_SCHEME_TRUE;
av2[4]=C_SCHEME_FALSE;
av2[5]=C_SCHEME_TRUE;
((C_proc)(void*)(*((C_word*)t4+1)))(6,av2);}}

/* k17501 in ##sys#make-blob in k8508 */
static void C_ccall f_17503(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_17503,2,av);}
t2=C_string_to_bytevector(t1);
t3=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.blob#make-blob in k8508 */
static void C_ccall f_17505(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_17505,3,av);}
a=C_alloc(4);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_17509,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:2777: ##sys#check-fixnum */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[102]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[102]+1);
av2[1]=t3;
av2[2]=t2;
av2[3]=lf[656];
tp(4,av2);}}

/* k17507 in chicken.blob#make-blob in k8508 */
static void C_ccall f_17509(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_17509,2,av);}
/* library.scm:2778: ##sys#make-blob */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[654]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[654]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}

/* chicken.blob#blob? in k8508 */
static void C_ccall f_17514(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_17514,3,av);}
if(C_truep(C_blockp(t2))){
t3=C_bytevectorp(t2);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* chicken.blob#blob-size in k8508 */
static void C_ccall f_17520(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_17520,3,av);}
a=C_alloc(4);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_17524,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:2785: ##sys#check-blob */
t4=*((C_word*)lf[341]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=t2;
av2[3]=lf[659];
((C_proc)(void*)(*((C_word*)t4+1)))(4,av2);}}

/* k17522 in chicken.blob#blob-size in k8508 */
static void C_ccall f_17524(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_17524,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_block_size(((C_word*)t0)[3]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.blob#string->blob in k8508 */
static void C_ccall f_17529(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_17529,3,av);}
a=C_alloc(5);
t3=C_i_check_string_2(t2,lf[661]);
t4=C_block_size(t2);
t5=t4;
t6=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_17539,a[2]=t2,a[3]=t5,a[4]=t1,tmp=(C_word)a,a+=5,tmp);
/* library.scm:2791: ##sys#make-blob */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[654]);
C_word *av2=av;
av2[0]=*((C_word*)lf[654]+1);
av2[1]=t6;
av2[2]=t5;
tp(3,av2);}}

/* k17537 in chicken.blob#string->blob in k8508 */
static void C_ccall f_17539(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_17539,2,av);}
t2=C_copy_memory(t1,((C_word*)t0)[2],((C_word*)t0)[3]);
t3=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.blob#blob->string in k8508 */
static void C_ccall f_17541(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_17541,3,av);}
a=C_alloc(4);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_17545,a[2]=t2,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
/* library.scm:2796: ##sys#check-blob */
t4=*((C_word*)lf[341]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=t2;
av2[3]=lf[663];
((C_proc)(void*)(*((C_word*)t4+1)))(4,av2);}}

/* k17543 in chicken.blob#blob->string in k8508 */
static void C_ccall f_17545(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_17545,2,av);}
a=C_alloc(5);
t2=C_block_size(((C_word*)t0)[2]);
t3=t2;
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_17551,a[2]=((C_word*)t0)[2],a[3]=t3,a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
/* library.scm:2798: ##sys#make-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[376]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[376]+1);
av2[1]=t4;
av2[2]=t3;
tp(3,av2);}}

/* k17549 in k17543 in chicken.blob#blob->string in k8508 */
static void C_ccall f_17551(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_17551,2,av);}
t2=C_copy_memory(t1,((C_word*)t0)[2],((C_word*)t0)[3]);
t3=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.blob#blob=? in k8508 */
static void C_ccall f_17553(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_17553,4,av);}
a=C_alloc(5);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_17557,a[2]=t2,a[3]=t3,a[4]=t1,tmp=(C_word)a,a+=5,tmp);
/* library.scm:2803: ##sys#check-blob */
t5=*((C_word*)lf[341]+1);{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
av2[2]=t2;
av2[3]=lf[665];
((C_proc)(void*)(*((C_word*)t5+1)))(4,av2);}}

/* k17555 in chicken.blob#blob=? in k8508 */
static void C_ccall f_17557(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_17557,2,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_17560,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:2804: ##sys#check-blob */
t3=*((C_word*)lf[341]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[3];
av2[3]=lf[665];
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* k17558 in k17555 in chicken.blob#blob=? in k8508 */
static void C_ccall f_17560(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_17560,2,av);}
t2=C_block_size(((C_word*)t0)[2]);
t3=C_block_size(((C_word*)t0)[3]);
t4=C_eqp(t3,t2);
if(C_truep(t4)){
t5=C_string_compare(((C_word*)t0)[2],((C_word*)t0)[3],t2);
t6=C_i_zerop(t5);
t7=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
t5=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* scheme#make-vector in k8508 */
static void C_ccall f_17576(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +5,c,3)))){
C_save_and_reclaim((void*)f_17576,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+5);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_17580,a[2]=t3,a[3]=t1,a[4]=t2,tmp=(C_word)a,a+=5,tmp);
/* library.scm:2816: ##sys#check-fixnum */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[102]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[102]+1);
av2[1]=t4;
av2[2]=t2;
av2[3]=lf[666];
tp(4,av2);}}

/* k17578 in scheme#make-vector in k8508 */
static void C_ccall f_17580(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,4)))){
C_save_and_reclaim((void *)f_17580,2,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_17583,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
if(C_truep(C_fixnum_lessp(((C_word*)t0)[4],C_fix(0)))){
/* library.scm:2817: ##sys#error */
t3=*((C_word*)lf[155]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[666];
av2[3]=lf[667];
av2[4]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}
else{
t3=t2;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_UNDEFINED;
f_17583(2,av2);}}}

/* k17581 in k17578 in scheme#make-vector in k8508 */
static void C_ccall f_17583(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,5)))){
C_save_and_reclaim((void *)f_17583,2,av);}
if(C_truep(C_i_nullp(((C_word*)t0)[2]))){
t2=C_SCHEME_UNDEFINED;
/* library.scm:2818: ##sys#allocate-vector */
t3=*((C_word*)lf[316]+1);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t3;
av2[1]=((C_word*)t0)[3];
av2[2]=((C_word*)t0)[4];
av2[3]=C_SCHEME_FALSE;
av2[4]=t2;
av2[5]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(6,av2);}}
else{
t2=C_i_car(((C_word*)t0)[2]);
/* library.scm:2818: ##sys#allocate-vector */
t3=*((C_word*)lf[316]+1);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t3;
av2[1]=((C_word*)t0)[3];
av2[2]=((C_word*)t0)[4];
av2[3]=C_SCHEME_FALSE;
av2[4]=t2;
av2[5]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(6,av2);}}}

/* scheme#list->vector in k8508 */
static void C_ccall f_17605(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_17605,3,av);}
a=C_alloc(4);
t3=C_i_listp(t2);
if(C_truep(C_i_not(t3))){
/* library.scm:2830: ##sys#error-not-a-proper-list */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[47]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[47]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=lf[669];
tp(4,av2);}}
else{
t4=C_i_length(t2);
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_17621,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:2832: ##sys#make-vector */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[668]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[668]+1);
av2[1]=t5;
av2[2]=t4;
tp(3,av2);}}}

/* k17619 in scheme#list->vector in k8508 */
static void C_ccall f_17621(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_17621,2,av);}
a=C_alloc(4);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_17626,a[2]=t2,a[3]=((C_word)li489),tmp=(C_word)a,a+=4,tmp);
t4=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t4;
av2[1]=(
  f_17626(t3,((C_word*)t0)[3],C_fix(0))
);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* loop in k17619 in scheme#list->vector in k8508 */
static C_word C_fcall f_17626(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_stack_overflow_check;
loop:{}
if(C_truep(C_i_nullp(t1))){
return(((C_word*)t0)[2]);}
else{
t3=C_slot(t1,C_fix(0));
t4=C_i_setslot(((C_word*)t0)[2],t2,t3);
t5=C_slot(t1,C_fix(1));
t6=C_fixnum_plus(t2,C_fix(1));
t8=t5;
t9=t6;
t1=t8;
t2=t9;
goto loop;}}

/* scheme#vector->list in k8508 */
static void C_ccall f_17657(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,3)))){
C_save_and_reclaim((void *)f_17657,3,av);}
a=C_alloc(8);
t3=C_i_check_vector_2(t2,lf[670]);
t4=C_block_size(t2);
t5=C_SCHEME_UNDEFINED;
t6=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t7=C_set_block_item(t6,0,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_17666,a[2]=t4,a[3]=t2,a[4]=t6,a[5]=((C_word)li491),tmp=(C_word)a,a+=6,tmp));
t8=((C_word*)t6)[1];
f_17666(t8,t1,C_fix(0));}

/* loop in scheme#vector->list in k8508 */
static void C_fcall f_17666(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(4,0,2)))){
C_save_and_reclaim_args((void *)trf_17666,3,t0,t1,t2);}
a=C_alloc(4);
if(C_truep(C_fixnum_greater_or_equal_p(t2,((C_word*)t0)[2]))){
t3=t1;{
C_word av2[2];
av2[0]=t3;
av2[1]=C_SCHEME_END_OF_LIST;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
t3=C_slot(((C_word*)t0)[3],t2);
t4=t3;
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_17684,a[2]=t1,a[3]=t4,tmp=(C_word)a,a+=4,tmp);
t6=C_fixnum_plus(t2,C_fix(1));
/* library.scm:2849: loop */
t8=t5;
t9=t6;
t1=t8;
t2=t9;
goto loop;}}

/* k17682 in loop in scheme#vector->list in k8508 */
static void C_ccall f_17684(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_17684,2,av);}
a=C_alloc(3);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_cons(&a,2,((C_word*)t0)[3],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* scheme#vector in k8508 */
static void C_ccall f_17690(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +0,c,2)))){
C_save_and_reclaim((void*)f_17690,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+0);
t2=C_build_rest(&a,c,2,av);
C_word t3;
/* library.scm:2851: scheme#list->vector */
t3=*((C_word*)lf[94]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t3;
av2[1]=t1;
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}

/* scheme#vector-fill! in k8508 */
static void C_ccall f_17696(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_17696,4,av);}
a=C_alloc(6);
t4=C_i_check_vector_2(t2,lf[671]);
t5=C_block_size(t2);
t6=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_17705,a[2]=t5,a[3]=t2,a[4]=t3,a[5]=((C_word)li494),tmp=(C_word)a,a+=6,tmp);
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=(
  f_17705(t6,C_fix(0))
);
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}

/* doloop3504 in scheme#vector-fill! in k8508 */
static C_word C_fcall f_17705(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_stack_overflow_check;
loop:{}
if(C_truep(C_fixnum_greater_or_equal_p(t1,((C_word*)t0)[2]))){
t2=C_SCHEME_UNDEFINED;
return(t2);}
else{
t2=C_i_setslot(((C_word*)t0)[3],t1,((C_word*)t0)[4]);
t3=C_fixnum_plus(t1,C_fix(1));
t5=t3;
t1=t5;
goto loop;}}

/* chicken.base#vector-copy! in k8508 */
static void C_ccall f_17724(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c<4) C_bad_min_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-4)*C_SIZEOF_PAIR +7,c,2)))){
C_save_and_reclaim((void*)f_17724,c,av);}
a=C_alloc((c-4)*C_SIZEOF_PAIR+7);
t4=C_build_rest(&a,c,4,av);
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
t5=C_i_check_vector_2(t2,lf[672]);
t6=C_i_check_vector_2(t3,lf[672]);
t7=C_block_size(t2);
t8=t7;
t9=C_block_size(t3);
t10=t9;
t11=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_17740,a[2]=t2,a[3]=t3,a[4]=t1,a[5]=t10,a[6]=t8,tmp=(C_word)a,a+=7,tmp);
if(C_truep(C_i_pairp(t4))){
t12=t4;
t13=t11;
f_17740(t13,C_u_i_car(t12));}
else{
t12=t11;
f_17740(t12,C_i_fixnum_min(t10,t8));}}

/* k17738 in chicken.base#vector-copy! in k8508 */
static void C_fcall f_17740(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,0,3)))){
C_save_and_reclaim_args((void *)trf_17740,2,t0,t1);}
a=C_alloc(8);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_17743,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],a[7]=((C_word*)t0)[6],tmp=(C_word)a,a+=8,tmp);
/* library.scm:2868: ##sys#check-fixnum */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[102]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[102]+1);
av2[1]=t3;
av2[2]=t2;
av2[3]=lf[672];
tp(4,av2);}}

/* k17741 in k17738 in chicken.base#vector-copy! in k8508 */
static void C_ccall f_17743(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,7)))){
C_save_and_reclaim((void *)f_17743,2,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_17746,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
t3=C_fixnum_greaterp(((C_word*)t0)[2],((C_word*)t0)[6]);
t4=(C_truep(t3)?t3:C_fixnum_greaterp(((C_word*)t0)[2],((C_word*)t0)[7]));
if(C_truep(t4)){
/* library.scm:2870: ##sys#signal-hook */
t5=C_fast_retrieve(lf[194]);{
C_word *av2;
if(c >= 8) {
  av2=av;
} else {
  av2=C_alloc(8);
}
av2[0]=t5;
av2[1]=t2;
av2[2]=lf[379];
av2[3]=lf[672];
av2[4]=lf[673];
av2[5]=((C_word*)t0)[3];
av2[6]=((C_word*)t0)[4];
av2[7]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t5+1)))(8,av2);}}
else{
t5=t2;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_SCHEME_UNDEFINED;
f_17746(2,av2);}}}

/* k17744 in k17741 in k17738 in chicken.base#vector-copy! in k8508 */
static void C_ccall f_17746(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_17746,2,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_17751,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word)li496),tmp=(C_word)a,a+=6,tmp);
t3=((C_word*)t0)[5];{
C_word *av2=av;
av2[0]=t3;
av2[1]=(
  f_17751(t2,C_fix(0))
);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* doloop3516 in k17744 in k17741 in k17738 in chicken.base#vector-copy! in k8508 */
static C_word C_fcall f_17751(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_stack_overflow_check;
loop:{}
if(C_truep(C_fixnum_greater_or_equal_p(t1,((C_word*)t0)[2]))){
t2=C_SCHEME_UNDEFINED;
return(t2);}
else{
t2=C_slot(((C_word*)t0)[3],t1);
t3=C_i_setslot(((C_word*)t0)[4],t1,t2);
t4=C_fixnum_plus(t1,C_fix(1));
t6=t4;
t1=t6;
goto loop;}}

/* chicken.base#subvector in k8508 */
static void C_ccall f_17793(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c<4) C_bad_min_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-4)*C_SIZEOF_PAIR +8,c,5)))){
C_save_and_reclaim((void*)f_17793,c,av);}
a=C_alloc((c-4)*C_SIZEOF_PAIR+8);
t4=C_build_rest(&a,c,4,av);
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
t5=C_i_nullp(t4);
t6=(C_truep(t5)?C_SCHEME_FALSE:C_i_car(t4));
t7=C_i_check_vector_2(t2,lf[674]);
t8=C_block_size(t2);
t9=t8;
t10=(C_truep(t6)?t6:t9);
t11=t10;
t12=C_fixnum_difference(t11,t3);
t13=t12;
t14=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_17812,a[2]=t13,a[3]=t3,a[4]=t2,a[5]=t1,a[6]=t9,a[7]=t11,tmp=(C_word)a,a+=8,tmp);
t15=C_fixnum_plus(t9,C_fix(1));
/* library.scm:2883: ##sys#check-range */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[334]+1));
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[334]+1);
av2[1]=t14;
av2[2]=t3;
av2[3]=C_fix(0);
av2[4]=t15;
av2[5]=lf[674];
tp(6,av2);}}

/* k17810 in chicken.base#subvector in k8508 */
static void C_ccall f_17812(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,5)))){
C_save_and_reclaim((void *)f_17812,2,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_17815,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
t3=C_fixnum_plus(((C_word*)t0)[6],C_fix(1));
/* library.scm:2884: ##sys#check-range */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[334]+1));
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[334]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[7];
av2[3]=C_fix(0);
av2[4]=t3;
av2[5]=lf[674];
tp(6,av2);}}

/* k17813 in k17810 in chicken.base#subvector in k8508 */
static void C_ccall f_17815(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_17815,2,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_17818,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
/* library.scm:2885: scheme#make-vector */
t3=*((C_word*)lf[93]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}

/* k17816 in k17813 in k17810 in chicken.base#subvector in k8508 */
static void C_ccall f_17818(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_17818,2,av);}
a=C_alloc(7);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_17823,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],a[6]=((C_word)li498),tmp=(C_word)a,a+=7,tmp);
t4=((C_word*)t0)[5];{
C_word *av2=av;
av2[0]=t4;
av2[1]=(
  f_17823(t3,C_fix(0))
);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* doloop3547 in k17816 in k17813 in k17810 in chicken.base#subvector in k8508 */
static C_word C_fcall f_17823(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_stack_overflow_check;
loop:{}
if(C_truep(C_fixnum_greater_or_equal_p(t1,((C_word*)t0)[2]))){
return(((C_word*)t0)[3]);}
else{
t2=C_fixnum_plus(t1,((C_word*)t0)[4]);
t3=C_slot(((C_word*)t0)[5],t2);
t4=C_i_setslot(((C_word*)t0)[3],t1,t3);
t5=C_fixnum_plus(t1,C_fix(1));
t7=t5;
t1=t7;
goto loop;}}

/* chicken.base#vector-resize in k8508 */
static void C_ccall f_17864(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c<4) C_bad_min_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-4)*C_SIZEOF_PAIR +6,c,3)))){
C_save_and_reclaim((void*)f_17864,c,av);}
a=C_alloc((c-4)*C_SIZEOF_PAIR+6);
t4=C_build_rest(&a,c,4,av);
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
t5=C_i_nullp(t4);
t6=(C_truep(t5)?C_SCHEME_FALSE:C_i_car(t4));
t7=t6;
t8=C_i_check_vector_2(t2,lf[675]);
t9=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_17874,a[2]=t1,a[3]=t2,a[4]=t3,a[5]=t7,tmp=(C_word)a,a+=6,tmp);
/* library.scm:2893: ##sys#check-fixnum */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[102]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[102]+1);
av2[1]=t9;
av2[2]=t3;
av2[3]=lf[675];
tp(4,av2);}}

/* k17872 in chicken.base#vector-resize in k8508 */
static void C_ccall f_17874(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_17874,2,av);}
/* library.scm:2894: ##sys#vector-resize */
f_17885(((C_word*)t0)[2],((C_word*)t0)[3],((C_word*)t0)[4],((C_word*)t0)[5]);}

/* ##sys#vector-resize in k8508 */
static void C_fcall f_17885(C_word t1,C_word t2,C_word t3,C_word t4){
C_word tmp;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,3)))){
C_save_and_reclaim_args((void *)trf_17885,4,t1,t2,t3,t4);}
a=C_alloc(5);
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_17889,a[2]=t2,a[3]=t1,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
/* library.scm:2897: ##sys#make-vector */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[668]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[668]+1);
av2[1]=t5;
av2[2]=t3;
av2[3]=t4;
tp(4,av2);}}

/* k17887 in ##sys#vector-resize in k8508 */
static void C_ccall f_17889(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_17889,2,av);}
a=C_alloc(5);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_17892,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
t4=C_block_size(((C_word*)t0)[2]);
/* library.scm:2898: scheme#min */
t5=*((C_word*)lf[557]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t5;
av2[1]=t3;
av2[2]=t4;
av2[3]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t5+1)))(4,av2);}}

/* k17890 in k17887 in ##sys#vector-resize in k8508 */
static void C_ccall f_17892(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_17892,2,av);}
a=C_alloc(6);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_17897,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word)li501),tmp=(C_word)a,a+=6,tmp);
t4=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t4;
av2[1]=(
  f_17897(t3,C_fix(0))
);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* doloop3575 in k17890 in k17887 in ##sys#vector-resize in k8508 */
static C_word C_fcall f_17897(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_stack_overflow_check;
loop:{}
if(C_truep(C_fixnum_greater_or_equal_p(t1,((C_word*)t0)[2]))){
return(((C_word*)t0)[3]);}
else{
t2=C_slot(((C_word*)t0)[4],t1);
t3=C_i_setslot(((C_word*)t0)[3],t1,t2);
t4=C_fixnum_plus(t1,C_fix(1));
t6=t4;
t1=t6;
goto loop;}}

/* scheme#char-ci=? in k8508 */
static void C_ccall f_17924(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_17924,4,av);}
t4=C_u_i_char_downcase(t2);
t5=C_u_i_char_downcase(t3);
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=C_eqp(t4,t5);
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}

/* scheme#char-ci>? in k8508 */
static void C_ccall f_17938(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_17938,4,av);}
t4=C_u_i_char_downcase(t2);
t5=C_u_i_char_downcase(t3);
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=C_u_i_char_greaterp(t4,t5);
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}

/* scheme#char-ci<? in k8508 */
static void C_ccall f_17949(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_17949,4,av);}
t4=C_u_i_char_downcase(t2);
t5=C_u_i_char_downcase(t3);
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=C_u_i_char_lessp(t4,t5);
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}

/* scheme#char-ci>=? in k8508 */
static void C_ccall f_17960(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_17960,4,av);}
t4=C_u_i_char_downcase(t2);
t5=C_u_i_char_downcase(t3);
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=C_u_i_char_greater_or_equal_p(t4,t5);
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}

/* scheme#char-ci<=? in k8508 */
static void C_ccall f_17971(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_17971,4,av);}
t4=C_u_i_char_downcase(t2);
t5=C_u_i_char_downcase(t3);
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=C_u_i_char_less_or_equal_p(t4,t5);
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}

/* k17982 in k8508 */
static void C_ccall f_17984(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(15,c,3)))){
C_save_and_reclaim((void *)f_17984,2,av);}
a=C_alloc(15);
t2=t1;
t3=C_SCHEME_END_OF_LIST;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_17986,a[2]=t2,a[3]=((C_word)li509),tmp=(C_word)a,a+=4,tmp);
t6=C_mutate((C_word*)lf[199]+1 /* (set! chicken.base#char-name ...) */,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_18027,a[2]=t5,a[3]=t4,a[4]=t2,a[5]=((C_word)li510),tmp=(C_word)a,a+=6,tmp));
t7=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18144,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:2967: chicken.base#char-name */
t8=*((C_word*)lf[199]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t8;
av2[1]=t7;
av2[2]=lf[1391];
av2[3]=C_make_character(32);
((C_proc)(void*)(*((C_word*)t8+1)))(4,av2);}}

/* lookup-char in k17982 in k8508 */
static void C_fcall f_17986(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,0,2)))){
C_save_and_reclaim_args((void *)trf_17986,3,t0,t1,t2);}
a=C_alloc(4);
t3=C_fix(C_character_code(t2));
t4=C_fixnum_modulo(t3,C_fix(37));
t5=C_slot(((C_word*)t0)[2],t4);
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_17999,a[2]=t2,a[3]=((C_word)li508),tmp=(C_word)a,a+=4,tmp);
t7=t1;{
C_word av2[2];
av2[0]=t7;
av2[1]=(
  f_17999(t6,t5)
);
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}

/* loop in lookup-char in k17982 in k8508 */
static C_word C_fcall f_17999(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_stack_overflow_check;
loop:{}
if(C_truep(C_i_pairp(t1))){
t2=C_slot(t1,C_fix(0));
t3=C_slot(t2,C_fix(0));
t4=C_eqp(t3,((C_word*)t0)[2]);
if(C_truep(t4)){
return(t2);}
else{
t5=C_slot(t1,C_fix(1));
t7=t5;
t1=t7;
goto loop;}}
else{
return(C_SCHEME_FALSE);}}

/* chicken.base#char-name in k17982 in k8508 */
static void C_ccall f_18027(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +7,c,2)))){
C_save_and_reclaim((void*)f_18027,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+7);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
t4=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_18031,a[2]=t2,a[3]=t1,a[4]=((C_word*)t0)[2],a[5]=((C_word*)t0)[3],a[6]=((C_word*)t0)[4],tmp=(C_word)a,a+=7,tmp);
if(C_truep(C_i_pairp(t3))){
t5=t3;
t6=t4;
f_18031(t6,C_u_i_car(t5));}
else{
t5=t4;
f_18031(t5,C_SCHEME_FALSE);}}

/* k18029 in chicken.base#char-name in k17982 in k8508 */
static void C_fcall f_18031(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,0,5)))){
C_save_and_reclaim_args((void *)trf_18031,2,t0,t1);}
a=C_alloc(8);
t2=t1;
if(C_truep(C_charp(((C_word*)t0)[2]))){
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18040,a[2]=((C_word*)t0)[3],tmp=(C_word)a,a+=3,tmp);
/* library.scm:2941: lookup-char */
t4=((C_word*)t0)[4];
f_17986(t4,t3,((C_word*)t0)[2]);}
else{
if(C_truep(t2)){
t3=C_i_check_symbol_2(((C_word*)t0)[2],lf[677]);
t4=C_i_check_char_2(t2,lf[677]);
t5=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_18058,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[5],a[4]=((C_word*)t0)[3],a[5]=t2,a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[4],tmp=(C_word)a,a+=8,tmp);
t6=C_slot(((C_word*)t0)[2],C_fix(1));
t7=C_block_size(t6);
if(C_truep(C_fixnum_lessp(t7,C_fix(2)))){
/* library.scm:2947: ##sys#signal-hook */
t8=C_fast_retrieve(lf[194]);{
C_word av2[6];
av2[0]=t8;
av2[1]=t5;
av2[2]=lf[258];
av2[3]=lf[677];
av2[4]=lf[678];
av2[5]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t8+1)))(6,av2);}}
else{
t8=t5;{
C_word av2[2];
av2[0]=t8;
av2[1]=C_SCHEME_UNDEFINED;
f_18058(2,av2);}}}
else{
t3=C_i_check_symbol_2(((C_word*)t0)[2],lf[677]);
t4=C_i_assq(((C_word*)t0)[2],((C_word*)((C_word*)t0)[5])[1]);
t5=((C_word*)t0)[3];{
C_word av2[2];
av2[0]=t5;
av2[1]=(C_truep(t4)?C_slot(t4,C_fix(1)):C_SCHEME_FALSE);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}}

/* k18038 in k18029 in chicken.base#char-name in k17982 in k8508 */
static void C_ccall f_18040(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_18040,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=(C_truep(t1)?C_slot(t1,C_fix(1)):C_SCHEME_FALSE);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k18056 in k18029 in chicken.base#char-name in k17982 in k8508 */
static void C_ccall f_18058(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_18058,2,av);}
a=C_alloc(7);
t2=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_18061,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],tmp=(C_word)a,a+=7,tmp);
/* library.scm:2948: lookup-char */
t3=((C_word*)t0)[7];
f_17986(t3,t2,((C_word*)t0)[5]);}

/* k18059 in k18056 in k18029 in chicken.base#char-name in k17982 in k8508 */
static void C_ccall f_18061(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(12,c,1)))){
C_save_and_reclaim((void *)f_18061,2,av);}
a=C_alloc(12);
if(C_truep(t1)){
t2=C_i_assq(((C_word*)t0)[2],((C_word*)((C_word*)t0)[3])[1]);
t3=C_i_setslot(t1,C_fix(1),((C_word*)t0)[2]);
if(C_truep(t2)){
t4=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_set_i_slot(t2,C_fix(1),((C_word*)t0)[5]);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t4=C_a_i_cons(&a,2,((C_word*)t0)[2],((C_word*)t0)[5]);
t5=C_a_i_cons(&a,2,t4,((C_word*)((C_word*)t0)[3])[1]);
t6=C_mutate(((C_word *)((C_word*)t0)[3])+1,t5);
t7=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}}
else{
t2=C_fix(C_character_code(((C_word*)t0)[5]));
t3=C_fixnum_modulo(t2,C_fix(37));
t4=C_a_i_cons(&a,2,((C_word*)t0)[2],((C_word*)t0)[5]);
t5=C_a_i_cons(&a,2,t4,((C_word*)((C_word*)t0)[3])[1]);
t6=C_mutate(((C_word *)((C_word*)t0)[3])+1,t5);
t7=C_a_i_cons(&a,2,((C_word*)t0)[5],((C_word*)t0)[2]);
t8=C_slot(((C_word*)t0)[6],t3);
t9=C_a_i_cons(&a,2,t7,t8);
t10=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t10;
av2[1]=C_i_setslot(((C_word*)t0)[6],t3,t9);
((C_proc)(void*)(*((C_word*)t10+1)))(2,av2);}}}

/* k18142 in k17982 in k8508 */
static void C_ccall f_18144(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_18144,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18147,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:2968: chicken.base#char-name */
t3=*((C_word*)lf[199]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[1390];
av2[3]=C_make_character(9);
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* k18145 in k18142 in k17982 in k8508 */
static void C_ccall f_18147(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_18147,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18150,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:2969: chicken.base#char-name */
t3=*((C_word*)lf[199]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[1389];
av2[3]=C_make_character(10);
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* k18148 in k18145 in k18142 in k17982 in k8508 */
static void C_ccall f_18150(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_18150,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18153,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:2970: chicken.base#char-name */
t3=*((C_word*)lf[199]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[1388];
av2[3]=C_make_character(10);
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* k18151 in k18148 in k18145 in k18142 in k17982 in k8508 */
static void C_ccall f_18153(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_18153,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18156,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:2971: chicken.base#char-name */
t3=*((C_word*)lf[199]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[1387];
av2[3]=C_make_character(11);
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* k18154 in k18151 in k18148 in k18145 in k18142 in k17982 in k8508 */
static void C_ccall f_18156(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_18156,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18159,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:2972: chicken.base#char-name */
t3=*((C_word*)lf[199]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[1386];
av2[3]=C_make_character(127);
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* k18157 in k18154 in k18151 in k18148 in k18145 in k18142 in k17982 in k8508 */
static void C_ccall f_18159(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_18159,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18162,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:2973: chicken.base#char-name */
t3=*((C_word*)lf[199]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[1385];
av2[3]=C_make_character(27);
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* k18160 in k18157 in k18154 in k18151 in k18148 in k18145 in k18142 in k17982 in k8508 */
static void C_ccall f_18162(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_18162,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18165,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:2974: chicken.base#char-name */
t3=*((C_word*)lf[199]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[1384];
av2[3]=C_make_character(27);
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* k18163 in k18160 in k18157 in k18154 in k18151 in k18148 in k18145 in k18142 in k17982 in k8508 */
static void C_ccall f_18165(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_18165,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18168,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:2975: chicken.base#char-name */
t3=*((C_word*)lf[199]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[1383];
av2[3]=C_make_character(7);
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* k18166 in k18163 in k18160 in k18157 in k18154 in k18151 in k18148 in k18145 in k18142 in k17982 in k8508 */
static void C_ccall f_18168(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_18168,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18171,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:2976: chicken.base#char-name */
t3=*((C_word*)lf[199]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[1382];
av2[3]=C_make_character(0);
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* k18169 in k18166 in k18163 in k18160 in k18157 in k18154 in k18151 in k18148 in k18145 in k18142 in k17982 in k8508 */
static void C_ccall f_18171(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_18171,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18174,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:2977: chicken.base#char-name */
t3=*((C_word*)lf[199]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[1381];
av2[3]=C_make_character(0);
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* k18172 in k18169 in k18166 in k18163 in k18160 in k18157 in k18154 in k18151 in k18148 in k18145 in k18142 in k17982 in k8508 */
static void C_ccall f_18174(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_18174,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18177,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:2978: chicken.base#char-name */
t3=*((C_word*)lf[199]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[1380];
av2[3]=C_make_character(13);
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* k18175 in k18172 in k18169 in k18166 in k18163 in k18160 in k18157 in k18154 in k18151 in k18148 in k18145 in k18142 in k17982 in k8508 */
static void C_ccall f_18177(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_18177,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18180,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:2979: chicken.base#char-name */
t3=*((C_word*)lf[199]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[1379];
av2[3]=C_make_character(12);
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* k18178 in k18175 in k18172 in k18169 in k18166 in k18163 in k18160 in k18157 in k18154 in k18151 in k18148 in k18145 in k18142 in k17982 in k8508 */
static void C_ccall f_18180(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_18180,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18183,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:2980: chicken.base#char-name */
t3=*((C_word*)lf[199]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[1378];
av2[3]=C_make_character(8);
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* k18181 in k18178 in k18175 in k18172 in k18169 in k18166 in k18163 in k18160 in k18157 in k18154 in k18151 in k18148 in k18145 in k18142 in k17982 in k8508 */
static void C_ccall f_18183(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word t19;
C_word t20;
C_word t21;
C_word t22;
C_word t23;
C_word t24;
C_word t25;
C_word t26;
C_word t27;
C_word t28;
C_word t29;
C_word t30;
C_word t31;
C_word t32;
C_word t33;
C_word t34;
C_word t35;
C_word t36;
C_word t37;
C_word t38;
C_word t39;
C_word t40;
C_word t41;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(102,c,6)))){
C_save_and_reclaim((void *)f_18183,2,av);}
a=C_alloc(102);
t2=C_mutate((C_word*)lf[679]+1 /* (set! ##sys#call-with-current-continuation ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_call_cc,a[2]=((C_word)li511),tmp=(C_word)a,a+=3,tmp));
t3=C_mutate((C_word*)lf[680]+1 /* (set! ##sys#call-with-cthulhu ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_call_with_cthulhu,a[2]=((C_word)li512),tmp=(C_word)a,a+=3,tmp));
t4=C_mutate((C_word*)lf[681]+1 /* (set! ##sys#call-with-values ...) */,*((C_word*)lf[131]+1));
t5=C_mutate((C_word*)lf[682]+1 /* (set! ##sys#for-each ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18188,a[2]=((C_word)li514),tmp=(C_word)a,a+=3,tmp));
t6=C_mutate((C_word*)lf[684]+1 /* (set! ##sys#map ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18226,a[2]=((C_word)li516),tmp=(C_word)a,a+=3,tmp));
t7=C_SCHEME_UNDEFINED;
t8=(*a=C_VECTOR_TYPE|1,a[1]=t7,tmp=(C_word)a,a+=2,tmp);
t9=C_SCHEME_UNDEFINED;
t10=(*a=C_VECTOR_TYPE|1,a[1]=t9,tmp=(C_word)a,a+=2,tmp);
t11=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_18268,a[2]=t10,a[3]=t8,a[4]=((C_word)li517),tmp=(C_word)a,a+=5,tmp);
t12=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18312,a[2]=((C_word)li519),tmp=(C_word)a,a+=3,tmp);
t13=C_set_block_item(t8,0,t11);
t14=C_set_block_item(t10,0,t12);
t15=C_mutate((C_word*)lf[170]+1 /* (set! scheme#for-each ...) */,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_18366,a[2]=t8,a[3]=t10,a[4]=((C_word)li524),tmp=(C_word)a,a+=5,tmp));
t16=C_mutate((C_word*)lf[171]+1 /* (set! scheme#map ...) */,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_18452,a[2]=t8,a[3]=t10,a[4]=((C_word)li529),tmp=(C_word)a,a+=5,tmp));
t17=C_set_block_item(lf[687] /* ##sys#dynamic-winds */,0,C_SCHEME_END_OF_LIST);
t18=C_mutate((C_word*)lf[172]+1 /* (set! scheme#dynamic-wind ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18559,a[2]=((C_word)li531),tmp=(C_word)a,a+=3,tmp));
t19=C_mutate((C_word*)lf[688]+1 /* (set! ##sys#dynamic-wind ...) */,*((C_word*)lf[172]+1));
t20=C_mutate((C_word*)lf[132]+1 /* (set! scheme#call-with-current-continuation ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18590,a[2]=((C_word)li534),tmp=(C_word)a,a+=3,tmp));
t21=C_mutate((C_word*)lf[198]+1 /* (set! chicken.base#call/cc ...) */,*((C_word*)lf[132]+1));
t22=C_mutate(&lf[689] /* (set! ##sys#dynamic-unwind ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18630,a[2]=((C_word)li535),tmp=(C_word)a,a+=3,tmp));
t23=C_mutate((C_word*)lf[207]+1 /* (set! chicken.base#port? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18688,a[2]=((C_word)li536),tmp=(C_word)a,a+=3,tmp));
t24=C_mutate((C_word*)lf[209]+1 /* (set! chicken.base#input-port-open? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18694,a[2]=((C_word)li537),tmp=(C_word)a,a+=3,tmp));
t25=C_mutate((C_word*)lf[210]+1 /* (set! chicken.base#output-port-open? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18699,a[2]=((C_word)li538),tmp=(C_word)a,a+=3,tmp));
t26=C_mutate((C_word*)lf[208]+1 /* (set! chicken.base#port-closed? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18704,a[2]=((C_word)li539),tmp=(C_word)a,a+=3,tmp));
t27=C_mutate((C_word*)lf[694]+1 /* (set! ##sys#make-port ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18717,a[2]=((C_word)li540),tmp=(C_word)a,a+=3,tmp));
t28=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31814,a[2]=((C_word)li542),tmp=(C_word)a,a+=3,tmp);
t29=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31854,a[2]=((C_word)li544),tmp=(C_word)a,a+=3,tmp);
t30=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31894,a[2]=((C_word)li545),tmp=(C_word)a,a+=3,tmp);
t31=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31897,a[2]=((C_word)li546),tmp=(C_word)a,a+=3,tmp);
t32=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31900,a[2]=((C_word)li547),tmp=(C_word)a,a+=3,tmp);
t33=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31906,a[2]=((C_word)li548),tmp=(C_word)a,a+=3,tmp);
t34=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31909,a[2]=((C_word)li549),tmp=(C_word)a,a+=3,tmp);
t35=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31912,a[2]=((C_word)li552),tmp=(C_word)a,a+=3,tmp);
t36=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_32011,a[2]=((C_word)li555),tmp=(C_word)a,a+=3,tmp);
t37=C_a_i_vector(&a,10,t28,t29,t30,t31,t32,t33,t34,t35,t36,C_SCHEME_FALSE);
t38=C_mutate((C_word*)lf[708]+1 /* (set! ##sys#stream-port-class ...) */,t37);
t39=C_mutate((C_word*)lf[709]+1 /* (set! ##sys#open-file-port ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_open_file_port,a[2]=((C_word)li556),tmp=(C_word)a,a+=3,tmp));
t40=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18748,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:3264: ##sys#make-port */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[694]);
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[694]+1);
av2[1]=t40;
av2[2]=C_fix(1);
av2[3]=C_fast_retrieve(lf[708]);
av2[4]=lf[1377];
av2[5]=lf[727];
tp(6,av2);}}

/* ##sys#for-each in k18181 in k18178 in k18175 in k18172 in k18169 in k18166 in k18163 in k18160 in k18157 in k18154 in k18151 in k18148 in k18145 in k18142 in k17982 in k8508 */
static void C_ccall f_18188(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,3)))){
C_save_and_reclaim((void *)f_18188,4,av);}
a=C_alloc(8);
t4=C_SCHEME_UNDEFINED;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=C_set_block_item(t5,0,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_18194,a[2]=t5,a[3]=t2,a[4]=t3,a[5]=((C_word)li513),tmp=(C_word)a,a+=6,tmp));
t7=((C_word*)t5)[1];
f_18194(t7,t1,t3);}

/* loop in ##sys#for-each in k18181 in k18178 in k18175 in k18172 in k18169 in k18166 in k18163 in k18160 in k18157 in k18154 in k18151 in k18148 in k18145 in k18142 in k17982 in k8508 */
static void C_fcall f_18194(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,3)))){
C_save_and_reclaim_args((void *)trf_18194,3,t0,t1,t2);}
a=C_alloc(5);
t3=C_eqp(t2,C_SCHEME_END_OF_LIST);
if(C_truep(t3)){
t4=C_SCHEME_UNDEFINED;
t5=t1;{
C_word av2[2];
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
if(C_truep(C_i_pairp(t2))){
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_18210,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
t5=C_slot(t2,C_fix(0));
/* library.scm:2993: p */
t6=((C_word*)t0)[3];{
C_word av2[3];
av2[0]=t6;
av2[1]=t4;
av2[2]=t5;
((C_proc)C_fast_retrieve_proc(t6))(3,av2);}}
else{
/* library.scm:2995: ##sys#error-not-a-proper-list */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[47]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[47]+1);
av2[1]=t1;
av2[2]=((C_word*)t0)[4];
av2[3]=lf[683];
tp(4,av2);}}}}

/* k18208 in loop in ##sys#for-each in k18181 in k18178 in k18175 in k18172 in k18169 in k18166 in k18163 in k18160 in k18157 in k18154 in k18151 in k18148 in k18145 in k18142 in k17982 in k8508 */
static void C_ccall f_18210(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_18210,2,av);}
t2=C_slot(((C_word*)t0)[2],C_fix(1));
/* library.scm:2994: loop */
t3=((C_word*)((C_word*)t0)[3])[1];
f_18194(t3,((C_word*)t0)[4],t2);}

/* ##sys#map in k18181 in k18178 in k18175 in k18172 in k18169 in k18166 in k18163 in k18160 in k18157 in k18154 in k18151 in k18148 in k18145 in k18142 in k17982 in k8508 */
static void C_ccall f_18226(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,3)))){
C_save_and_reclaim((void *)f_18226,4,av);}
a=C_alloc(8);
t4=C_SCHEME_UNDEFINED;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=C_set_block_item(t5,0,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_18232,a[2]=t5,a[3]=t2,a[4]=t3,a[5]=((C_word)li515),tmp=(C_word)a,a+=6,tmp));
t7=((C_word*)t5)[1];
f_18232(t7,t1,t3);}

/* loop in ##sys#map in k18181 in k18178 in k18175 in k18172 in k18169 in k18166 in k18163 in k18160 in k18157 in k18154 in k18151 in k18148 in k18145 in k18142 in k17982 in k8508 */
static void C_fcall f_18232(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,3)))){
C_save_and_reclaim_args((void *)trf_18232,3,t0,t1,t2);}
a=C_alloc(5);
t3=C_eqp(t2,C_SCHEME_END_OF_LIST);
if(C_truep(t3)){
t4=t2;
t5=t1;{
C_word av2[2];
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
if(C_truep(C_i_pairp(t2))){
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_18252,a[2]=t1,a[3]=t2,a[4]=((C_word*)t0)[2],tmp=(C_word)a,a+=5,tmp);
t5=C_slot(t2,C_fix(0));
/* library.scm:3001: p */
t6=((C_word*)t0)[3];{
C_word av2[3];
av2[0]=t6;
av2[1]=t4;
av2[2]=t5;
((C_proc)C_fast_retrieve_proc(t6))(3,av2);}}
else{
/* library.scm:3002: ##sys#error-not-a-proper-list */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[47]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[47]+1);
av2[1]=t1;
av2[2]=((C_word*)t0)[4];
av2[3]=lf[685];
tp(4,av2);}}}}

/* k18250 in loop in ##sys#map in k18181 in k18178 in k18175 in k18172 in k18169 in k18166 in k18163 in k18160 in k18157 in k18154 in k18151 in k18148 in k18145 in k18142 in k17982 in k8508 */
static void C_ccall f_18252(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_18252,2,av);}
a=C_alloc(4);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_18256,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=C_slot(((C_word*)t0)[3],C_fix(1));
/* library.scm:3001: loop */
t5=((C_word*)((C_word*)t0)[4])[1];
f_18232(t5,t3,t4);}

/* k18254 in k18250 in loop in ##sys#map in k18181 in k18178 in k18175 in k18172 in k18169 in k18166 in k18163 in k18160 in k18157 in k18154 in k18151 in k18148 in k18145 in k18142 in k17982 in k8508 */
static void C_ccall f_18256(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_18256,2,av);}
a=C_alloc(3);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_cons(&a,2,((C_word*)t0)[3],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* mapsafe3651 in k18181 in k18178 in k18175 in k18172 in k18169 in k18166 in k18163 in k18160 in k18157 in k18154 in k18151 in k18148 in k18145 in k18142 in k17982 in k8508 */
static void C_ccall f_18268(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5=av[5];
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(c!=6) C_bad_argc_2(c,6,t0);
if(C_unlikely(!C_demand(C_calculate_demand(7,c,4)))){
C_save_and_reclaim((void *)f_18268,6,av);}
a=C_alloc(7);
t6=C_eqp(t3,C_SCHEME_END_OF_LIST);
if(C_truep(t6)){
t7=t3;
t8=t1;{
C_word *av2=av;
av2[0]=t8;
av2[1]=t7;
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}
else{
t7=C_slot(t3,C_fix(0));
t8=C_eqp(t7,C_SCHEME_END_OF_LIST);
if(C_truep(t8)){
/* library.scm:3010: check */
t9=((C_word*)((C_word*)t0)[2])[1];{
C_word *av2=av;
av2[0]=t9;
av2[1]=t1;
av2[2]=t3;
av2[3]=t4;
av2[4]=t5;
((C_proc)C_fast_retrieve_proc(t9))(5,av2);}}
else{
if(C_truep(C_i_pairp(t7))){
t9=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_18300,a[2]=t1,a[3]=t3,a[4]=((C_word*)t0)[3],a[5]=t2,a[6]=t5,tmp=(C_word)a,a+=7,tmp);
/* library.scm:3012: p */
t10=t2;{
C_word *av2=av;
av2[0]=t10;
av2[1]=t9;
av2[2]=t7;
((C_proc)C_fast_retrieve_proc(t10))(3,av2);}}
else{
/* library.scm:3013: ##sys#error-not-a-proper-list */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[47]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[47]+1);
av2[1]=t1;
av2[2]=t7;
av2[3]=t5;
tp(4,av2);}}}}}

/* k18298 in mapsafe3651 in k18181 in k18178 in k18175 in k18172 in k18169 in k18166 in k18163 in k18160 in k18157 in k18154 in k18151 in k18148 in k18145 in k18142 in k17982 in k8508 */
static void C_ccall f_18300(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,5)))){
C_save_and_reclaim((void *)f_18300,2,av);}
a=C_alloc(4);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_18304,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=C_slot(((C_word*)t0)[3],C_fix(1));
/* library.scm:3012: mapsafe */
t5=((C_word*)((C_word*)t0)[4])[1];{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t5;
av2[1]=t3;
av2[2]=((C_word*)t0)[5];
av2[3]=t4;
av2[4]=C_SCHEME_FALSE;
av2[5]=((C_word*)t0)[6];
((C_proc)C_fast_retrieve_proc(t5))(6,av2);}}

/* k18302 in k18298 in mapsafe3651 in k18181 in k18178 in k18175 in k18172 in k18169 in k18166 in k18163 in k18160 in k18157 in k18154 in k18151 in k18148 in k18145 in k18142 in k17982 in k8508 */
static void C_ccall f_18304(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_18304,2,av);}
a=C_alloc(3);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_cons(&a,2,((C_word*)t0)[3],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* check3652 in k18181 in k18178 in k18175 in k18172 in k18169 in k18166 in k18163 in k18160 in k18157 in k18154 in k18151 in k18148 in k18145 in k18142 in k17982 in k8508 */
static void C_ccall f_18312(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,2)))){
C_save_and_reclaim((void *)f_18312,5,av);}
a=C_alloc(8);
t5=C_i_not(t3);
t6=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_18322,a[2]=t1,a[3]=t4,a[4]=t2,tmp=(C_word)a,a+=5,tmp);
if(C_truep(t5)){
t7=t6;
f_18322(t7,t5);}
else{
t7=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18330,a[2]=((C_word)li518),tmp=(C_word)a,a+=3,tmp);
t8=t6;
f_18322(t8,(
  f_18330(t2)
));}}

/* k18320 in check3652 in k18181 in k18178 in k18175 in k18172 in k18169 in k18166 in k18163 in k18160 in k18157 in k18154 in k18151 in k18148 in k18145 in k18142 in k17982 in k8508 */
static void C_fcall f_18322(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,0,4)))){
C_save_and_reclaim_args((void *)trf_18322,2,t0,t1);}
if(C_truep(t1)){
/* library.scm:3021: ##sys#error */
t2=*((C_word*)lf[155]+1);{
C_word av2[5];
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=lf[686];
av2[4]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}
else{
t2=C_SCHEME_UNDEFINED;
t3=((C_word*)t0)[2];{
C_word av2[2];
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* loop in check3652 in k18181 in k18178 in k18175 in k18172 in k18169 in k18166 in k18163 in k18160 in k18157 in k18154 in k18151 in k18148 in k18145 in k18142 in k17982 in k8508 */
static C_word C_fcall f_18330(C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_stack_overflow_check;
loop:{}
t2=C_eqp(t1,C_SCHEME_END_OF_LIST);
if(C_truep(C_i_not(t2))){
t3=C_slot(t1,C_fix(0));
t4=C_eqp(t3,C_SCHEME_END_OF_LIST);
if(C_truep(C_i_not(t4))){
t5=C_slot(t1,C_fix(1));
t7=t5;
t1=t7;
goto loop;}
else{
return(C_SCHEME_FALSE);}}
else{
return(C_SCHEME_FALSE);}}

/* scheme#for-each in k18181 in k18178 in k18175 in k18172 in k18169 in k18166 in k18163 in k18160 in k18157 in k18154 in k18151 in k18148 in k18145 in k18142 in k17982 in k8508 */
static void C_ccall f_18366(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c<4) C_bad_min_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-4)*C_SIZEOF_PAIR +12,c,3)))){
C_save_and_reclaim((void*)f_18366,c,av);}
a=C_alloc((c-4)*C_SIZEOF_PAIR+12);
t4=C_build_rest(&a,c,4,av);
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
if(C_truep(C_i_nullp(t4))){
t5=t2;
t6=t3;
t7=C_i_check_list_2(t6,lf[683]);
t8=C_SCHEME_UNDEFINED;
t9=(*a=C_VECTOR_TYPE|1,a[1]=t8,tmp=(C_word)a,a+=2,tmp);
t10=C_set_block_item(t9,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_18381,a[2]=t9,a[3]=t5,a[4]=((C_word)li520),tmp=(C_word)a,a+=5,tmp));
t11=((C_word*)t9)[1];
f_18381(t11,t1,t6);}
else{
t5=C_a_i_cons(&a,2,t3,t4);
t6=C_SCHEME_UNDEFINED;
t7=(*a=C_VECTOR_TYPE|1,a[1]=t6,tmp=(C_word)a,a+=2,tmp);
t8=C_set_block_item(t7,0,(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_18411,a[2]=t7,a[3]=((C_word*)t0)[2],a[4]=t2,a[5]=((C_word*)t0)[3],a[6]=((C_word)li523),tmp=(C_word)a,a+=7,tmp));
t9=((C_word*)t7)[1];
f_18411(t9,t1,t5);}}

/* for-each-loop3682 in scheme#for-each in k18181 in k18178 in k18175 in k18172 in k18169 in k18166 in k18163 in k18160 in k18157 in k18154 in k18151 in k18148 in k18145 in k18142 in k17982 in k8508 */
static void C_fcall f_18381(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,2)))){
C_save_and_reclaim_args((void *)trf_18381,3,t0,t1,t2);}
a=C_alloc(5);
if(C_truep(C_i_pairp(t2))){
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_18391,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
t4=C_slot(t2,C_fix(0));
/* library.scm:3026: g3683 */
t5=((C_word*)t0)[3];{
C_word av2[3];
av2[0]=t5;
av2[1]=t3;
av2[2]=t4;
((C_proc)C_fast_retrieve_proc(t5))(3,av2);}}
else{
t3=C_SCHEME_UNDEFINED;
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* k18389 in for-each-loop3682 in scheme#for-each in k18181 in k18178 in k18175 in k18172 in k18169 in k18166 in k18163 in k18160 in k18157 in k18154 in k18151 in k18148 in k18145 in k18142 in k17982 in k8508 */
static void C_ccall f_18391(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_18391,2,av);}
t2=C_slot(((C_word*)t0)[2],C_fix(1));
t3=((C_word*)((C_word*)t0)[3])[1];
f_18381(t3,((C_word*)t0)[4],t2);}

/* loop in scheme#for-each in k18181 in k18178 in k18175 in k18172 in k18169 in k18166 in k18163 in k18160 in k18157 in k18154 in k18151 in k18148 in k18145 in k18142 in k17982 in k8508 */
static void C_fcall f_18411(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(13,0,5)))){
C_save_and_reclaim_args((void *)trf_18411,3,t0,t1,t2);}
a=C_alloc(13);
t3=C_slot(t2,C_fix(0));
if(C_truep(C_i_pairp(t3))){
t4=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_18424,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=((C_word*)t0)[3],a[5]=t2,tmp=(C_word)a,a+=6,tmp);
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_18441,a[2]=t4,a[3]=((C_word*)t0)[4],tmp=(C_word)a,a+=4,tmp);
t6=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18443,a[2]=((C_word)li522),tmp=(C_word)a,a+=3,tmp);
/* library.scm:3030: mapsafe */
t7=((C_word*)((C_word*)t0)[3])[1];{
C_word av2[6];
av2[0]=t7;
av2[1]=t5;
av2[2]=t6;
av2[3]=t2;
av2[4]=C_SCHEME_TRUE;
av2[5]=lf[683];
((C_proc)C_fast_retrieve_proc(t7))(6,av2);}}
else{
/* library.scm:3032: check */
t4=((C_word*)((C_word*)t0)[5])[1];{
C_word av2[5];
av2[0]=t4;
av2[1]=t1;
av2[2]=t2;
av2[3]=C_SCHEME_TRUE;
av2[4]=lf[683];
((C_proc)C_fast_retrieve_proc(t4))(5,av2);}}}

/* k18422 in loop in scheme#for-each in k18181 in k18178 in k18175 in k18172 in k18169 in k18166 in k18163 in k18160 in k18157 in k18154 in k18151 in k18148 in k18145 in k18142 in k17982 in k8508 */
static void C_ccall f_18424(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,5)))){
C_save_and_reclaim((void *)f_18424,2,av);}
a=C_alloc(7);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_18431,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18433,a[2]=((C_word)li521),tmp=(C_word)a,a+=3,tmp);
/* library.scm:3031: mapsafe */
t4=((C_word*)((C_word*)t0)[4])[1];{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t4;
av2[1]=t2;
av2[2]=t3;
av2[3]=((C_word*)t0)[5];
av2[4]=C_SCHEME_TRUE;
av2[5]=lf[683];
((C_proc)C_fast_retrieve_proc(t4))(6,av2);}}

/* k18429 in k18422 in loop in scheme#for-each in k18181 in k18178 in k18175 in k18172 in k18169 in k18166 in k18163 in k18160 in k18157 in k18154 in k18151 in k18148 in k18145 in k18142 in k17982 in k8508 */
static void C_ccall f_18431(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_18431,2,av);}
/* library.scm:3031: loop */
t2=((C_word*)((C_word*)t0)[2])[1];
f_18411(t2,((C_word*)t0)[3],t1);}

/* a18432 in k18422 in loop in scheme#for-each in k18181 in k18178 in k18175 in k18172 in k18169 in k18166 in k18163 in k18160 in k18157 in k18154 in k18151 in k18148 in k18145 in k18142 in k17982 in k8508 */
static void C_ccall f_18433(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_18433,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_cdr(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* k18439 in loop in scheme#for-each in k18181 in k18178 in k18175 in k18172 in k18169 in k18166 in k18163 in k18160 in k18157 in k18154 in k18151 in k18148 in k18145 in k18142 in k17982 in k8508 */
static void C_ccall f_18441(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_18441,2,av);}{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t1;
C_apply(4,av2);}}

/* a18442 in loop in scheme#for-each in k18181 in k18178 in k18175 in k18172 in k18169 in k18166 in k18163 in k18160 in k18157 in k18154 in k18151 in k18148 in k18145 in k18142 in k17982 in k8508 */
static void C_ccall f_18443(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_18443,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_car(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#map in k18181 in k18178 in k18175 in k18172 in k18169 in k18166 in k18163 in k18160 in k18157 in k18154 in k18151 in k18148 in k18145 in k18142 in k17982 in k8508 */
static void C_ccall f_18452(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c<4) C_bad_min_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-4)*C_SIZEOF_PAIR +14,c,3)))){
C_save_and_reclaim((void*)f_18452,c,av);}
a=C_alloc((c-4)*C_SIZEOF_PAIR+14);
t4=C_build_rest(&a,c,4,av);
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
if(C_truep(C_i_nullp(t4))){
t5=C_a_i_cons(&a,2,C_SCHEME_UNDEFINED,C_SCHEME_END_OF_LIST);
t6=t5;
t7=(*a=C_VECTOR_TYPE|1,a[1]=t6,tmp=(C_word)a,a+=2,tmp);
t8=((C_word*)t7)[1];
t9=t2;
t10=t3;
t11=C_i_check_list_2(t10,lf[685]);
t12=C_SCHEME_UNDEFINED;
t13=(*a=C_VECTOR_TYPE|1,a[1]=t12,tmp=(C_word)a,a+=2,tmp);
t14=C_set_block_item(t13,0,(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_18470,a[2]=t7,a[3]=t13,a[4]=t9,a[5]=t8,a[6]=((C_word)li525),tmp=(C_word)a,a+=7,tmp));
t15=((C_word*)t13)[1];
f_18470(t15,t1,t10);}
else{
t5=C_a_i_cons(&a,2,t3,t4);
t6=C_SCHEME_UNDEFINED;
t7=(*a=C_VECTOR_TYPE|1,a[1]=t6,tmp=(C_word)a,a+=2,tmp);
t8=C_set_block_item(t7,0,(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_18511,a[2]=t7,a[3]=((C_word*)t0)[2],a[4]=t2,a[5]=((C_word*)t0)[3],a[6]=((C_word)li528),tmp=(C_word)a,a+=7,tmp));
t9=((C_word*)t7)[1];
f_18511(t9,t1,t5);}}

/* map-loop3713 in scheme#map in k18181 in k18178 in k18175 in k18172 in k18169 in k18166 in k18163 in k18160 in k18157 in k18154 in k18151 in k18148 in k18145 in k18142 in k17982 in k8508 */
static void C_fcall f_18470(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,2)))){
C_save_and_reclaim_args((void *)trf_18470,3,t0,t1,t2);}
a=C_alloc(6);
if(C_truep(C_i_pairp(t2))){
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_18495,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word*)t0)[3],a[5]=t1,tmp=(C_word)a,a+=6,tmp);
t4=C_slot(t2,C_fix(0));
/* library.scm:3037: g3719 */
t5=((C_word*)t0)[4];{
C_word av2[3];
av2[0]=t5;
av2[1]=t3;
av2[2]=t4;
((C_proc)C_fast_retrieve_proc(t5))(3,av2);}}
else{
t3=t1;{
C_word av2[2];
av2[0]=t3;
av2[1]=C_slot(((C_word*)t0)[5],C_fix(1));
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k18493 in map-loop3713 in scheme#map in k18181 in k18178 in k18175 in k18172 in k18169 in k18166 in k18163 in k18160 in k18157 in k18154 in k18151 in k18148 in k18145 in k18142 in k17982 in k8508 */
static void C_ccall f_18495(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_18495,2,av);}
a=C_alloc(3);
t2=C_a_i_cons(&a,2,t1,C_SCHEME_END_OF_LIST);
t3=C_i_setslot(((C_word*)((C_word*)t0)[2])[1],C_fix(1),t2);
t4=C_mutate(((C_word *)((C_word*)t0)[2])+1,t2);
t5=C_slot(((C_word*)t0)[3],C_fix(1));
t6=((C_word*)((C_word*)t0)[4])[1];
f_18470(t6,((C_word*)t0)[5],t5);}

/* loop in scheme#map in k18181 in k18178 in k18175 in k18172 in k18169 in k18166 in k18163 in k18160 in k18157 in k18154 in k18151 in k18148 in k18145 in k18142 in k17982 in k8508 */
static void C_fcall f_18511(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(13,0,5)))){
C_save_and_reclaim_args((void *)trf_18511,3,t0,t1,t2);}
a=C_alloc(13);
t3=C_slot(t2,C_fix(0));
if(C_truep(C_i_pairp(t3))){
t4=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_18528,a[2]=t1,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=t2,tmp=(C_word)a,a+=6,tmp);
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_18546,a[2]=t4,a[3]=((C_word*)t0)[4],tmp=(C_word)a,a+=4,tmp);
t6=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18548,a[2]=((C_word)li527),tmp=(C_word)a,a+=3,tmp);
/* library.scm:3041: mapsafe */
t7=((C_word*)((C_word*)t0)[3])[1];{
C_word av2[6];
av2[0]=t7;
av2[1]=t5;
av2[2]=t6;
av2[3]=t2;
av2[4]=C_SCHEME_TRUE;
av2[5]=lf[685];
((C_proc)C_fast_retrieve_proc(t7))(6,av2);}}
else{
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18555,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
t5=C_i_cdr(t2);
/* library.scm:3043: check */
t6=((C_word*)((C_word*)t0)[5])[1];{
C_word av2[5];
av2[0]=t6;
av2[1]=t4;
av2[2]=t5;
av2[3]=C_SCHEME_TRUE;
av2[4]=lf[685];
((C_proc)C_fast_retrieve_proc(t6))(5,av2);}}}

/* k18526 in loop in scheme#map in k18181 in k18178 in k18175 in k18172 in k18169 in k18166 in k18163 in k18160 in k18157 in k18154 in k18151 in k18148 in k18145 in k18142 in k17982 in k8508 */
static void C_ccall f_18528(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,c,5)))){
C_save_and_reclaim((void *)f_18528,2,av);}
a=C_alloc(11);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_18532,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_18536,a[2]=((C_word*)t0)[3],a[3]=t3,tmp=(C_word)a,a+=4,tmp);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18538,a[2]=((C_word)li526),tmp=(C_word)a,a+=3,tmp);
/* library.scm:3042: mapsafe */
t6=((C_word*)((C_word*)t0)[4])[1];{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t6;
av2[1]=t4;
av2[2]=t5;
av2[3]=((C_word*)t0)[5];
av2[4]=C_SCHEME_TRUE;
av2[5]=lf[685];
((C_proc)C_fast_retrieve_proc(t6))(6,av2);}}

/* k18530 in k18526 in loop in scheme#map in k18181 in k18178 in k18175 in k18172 in k18169 in k18166 in k18163 in k18160 in k18157 in k18154 in k18151 in k18148 in k18145 in k18142 in k17982 in k8508 */
static void C_ccall f_18532(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_18532,2,av);}
a=C_alloc(3);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_cons(&a,2,((C_word*)t0)[3],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k18534 in k18526 in loop in scheme#map in k18181 in k18178 in k18175 in k18172 in k18169 in k18166 in k18163 in k18160 in k18157 in k18154 in k18151 in k18148 in k18145 in k18142 in k17982 in k8508 */
static void C_ccall f_18536(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_18536,2,av);}
/* library.scm:3042: loop */
t2=((C_word*)((C_word*)t0)[2])[1];
f_18511(t2,((C_word*)t0)[3],t1);}

/* a18537 in k18526 in loop in scheme#map in k18181 in k18178 in k18175 in k18172 in k18169 in k18166 in k18163 in k18160 in k18157 in k18154 in k18151 in k18148 in k18145 in k18142 in k17982 in k8508 */
static void C_ccall f_18538(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_18538,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_cdr(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* k18544 in loop in scheme#map in k18181 in k18178 in k18175 in k18172 in k18169 in k18166 in k18163 in k18160 in k18157 in k18154 in k18151 in k18148 in k18145 in k18142 in k17982 in k8508 */
static void C_ccall f_18546(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_18546,2,av);}{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t1;
C_apply(4,av2);}}

/* a18547 in loop in scheme#map in k18181 in k18178 in k18175 in k18172 in k18169 in k18166 in k18163 in k18160 in k18157 in k18154 in k18151 in k18148 in k18145 in k18142 in k17982 in k8508 */
static void C_ccall f_18548(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_18548,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_car(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* k18553 in loop in scheme#map in k18181 in k18178 in k18175 in k18172 in k18169 in k18166 in k18163 in k18160 in k18157 in k18154 in k18151 in k18148 in k18145 in k18142 in k17982 in k8508 */
static void C_ccall f_18555(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_18555,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_SCHEME_END_OF_LIST;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* scheme#dynamic-wind in k18181 in k18178 in k18175 in k18172 in k18169 in k18166 in k18163 in k18160 in k18157 in k18154 in k18151 in k18148 in k18145 in k18142 in k17982 in k8508 */
static void C_ccall f_18559(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word t6;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_18559,5,av);}
a=C_alloc(6);
t5=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_18563,a[2]=t2,a[3]=t4,a[4]=t1,a[5]=t3,tmp=(C_word)a,a+=6,tmp);
/* library.scm:3063: before */
t6=t2;{
C_word *av2=av;
av2[0]=t6;
av2[1]=t5;
((C_proc)C_fast_retrieve_proc(t6))(2,av2);}}

/* k18561 in scheme#dynamic-wind in k18181 in k18178 in k18175 in k18172 in k18169 in k18166 in k18163 in k18160 in k18157 in k18154 in k18151 in k18148 in k18145 in k18142 in k17982 in k8508 */
static void C_ccall f_18563(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,3)))){
C_save_and_reclaim((void *)f_18563,2,av);}
a=C_alloc(10);
t2=C_a_i_cons(&a,2,((C_word*)t0)[2],((C_word*)t0)[3]);
t3=C_a_i_cons(&a,2,t2,C_fast_retrieve(lf[687]));
t4=C_mutate((C_word*)lf[687]+1 /* (set! ##sys#dynamic-winds ...) */,t3);
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_18572,a[2]=((C_word*)t0)[3],a[3]=((C_word)li530),tmp=(C_word)a,a+=4,tmp);
/* library.scm:3065: ##sys#call-with-values */{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=((C_word*)t0)[4];
av2[2]=((C_word*)t0)[5];
av2[3]=t5;
C_call_with_values(4,av2);}}

/* a18571 in k18561 in scheme#dynamic-wind in k18181 in k18178 in k18175 in k18172 in k18169 in k18166 in k18163 in k18160 in k18157 in k18154 in k18151 in k18148 in k18145 in k18142 in k17982 in k8508 */
static void C_ccall f_18572(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +4,c,2)))){
C_save_and_reclaim((void*)f_18572,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+4);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
t3=C_slot(C_fast_retrieve(lf[687]),C_fix(1));
t4=C_mutate((C_word*)lf[687]+1 /* (set! ##sys#dynamic-winds ...) */,t3);
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_18580,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:3069: after */
t6=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t6;
av2[1]=t5;
((C_proc)C_fast_retrieve_proc(t6))(2,av2);}}

/* k18578 in a18571 in k18561 in scheme#dynamic-wind in k18181 in k18178 in k18175 in k18172 in k18169 in k18166 in k18163 in k18160 in k18157 in k18154 in k18151 in k18148 in k18145 in k18142 in k17982 in k8508 */
static void C_ccall f_18580(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_18580,2,av);}{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
C_apply_values(3,av2);}}

/* scheme#call-with-current-continuation in k18181 in k18178 in k18175 in k18172 in k18169 in k18166 in k18163 in k18160 in k18157 in k18154 in k18151 in k18148 in k18145 in k18142 in k17982 in k8508 */
static void C_ccall f_18590(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_18590,3,av);}
a=C_alloc(5);
t3=C_fast_retrieve(lf[687]);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_18596,a[2]=t3,a[3]=t2,a[4]=((C_word)li533),tmp=(C_word)a,a+=5,tmp);
/* library.scm:3077: ##sys#call-with-current-continuation */{
C_word *av2=av;
av2[0]=0;
av2[1]=t1;
av2[2]=t4;
C_call_cc(3,av2);}}

/* a18595 in scheme#call-with-current-continuation in k18181 in k18178 in k18175 in k18172 in k18169 in k18166 in k18163 in k18160 in k18157 in k18154 in k18151 in k18148 in k18145 in k18142 in k17982 in k8508 */
static void C_ccall f_18596(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_18596,3,av);}
a=C_alloc(5);
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_18599,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word)li532),tmp=(C_word)a,a+=5,tmp);
/* library.scm:3083: proc */
t4=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t1;
av2[2]=t3;
((C_proc)C_fast_retrieve_proc(t4))(3,av2);}}

/* continuation in a18595 in scheme#call-with-current-continuation in k18181 in k18178 in k18175 in k18172 in k18169 in k18166 in k18163 in k18160 in k18157 in k18154 in k18151 in k18148 in k18145 in k18142 in k17982 in k8508 */
static void C_ccall f_18599(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +5,c,3)))){
C_save_and_reclaim((void*)f_18599,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+5);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_18603,a[2]=t1,a[3]=((C_word*)t0)[2],a[4]=t2,tmp=(C_word)a,a+=5,tmp);
t4=C_eqp(C_fast_retrieve(lf[687]),((C_word*)t0)[3]);
if(C_truep(t4)){{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=t1;
av2[2]=((C_word*)t0)[2];
av2[3]=t2;
C_apply(4,av2);}}
else{
t5=C_i_length(C_fast_retrieve(lf[687]));
t6=C_i_length(((C_word*)t0)[3]);
t7=C_fixnum_difference(t5,t6);
/* library.scm:3081: ##sys#dynamic-unwind */
f_18630(t3,((C_word*)t0)[3],t7);}}

/* k18601 in continuation in a18595 in scheme#call-with-current-continuation in k18181 in k18178 in k18175 in k18172 in k18169 in k18166 in k18163 in k18160 in k18157 in k18154 in k18151 in k18148 in k18145 in k18142 in k17982 in k8508 */
static void C_ccall f_18603(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_18603,2,av);}{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=((C_word*)t0)[4];
C_apply(4,av2);}}

/* ##sys#dynamic-unwind in k18181 in k18178 in k18175 in k18172 in k18169 in k18166 in k18163 in k18160 in k18157 in k18154 in k18151 in k18148 in k18145 in k18142 in k17982 in k8508 */
static void C_fcall f_18630(C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(5,0,3)))){
C_save_and_reclaim_args((void *)trf_18630,3,t1,t2,t3);}
a=C_alloc(5);
t4=C_eqp(C_fast_retrieve(lf[687]),t2);
if(C_truep(t4)){
t5=t1;{
C_word av2[2];
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
if(C_truep(C_fixnum_lessp(t3,C_fix(0)))){
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_18646,a[2]=t2,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
t6=C_slot(t2,C_fix(1));
t7=C_fixnum_plus(t3,C_fix(1));
/* library.scm:3090: ##sys#dynamic-unwind */
t11=t5;
t12=t6;
t13=t7;
t1=t11;
t2=t12;
t3=t13;
goto loop;}
else{
t5=C_slot(C_fast_retrieve(lf[687]),C_fix(0));
t6=C_slot(t5,C_fix(1));
t7=C_slot(C_fast_retrieve(lf[687]),C_fix(1));
t8=C_mutate((C_word*)lf[687]+1 /* (set! ##sys#dynamic-winds ...) */,t7);
t9=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_18675,a[2]=t3,a[3]=t1,a[4]=t2,tmp=(C_word)a,a+=5,tmp);
/* library.scm:3096: after */
t10=t6;{
C_word av2[2];
av2[0]=t10;
av2[1]=t9;
((C_proc)C_fast_retrieve_proc(t10))(2,av2);}}}}

/* k18644 in ##sys#dynamic-unwind in k18181 in k18178 in k18175 in k18172 in k18169 in k18166 in k18163 in k18160 in k18157 in k18154 in k18151 in k18148 in k18145 in k18142 in k17982 in k8508 */
static void C_ccall f_18646(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_18646,2,av);}
a=C_alloc(4);
t2=C_slot(((C_word*)t0)[2],C_fix(0));
t3=C_slot(t2,C_fix(0));
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_18652,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:3088: g3778 */
t5=t3;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)C_fast_retrieve_proc(t5))(2,av2);}}

/* k18650 in k18644 in ##sys#dynamic-unwind in k18181 in k18178 in k18175 in k18172 in k18169 in k18166 in k18163 in k18160 in k18157 in k18154 in k18151 in k18148 in k18145 in k18142 in k17982 in k8508 */
static void C_ccall f_18652(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_18652,2,av);}
t2=C_mutate((C_word*)lf[687]+1 /* (set! ##sys#dynamic-winds ...) */,((C_word*)t0)[2]);
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* k18673 in ##sys#dynamic-unwind in k18181 in k18178 in k18175 in k18172 in k18169 in k18166 in k18163 in k18160 in k18157 in k18154 in k18151 in k18148 in k18145 in k18142 in k17982 in k8508 */
static void C_ccall f_18675(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_18675,2,av);}
t2=C_fixnum_difference(((C_word*)t0)[2],C_fix(1));
/* library.scm:3097: ##sys#dynamic-unwind */
f_18630(((C_word*)t0)[3],((C_word*)t0)[4],t2);}

/* chicken.base#port? in k18181 in k18178 in k18175 in k18172 in k18169 in k18166 in k18163 in k18160 in k18157 in k18154 in k18151 in k18148 in k18145 in k18142 in k17982 in k8508 */
static void C_ccall f_18688(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_18688,3,av);}
if(C_truep(C_blockp(t2))){
t3=C_portp(t2);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* chicken.base#input-port-open? in k18181 in k18178 in k18175 in k18172 in k18169 in k18166 in k18163 in k18160 in k18157 in k18154 in k18151 in k18148 in k18145 in k18142 in k17982 in k8508 */
static void C_ccall f_18694(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_18694,3,av);}
t3=t2;
t4=C_i_check_port(t3,C_fix(1),lf[690]);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_input_port_openp(t2);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* chicken.base#output-port-open? in k18181 in k18178 in k18175 in k18172 in k18169 in k18166 in k18163 in k18160 in k18157 in k18154 in k18151 in k18148 in k18145 in k18142 in k17982 in k8508 */
static void C_ccall f_18699(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_18699,3,av);}
t3=t2;
t4=C_i_check_port(t3,C_fix(2),lf[691]);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_output_port_openp(t2);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* chicken.base#port-closed? in k18181 in k18178 in k18175 in k18172 in k18169 in k18166 in k18163 in k18160 in k18157 in k18154 in k18151 in k18148 in k18145 in k18142 in k17982 in k8508 */
static void C_ccall f_18704(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_18704,3,av);}
a=C_alloc(4);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_18708,a[2]=t2,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
/* library.scm:3119: ##sys#check-port */
t4=*((C_word*)lf[692]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=t2;
av2[3]=lf[693];
((C_proc)(void*)(*((C_word*)t4+1)))(4,av2);}}

/* k18706 in chicken.base#port-closed? in k18181 in k18178 in k18175 in k18172 in k18169 in k18166 in k18163 in k18160 in k18157 in k18154 in k18151 in k18148 in k18145 in k18142 in k17982 in k8508 */
static void C_ccall f_18708(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_18708,2,av);}
t2=C_slot(((C_word*)t0)[2],C_fix(8));
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_eqp(t2,C_fix(0));
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#make-port in k18181 in k18178 in k18175 in k18172 in k18169 in k18166 in k18163 in k18160 in k18157 in k18154 in k18151 in k18148 in k18145 in k18142 in k17982 in k8508 */
static void C_ccall f_18717(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5=av[5];
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word *a;
if(c!=6) C_bad_argc_2(c,6,t0);
if(C_unlikely(!C_demand(C_calculate_demand(17,c,1)))){
C_save_and_reclaim((void *)f_18717,6,av);}
a=C_alloc(17);
t6=C_a_i_port(&a,0);
t7=C_i_set_i_slot(t6,C_fix(1),t2);
t8=C_i_setslot(t6,C_fix(2),t3);
t9=C_i_setslot(t6,C_fix(3),t4);
t10=C_i_set_i_slot(t6,C_fix(4),C_fix(1));
t11=C_i_set_i_slot(t6,C_fix(5),C_fix(0));
t12=C_i_setslot(t6,C_fix(7),t5);
t13=C_i_setslot(t6,C_fix(8),t2);
t14=t1;{
C_word *av2=av;
av2[0]=t14;
av2[1]=t6;
((C_proc)(void*)(*((C_word*)t14+1)))(2,av2);}}

/* k18746 in k18181 in k18178 in k18175 in k18172 in k18169 in k18166 in k18163 in k18160 in k18157 in k18154 in k18151 in k18148 in k18145 in k18142 in k17982 in k8508 */
static void C_ccall f_18748(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,5)))){
C_save_and_reclaim((void *)f_18748,2,av);}
a=C_alloc(3);
t2=C_mutate((C_word*)lf[710]+1 /* (set! ##sys#standard-input ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18752,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:3265: ##sys#make-port */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[694]);
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[694]+1);
av2[1]=t3;
av2[2]=C_fix(2);
av2[3]=C_fast_retrieve(lf[708]);
av2[4]=lf[1376];
av2[5]=lf[727];
tp(6,av2);}}

/* k18750 in k18746 in k18181 in k18178 in k18175 in k18172 in k18169 in k18166 in k18163 in k18160 in k18157 in k18154 in k18151 in k18148 in k18145 in k18142 in k17982 in k8508 */
static void C_ccall f_18752(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,5)))){
C_save_and_reclaim((void *)f_18752,2,av);}
a=C_alloc(3);
t2=C_mutate((C_word*)lf[711]+1 /* (set! ##sys#standard-output ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18756,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:3266: ##sys#make-port */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[694]);
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[694]+1);
av2[1]=t3;
av2[2]=C_fix(2);
av2[3]=C_fast_retrieve(lf[708]);
av2[4]=lf[1375];
av2[5]=lf[727];
tp(6,av2);}}

/* k18754 in k18750 in k18746 in k18181 in k18178 in k18175 in k18172 in k18169 in k18166 in k18163 in k18160 in k18157 in k18154 in k18151 in k18148 in k18145 in k18142 in k17982 in k8508 */
static void C_ccall f_18756(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,4)))){
C_save_and_reclaim((void *)f_18756,2,av);}
a=C_alloc(3);
t2=C_mutate((C_word*)lf[712]+1 /* (set! ##sys#standard-error ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18759,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:3268: ##sys#open-file-port */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[709]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[709]+1);
av2[1]=t3;
av2[2]=*((C_word*)lf[710]+1);
av2[3]=C_fix(0);
av2[4]=C_SCHEME_FALSE;
tp(5,av2);}}

/* k18757 in k18754 in k18750 in k18746 in k18181 in k18178 in k18175 in k18172 in k18169 in k18166 in k18163 in k18160 in k18157 in k18154 in k18151 in k18148 in k18145 in k18142 in k17982 in k8508 */
static void C_ccall f_18759(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,4)))){
C_save_and_reclaim((void *)f_18759,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18762,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:3269: ##sys#open-file-port */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[709]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[709]+1);
av2[1]=t2;
av2[2]=*((C_word*)lf[711]+1);
av2[3]=C_fix(1);
av2[4]=C_SCHEME_FALSE;
tp(5,av2);}}

/* k18760 in k18757 in k18754 in k18750 in k18746 in k18181 in k18178 in k18175 in k18172 in k18169 in k18166 in k18163 in k18160 in k18157 in k18154 in k18151 in k18148 in k18145 in k18142 in k17982 in k8508 */
static void C_ccall f_18762(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,4)))){
C_save_and_reclaim((void *)f_18762,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18765,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:3270: ##sys#open-file-port */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[709]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[709]+1);
av2[1]=t2;
av2[2]=*((C_word*)lf[712]+1);
av2[3]=C_fix(2);
av2[4]=C_SCHEME_FALSE;
tp(5,av2);}}

/* k18763 in k18760 in k18757 in k18754 in k18750 in k18746 in k18181 in k18178 in k18175 in k18172 in k18169 in k18166 in k18163 in k18160 in k18157 in k18154 in k18151 in k18148 in k18145 in k18142 in k17982 in k8508 in ... */
static void C_ccall f_18765(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word t19;
C_word t20;
C_word t21;
C_word t22;
C_word t23;
C_word t24;
C_word t25;
C_word t26;
C_word t27;
C_word t28;
C_word t29;
C_word t30;
C_word t31;
C_word t32;
C_word t33;
C_word t34;
C_word t35;
C_word t36;
C_word t37;
C_word t38;
C_word t39;
C_word t40;
C_word t41;
C_word t42;
C_word t43;
C_word t44;
C_word t45;
C_word t46;
C_word t47;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(119,c,6)))){
C_save_and_reclaim((void *)f_18765,2,av);}
a=C_alloc(119);
t2=C_mutate((C_word*)lf[713]+1 /* (set! ##sys#check-input-port ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18767,a[2]=((C_word)li557),tmp=(C_word)a,a+=3,tmp));
t3=C_mutate((C_word*)lf[714]+1 /* (set! ##sys#check-output-port ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18778,a[2]=((C_word)li558),tmp=(C_word)a,a+=3,tmp));
t4=C_mutate((C_word*)lf[692]+1 /* (set! ##sys#check-port ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18789,a[2]=((C_word)li559),tmp=(C_word)a,a+=3,tmp));
t5=C_mutate((C_word*)lf[715]+1 /* (set! ##sys#check-open-port ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18800,a[2]=((C_word)li560),tmp=(C_word)a,a+=3,tmp));
t6=C_mutate((C_word*)lf[135]+1 /* (set! scheme#current-input-port ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18811,a[2]=((C_word)li562),tmp=(C_word)a,a+=3,tmp));
t7=C_mutate((C_word*)lf[136]+1 /* (set! scheme#current-output-port ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18872,a[2]=((C_word)li564),tmp=(C_word)a,a+=3,tmp));
t8=C_mutate((C_word*)lf[192]+1 /* (set! chicken.base#current-error-port ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18933,a[2]=((C_word)li566),tmp=(C_word)a,a+=3,tmp));
t9=C_mutate((C_word*)lf[719]+1 /* (set! ##sys#tty-port? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18994,a[2]=((C_word)li567),tmp=(C_word)a,a+=3,tmp));
t10=C_mutate((C_word*)lf[721]+1 /* (set! ##sys#port-data ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19008,a[2]=((C_word)li568),tmp=(C_word)a,a+=3,tmp));
t11=C_mutate((C_word*)lf[722]+1 /* (set! ##sys#set-port-data! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19014,a[2]=((C_word)li569),tmp=(C_word)a,a+=3,tmp));
t12=C_SCHEME_UNDEFINED;
t13=(*a=C_VECTOR_TYPE|1,a[1]=t12,tmp=(C_word)a,a+=2,tmp);
t14=C_SCHEME_UNDEFINED;
t15=(*a=C_VECTOR_TYPE|1,a[1]=t14,tmp=(C_word)a,a+=2,tmp);
t16=C_set_block_item(t13,0,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19020,a[2]=((C_word)li571),tmp=(C_word)a,a+=3,tmp));
t17=C_set_block_item(t15,0,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19118,a[2]=((C_word)li572),tmp=(C_word)a,a+=3,tmp));
t18=C_mutate((C_word*)lf[137]+1 /* (set! scheme#open-input-file ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19155,a[2]=t13,a[3]=((C_word)li573),tmp=(C_word)a,a+=4,tmp));
t19=C_mutate((C_word*)lf[138]+1 /* (set! scheme#open-output-file ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19161,a[2]=t13,a[3]=((C_word)li574),tmp=(C_word)a,a+=4,tmp));
t20=C_mutate((C_word*)lf[139]+1 /* (set! scheme#close-input-port ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19167,a[2]=t15,a[3]=((C_word)li575),tmp=(C_word)a,a+=4,tmp));
t21=C_mutate((C_word*)lf[140]+1 /* (set! scheme#close-output-port ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19173,a[2]=t15,a[3]=((C_word)li576),tmp=(C_word)a,a+=4,tmp));
t22=*((C_word*)lf[137]+1);
t23=C_mutate((C_word*)lf[141]+1 /* (set! scheme#call-with-input-file ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19179,a[2]=t22,a[3]=((C_word)li579),tmp=(C_word)a,a+=4,tmp));
t24=*((C_word*)lf[138]+1);
t25=C_mutate((C_word*)lf[142]+1 /* (set! scheme#call-with-output-file ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19203,a[2]=t24,a[3]=((C_word)li582),tmp=(C_word)a,a+=4,tmp));
t26=*((C_word*)lf[137]+1);
t27=C_mutate((C_word*)lf[143]+1 /* (set! scheme#with-input-from-file ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19227,a[2]=t26,a[3]=((C_word)li587),tmp=(C_word)a,a+=4,tmp));
t28=*((C_word*)lf[138]+1);
t29=C_mutate((C_word*)lf[144]+1 /* (set! scheme#with-output-to-file ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19261,a[2]=t28,a[3]=((C_word)li592),tmp=(C_word)a,a+=4,tmp));
t30=C_mutate((C_word*)lf[740]+1 /* (set! ##sys#file-exists? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19295,a[2]=((C_word)li593),tmp=(C_word)a,a+=3,tmp));
t31=C_mutate((C_word*)lf[743]+1 /* (set! ##sys#flush-output ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19321,a[2]=((C_word)li594),tmp=(C_word)a,a+=3,tmp));
t32=C_mutate((C_word*)lf[214]+1 /* (set! chicken.base#flush-output ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19334,a[2]=((C_word)li595),tmp=(C_word)a,a+=3,tmp));
t33=C_mutate((C_word*)lf[745]+1 /* (set! ##sys#port-line ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19352,a[2]=((C_word)li596),tmp=(C_word)a,a+=3,tmp));
t34=C_mutate((C_word*)lf[746]+1 /* (set! ##sys#decorate-lambda ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19361,a[2]=((C_word)li599),tmp=(C_word)a,a+=3,tmp));
t35=C_mutate((C_word*)lf[747]+1 /* (set! ##sys#lambda-decoration ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19436,a[2]=((C_word)li601),tmp=(C_word)a,a+=3,tmp));
t36=C_mutate((C_word*)lf[748]+1 /* (set! ##sys#make-lambda-info ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19475,a[2]=((C_word)li602),tmp=(C_word)a,a+=3,tmp));
t37=C_mutate((C_word*)lf[749]+1 /* (set! ##sys#lambda-info? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19484,a[2]=((C_word)li603),tmp=(C_word)a,a+=3,tmp));
t38=C_mutate((C_word*)lf[750]+1 /* (set! ##sys#lambda-info ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19497,a[2]=((C_word)li604),tmp=(C_word)a,a+=3,tmp));
t39=C_mutate((C_word*)lf[751]+1 /* (set! ##sys#lambda-info->string ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19503,a[2]=((C_word)li605),tmp=(C_word)a,a+=3,tmp));
t40=C_mutate((C_word*)lf[202]+1 /* (set! chicken.base#procedure-information ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19512,a[2]=((C_word)li606),tmp=(C_word)a,a+=3,tmp));
t41=C_a_i_vector1(&a,1,lf[754]);
t42=C_mutate(&lf[755] /* (set! setter-tag ...) */,t41);
t43=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19541,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t44=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31690,a[2]=((C_word)li996),tmp=(C_word)a,a+=3,tmp);
t45=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31730,a[2]=((C_word)li997),tmp=(C_word)a,a+=3,tmp);
t46=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31746,a[2]=((C_word)li1001),tmp=(C_word)a,a+=3,tmp);
/* library.scm:3499: ##sys#decorate-lambda */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[746]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[746]+1);
av2[1]=t43;
av2[2]=t44;
av2[3]=t45;
av2[4]=t46;
tp(5,av2);}}

/* ##sys#check-input-port in k18763 in k18760 in k18757 in k18754 in k18750 in k18746 in k18181 in k18178 in k18175 in k18172 in k18169 in k18166 in k18163 in k18160 in k18157 in k18154 in k18151 in k18148 in k18145 in k18142 in k17982 in ... */
static void C_ccall f_18767(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c<4) C_bad_min_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-4)*C_SIZEOF_PAIR +0,c,1)))){
C_save_and_reclaim((void*)f_18767,c,av);}
a=C_alloc((c-4)*C_SIZEOF_PAIR+0);
t4=C_build_rest(&a,c,4,av);
C_word t5;
C_word t6;
C_word t7;
C_word t8;
if(C_truep(C_i_pairp(t4))){
t5=t4;
t6=C_u_i_car(t5);
t7=C_i_check_port_2(t2,C_fix(1),t3,t6);
t8=t1;{
C_word *av2=av;
av2[0]=t8;
av2[1]=t7;
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}
else{
t5=C_i_check_port(t2,C_fix(1),t3);
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=t5;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}}

/* ##sys#check-output-port in k18763 in k18760 in k18757 in k18754 in k18750 in k18746 in k18181 in k18178 in k18175 in k18172 in k18169 in k18166 in k18163 in k18160 in k18157 in k18154 in k18151 in k18148 in k18145 in k18142 in k17982 in ... */
static void C_ccall f_18778(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c<4) C_bad_min_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-4)*C_SIZEOF_PAIR +0,c,1)))){
C_save_and_reclaim((void*)f_18778,c,av);}
a=C_alloc((c-4)*C_SIZEOF_PAIR+0);
t4=C_build_rest(&a,c,4,av);
C_word t5;
C_word t6;
C_word t7;
C_word t8;
if(C_truep(C_i_pairp(t4))){
t5=t4;
t6=C_u_i_car(t5);
t7=C_i_check_port_2(t2,C_fix(2),t3,t6);
t8=t1;{
C_word *av2=av;
av2[0]=t8;
av2[1]=t7;
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}
else{
t5=C_i_check_port(t2,C_fix(2),t3);
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=t5;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}}

/* ##sys#check-port in k18763 in k18760 in k18757 in k18754 in k18750 in k18746 in k18181 in k18178 in k18175 in k18172 in k18169 in k18166 in k18163 in k18160 in k18157 in k18154 in k18151 in k18148 in k18145 in k18142 in k17982 in ... */
static void C_ccall f_18789(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,1)))){
C_save_and_reclaim((void*)f_18789,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
if(C_truep(C_i_pairp(t3))){
t4=t3;
t5=C_u_i_car(t4);
t6=C_i_check_port_2(t2,C_fix(0),C_SCHEME_FALSE,t5);
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
t4=C_i_check_port(t2,C_fix(0),C_SCHEME_FALSE);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* ##sys#check-open-port in k18763 in k18760 in k18757 in k18754 in k18750 in k18746 in k18181 in k18178 in k18175 in k18172 in k18169 in k18166 in k18163 in k18160 in k18157 in k18154 in k18151 in k18148 in k18145 in k18142 in k17982 in ... */
static void C_ccall f_18800(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,1)))){
C_save_and_reclaim((void*)f_18800,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
if(C_truep(C_i_pairp(t3))){
t4=t3;
t5=C_u_i_car(t4);
t6=C_i_check_port_2(t2,C_fix(0),C_SCHEME_TRUE,t5);
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
t4=C_i_check_port(t2,C_fix(0),C_SCHEME_TRUE);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* scheme#current-input-port in k18763 in k18760 in k18757 in k18754 in k18750 in k18746 in k18181 in k18178 in k18175 in k18172 in k18169 in k18166 in k18163 in k18160 in k18157 in k18154 in k18151 in k18148 in k18145 in k18142 in k17982 in ... */
static void C_ccall f_18811(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +5,c,3)))){
C_save_and_reclaim((void*)f_18811,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+5);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
if(C_truep(C_i_nullp(t2))){
t3=*((C_word*)lf[710]+1);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=*((C_word*)lf[710]+1);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t3=C_i_car(t2);
t4=t3;
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_18824,a[2]=t2,a[3]=t4,a[4]=t1,tmp=(C_word)a,a+=5,tmp);
/* library.scm:3297: ##sys#check-port */
t6=*((C_word*)lf[692]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t6;
av2[1]=t5;
av2[2]=t4;
av2[3]=lf[716];
((C_proc)(void*)(*((C_word*)t6+1)))(4,av2);}}}

/* k18822 in scheme#current-input-port in k18763 in k18760 in k18757 in k18754 in k18750 in k18746 in k18181 in k18178 in k18175 in k18172 in k18169 in k18166 in k18163 in k18160 in k18157 in k18154 in k18151 in k18148 in k18145 in k18142 in ... */
static void C_ccall f_18824(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,2)))){
C_save_and_reclaim((void *)f_18824,2,av);}
a=C_alloc(10);
t2=((C_word*)t0)[2];
t3=C_u_i_cdr(t2);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_18826,a[2]=((C_word*)t0)[3],a[3]=((C_word)li561),tmp=(C_word)a,a+=4,tmp);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18832,a[2]=t4,tmp=(C_word)a,a+=3,tmp);
t6=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18837,a[2]=t5,tmp=(C_word)a,a+=3,tmp);
if(C_truep(C_i_nullp(t3))){
t7=(
/* library.scm:3298: def-convert?3900 */
  f_18837(t6)
);
t8=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t8;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}
else{
t7=C_i_car(t3);
t8=C_u_i_cdr(t3);
if(C_truep(C_i_nullp(t8))){
t9=(
/* library.scm:3298: def-set?3901 */
  f_18832(t5)
);
t10=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t10;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t10+1)))(2,av2);}}
else{
t9=C_i_car(t8);
t10=C_u_i_cdr(t8);
t11=(
/* library.scm:3298: body3898 */
  f_18826(t4,t9)
);
t12=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t12;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t12+1)))(2,av2);}}}}

/* body3898 in k18822 in scheme#current-input-port in k18763 in k18760 in k18757 in k18754 in k18750 in k18746 in k18181 in k18178 in k18175 in k18172 in k18169 in k18166 in k18163 in k18160 in k18157 in k18154 in k18151 in k18148 in k18145 in ... */
static C_word C_fcall f_18826(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_stack_overflow_check;{}
if(C_truep(t1)){
t2=C_mutate((C_word*)lf[710]+1 /* (set! ##sys#standard-input ...) */,((C_word*)t0)[2]);
return(t2);}
else{
t2=C_SCHEME_UNDEFINED;
return(t2);}}

/* def-set?3901 in k18822 in scheme#current-input-port in k18763 in k18760 in k18757 in k18754 in k18750 in k18746 in k18181 in k18178 in k18175 in k18172 in k18169 in k18166 in k18163 in k18160 in k18157 in k18154 in k18151 in k18148 in k18145 in ... */
static C_word C_fcall f_18832(C_word t0){
C_word tmp;
C_word t1;
C_stack_overflow_check;{}
return((
/* library.scm:3298: body3898 */
  f_18826(((C_word*)t0)[2],C_SCHEME_TRUE)
));}

/* def-convert?3900 in k18822 in scheme#current-input-port in k18763 in k18760 in k18757 in k18754 in k18750 in k18746 in k18181 in k18178 in k18175 in k18172 in k18169 in k18166 in k18163 in k18160 in k18157 in k18154 in k18151 in k18148 in k18145 in ... */
static C_word C_fcall f_18837(C_word t0){
C_word tmp;
C_word t1;
C_stack_overflow_check;{}
return((
/* library.scm:3298: def-set?3901 */
  f_18832(((C_word*)t0)[2])
));}

/* scheme#current-output-port in k18763 in k18760 in k18757 in k18754 in k18750 in k18746 in k18181 in k18178 in k18175 in k18172 in k18169 in k18166 in k18163 in k18160 in k18157 in k18154 in k18151 in k18148 in k18145 in k18142 in k17982 in ... */
static void C_ccall f_18872(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +5,c,3)))){
C_save_and_reclaim((void*)f_18872,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+5);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
if(C_truep(C_i_nullp(t2))){
t3=*((C_word*)lf[711]+1);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=*((C_word*)lf[711]+1);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t3=C_i_car(t2);
t4=t3;
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_18885,a[2]=t2,a[3]=t4,a[4]=t1,tmp=(C_word)a,a+=5,tmp);
/* library.scm:3307: ##sys#check-port */
t6=*((C_word*)lf[692]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t6;
av2[1]=t5;
av2[2]=t4;
av2[3]=lf[717];
((C_proc)(void*)(*((C_word*)t6+1)))(4,av2);}}}

/* k18883 in scheme#current-output-port in k18763 in k18760 in k18757 in k18754 in k18750 in k18746 in k18181 in k18178 in k18175 in k18172 in k18169 in k18166 in k18163 in k18160 in k18157 in k18154 in k18151 in k18148 in k18145 in k18142 in ... */
static void C_ccall f_18885(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,2)))){
C_save_and_reclaim((void *)f_18885,2,av);}
a=C_alloc(10);
t2=((C_word*)t0)[2];
t3=C_u_i_cdr(t2);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_18887,a[2]=((C_word*)t0)[3],a[3]=((C_word)li563),tmp=(C_word)a,a+=4,tmp);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18893,a[2]=t4,tmp=(C_word)a,a+=3,tmp);
t6=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18898,a[2]=t5,tmp=(C_word)a,a+=3,tmp);
if(C_truep(C_i_nullp(t3))){
t7=(
/* library.scm:3308: def-convert?3925 */
  f_18898(t6)
);
t8=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t8;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}
else{
t7=C_i_car(t3);
t8=C_u_i_cdr(t3);
if(C_truep(C_i_nullp(t8))){
t9=(
/* library.scm:3308: def-set?3926 */
  f_18893(t5)
);
t10=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t10;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t10+1)))(2,av2);}}
else{
t9=C_i_car(t8);
t10=C_u_i_cdr(t8);
t11=(
/* library.scm:3308: body3923 */
  f_18887(t4,t9)
);
t12=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t12;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t12+1)))(2,av2);}}}}

/* body3923 in k18883 in scheme#current-output-port in k18763 in k18760 in k18757 in k18754 in k18750 in k18746 in k18181 in k18178 in k18175 in k18172 in k18169 in k18166 in k18163 in k18160 in k18157 in k18154 in k18151 in k18148 in k18145 in ... */
static C_word C_fcall f_18887(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_stack_overflow_check;{}
if(C_truep(t1)){
t2=C_mutate((C_word*)lf[711]+1 /* (set! ##sys#standard-output ...) */,((C_word*)t0)[2]);
return(t2);}
else{
t2=C_SCHEME_UNDEFINED;
return(t2);}}

/* def-set?3926 in k18883 in scheme#current-output-port in k18763 in k18760 in k18757 in k18754 in k18750 in k18746 in k18181 in k18178 in k18175 in k18172 in k18169 in k18166 in k18163 in k18160 in k18157 in k18154 in k18151 in k18148 in k18145 in ... */
static C_word C_fcall f_18893(C_word t0){
C_word tmp;
C_word t1;
C_stack_overflow_check;{}
return((
/* library.scm:3308: body3923 */
  f_18887(((C_word*)t0)[2],C_SCHEME_TRUE)
));}

/* def-convert?3925 in k18883 in scheme#current-output-port in k18763 in k18760 in k18757 in k18754 in k18750 in k18746 in k18181 in k18178 in k18175 in k18172 in k18169 in k18166 in k18163 in k18160 in k18157 in k18154 in k18151 in k18148 in k18145 in ... */
static C_word C_fcall f_18898(C_word t0){
C_word tmp;
C_word t1;
C_stack_overflow_check;{}
return((
/* library.scm:3308: def-set?3926 */
  f_18893(((C_word*)t0)[2])
));}

/* chicken.base#current-error-port in k18763 in k18760 in k18757 in k18754 in k18750 in k18746 in k18181 in k18178 in k18175 in k18172 in k18169 in k18166 in k18163 in k18160 in k18157 in k18154 in k18151 in k18148 in k18145 in k18142 in k17982 in ... */
static void C_ccall f_18933(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +5,c,3)))){
C_save_and_reclaim((void*)f_18933,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+5);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
if(C_truep(C_i_nullp(t2))){
t3=*((C_word*)lf[712]+1);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=*((C_word*)lf[712]+1);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t3=C_i_car(t2);
t4=t3;
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_18946,a[2]=t2,a[3]=t4,a[4]=t1,tmp=(C_word)a,a+=5,tmp);
/* library.scm:3317: ##sys#check-port */
t6=*((C_word*)lf[692]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t6;
av2[1]=t5;
av2[2]=t4;
av2[3]=lf[718];
((C_proc)(void*)(*((C_word*)t6+1)))(4,av2);}}}

/* k18944 in chicken.base#current-error-port in k18763 in k18760 in k18757 in k18754 in k18750 in k18746 in k18181 in k18178 in k18175 in k18172 in k18169 in k18166 in k18163 in k18160 in k18157 in k18154 in k18151 in k18148 in k18145 in k18142 in ... */
static void C_ccall f_18946(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,2)))){
C_save_and_reclaim((void *)f_18946,2,av);}
a=C_alloc(10);
t2=((C_word*)t0)[2];
t3=C_u_i_cdr(t2);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_18948,a[2]=((C_word*)t0)[3],a[3]=((C_word)li565),tmp=(C_word)a,a+=4,tmp);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18954,a[2]=t4,tmp=(C_word)a,a+=3,tmp);
t6=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18959,a[2]=t5,tmp=(C_word)a,a+=3,tmp);
if(C_truep(C_i_nullp(t3))){
t7=(
/* library.scm:3318: def-convert?3950 */
  f_18959(t6)
);
t8=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t8;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}
else{
t7=C_i_car(t3);
t8=C_u_i_cdr(t3);
if(C_truep(C_i_nullp(t8))){
t9=(
/* library.scm:3318: def-set?3951 */
  f_18954(t5)
);
t10=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t10;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t10+1)))(2,av2);}}
else{
t9=C_i_car(t8);
t10=C_u_i_cdr(t8);
t11=(
/* library.scm:3318: body3948 */
  f_18948(t4,t9)
);
t12=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t12;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t12+1)))(2,av2);}}}}

/* body3948 in k18944 in chicken.base#current-error-port in k18763 in k18760 in k18757 in k18754 in k18750 in k18746 in k18181 in k18178 in k18175 in k18172 in k18169 in k18166 in k18163 in k18160 in k18157 in k18154 in k18151 in k18148 in k18145 in ... */
static C_word C_fcall f_18948(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_stack_overflow_check;{}
if(C_truep(t1)){
t2=C_mutate((C_word*)lf[712]+1 /* (set! ##sys#standard-error ...) */,((C_word*)t0)[2]);
return(t2);}
else{
t2=C_SCHEME_UNDEFINED;
return(t2);}}

/* def-set?3951 in k18944 in chicken.base#current-error-port in k18763 in k18760 in k18757 in k18754 in k18750 in k18746 in k18181 in k18178 in k18175 in k18172 in k18169 in k18166 in k18163 in k18160 in k18157 in k18154 in k18151 in k18148 in k18145 in ... */
static C_word C_fcall f_18954(C_word t0){
C_word tmp;
C_word t1;
C_stack_overflow_check;{}
return((
/* library.scm:3318: body3948 */
  f_18948(((C_word*)t0)[2],C_SCHEME_TRUE)
));}

/* def-convert?3950 in k18944 in chicken.base#current-error-port in k18763 in k18760 in k18757 in k18754 in k18750 in k18746 in k18181 in k18178 in k18175 in k18172 in k18169 in k18166 in k18163 in k18160 in k18157 in k18154 in k18151 in k18148 in k18145 in ... */
static C_word C_fcall f_18959(C_word t0){
C_word tmp;
C_word t1;
C_stack_overflow_check;{}
return((
/* library.scm:3318: def-set?3951 */
  f_18954(((C_word*)t0)[2])
));}

/* ##sys#tty-port? in k18763 in k18760 in k18757 in k18754 in k18750 in k18746 in k18181 in k18178 in k18175 in k18172 in k18169 in k18166 in k18163 in k18160 in k18157 in k18154 in k18151 in k18148 in k18145 in k18142 in k17982 in ... */
static void C_ccall f_18994(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_18994,3,av);}
a=C_alloc(4);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19006,a[2]=t2,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
/* library.scm:3323: ##sys#peek-unsigned-integer */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[720]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[720]+1);
av2[1]=t3;
av2[2]=t2;
av2[3]=C_fix(0);
tp(4,av2);}}

/* k19004 in ##sys#tty-port? in k18763 in k18760 in k18757 in k18754 in k18750 in k18746 in k18181 in k18178 in k18175 in k18172 in k18169 in k18166 in k18163 in k18160 in k18157 in k18154 in k18151 in k18148 in k18145 in k18142 in ... */
static void C_ccall f_19006(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_19006,2,av);}
t2=C_i_zerop(t1);
if(C_truep(C_i_not(t2))){
t3=C_tty_portp(((C_word*)t0)[2]);
t4=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* ##sys#port-data in k18763 in k18760 in k18757 in k18754 in k18750 in k18746 in k18181 in k18178 in k18175 in k18172 in k18169 in k18166 in k18163 in k18160 in k18157 in k18154 in k18151 in k18148 in k18145 in k18142 in k17982 in ... */
static void C_ccall f_19008(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_19008,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_slot(t2,C_fix(9));
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#set-port-data! in k18763 in k18760 in k18757 in k18754 in k18750 in k18746 in k18181 in k18178 in k18175 in k18172 in k18169 in k18166 in k18163 in k18160 in k18157 in k18154 in k18151 in k18148 in k18145 in k18142 in k17982 in ... */
static void C_ccall f_19014(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_19014,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_setslot(t2,C_fix(9),t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* open in k18763 in k18760 in k18757 in k18754 in k18750 in k18746 in k18181 in k18178 in k18175 in k18172 in k18169 in k18166 in k18163 in k18160 in k18157 in k18154 in k18151 in k18148 in k18145 in k18142 in k17982 in ... */
static void C_fcall f_19020(C_word t1,C_word t2,C_word t3,C_word t4,C_word t5){
C_word tmp;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(22,0,3)))){
C_save_and_reclaim_args((void *)trf_19020,5,t1,t2,t3,t4,t5);}
a=C_alloc(22);
t6=C_i_check_string_2(t2,t5);
t7=(C_truep(t3)?lf[723]:lf[724]);
t8=t7;
t9=(*a=C_VECTOR_TYPE|1,a[1]=t8,tmp=(C_word)a,a+=2,tmp);
t10=lf[725];
t11=(*a=C_VECTOR_TYPE|1,a[1]=t10,tmp=(C_word)a,a+=2,tmp);
t12=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_19030,a[2]=t1,a[3]=t5,a[4]=t2,a[5]=t9,a[6]=t11,a[7]=t3,tmp=(C_word)a,a+=8,tmp);
t13=C_SCHEME_UNDEFINED;
t14=(*a=C_VECTOR_TYPE|1,a[1]=t13,tmp=(C_word)a,a+=2,tmp);
t15=C_set_block_item(t14,0,(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_19063,a[2]=t14,a[3]=t11,a[4]=t3,a[5]=t5,a[6]=t9,a[7]=((C_word)li570),tmp=(C_word)a,a+=8,tmp));
t16=((C_word*)t14)[1];
f_19063(t16,t12,t4);}

/* k19028 in open in k18763 in k18760 in k18757 in k18754 in k18750 in k18746 in k18181 in k18178 in k18175 in k18172 in k18169 in k18166 in k18163 in k18160 in k18157 in k18154 in k18151 in k18148 in k18145 in k18142 in ... */
static void C_ccall f_19030(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,5)))){
C_save_and_reclaim((void *)f_19030,2,av);}
a=C_alloc(7);
t2=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_19033,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],tmp=(C_word)a,a+=7,tmp);
if(C_truep(((C_word*)t0)[7])){
/* library.scm:3345: ##sys#make-port */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[694]);
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[694]+1);
av2[1]=t2;
av2[2]=C_fix(1);
av2[3]=C_fast_retrieve(lf[708]);
av2[4]=((C_word*)t0)[4];
av2[5]=lf[727];
tp(6,av2);}}
else{
/* library.scm:3345: ##sys#make-port */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[694]);
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[694]+1);
av2[1]=t2;
av2[2]=C_fix(2);
av2[3]=C_fast_retrieve(lf[708]);
av2[4]=((C_word*)t0)[4];
av2[5]=lf[727];
tp(6,av2);}}}

/* k19031 in k19028 in open in k18763 in k18760 in k18757 in k18754 in k18750 in k18746 in k18181 in k18178 in k18175 in k18172 in k18169 in k18166 in k18163 in k18160 in k18157 in k18154 in k18151 in k18148 in k18145 in ... */
static void C_ccall f_19033(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(16,c,3)))){
C_save_and_reclaim((void *)f_19033,2,av);}
a=C_alloc(16);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19036,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_19039,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=t3,a[5]=((C_word*)t0)[3],a[6]=((C_word*)t0)[4],tmp=(C_word)a,a+=7,tmp);
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_19057,a[2]=t4,a[3]=t2,a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:3346: ##sys#string-append */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[412]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[412]+1);
av2[1]=t5;
av2[2]=((C_word*)((C_word*)t0)[5])[1];
av2[3]=((C_word*)((C_word*)t0)[6])[1];
tp(4,av2);}}

/* k19034 in k19031 in k19028 in open in k18763 in k18760 in k18757 in k18754 in k18750 in k18746 in k18181 in k18178 in k18175 in k18172 in k18169 in k18166 in k18163 in k18160 in k18157 in k18154 in k18151 in k18148 in ... */
static void C_ccall f_19036(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_19036,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k19037 in k19031 in k19028 in open in k18763 in k18760 in k18757 in k18754 in k18750 in k18746 in k18181 in k18178 in k18175 in k18172 in k18169 in k18166 in k18163 in k18160 in k18157 in k18154 in k18151 in k18148 in ... */
static void C_ccall f_19039(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_19039,2,av);}
a=C_alloc(5);
if(C_truep(t1)){
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}
else{
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_19042,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[5],a[4]=((C_word*)t0)[6],tmp=(C_word)a,a+=5,tmp);
/* library.scm:3347: ##sys#update-errno */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[700]);
C_word *av2=av;
av2[0]=*((C_word*)lf[700]+1);
av2[1]=t2;
tp(2,av2);}}}

/* k19040 in k19037 in k19031 in k19028 in open in k18763 in k18760 in k18757 in k18754 in k18750 in k18746 in k18181 in k18178 in k18175 in k18172 in k18169 in k18166 in k18163 in k18160 in k18157 in k18154 in k18151 in ... */
static void C_ccall f_19042(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,c,3)))){
C_save_and_reclaim((void *)f_19042,2,av);}
a=C_alloc(11);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_19049,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19053,a[2]=t2,tmp=(C_word)a,a+=3,tmp);
/* ##sys#peek-c-string */
t4=*((C_word*)lf[699]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=C_mpointer(&a,(void*)strerror(errno));
av2[3]=C_fix(0);
((C_proc)(void*)(*((C_word*)t4+1)))(4,av2);}}

/* k19047 in k19040 in k19037 in k19031 in k19028 in open in k18763 in k18760 in k18757 in k18754 in k18750 in k18746 in k18181 in k18178 in k18175 in k18172 in k18169 in k18166 in k18163 in k18160 in k18157 in k18154 in ... */
static void C_ccall f_19049(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,5)))){
C_save_and_reclaim((void *)f_19049,2,av);}
/* library.scm:3348: ##sys#signal-hook */
t2=C_fast_retrieve(lf[194]);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[696];
av2[3]=((C_word*)t0)[3];
av2[4]=t1;
av2[5]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t2+1)))(6,av2);}}

/* k19051 in k19040 in k19037 in k19031 in k19028 in open in k18763 in k18760 in k18757 in k18754 in k18750 in k18746 in k18181 in k18178 in k18175 in k18172 in k18169 in k18166 in k18163 in k18160 in k18157 in k18154 in ... */
static void C_ccall f_19053(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_19053,2,av);}
/* library.scm:3348: ##sys#string-append */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[412]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[412]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=lf[726];
av2[3]=t1;
tp(4,av2);}}

/* k19055 in k19031 in k19028 in open in k18763 in k18760 in k18757 in k18754 in k18750 in k18746 in k18181 in k18178 in k18175 in k18172 in k18169 in k18166 in k18163 in k18160 in k18157 in k18154 in k18151 in k18148 in ... */
static void C_ccall f_19057(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_19057,2,av);}
/* library.scm:3346: ##sys#open-file-port */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[709]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[709]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=((C_word*)t0)[4];
av2[4]=t1;
tp(5,av2);}}

/* doloop3985 in open in k18763 in k18760 in k18757 in k18754 in k18750 in k18746 in k18181 in k18178 in k18175 in k18172 in k18169 in k18166 in k18163 in k18160 in k18157 in k18154 in k18151 in k18148 in k18145 in k18142 in ... */
static void C_fcall f_19063(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(5,0,4)))){
C_save_and_reclaim_args((void *)trf_19063,3,t0,t1,t2);}
a=C_alloc(5);
if(C_truep(C_i_nullp(t2))){
t3=C_SCHEME_UNDEFINED;
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t3=C_slot(t2,C_fix(0));
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_19076,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
t5=C_eqp(t3,lf[728]);
if(C_truep(t5)){
t6=C_mutate(((C_word *)((C_word*)t0)[3])+1,lf[729]);
t7=C_slot(t2,C_fix(1));
t11=t1;
t12=t7;
t1=t11;
t2=t12;
goto loop;}
else{
t6=C_eqp(t3,lf[730]);
if(C_truep(t6)){
t7=C_mutate(((C_word *)((C_word*)t0)[3])+1,lf[731]);
t8=C_slot(t2,C_fix(1));
t11=t1;
t12=t8;
t1=t11;
t2=t12;
goto loop;}
else{
t7=C_eqp(t3,lf[732]);
if(C_truep(t7)){
if(C_truep(((C_word*)t0)[4])){
/* library.scm:3342: ##sys#error */
t8=*((C_word*)lf[155]+1);{
C_word av2[4];
av2[0]=t8;
av2[1]=t4;
av2[2]=((C_word*)t0)[5];
av2[3]=lf[733];
((C_proc)(void*)(*((C_word*)t8+1)))(4,av2);}}
else{
t8=C_mutate(((C_word *)((C_word*)t0)[6])+1,lf[734]);
t9=C_slot(t2,C_fix(1));
t11=t1;
t12=t9;
t1=t11;
t2=t12;
goto loop;}}
else{
/* library.scm:3344: ##sys#error */
t8=*((C_word*)lf[155]+1);{
C_word av2[5];
av2[0]=t8;
av2[1]=t4;
av2[2]=((C_word*)t0)[5];
av2[3]=lf[735];
av2[4]=t3;
((C_proc)(void*)(*((C_word*)t8+1)))(5,av2);}}}}}}

/* k19074 in doloop3985 in open in k18763 in k18760 in k18757 in k18754 in k18750 in k18746 in k18181 in k18178 in k18175 in k18172 in k18169 in k18166 in k18163 in k18160 in k18157 in k18154 in k18151 in k18148 in k18145 in ... */
static void C_ccall f_19076(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_19076,2,av);}
t2=C_slot(((C_word*)t0)[2],C_fix(1));
t3=((C_word*)((C_word*)t0)[3])[1];
f_19063(t3,((C_word*)t0)[4],t2);}

/* close in k18763 in k18760 in k18757 in k18754 in k18750 in k18746 in k18181 in k18178 in k18175 in k18172 in k18169 in k18166 in k18163 in k18160 in k18157 in k18154 in k18151 in k18148 in k18145 in k18142 in k17982 in ... */
static void C_fcall f_19118(C_word t1,C_word t2,C_word t3,C_word t4){
C_word tmp;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,3)))){
C_save_and_reclaim_args((void *)trf_19118,4,t1,t2,t3,t4);}
a=C_alloc(5);
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_19122,a[2]=t3,a[3]=t2,a[4]=t1,tmp=(C_word)a,a+=5,tmp);
/* library.scm:3352: ##sys#check-port */
t6=*((C_word*)lf[692]+1);{
C_word av2[4];
av2[0]=t6;
av2[1]=t5;
av2[2]=t2;
av2[3]=t4;
((C_proc)(void*)(*((C_word*)t6+1)))(4,av2);}}

/* k19120 in close in k18763 in k18760 in k18757 in k18754 in k18750 in k18746 in k18181 in k18178 in k18175 in k18172 in k18169 in k18166 in k18163 in k18160 in k18157 in k18154 in k18151 in k18148 in k18145 in k18142 in ... */
static void C_ccall f_19122(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_19122,2,av);}
t2=(C_truep(((C_word*)t0)[2])?C_fix(1):C_fix(2));
if(C_truep(C_port_openp(((C_word*)t0)[3],t2))){
t3=C_slot(((C_word*)t0)[3],C_fix(8));
t4=C_fixnum_not(t2);
t5=C_fixnum_and(t3,t4);
t6=C_i_set_i_slot(((C_word*)t0)[3],C_fix(8),t5);
t7=C_slot(((C_word*)t0)[3],C_fix(2));
t8=C_slot(t7,C_fix(4));
/* library.scm:3355: g4006 */
t9=t8;{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t9;
av2[1]=((C_word*)t0)[4];
av2[2]=((C_word*)t0)[3];
av2[3]=t2;
((C_proc)C_fast_retrieve_proc(t9))(4,av2);}}
else{
t3=C_SCHEME_UNDEFINED;
t4=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* scheme#open-input-file in k18763 in k18760 in k18757 in k18754 in k18750 in k18746 in k18181 in k18178 in k18175 in k18172 in k18169 in k18166 in k18163 in k18160 in k18157 in k18154 in k18151 in k18148 in k18145 in k18142 in k17982 in ... */
static void C_ccall f_19155(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,5)))){
C_save_and_reclaim((void*)f_19155,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
/* library.scm:3359: open */
f_19020(t1,t2,C_SCHEME_TRUE,t3,lf[736]);}

/* scheme#open-output-file in k18763 in k18760 in k18757 in k18754 in k18750 in k18746 in k18181 in k18178 in k18175 in k18172 in k18169 in k18166 in k18163 in k18160 in k18157 in k18154 in k18151 in k18148 in k18145 in k18142 in k17982 in ... */
static void C_ccall f_19161(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,5)))){
C_save_and_reclaim((void*)f_19161,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
/* library.scm:3360: open */
f_19020(t1,t2,C_SCHEME_FALSE,t3,lf[737]);}

/* scheme#close-input-port in k18763 in k18760 in k18757 in k18754 in k18750 in k18746 in k18181 in k18178 in k18175 in k18172 in k18169 in k18166 in k18163 in k18160 in k18157 in k18154 in k18151 in k18148 in k18145 in k18142 in k17982 in ... */
static void C_ccall f_19167(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_19167,3,av);}
/* library.scm:3361: close */
f_19118(t1,t2,C_SCHEME_TRUE,lf[738]);}

/* scheme#close-output-port in k18763 in k18760 in k18757 in k18754 in k18750 in k18746 in k18181 in k18178 in k18175 in k18172 in k18169 in k18166 in k18163 in k18160 in k18157 in k18154 in k18151 in k18148 in k18145 in k18142 in k17982 in ... */
static void C_ccall f_19173(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_19173,3,av);}
/* library.scm:3362: close */
f_19118(t1,t2,C_SCHEME_FALSE,lf[739]);}

/* scheme#call-with-input-file in k18763 in k18760 in k18757 in k18754 in k18750 in k18746 in k18181 in k18178 in k18175 in k18172 in k18169 in k18166 in k18163 in k18160 in k18157 in k18154 in k18151 in k18148 in k18145 in k18142 in k17982 in ... */
static void C_ccall f_19179(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c<4) C_bad_min_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-4)*C_SIZEOF_PAIR +4,c,4)))){
C_save_and_reclaim((void*)f_19179,c,av);}
a=C_alloc((c-4)*C_SIZEOF_PAIR+4);
t4=C_build_rest(&a,c,4,av);
C_word t5;
C_word t6;
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19183,a[2]=t3,a[3]=t1,tmp=(C_word)a,a+=4,tmp);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=0;
av2[1]=t5;
av2[2]=((C_word*)t0)[2];
av2[3]=t2;
av2[4]=t4;
C_apply(5,av2);}}

/* k19181 in scheme#call-with-input-file in k18763 in k18760 in k18757 in k18754 in k18750 in k18746 in k18181 in k18178 in k18175 in k18172 in k18169 in k18166 in k18163 in k18160 in k18157 in k18154 in k18151 in k18148 in k18145 in k18142 in ... */
static void C_ccall f_19183(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,3)))){
C_save_and_reclaim((void *)f_19183,2,av);}
a=C_alloc(9);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_19188,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word)li577),tmp=(C_word)a,a+=5,tmp);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19194,a[2]=t2,a[3]=((C_word)li578),tmp=(C_word)a,a+=4,tmp);
/* library.scm:3369: ##sys#call-with-values */{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=((C_word*)t0)[3];
av2[2]=t3;
av2[3]=t4;
C_call_with_values(4,av2);}}

/* a19187 in k19181 in scheme#call-with-input-file in k18763 in k18760 in k18757 in k18754 in k18750 in k18746 in k18181 in k18178 in k18175 in k18172 in k18169 in k18166 in k18163 in k18160 in k18157 in k18154 in k18151 in k18148 in k18145 in ... */
static void C_ccall f_19188(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_19188,2,av);}
/* library.scm:3370: p */
t2=((C_word*)t0)[2];{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=t1;
av2[2]=((C_word*)t0)[3];
((C_proc)C_fast_retrieve_proc(t2))(3,av2);}}

/* a19193 in k19181 in scheme#call-with-input-file in k18763 in k18760 in k18757 in k18754 in k18750 in k18746 in k18181 in k18178 in k18175 in k18172 in k18169 in k18166 in k18163 in k18160 in k18157 in k18154 in k18151 in k18148 in k18145 in ... */
static void C_ccall f_19194(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +4,c,2)))){
C_save_and_reclaim((void*)f_19194,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+4);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19198,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:3372: close-input-port */
t4=*((C_word*)lf[139]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k19196 in a19193 in k19181 in scheme#call-with-input-file in k18763 in k18760 in k18757 in k18754 in k18750 in k18746 in k18181 in k18178 in k18175 in k18172 in k18169 in k18166 in k18163 in k18160 in k18157 in k18154 in k18151 in k18148 in ... */
static void C_ccall f_19198(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_19198,2,av);}{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
C_apply_values(3,av2);}}

/* scheme#call-with-output-file in k18763 in k18760 in k18757 in k18754 in k18750 in k18746 in k18181 in k18178 in k18175 in k18172 in k18169 in k18166 in k18163 in k18160 in k18157 in k18154 in k18151 in k18148 in k18145 in k18142 in k17982 in ... */
static void C_ccall f_19203(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c<4) C_bad_min_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-4)*C_SIZEOF_PAIR +4,c,4)))){
C_save_and_reclaim((void*)f_19203,c,av);}
a=C_alloc((c-4)*C_SIZEOF_PAIR+4);
t4=C_build_rest(&a,c,4,av);
C_word t5;
C_word t6;
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19207,a[2]=t3,a[3]=t1,tmp=(C_word)a,a+=4,tmp);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=0;
av2[1]=t5;
av2[2]=((C_word*)t0)[2];
av2[3]=t2;
av2[4]=t4;
C_apply(5,av2);}}

/* k19205 in scheme#call-with-output-file in k18763 in k18760 in k18757 in k18754 in k18750 in k18746 in k18181 in k18178 in k18175 in k18172 in k18169 in k18166 in k18163 in k18160 in k18157 in k18154 in k18151 in k18148 in k18145 in k18142 in ... */
static void C_ccall f_19207(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,3)))){
C_save_and_reclaim((void *)f_19207,2,av);}
a=C_alloc(9);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_19212,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word)li580),tmp=(C_word)a,a+=5,tmp);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19218,a[2]=t2,a[3]=((C_word)li581),tmp=(C_word)a,a+=4,tmp);
/* library.scm:3380: ##sys#call-with-values */{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=((C_word*)t0)[3];
av2[2]=t3;
av2[3]=t4;
C_call_with_values(4,av2);}}

/* a19211 in k19205 in scheme#call-with-output-file in k18763 in k18760 in k18757 in k18754 in k18750 in k18746 in k18181 in k18178 in k18175 in k18172 in k18169 in k18166 in k18163 in k18160 in k18157 in k18154 in k18151 in k18148 in k18145 in ... */
static void C_ccall f_19212(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_19212,2,av);}
/* library.scm:3381: p */
t2=((C_word*)t0)[2];{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=t1;
av2[2]=((C_word*)t0)[3];
((C_proc)C_fast_retrieve_proc(t2))(3,av2);}}

/* a19217 in k19205 in scheme#call-with-output-file in k18763 in k18760 in k18757 in k18754 in k18750 in k18746 in k18181 in k18178 in k18175 in k18172 in k18169 in k18166 in k18163 in k18160 in k18157 in k18154 in k18151 in k18148 in k18145 in ... */
static void C_ccall f_19218(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +4,c,2)))){
C_save_and_reclaim((void*)f_19218,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+4);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19222,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:3383: close-output-port */
t4=*((C_word*)lf[140]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k19220 in a19217 in k19205 in scheme#call-with-output-file in k18763 in k18760 in k18757 in k18754 in k18750 in k18746 in k18181 in k18178 in k18175 in k18172 in k18169 in k18166 in k18163 in k18160 in k18157 in k18154 in k18151 in k18148 in ... */
static void C_ccall f_19222(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_19222,2,av);}{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
C_apply_values(3,av2);}}

/* scheme#with-input-from-file in k18763 in k18760 in k18757 in k18754 in k18750 in k18746 in k18181 in k18178 in k18175 in k18172 in k18169 in k18166 in k18163 in k18160 in k18157 in k18154 in k18151 in k18148 in k18145 in k18142 in k17982 in ... */
static void C_ccall f_19227(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c<4) C_bad_min_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-4)*C_SIZEOF_PAIR +4,c,4)))){
C_save_and_reclaim((void*)f_19227,c,av);}
a=C_alloc((c-4)*C_SIZEOF_PAIR+4);
t4=C_build_rest(&a,c,4,av);
C_word t5;
C_word t6;
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19231,a[2]=t3,a[3]=t1,tmp=(C_word)a,a+=4,tmp);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=0;
av2[1]=t5;
av2[2]=((C_word*)t0)[2];
av2[3]=t2;
av2[4]=t4;
C_apply(5,av2);}}

/* k19229 in scheme#with-input-from-file in k18763 in k18760 in k18757 in k18754 in k18750 in k18746 in k18181 in k18178 in k18175 in k18172 in k18169 in k18166 in k18163 in k18160 in k18157 in k18154 in k18151 in k18148 in k18145 in k18142 in ... */
static void C_ccall f_19231(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(19,c,4)))){
C_save_and_reclaim((void *)f_19231,2,av);}
a=C_alloc(19);
t2=t1;
t3=t2;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_SCHEME_FALSE;
t6=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t7=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_19236,a[2]=t6,a[3]=t4,a[4]=((C_word)li583),tmp=(C_word)a,a+=5,tmp);
t8=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_19241,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word)li585),tmp=(C_word)a,a+=5,tmp);
t9=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_19256,a[2]=t4,a[3]=t6,a[4]=((C_word)li586),tmp=(C_word)a,a+=5,tmp);
/* library.scm:3391: ##sys#dynamic-wind */
t10=*((C_word*)lf[688]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t10;
av2[1]=((C_word*)t0)[3];
av2[2]=t7;
av2[3]=t8;
av2[4]=t9;
((C_proc)(void*)(*((C_word*)t10+1)))(5,av2);}}

/* a19235 in k19229 in scheme#with-input-from-file in k18763 in k18760 in k18757 in k18754 in k18750 in k18746 in k18181 in k18178 in k18175 in k18172 in k18169 in k18166 in k18163 in k18160 in k18157 in k18154 in k18151 in k18148 in k18145 in ... */
static void C_ccall f_19236(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_19236,2,av);}
t2=C_mutate(((C_word *)((C_word*)t0)[2])+1,*((C_word*)lf[710]+1));
t3=C_mutate((C_word*)lf[710]+1 /* (set! ##sys#standard-input ...) */,((C_word*)((C_word*)t0)[3])[1]);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_SCHEME_UNDEFINED;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* a19240 in k19229 in scheme#with-input-from-file in k18763 in k18760 in k18757 in k18754 in k18750 in k18746 in k18181 in k18178 in k18175 in k18172 in k18169 in k18166 in k18163 in k18160 in k18157 in k18154 in k18151 in k18148 in k18145 in ... */
static void C_ccall f_19241(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_19241,2,av);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19247,a[2]=((C_word*)t0)[2],a[3]=((C_word)li584),tmp=(C_word)a,a+=4,tmp);
/* library.scm:3392: ##sys#call-with-values */{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=t1;
av2[2]=((C_word*)t0)[3];
av2[3]=t2;
C_call_with_values(4,av2);}}

/* a19246 in a19240 in k19229 in scheme#with-input-from-file in k18763 in k18760 in k18757 in k18754 in k18750 in k18746 in k18181 in k18178 in k18175 in k18172 in k18169 in k18166 in k18163 in k18160 in k18157 in k18154 in k18151 in k18148 in ... */
static void C_ccall f_19247(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +4,c,2)))){
C_save_and_reclaim((void*)f_19247,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+4);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19251,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:3394: close-input-port */
t4=*((C_word*)lf[139]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k19249 in a19246 in a19240 in k19229 in scheme#with-input-from-file in k18763 in k18760 in k18757 in k18754 in k18750 in k18746 in k18181 in k18178 in k18175 in k18172 in k18169 in k18166 in k18163 in k18160 in k18157 in k18154 in k18151 in ... */
static void C_ccall f_19251(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_19251,2,av);}{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
C_apply_values(3,av2);}}

/* a19255 in k19229 in scheme#with-input-from-file in k18763 in k18760 in k18757 in k18754 in k18750 in k18746 in k18181 in k18178 in k18175 in k18172 in k18169 in k18166 in k18163 in k18160 in k18157 in k18154 in k18151 in k18148 in k18145 in ... */
static void C_ccall f_19256(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_19256,2,av);}
t2=C_mutate(((C_word *)((C_word*)t0)[2])+1,*((C_word*)lf[710]+1));
t3=C_mutate((C_word*)lf[710]+1 /* (set! ##sys#standard-input ...) */,((C_word*)((C_word*)t0)[3])[1]);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_SCHEME_UNDEFINED;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#with-output-to-file in k18763 in k18760 in k18757 in k18754 in k18750 in k18746 in k18181 in k18178 in k18175 in k18172 in k18169 in k18166 in k18163 in k18160 in k18157 in k18154 in k18151 in k18148 in k18145 in k18142 in k17982 in ... */
static void C_ccall f_19261(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c<4) C_bad_min_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-4)*C_SIZEOF_PAIR +4,c,4)))){
C_save_and_reclaim((void*)f_19261,c,av);}
a=C_alloc((c-4)*C_SIZEOF_PAIR+4);
t4=C_build_rest(&a,c,4,av);
C_word t5;
C_word t6;
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19265,a[2]=t3,a[3]=t1,tmp=(C_word)a,a+=4,tmp);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=0;
av2[1]=t5;
av2[2]=((C_word*)t0)[2];
av2[3]=t2;
av2[4]=t4;
C_apply(5,av2);}}

/* k19263 in scheme#with-output-to-file in k18763 in k18760 in k18757 in k18754 in k18750 in k18746 in k18181 in k18178 in k18175 in k18172 in k18169 in k18166 in k18163 in k18160 in k18157 in k18154 in k18151 in k18148 in k18145 in k18142 in ... */
static void C_ccall f_19265(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(19,c,4)))){
C_save_and_reclaim((void *)f_19265,2,av);}
a=C_alloc(19);
t2=t1;
t3=t2;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_SCHEME_FALSE;
t6=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t7=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_19270,a[2]=t6,a[3]=t4,a[4]=((C_word)li588),tmp=(C_word)a,a+=5,tmp);
t8=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_19275,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word)li590),tmp=(C_word)a,a+=5,tmp);
t9=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_19290,a[2]=t4,a[3]=t6,a[4]=((C_word)li591),tmp=(C_word)a,a+=5,tmp);
/* library.scm:3402: ##sys#dynamic-wind */
t10=*((C_word*)lf[688]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t10;
av2[1]=((C_word*)t0)[3];
av2[2]=t7;
av2[3]=t8;
av2[4]=t9;
((C_proc)(void*)(*((C_word*)t10+1)))(5,av2);}}

/* a19269 in k19263 in scheme#with-output-to-file in k18763 in k18760 in k18757 in k18754 in k18750 in k18746 in k18181 in k18178 in k18175 in k18172 in k18169 in k18166 in k18163 in k18160 in k18157 in k18154 in k18151 in k18148 in k18145 in ... */
static void C_ccall f_19270(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_19270,2,av);}
t2=C_mutate(((C_word *)((C_word*)t0)[2])+1,*((C_word*)lf[711]+1));
t3=C_mutate((C_word*)lf[711]+1 /* (set! ##sys#standard-output ...) */,((C_word*)((C_word*)t0)[3])[1]);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_SCHEME_UNDEFINED;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* a19274 in k19263 in scheme#with-output-to-file in k18763 in k18760 in k18757 in k18754 in k18750 in k18746 in k18181 in k18178 in k18175 in k18172 in k18169 in k18166 in k18163 in k18160 in k18157 in k18154 in k18151 in k18148 in k18145 in ... */
static void C_ccall f_19275(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_19275,2,av);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19281,a[2]=((C_word*)t0)[2],a[3]=((C_word)li589),tmp=(C_word)a,a+=4,tmp);
/* library.scm:3403: ##sys#call-with-values */{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=t1;
av2[2]=((C_word*)t0)[3];
av2[3]=t2;
C_call_with_values(4,av2);}}

/* a19280 in a19274 in k19263 in scheme#with-output-to-file in k18763 in k18760 in k18757 in k18754 in k18750 in k18746 in k18181 in k18178 in k18175 in k18172 in k18169 in k18166 in k18163 in k18160 in k18157 in k18154 in k18151 in k18148 in ... */
static void C_ccall f_19281(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +4,c,2)))){
C_save_and_reclaim((void*)f_19281,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+4);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19285,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:3405: close-output-port */
t4=*((C_word*)lf[140]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k19283 in a19280 in a19274 in k19263 in scheme#with-output-to-file in k18763 in k18760 in k18757 in k18754 in k18750 in k18746 in k18181 in k18178 in k18175 in k18172 in k18169 in k18166 in k18163 in k18160 in k18157 in k18154 in k18151 in ... */
static void C_ccall f_19285(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_19285,2,av);}{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
C_apply_values(3,av2);}}

/* a19289 in k19263 in scheme#with-output-to-file in k18763 in k18760 in k18757 in k18754 in k18750 in k18746 in k18181 in k18178 in k18175 in k18172 in k18169 in k18166 in k18163 in k18160 in k18157 in k18154 in k18151 in k18148 in k18145 in ... */
static void C_ccall f_19290(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_19290,2,av);}
t2=C_mutate(((C_word *)((C_word*)t0)[2])+1,*((C_word*)lf[711]+1));
t3=C_mutate((C_word*)lf[711]+1 /* (set! ##sys#standard-output ...) */,((C_word*)((C_word*)t0)[3])[1]);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_SCHEME_UNDEFINED;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* ##sys#file-exists? in k18763 in k18760 in k18757 in k18754 in k18750 in k18746 in k18181 in k18178 in k18175 in k18172 in k18169 in k18166 in k18163 in k18160 in k18157 in k18154 in k18151 in k18148 in k18145 in k18142 in k17982 in ... */
static void C_ccall f_19295(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5=av[5];
C_word t6;
C_word t7;
C_word *a;
if(c!=6) C_bad_argc_2(c,6,t0);
if(C_unlikely(!C_demand(C_calculate_demand(7,c,3)))){
C_save_and_reclaim((void *)f_19295,6,av);}
a=C_alloc(7);
t6=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_19300,a[2]=t3,a[3]=t4,a[4]=t1,a[5]=t5,a[6]=t2,tmp=(C_word)a,a+=7,tmp);
/* library.scm:3409: ##sys#make-c-string */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[742]);
C_word *av2=av;
av2[0]=*((C_word*)lf[742]+1);
av2[1]=t6;
av2[2]=t2;
av2[3]=t5;
tp(4,av2);}}

/* k19298 in ##sys#file-exists? in k18763 in k18760 in k18757 in k18754 in k18750 in k18746 in k18181 in k18178 in k18175 in k18172 in k18169 in k18166 in k18163 in k18160 in k18157 in k18154 in k18151 in k18148 in k18145 in k18142 in ... */
static void C_ccall f_19300(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,5)))){
C_save_and_reclaim((void *)f_19300,2,av);}
t2=C_i_file_exists_p(t1,((C_word*)t0)[2],((C_word*)t0)[3]);
switch(t2){
case C_SCHEME_FALSE:
t3=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}
case C_SCHEME_TRUE:
t3=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_TRUE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}
default:
/* library.scm:3413: ##sys#signal-hook */
t3=C_fast_retrieve(lf[194]);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t3;
av2[1]=((C_word*)t0)[4];
av2[2]=lf[696];
av2[3]=((C_word*)t0)[5];
av2[4]=lf[741];
av2[5]=((C_word*)t0)[6];
((C_proc)(void*)(*((C_word*)t3+1)))(6,av2);}}}

/* ##sys#flush-output in k18763 in k18760 in k18757 in k18754 in k18750 in k18746 in k18181 in k18178 in k18175 in k18172 in k18169 in k18166 in k18163 in k18160 in k18157 in k18154 in k18151 in k18148 in k18145 in k18142 in k17982 in ... */
static void C_ccall f_19321(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_19321,3,av);}
a=C_alloc(3);
t3=C_slot(t2,C_fix(2));
t4=C_slot(t3,C_fix(5));
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19328,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* library.scm:3417: g4086 */
t6=t4;{
C_word *av2=av;
av2[0]=t6;
av2[1]=t5;
av2[2]=t2;
((C_proc)C_fast_retrieve_proc(t6))(3,av2);}}

/* k19326 in ##sys#flush-output in k18763 in k18760 in k18757 in k18754 in k18750 in k18746 in k18181 in k18178 in k18175 in k18172 in k18169 in k18166 in k18163 in k18160 in k18157 in k18154 in k18151 in k18148 in k18145 in k18142 in ... */
static void C_ccall f_19328(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_19328,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_SCHEME_UNDEFINED;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.base#flush-output in k18763 in k18760 in k18757 in k18754 in k18750 in k18746 in k18181 in k18178 in k18175 in k18172 in k18169 in k18166 in k18163 in k18160 in k18157 in k18154 in k18151 in k18148 in k18145 in k18142 in k17982 in ... */
static void C_ccall f_19334(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +0,c,2)))){
C_save_and_reclaim((void*)f_19334,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+0);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
if(C_truep(C_i_nullp(t2))){
t3=*((C_word*)lf[711]+1);
t4=C_i_check_port_2(*((C_word*)lf[711]+1),C_fix(2),C_SCHEME_TRUE,lf[744]);
/* library.scm:3424: ##sys#flush-output */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[743]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[743]+1);
av2[1]=t1;
av2[2]=*((C_word*)lf[711]+1);
tp(3,av2);}}
else{
t3=C_i_car(t2);
t4=C_i_check_port_2(t3,C_fix(2),C_SCHEME_TRUE,lf[744]);
/* library.scm:3424: ##sys#flush-output */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[743]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[743]+1);
av2[1]=t1;
av2[2]=t3;
tp(3,av2);}}}

/* ##sys#port-line in k18763 in k18760 in k18757 in k18754 in k18750 in k18746 in k18181 in k18178 in k18175 in k18172 in k18169 in k18166 in k18163 in k18160 in k18157 in k18154 in k18151 in k18148 in k18145 in k18142 in k17982 in ... */
static void C_ccall f_19352(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_19352,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=(C_truep(C_input_portp(t2))?C_slot(t2,C_fix(4)):C_SCHEME_FALSE);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#decorate-lambda in k18763 in k18760 in k18757 in k18754 in k18750 in k18746 in k18181 in k18178 in k18175 in k18172 in k18169 in k18166 in k18163 in k18160 in k18157 in k18154 in k18151 in k18148 in k18145 in k18142 in k17982 in ... */
static void C_ccall f_19361(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(10,c,3)))){
C_save_and_reclaim((void *)f_19361,5,av);}
a=C_alloc(10);
t5=C_block_size(t2);
t6=t5;
t7=C_fixnum_difference(t6,C_fix(1));
t8=C_SCHEME_UNDEFINED;
t9=(*a=C_VECTOR_TYPE|1,a[1]=t8,tmp=(C_word)a,a+=2,tmp);
t10=C_set_block_item(t9,0,(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_19374,a[2]=t6,a[3]=t2,a[4]=t4,a[5]=t9,a[6]=t3,a[7]=((C_word)li598),tmp=(C_word)a,a+=8,tmp));
t11=((C_word*)t9)[1];
f_19374(t11,t1,t7);}

/* loop in ##sys#decorate-lambda in k18763 in k18760 in k18757 in k18754 in k18750 in k18746 in k18181 in k18178 in k18175 in k18172 in k18169 in k18166 in k18163 in k18160 in k18157 in k18154 in k18151 in k18148 in k18145 in k18142 in ... */
static void C_fcall f_19374(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,0,2)))){
C_save_and_reclaim_args((void *)trf_19374,3,t0,t1,t2);}
a=C_alloc(7);
t3=t2;
if(C_truep(C_i_zerop(t3))){
t4=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_19382,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=t1,tmp=(C_word)a,a+=6,tmp);
t5=C_fixnum_plus(((C_word*)t0)[2],C_fix(1));
/* library.scm:3438: scheme#make-vector */
t6=*((C_word*)lf[93]+1);{
C_word av2[3];
av2[0]=t6;
av2[1]=t4;
av2[2]=t5;
((C_proc)(void*)(*((C_word*)t6+1)))(3,av2);}}
else{
t4=C_slot(((C_word*)t0)[3],t2);
t5=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_19424,a[2]=((C_word*)t0)[4],a[3]=t1,a[4]=((C_word*)t0)[3],a[5]=t2,a[6]=((C_word*)t0)[5],tmp=(C_word)a,a+=7,tmp);
/* library.scm:3447: pred */
t6=((C_word*)t0)[6];{
C_word av2[3];
av2[0]=t6;
av2[1]=t5;
av2[2]=t4;
((C_proc)C_fast_retrieve_proc(t6))(3,av2);}}}

/* k19380 in loop in ##sys#decorate-lambda in k18763 in k18760 in k18757 in k18754 in k18750 in k18746 in k18181 in k18178 in k18175 in k18172 in k18169 in k18166 in k18163 in k18160 in k18157 in k18154 in k18151 in k18148 in k18145 in ... */
static void C_ccall f_19382(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,3)))){
C_save_and_reclaim((void *)f_19382,2,av);}
a=C_alloc(10);
t2=t1;
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_19387,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],a[6]=t4,a[7]=((C_word)li597),tmp=(C_word)a,a+=8,tmp));
t6=((C_word*)t4)[1];
f_19387(t6,((C_word*)t0)[5],C_fix(1));}

/* doloop4115 in k19380 in loop in ##sys#decorate-lambda in k18763 in k18760 in k18757 in k18754 in k18750 in k18746 in k18181 in k18178 in k18175 in k18172 in k18169 in k18166 in k18163 in k18160 in k18157 in k18154 in k18151 in k18148 in ... */
static void C_fcall f_19387(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(0,0,3)))){
C_save_and_reclaim_args((void *)trf_19387,3,t0,t1,t2);}
if(C_truep(C_fixnum_greater_or_equal_p(t2,((C_word*)t0)[2]))){
t3=C_vector_to_closure(((C_word*)t0)[3]);
t4=C_copy_pointer(((C_word*)t0)[4],((C_word*)t0)[3]);
/* library.scm:3443: decorator */
t5=((C_word*)t0)[5];{
C_word av2[4];
av2[0]=t5;
av2[1]=t1;
av2[2]=((C_word*)t0)[3];
av2[3]=t2;
((C_proc)C_fast_retrieve_proc(t5))(4,av2);}}
else{
t3=C_slot(((C_word*)t0)[4],t2);
t4=C_i_setslot(((C_word*)t0)[3],t2,t3);
t5=C_fixnum_plus(t2,C_fix(1));
t7=t1;
t8=t5;
t1=t7;
t2=t8;
goto loop;}}

/* k19422 in loop in ##sys#decorate-lambda in k18763 in k18760 in k18757 in k18754 in k18750 in k18746 in k18181 in k18178 in k18175 in k18172 in k18169 in k18166 in k18163 in k18160 in k18157 in k18154 in k18151 in k18148 in k18145 in ... */
static void C_ccall f_19424(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_19424,2,av);}
if(C_truep(t1)){
/* library.scm:3448: decorator */
t2=((C_word*)t0)[2];{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
av2[2]=((C_word*)t0)[4];
av2[3]=((C_word*)t0)[5];
((C_proc)C_fast_retrieve_proc(t2))(4,av2);}}
else{
t2=C_fixnum_difference(((C_word*)t0)[5],C_fix(1));
/* library.scm:3449: loop */
t3=((C_word*)((C_word*)t0)[6])[1];
f_19374(t3,((C_word*)t0)[3],t2);}}

/* ##sys#lambda-decoration in k18763 in k18760 in k18757 in k18754 in k18750 in k18746 in k18181 in k18178 in k18175 in k18172 in k18169 in k18166 in k18163 in k18160 in k18157 in k18154 in k18151 in k18148 in k18145 in k18142 in k17982 in ... */
static void C_ccall f_19436(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,3)))){
C_save_and_reclaim((void *)f_19436,4,av);}
a=C_alloc(8);
t4=C_block_size(t2);
t5=C_fixnum_difference(t4,C_fix(1));
t6=C_SCHEME_UNDEFINED;
t7=(*a=C_VECTOR_TYPE|1,a[1]=t6,tmp=(C_word)a,a+=2,tmp);
t8=C_set_block_item(t7,0,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_19446,a[2]=t2,a[3]=t7,a[4]=t3,a[5]=((C_word)li600),tmp=(C_word)a,a+=6,tmp));
t9=((C_word*)t7)[1];
f_19446(t9,t1,t5);}

/* loop in ##sys#lambda-decoration in k18763 in k18760 in k18757 in k18754 in k18750 in k18746 in k18181 in k18178 in k18175 in k18172 in k18169 in k18166 in k18163 in k18160 in k18157 in k18154 in k18151 in k18148 in k18145 in k18142 in ... */
static void C_fcall f_19446(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,2)))){
C_save_and_reclaim_args((void *)trf_19446,3,t0,t1,t2);}
a=C_alloc(6);
if(C_truep(C_fixnum_greaterp(t2,C_fix(0)))){
t3=C_slot(((C_word*)t0)[2],t2);
t4=t3;
t5=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_19462,a[2]=t1,a[3]=t4,a[4]=t2,a[5]=((C_word*)t0)[3],tmp=(C_word)a,a+=6,tmp);
/* library.scm:3455: pred */
t6=((C_word*)t0)[4];{
C_word av2[3];
av2[0]=t6;
av2[1]=t5;
av2[2]=t4;
((C_proc)C_fast_retrieve_proc(t6))(3,av2);}}
else{
t3=t1;{
C_word av2[2];
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k19460 in loop in ##sys#lambda-decoration in k18763 in k18760 in k18757 in k18754 in k18750 in k18746 in k18181 in k18178 in k18175 in k18172 in k18169 in k18166 in k18163 in k18160 in k18157 in k18154 in k18151 in k18148 in k18145 in ... */
static void C_ccall f_19462(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_19462,2,av);}
if(C_truep(t1)){
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}
else{
t2=C_fixnum_difference(((C_word*)t0)[4],C_fix(1));
/* library.scm:3457: loop */
t3=((C_word*)((C_word*)t0)[5])[1];
f_19446(t3,((C_word*)t0)[2],t2);}}

/* ##sys#make-lambda-info in k18763 in k18760 in k18757 in k18754 in k18750 in k18746 in k18181 in k18178 in k18175 in k18172 in k18169 in k18166 in k18163 in k18160 in k18157 in k18154 in k18151 in k18148 in k18145 in k18142 in k17982 in ... */
static void C_ccall f_19475(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_19475,3,av);}
a=C_alloc(5);
t3=C_block_size(t2);
t4=t3;
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_19482,a[2]=t2,a[3]=t4,a[4]=t1,tmp=(C_word)a,a+=5,tmp);
/* library.scm:3464: ##sys#make-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[376]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[376]+1);
av2[1]=t5;
av2[2]=t4;
tp(3,av2);}}

/* k19480 in ##sys#make-lambda-info in k18763 in k18760 in k18757 in k18754 in k18750 in k18746 in k18181 in k18178 in k18175 in k18172 in k18169 in k18166 in k18163 in k18160 in k18157 in k18154 in k18151 in k18148 in k18145 in k18142 in ... */
static void C_ccall f_19482(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_19482,2,av);}
t2=C_copy_memory(t1,((C_word*)t0)[2],((C_word*)t0)[3]);
t3=C_string_to_lambdainfo(t1);
t4=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* ##sys#lambda-info? in k18763 in k18760 in k18757 in k18754 in k18750 in k18746 in k18181 in k18178 in k18175 in k18172 in k18169 in k18166 in k18163 in k18160 in k18157 in k18154 in k18151 in k18148 in k18145 in k18142 in k17982 in ... */
static void C_ccall f_19484(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_19484,3,av);}
t3=C_immp(t2);
if(C_truep(C_i_not(t3))){
t4=C_lambdainfop(t2);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* ##sys#lambda-info in k18763 in k18760 in k18757 in k18754 in k18750 in k18746 in k18181 in k18178 in k18175 in k18172 in k18169 in k18166 in k18163 in k18160 in k18157 in k18154 in k18151 in k18148 in k18145 in k18142 in k17982 in ... */
static void C_ccall f_19497(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_19497,3,av);}
/* library.scm:3476: ##sys#lambda-decoration */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[747]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[747]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=C_fast_retrieve(lf[749]);
tp(4,av2);}}

/* ##sys#lambda-info->string in k18763 in k18760 in k18757 in k18754 in k18750 in k18746 in k18181 in k18178 in k18175 in k18172 in k18169 in k18166 in k18163 in k18160 in k18157 in k18154 in k18151 in k18148 in k18145 in k18142 in k17982 in ... */
static void C_ccall f_19503(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_19503,3,av);}
a=C_alloc(5);
t3=C_block_size(t2);
t4=t3;
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_19510,a[2]=t2,a[3]=t4,a[4]=t1,tmp=(C_word)a,a+=5,tmp);
/* library.scm:3480: ##sys#make-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[376]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[376]+1);
av2[1]=t5;
av2[2]=t4;
tp(3,av2);}}

/* k19508 in ##sys#lambda-info->string in k18763 in k18760 in k18757 in k18754 in k18750 in k18746 in k18181 in k18178 in k18175 in k18172 in k18169 in k18166 in k18163 in k18160 in k18157 in k18154 in k18151 in k18148 in k18145 in k18142 in ... */
static void C_ccall f_19510(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_19510,2,av);}
t2=C_copy_memory(t1,((C_word*)t0)[2],((C_word*)t0)[3]);
t3=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.base#procedure-information in k18763 in k18760 in k18757 in k18754 in k18750 in k18746 in k18181 in k18178 in k18175 in k18172 in k18169 in k18166 in k18163 in k18160 in k18157 in k18154 in k18151 in k18148 in k18145 in k18142 in k17982 in ... */
static void C_ccall f_19512(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_19512,3,av);}
a=C_alloc(4);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19516,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:3486: ##sys#check-closure */
t4=*((C_word*)lf[365]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=t2;
av2[3]=lf[753];
((C_proc)(void*)(*((C_word*)t4+1)))(4,av2);}}

/* k19514 in chicken.base#procedure-information in k18763 in k18760 in k18757 in k18754 in k18750 in k18746 in k18181 in k18178 in k18175 in k18172 in k18169 in k18166 in k18163 in k18160 in k18157 in k18154 in k18151 in k18148 in k18145 in k18142 in ... */
static void C_ccall f_19516(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_19516,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19519,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:3487: ##sys#lambda-info */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[750]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[750]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}

/* k19517 in k19514 in chicken.base#procedure-information in k18763 in k18760 in k18757 in k18754 in k18750 in k18746 in k18181 in k18178 in k18175 in k18172 in k18169 in k18166 in k18163 in k18160 in k18157 in k18154 in k18151 in k18148 in k18145 in ... */
static void C_ccall f_19519(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_19519,2,av);}
a=C_alloc(6);
if(C_truep(t1)){
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19529,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19533,a[2]=t2,tmp=(C_word)a,a+=3,tmp);
/* library.scm:3488: ##sys#lambda-info->string */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[751]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[751]+1);
av2[1]=t3;
av2[2]=t1;
tp(3,av2);}}
else{
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}}

/* k19527 in k19517 in k19514 in chicken.base#procedure-information in k18763 in k18760 in k18757 in k18754 in k18750 in k18746 in k18181 in k18178 in k18175 in k18172 in k18169 in k18166 in k18163 in k18160 in k18157 in k18154 in k18151 in k18148 in ... */
static void C_ccall f_19529(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_19529,2,av);}
/* library.scm:3488: ##sys#read */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[752]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[752]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
av2[3]=C_SCHEME_FALSE;
tp(4,av2);}}

/* k19531 in k19517 in k19514 in chicken.base#procedure-information in k18763 in k18760 in k18757 in k18754 in k18750 in k18746 in k18181 in k18178 in k18175 in k18172 in k18169 in k18166 in k18163 in k18160 in k18157 in k18154 in k18151 in k18148 in ... */
static void C_ccall f_19533(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_19533,2,av);}
/* library.scm:3488: chicken.base#open-input-string */
t2=*((C_word*)lf[212]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* k19539 in k18763 in k18760 in k18757 in k18754 in k18750 in k18746 in k18181 in k18178 in k18175 in k18172 in k18169 in k18166 in k18163 in k18160 in k18157 in k18154 in k18151 in k18148 in k18145 in k18142 in k17982 in ... */
static void C_ccall f_19541(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,4)))){
C_save_and_reclaim((void *)f_19541,2,av);}
a=C_alloc(6);
t2=C_mutate((C_word*)lf[203]+1 /* (set! chicken.base#setter ...) */,t1);
t3=C_mutate((C_word*)lf[756]+1 /* (set! ##sys#setter ...) */,*((C_word*)lf[203]+1));
t4=C_mutate((C_word*)lf[200]+1 /* (set! chicken.base#getter-with-setter ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19544,a[2]=((C_word)li610),tmp=(C_word)a,a+=3,tmp));
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19621,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:3548: chicken.base#getter-with-setter */
t6=*((C_word*)lf[200]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t6;
av2[1]=t5;
av2[2]=*((C_word*)lf[9]+1);
av2[3]=*((C_word*)lf[11]+1);
((C_proc)(void*)(*((C_word*)t6+1)))(4,av2);}}

/* chicken.base#getter-with-setter in k19539 in k18763 in k18760 in k18757 in k18754 in k18750 in k18746 in k18181 in k18178 in k18175 in k18172 in k18169 in k18166 in k18163 in k18160 in k18157 in k18154 in k18151 in k18148 in k18145 in k18142 in ... */
static void C_ccall f_19544(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c<4) C_bad_min_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-4)*C_SIZEOF_PAIR +6,c,3)))){
C_save_and_reclaim((void*)f_19544,c,av);}
a=C_alloc((c-4)*C_SIZEOF_PAIR+6);
t4=C_build_rest(&a,c,4,av);
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
t5=C_i_nullp(t4);
t6=(C_truep(t5)?C_SCHEME_FALSE:C_i_car(t4));
t7=t6;
t8=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_19551,a[2]=t1,a[3]=t3,a[4]=t2,a[5]=t7,tmp=(C_word)a,a+=6,tmp);
/* library.scm:3527: ##sys#check-closure */
t9=*((C_word*)lf[365]+1);{
C_word *av2=av;
av2[0]=t9;
av2[1]=t8;
av2[2]=t2;
av2[3]=lf[757];
((C_proc)(void*)(*((C_word*)t9+1)))(4,av2);}}

/* k19549 in chicken.base#getter-with-setter in k19539 in k18763 in k18760 in k18757 in k18754 in k18750 in k18746 in k18181 in k18178 in k18175 in k18172 in k18169 in k18166 in k18163 in k18160 in k18157 in k18154 in k18151 in k18148 in k18145 in ... */
static void C_ccall f_19551(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,3)))){
C_save_and_reclaim((void *)f_19551,2,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_19554,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
/* library.scm:3528: ##sys#check-closure */
t3=*((C_word*)lf[365]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[3];
av2[3]=lf[757];
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* k19552 in k19549 in chicken.base#getter-with-setter in k19539 in k18763 in k18760 in k18757 in k18754 in k18750 in k18746 in k18181 in k18178 in k18175 in k18172 in k18169 in k18166 in k18163 in k18160 in k18157 in k18154 in k18151 in k18148 in ... */
static void C_ccall f_19554(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_19554,2,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_19557,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
if(C_truep(((C_word*)t0)[5])){
t3=C_i_check_string_2(((C_word*)t0)[5],lf[757]);
/* library.scm:3531: ##sys#make-lambda-info */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[748]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[748]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[5];
tp(3,av2);}}
else{
/* library.scm:3532: ##sys#lambda-info */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[750]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[750]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[4];
tp(3,av2);}}}

/* k19555 in k19552 in k19549 in chicken.base#getter-with-setter in k19539 in k18763 in k18760 in k18757 in k18754 in k18750 in k18746 in k18181 in k18178 in k18175 in k18172 in k18169 in k18166 in k18163 in k18160 in k18157 in k18154 in k18151 in ... */
static void C_ccall f_19557(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,2)))){
C_save_and_reclaim((void *)f_19557,2,av);}
a=C_alloc(8);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19560,a[2]=t2,a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19576,a[2]=((C_word*)t0)[3],a[3]=t3,tmp=(C_word)a,a+=4,tmp);
/* library.scm:3534: ##sys#copy-closure */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[332]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[332]+1);
av2[1]=t4;
av2[2]=((C_word*)t0)[4];
tp(3,av2);}}

/* k19558 in k19555 in k19552 in k19549 in chicken.base#getter-with-setter in k19539 in k18763 in k18760 in k18757 in k18754 in k18750 in k18746 in k18181 in k18178 in k18175 in k18172 in k18169 in k18166 in k18163 in k18160 in k18157 in k18154 in ... */
static void C_ccall f_19560(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,4)))){
C_save_and_reclaim((void *)f_19560,2,av);}
a=C_alloc(4);
if(C_truep(((C_word*)t0)[2])){
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19568,a[2]=((C_word*)t0)[2],a[3]=((C_word)li607),tmp=(C_word)a,a+=4,tmp);
/* library.scm:3540: ##sys#decorate-lambda */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[746]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[746]+1);
av2[1]=((C_word*)t0)[3];
av2[2]=t1;
av2[3]=C_fast_retrieve(lf[749]);
av2[4]=t2;
tp(5,av2);}}
else{
t2=t1;
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* a19567 in k19558 in k19555 in k19552 in k19549 in chicken.base#getter-with-setter in k19539 in k18763 in k18760 in k18757 in k18754 in k18750 in k18746 in k18181 in k18178 in k18175 in k18172 in k18169 in k18166 in k18163 in k18160 in k18157 in ... */
static void C_ccall f_19568(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_19568,4,av);}
t4=C_i_setslot(t2,t3,((C_word*)t0)[2]);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* k19574 in k19555 in k19552 in k19549 in chicken.base#getter-with-setter in k19539 in k18763 in k18760 in k18757 in k18754 in k18750 in k18746 in k18181 in k18178 in k18175 in k18172 in k18169 in k18166 in k18163 in k18160 in k18157 in k18154 in ... */
static void C_ccall f_19576(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,4)))){
C_save_and_reclaim((void *)f_19576,2,av);}
a=C_alloc(7);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19578,a[2]=((C_word)li608),tmp=(C_word)a,a+=3,tmp);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19594,a[2]=((C_word*)t0)[2],a[3]=((C_word)li609),tmp=(C_word)a,a+=4,tmp);
/* library.scm:3533: ##sys#decorate-lambda */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[746]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[746]+1);
av2[1]=((C_word*)t0)[3];
av2[2]=t1;
av2[3]=t2;
av2[4]=t3;
tp(5,av2);}}

/* a19577 in k19574 in k19555 in k19552 in k19549 in chicken.base#getter-with-setter in k19539 in k18763 in k18760 in k18757 in k18754 in k18750 in k18746 in k18181 in k18178 in k18175 in k18172 in k18169 in k18166 in k18163 in k18160 in k18157 in ... */
static void C_ccall f_19578(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_19578,3,av);}
if(C_truep(C_i_pairp(t2))){
t3=C_slot(t2,C_fix(0));
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_eqp(C_retrieve2(lf[755],C_text("setter-tag")),t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* a19593 in k19574 in k19555 in k19552 in k19549 in chicken.base#getter-with-setter in k19539 in k18763 in k18760 in k18757 in k18754 in k18750 in k18746 in k18181 in k18178 in k18175 in k18172 in k18169 in k18166 in k18163 in k18160 in k18157 in ... */
static void C_ccall f_19594(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_19594,4,av);}
a=C_alloc(3);
t4=C_a_i_cons(&a,2,C_retrieve2(lf[755],C_text("setter-tag")),((C_word*)t0)[2]);
t5=C_i_setslot(t2,t3,t4);
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}

/* k19619 in k19539 in k18763 in k18760 in k18757 in k18754 in k18750 in k18746 in k18181 in k18178 in k18175 in k18172 in k18169 in k18166 in k18163 in k18160 in k18157 in k18154 in k18151 in k18148 in k18145 in k18142 in ... */
static void C_ccall f_19621(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_19621,2,av);}
a=C_alloc(3);
t2=C_mutate((C_word*)lf[9]+1 /* (set! scheme#car ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19625,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:3549: chicken.base#getter-with-setter */
t4=*((C_word*)lf[200]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=*((C_word*)lf[10]+1);
av2[3]=*((C_word*)lf[12]+1);
((C_proc)(void*)(*((C_word*)t4+1)))(4,av2);}}

/* k19623 in k19619 in k19539 in k18763 in k18760 in k18757 in k18754 in k18750 in k18746 in k18181 in k18178 in k18175 in k18172 in k18169 in k18166 in k18163 in k18160 in k18157 in k18154 in k18151 in k18148 in k18145 in ... */
static void C_ccall f_19625(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,4)))){
C_save_and_reclaim((void *)f_19625,2,av);}
a=C_alloc(6);
t2=C_mutate((C_word*)lf[10]+1 /* (set! scheme#cdr ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19629,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31680,a[2]=((C_word)li994),tmp=(C_word)a,a+=3,tmp);
/* library.scm:3550: chicken.base#getter-with-setter */
t5=*((C_word*)lf[200]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t5;
av2[1]=t3;
av2[2]=*((C_word*)lf[17]+1);
av2[3]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(4,av2);}}

/* k19627 in k19623 in k19619 in k19539 in k18763 in k18760 in k18757 in k18754 in k18750 in k18746 in k18181 in k18178 in k18175 in k18172 in k18169 in k18166 in k18163 in k18160 in k18157 in k18154 in k18151 in k18148 in ... */
static void C_ccall f_19629(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,4)))){
C_save_and_reclaim((void *)f_19629,2,av);}
a=C_alloc(6);
t2=C_mutate((C_word*)lf[17]+1 /* (set! scheme#caar ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19633,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31670,a[2]=((C_word)li993),tmp=(C_word)a,a+=3,tmp);
/* library.scm:3551: chicken.base#getter-with-setter */
t5=*((C_word*)lf[200]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t5;
av2[1]=t3;
av2[2]=*((C_word*)lf[13]+1);
av2[3]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(4,av2);}}

/* k19631 in k19627 in k19623 in k19619 in k19539 in k18763 in k18760 in k18757 in k18754 in k18750 in k18746 in k18181 in k18178 in k18175 in k18172 in k18169 in k18166 in k18163 in k18160 in k18157 in k18154 in k18151 in ... */
static void C_ccall f_19633(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,4)))){
C_save_and_reclaim((void *)f_19633,2,av);}
a=C_alloc(6);
t2=C_mutate((C_word*)lf[13]+1 /* (set! scheme#cadr ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19637,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31660,a[2]=((C_word)li992),tmp=(C_word)a,a+=3,tmp);
/* library.scm:3552: chicken.base#getter-with-setter */
t5=*((C_word*)lf[200]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t5;
av2[1]=t3;
av2[2]=*((C_word*)lf[18]+1);
av2[3]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(4,av2);}}

/* k19635 in k19631 in k19627 in k19623 in k19619 in k19539 in k18763 in k18760 in k18757 in k18754 in k18750 in k18746 in k18181 in k18178 in k18175 in k18172 in k18169 in k18166 in k18163 in k18160 in k18157 in k18154 in ... */
static void C_ccall f_19637(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,4)))){
C_save_and_reclaim((void *)f_19637,2,av);}
a=C_alloc(6);
t2=C_mutate((C_word*)lf[18]+1 /* (set! scheme#cdar ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19641,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31650,a[2]=((C_word)li991),tmp=(C_word)a,a+=3,tmp);
/* library.scm:3553: chicken.base#getter-with-setter */
t5=*((C_word*)lf[200]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t5;
av2[1]=t3;
av2[2]=*((C_word*)lf[19]+1);
av2[3]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(4,av2);}}

/* k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in k19539 in k18763 in k18760 in k18757 in k18754 in k18750 in k18746 in k18181 in k18178 in k18175 in k18172 in k18169 in k18166 in k18163 in k18160 in k18157 in ... */
static void C_ccall f_19641(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,4)))){
C_save_and_reclaim((void *)f_19641,2,av);}
a=C_alloc(6);
t2=C_mutate((C_word*)lf[19]+1 /* (set! scheme#cddr ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19645,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31640,a[2]=((C_word)li990),tmp=(C_word)a,a+=3,tmp);
/* library.scm:3554: chicken.base#getter-with-setter */
t5=*((C_word*)lf[200]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t5;
av2[1]=t3;
av2[2]=*((C_word*)lf[20]+1);
av2[3]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(4,av2);}}

/* k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in k19539 in k18763 in k18760 in k18757 in k18754 in k18750 in k18746 in k18181 in k18178 in k18175 in k18172 in k18169 in k18166 in k18163 in k18160 in ... */
static void C_ccall f_19645(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,4)))){
C_save_and_reclaim((void *)f_19645,2,av);}
a=C_alloc(6);
t2=C_mutate((C_word*)lf[20]+1 /* (set! scheme#caaar ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19649,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31630,a[2]=((C_word)li989),tmp=(C_word)a,a+=3,tmp);
/* library.scm:3555: chicken.base#getter-with-setter */
t5=*((C_word*)lf[200]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t5;
av2[1]=t3;
av2[2]=*((C_word*)lf[21]+1);
av2[3]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(4,av2);}}

/* k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in k19539 in k18763 in k18760 in k18757 in k18754 in k18750 in k18746 in k18181 in k18178 in k18175 in k18172 in k18169 in k18166 in k18163 in ... */
static void C_ccall f_19649(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,4)))){
C_save_and_reclaim((void *)f_19649,2,av);}
a=C_alloc(6);
t2=C_mutate((C_word*)lf[21]+1 /* (set! scheme#caadr ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19653,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31620,a[2]=((C_word)li988),tmp=(C_word)a,a+=3,tmp);
/* library.scm:3556: chicken.base#getter-with-setter */
t5=*((C_word*)lf[200]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t5;
av2[1]=t3;
av2[2]=*((C_word*)lf[22]+1);
av2[3]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(4,av2);}}

/* k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in k19539 in k18763 in k18760 in k18757 in k18754 in k18750 in k18746 in k18181 in k18178 in k18175 in k18172 in k18169 in k18166 in ... */
static void C_ccall f_19653(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,4)))){
C_save_and_reclaim((void *)f_19653,2,av);}
a=C_alloc(6);
t2=C_mutate((C_word*)lf[22]+1 /* (set! scheme#cadar ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19657,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31610,a[2]=((C_word)li987),tmp=(C_word)a,a+=3,tmp);
/* library.scm:3557: chicken.base#getter-with-setter */
t5=*((C_word*)lf[200]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t5;
av2[1]=t3;
av2[2]=*((C_word*)lf[14]+1);
av2[3]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(4,av2);}}

/* k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in k19539 in k18763 in k18760 in k18757 in k18754 in k18750 in k18746 in k18181 in k18178 in k18175 in k18172 in k18169 in ... */
static void C_ccall f_19657(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,4)))){
C_save_and_reclaim((void *)f_19657,2,av);}
a=C_alloc(6);
t2=C_mutate((C_word*)lf[14]+1 /* (set! scheme#caddr ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19661,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31600,a[2]=((C_word)li986),tmp=(C_word)a,a+=3,tmp);
/* library.scm:3558: chicken.base#getter-with-setter */
t5=*((C_word*)lf[200]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t5;
av2[1]=t3;
av2[2]=*((C_word*)lf[23]+1);
av2[3]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(4,av2);}}

/* k19659 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in k19539 in k18763 in k18760 in k18757 in k18754 in k18750 in k18746 in k18181 in k18178 in k18175 in k18172 in ... */
static void C_ccall f_19661(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,4)))){
C_save_and_reclaim((void *)f_19661,2,av);}
a=C_alloc(6);
t2=C_mutate((C_word*)lf[23]+1 /* (set! scheme#cdaar ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19665,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31590,a[2]=((C_word)li985),tmp=(C_word)a,a+=3,tmp);
/* library.scm:3559: chicken.base#getter-with-setter */
t5=*((C_word*)lf[200]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t5;
av2[1]=t3;
av2[2]=*((C_word*)lf[24]+1);
av2[3]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(4,av2);}}

/* k19663 in k19659 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in k19539 in k18763 in k18760 in k18757 in k18754 in k18750 in k18746 in k18181 in k18178 in k18175 in ... */
static void C_ccall f_19665(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,4)))){
C_save_and_reclaim((void *)f_19665,2,av);}
a=C_alloc(6);
t2=C_mutate((C_word*)lf[24]+1 /* (set! scheme#cdadr ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19669,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31580,a[2]=((C_word)li984),tmp=(C_word)a,a+=3,tmp);
/* library.scm:3560: chicken.base#getter-with-setter */
t5=*((C_word*)lf[200]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t5;
av2[1]=t3;
av2[2]=*((C_word*)lf[25]+1);
av2[3]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(4,av2);}}

/* k19667 in k19663 in k19659 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in k19539 in k18763 in k18760 in k18757 in k18754 in k18750 in k18746 in k18181 in k18178 in ... */
static void C_ccall f_19669(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,4)))){
C_save_and_reclaim((void *)f_19669,2,av);}
a=C_alloc(6);
t2=C_mutate((C_word*)lf[25]+1 /* (set! scheme#cddar ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19673,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31570,a[2]=((C_word)li983),tmp=(C_word)a,a+=3,tmp);
/* library.scm:3561: chicken.base#getter-with-setter */
t5=*((C_word*)lf[200]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t5;
av2[1]=t3;
av2[2]=*((C_word*)lf[26]+1);
av2[3]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(4,av2);}}

/* k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in k19539 in k18763 in k18760 in k18757 in k18754 in k18750 in k18746 in k18181 in ... */
static void C_ccall f_19673(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_19673,2,av);}
a=C_alloc(3);
t2=C_mutate((C_word*)lf[26]+1 /* (set! scheme#cdddr ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19677,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:3562: chicken.base#getter-with-setter */
t4=*((C_word*)lf[200]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=*((C_word*)lf[58]+1);
av2[3]=*((C_word*)lf[59]+1);
((C_proc)(void*)(*((C_word*)t4+1)))(4,av2);}}

/* k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in k19539 in k18763 in k18760 in k18757 in k18754 in k18750 in k18746 in ... */
static void C_ccall f_19677(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_19677,2,av);}
a=C_alloc(3);
t2=C_mutate((C_word*)lf[58]+1 /* (set! scheme#string-ref ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19681,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:3563: chicken.base#getter-with-setter */
t4=*((C_word*)lf[200]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=*((C_word*)lf[91]+1);
av2[3]=*((C_word*)lf[92]+1);
((C_proc)(void*)(*((C_word*)t4+1)))(4,av2);}}

/* k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in k19539 in k18763 in k18760 in k18757 in k18754 in k18750 in ... */
static void C_ccall f_19681(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,5)))){
C_save_and_reclaim((void *)f_19681,2,av);}
a=C_alloc(6);
t2=C_mutate((C_word*)lf[91]+1 /* (set! scheme#vector-ref ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19685,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31560,a[2]=((C_word)li982),tmp=(C_word)a,a+=3,tmp);
/* library.scm:3566: chicken.base#getter-with-setter */
t5=*((C_word*)lf[200]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t5;
av2[1]=t3;
av2[2]=*((C_word*)lf[45]+1);
av2[3]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(4,av2);}}

/* k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in k19539 in k18763 in k18760 in k18757 in k18754 in ... */
static void C_ccall f_19685(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word t19;
C_word t20;
C_word t21;
C_word t22;
C_word t23;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(56,c,4)))){
C_save_and_reclaim((void *)f_19685,2,av);}
a=C_alloc(56);
t2=C_mutate((C_word*)lf[45]+1 /* (set! scheme#list-ref ...) */,t1);
t3=C_SCHEME_UNDEFINED;
t4=C_a_i_vector(&a,16,t3,t3,t3,t3,t3,t3,t3,t3,t3,t3,t3,t3,t3,t3,t3,t3);
t5=C_mutate(&lf[758] /* (set! ##sys#default-parameter-vector ...) */,t4);
t6=C_mutate((C_word*)lf[759]+1 /* (set! ##sys#current-parameter-vector ...) */,lf[760]);
t7=C_fix(0);
t8=(*a=C_VECTOR_TYPE|1,a[1]=t7,tmp=(C_word)a,a+=2,tmp);
t9=C_mutate((C_word*)lf[201]+1 /* (set! chicken.base#make-parameter ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19692,a[2]=t8,a[3]=((C_word)li618),tmp=(C_word)a,a+=4,tmp));
t10=C_mutate((C_word*)lf[146]+1 /* (set! scheme#char-ready? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19856,a[2]=((C_word)li619),tmp=(C_word)a,a+=3,tmp));
t11=C_mutate((C_word*)lf[147]+1 /* (set! scheme#read-char ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19881,a[2]=((C_word)li620),tmp=(C_word)a,a+=3,tmp));
t12=C_mutate((C_word*)lf[762]+1 /* (set! ##sys#read-char-0 ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19899,a[2]=((C_word)li621),tmp=(C_word)a,a+=3,tmp));
t13=C_mutate((C_word*)lf[763]+1 /* (set! ##sys#read-char/port ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19959,a[2]=((C_word)li622),tmp=(C_word)a,a+=3,tmp));
t14=C_mutate((C_word*)lf[764]+1 /* (set! ##sys#peek-char-0 ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19968,a[2]=((C_word)li623),tmp=(C_word)a,a+=3,tmp));
t15=C_mutate((C_word*)lf[148]+1 /* (set! scheme#peek-char ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19993,a[2]=((C_word)li624),tmp=(C_word)a,a+=3,tmp));
t16=C_mutate((C_word*)lf[149]+1 /* (set! scheme#read ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_20011,a[2]=((C_word)li625),tmp=(C_word)a,a+=3,tmp));
t17=C_set_block_item(lf[766] /* ##sys#default-read-info-hook */,0,C_SCHEME_FALSE);
t18=C_set_block_item(lf[767] /* ##sys#read-error-with-line-number */,0,C_SCHEME_FALSE);
t19=C_mutate((C_word*)lf[768]+1 /* (set! ##sys#read-prompt-hook ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_20031,a[2]=((C_word)li626),tmp=(C_word)a,a+=3,tmp));
t20=C_mutate((C_word*)lf[769]+1 /* (set! ##sys#infix-list-hook ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_20034,a[2]=((C_word)li627),tmp=(C_word)a,a+=3,tmp));
t21=C_mutate((C_word*)lf[770]+1 /* (set! ##sys#sharp-number-hook ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_20037,a[2]=((C_word)li628),tmp=(C_word)a,a+=3,tmp));
t22=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_20045,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:3676: chicken.base#make-parameter */
t23=*((C_word*)lf[201]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t23;
av2[1]=t22;
av2[2]=C_SCHEME_TRUE;
((C_proc)(void*)(*((C_word*)t23+1)))(3,av2);}}

/* chicken.base#make-parameter in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in k19539 in k18763 in k18760 in k18757 in ... */
static void C_ccall f_19692(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +8,c,3)))){
C_save_and_reclaim((void*)f_19692,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+8);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
t4=C_i_nullp(t3);
t5=(C_truep(t4)?(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19850,a[2]=((C_word)li611),tmp=(C_word)a,a+=3,tmp):C_i_car(t3));
t6=t5;
t7=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_19699,a[2]=((C_word*)t0)[2],a[3]=t6,a[4]=t1,tmp=(C_word)a,a+=5,tmp);
/* library.scm:3579: guard */
t8=t6;{
C_word *av2=av;
av2[0]=t8;
av2[1]=t7;
av2[2]=t2;
((C_proc)C_fast_retrieve_proc(t8))(3,av2);}}

/* k19697 in chicken.base#make-parameter in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in k19539 in k18763 in k18760 in ... */
static void C_ccall f_19699(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(14,c,6)))){
C_save_and_reclaim((void *)f_19699,2,av);}
a=C_alloc(14);
t2=t1;
t3=((C_word*)((C_word*)t0)[2])[1];
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_19700,a[2]=t3,a[3]=((C_word*)t0)[3],a[4]=((C_word)li612),tmp=(C_word)a,a+=5,tmp);
t5=C_fixnum_plus(((C_word*)((C_word*)t0)[2])[1],C_fix(1));
t6=C_set_block_item(((C_word*)t0)[2],0,t5);
t7=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_19734,a[2]=t3,a[3]=t2,a[4]=t4,a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
t8=C_block_size(C_retrieve2(lf[758],C_text("##sys#default-parameter-vector")));
if(C_truep(C_fixnum_greater_or_equal_p(t3,t8))){
t9=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19838,a[2]=t7,tmp=(C_word)a,a+=3,tmp);
t10=C_fixnum_plus(t3,C_fix(1));
/* library.scm:3596: ##sys#vector-resize */
f_17885(t9,C_retrieve2(lf[758],C_text("##sys#default-parameter-vector")),t10,C_SCHEME_UNDEFINED);}
else{
t9=t7;
f_19734(t9,C_SCHEME_UNDEFINED);}}

/* assign in k19697 in chicken.base#make-parameter in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in k19539 in k18763 in ... */
static void C_fcall f_19700(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4,C_word t5){
C_word tmp;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,0,4)))){
C_save_and_reclaim_args((void *)trf_19700,6,t0,t1,t2,t3,t4,t5);}
a=C_alloc(11);
t6=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_19704,a[2]=t5,a[3]=((C_word*)t0)[2],a[4]=t1,a[5]=t4,a[6]=((C_word*)t0)[3],a[7]=t2,tmp=(C_word)a,a+=8,tmp);
if(C_truep(C_fixnum_greater_or_equal_p(((C_word*)t0)[2],t3))){
t7=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19723,a[2]=t6,tmp=(C_word)a,a+=3,tmp);
t8=C_fixnum_plus(((C_word*)t0)[2],C_fix(1));
/* library.scm:3584: ##sys#vector-resize */
f_17885(t7,C_fast_retrieve(lf[759]),t8,*((C_word*)lf[624]+1));}
else{
t7=t6;
f_19704(t7,C_SCHEME_UNDEFINED);}}

/* k19702 in assign in k19697 in chicken.base#make-parameter in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in k19539 in ... */
static void C_fcall f_19704(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,2)))){
C_save_and_reclaim_args((void *)trf_19704,2,t0,t1);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_19707,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
if(C_truep(((C_word*)t0)[5])){
/* library.scm:3588: guard */
t3=((C_word*)t0)[6];{
C_word av2[3];
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[7];
((C_proc)C_fast_retrieve_proc(t3))(3,av2);}}
else{
t3=t2;{
C_word av2[2];
av2[0]=t3;
av2[1]=((C_word*)t0)[7];
f_19707(2,av2);}}}

/* k19705 in k19702 in assign in k19697 in chicken.base#make-parameter in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in ... */
static void C_ccall f_19707(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_19707,2,av);}
if(C_truep(((C_word*)t0)[2])){
t2=C_i_setslot(C_fast_retrieve(lf[759]),((C_word*)t0)[3],t1);
t3=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
t2=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t2;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}}

/* k19721 in assign in k19697 in chicken.base#make-parameter in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in k19539 in ... */
static void C_ccall f_19723(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_19723,2,av);}
t2=C_mutate((C_word*)lf[759]+1 /* (set! ##sys#current-parameter-vector ...) */,t1);
t3=((C_word*)t0)[2];
f_19704(t3,t2);}

/* k19732 in k19697 in chicken.base#make-parameter in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in k19539 in k18763 in ... */
static void C_fcall f_19734(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,0,3)))){
C_save_and_reclaim_args((void *)trf_19734,2,t0,t1);}
a=C_alloc(9);
t2=C_i_setslot(C_retrieve2(lf[758],C_text("##sys#default-parameter-vector")),((C_word*)t0)[2],((C_word*)t0)[3]);
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_19742,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[2],a[4]=((C_word)li616),tmp=(C_word)a,a+=5,tmp);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19824,a[2]=((C_word*)t0)[4],a[3]=((C_word)li617),tmp=(C_word)a,a+=4,tmp);
/* library.scm:3602: chicken.base#getter-with-setter */
t5=*((C_word*)lf[200]+1);{
C_word av2[4];
av2[0]=t5;
av2[1]=((C_word*)t0)[5];
av2[2]=t3;
av2[3]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(4,av2);}}

/* a19741 in k19732 in k19697 in chicken.base#make-parameter in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in k19539 in ... */
static void C_ccall f_19742(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +14,c,4)))){
C_save_and_reclaim((void*)f_19742,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+14);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
t3=C_block_size(C_fast_retrieve(lf[759]));
t4=t3;
if(C_truep(C_i_pairp(t2))){
t5=t2;
t6=C_u_i_cdr(t5);
t7=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_19754,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=t4,a[5]=((C_word)li613),tmp=(C_word)a,a+=6,tmp);
t8=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19763,a[2]=t7,a[3]=((C_word)li614),tmp=(C_word)a,a+=4,tmp);
t9=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19768,a[2]=t8,a[3]=((C_word)li615),tmp=(C_word)a,a+=4,tmp);
if(C_truep(C_i_nullp(t6))){
/* library.scm:3606: def-convert?4268 */
t10=t9;
f_19768(t10,t1);}
else{
t10=C_i_car(t6);
t11=C_u_i_cdr(t6);
if(C_truep(C_i_nullp(t11))){
/* library.scm:3606: def-set?4269 */
t12=t8;
f_19763(t12,t1,t10);}
else{
t12=C_i_car(t11);
t13=C_u_i_cdr(t11);
/* library.scm:3606: body4266 */
t14=t7;
f_19754(t14,t1,t10,t12);}}}
else{
if(C_truep(C_fixnum_greater_or_equal_p(((C_word*)t0)[3],t4))){
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_slot(C_retrieve2(lf[758],C_text("##sys#default-parameter-vector")),((C_word*)t0)[3]);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t5=C_slot(C_fast_retrieve(lf[759]),((C_word*)t0)[3]);
t6=C_eqp(t5,*((C_word*)lf[624]+1));
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=(C_truep(t6)?C_slot(C_retrieve2(lf[758],C_text("##sys#default-parameter-vector")),((C_word*)t0)[3]):t5);
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}}}

/* body4266 in a19741 in k19732 in k19697 in chicken.base#make-parameter in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in ... */
static void C_fcall f_19754(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,0,5)))){
C_save_and_reclaim_args((void *)trf_19754,4,t0,t1,t2,t3);}
t4=C_i_car(((C_word*)t0)[2]);
/* library.scm:3608: assign */
t5=((C_word*)t0)[3];
f_19700(t5,t1,t4,((C_word*)t0)[4],t2,t3);}

/* def-set?4269 in a19741 in k19732 in k19697 in chicken.base#make-parameter in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in ... */
static void C_fcall f_19763(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,0,3)))){
C_save_and_reclaim_args((void *)trf_19763,3,t0,t1,t2);}
/* library.scm:3606: body4266 */
t3=((C_word*)t0)[2];
f_19754(t3,t1,t2,C_SCHEME_TRUE);}

/* def-convert?4268 in a19741 in k19732 in k19697 in chicken.base#make-parameter in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in ... */
static void C_fcall f_19768(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,0,2)))){
C_save_and_reclaim_args((void *)trf_19768,2,t0,t1);}
/* library.scm:3606: def-set?4269 */
t2=((C_word*)t0)[2];
f_19763(t2,t1,C_SCHEME_TRUE);}

/* a19823 in k19732 in k19697 in chicken.base#make-parameter in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in k19539 in ... */
static void C_ccall f_19824(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,5)))){
C_save_and_reclaim((void *)f_19824,3,av);}
t3=C_block_size(C_fast_retrieve(lf[759]));
/* library.scm:3618: assign */
t4=((C_word*)t0)[2];
f_19700(t4,t1,t2,t3,C_SCHEME_FALSE,C_SCHEME_TRUE);}

/* k19836 in k19697 in chicken.base#make-parameter in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in k19539 in k18763 in ... */
static void C_ccall f_19838(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_19838,2,av);}
t2=C_mutate(&lf[758] /* (set! ##sys#default-parameter-vector ...) */,t1);
t3=((C_word*)t0)[2];
f_19734(t3,t2);}

/* f_19850 in chicken.base#make-parameter in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in k19539 in k18763 in k18760 in ... */
static void C_ccall f_19850(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_19850,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#char-ready? in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in k19539 in k18763 in k18760 in k18757 in ... */
static void C_ccall f_19856(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +0,c,2)))){
C_save_and_reclaim((void*)f_19856,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+0);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
t3=C_i_nullp(t2);
t4=(C_truep(t3)?*((C_word*)lf[710]+1):C_i_car(t2));
t5=C_i_check_port_2(t4,C_fix(1),C_SCHEME_TRUE,lf[761]);
t6=C_slot(t4,C_fix(2));
t7=C_slot(t6,C_fix(6));
/* library.scm:3624: g4301 */
t8=t7;{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t8;
av2[1]=t1;
av2[2]=t4;
((C_proc)C_fast_retrieve_proc(t8))(3,av2);}}

/* scheme#read-char in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in k19539 in k18763 in k18760 in k18757 in ... */
static void C_ccall f_19881(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +0,c,2)))){
C_save_and_reclaim((void*)f_19881,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+0);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
if(C_truep(C_i_nullp(t2))){
t3=*((C_word*)lf[710]+1);
t4=C_i_check_port_2(*((C_word*)lf[710]+1),C_fix(1),C_SCHEME_TRUE,lf[697]);
/* library.scm:3631: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[762]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[762]+1);
av2[1]=t1;
av2[2]=*((C_word*)lf[710]+1);
tp(3,av2);}}
else{
t3=C_i_car(t2);
t4=C_i_check_port_2(t3,C_fix(1),C_SCHEME_TRUE,lf[697]);
/* library.scm:3631: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[762]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[762]+1);
av2[1]=t1;
av2[2]=t3;
tp(3,av2);}}}

/* ##sys#read-char-0 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in k19539 in k18763 in k18760 in k18757 in ... */
static void C_ccall f_19899(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_19899,3,av);}
a=C_alloc(4);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19903,a[2]=t2,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
if(C_truep(C_slot(t2,C_fix(6)))){
t4=C_i_set_i_slot(t2,C_fix(6),C_SCHEME_FALSE);
t5=t3;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_SCHEME_END_OF_FILE;
f_19903(2,av2);}}
else{
t4=C_slot(t2,C_fix(2));
t5=C_slot(t4,C_fix(0));
/* library.scm:3634: g4319 */
t6=t5;{
C_word *av2=av;
av2[0]=t6;
av2[1]=t3;
av2[2]=t2;
((C_proc)C_fast_retrieve_proc(t6))(3,av2);}}}

/* k19901 in ##sys#read-char-0 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in k19539 in k18763 in k18760 in ... */
static void C_ccall f_19903(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_19903,2,av);}
t2=C_eqp(t1,C_make_character(10));
if(C_truep(t2)){
t3=C_slot(((C_word*)t0)[2],C_fix(4));
t4=C_fixnum_plus(t3,C_fix(1));
t5=C_i_set_i_slot(((C_word*)t0)[2],C_fix(4),t4);
t6=C_i_set_i_slot(((C_word*)t0)[2],C_fix(5),C_fix(0));
t7=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t7;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
t3=C_eofp(t1);
if(C_truep(C_i_not(t3))){
t4=C_slot(((C_word*)t0)[2],C_fix(5));
t5=C_fixnum_plus(t4,C_fix(1));
t6=C_i_set_i_slot(((C_word*)t0)[2],C_fix(5),t5);
t7=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t7;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
t4=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}}

/* ##sys#read-char/port in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in k19539 in k18763 in k18760 in k18757 in ... */
static void C_ccall f_19959(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_19959,3,av);}
t3=t2;
t4=C_i_check_port_2(t3,C_fix(1),C_SCHEME_TRUE,lf[697]);
/* library.scm:3648: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[762]);
C_word *av2=av;
av2[0]=*((C_word*)lf[762]+1);
av2[1]=t1;
av2[2]=t2;
tp(3,av2);}}

/* ##sys#peek-char-0 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in k19539 in k18763 in k18760 in k18757 in ... */
static void C_ccall f_19968(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_19968,3,av);}
a=C_alloc(4);
if(C_truep(C_slot(t2,C_fix(6)))){
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_END_OF_FILE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
t3=C_slot(t2,C_fix(2));
t4=C_slot(t3,C_fix(1));
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19981,a[2]=t2,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
/* library.scm:3653: g4333 */
t6=t4;{
C_word *av2=av;
av2[0]=t6;
av2[1]=t5;
av2[2]=t2;
((C_proc)C_fast_retrieve_proc(t6))(3,av2);}}}

/* k19979 in ##sys#peek-char-0 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in k19539 in k18763 in k18760 in ... */
static void C_ccall f_19981(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_19981,2,av);}
if(C_truep(C_eofp(t1))){
t2=C_i_set_i_slot(((C_word*)t0)[2],C_fix(6),C_SCHEME_TRUE);
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
t2=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t2;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}}

/* scheme#peek-char in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in k19539 in k18763 in k18760 in k18757 in ... */
static void C_ccall f_19993(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +0,c,2)))){
C_save_and_reclaim((void*)f_19993,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+0);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
if(C_truep(C_i_nullp(t2))){
t3=*((C_word*)lf[710]+1);
t4=C_i_check_port_2(*((C_word*)lf[710]+1),C_fix(1),C_SCHEME_TRUE,lf[701]);
/* library.scm:3661: ##sys#peek-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[764]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[764]+1);
av2[1]=t1;
av2[2]=*((C_word*)lf[710]+1);
tp(3,av2);}}
else{
t3=C_i_car(t2);
t4=C_i_check_port_2(t3,C_fix(1),C_SCHEME_TRUE,lf[701]);
/* library.scm:3661: ##sys#peek-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[764]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[764]+1);
av2[1]=t1;
av2[2]=t3;
tp(3,av2);}}}

/* scheme#read in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in k19539 in k18763 in k18760 in k18757 in ... */
static void C_ccall f_20011(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +0,c,3)))){
C_save_and_reclaim((void*)f_20011,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+0);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
if(C_truep(C_i_nullp(t2))){
t3=*((C_word*)lf[710]+1);
t4=C_i_check_port_2(*((C_word*)lf[710]+1),C_fix(1),C_SCHEME_TRUE,lf[765]);
/* library.scm:3666: ##sys#read */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[752]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[752]+1);
av2[1]=t1;
av2[2]=*((C_word*)lf[710]+1);
av2[3]=C_fast_retrieve(lf[766]);
tp(4,av2);}}
else{
t3=C_i_car(t2);
t4=C_i_check_port_2(t3,C_fix(1),C_SCHEME_TRUE,lf[765]);
/* library.scm:3666: ##sys#read */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[752]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[752]+1);
av2[1]=t1;
av2[2]=t3;
av2[3]=C_fast_retrieve(lf[766]);
tp(4,av2);}}}

/* ##sys#read-prompt-hook in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in k19539 in k18763 in k18760 in k18757 in ... */
static void C_ccall f_20031(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_20031,2,av);}
t2=t1;{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* ##sys#infix-list-hook in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in k19539 in k18763 in k18760 in k18757 in ... */
static void C_ccall f_20034(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_20034,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#sharp-number-hook in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in k19539 in k18763 in k18760 in k18757 in ... */
static void C_ccall f_20037(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_20037,4,av);}
/* library.scm:3674: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[771]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[771]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=lf[772];
av2[4]=t3;
tp(5,av2);}}

/* k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in k19539 in k18763 in k18760 in k18757 in ... */
static void C_ccall f_20045(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_20045,2,av);}
a=C_alloc(3);
t2=C_mutate((C_word*)lf[230]+1 /* (set! chicken.base#case-sensitive ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_20049,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:3677: chicken.base#make-parameter */
t4=*((C_word*)lf[201]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=lf[808];
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in k19539 in k18763 in k18760 in ... */
static void C_ccall f_20049(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_20049,2,av);}
a=C_alloc(3);
t2=C_mutate((C_word*)lf[231]+1 /* (set! chicken.base#keyword-style ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_20053,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:3678: chicken.base#make-parameter */
t4=*((C_word*)lf[201]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=C_SCHEME_TRUE;
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in k19539 in k18763 in ... */
static void C_ccall f_20053(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_20053,2,av);}
a=C_alloc(3);
t2=C_mutate((C_word*)lf[232]+1 /* (set! chicken.base#parentheses-synonyms ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_20057,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:3679: chicken.base#make-parameter */
t4=*((C_word*)lf[201]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=C_SCHEME_TRUE;
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in k19539 in ... */
static void C_ccall f_20057(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,2)))){
C_save_and_reclaim((void *)f_20057,2,av);}
a=C_alloc(8);
t2=C_mutate((C_word*)lf[233]+1 /* (set! chicken.base#symbol-escape ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_20061,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t4=C_a_i_record4(&a,4,lf[1372],C_SCHEME_FALSE,C_SCHEME_FALSE,C_SCHEME_FALSE);
/* library.scm:3681: chicken.base#make-parameter */
t5=*((C_word*)lf[201]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t5;
av2[1]=t3;
av2[2]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(3,av2);}}

/* k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in ... */
static void C_ccall f_20061(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word t19;
C_word t20;
C_word t21;
C_word t22;
C_word t23;
C_word t24;
C_word t25;
C_word t26;
C_word t27;
C_word t28;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(59,c,4)))){
C_save_and_reclaim((void *)f_20061,2,av);}
a=C_alloc(59);
t2=C_mutate((C_word*)lf[773]+1 /* (set! ##sys#current-read-table ...) */,t1);
t3=C_mutate((C_word*)lf[774]+1 /* (set! ##sys#read-warning ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_20063,a[2]=((C_word)li629),tmp=(C_word)a,a+=3,tmp));
t4=C_mutate((C_word*)lf[771]+1 /* (set! ##sys#read-error ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_20086,a[2]=((C_word)li630),tmp=(C_word)a,a+=3,tmp));
t5=*((C_word*)lf[231]+1);
t6=*((C_word*)lf[230]+1);
t7=*((C_word*)lf[232]+1);
t8=*((C_word*)lf[233]+1);
t9=C_fast_retrieve(lf[773]);
t10=C_a_i_string(&a,1,C_make_character(0));
t11=t10;
t12=C_mutate((C_word*)lf[752]+1 /* (set! ##sys#read ...) */,(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_20112,a[2]=t11,a[3]=t9,a[4]=t8,a[5]=t7,a[6]=t5,a[7]=t6,a[8]=((C_word)li686),tmp=(C_word)a,a+=9,tmp));
t13=C_mutate((C_word*)lf[786]+1 /* (set! ##sys#char->utf8-string ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_22965,a[2]=((C_word)li687),tmp=(C_word)a,a+=3,tmp));
t14=C_mutate((C_word*)lf[793]+1 /* (set! ##sys#unicode-surrogate? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_23130,a[2]=((C_word)li688),tmp=(C_word)a,a+=3,tmp));
t15=C_mutate((C_word*)lf[790]+1 /* (set! ##sys#surrogates->codepoint ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_23142,a[2]=((C_word)li689),tmp=(C_word)a,a+=3,tmp));
t16=C_mutate((C_word*)lf[840]+1 /* (set! ##sys#read-bytevector-literal ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_23204,a[2]=((C_word)li692),tmp=(C_word)a,a+=3,tmp));
t17=C_mutate((C_word*)lf[852]+1 /* (set! ##sys#user-read-hook ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_23352,a[2]=((C_word)li693),tmp=(C_word)a,a+=3,tmp));
t18=C_set_block_item(lf[850] /* ##sys#read-marks */,0,C_SCHEME_END_OF_LIST);
t19=C_mutate((C_word*)lf[859]+1 /* (set! ##sys#write-char-0 ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_23397,a[2]=((C_word)li694),tmp=(C_word)a,a+=3,tmp));
t20=C_mutate((C_word*)lf[860]+1 /* (set! ##sys#write-char/port ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_23413,a[2]=((C_word)li695),tmp=(C_word)a,a+=3,tmp));
t21=C_mutate((C_word*)lf[150]+1 /* (set! scheme#write-char ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_23425,a[2]=((C_word)li696),tmp=(C_word)a,a+=3,tmp));
t22=C_mutate((C_word*)lf[151]+1 /* (set! scheme#newline ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_23446,a[2]=((C_word)li697),tmp=(C_word)a,a+=3,tmp));
t23=C_mutate((C_word*)lf[152]+1 /* (set! scheme#write ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_23461,a[2]=((C_word)li698),tmp=(C_word)a,a+=3,tmp));
t24=C_mutate((C_word*)lf[153]+1 /* (set! scheme#display ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_23479,a[2]=((C_word)li699),tmp=(C_word)a,a+=3,tmp));
t25=C_mutate((C_word*)lf[188]+1 /* (set! chicken.base#print ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_23497,a[2]=((C_word)li701),tmp=(C_word)a,a+=3,tmp));
t26=C_mutate((C_word*)lf[189]+1 /* (set! chicken.base#print* ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_23548,a[2]=((C_word)li703),tmp=(C_word)a,a+=3,tmp));
t27=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_23601,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:4411: chicken.base#make-parameter */
t28=*((C_word*)lf[201]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t28;
av2[1]=t27;
av2[2]=C_fix(0);
((C_proc)(void*)(*((C_word*)t28+1)))(3,av2);}}

/* ##sys#read-warning in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in ... */
static void C_ccall f_20063(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c<4) C_bad_min_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-4)*C_SIZEOF_PAIR +5,c,2)))){
C_save_and_reclaim((void*)f_20063,c,av);}
a=C_alloc((c-4)*C_SIZEOF_PAIR+5);
t4=C_build_rest(&a,c,4,av);
C_word t5;
C_word t6;
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_20071,a[2]=t1,a[3]=t4,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
/* library.scm:3688: ##sys#port-line */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[745]);
C_word *av2=av;
av2[0]=*((C_word*)lf[745]+1);
av2[1]=t5;
av2[2]=t2;
tp(3,av2);}}

/* k20069 in ##sys#read-warning in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in ... */
static void C_ccall f_20071(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,4)))){
C_save_and_reclaim((void *)f_20071,2,av);}
a=C_alloc(8);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_20074,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
t3=(C_truep(C_fast_retrieve(lf[767]))?t1:C_SCHEME_FALSE);
if(C_truep(t3)){
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_20084,a[2]=t2,a[3]=((C_word*)t0)[4],tmp=(C_word)a,a+=4,tmp);
/* library.scm:3690: ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[600]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[600]+1);
av2[1]=t4;
av2[2]=t1;
tp(3,av2);}}
else{
t4=((C_word*)t0)[4];{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=*((C_word*)lf[311]+1);
av2[3]=t4;
av2[4]=((C_word*)t0)[3];
C_apply(5,av2);}}}

/* k20072 in k20069 in ##sys#read-warning in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in ... */
static void C_ccall f_20074(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_20074,2,av);}{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=*((C_word*)lf[311]+1);
av2[3]=t1;
av2[4]=((C_word*)t0)[3];
C_apply(5,av2);}}

/* k20082 in k20069 in ##sys#read-warning in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in ... */
static void C_ccall f_20084(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,5)))){
C_save_and_reclaim((void *)f_20084,2,av);}
/* library.scm:3690: string-append */
t2=*((C_word*)lf[413]+1);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[775];
av2[3]=t1;
av2[4]=lf[776];
av2[5]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(6,av2);}}

/* ##sys#read-error in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in ... */
static void C_ccall f_20086(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c<4) C_bad_min_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-4)*C_SIZEOF_PAIR +5,c,2)))){
C_save_and_reclaim((void*)f_20086,c,av);}
a=C_alloc((c-4)*C_SIZEOF_PAIR+5);
t4=C_build_rest(&a,c,4,av);
C_word t5;
C_word t6;
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_20094,a[2]=t1,a[3]=t4,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
/* library.scm:3700: ##sys#port-line */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[745]);
C_word *av2=av;
av2[0]=*((C_word*)lf[745]+1);
av2[1]=t5;
av2[2]=t2;
tp(3,av2);}}

/* k20092 in ##sys#read-error in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in ... */
static void C_ccall f_20094(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,5)))){
C_save_and_reclaim((void *)f_20094,2,av);}
a=C_alloc(8);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_20097,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
t3=(C_truep(C_fast_retrieve(lf[767]))?t1:C_SCHEME_FALSE);
if(C_truep(t3)){
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_20107,a[2]=t2,a[3]=((C_word*)t0)[4],tmp=(C_word)a,a+=4,tmp);
/* library.scm:3702: ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[600]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[600]+1);
av2[1]=t4;
av2[2]=t1;
tp(3,av2);}}
else{
t4=((C_word*)t0)[4];{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[777];
av2[4]=t4;
av2[5]=((C_word*)t0)[3];
C_apply(6,av2);}}}

/* k20095 in k20092 in ##sys#read-error in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in ... */
static void C_ccall f_20097(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,5)))){
C_save_and_reclaim((void *)f_20097,2,av);}{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[777];
av2[4]=t1;
av2[5]=((C_word*)t0)[3];
C_apply(6,av2);}}

/* k20105 in k20092 in ##sys#read-error in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in ... */
static void C_ccall f_20107(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,5)))){
C_save_and_reclaim((void *)f_20107,2,av);}
/* library.scm:3702: string-append */
t2=*((C_word*)lf[413]+1);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[778];
av2[3]=t1;
av2[4]=lf[779];
av2[5]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(6,av2);}}

/* ##sys#read in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in ... */
static void C_ccall f_20112(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(10,c,2)))){
C_save_and_reclaim((void *)f_20112,4,av);}
a=C_alloc(10);
t4=(*a=C_CLOSURE_TYPE|9,a[1]=(C_word)f_20116,a[2]=t2,a[3]=t3,a[4]=((C_word*)t0)[2],a[5]=t1,a[6]=((C_word*)t0)[3],a[7]=((C_word*)t0)[4],a[8]=((C_word*)t0)[5],a[9]=((C_word*)t0)[6],tmp=(C_word)a,a+=10,tmp);
/* library.scm:3715: case-sensitive */
t5=((C_word*)t0)[7];{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* k20114 in ##sys#read in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in ... */
static void C_ccall f_20116(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(12,c,2)))){
C_save_and_reclaim((void *)f_20116,2,av);}
a=C_alloc(12);
t2=t1;
t3=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
t4=(*a=C_CLOSURE_TYPE|9,a[1]=(C_word)f_20119,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t3,a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],a[7]=((C_word*)t0)[6],a[8]=((C_word*)t0)[7],a[9]=((C_word*)t0)[8],tmp=(C_word)a,a+=10,tmp);
/* library.scm:3716: keyword-style */
t5=((C_word*)t0)[9];{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* k20117 in k20114 in ##sys#read in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in ... */
static void C_ccall f_20119(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(12,c,2)))){
C_save_and_reclaim((void *)f_20119,2,av);}
a=C_alloc(12);
t2=t1;
t3=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
t4=(*a=C_CLOSURE_TYPE|9,a[1]=(C_word)f_20122,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t3,a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],a[7]=((C_word*)t0)[6],a[8]=((C_word*)t0)[7],a[9]=((C_word*)t0)[8],tmp=(C_word)a,a+=10,tmp);
/* library.scm:3717: parentheses-synonyms */
t5=((C_word*)t0)[9];{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* k20120 in k20117 in k20114 in ##sys#read in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in ... */
static void C_ccall f_20122(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,2)))){
C_save_and_reclaim((void *)f_20122,2,av);}
a=C_alloc(10);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|9,a[1]=(C_word)f_20125,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=t2,a[8]=((C_word*)t0)[7],a[9]=((C_word*)t0)[8],tmp=(C_word)a,a+=10,tmp);
/* library.scm:3718: symbol-escape */
t4=((C_word*)t0)[9];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* k20123 in k20120 in k20117 in k20114 in ##sys#read in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in k19647 in k19643 in k19639 in ... */
static void C_ccall f_20125(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,2)))){
C_save_and_reclaim((void *)f_20125,2,av);}
a=C_alloc(10);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|9,a[1]=(C_word)f_20128,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=t2,a[9]=((C_word*)t0)[8],tmp=(C_word)a,a+=10,tmp);
/* library.scm:3719: current-read-table */
t4=((C_word*)t0)[9];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)C_fast_retrieve_proc(t4))(2,av2);}}

/* k20126 in k20123 in k20120 in k20117 in k20114 in ##sys#read in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in k19647 in k19643 in ... */
static void C_ccall f_20128(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word t19;
C_word t20;
C_word t21;
C_word t22;
C_word t23;
C_word t24;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(53,c,5)))){
C_save_and_reclaim((void *)f_20128,2,av);}
a=C_alloc(53);
t2=t1;
t3=lf[780];
t4=C_SCHEME_FALSE;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=C_SCHEME_UNDEFINED;
t7=(*a=C_VECTOR_TYPE|1,a[1]=t6,tmp=(C_word)a,a+=2,tmp);
t8=C_SCHEME_UNDEFINED;
t9=(*a=C_VECTOR_TYPE|1,a[1]=t8,tmp=(C_word)a,a+=2,tmp);
t10=C_SCHEME_UNDEFINED;
t11=(*a=C_VECTOR_TYPE|1,a[1]=t10,tmp=(C_word)a,a+=2,tmp);
t12=C_SCHEME_UNDEFINED;
t13=(*a=C_VECTOR_TYPE|1,a[1]=t12,tmp=(C_word)a,a+=2,tmp);
t14=C_SCHEME_UNDEFINED;
t15=(*a=C_VECTOR_TYPE|1,a[1]=t14,tmp=(C_word)a,a+=2,tmp);
t16=C_SCHEME_UNDEFINED;
t17=(*a=C_VECTOR_TYPE|1,a[1]=t16,tmp=(C_word)a,a+=2,tmp);
t18=C_set_block_item(t7,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_20130,a[2]=((C_word*)t0)[2],a[3]=((C_word)li631),tmp=(C_word)a,a+=4,tmp));
t19=C_set_block_item(t9,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_20136,a[2]=((C_word*)t0)[3],a[3]=((C_word)li632),tmp=(C_word)a,a+=4,tmp));
t20=C_set_block_item(t11,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_20145,a[2]=((C_word*)t0)[2],a[3]=((C_word)li634),tmp=(C_word)a,a+=4,tmp));
t21=C_set_block_item(t13,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_20182,a[2]=((C_word*)t0)[2],a[3]=((C_word)li635),tmp=(C_word)a,a+=4,tmp));
t22=C_set_block_item(t15,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_20191,a[2]=t5,a[3]=t13,a[4]=((C_word)li636),tmp=(C_word)a,a+=5,tmp));
t23=C_set_block_item(t17,0,(*a=C_CLOSURE_TYPE|17,a[1]=(C_word)f_20206,a[2]=((C_word*)t0)[2],a[3]=t11,a[4]=t7,a[5]=t9,a[6]=t17,a[7]=((C_word*)t0)[4],a[8]=((C_word*)t0)[5],a[9]=t15,a[10]=t3,a[11]=t5,a[12]=t13,a[13]=((C_word*)t0)[6],a[14]=t2,a[15]=((C_word*)t0)[7],a[16]=((C_word*)t0)[8],a[17]=((C_word)li685),tmp=(C_word)a,a+=18,tmp));
/* library.scm:4278: readrec */
t24=((C_word*)t17)[1];
f_20206(t24,((C_word*)t0)[9]);}

/* f_20130 in k20126 in k20123 in k20120 in k20117 in k20114 in ##sys#read in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in k19647 in ... */
static void C_ccall f_20130(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_20130,3,av);}
/* library.scm:3725: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[771]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[771]+1);
av2[1]=t1;
av2[2]=((C_word*)t0)[2];
av2[3]=lf[781];
av2[4]=t2;
tp(5,av2);}}

/* info in k20126 in k20123 in k20120 in k20117 in k20114 in ##sys#read in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in k19647 in ... */
static void C_fcall f_20136(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4){
C_word tmp;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,0,4)))){
C_save_and_reclaim_args((void *)trf_20136,5,t0,t1,t2,t3,t4);}
if(C_truep(((C_word*)t0)[2])){
/* library.scm:3729: infohandler */
t5=((C_word*)t0)[2];{
C_word av2[5];
av2[0]=t5;
av2[1]=t1;
av2[2]=t2;
av2[3]=t3;
av2[4]=t4;
((C_proc)C_fast_retrieve_proc(t5))(5,av2);}}
else{
t5=t3;
t6=t1;{
C_word av2[2];
av2[0]=t6;
av2[1]=t5;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}}

/* skip-to-eol in k20126 in k20123 in k20120 in k20117 in k20114 in ##sys#read in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in k19647 in ... */
static void C_fcall f_20145(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,0,2)))){
C_save_and_reclaim_args((void *)trf_20145,2,t0,t1);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_20153,a[2]=((C_word*)t0)[2],a[3]=t1,tmp=(C_word)a,a+=4,tmp);
/* library.scm:3733: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[762]);
C_word av2[3];
av2[0]=*((C_word*)lf[762]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[2];
tp(3,av2);}}

/* k20151 in skip-to-eol in k20126 in k20123 in k20120 in k20117 in k20114 in ##sys#read in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in ... */
static void C_ccall f_20153(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,3)))){
C_save_and_reclaim((void *)f_20153,2,av);}
a=C_alloc(7);
t2=C_SCHEME_UNDEFINED;
t3=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
t4=C_set_block_item(t3,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_20155,a[2]=t3,a[3]=((C_word*)t0)[2],a[4]=((C_word)li633),tmp=(C_word)a,a+=5,tmp));
t5=((C_word*)t3)[1];
f_20155(t5,((C_word*)t0)[3],t1);}

/* skip in k20151 in skip-to-eol in k20126 in k20123 in k20120 in k20117 in k20114 in ##sys#read in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in ... */
static void C_fcall f_20155(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,2)))){
C_save_and_reclaim_args((void *)trf_20155,3,t0,t1,t2);}
a=C_alloc(5);
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_20162,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
t4=C_eofp(t2);
if(C_truep(C_i_not(t4))){
t5=C_eqp(C_make_character(10),t2);
t6=t3;
f_20162(t6,C_i_not(t5));}
else{
t5=t3;
f_20162(t5,C_SCHEME_FALSE);}}

/* k20160 in skip in k20151 in skip-to-eol in k20126 in k20123 in k20120 in k20117 in k20114 in ##sys#read in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in ... */
static void C_fcall f_20162(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,0,2)))){
C_save_and_reclaim_args((void *)trf_20162,2,t0,t1);}
a=C_alloc(4);
if(C_truep(t1)){
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_20169,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:3735: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[762]);
C_word av2[3];
av2[0]=*((C_word*)lf[762]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[4];
tp(3,av2);}}
else{
t2=C_SCHEME_UNDEFINED;
t3=((C_word*)t0)[3];{
C_word av2[2];
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k20167 in k20160 in skip in k20151 in skip-to-eol in k20126 in k20123 in k20120 in k20117 in k20114 in ##sys#read in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in ... */
static void C_ccall f_20169(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_20169,2,av);}
/* library.scm:3735: skip */
t2=((C_word*)((C_word*)t0)[2])[1];
f_20155(t2,((C_word*)t0)[3],t1);}

/* reserved-character in k20126 in k20123 in k20120 in k20117 in k20114 in ##sys#read in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in k19647 in ... */
static void C_fcall f_20182(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,2)))){
C_save_and_reclaim_args((void *)trf_20182,3,t0,t1,t2);}
a=C_alloc(5);
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_20186,a[2]=t1,a[3]=((C_word*)t0)[2],a[4]=t2,tmp=(C_word)a,a+=5,tmp);
/* library.scm:3738: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[762]);
C_word av2[3];
av2[0]=*((C_word*)lf[762]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[2];
tp(3,av2);}}

/* k20184 in reserved-character in k20126 in k20123 in k20120 in k20117 in k20114 in ##sys#read in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in ... */
static void C_ccall f_20186(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_20186,2,av);}
/* library.scm:3739: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[771]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[771]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=lf[782];
av2[4]=((C_word*)t0)[4];
tp(5,av2);}}

/* read-unreserved-char-0 in k20126 in k20123 in k20120 in k20117 in k20114 in ##sys#read in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in k19647 in ... */
static void C_fcall f_20191(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,2)))){
C_save_and_reclaim_args((void *)trf_20191,3,t0,t1,t2);}
a=C_alloc(5);
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_20195,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
/* library.scm:3742: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[762]);
C_word av2[3];
av2[0]=*((C_word*)lf[762]+1);
av2[1]=t3;
av2[2]=t2;
tp(3,av2);}}

/* k20193 in read-unreserved-char-0 in k20126 in k20123 in k20120 in k20117 in k20114 in ##sys#read in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in ... */
static void C_ccall f_20195(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_20195,2,av);}
if(C_truep(C_i_memq(t1,((C_word*)((C_word*)t0)[2])[1]))){
/* library.scm:3744: reserved-character */
t2=((C_word*)((C_word*)t0)[3])[1];
f_20182(t2,((C_word*)t0)[4],t1);}
else{
t2=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t2;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}}

/* readrec in k20126 in k20123 in k20120 in k20117 in k20114 in ##sys#read in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in k19647 in ... */
static void C_fcall f_20206(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word t19;
C_word t20;
C_word t21;
C_word t22;
C_word t23;
C_word t24;
C_word t25;
C_word t26;
C_word t27;
C_word t28;
C_word t29;
C_word t30;
C_word t31;
C_word t32;
C_word t33;
C_word t34;
C_word t35;
C_word t36;
C_word t37;
C_word t38;
C_word t39;
C_word t40;
C_word t41;
C_word t42;
C_word t43;
C_word t44;
C_word t45;
C_word t46;
C_word t47;
C_word t48;
C_word t49;
C_word t50;
C_word t51;
C_word t52;
C_word t53;
C_word t54;
C_word t55;
C_word t56;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(158,0,5)))){
C_save_and_reclaim_args((void *)trf_20206,2,t0,t1);}
a=C_alloc(158);
t2=C_SCHEME_UNDEFINED;
t3=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
t4=C_SCHEME_UNDEFINED;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=C_SCHEME_UNDEFINED;
t7=(*a=C_VECTOR_TYPE|1,a[1]=t6,tmp=(C_word)a,a+=2,tmp);
t8=C_SCHEME_UNDEFINED;
t9=(*a=C_VECTOR_TYPE|1,a[1]=t8,tmp=(C_word)a,a+=2,tmp);
t10=C_SCHEME_UNDEFINED;
t11=(*a=C_VECTOR_TYPE|1,a[1]=t10,tmp=(C_word)a,a+=2,tmp);
t12=C_SCHEME_UNDEFINED;
t13=(*a=C_VECTOR_TYPE|1,a[1]=t12,tmp=(C_word)a,a+=2,tmp);
t14=C_SCHEME_UNDEFINED;
t15=(*a=C_VECTOR_TYPE|1,a[1]=t14,tmp=(C_word)a,a+=2,tmp);
t16=C_SCHEME_UNDEFINED;
t17=(*a=C_VECTOR_TYPE|1,a[1]=t16,tmp=(C_word)a,a+=2,tmp);
t18=C_SCHEME_UNDEFINED;
t19=(*a=C_VECTOR_TYPE|1,a[1]=t18,tmp=(C_word)a,a+=2,tmp);
t20=C_SCHEME_UNDEFINED;
t21=(*a=C_VECTOR_TYPE|1,a[1]=t20,tmp=(C_word)a,a+=2,tmp);
t22=C_SCHEME_UNDEFINED;
t23=(*a=C_VECTOR_TYPE|1,a[1]=t22,tmp=(C_word)a,a+=2,tmp);
t24=C_SCHEME_UNDEFINED;
t25=(*a=C_VECTOR_TYPE|1,a[1]=t24,tmp=(C_word)a,a+=2,tmp);
t26=C_SCHEME_UNDEFINED;
t27=(*a=C_VECTOR_TYPE|1,a[1]=t26,tmp=(C_word)a,a+=2,tmp);
t28=C_SCHEME_UNDEFINED;
t29=(*a=C_VECTOR_TYPE|1,a[1]=t28,tmp=(C_word)a,a+=2,tmp);
t30=C_SCHEME_UNDEFINED;
t31=(*a=C_VECTOR_TYPE|1,a[1]=t30,tmp=(C_word)a,a+=2,tmp);
t32=C_SCHEME_UNDEFINED;
t33=(*a=C_VECTOR_TYPE|1,a[1]=t32,tmp=(C_word)a,a+=2,tmp);
t34=C_SCHEME_UNDEFINED;
t35=(*a=C_VECTOR_TYPE|1,a[1]=t34,tmp=(C_word)a,a+=2,tmp);
t36=C_set_block_item(t3,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_20209,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word)li638),tmp=(C_word)a,a+=5,tmp));
t37=C_set_block_item(t5,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_20257,a[2]=((C_word*)t0)[2],a[3]=((C_word)li640),tmp=(C_word)a,a+=4,tmp));
t38=C_set_block_item(t7,0,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_20317,a[2]=((C_word)li642),tmp=(C_word)a,a+=3,tmp));
t39=C_set_block_item(t9,0,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_20354,a[2]=((C_word*)t0)[2],a[3]=t5,a[4]=t7,a[5]=((C_word)li645),tmp=(C_word)a,a+=6,tmp));
t40=C_set_block_item(t11,0,(*a=C_CLOSURE_TYPE|10,a[1]=(C_word)f_20920,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[5],a[4]=((C_word*)t0)[2],a[5]=t3,a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=t35,a[9]=t27,a[10]=((C_word)li651),tmp=(C_word)a,a+=11,tmp));
t41=C_set_block_item(t13,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_21182,a[2]=((C_word*)t0)[2],a[3]=t11,a[4]=((C_word)li652),tmp=(C_word)a,a+=5,tmp));
t42=C_set_block_item(t15,0,(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_21200,a[2]=((C_word*)t0)[5],a[3]=((C_word*)t0)[2],a[4]=t35,a[5]=t27,a[6]=((C_word)li654),tmp=(C_word)a,a+=7,tmp));
t43=C_set_block_item(t17,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_21270,a[2]=((C_word*)t0)[2],a[3]=t15,a[4]=((C_word)li655),tmp=(C_word)a,a+=5,tmp));
t44=C_set_block_item(t19,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_21321,a[2]=((C_word*)t0)[2],a[3]=t15,a[4]=((C_word)li656),tmp=(C_word)a,a+=5,tmp));
t45=C_set_block_item(t21,0,(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_21388,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[8],a[4]=((C_word*)t0)[9],a[5]=((C_word*)t0)[10],a[6]=((C_word)li658),tmp=(C_word)a,a+=7,tmp));
t46=C_set_block_item(t23,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_21452,a[2]=((C_word*)t0)[2],a[3]=((C_word)li660),tmp=(C_word)a,a+=4,tmp));
t47=C_set_block_item(t25,0,(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_21498,a[2]=((C_word*)t0)[5],a[3]=((C_word*)t0)[2],a[4]=t35,a[5]=t27,a[6]=((C_word)li662),tmp=(C_word)a,a+=7,tmp));
t48=C_set_block_item(t27,0,(*a=C_CLOSURE_TYPE|9,a[1]=(C_word)f_21523,a[2]=((C_word*)t0)[7],a[3]=((C_word*)t0)[11],a[4]=((C_word*)t0)[12],a[5]=t9,a[6]=((C_word*)t0)[2],a[7]=((C_word*)t0)[8],a[8]=((C_word*)t0)[10],a[9]=((C_word)li664),tmp=(C_word)a,a+=10,tmp));
t49=C_set_block_item(t29,0,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_21737,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[10],a[4]=t21,a[5]=((C_word)li665),tmp=(C_word)a,a+=6,tmp));
t50=C_set_block_item(t31,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_21946,a[2]=((C_word*)t0)[2],a[3]=((C_word)li667),tmp=(C_word)a,a+=4,tmp));
t51=C_set_block_item(t33,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_22033,a[2]=t21,a[3]=((C_word)li668),tmp=(C_word)a,a+=4,tmp));
t52=C_set_block_item(t35,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_22052,a[2]=((C_word*)t0)[13],a[3]=((C_word)li669),tmp=(C_word)a,a+=4,tmp));
t53=(*a=C_CLOSURE_TYPE|26,a[1]=(C_word)f_22064,a[2]=((C_word*)t0)[11],a[3]=((C_word*)t0)[14],a[4]=((C_word*)t0)[2],a[5]=((C_word*)t0)[6],a[6]=t1,a[7]=t23,a[8]=t17,a[9]=t19,a[10]=((C_word*)t0)[8],a[11]=t13,a[12]=t29,a[13]=t31,a[14]=t33,a[15]=((C_word*)t0)[7],a[16]=t35,a[17]=t27,a[18]=((C_word*)t0)[3],a[19]=t21,a[20]=t11,a[21]=((C_word*)t0)[4],a[22]=t9,a[23]=t15,a[24]=((C_word*)t0)[12],a[25]=t25,a[26]=t3,tmp=(C_word)a,a+=27,tmp);
t54=C_i_not(((C_word*)t0)[15]);
t55=(C_truep(t54)?lf[853]:C_SCHEME_END_OF_LIST);
if(C_truep(C_i_not(((C_word*)t0)[16]))){
/* library.scm:4123: scheme#append */
t56=*((C_word*)lf[373]+1);{
C_word av2[4];
av2[0]=t56;
av2[1]=t53;
av2[2]=t55;
av2[3]=lf[854];
((C_proc)(void*)(*((C_word*)t56+1)))(4,av2);}}
else{
/* library.scm:4123: scheme#append */
t56=*((C_word*)lf[373]+1);{
C_word av2[4];
av2[0]=t56;
av2[1]=t53;
av2[2]=t55;
av2[3]=C_SCHEME_END_OF_LIST;
((C_proc)(void*)(*((C_word*)t56+1)))(4,av2);}}}

/* r-spaces in readrec in k20126 in k20123 in k20120 in k20117 in k20114 in ##sys#read in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in ... */
static void C_fcall f_20209(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,2)))){
C_save_and_reclaim_args((void *)trf_20209,2,t0,t1);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_20217,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
/* library.scm:3750: ##sys#peek-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[764]);
C_word av2[3];
av2[0]=*((C_word*)lf[764]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[2];
tp(3,av2);}}

/* k20215 in r-spaces in readrec in k20126 in k20123 in k20120 in k20117 in k20114 in ##sys#read in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in ... */
static void C_ccall f_20217(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,3)))){
C_save_and_reclaim((void *)f_20217,2,av);}
a=C_alloc(8);
t2=C_SCHEME_UNDEFINED;
t3=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
t4=C_set_block_item(t3,0,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_20219,a[2]=t3,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word)li637),tmp=(C_word)a,a+=6,tmp));
t5=((C_word*)t3)[1];
f_20219(t5,((C_word*)t0)[4],t1);}

/* loop in k20215 in r-spaces in readrec in k20126 in k20123 in k20120 in k20117 in k20114 in ##sys#read in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in ... */
static void C_fcall f_20219(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,2)))){
C_save_and_reclaim_args((void *)trf_20219,3,t0,t1,t2);}
a=C_alloc(5);
t3=C_eofp(t2);
if(C_truep(t3)){
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t4=C_eqp(C_make_character(59),t2);
if(C_truep(t4)){
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_20232,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
/* library.scm:3753: skip-to-eol */
t6=((C_word*)((C_word*)t0)[4])[1];
f_20145(t6,t5);}
else{
if(C_truep(C_u_i_char_whitespacep(t2))){
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_20248,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
/* library.scm:3756: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[762]);
C_word av2[3];
av2[0]=*((C_word*)lf[762]+1);
av2[1]=t5;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}
else{
t5=C_SCHEME_UNDEFINED;
t6=t1;{
C_word av2[2];
av2[0]=t6;
av2[1]=t5;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}}}}

/* k20230 in loop in k20215 in r-spaces in readrec in k20126 in k20123 in k20120 in k20117 in k20114 in ##sys#read in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in ... */
static void C_ccall f_20232(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_20232,2,av);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_20239,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:3754: ##sys#peek-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[764]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[764]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[4];
tp(3,av2);}}

/* k20237 in k20230 in loop in k20215 in r-spaces in readrec in k20126 in k20123 in k20120 in k20117 in k20114 in ##sys#read in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in ... */
static void C_ccall f_20239(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_20239,2,av);}
/* library.scm:3754: loop */
t2=((C_word*)((C_word*)t0)[2])[1];
f_20219(t2,((C_word*)t0)[3],t1);}

/* k20246 in loop in k20215 in r-spaces in readrec in k20126 in k20123 in k20120 in k20117 in k20114 in ##sys#read in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in ... */
static void C_ccall f_20248(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_20248,2,av);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_20255,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:3757: ##sys#peek-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[764]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[764]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[4];
tp(3,av2);}}

/* k20253 in k20246 in loop in k20215 in r-spaces in readrec in k20126 in k20123 in k20120 in k20117 in k20114 in ##sys#read in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in ... */
static void C_ccall f_20255(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_20255,2,av);}
/* library.scm:3757: loop */
t2=((C_word*)((C_word*)t0)[2])[1];
f_20219(t2,((C_word*)t0)[3],t1);}

/* r-usequence in readrec in k20126 in k20123 in k20120 in k20117 in k20114 in ##sys#read in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in ... */
static void C_fcall f_20257(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4){
C_word tmp;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,0,4)))){
C_save_and_reclaim_args((void *)trf_20257,5,t0,t1,t2,t3,t4);}
a=C_alloc(9);
t5=C_SCHEME_UNDEFINED;
t6=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t7=C_set_block_item(t6,0,(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_20263,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=t4,a[5]=t6,a[6]=((C_word)li639),tmp=(C_word)a,a+=7,tmp));
t8=((C_word*)t6)[1];
f_20263(t8,t1,C_SCHEME_END_OF_LIST,t3);}

/* loop in r-usequence in readrec in k20126 in k20123 in k20120 in k20117 in k20114 in ##sys#read in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in ... */
static void C_fcall f_20263(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,0,2)))){
C_save_and_reclaim_args((void *)trf_20263,4,t0,t1,t2,t3);}
a=C_alloc(7);
t4=C_eqp(t3,C_fix(0));
if(C_truep(t4)){
t5=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_20273,a[2]=t1,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
/* library.scm:3762: ##sys#reverse-list->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[387]+1));
C_word av2[3];
av2[0]=*((C_word*)lf[387]+1);
av2[1]=t5;
av2[2]=t2;
tp(3,av2);}}
else{
t5=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_20289,a[2]=t1,a[3]=((C_word*)t0)[2],a[4]=t2,a[5]=t3,a[6]=((C_word*)t0)[5],tmp=(C_word)a,a+=7,tmp);
/* library.scm:3769: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[762]);
C_word av2[3];
av2[0]=*((C_word*)lf[762]+1);
av2[1]=t5;
av2[2]=((C_word*)t0)[2];
tp(3,av2);}}}

/* k20271 in loop in r-usequence in readrec in k20126 in k20123 in k20120 in k20117 in k20114 in ##sys#read in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in ... */
static void C_ccall f_20273(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,3)))){
C_save_and_reclaim((void *)f_20273,2,av);}
a=C_alloc(6);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_20276,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=t2,tmp=(C_word)a,a+=6,tmp);
/* library.scm:3763: scheme#string->number */
t4=*((C_word*)lf[617]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=t2;
av2[3]=((C_word*)t0)[5];
((C_proc)(void*)(*((C_word*)t4+1)))(4,av2);}}

/* k20274 in k20271 in loop in r-usequence in readrec in k20126 in k20123 in k20120 in k20117 in k20114 in ##sys#read in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in ... */
static void C_ccall f_20276(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,5)))){
C_save_and_reclaim((void *)f_20276,2,av);}
a=C_alloc(4);
if(C_truep(t1)){
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}
else{
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_20286,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:3767: string-append */
t3=*((C_word*)lf[413]+1);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[783];
av2[3]=((C_word*)t0)[4];
av2[4]=((C_word*)t0)[5];
av2[5]=lf[784];
((C_proc)(void*)(*((C_word*)t3+1)))(6,av2);}}}

/* k20284 in k20274 in k20271 in loop in r-usequence in readrec in k20126 in k20123 in k20120 in k20117 in k20114 in ##sys#read in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in ... */
static void C_ccall f_20286(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_20286,2,av);}
/* library.scm:3765: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[771]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[771]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t1;
tp(4,av2);}}

/* k20287 in loop in r-usequence in readrec in k20126 in k20123 in k20120 in k20117 in k20114 in ##sys#read in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in ... */
static void C_ccall f_20289(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_20289,2,av);}
a=C_alloc(3);
t2=C_eofp(t1);
t3=(C_truep(t2)?t2:C_i_char_equalp(C_make_character(34),t1));
if(C_truep(t3)){
/* library.scm:3771: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[771]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[771]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=lf[785];
tp(4,av2);}}
else{
t4=C_a_i_cons(&a,2,t1,((C_word*)t0)[4]);
t5=C_fixnum_difference(((C_word*)t0)[5],C_fix(1));
/* library.scm:3772: loop */
t6=((C_word*)((C_word*)t0)[6])[1];
f_20263(t6,((C_word*)t0)[2],t4,t5);}}

/* r-cons-codepoint in readrec in k20126 in k20123 in k20120 in k20117 in k20114 in ##sys#read in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in ... */
static void C_fcall f_20317(C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,0,2)))){
C_save_and_reclaim_args((void *)trf_20317,3,t1,t2,t3);}
a=C_alloc(4);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_20321,a[2]=t1,a[3]=t3,tmp=(C_word)a,a+=4,tmp);
t5=C_make_character(C_unfix(t2));
/* library.scm:3775: ##sys#char->utf8-string */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[786]);
C_word av2[3];
av2[0]=*((C_word*)lf[786]+1);
av2[1]=t4;
av2[2]=t5;
tp(3,av2);}}

/* k20319 in r-cons-codepoint in readrec in k20126 in k20123 in k20120 in k20117 in k20114 in ##sys#read in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in ... */
static void C_ccall f_20321(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,4)))){
C_save_and_reclaim((void *)f_20321,2,av);}
a=C_alloc(8);
t2=t1;
t3=C_block_size(t2);
t4=t3;
t5=C_SCHEME_UNDEFINED;
t6=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t7=C_set_block_item(t6,0,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_20329,a[2]=t4,a[3]=t2,a[4]=t6,a[5]=((C_word)li641),tmp=(C_word)a,a+=6,tmp));
t8=((C_word*)t6)[1];
f_20329(t8,((C_word*)t0)[2],C_fix(0),((C_word*)t0)[3]);}

/* lp in k20319 in r-cons-codepoint in readrec in k20126 in k20123 in k20120 in k20117 in k20114 in ##sys#read in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in ... */
static void C_fcall f_20329(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(3,0,3)))){
C_save_and_reclaim_args((void *)trf_20329,4,t0,t1,t2,t3);}
a=C_alloc(3);
if(C_truep(C_fixnum_greater_or_equal_p(t2,((C_word*)t0)[2]))){
t4=t3;
t5=t1;{
C_word av2[2];
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t4=C_fixnum_plus(t2,C_fix(1));
t5=C_subchar(((C_word*)t0)[3],t2);
t6=C_a_i_cons(&a,2,t5,t3);
/* library.scm:3780: lp */
t8=t1;
t9=t4;
t10=t6;
t1=t8;
t2=t9;
t3=t10;
goto loop;}}

/* r-string in readrec in k20126 in k20123 in k20120 in k20117 in k20114 in ##sys#read in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in ... */
static void C_fcall f_20354(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,0,2)))){
C_save_and_reclaim_args((void *)trf_20354,3,t0,t1,t2);}
a=C_alloc(7);
t3=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_20362,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=t2,a[6]=t1,tmp=(C_word)a,a+=7,tmp);
/* library.scm:3783: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[762]);
C_word av2[3];
av2[0]=*((C_word*)lf[762]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[2];
tp(3,av2);}}

/* k20360 in r-string in readrec in k20126 in k20123 in k20120 in k20117 in k20114 in ##sys#read in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in ... */
static void C_ccall f_20362(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,4)))){
C_save_and_reclaim((void *)f_20362,2,av);}
a=C_alloc(10);
t2=C_SCHEME_UNDEFINED;
t3=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
t4=C_set_block_item(t3,0,(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_20364,a[2]=((C_word*)t0)[2],a[3]=t3,a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],a[7]=((C_word)li644),tmp=(C_word)a,a+=8,tmp));
t5=((C_word*)t3)[1];
f_20364(t5,((C_word*)t0)[6],t1,C_SCHEME_END_OF_LIST);}

/* loop in k20360 in r-string in readrec in k20126 in k20123 in k20120 in k20117 in k20114 in ##sys#read in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in ... */
static void C_fcall f_20364(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,0,3)))){
C_save_and_reclaim_args((void *)trf_20364,4,t0,t1,t2,t3);}
a=C_alloc(11);
t4=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
if(C_truep(C_eofp(((C_word*)t4)[1]))){
/* library.scm:3785: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[771]);
C_word av2[4];
av2[0]=*((C_word*)lf[771]+1);
av2[1]=t1;
av2[2]=((C_word*)t0)[2];
av2[3]=lf[787];
tp(4,av2);}}
else{
t5=C_eqp(C_make_character(92),((C_word*)t4)[1]);
if(C_truep(t5)){
t6=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_20381,a[2]=t4,a[3]=t3,a[4]=((C_word*)t0)[3],a[5]=t1,a[6]=((C_word*)t0)[2],a[7]=((C_word*)t0)[4],a[8]=((C_word*)t0)[5],tmp=(C_word)a,a+=9,tmp);
/* library.scm:3787: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[762]);
C_word av2[3];
av2[0]=*((C_word*)lf[762]+1);
av2[1]=t6;
av2[2]=((C_word*)t0)[2];
tp(3,av2);}}
else{
t6=C_eqp(((C_word*)t0)[6],((C_word*)t4)[1]);
if(C_truep(t6)){
/* library.scm:3858: ##sys#reverse-list->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[387]+1));
C_word av2[3];
av2[0]=*((C_word*)lf[387]+1);
av2[1]=t1;
av2[2]=t3;
tp(3,av2);}}
else{
t7=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_20914,a[2]=t4,a[3]=t3,a[4]=((C_word*)t0)[3],a[5]=t1,tmp=(C_word)a,a+=6,tmp);
/* library.scm:3859: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[762]);
C_word av2[3];
av2[0]=*((C_word*)lf[762]+1);
av2[1]=t7;
av2[2]=((C_word*)t0)[2];
tp(3,av2);}}}}}

/* k20379 in loop in k20360 in r-string in readrec in k20126 in k20123 in k20120 in k20117 in k20114 in ##sys#read in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in ... */
static void C_ccall f_20381(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,4)))){
C_save_and_reclaim((void *)f_20381,2,av);}
a=C_alloc(9);
t2=C_mutate(((C_word *)((C_word*)t0)[2])+1,t1);
t3=((C_word*)((C_word*)t0)[2])[1];
switch(t3){
case C_make_character(116):
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_20394,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],tmp=(C_word)a,a+=5,tmp);
/* library.scm:3789: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[762]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[762]+1);
av2[1]=t4;
av2[2]=((C_word*)t0)[6];
tp(3,av2);}
case C_make_character(114):
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_20411,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],tmp=(C_word)a,a+=5,tmp);
/* library.scm:3790: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[762]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[762]+1);
av2[1]=t4;
av2[2]=((C_word*)t0)[6];
tp(3,av2);}
case C_make_character(98):
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_20428,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],tmp=(C_word)a,a+=5,tmp);
/* library.scm:3791: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[762]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[762]+1);
av2[1]=t4;
av2[2]=((C_word*)t0)[6];
tp(3,av2);}
case C_make_character(110):
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_20445,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],tmp=(C_word)a,a+=5,tmp);
/* library.scm:3792: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[762]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[762]+1);
av2[1]=t4;
av2[2]=((C_word*)t0)[6];
tp(3,av2);}
case C_make_character(97):
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_20462,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],tmp=(C_word)a,a+=5,tmp);
/* library.scm:3793: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[762]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[762]+1);
av2[1]=t4;
av2[2]=((C_word*)t0)[6];
tp(3,av2);}
case C_make_character(118):
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_20483,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],tmp=(C_word)a,a+=5,tmp);
/* library.scm:3794: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[762]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[762]+1);
av2[1]=t4;
av2[2]=((C_word*)t0)[6];
tp(3,av2);}
case C_make_character(102):
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_20504,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],tmp=(C_word)a,a+=5,tmp);
/* library.scm:3795: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[762]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[762]+1);
av2[1]=t4;
av2[2]=((C_word*)t0)[6];
tp(3,av2);}
case C_make_character(120):
t4=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_20536,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],a[5]=((C_word*)t0)[6],tmp=(C_word)a,a+=6,tmp);
/* library.scm:3797: r-usequence */
t5=((C_word*)((C_word*)t0)[7])[1];
f_20257(t5,t4,lf[788],C_fix(2),C_fix(16));
case C_make_character(117):
t4=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_20545,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[5],a[4]=((C_word*)t0)[8],a[5]=((C_word*)t0)[3],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],tmp=(C_word)a,a+=8,tmp);
/* library.scm:3800: r-usequence */
t5=((C_word*)((C_word*)t0)[7])[1];
f_20257(t5,t4,lf[794],C_fix(4),C_fix(16));
case C_make_character(85):
t4=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_20619,a[2]=((C_word*)t0)[5],a[3]=((C_word*)t0)[6],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[8],a[6]=((C_word*)t0)[3],tmp=(C_word)a,a+=7,tmp);
/* library.scm:3813: r-usequence */
t5=((C_word*)((C_word*)t0)[7])[1];
f_20257(t5,t4,lf[796],C_fix(8),C_fix(16));
default:
t4=C_eqp(t3,C_make_character(92));
t5=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_20648,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=t3,a[8]=((C_word*)t0)[7],tmp=(C_word)a,a+=9,tmp);
if(C_truep(t4)){
t6=t5;
f_20648(t6,t4);}
else{
t6=C_eqp(t3,C_make_character(39));
if(C_truep(t6)){
t7=t5;
f_20648(t7,t6);}
else{
t7=C_eqp(t3,C_make_character(34));
t8=t5;
f_20648(t8,(C_truep(t7)?t7:C_eqp(t3,C_make_character(124))));}}}}

/* k20392 in k20379 in loop in k20360 in r-string in readrec in k20126 in k20123 in k20120 in k20117 in k20114 in ##sys#read in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in ... */
static void C_ccall f_20394(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_20394,2,av);}
a=C_alloc(3);
t2=C_a_i_cons(&a,2,C_make_character(9),((C_word*)t0)[2]);
/* library.scm:3789: loop */
t3=((C_word*)((C_word*)t0)[3])[1];
f_20364(t3,((C_word*)t0)[4],t1,t2);}

/* k20409 in k20379 in loop in k20360 in r-string in readrec in k20126 in k20123 in k20120 in k20117 in k20114 in ##sys#read in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in ... */
static void C_ccall f_20411(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_20411,2,av);}
a=C_alloc(3);
t2=C_a_i_cons(&a,2,C_make_character(13),((C_word*)t0)[2]);
/* library.scm:3790: loop */
t3=((C_word*)((C_word*)t0)[3])[1];
f_20364(t3,((C_word*)t0)[4],t1,t2);}

/* k20426 in k20379 in loop in k20360 in r-string in readrec in k20126 in k20123 in k20120 in k20117 in k20114 in ##sys#read in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in ... */
static void C_ccall f_20428(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_20428,2,av);}
a=C_alloc(3);
t2=C_a_i_cons(&a,2,C_make_character(8),((C_word*)t0)[2]);
/* library.scm:3791: loop */
t3=((C_word*)((C_word*)t0)[3])[1];
f_20364(t3,((C_word*)t0)[4],t1,t2);}

/* k20443 in k20379 in loop in k20360 in r-string in readrec in k20126 in k20123 in k20120 in k20117 in k20114 in ##sys#read in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in ... */
static void C_ccall f_20445(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_20445,2,av);}
a=C_alloc(3);
t2=C_a_i_cons(&a,2,C_make_character(10),((C_word*)t0)[2]);
/* library.scm:3792: loop */
t3=((C_word*)((C_word*)t0)[3])[1];
f_20364(t3,((C_word*)t0)[4],t1,t2);}

/* k20460 in k20379 in loop in k20360 in r-string in readrec in k20126 in k20123 in k20120 in k20117 in k20114 in ##sys#read in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in ... */
static void C_ccall f_20462(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_20462,2,av);}
a=C_alloc(3);
t2=C_a_i_cons(&a,2,C_make_character(7),((C_word*)t0)[2]);
/* library.scm:3793: loop */
t3=((C_word*)((C_word*)t0)[3])[1];
f_20364(t3,((C_word*)t0)[4],t1,t2);}

/* k20481 in k20379 in loop in k20360 in r-string in readrec in k20126 in k20123 in k20120 in k20117 in k20114 in ##sys#read in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in ... */
static void C_ccall f_20483(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_20483,2,av);}
a=C_alloc(3);
t2=C_a_i_cons(&a,2,C_make_character(11),((C_word*)t0)[2]);
/* library.scm:3794: loop */
t3=((C_word*)((C_word*)t0)[3])[1];
f_20364(t3,((C_word*)t0)[4],t1,t2);}

/* k20502 in k20379 in loop in k20360 in r-string in readrec in k20126 in k20123 in k20120 in k20117 in k20114 in ##sys#read in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in ... */
static void C_ccall f_20504(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_20504,2,av);}
a=C_alloc(3);
t2=C_a_i_cons(&a,2,C_make_character(12),((C_word*)t0)[2]);
/* library.scm:3795: loop */
t3=((C_word*)((C_word*)t0)[3])[1];
f_20364(t3,((C_word*)t0)[4],t1,t2);}

/* k20526 in k20534 in k20379 in loop in k20360 in r-string in readrec in k20126 in k20123 in k20120 in k20117 in k20114 in ##sys#read in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in ... */
static void C_ccall f_20528(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_20528,2,av);}
a=C_alloc(3);
t2=C_a_i_cons(&a,2,((C_word*)t0)[2],((C_word*)t0)[3]);
/* library.scm:3798: loop */
t3=((C_word*)((C_word*)t0)[4])[1];
f_20364(t3,((C_word*)t0)[5],t1,t2);}

/* k20534 in k20379 in loop in k20360 in r-string in readrec in k20126 in k20123 in k20120 in k20117 in k20114 in ##sys#read in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in ... */
static void C_ccall f_20536(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_20536,2,av);}
a=C_alloc(6);
t2=C_make_character(C_unfix(t1));
t3=t2;
t4=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_20528,a[2]=t3,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
/* library.scm:3798: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[762]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[762]+1);
av2[1]=t4;
av2[2]=((C_word*)t0)[5];
tp(3,av2);}}

/* k20543 in k20379 in loop in k20360 in r-string in readrec in k20126 in k20123 in k20120 in k20117 in k20114 in ##sys#read in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in ... */
static void C_ccall f_20545(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,2)))){
C_save_and_reclaim((void *)f_20545,2,av);}
a=C_alloc(9);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_20551,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=t2,a[8]=((C_word*)t0)[7],tmp=(C_word)a,a+=9,tmp);
/* library.scm:3801: ##sys#unicode-surrogate? */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[793]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[793]+1);
av2[1]=t3;
av2[2]=t2;
tp(3,av2);}}

/* k20549 in k20543 in k20379 in loop in k20360 in r-string in readrec in k20126 in k20123 in k20120 in k20117 in k20114 in ##sys#read in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in ... */
static void C_ccall f_20551(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(13,c,2)))){
C_save_and_reclaim((void *)f_20551,2,av);}
a=C_alloc(13);
if(C_truep(t1)){
t2=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_20557,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=((C_word*)t0)[8],tmp=(C_word)a,a+=9,tmp);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_20599,a[2]=t2,a[3]=((C_word*)t0)[6],tmp=(C_word)a,a+=4,tmp);
/* library.scm:3802: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[762]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[762]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[6];
tp(3,av2);}}
else{
t2=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_20606,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[7],a[6]=((C_word*)t0)[5],tmp=(C_word)a,a+=7,tmp);
/* library.scm:3811: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[762]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[762]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[6];
tp(3,av2);}}}

/* k20555 in k20549 in k20543 in k20379 in loop in k20360 in r-string in readrec in k20126 in k20123 in k20120 in k20117 in k20114 in ##sys#read in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in ... */
static void C_fcall f_20557(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,0,4)))){
C_save_and_reclaim_args((void *)trf_20557,2,t0,t1);}
a=C_alloc(8);
if(C_truep(t1)){
t2=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_20560,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],tmp=(C_word)a,a+=8,tmp);
/* library.scm:3804: r-usequence */
t3=((C_word*)((C_word*)t0)[8])[1];
f_20257(t3,t2,lf[791],C_fix(4),C_fix(16));}
else{
/* library.scm:3810: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[771]);
C_word av2[5];
av2[0]=*((C_word*)lf[771]+1);
av2[1]=((C_word*)t0)[3];
av2[2]=((C_word*)t0)[6];
av2[3]=lf[792];
av2[4]=((C_word*)t0)[7];
tp(5,av2);}}}

/* k20558 in k20555 in k20549 in k20543 in k20379 in loop in k20360 in r-string in readrec in k20126 in k20123 in k20120 in k20117 in k20114 in ##sys#read in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in ... */
static void C_ccall f_20560(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,3)))){
C_save_and_reclaim((void *)f_20560,2,av);}
a=C_alloc(9);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_20563,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=t2,tmp=(C_word)a,a+=9,tmp);
/* library.scm:3805: ##sys#surrogates->codepoint */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[790]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[790]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[7];
av2[3]=t2;
tp(4,av2);}}

/* k20561 in k20558 in k20555 in k20549 in k20543 in k20379 in loop in k20360 in r-string in readrec in k20126 in k20123 in k20120 in k20117 in k20114 in ##sys#read in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in ... */
static void C_ccall f_20563(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,5)))){
C_save_and_reclaim((void *)f_20563,2,av);}
a=C_alloc(7);
t2=t1;
if(C_truep(t2)){
t3=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_20573,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=t2,a[6]=((C_word*)t0)[5],tmp=(C_word)a,a+=7,tmp);
/* library.scm:3807: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[762]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[762]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[6];
tp(3,av2);}}
else{
/* library.scm:3809: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[771]);
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[771]+1);
av2[1]=((C_word*)t0)[3];
av2[2]=((C_word*)t0)[6];
av2[3]=lf[789];
av2[4]=((C_word*)t0)[7];
av2[5]=((C_word*)t0)[8];
tp(6,av2);}}}

/* k20571 in k20561 in k20558 in k20555 in k20549 in k20543 in k20379 in loop in k20360 in r-string in readrec in k20126 in k20123 in k20120 in k20117 in k20114 in ##sys#read in k20059 in k20055 in k20051 in k20047 in k20043 in ... */
static void C_ccall f_20573(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_20573,2,av);}
a=C_alloc(5);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_20577,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t2,tmp=(C_word)a,a+=5,tmp);
/* library.scm:3808: r-cons-codepoint */
f_20317(t3,((C_word*)t0)[5],((C_word*)t0)[6]);}

/* k20575 in k20571 in k20561 in k20558 in k20555 in k20549 in k20543 in k20379 in loop in k20360 in r-string in readrec in k20126 in k20123 in k20120 in k20117 in k20114 in ##sys#read in k20059 in k20055 in k20051 in k20047 in ... */
static void C_ccall f_20577(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_20577,2,av);}
/* library.scm:3807: loop */
t2=((C_word*)((C_word*)t0)[2])[1];
f_20364(t2,((C_word*)t0)[3],((C_word*)t0)[4],t1);}

/* k20592 in k20597 in k20549 in k20543 in k20379 in loop in k20360 in r-string in readrec in k20126 in k20123 in k20120 in k20117 in k20114 in ##sys#read in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in ... */
static void C_ccall f_20594(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_20594,2,av);}
t2=((C_word*)t0)[2];
f_20557(t2,C_eqp(C_make_character(117),t1));}

/* k20597 in k20549 in k20543 in k20379 in loop in k20360 in r-string in readrec in k20126 in k20123 in k20120 in k20117 in k20114 in ##sys#read in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in ... */
static void C_ccall f_20599(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_20599,2,av);}
a=C_alloc(3);
t2=C_eqp(C_make_character(92),t1);
if(C_truep(t2)){
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_20594,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:3803: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[762]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[762]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}
else{
t3=((C_word*)t0)[2];
f_20557(t3,C_SCHEME_FALSE);}}

/* k20604 in k20549 in k20543 in k20379 in loop in k20360 in r-string in readrec in k20126 in k20123 in k20120 in k20117 in k20114 in ##sys#read in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in ... */
static void C_ccall f_20606(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_20606,2,av);}
a=C_alloc(5);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_20610,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t2,tmp=(C_word)a,a+=5,tmp);
/* library.scm:3811: r-cons-codepoint */
f_20317(t3,((C_word*)t0)[5],((C_word*)t0)[6]);}

/* k20608 in k20604 in k20549 in k20543 in k20379 in loop in k20360 in r-string in readrec in k20126 in k20123 in k20120 in k20117 in k20114 in ##sys#read in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in ... */
static void C_ccall f_20610(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_20610,2,av);}
/* library.scm:3811: loop */
t2=((C_word*)((C_word*)t0)[2])[1];
f_20364(t2,((C_word*)t0)[3],((C_word*)t0)[4],t1);}

/* k20617 in k20379 in loop in k20360 in r-string in readrec in k20126 in k20123 in k20120 in k20117 in k20114 in ##sys#read in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in ... */
static void C_ccall f_20619(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,2)))){
C_save_and_reclaim((void *)f_20619,2,av);}
a=C_alloc(8);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_20625,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t2,a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],a[7]=((C_word*)t0)[6],tmp=(C_word)a,a+=8,tmp);
/* library.scm:3814: ##sys#unicode-surrogate? */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[793]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[793]+1);
av2[1]=t3;
av2[2]=t2;
tp(3,av2);}}

/* k20623 in k20617 in k20379 in loop in k20360 in r-string in readrec in k20126 in k20123 in k20120 in k20117 in k20114 in ##sys#read in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in ... */
static void C_ccall f_20625(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,4)))){
C_save_and_reclaim((void *)f_20625,2,av);}
a=C_alloc(7);
if(C_truep(t1)){
/* library.scm:3815: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[771]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[771]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=lf[795];
av2[4]=((C_word*)t0)[4];
tp(5,av2);}}
else{
t2=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_20635,a[2]=((C_word*)t0)[5],a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[6],a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[7],tmp=(C_word)a,a+=7,tmp);
/* library.scm:3816: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[762]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[762]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}}

/* k20633 in k20623 in k20617 in k20379 in loop in k20360 in r-string in readrec in k20126 in k20123 in k20120 in k20117 in k20114 in ##sys#read in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in ... */
static void C_ccall f_20635(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_20635,2,av);}
a=C_alloc(5);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_20639,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t2,tmp=(C_word)a,a+=5,tmp);
/* library.scm:3816: r-cons-codepoint */
f_20317(t3,((C_word*)t0)[5],((C_word*)t0)[6]);}

/* k20637 in k20633 in k20623 in k20617 in k20379 in loop in k20360 in r-string in readrec in k20126 in k20123 in k20120 in k20117 in k20114 in ##sys#read in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in ... */
static void C_ccall f_20639(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_20639,2,av);}
/* library.scm:3816: loop */
t2=((C_word*)((C_word*)t0)[2])[1];
f_20364(t2,((C_word*)t0)[3],((C_word*)t0)[4],t1);}

/* k20646 in k20379 in loop in k20360 in r-string in readrec in k20126 in k20123 in k20120 in k20117 in k20114 in ##sys#read in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in ... */
static void C_fcall f_20648(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,0,2)))){
C_save_and_reclaim_args((void *)trf_20648,2,t0,t1);}
a=C_alloc(8);
if(C_truep(t1)){
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_20655,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
/* library.scm:3818: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[762]);
C_word av2[3];
av2[0]=*((C_word*)lf[762]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[6];
tp(3,av2);}}
else{
t2=C_eqp(((C_word*)t0)[7],C_make_character(10));
t3=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_20668,a[2]=((C_word*)t0)[6],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[2],a[7]=((C_word*)t0)[8],tmp=(C_word)a,a+=8,tmp);
if(C_truep(t2)){
t4=t3;
f_20668(t4,t2);}
else{
t4=C_eqp(((C_word*)t0)[7],C_make_character(13));
if(C_truep(t4)){
t5=t3;
f_20668(t5,t4);}
else{
t5=C_eqp(((C_word*)t0)[7],C_make_character(32));
t6=t3;
f_20668(t6,(C_truep(t5)?t5:C_eqp(((C_word*)t0)[7],C_make_character(9))));}}}}

/* k20653 in k20646 in k20379 in loop in k20360 in r-string in readrec in k20126 in k20123 in k20120 in k20117 in k20114 in ##sys#read in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in ... */
static void C_ccall f_20655(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_20655,2,av);}
a=C_alloc(3);
t2=C_a_i_cons(&a,2,((C_word*)((C_word*)t0)[2])[1],((C_word*)t0)[3]);
/* library.scm:3818: loop */
t3=((C_word*)((C_word*)t0)[4])[1];
f_20364(t3,((C_word*)t0)[5],t1,t2);}

/* k20666 in k20646 in k20379 in loop in k20360 in r-string in readrec in k20126 in k20123 in k20120 in k20117 in k20114 in ##sys#read in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in ... */
static void C_fcall f_20668(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,0,4)))){
C_save_and_reclaim_args((void *)trf_20668,2,t0,t1);}
a=C_alloc(9);
if(C_truep(t1)){
t2=C_SCHEME_UNDEFINED;
t3=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
t4=C_set_block_item(t3,0,(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_20673,a[2]=t3,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],a[6]=((C_word)li643),tmp=(C_word)a,a+=7,tmp));
t5=((C_word*)t3)[1];
f_20673(t5,((C_word*)t0)[5],((C_word*)((C_word*)t0)[6])[1],C_SCHEME_FALSE);}
else{
if(C_truep(C_eofp(((C_word*)((C_word*)t0)[6])[1]))){
/* library.scm:3844: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[771]);
C_word av2[4];
av2[0]=*((C_word*)lf[771]+1);
av2[1]=((C_word*)t0)[5];
av2[2]=((C_word*)t0)[2];
av2[3]=lf[798];
tp(4,av2);}}
else{
t2=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_20772,a[2]=((C_word*)t0)[6],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[2],a[7]=((C_word*)t0)[7],tmp=(C_word)a,a+=8,tmp);
if(C_truep(C_u_i_char_numericp(((C_word*)((C_word*)t0)[6])[1]))){
t3=C_i_char_greater_or_equal_p(((C_word*)((C_word*)t0)[6])[1],C_make_character(48));
t4=t2;
f_20772(t4,(C_truep(t3)?C_i_char_less_or_equal_p(((C_word*)((C_word*)t0)[6])[1],C_make_character(55)):C_SCHEME_FALSE));}
else{
t3=t2;
f_20772(t3,C_SCHEME_FALSE);}}}}

/* eat-ws in k20666 in k20646 in k20379 in loop in k20360 in r-string in readrec in k20126 in k20123 in k20120 in k20117 in k20114 in ##sys#read in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in ... */
static void C_fcall f_20673(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,3)))){
C_save_and_reclaim_args((void *)trf_20673,4,t0,t1,t2,t3);}
a=C_alloc(6);
t4=t2;
t5=C_eqp(t4,C_make_character(32));
t6=(C_truep(t5)?t5:C_eqp(t4,C_make_character(9)));
if(C_truep(t6)){
t7=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_20690,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
/* library.scm:3824: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[762]);
C_word av2[3];
av2[0]=*((C_word*)lf[762]+1);
av2[1]=t7;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}
else{
switch(t4){
case C_make_character(13):
if(C_truep(t3)){
/* library.scm:3827: loop */
t7=((C_word*)((C_word*)t0)[4])[1];
f_20364(t7,t1,t2,((C_word*)t0)[5]);}
else{
t7=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_20705,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
/* library.scm:3828: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[762]);
C_word av2[3];
av2[0]=*((C_word*)lf[762]+1);
av2[1]=t7;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}
case C_make_character(10):
if(C_truep(t3)){
/* library.scm:3834: loop */
t7=((C_word*)((C_word*)t0)[4])[1];
f_20364(t7,t1,t2,((C_word*)t0)[5]);}
else{
t7=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_20740,a[2]=((C_word*)t0)[2],a[3]=t1,tmp=(C_word)a,a+=4,tmp);
/* library.scm:3835: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[762]);
C_word av2[3];
av2[0]=*((C_word*)lf[762]+1);
av2[1]=t7;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}
default:
t7=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_20743,a[2]=((C_word*)t0)[4],a[3]=t1,a[4]=t2,a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
if(C_truep(t3)){
/* library.scm:3841: loop */
t8=((C_word*)((C_word*)t0)[4])[1];
f_20364(t8,t1,t2,((C_word*)t0)[5]);}
else{
/* library.scm:3838: ##sys#read-warning */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[774]);
C_word av2[4];
av2[0]=*((C_word*)lf[774]+1);
av2[1]=t7;
av2[2]=((C_word*)t0)[3];
av2[3]=lf[797];
tp(4,av2);}}}}}

/* k20688 in eat-ws in k20666 in k20646 in k20379 in loop in k20360 in r-string in readrec in k20126 in k20123 in k20120 in k20117 in k20114 in ##sys#read in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in ... */
static void C_ccall f_20690(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_20690,2,av);}
/* library.scm:3824: eat-ws */
t2=((C_word*)((C_word*)t0)[2])[1];
f_20673(t2,((C_word*)t0)[3],t1,((C_word*)t0)[4]);}

/* k20703 in eat-ws in k20666 in k20646 in k20379 in loop in k20360 in r-string in readrec in k20126 in k20123 in k20120 in k20117 in k20114 in ##sys#read in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in ... */
static void C_ccall f_20705(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_20705,2,av);}
a=C_alloc(4);
t2=C_eqp(t1,C_make_character(10));
if(C_truep(t2)){
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_20718,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:3830: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[762]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[762]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[4];
tp(3,av2);}}
else{
/* library.scm:3831: eat-ws */
t3=((C_word*)((C_word*)t0)[2])[1];
f_20673(t3,((C_word*)t0)[3],t1,C_SCHEME_TRUE);}}

/* k20716 in k20703 in eat-ws in k20666 in k20646 in k20379 in loop in k20360 in r-string in readrec in k20126 in k20123 in k20120 in k20117 in k20114 in ##sys#read in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in ... */
static void C_ccall f_20718(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_20718,2,av);}
/* library.scm:3830: eat-ws */
t2=((C_word*)((C_word*)t0)[2])[1];
f_20673(t2,((C_word*)t0)[3],t1,C_SCHEME_TRUE);}

/* k20738 in eat-ws in k20666 in k20646 in k20379 in loop in k20360 in r-string in readrec in k20126 in k20123 in k20120 in k20117 in k20114 in ##sys#read in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in ... */
static void C_ccall f_20740(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_20740,2,av);}
/* library.scm:3835: eat-ws */
t2=((C_word*)((C_word*)t0)[2])[1];
f_20673(t2,((C_word*)t0)[3],t1,C_SCHEME_TRUE);}

/* k20741 in eat-ws in k20666 in k20646 in k20379 in loop in k20360 in r-string in readrec in k20126 in k20123 in k20120 in k20117 in k20114 in ##sys#read in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in ... */
static void C_ccall f_20743(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_20743,2,av);}
/* library.scm:3841: loop */
t2=((C_word*)((C_word*)t0)[2])[1];
f_20364(t2,((C_word*)t0)[3],((C_word*)t0)[4],((C_word*)t0)[5]);}

/* k20770 in k20666 in k20646 in k20379 in loop in k20360 in r-string in readrec in k20126 in k20123 in k20120 in k20117 in k20114 in ##sys#read in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in ... */
static void C_fcall f_20772(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,0,4)))){
C_save_and_reclaim_args((void *)trf_20772,2,t0,t1);}
a=C_alloc(7);
if(C_truep(t1)){
t2=C_fix(C_character_code(((C_word*)((C_word*)t0)[2])[1]));
t3=C_fixnum_difference(t2,C_fix(48));
t4=C_fixnum_times(t3,C_fix(64));
t5=t4;
t6=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_20798,a[2]=t5,a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],tmp=(C_word)a,a+=7,tmp);
/* library.scm:3850: r-usequence */
t7=((C_word*)((C_word*)t0)[7])[1];
f_20257(t7,t6,lf[799],C_fix(2),C_fix(8));}
else{
t2=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_20809,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],tmp=(C_word)a,a+=7,tmp);
/* library.scm:3853: ##sys#read-warning */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[774]);
C_word av2[5];
av2[0]=*((C_word*)lf[774]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[6];
av2[3]=lf[800];
av2[4]=((C_word*)((C_word*)t0)[2])[1];
tp(5,av2);}}}

/* k20780 in k20796 in k20770 in k20666 in k20646 in k20379 in loop in k20360 in r-string in readrec in k20126 in k20123 in k20120 in k20117 in k20114 in ##sys#read in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in ... */
static void C_ccall f_20782(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_20782,2,av);}
a=C_alloc(3);
t2=C_a_i_cons(&a,2,((C_word*)t0)[2],((C_word*)t0)[3]);
/* library.scm:3851: loop */
t3=((C_word*)((C_word*)t0)[4])[1];
f_20364(t3,((C_word*)t0)[5],t1,t2);}

/* k20796 in k20770 in k20666 in k20646 in k20379 in loop in k20360 in r-string in readrec in k20126 in k20123 in k20120 in k20117 in k20114 in ##sys#read in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in ... */
static void C_ccall f_20798(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_20798,2,av);}
a=C_alloc(6);
t2=C_fixnum_plus(((C_word*)t0)[2],t1);
t3=C_make_character(C_unfix(t2));
t4=t3;
t5=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_20782,a[2]=t4,a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
/* library.scm:3851: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[762]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[762]+1);
av2[1]=t5;
av2[2]=((C_word*)t0)[6];
tp(3,av2);}}

/* k20807 in k20770 in k20666 in k20646 in k20379 in loop in k20360 in r-string in readrec in k20126 in k20123 in k20120 in k20117 in k20114 in ##sys#read in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in ... */
static void C_ccall f_20809(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_20809,2,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_20816,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
/* library.scm:3857: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[762]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[762]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[6];
tp(3,av2);}}

/* k20814 in k20807 in k20770 in k20666 in k20646 in k20379 in loop in k20360 in r-string in readrec in k20126 in k20123 in k20120 in k20117 in k20114 in ##sys#read in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in ... */
static void C_ccall f_20816(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_20816,2,av);}
a=C_alloc(3);
t2=C_a_i_cons(&a,2,((C_word*)((C_word*)t0)[2])[1],((C_word*)t0)[3]);
/* library.scm:3857: loop */
t3=((C_word*)((C_word*)t0)[4])[1];
f_20364(t3,((C_word*)t0)[5],t1,t2);}

/* k20912 in loop in k20360 in r-string in readrec in k20126 in k20123 in k20120 in k20117 in k20114 in ##sys#read in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in ... */
static void C_ccall f_20914(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_20914,2,av);}
a=C_alloc(3);
t2=C_a_i_cons(&a,2,((C_word*)((C_word*)t0)[2])[1],((C_word*)t0)[3]);
/* library.scm:3859: loop */
t3=((C_word*)((C_word*)t0)[4])[1];
f_20364(t3,((C_word*)t0)[5],t1,t2);}

/* r-list in readrec in k20126 in k20123 in k20120 in k20117 in k20114 in ##sys#read in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in ... */
static void C_fcall f_20920(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(13,0,2)))){
C_save_and_reclaim_args((void *)trf_20920,4,t0,t1,t2,t3);}
a=C_alloc(13);
t4=(*a=C_CLOSURE_TYPE|12,a[1]=(C_word)f_21180,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=t1,a[6]=t3,a[7]=((C_word*)t0)[4],a[8]=((C_word*)t0)[5],a[9]=((C_word*)t0)[6],a[10]=((C_word*)t0)[7],a[11]=((C_word*)t0)[8],a[12]=((C_word*)t0)[9],tmp=(C_word)a,a+=13,tmp);
/* library.scm:3862: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[762]);
C_word av2[3];
av2[0]=*((C_word*)lf[762]+1);
av2[1]=t4;
av2[2]=((C_word*)t0)[4];
tp(3,av2);}}

/* starting-line in k21178 in r-list in readrec in k20126 in k20123 in k20120 in k20117 in k20114 in ##sys#read in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in ... */
static void C_fcall f_20929(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,0,2)))){
C_save_and_reclaim_args((void *)trf_20929,3,t0,t1,t2);}
a=C_alloc(4);
t3=(C_truep(((C_word*)((C_word*)t0)[2])[1])?C_fast_retrieve(lf[767]):C_SCHEME_FALSE);
if(C_truep(t3)){
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_20943,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:3870: ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[600]+1));
C_word av2[3];
av2[0]=*((C_word*)lf[600]+1);
av2[1]=t4;
av2[2]=((C_word*)((C_word*)t0)[2])[1];
tp(3,av2);}}
else{
t4=t2;
t5=t1;{
C_word av2[2];
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* k20941 in starting-line in k21178 in r-list in readrec in k20126 in k20123 in k20120 in k20117 in k20114 in ##sys#read in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in ... */
static void C_ccall f_20943(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_20943,2,av);}
/* library.scm:3868: string-append */
t2=*((C_word*)lf[413]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=lf[801];
av2[4]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}

/* k20944 in k21178 in r-list in readrec in k20126 in k20123 in k20120 in k20117 in k20114 in ##sys#read in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in ... */
static void C_ccall f_20946(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_20946,2,av);}
a=C_alloc(5);
t2=C_mutate(((C_word *)((C_word*)t0)[2])+1,((C_word*)t0)[3]);
if(C_truep(((C_word*)((C_word*)t0)[4])[1])){
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_20957,a[2]=((C_word*)t0)[5],a[3]=((C_word*)t0)[6],a[4]=((C_word*)t0)[7],tmp=(C_word)a,a+=5,tmp);
/* library.scm:3937: ##sys#infix-list-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[769]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[769]+1);
av2[1]=t3;
av2[2]=((C_word*)((C_word*)t0)[4])[1];
tp(3,av2);}}
else{
t3=((C_word*)t0)[6];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_END_OF_LIST;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k20955 in k20944 in k21178 in r-list in readrec in k20126 in k20123 in k20120 in k20117 in k20114 in ##sys#read in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in ... */
static void C_ccall f_20957(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_20957,2,av);}
/* library.scm:3937: info */
t2=((C_word*)((C_word*)t0)[2])[1];
f_20136(t2,((C_word*)t0)[3],lf[802],t1,((C_word*)((C_word*)t0)[4])[1]);}

/* a20958 in k21178 in r-list in readrec in k20126 in k20123 in k20120 in k20117 in k20114 in ##sys#read in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in ... */
static void C_ccall f_20959(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(23,c,3)))){
C_save_and_reclaim((void *)f_20959,3,av);}
a=C_alloc(23);
t3=C_mutate(((C_word *)((C_word*)t0)[2])+1,(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_20962,a[2]=((C_word*)t0)[3],a[3]=t2,a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word)li647),tmp=(C_word)a,a+=7,tmp));
t4=C_SCHEME_UNDEFINED;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=C_set_block_item(t5,0,(*a=C_CLOSURE_TYPE|13,a[1]=(C_word)f_20984,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[5],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[6],a[6]=((C_word*)t0)[7],a[7]=((C_word*)t0)[8],a[8]=t5,a[9]=((C_word*)t0)[9],a[10]=((C_word*)t0)[10],a[11]=((C_word*)t0)[11],a[12]=((C_word*)t0)[12],a[13]=((C_word)li649),tmp=(C_word)a,a+=14,tmp));
t7=((C_word*)t5)[1];
f_20984(t7,t1,C_SCHEME_END_OF_LIST);}

/* f_20962 in a20958 in k21178 in r-list in readrec in k20126 in k20123 in k20120 in k20117 in k20114 in ##sys#read in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in ... */
static void C_ccall f_20962(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_20962,3,av);}
a=C_alloc(6);
t3=C_eqp(t2,((C_word*)t0)[2]);
if(C_truep(t3)){
/* library.scm:3877: return */
t4=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t1;
av2[2]=C_SCHEME_FALSE;
((C_proc)C_fast_retrieve_proc(t4))(3,av2);}}
else{
t4=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_20979,a[2]=t1,a[3]=((C_word*)t0)[4],a[4]=t2,a[5]=((C_word*)t0)[2],tmp=(C_word)a,a+=6,tmp);
/* library.scm:3880: starting-line */
t5=((C_word*)t0)[5];
f_20929(t5,t4,lf[803]);}}

/* k20977 */
static void C_ccall f_20979(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,5)))){
C_save_and_reclaim((void *)f_20979,2,av);}
/* library.scm:3878: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[771]);
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[771]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t1;
av2[4]=((C_word*)t0)[4];
av2[5]=((C_word*)t0)[5];
tp(6,av2);}}

/* loop in a20958 in k21178 in r-list in readrec in k20126 in k20123 in k20120 in k20117 in k20114 in ##sys#read in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in ... */
static void C_fcall f_20984(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(15,0,2)))){
C_save_and_reclaim_args((void *)trf_20984,3,t0,t1,t2);}
a=C_alloc(15);
t3=(*a=C_CLOSURE_TYPE|14,a[1]=(C_word)f_20988,a[2]=t1,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],a[6]=t2,a[7]=((C_word*)t0)[5],a[8]=((C_word*)t0)[6],a[9]=((C_word*)t0)[7],a[10]=((C_word*)t0)[8],a[11]=((C_word*)t0)[9],a[12]=((C_word*)t0)[10],a[13]=((C_word*)t0)[11],a[14]=((C_word*)t0)[12],tmp=(C_word)a,a+=15,tmp);
/* library.scm:3883: r-spaces */
t4=((C_word*)((C_word*)t0)[5])[1];
f_20209(t4,t3);}

/* k20986 in loop in a20958 in k21178 in r-list in readrec in k20126 in k20123 in k20120 in k20117 in k20114 in ##sys#read in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in ... */
static void C_ccall f_20988(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(18,c,2)))){
C_save_and_reclaim((void *)f_20988,2,av);}
a=C_alloc(18);
t2=(*a=C_CLOSURE_TYPE|13,a[1]=(C_word)f_20991,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=((C_word*)t0)[8],a[9]=((C_word*)t0)[9],a[10]=((C_word*)t0)[10],a[11]=((C_word*)t0)[11],a[12]=((C_word*)t0)[12],a[13]=((C_word*)t0)[13],tmp=(C_word)a,a+=14,tmp);
if(C_truep(((C_word*)((C_word*)t0)[9])[1])){
t3=t2;
f_20991(t3,C_SCHEME_UNDEFINED);}
else{
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_21173,a[2]=((C_word*)t0)[14],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:3884: ##sys#port-line */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[745]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[745]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}}

/* k20989 in k20986 in loop in a20958 in k21178 in r-list in readrec in k20126 in k20123 in k20120 in k20117 in k20114 in ##sys#read in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in ... */
static void C_fcall f_20991(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(14,0,2)))){
C_save_and_reclaim_args((void *)trf_20991,2,t0,t1);}
a=C_alloc(14);
t2=(*a=C_CLOSURE_TYPE|13,a[1]=(C_word)f_20994,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=((C_word*)t0)[8],a[9]=((C_word*)t0)[9],a[10]=((C_word*)t0)[10],a[11]=((C_word*)t0)[11],a[12]=((C_word*)t0)[12],a[13]=((C_word*)t0)[13],tmp=(C_word)a,a+=14,tmp);
/* library.scm:3885: ##sys#peek-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[764]);
C_word av2[3];
av2[0]=*((C_word*)lf[764]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}

/* k20992 in k20989 in k20986 in loop in a20958 in k21178 in r-list in readrec in k20126 in k20123 in k20120 in k20117 in k20114 in ##sys#read in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in ... */
static void C_ccall f_20994(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(14,c,2)))){
C_save_and_reclaim((void *)f_20994,2,av);}
a=C_alloc(14);
if(C_truep(C_eofp(t1))){
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_21004,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:3889: starting-line */
t3=((C_word*)t0)[4];
f_20929(t3,t2,lf[804]);}
else{
t2=C_eqp(t1,((C_word*)t0)[5]);
if(C_truep(t2)){
/* library.scm:3891: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[762]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[762]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}
else{
t3=C_eqp(t1,C_make_character(46));
if(C_truep(t3)){
t4=(*a=C_CLOSURE_TYPE|13,a[1]=(C_word)f_21022,a[2]=((C_word*)t0)[6],a[3]=((C_word*)t0)[5],a[4]=((C_word*)t0)[2],a[5]=((C_word*)t0)[3],a[6]=((C_word*)t0)[4],a[7]=((C_word*)t0)[7],a[8]=((C_word*)t0)[8],a[9]=((C_word*)t0)[9],a[10]=((C_word*)t0)[10],a[11]=((C_word*)t0)[11],a[12]=((C_word*)t0)[12],a[13]=((C_word*)t0)[13],tmp=(C_word)a,a+=14,tmp);
/* library.scm:3893: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[762]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[762]+1);
av2[1]=t4;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}
else{
t4=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_21169,a[2]=((C_word*)t0)[9],a[3]=((C_word*)t0)[6],a[4]=((C_word*)t0)[10],a[5]=((C_word*)t0)[2],tmp=(C_word)a,a+=6,tmp);
/* library.scm:3930: readrec */
t5=((C_word*)((C_word*)t0)[8])[1];
f_20206(t5,t4);}}}}

/* k21002 in k20992 in k20989 in k20986 in loop in a20958 in k21178 in r-list in readrec in k20126 in k20123 in k20120 in k20117 in k20114 in ##sys#read in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in ... */
static void C_ccall f_21004(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_21004,2,av);}
/* library.scm:3887: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[771]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[771]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t1;
tp(4,av2);}}

/* k21020 in k20992 in k20989 in k20986 in loop in a20958 in k21178 in r-list in readrec in k20126 in k20123 in k20120 in k20117 in k20114 in ##sys#read in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in ... */
static void C_ccall f_21022(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(14,c,2)))){
C_save_and_reclaim((void *)f_21022,2,av);}
a=C_alloc(14);
t2=(*a=C_CLOSURE_TYPE|13,a[1]=(C_word)f_21025,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=((C_word*)t0)[8],a[9]=((C_word*)t0)[9],a[10]=((C_word*)t0)[10],a[11]=((C_word*)t0)[11],a[12]=((C_word*)t0)[12],a[13]=((C_word*)t0)[13],tmp=(C_word)a,a+=14,tmp);
/* library.scm:3894: ##sys#peek-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[764]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[764]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[5];
tp(3,av2);}}

/* k21023 in k21020 in k20992 in k20989 in k20986 in loop in a20958 in k21178 in r-list in readrec in k20126 in k20123 in k20120 in k20117 in k20114 in ##sys#read in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in ... */
static void C_ccall f_21025(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(15,c,2)))){
C_save_and_reclaim((void *)f_21025,2,av);}
a=C_alloc(15);
t2=t1;
t3=C_u_i_char_whitespacep(t2);
t4=(*a=C_CLOSURE_TYPE|14,a[1]=(C_word)f_21034,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=((C_word*)t0)[8],a[9]=((C_word*)t0)[9],a[10]=((C_word*)t0)[10],a[11]=((C_word*)t0)[11],a[12]=((C_word*)t0)[12],a[13]=t2,a[14]=((C_word*)t0)[13],tmp=(C_word)a,a+=15,tmp);
if(C_truep(t3)){
t5=t4;
f_21034(t5,t3);}
else{
t5=C_eqp(t2,C_make_character(40));
if(C_truep(t5)){
t6=t4;
f_21034(t6,t5);}
else{
t6=C_eqp(t2,C_make_character(41));
if(C_truep(t6)){
t7=t4;
f_21034(t7,t6);}
else{
t7=C_eqp(t2,C_make_character(34));
t8=t4;
f_21034(t8,(C_truep(t7)?t7:C_eqp(t2,C_make_character(59))));}}}}

/* k21032 in k21023 in k21020 in k20992 in k20989 in k20986 in loop in a20958 in k21178 in r-list in readrec in k20126 in k20123 in k20120 in k20117 in k20114 in ##sys#read in k20059 in k20055 in k20051 in k20047 in k20043 in ... */
static void C_fcall f_21034(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,0,4)))){
C_save_and_reclaim_args((void *)trf_21034,2,t0,t1);}
a=C_alloc(9);
if(C_truep(t1)){
t2=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_21037,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=((C_word*)t0)[8],tmp=(C_word)a,a+=9,tmp);
if(C_truep(C_i_pairp(((C_word*)t0)[2]))){
t3=t2;{
C_word av2[2];
av2[0]=t3;
av2[1]=C_SCHEME_UNDEFINED;
f_21037(2,av2);}}
else{
/* library.scm:3901: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[771]);
C_word av2[4];
av2[0]=*((C_word*)lf[771]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[5];
av2[3]=lf[806];
tp(4,av2);}}}
else{
t2=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_21078,a[2]=((C_word*)t0)[9],a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[10],a[5]=((C_word*)t0)[11],a[6]=((C_word*)t0)[12],a[7]=((C_word*)t0)[13],a[8]=((C_word)li648),tmp=(C_word)a,a+=9,tmp);
/* library.scm:3911: r-xtoken */
t3=((C_word*)((C_word*)t0)[14])[1];
f_21523(t3,((C_word*)t0)[4],t2);}}

/* k21035 in k21032 in k21023 in k21020 in k20992 in k20989 in k20986 in loop in a20958 in k21178 in r-list in readrec in k20126 in k20123 in k20120 in k20117 in k20114 in ##sys#read in k20059 in k20055 in k20051 in k20047 in ... */
static void C_ccall f_21037(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,2)))){
C_save_and_reclaim((void *)f_21037,2,av);}
a=C_alloc(9);
t2=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_21040,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=((C_word*)t0)[8],tmp=(C_word)a,a+=9,tmp);
/* library.scm:3902: r-spaces */
t3=((C_word*)((C_word*)t0)[7])[1];
f_20209(t3,t2);}

/* k21038 in k21035 in k21032 in k21023 in k21020 in k20992 in k20989 in k20986 in loop in a20958 in k21178 in r-list in readrec in k20126 in k20123 in k20120 in k20117 in k20114 in ##sys#read in k20059 in k20055 in k20051 in ... */
static void C_ccall f_21040(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,2)))){
C_save_and_reclaim((void *)f_21040,2,av);}
a=C_alloc(8);
t2=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_21067,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],tmp=(C_word)a,a+=8,tmp);
/* library.scm:3903: readrec */
t3=((C_word*)((C_word*)t0)[8])[1];
f_20206(t3,t2);}

/* k21044 in k21065 in k21038 in k21035 in k21032 in k21023 in k21020 in k20992 in k20989 in k20986 in loop in a20958 in k21178 in r-list in readrec in k20126 in k20123 in k20120 in k20117 in k20114 in ##sys#read in k20059 in ... */
static void C_ccall f_21046(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_21046,2,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_21063,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
/* library.scm:3905: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[762]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[762]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[4];
tp(3,av2);}}

/* k21057 in k21061 in k21044 in k21065 in k21038 in k21035 in k21032 in k21023 in k21020 in k20992 in k20989 in k20986 in loop in a20958 in k21178 in r-list in readrec in k20126 in k20123 in k20120 in k20117 in k20114 in ... */
static void C_ccall f_21059(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_21059,2,av);}
/* library.scm:3906: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[771]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[771]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t1;
av2[4]=((C_word*)t0)[4];
tp(5,av2);}}

/* k21061 in k21044 in k21065 in k21038 in k21035 in k21032 in k21023 in k21020 in k20992 in k20989 in k20986 in loop in a20958 in k21178 in r-list in readrec in k20126 in k20123 in k20120 in k20117 in k20114 in ##sys#read in ... */
static void C_ccall f_21063(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_21063,2,av);}
a=C_alloc(5);
t2=C_eqp(t1,((C_word*)t0)[2]);
if(C_truep(t2)){
t3=C_SCHEME_UNDEFINED;
t4=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_21059,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[2],tmp=(C_word)a,a+=5,tmp);
/* library.scm:3908: starting-line */
t4=((C_word*)t0)[5];
f_20929(t4,t3,lf[805]);}}

/* k21065 in k21038 in k21035 in k21032 in k21023 in k21020 in k20992 in k20989 in k20986 in loop in a20958 in k21178 in r-list in readrec in k20126 in k20123 in k20120 in k20117 in k20114 in ##sys#read in k20059 in k20055 in ... */
static void C_ccall f_21067(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_21067,2,av);}
a=C_alloc(6);
t2=C_i_setslot(((C_word*)t0)[2],C_fix(1),t1);
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_21046,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],a[5]=((C_word*)t0)[6],tmp=(C_word)a,a+=6,tmp);
/* library.scm:3904: r-spaces */
t4=((C_word*)((C_word*)t0)[7])[1];
f_20209(t4,t3);}

/* a21077 in k21032 in k21023 in k21020 in k20992 in k20989 in k20986 in loop in a20958 in k21178 in r-list in readrec in k20126 in k20123 in k20120 in k20117 in k20114 in ##sys#read in k20059 in k20055 in k20051 in k20047 in ... */
static void C_ccall f_21078(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(10,c,3)))){
C_save_and_reclaim((void *)f_21078,4,av);}
a=C_alloc(10);
t4=(*a=C_CLOSURE_TYPE|9,a[1]=(C_word)f_21082,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=t1,a[6]=((C_word*)t0)[5],a[7]=((C_word*)t0)[6],a[8]=t3,a[9]=((C_word*)t0)[7],tmp=(C_word)a,a+=10,tmp);
/* library.scm:3913: ##sys#string-append */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[412]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[412]+1);
av2[1]=t4;
av2[2]=lf[810];
av2[3]=t2;
tp(4,av2);}}

/* k21080 in a21077 in k21032 in k21023 in k21020 in k20992 in k20989 in k20986 in loop in a20958 in k21178 in r-list in readrec in k20126 in k20123 in k20120 in k20117 in k20114 in ##sys#read in k20059 in k20055 in k20051 in ... */
static void C_ccall f_21082(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,2)))){
C_save_and_reclaim((void *)f_21082,2,av);}
a=C_alloc(10);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_21085,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
t4=C_i_string_equal_p(t2,lf[807]);
t5=(C_truep(t4)?C_eqp(((C_word*)((C_word*)t0)[6])[1],lf[808]):C_SCHEME_FALSE);
if(C_truep(t5)){
/* library.scm:3919: build-keyword */
t6=((C_word*)((C_word*)t0)[7])[1];
f_22052(t6,t3,lf[809]);}
else{
if(C_truep(((C_word*)t0)[8])){
/* library.scm:3920: build-keyword */
t6=((C_word*)((C_word*)t0)[7])[1];
f_22052(t6,t3,t2);}
else{
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_21113,a[2]=t3,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
if(C_truep(C_u_i_char_numericp(((C_word*)t0)[9]))){
/* library.scm:3922: ##sys#string->number */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[619]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[619]+1);
av2[1]=t6;
av2[2]=t2;
tp(3,av2);}}
else{
/* library.scm:4115: ##sys#intern-symbol */{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=0;
av2[1]=t3;
av2[2]=t2;
C_string_to_symbol(3,av2);}}}}}

/* k21083 in k21080 in a21077 in k21032 in k21023 in k21020 in k20992 in k20989 in k20986 in loop in a20958 in k21178 in r-list in readrec in k20126 in k20123 in k20120 in k20117 in k20114 in ##sys#read in k20059 in k20055 in ... */
static void C_ccall f_21085(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_21085,2,av);}
a=C_alloc(3);
t2=C_a_i_cons(&a,2,t1,C_SCHEME_END_OF_LIST);
if(C_truep(((C_word*)((C_word*)t0)[2])[1])){
t3=C_i_setslot(((C_word*)t0)[3],C_fix(1),t2);
/* library.scm:3928: loop */
t4=((C_word*)((C_word*)t0)[4])[1];
f_20984(t4,((C_word*)t0)[5],t2);}
else{
t3=C_mutate(((C_word *)((C_word*)t0)[2])+1,t2);
/* library.scm:3928: loop */
t4=((C_word*)((C_word*)t0)[4])[1];
f_20984(t4,((C_word*)t0)[5],t2);}}

/* k21111 in k21080 in a21077 in k21032 in k21023 in k21020 in k20992 in k20989 in k20986 in loop in a20958 in k21178 in r-list in readrec in k20126 in k20123 in k20120 in k20117 in k20114 in ##sys#read in k20059 in k20055 in ... */
static void C_ccall f_21113(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_21113,2,av);}
if(C_truep(t1)){
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=t1;
f_21085(2,av2);}}
else{
/* library.scm:4115: ##sys#intern-symbol */{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
C_string_to_symbol(3,av2);}}}

/* k21167 in k20992 in k20989 in k20986 in loop in a20958 in k21178 in r-list in readrec in k20126 in k20123 in k20120 in k20117 in k20114 in ##sys#read in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in ... */
static void C_ccall f_21169(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_21169,2,av);}
a=C_alloc(3);
t2=C_a_i_cons(&a,2,t1,C_SCHEME_END_OF_LIST);
if(C_truep(((C_word*)((C_word*)t0)[2])[1])){
t3=C_i_setslot(((C_word*)t0)[3],C_fix(1),t2);
/* library.scm:3934: loop */
t4=((C_word*)((C_word*)t0)[4])[1];
f_20984(t4,((C_word*)t0)[5],t2);}
else{
t3=C_mutate(((C_word *)((C_word*)t0)[2])+1,t2);
/* library.scm:3934: loop */
t4=((C_word*)((C_word*)t0)[4])[1];
f_20984(t4,((C_word*)t0)[5],t2);}}

/* k21171 in k20986 in loop in a20958 in k21178 in r-list in readrec in k20126 in k20123 in k20120 in k20117 in k20114 in ##sys#read in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in ... */
static void C_ccall f_21173(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_21173,2,av);}
t2=C_mutate(((C_word *)((C_word*)t0)[2])+1,t1);
t3=((C_word*)t0)[3];
f_20991(t3,t2);}

/* k21178 in r-list in readrec in k20126 in k20123 in k20120 in k20117 in k20114 in ##sys#read in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in ... */
static void C_ccall f_21180(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(30,c,4)))){
C_save_and_reclaim((void *)f_21180,2,av);}
a=C_alloc(30);
t2=C_eqp(t1,((C_word*)t0)[2]);
if(C_truep(t2)){
t3=C_SCHEME_FALSE;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_SCHEME_FALSE;
t6=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t7=((C_word*)((C_word*)t0)[3])[1];
t8=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_20929,a[2]=t6,a[3]=((C_word)li646),tmp=(C_word)a,a+=4,tmp);
t9=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_20946,a[2]=((C_word*)t0)[3],a[3]=t7,a[4]=t4,a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],a[7]=t6,tmp=(C_word)a,a+=8,tmp);
t10=(*a=C_CLOSURE_TYPE|13,a[1]=(C_word)f_20959,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[6],a[4]=((C_word*)t0)[7],a[5]=t8,a[6]=((C_word*)t0)[8],a[7]=((C_word*)t0)[9],a[8]=t4,a[9]=((C_word*)t0)[10],a[10]=((C_word*)t0)[11],a[11]=((C_word*)t0)[12],a[12]=t6,a[13]=((C_word)li650),tmp=(C_word)a,a+=14,tmp);
/* library.scm:3872: ##sys#call-with-current-continuation */{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=0;
av2[1]=t9;
av2[2]=t10;
C_call_cc(3,av2);}}
else{
/* library.scm:3939: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[771]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[771]+1);
av2[1]=((C_word*)t0)[5];
av2[2]=((C_word*)t0)[7];
av2[3]=lf[811];
av2[4]=((C_word*)t0)[2];
tp(5,av2);}}}

/* r-vector in readrec in k20126 in k20123 in k20120 in k20117 in k20114 in ##sys#read in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in ... */
static void C_fcall f_21182(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,0,3)))){
C_save_and_reclaim_args((void *)trf_21182,2,t0,t1);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_21186,a[2]=t1,a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
/* library.scm:3942: r-list */
t3=((C_word*)((C_word*)t0)[3])[1];
f_20920(t3,t2,C_make_character(40),C_make_character(41));}

/* k21184 in r-vector in readrec in k20126 in k20123 in k20120 in k20117 in k20114 in ##sys#read in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in ... */
static void C_ccall f_21186(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_21186,2,av);}
if(C_truep(C_i_listp(t1))){
/* library.scm:3944: ##sys#list->vector */
t2=*((C_word*)lf[812]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}
else{
/* library.scm:3945: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[771]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[771]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=lf[813];
av2[4]=t1;
tp(5,av2);}}}

/* r-number in readrec in k20126 in k20123 in k20120 in k20117 in k20114 in ##sys#read in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in ... */
static void C_fcall f_21200(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,0,4)))){
C_save_and_reclaim_args((void *)trf_21200,4,t0,t1,t2,t3);}
a=C_alloc(8);
t4=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_21206,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=t2,a[6]=t3,a[7]=((C_word)li653),tmp=(C_word)a,a+=8,tmp);
/* library.scm:3948: r-xtoken */
t5=((C_word*)((C_word*)t0)[5])[1];
f_21523(t5,t1,t4);}

/* a21205 in r-number in readrec in k20126 in k20123 in k20120 in k20117 in k20114 in ##sys#read in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in ... */
static void C_ccall f_21206(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(7,c,3)))){
C_save_and_reclaim((void *)f_21206,4,av);}
a=C_alloc(7);
if(C_truep(t3)){
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_21213,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
/* library.scm:3951: build-keyword */
t5=((C_word*)((C_word*)t0)[4])[1];
f_22052(t5,t4,t2);}
else{
if(C_truep(C_i_string_equal_p(t2,lf[815]))){
/* library.scm:3954: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[771]);
C_word *av2=av;
av2[0]=*((C_word*)lf[771]+1);
av2[1]=t1;
av2[2]=((C_word*)t0)[3];
av2[3]=lf[816];
tp(4,av2);}}
else{
t4=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_21235,a[2]=t1,a[3]=((C_word*)t0)[3],a[4]=t2,a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],tmp=(C_word)a,a+=7,tmp);
t5=C_block_size(t2);
if(C_truep(C_fixnum_greaterp(t5,C_fix(0)))){
t6=t2;
t7=C_i_string_ref(t6,C_fix(0));
t8=t4;
f_21235(t8,C_u_i_char_equalp(t7,C_make_character(35)));}
else{
t6=t4;
f_21235(t6,C_SCHEME_FALSE);}}}}

/* k21211 in a21205 in r-number in readrec in k20126 in k20123 in k20120 in k20117 in k20114 in ##sys#read in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in ... */
static void C_ccall f_21213(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_21213,2,av);}
a=C_alloc(5);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_21220,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t2,tmp=(C_word)a,a+=5,tmp);
/* library.scm:3952: ##sys#port-line */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[745]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[745]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[4];
tp(3,av2);}}

/* k21218 in k21211 in a21205 in r-number in readrec in k20126 in k20123 in k20120 in k20117 in k20114 in ##sys#read in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in ... */
static void C_ccall f_21220(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_21220,2,av);}
/* library.scm:3952: info */
t2=((C_word*)((C_word*)t0)[2])[1];
f_20136(t2,((C_word*)t0)[3],lf[814],((C_word*)t0)[4],t1);}

/* k21233 in a21205 in r-number in readrec in k20126 in k20123 in k20120 in k20117 in k20114 in ##sys#read in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in ... */
static void C_fcall f_21235(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,4)))){
C_save_and_reclaim_args((void *)trf_21235,2,t0,t1);}
a=C_alloc(6);
if(C_truep(t1)){
/* library.scm:3956: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[771]);
C_word av2[5];
av2[0]=*((C_word*)lf[771]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=lf[817];
av2[4]=((C_word*)t0)[4];
tp(5,av2);}}
else{
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_21241,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[5],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
t3=((C_word*)t0)[5];
if(C_truep(t3)){
/* library.scm:3957: ##sys#string->number */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[619]+1));
C_word av2[5];
av2[0]=*((C_word*)lf[619]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[4];
av2[3]=t3;
av2[4]=((C_word*)t0)[6];
tp(5,av2);}}
else{
/* library.scm:3957: ##sys#string->number */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[619]+1));
C_word av2[5];
av2[0]=*((C_word*)lf[619]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[4];
av2[3]=C_fix(10);
av2[4]=((C_word*)t0)[6];
tp(5,av2);}}}}

/* k21239 in k21233 in a21205 in r-number in readrec in k20126 in k20123 in k20120 in k20117 in k20114 in ##sys#read in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in ... */
static void C_ccall f_21241(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_21241,2,av);}
if(C_truep(t1)){
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}
else{
if(C_truep(((C_word*)t0)[3])){
/* library.scm:3958: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[771]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[771]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[4];
av2[3]=lf[818];
av2[4]=((C_word*)t0)[5];
tp(5,av2);}}
else{
t2=((C_word*)t0)[2];
t3=((C_word*)t0)[5];
/* library.scm:4115: ##sys#intern-symbol */{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=0;
av2[1]=t2;
av2[2]=t3;
C_string_to_symbol(3,av2);}}}}

/* r-number-with-exactness in readrec in k20126 in k20123 in k20120 in k20117 in k20114 in ##sys#read in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in ... */
static void C_fcall f_21270(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,2)))){
C_save_and_reclaim_args((void *)trf_21270,3,t0,t1,t2);}
a=C_alloc(6);
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_21319,a[2]=t1,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=t2,tmp=(C_word)a,a+=6,tmp);
/* library.scm:3962: ##sys#peek-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[764]);
C_word av2[3];
av2[0]=*((C_word*)lf[764]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[2];
tp(3,av2);}}

/* k21278 in k21317 in r-number-with-exactness in readrec in k20126 in k20123 in k20120 in k20117 in k20114 in ##sys#read in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in ... */
static void C_ccall f_21280(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_21280,2,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_21283,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
/* library.scm:3964: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[762]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[762]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}

/* k21281 in k21278 in k21317 in r-number-with-exactness in readrec in k20126 in k20123 in k20120 in k20117 in k20114 in ##sys#read in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in ... */
static void C_ccall f_21283(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_21283,2,av);}
if(C_truep(C_eofp(t1))){
/* library.scm:3966: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[771]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[771]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=lf[819];
tp(4,av2);}}
else{
if(C_truep(C_i_char_equalp(t1,C_make_character(105)))){
/* library.scm:3967: r-number */
t2=((C_word*)((C_word*)t0)[4])[1];
f_21200(t2,((C_word*)t0)[2],((C_word*)t0)[5],lf[610]);}
else{
if(C_truep(C_u_i_char_equalp(t1,C_make_character(101)))){
/* library.scm:3968: r-number */
t2=((C_word*)((C_word*)t0)[4])[1];
f_21200(t2,((C_word*)t0)[2],((C_word*)t0)[5],lf[609]);}
else{
/* library.scm:3970: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[771]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[771]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=lf[820];
av2[4]=t1;
tp(5,av2);}}}}}

/* k21317 in r-number-with-exactness in readrec in k20126 in k20123 in k20120 in k20117 in k20114 in ##sys#read in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in ... */
static void C_ccall f_21319(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,3)))){
C_save_and_reclaim((void *)f_21319,2,av);}
a=C_alloc(6);
t2=C_eqp(C_make_character(35),t1);
if(C_truep(t2)){
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_21280,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
/* library.scm:3963: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[762]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[762]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}
else{
/* library.scm:3973: r-number */
t3=((C_word*)((C_word*)t0)[4])[1];
f_21200(t3,((C_word*)t0)[2],((C_word*)t0)[5],C_SCHEME_FALSE);}}

/* r-number-with-radix in readrec in k20126 in k20123 in k20120 in k20117 in k20114 in ##sys#read in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in ... */
static void C_fcall f_21321(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,2)))){
C_save_and_reclaim_args((void *)trf_21321,3,t0,t1,t2);}
a=C_alloc(6);
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_21386,a[2]=t1,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=t2,tmp=(C_word)a,a+=6,tmp);
/* library.scm:3976: ##sys#peek-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[764]);
C_word av2[3];
av2[0]=*((C_word*)lf[764]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[2];
tp(3,av2);}}

/* k21329 in k21384 in r-number-with-radix in readrec in k20126 in k20123 in k20120 in k20117 in k20114 in ##sys#read in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in ... */
static void C_ccall f_21331(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_21331,2,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_21334,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
/* library.scm:3978: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[762]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[762]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}

/* k21332 in k21329 in k21384 in r-number-with-radix in readrec in k20126 in k20123 in k20120 in k20117 in k20114 in ##sys#read in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in ... */
static void C_ccall f_21334(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_21334,2,av);}
if(C_truep(C_eofp(t1))){
/* library.scm:3979: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[771]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[771]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=lf[821];
tp(4,av2);}}
else{
if(C_truep(C_i_char_equalp(t1,C_make_character(120)))){
/* library.scm:3980: r-number */
t2=((C_word*)((C_word*)t0)[4])[1];
f_21200(t2,((C_word*)t0)[2],C_fix(16),((C_word*)t0)[5]);}
else{
if(C_truep(C_u_i_char_equalp(t1,C_make_character(100)))){
/* library.scm:3981: r-number */
t2=((C_word*)((C_word*)t0)[4])[1];
f_21200(t2,((C_word*)t0)[2],C_fix(10),((C_word*)t0)[5]);}
else{
if(C_truep(C_u_i_char_equalp(t1,C_make_character(111)))){
/* library.scm:3982: r-number */
t2=((C_word*)((C_word*)t0)[4])[1];
f_21200(t2,((C_word*)t0)[2],C_fix(8),((C_word*)t0)[5]);}
else{
if(C_truep(C_u_i_char_equalp(t1,C_make_character(98)))){
/* library.scm:3983: r-number */
t2=((C_word*)((C_word*)t0)[4])[1];
f_21200(t2,((C_word*)t0)[2],C_fix(2),((C_word*)t0)[5]);}
else{
/* library.scm:3984: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[771]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[771]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=lf[822];
av2[4]=t1;
tp(5,av2);}}}}}}}

/* k21384 in r-number-with-radix in readrec in k20126 in k20123 in k20120 in k20117 in k20114 in ##sys#read in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in ... */
static void C_ccall f_21386(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,3)))){
C_save_and_reclaim((void *)f_21386,2,av);}
a=C_alloc(6);
t2=C_eqp(C_make_character(35),t1);
if(C_truep(t2)){
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_21331,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
/* library.scm:3977: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[762]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[762]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}
else{
/* library.scm:3985: r-number */
t3=((C_word*)((C_word*)t0)[4])[1];
f_21200(t3,((C_word*)t0)[2],C_fix(10),((C_word*)t0)[5]);}}

/* r-token in readrec in k20126 in k20123 in k20120 in k20117 in k20114 in ##sys#read in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in ... */
static void C_fcall f_21388(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,0,2)))){
C_save_and_reclaim_args((void *)trf_21388,2,t0,t1);}
a=C_alloc(7);
t2=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_21396,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=t1,tmp=(C_word)a,a+=7,tmp);
/* library.scm:3988: ##sys#peek-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[764]);
C_word av2[3];
av2[0]=*((C_word*)lf[764]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[2];
tp(3,av2);}}

/* k21394 in r-token in readrec in k20126 in k20123 in k20120 in k20117 in k20114 in ##sys#read in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in ... */
static void C_ccall f_21396(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,4)))){
C_save_and_reclaim((void *)f_21396,2,av);}
a=C_alloc(10);
t2=C_SCHEME_UNDEFINED;
t3=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
t4=C_set_block_item(t3,0,(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_21398,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t3,a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],a[7]=((C_word)li657),tmp=(C_word)a,a+=8,tmp));
t5=((C_word*)t3)[1];
f_21398(t5,((C_word*)t0)[6],t1,C_SCHEME_END_OF_LIST);}

/* loop in k21394 in r-token in readrec in k20126 in k20123 in k20120 in k20117 in k20114 in ##sys#read in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in ... */
static void C_fcall f_21398(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,0,2)))){
C_save_and_reclaim_args((void *)trf_21398,4,t0,t1,t2,t3);}
a=C_alloc(9);
t4=C_eofp(t2);
t5=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_21408,a[2]=t1,a[3]=t3,a[4]=t2,a[5]=((C_word*)t0)[2],a[6]=((C_word*)t0)[3],a[7]=((C_word*)t0)[4],a[8]=((C_word*)t0)[5],tmp=(C_word)a,a+=9,tmp);
if(C_truep(t4)){
t6=t5;
f_21408(t6,t4);}
else{
t6=C_u_i_char_whitespacep(t2);
t7=t5;
f_21408(t7,(C_truep(t6)?t6:C_i_memq(t2,((C_word*)t0)[6])));}}

/* k21406 in loop in k21394 in r-token in readrec in k20126 in k20123 in k20120 in k20117 in k20114 in ##sys#read in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in ... */
static void C_fcall f_21408(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,0,3)))){
C_save_and_reclaim_args((void *)trf_21408,2,t0,t1);}
a=C_alloc(8);
if(C_truep(t1)){
/* library.scm:3992: ##sys#reverse-list->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[387]+1));
C_word av2[3];
av2[0]=*((C_word*)lf[387]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}
else{
if(C_truep(C_i_char_equalp(((C_word*)t0)[4],C_make_character(0)))){
/* library.scm:3994: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[771]);
C_word av2[4];
av2[0]=*((C_word*)lf[771]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[5];
av2[3]=lf[823];
tp(4,av2);}}
else{
t2=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_21423,a[2]=((C_word*)t0)[6],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[7],a[6]=((C_word*)t0)[2],a[7]=((C_word*)t0)[5],tmp=(C_word)a,a+=8,tmp);
/* library.scm:3996: read-unreserved-char-0 */
t3=((C_word*)((C_word*)t0)[8])[1];
f_20191(t3,t2,((C_word*)t0)[5]);}}}

/* k21421 in k21406 in loop in k21394 in r-token in readrec in k20126 in k20123 in k20120 in k20117 in k20114 in ##sys#read in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in ... */
static void C_ccall f_21423(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_21423,2,av);}
a=C_alloc(7);
t2=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_21430,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],tmp=(C_word)a,a+=7,tmp);
/* library.scm:3997: ##sys#peek-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[764]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[764]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[7];
tp(3,av2);}}

/* k21428 in k21421 in k21406 in loop in k21394 in r-token in readrec in k20126 in k20123 in k20120 in k20117 in k20114 in ##sys#read in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in ... */
static void C_ccall f_21430(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_21430,2,av);}
a=C_alloc(3);
if(C_truep(((C_word*)((C_word*)t0)[2])[1])){
t2=((C_word*)t0)[3];
t3=C_a_i_cons(&a,2,t2,((C_word*)t0)[4]);
/* library.scm:3997: loop */
t4=((C_word*)((C_word*)t0)[5])[1];
f_21398(t4,((C_word*)t0)[6],t1,t3);}
else{
t2=C_u_i_char_downcase(((C_word*)t0)[3]);
t3=C_a_i_cons(&a,2,t2,((C_word*)t0)[4]);
/* library.scm:3997: loop */
t4=((C_word*)((C_word*)t0)[5])[1];
f_21398(t4,((C_word*)t0)[6],t1,t3);}}

/* r-digits in readrec in k20126 in k20123 in k20120 in k20117 in k20114 in ##sys#read in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in ... */
static void C_fcall f_21452(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,0,2)))){
C_save_and_reclaim_args((void *)trf_21452,2,t0,t1);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_21460,a[2]=((C_word*)t0)[2],a[3]=t1,tmp=(C_word)a,a+=4,tmp);
/* library.scm:4001: ##sys#peek-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[764]);
C_word av2[3];
av2[0]=*((C_word*)lf[764]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[2];
tp(3,av2);}}

/* k21458 in r-digits in readrec in k20126 in k20123 in k20120 in k20117 in k20114 in ##sys#read in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in ... */
static void C_ccall f_21460(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,4)))){
C_save_and_reclaim((void *)f_21460,2,av);}
a=C_alloc(7);
t2=C_SCHEME_UNDEFINED;
t3=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
t4=C_set_block_item(t3,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_21462,a[2]=t3,a[3]=((C_word*)t0)[2],a[4]=((C_word)li659),tmp=(C_word)a,a+=5,tmp));
t5=((C_word*)t3)[1];
f_21462(t5,((C_word*)t0)[3],t1,C_SCHEME_END_OF_LIST);}

/* loop in k21458 in r-digits in readrec in k20126 in k20123 in k20120 in k20117 in k20114 in ##sys#read in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in ... */
static void C_fcall f_21462(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,0,2)))){
C_save_and_reclaim_args((void *)trf_21462,4,t0,t1,t2,t3);}
a=C_alloc(7);
t4=C_eofp(t2);
t5=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_21472,a[2]=t1,a[3]=t3,a[4]=t2,a[5]=((C_word*)t0)[2],a[6]=((C_word*)t0)[3],tmp=(C_word)a,a+=7,tmp);
if(C_truep(t4)){
t6=t5;
f_21472(t6,t4);}
else{
t6=C_u_i_char_numericp(t2);
t7=t5;
f_21472(t7,C_i_not(t6));}}

/* k21470 in loop in k21458 in r-digits in readrec in k20126 in k20123 in k20120 in k20117 in k20114 in ##sys#read in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in ... */
static void C_fcall f_21472(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,0,2)))){
C_save_and_reclaim_args((void *)trf_21472,2,t0,t1);}
a=C_alloc(7);
if(C_truep(t1)){
/* library.scm:4003: ##sys#reverse-list->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[387]+1));
C_word av2[3];
av2[0]=*((C_word*)lf[387]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}
else{
t2=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_21478,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[5],a[5]=((C_word*)t0)[2],a[6]=((C_word*)t0)[6],tmp=(C_word)a,a+=7,tmp);
/* library.scm:4005: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[762]);
C_word av2[3];
av2[0]=*((C_word*)lf[762]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[6];
tp(3,av2);}}}

/* k21476 in k21470 in loop in k21458 in r-digits in readrec in k20126 in k20123 in k20120 in k20117 in k20114 in ##sys#read in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in ... */
static void C_ccall f_21478(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_21478,2,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_21485,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
/* library.scm:4006: ##sys#peek-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[764]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[764]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[6];
tp(3,av2);}}

/* k21483 in k21476 in k21470 in loop in k21458 in r-digits in readrec in k20126 in k20123 in k20120 in k20117 in k20114 in ##sys#read in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in ... */
static void C_ccall f_21485(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_21485,2,av);}
a=C_alloc(3);
t2=C_a_i_cons(&a,2,((C_word*)t0)[2],((C_word*)t0)[3]);
/* library.scm:4006: loop */
t3=((C_word*)((C_word*)t0)[4])[1];
f_21462(t3,((C_word*)t0)[5],t1,t2);}

/* r-symbol in readrec in k20126 in k20123 in k20120 in k20117 in k20114 in ##sys#read in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in ... */
static void C_fcall f_21498(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,4)))){
C_save_and_reclaim_args((void *)trf_21498,2,t0,t1);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_21504,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word)li661),tmp=(C_word)a,a+=6,tmp);
/* library.scm:4009: r-xtoken */
t3=((C_word*)((C_word*)t0)[5])[1];
f_21523(t3,t1,t2);}

/* a21503 in r-symbol in readrec in k20126 in k20123 in k20120 in k20117 in k20114 in ##sys#read in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in ... */
static void C_ccall f_21504(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_21504,4,av);}
a=C_alloc(5);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_21508,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
if(C_truep(t3)){
/* library.scm:4011: build-keyword */
t5=((C_word*)((C_word*)t0)[4])[1];
f_22052(t5,t4,t2);}
else{
t5=t2;
/* library.scm:4115: ##sys#intern-symbol */{
C_word *av2=av;
av2[0]=0;
av2[1]=t4;
av2[2]=t5;
C_string_to_symbol(3,av2);}}}

/* k21506 in a21503 in r-symbol in readrec in k20126 in k20123 in k20120 in k20117 in k20114 in ##sys#read in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in ... */
static void C_ccall f_21508(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_21508,2,av);}
a=C_alloc(5);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_21515,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t2,tmp=(C_word)a,a+=5,tmp);
/* library.scm:4012: ##sys#port-line */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[745]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[745]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[4];
tp(3,av2);}}

/* k21513 in k21506 in a21503 in r-symbol in readrec in k20126 in k20123 in k20120 in k20117 in k20114 in ##sys#read in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in ... */
static void C_ccall f_21515(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_21515,2,av);}
/* library.scm:4012: info */
t2=((C_word*)((C_word*)t0)[2])[1];
f_20136(t2,((C_word*)t0)[3],lf[814],((C_word*)t0)[4],t1);}

/* r-xtoken in readrec in k20126 in k20123 in k20120 in k20117 in k20114 in ##sys#read in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in ... */
static void C_fcall f_21523(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(17,0,4)))){
C_save_and_reclaim_args((void *)trf_21523,3,t0,t1,t2);}
a=C_alloc(17);
t3=C_SCHEME_FALSE;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_SCHEME_UNDEFINED;
t6=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t7=C_set_block_item(t6,0,(*a=C_CLOSURE_TYPE|12,a[1]=(C_word)f_21529,a[2]=t2,a[3]=t4,a[4]=((C_word*)t0)[2],a[5]=((C_word*)t0)[3],a[6]=((C_word*)t0)[4],a[7]=t6,a[8]=((C_word*)t0)[5],a[9]=((C_word*)t0)[6],a[10]=((C_word*)t0)[7],a[11]=((C_word*)t0)[8],a[12]=((C_word)li663),tmp=(C_word)a,a+=13,tmp));
t8=((C_word*)t6)[1];
f_21529(t8,t1,C_SCHEME_END_OF_LIST,C_SCHEME_FALSE);}

/* loop in r-xtoken in readrec in k20126 in k20123 in k20120 in k20117 in k20114 in ##sys#read in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in ... */
static void C_fcall f_21529(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(15,0,2)))){
C_save_and_reclaim_args((void *)trf_21529,4,t0,t1,t2,t3);}
a=C_alloc(15);
t4=(*a=C_CLOSURE_TYPE|14,a[1]=(C_word)f_21533,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=t2,a[5]=((C_word*)t0)[3],a[6]=t3,a[7]=((C_word*)t0)[4],a[8]=((C_word*)t0)[5],a[9]=((C_word*)t0)[6],a[10]=((C_word*)t0)[7],a[11]=((C_word*)t0)[8],a[12]=((C_word*)t0)[9],a[13]=((C_word*)t0)[10],a[14]=((C_word*)t0)[11],tmp=(C_word)a,a+=15,tmp);
/* library.scm:4017: ##sys#peek-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[764]);
C_word av2[3];
av2[0]=*((C_word*)lf[764]+1);
av2[1]=t4;
av2[2]=((C_word*)t0)[9];
tp(3,av2);}}

/* k21531 in loop in r-xtoken in readrec in k20126 in k20123 in k20120 in k20117 in k20114 in ##sys#read in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in ... */
static void C_ccall f_21533(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(15,c,2)))){
C_save_and_reclaim((void *)f_21533,2,av);}
a=C_alloc(15);
t2=t1;
t3=C_eofp(t2);
t4=(*a=C_CLOSURE_TYPE|14,a[1]=(C_word)f_21542,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=t2,a[9]=((C_word*)t0)[8],a[10]=((C_word*)t0)[9],a[11]=((C_word*)t0)[10],a[12]=((C_word*)t0)[11],a[13]=((C_word*)t0)[12],a[14]=((C_word*)t0)[13],tmp=(C_word)a,a+=15,tmp);
if(C_truep(t3)){
t5=t4;
f_21542(t5,t3);}
else{
t5=C_u_i_char_whitespacep(t2);
t6=t4;
f_21542(t6,(C_truep(t5)?t5:C_i_memq(t2,((C_word*)t0)[14])));}}

/* k21540 in k21531 in loop in r-xtoken in readrec in k20126 in k20123 in k20120 in k20117 in k20114 in ##sys#read in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in ... */
static void C_fcall f_21542(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,0,2)))){
C_save_and_reclaim_args((void *)trf_21542,2,t0,t1);}
a=C_alloc(10);
if(C_truep(t1)){
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_21548,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
if(C_truep(((C_word*)t0)[6])){
t3=C_eqp(((C_word*)((C_word*)t0)[7])[1],lf[808]);
if(C_truep(t3)){
t4=C_i_cdr(((C_word*)t0)[4]);
t5=C_i_nullp(t4);
t6=t2;
f_21548(t6,C_i_not(t5));}
else{
t4=t2;
f_21548(t4,C_SCHEME_FALSE);}}
else{
t3=t2;
f_21548(t3,C_SCHEME_FALSE);}}
else{
if(C_truep(C_i_memq(((C_word*)t0)[8],((C_word*)((C_word*)t0)[9])[1]))){
/* library.scm:4029: reserved-character */
t2=((C_word*)((C_word*)t0)[10])[1];
f_20182(t2,((C_word*)t0)[3],((C_word*)t0)[8]);}
else{
t2=(*a=C_CLOSURE_TYPE|9,a[1]=(C_word)f_21606,a[2]=((C_word*)t0)[11],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[12],a[6]=((C_word*)t0)[13],a[7]=((C_word*)t0)[7],a[8]=((C_word*)t0)[5],a[9]=((C_word*)t0)[14],tmp=(C_word)a,a+=10,tmp);
/* library.scm:4031: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[762]);
C_word av2[3];
av2[0]=*((C_word*)lf[762]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[13];
tp(3,av2);}}}}

/* k21546 in k21540 in k21531 in loop in r-xtoken in readrec in k20126 in k20123 in k20120 in k20117 in k20114 in ##sys#read in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in ... */
static void C_fcall f_21548(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,2)))){
C_save_and_reclaim_args((void *)trf_21548,2,t0,t1);}
a=C_alloc(6);
if(C_truep(t1)){
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_21555,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
t3=C_i_cdr(((C_word*)t0)[4]);
/* library.scm:4025: ##sys#reverse-list->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[387]+1));
C_word av2[3];
av2[0]=*((C_word*)lf[387]+1);
av2[1]=t2;
av2[2]=t3;
tp(3,av2);}}
else{
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_21566,a[2]=((C_word*)t0)[5],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[2],a[5]=((C_word*)t0)[3],tmp=(C_word)a,a+=6,tmp);
/* library.scm:4026: ##sys#reverse-list->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[387]+1));
C_word av2[3];
av2[0]=*((C_word*)lf[387]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[4];
tp(3,av2);}}}

/* k21553 in k21546 in k21540 in k21531 in loop in r-xtoken in readrec in k20126 in k20123 in k20120 in k20117 in k20114 in ##sys#read in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in ... */
static void C_ccall f_21555(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_21555,2,av);}
/* library.scm:4025: k */
t2=((C_word*)t0)[2];{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
av2[2]=t1;
av2[3]=C_SCHEME_TRUE;
((C_proc)C_fast_retrieve_proc(t2))(4,av2);}}

/* k21564 in k21546 in k21540 in k21531 in loop in r-xtoken in readrec in k20126 in k20123 in k20120 in k20117 in k20114 in ##sys#read in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in ... */
static void C_ccall f_21566(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_21566,2,av);}
if(C_truep(((C_word*)((C_word*)t0)[2])[1])){
t2=C_i_nullp(((C_word*)t0)[3]);
t3=C_i_not(t2);
/* library.scm:4026: k */
t4=((C_word*)t0)[4];{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t4;
av2[1]=((C_word*)t0)[5];
av2[2]=t1;
av2[3]=t3;
((C_proc)C_fast_retrieve_proc(t4))(4,av2);}}
else{
/* library.scm:4026: k */
t2=((C_word*)t0)[4];{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[5];
av2[2]=t1;
av2[3]=C_SCHEME_FALSE;
((C_proc)C_fast_retrieve_proc(t2))(4,av2);}}}

/* k21604 in k21540 in k21531 in loop in r-xtoken in readrec in k20126 in k20123 in k20120 in k20117 in k20114 in ##sys#read in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in ... */
static void C_ccall f_21606(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,3)))){
C_save_and_reclaim((void *)f_21606,2,av);}
a=C_alloc(9);
switch(t1){
case C_make_character(124):
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_21615,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:4034: r-string */
t3=((C_word*)((C_word*)t0)[5])[1];
f_20354(t3,t2,C_make_character(124));
case C_make_character(10):
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_21639,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_21650,a[2]=t2,a[3]=((C_word*)t0)[6],tmp=(C_word)a,a+=4,tmp);
/* library.scm:4040: ##sys#reverse-list->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[387]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[387]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[4];
tp(3,av2);}
case C_make_character(58):
t2=C_i_nullp(((C_word*)t0)[4]);
t3=(C_truep(t2)?C_eqp(((C_word*)((C_word*)t0)[7])[1],lf[825]):C_SCHEME_FALSE);
if(C_truep(t3)){
t4=C_set_block_item(((C_word*)t0)[8],0,C_SCHEME_TRUE);
/* library.scm:4045: loop */
t5=((C_word*)((C_word*)t0)[2])[1];
f_21529(t5,((C_word*)t0)[3],C_SCHEME_END_OF_LIST,C_SCHEME_FALSE);}
else{
t4=C_a_i_cons(&a,2,C_make_character(58),((C_word*)t0)[4]);
/* library.scm:4046: loop */
t5=((C_word*)((C_word*)t0)[2])[1];
f_21529(t5,((C_word*)t0)[3],t4,C_SCHEME_TRUE);}
case C_make_character(92):
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_21688,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[6],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[2],tmp=(C_word)a,a+=6,tmp);
/* library.scm:4048: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[762]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[762]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[6];
tp(3,av2);}
default:
if(C_truep(((C_word*)((C_word*)t0)[9])[1])){
t2=C_a_i_cons(&a,2,t1,((C_word*)t0)[4]);
/* library.scm:4055: loop */
t3=((C_word*)((C_word*)t0)[2])[1];
f_21529(t3,((C_word*)t0)[3],t2,C_SCHEME_FALSE);}
else{
t2=C_u_i_char_downcase(t1);
t3=C_a_i_cons(&a,2,t2,((C_word*)t0)[4]);
/* library.scm:4055: loop */
t4=((C_word*)((C_word*)t0)[2])[1];
f_21529(t4,((C_word*)t0)[3],t3,C_SCHEME_FALSE);}}}

/* k21613 in k21604 in k21540 in k21531 in loop in r-xtoken in readrec in k20126 in k20123 in k20120 in k20117 in k20114 in ##sys#read in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in ... */
static void C_ccall f_21615(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,c,2)))){
C_save_and_reclaim((void *)f_21615,2,av);}
a=C_alloc(11);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_21622,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_21626,a[2]=t2,a[3]=((C_word*)t0)[4],tmp=(C_word)a,a+=4,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_21630,a[2]=t3,tmp=(C_word)a,a+=3,tmp);
/* library.scm:4035: ##sys#string->list */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[383]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[383]+1);
av2[1]=t4;
av2[2]=t1;
tp(3,av2);}}

/* k21620 in k21613 in k21604 in k21540 in k21531 in loop in r-xtoken in readrec in k20126 in k20123 in k20120 in k20117 in k20114 in ##sys#read in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in ... */
static void C_ccall f_21622(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_21622,2,av);}
/* library.scm:4035: loop */
t2=((C_word*)((C_word*)t0)[2])[1];
f_21529(t2,((C_word*)t0)[3],t1,C_SCHEME_FALSE);}

/* k21624 in k21613 in k21604 in k21540 in k21531 in loop in r-xtoken in readrec in k20126 in k20123 in k20120 in k20117 in k20114 in ##sys#read in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in ... */
static void C_ccall f_21626(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_21626,2,av);}
/* library.scm:4035: scheme#append */
t2=*((C_word*)lf[373]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
av2[3]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* k21628 in k21613 in k21604 in k21540 in k21531 in loop in r-xtoken in readrec in k20126 in k20123 in k20120 in k20117 in k20114 in ##sys#read in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in ... */
static void C_ccall f_21630(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_21630,2,av);}
/* library.scm:4035: ##sys#fast-reverse */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[375]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[375]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
tp(3,av2);}}

/* k21637 in k21604 in k21540 in k21531 in loop in r-xtoken in readrec in k20126 in k20123 in k20120 in k20117 in k20114 in ##sys#read in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in ... */
static void C_ccall f_21639(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_21639,2,av);}
a=C_alloc(3);
t2=C_a_i_cons(&a,2,C_make_character(10),((C_word*)t0)[2]);
/* library.scm:4041: loop */
t3=((C_word*)((C_word*)t0)[3])[1];
f_21529(t3,((C_word*)t0)[4],t2,C_SCHEME_FALSE);}

/* k21648 in k21604 in k21540 in k21531 in loop in r-xtoken in readrec in k20126 in k20123 in k20120 in k20117 in k20114 in ##sys#read in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in ... */
static void C_ccall f_21650(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_21650,2,av);}
/* library.scm:4038: ##sys#read-warning */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[774]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[774]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=lf[824];
av2[4]=t1;
tp(5,av2);}}

/* k21686 in k21604 in k21540 in k21531 in loop in r-xtoken in readrec in k20126 in k20123 in k20120 in k20117 in k20114 in ##sys#read in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in ... */
static void C_ccall f_21688(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_21688,2,av);}
a=C_alloc(3);
if(C_truep(C_eofp(t1))){
/* library.scm:4050: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[771]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[771]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=lf[826];
tp(4,av2);}}
else{
t2=C_a_i_cons(&a,2,t1,((C_word*)t0)[4]);
/* library.scm:4053: loop */
t3=((C_word*)((C_word*)t0)[5])[1];
f_21529(t3,((C_word*)t0)[2],t2,C_SCHEME_FALSE);}}

/* r-char in readrec in k20126 in k20123 in k20120 in k20117 in k20114 in ##sys#read in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in ... */
static void C_fcall f_21737(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,2)))){
C_save_and_reclaim_args((void *)trf_21737,2,t0,t1);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_21741,a[2]=t1,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
/* library.scm:4061: ##sys#peek-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[764]);
C_word av2[3];
av2[0]=*((C_word*)lf[764]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[2];
tp(3,av2);}}

/* k21739 in r-char in readrec in k20126 in k20123 in k20120 in k20117 in k20114 in ##sys#read in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in ... */
static void C_ccall f_21741(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_21741,2,av);}
a=C_alloc(6);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_21744,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t2,a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
/* library.scm:4062: r-token */
t4=((C_word*)((C_word*)t0)[5])[1];
f_21388(t4,t3);}

/* k21742 in k21739 in r-char in readrec in k20126 in k20123 in k20120 in k20117 in k20114 in ##sys#read in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in ... */
static void C_ccall f_21744(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,c,2)))){
C_save_and_reclaim((void *)f_21744,2,av);}
a=C_alloc(11);
t2=t1;
t3=C_block_size(t2);
t4=t3;
if(C_truep(C_fixnum_greaterp(t4,C_fix(1)))){
t5=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_21756,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word*)t0)[3],a[5]=t4,tmp=(C_word)a,a+=6,tmp);
t6=C_i_char_equalp(C_make_character(120),((C_word*)t0)[4]);
t7=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_21921,a[2]=t5,a[3]=t2,a[4]=t4,tmp=(C_word)a,a+=5,tmp);
if(C_truep(t6)){
t8=t7;
f_21921(t8,t6);}
else{
t8=C_u_i_char_equalp(C_make_character(117),((C_word*)t0)[4]);
if(C_truep(t8)){
t9=t7;
f_21921(t9,t8);}
else{
t9=C_u_i_char_equalp(C_make_character(85),((C_word*)t0)[4]);
t10=t7;
f_21921(t10,t9);}}}
else{
if(C_truep(C_i_memq(((C_word*)t0)[4],((C_word*)t0)[5]))){
/* library.scm:4092: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[762]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[762]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}
else{
t5=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t5;
av2[1]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}}

/* k21754 in k21742 in k21739 in r-char in readrec in k20126 in k20123 in k20120 in k20117 in k20114 in ##sys#read in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in ... */
static void C_ccall f_21756(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word t19;
C_word t20;
C_word t21;
C_word t22;
C_word t23;
C_word t24;
C_word t25;
C_word t26;
C_word t27;
C_word t28;
C_word t29;
C_word t30;
C_word t31;
C_word t32;
C_word t33;
C_word t34;
C_word t35;
C_word t36;
C_word t37;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_21756,2,av);}
a=C_alloc(5);
if(C_truep(t1)){
t2=((C_word*)t0)[2];
t3=t1;
t4=t2;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_make_character(C_unfix(t3));
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t2=C_subchar(((C_word*)t0)[3],C_fix(0));
t3=C_fix(C_character_code(t2));
t4=C_fixnum_less_or_equal_p(C_fix(192),t3);
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_21776,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
if(C_truep(t4)){
if(C_truep(C_fixnum_less_or_equal_p(t3,C_fix(247)))){
t6=C_fixnum_shift_right(t3,C_fix(4));
t7=C_fixnum_and(t6,C_fix(3));
t8=C_fixnum_shift_right(t7,C_fix(1));
t9=C_fixnum_or(t7,t8);
t10=C_fixnum_difference(t7,C_fix(1));
t11=C_fixnum_and(t9,t10);
t12=C_fixnum_plus(C_fix(2),t11);
t13=C_eqp(((C_word*)t0)[5],t12);
if(C_truep(t13)){
t14=C_fixnum_difference(C_fix(8),t12);
t15=C_fixnum_shift_left(C_fix(1),t14);
t16=C_fixnum_difference(t15,C_fix(1));
t17=C_fixnum_and(t3,t16);
t18=C_fixnum_shift_left(t17,C_fix(6));
t19=C_subchar(((C_word*)t0)[3],C_fix(1));
t20=C_fix(C_character_code(t19));
t21=C_fixnum_and(t20,C_fix(63));
t22=C_fixnum_plus(t18,t21);
t23=t22;
if(C_truep(t23)){
if(C_truep(C_fixnum_greater_or_equal_p(t12,C_fix(3)))){
t24=C_fixnum_shift_left(t23,C_fix(6));
t25=C_subchar(((C_word*)t0)[3],C_fix(2));
t26=C_fix(C_character_code(t25));
t27=C_fixnum_and(t26,C_fix(63));
t28=C_fixnum_plus(t24,t27);
t29=t23=t28;
t30=C_eqp(t12,C_fix(4));
if(C_truep(t30)){
t31=C_fixnum_shift_left(t23,C_fix(6));
t32=C_subchar(((C_word*)t0)[3],C_fix(3));
t33=C_fix(C_character_code(t32));
t34=C_fixnum_and(t33,C_fix(63));
t35=C_fixnum_plus(t31,t34);
t36=t23=t35;
t37=t5;
f_21776(t37,C_make_character(C_unfix(t23)));}
else{
t31=t5;
f_21776(t31,C_make_character(C_unfix(t23)));}}
else{
t24=t5;
f_21776(t24,C_make_character(C_unfix(t23)));}}
else{
t24=t5;
f_21776(t24,C_SCHEME_FALSE);}}
else{
t14=t5;
f_21776(t14,C_SCHEME_FALSE);}}
else{
t6=t5;
f_21776(t6,C_SCHEME_FALSE);}}
else{
t6=t5;
f_21776(t6,C_SCHEME_FALSE);}}}

/* k21774 in k21754 in k21742 in k21739 in r-char in readrec in k20126 in k20123 in k20120 in k20117 in k20114 in ##sys#read in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in ... */
static void C_fcall f_21776(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,0,2)))){
C_save_and_reclaim_args((void *)trf_21776,2,t0,t1);}
a=C_alloc(8);
if(C_truep(t1)){
t2=t1;
t3=((C_word*)t0)[2];{
C_word av2[2];
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_21782,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_21792,a[2]=t2,tmp=(C_word)a,a+=3,tmp);
/* library.scm:4090: ##sys#intern-symbol */{
C_word av2[3];
av2[0]=0;
av2[1]=t3;
av2[2]=((C_word*)t0)[4];
C_string_to_symbol(3,av2);}}}

/* k21780 in k21774 in k21754 in k21742 in k21739 in r-char in readrec in k20126 in k20123 in k20120 in k20117 in k20114 in ##sys#read in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in ... */
static void C_ccall f_21782(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_21782,2,av);}
if(C_truep(t1)){
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}
else{
/* library.scm:4091: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[771]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[771]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=lf[827];
av2[4]=((C_word*)t0)[4];
tp(5,av2);}}}

/* k21790 in k21774 in k21754 in k21742 in k21739 in r-char in readrec in k20126 in k20123 in k20120 in k20117 in k20114 in ##sys#read in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in ... */
static void C_ccall f_21792(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_21792,2,av);}
/* library.scm:4090: chicken.base#char-name */
t2=*((C_word*)lf[199]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* k21919 in k21742 in k21739 in r-char in readrec in k20126 in k20123 in k20120 in k20117 in k20114 in ##sys#read in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in ... */
static void C_fcall f_21921(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,0,4)))){
C_save_and_reclaim_args((void *)trf_21921,2,t0,t1);}
a=C_alloc(3);
if(C_truep(t1)){
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_21928,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:4066: ##sys#substring */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[395]+1));
C_word av2[5];
av2[0]=*((C_word*)lf[395]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[3];
av2[3]=C_fix(1);
av2[4]=((C_word*)t0)[4];
tp(5,av2);}}
else{
t2=((C_word*)t0)[2];{
C_word av2[2];
av2[0]=t2;
av2[1]=C_SCHEME_FALSE;
f_21756(2,av2);}}}

/* k21926 in k21919 in k21742 in k21739 in r-char in readrec in k20126 in k20123 in k20120 in k20117 in k20114 in ##sys#read in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in ... */
static void C_ccall f_21928(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_21928,2,av);}
/* library.scm:4066: ##sys#string->number */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[619]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[619]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
av2[3]=C_fix(16);
tp(4,av2);}}

/* r-comment in readrec in k20126 in k20123 in k20120 in k20117 in k20114 in ##sys#read in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in ... */
static void C_fcall f_21946(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,0,3)))){
C_save_and_reclaim_args((void *)trf_21946,2,t0,t1);}
a=C_alloc(7);
t2=C_SCHEME_UNDEFINED;
t3=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
t4=C_set_block_item(t3,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_21952,a[2]=t3,a[3]=((C_word*)t0)[2],a[4]=((C_word)li666),tmp=(C_word)a,a+=5,tmp));
t5=((C_word*)t3)[1];
f_21952(t5,t1,C_fix(0));}

/* loop in r-comment in readrec in k20126 in k20123 in k20120 in k20117 in k20114 in ##sys#read in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in ... */
static void C_fcall f_21952(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,2)))){
C_save_and_reclaim_args((void *)trf_21952,3,t0,t1,t2);}
a=C_alloc(6);
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_21956,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=t1,a[5]=((C_word*)t0)[3],tmp=(C_word)a,a+=6,tmp);
/* library.scm:4097: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[762]);
C_word av2[3];
av2[0]=*((C_word*)lf[762]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}

/* k21954 in loop in r-comment in readrec in k20126 in k20123 in k20120 in k20117 in k20114 in ##sys#read in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in ... */
static void C_ccall f_21956(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_21956,2,av);}
a=C_alloc(5);
switch(t1){
case C_make_character(124):
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_21992,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:4099: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[762]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[762]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[5];
tp(3,av2);}
case C_make_character(35):
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_22015,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:4103: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[762]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[762]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[5];
tp(3,av2);}
default:
if(C_truep(C_eofp(t1))){
/* library.scm:4107: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[771]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[771]+1);
av2[1]=((C_word*)t0)[4];
av2[2]=((C_word*)t0)[5];
av2[3]=lf[828];
tp(4,av2);}}
else{
/* library.scm:4108: loop */
t2=((C_word*)((C_word*)t0)[3])[1];
f_21952(t2,((C_word*)t0)[4],((C_word*)t0)[2]);}}}

/* k21990 in k21954 in loop in r-comment in readrec in k20126 in k20123 in k20120 in k20117 in k20114 in ##sys#read in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in ... */
static void C_ccall f_21992(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_21992,2,av);}
t2=C_eqp(C_make_character(35),t1);
if(C_truep(t2)){
t3=C_eqp(((C_word*)t0)[2],C_fix(0));
if(C_truep(C_i_not(t3))){
t4=C_fixnum_difference(((C_word*)t0)[2],C_fix(1));
/* library.scm:4101: loop */
t5=((C_word*)((C_word*)t0)[3])[1];
f_21952(t5,((C_word*)t0)[4],t4);}
else{
t4=C_SCHEME_UNDEFINED;
t5=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}
else{
/* library.scm:4102: loop */
t3=((C_word*)((C_word*)t0)[3])[1];
f_21952(t3,((C_word*)t0)[4],((C_word*)t0)[2]);}}

/* k22013 in k21954 in loop in r-comment in readrec in k20126 in k20123 in k20120 in k20117 in k20114 in ##sys#read in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in ... */
static void C_ccall f_22015(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_22015,2,av);}
t2=C_eqp(C_make_character(124),t1);
if(C_truep(t2)){
t3=C_fixnum_plus(((C_word*)t0)[2],C_fix(1));
/* library.scm:4103: loop */
t4=((C_word*)((C_word*)t0)[3])[1];
f_21952(t4,((C_word*)t0)[4],t3);}
else{
t3=((C_word*)t0)[2];
/* library.scm:4103: loop */
t4=((C_word*)((C_word*)t0)[3])[1];
f_21952(t4,((C_word*)t0)[4],t3);}}

/* r-ext-symbol in readrec in k20126 in k20123 in k20120 in k20117 in k20114 in ##sys#read in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in ... */
static void C_fcall f_22033(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,0,2)))){
C_save_and_reclaim_args((void *)trf_22033,2,t0,t1);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_22037,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* library.scm:4111: r-token */
t3=((C_word*)((C_word*)t0)[2])[1];
f_21388(t3,t2);}

/* k22035 in r-ext-symbol in readrec in k20126 in k20123 in k20120 in k20117 in k20114 in ##sys#read in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in ... */
static void C_ccall f_22037(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_22037,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_22044,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:4112: string-append */
t3=*((C_word*)lf[413]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[829];
av2[3]=t1;
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* k22042 in k22035 in r-ext-symbol in readrec in k20126 in k20123 in k20120 in k20117 in k20114 in ##sys#read in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in ... */
static void C_ccall f_22044(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_22044,2,av);}
t2=((C_word*)t0)[2];
/* library.scm:4115: ##sys#intern-symbol */{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=0;
av2[1]=t2;
av2[2]=t1;
C_string_to_symbol(3,av2);}}

/* build-keyword in readrec in k20126 in k20123 in k20120 in k20117 in k20114 in ##sys#read in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in ... */
static void C_fcall f_22052(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,0,3)))){
C_save_and_reclaim_args((void *)trf_22052,3,t0,t1,t2);}
a=C_alloc(3);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_22060,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* library.scm:4119: ##sys#string-append */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[412]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[412]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[2];
av2[3]=t2;
tp(4,av2);}}

/* k22058 in build-keyword in readrec in k20126 in k20123 in k20120 in k20117 in k20114 in ##sys#read in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in ... */
static void C_ccall f_22060(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_22060,2,av);}
/* library.scm:4118: ##sys#intern-symbol */{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
C_string_to_symbol(3,av2);}}

/* k22062 in readrec in k20126 in k20123 in k20120 in k20117 in k20114 in ##sys#read in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in ... */
static void C_ccall f_22064(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(26,c,2)))){
C_save_and_reclaim((void *)f_22064,2,av);}
a=C_alloc(26);
t2=C_mutate(((C_word *)((C_word*)t0)[2])+1,t1);
t3=(*a=C_CLOSURE_TYPE|25,a[1]=(C_word)f_22067,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],a[5]=((C_word*)t0)[6],a[6]=((C_word*)t0)[7],a[7]=((C_word*)t0)[8],a[8]=((C_word*)t0)[9],a[9]=((C_word*)t0)[10],a[10]=((C_word*)t0)[11],a[11]=((C_word*)t0)[12],a[12]=((C_word*)t0)[13],a[13]=((C_word*)t0)[14],a[14]=((C_word*)t0)[15],a[15]=((C_word*)t0)[16],a[16]=((C_word*)t0)[17],a[17]=((C_word*)t0)[18],a[18]=((C_word*)t0)[19],a[19]=((C_word*)t0)[20],a[20]=((C_word*)t0)[21],a[21]=((C_word*)t0)[22],a[22]=((C_word*)t0)[23],a[23]=((C_word*)t0)[2],a[24]=((C_word*)t0)[24],a[25]=((C_word*)t0)[25],tmp=(C_word)a,a+=26,tmp);
/* library.scm:4126: r-spaces */
t4=((C_word*)((C_word*)t0)[26])[1];
f_20209(t4,t3);}

/* k22065 in k22062 in readrec in k20126 in k20123 in k20120 in k20117 in k20114 in ##sys#read in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in ... */
static void C_ccall f_22067(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(26,c,2)))){
C_save_and_reclaim((void *)f_22067,2,av);}
a=C_alloc(26);
t2=(*a=C_CLOSURE_TYPE|25,a[1]=(C_word)f_22070,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=((C_word*)t0)[8],a[9]=((C_word*)t0)[9],a[10]=((C_word*)t0)[10],a[11]=((C_word*)t0)[11],a[12]=((C_word*)t0)[12],a[13]=((C_word*)t0)[13],a[14]=((C_word*)t0)[14],a[15]=((C_word*)t0)[15],a[16]=((C_word*)t0)[16],a[17]=((C_word*)t0)[17],a[18]=((C_word*)t0)[18],a[19]=((C_word*)t0)[19],a[20]=((C_word*)t0)[20],a[21]=((C_word*)t0)[21],a[22]=((C_word*)t0)[22],a[23]=((C_word*)t0)[23],a[24]=((C_word*)t0)[24],a[25]=((C_word*)t0)[25],tmp=(C_word)a,a+=26,tmp);
/* library.scm:4127: ##sys#peek-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[764]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[764]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}

/* k22068 in k22065 in k22062 in readrec in k20126 in k20123 in k20120 in k20117 in k20114 in ##sys#read in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in ... */
static void C_ccall f_22070(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(27,c,2)))){
C_save_and_reclaim((void *)f_22070,2,av);}
a=C_alloc(27);
t2=t1;
t3=C_slot(((C_word*)t0)[2],C_fix(1));
t4=(*a=C_CLOSURE_TYPE|26,a[1]=(C_word)f_22076,a[2]=t2,a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[2],a[7]=((C_word*)t0)[6],a[8]=((C_word*)t0)[7],a[9]=((C_word*)t0)[8],a[10]=((C_word*)t0)[9],a[11]=((C_word*)t0)[10],a[12]=((C_word*)t0)[11],a[13]=((C_word*)t0)[12],a[14]=((C_word*)t0)[13],a[15]=((C_word*)t0)[14],a[16]=((C_word*)t0)[15],a[17]=((C_word*)t0)[16],a[18]=((C_word*)t0)[17],a[19]=((C_word*)t0)[18],a[20]=((C_word*)t0)[19],a[21]=((C_word*)t0)[20],a[22]=((C_word*)t0)[21],a[23]=((C_word*)t0)[22],a[24]=((C_word*)t0)[23],a[25]=((C_word*)t0)[24],a[26]=((C_word*)t0)[25],tmp=(C_word)a,a+=27,tmp);
t5=C_eofp(t2);
if(C_truep(C_i_not(t5))){
if(C_truep(t3)){
t6=C_fix(C_character_code(t2));
t7=t4;
f_22076(t7,C_slot(t3,t6));}
else{
t6=t4;
f_22076(t6,C_SCHEME_FALSE);}}
else{
t6=t4;
f_22076(t6,C_SCHEME_FALSE);}}

/* k22074 in k22068 in k22065 in k22062 in readrec in k20126 in k20123 in k20120 in k20117 in k20114 in ##sys#read in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in ... */
static void C_fcall f_22076(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(20,0,3)))){
C_save_and_reclaim_args((void *)trf_22076,2,t0,t1);}
a=C_alloc(20);
t2=t1;
if(C_truep(t2)){
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_22084,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word)li670),tmp=(C_word)a,a+=6,tmp);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_22090,a[2]=((C_word*)t0)[4],a[3]=((C_word)li671),tmp=(C_word)a,a+=4,tmp);
/* library.scm:4133: ##sys#call-with-values */{
C_word av2[4];
av2[0]=0;
av2[1]=((C_word*)t0)[5];
av2[2]=t3;
av2[3]=t4;
C_call_with_values(4,av2);}}
else{
switch(((C_word*)t0)[2]){
case C_make_character(39):
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_22112,a[2]=((C_word*)t0)[5],a[3]=((C_word*)t0)[4],tmp=(C_word)a,a+=4,tmp);
/* library.scm:4139: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[762]);
C_word av2[3];
av2[0]=*((C_word*)lf[762]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}
case C_make_character(96):
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_22128,a[2]=((C_word*)t0)[5],a[3]=((C_word*)t0)[4],tmp=(C_word)a,a+=4,tmp);
/* library.scm:4142: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[762]);
C_word av2[3];
av2[0]=*((C_word*)lf[762]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}
case C_make_character(44):
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_22144,a[2]=((C_word*)t0)[5],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
/* library.scm:4145: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[762]);
C_word av2[3];
av2[0]=*((C_word*)lf[762]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}
case C_make_character(35):
t3=(*a=C_CLOSURE_TYPE|19,a[1]=(C_word)f_22180,a[2]=((C_word*)t0)[5],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[6],a[5]=((C_word*)t0)[2],a[6]=((C_word*)t0)[4],a[7]=((C_word*)t0)[7],a[8]=((C_word*)t0)[8],a[9]=((C_word*)t0)[9],a[10]=((C_word*)t0)[10],a[11]=((C_word*)t0)[11],a[12]=((C_word*)t0)[12],a[13]=((C_word*)t0)[13],a[14]=((C_word*)t0)[14],a[15]=((C_word*)t0)[15],a[16]=((C_word*)t0)[16],a[17]=((C_word*)t0)[17],a[18]=((C_word*)t0)[18],a[19]=((C_word*)t0)[19],tmp=(C_word)a,a+=20,tmp);
/* library.scm:4151: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[762]);
C_word av2[3];
av2[0]=*((C_word*)lf[762]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}
case C_make_character(40):
/* library.scm:4261: r-list */
t3=((C_word*)((C_word*)t0)[20])[1];
f_20920(t3,((C_word*)t0)[5],C_make_character(40),C_make_character(41));
case C_make_character(41):
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_22799,a[2]=((C_word*)t0)[21],a[3]=((C_word*)t0)[5],a[4]=((C_word*)t0)[2],tmp=(C_word)a,a+=5,tmp);
/* library.scm:4262: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[762]);
C_word av2[3];
av2[0]=*((C_word*)lf[762]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}
case C_make_character(34):
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_22811,a[2]=((C_word*)t0)[22],a[3]=((C_word*)t0)[5],tmp=(C_word)a,a+=4,tmp);
/* library.scm:4263: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[762]);
C_word av2[3];
av2[0]=*((C_word*)lf[762]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}
case C_make_character(46):
/* library.scm:4264: r-number */
t3=((C_word*)((C_word*)t0)[23])[1];
f_21200(t3,((C_word*)t0)[5],C_SCHEME_FALSE,C_SCHEME_FALSE);
default:
t3=C_eqp(((C_word*)t0)[2],C_make_character(45));
t4=(C_truep(t3)?t3:C_eqp(((C_word*)t0)[2],C_make_character(43)));
if(C_truep(t4)){
/* library.scm:4265: r-number */
t5=((C_word*)((C_word*)t0)[23])[1];
f_21200(t5,((C_word*)t0)[5],C_SCHEME_FALSE,C_SCHEME_FALSE);}
else{
if(C_truep(C_eofp(((C_word*)t0)[2]))){
t5=((C_word*)t0)[5];{
C_word av2[2];
av2[0]=t5;
av2[1]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
if(C_truep(C_u_i_char_numericp(((C_word*)t0)[2]))){
/* library.scm:4268: r-number */
t5=((C_word*)((C_word*)t0)[23])[1];
f_21200(t5,((C_word*)t0)[5],C_SCHEME_FALSE,C_SCHEME_FALSE);}
else{
if(C_truep(C_i_memq(((C_word*)t0)[2],((C_word*)((C_word*)t0)[24])[1]))){
/* library.scm:4270: reserved-character */
t5=((C_word*)((C_word*)t0)[25])[1];
f_20182(t5,((C_word*)t0)[5],((C_word*)t0)[2]);}
else{
switch(((C_word*)t0)[2]){
case C_make_character(91):
/* library.scm:4273: r-list */
t5=((C_word*)((C_word*)t0)[20])[1];
f_20920(t5,((C_word*)t0)[5],C_make_character(91),C_make_character(93));
case C_make_character(123):
/* library.scm:4274: r-list */
t5=((C_word*)((C_word*)t0)[20])[1];
f_20920(t5,((C_word*)t0)[5],C_make_character(123),C_make_character(125));
default:
t5=C_eqp(((C_word*)t0)[2],C_make_character(93));
t6=(C_truep(t5)?t5:C_eqp(((C_word*)t0)[2],C_make_character(125)));
if(C_truep(t6)){
t7=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_22889,a[2]=((C_word*)t0)[21],a[3]=((C_word*)t0)[5],a[4]=((C_word*)t0)[2],tmp=(C_word)a,a+=5,tmp);
/* library.scm:4275: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[762]);
C_word av2[3];
av2[0]=*((C_word*)lf[762]+1);
av2[1]=t7;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}
else{
/* library.scm:4276: r-symbol */
t7=((C_word*)((C_word*)t0)[26])[1];
f_21498(t7,((C_word*)t0)[5]);}}}}}}}}}

/* a22083 in k22074 in k22068 in k22065 in k22062 in readrec in k20126 in k20123 in k20120 in k20117 in k20114 in ##sys#read in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in ... */
static void C_ccall f_22084(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_22084,2,av);}
/* library.scm:4134: h */
t2=((C_word*)t0)[2];{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t2;
av2[1]=t1;
av2[2]=((C_word*)t0)[3];
av2[3]=((C_word*)t0)[4];
((C_proc)C_fast_retrieve_proc(t2))(4,av2);}}

/* a22089 in k22074 in k22068 in k22065 in k22062 in readrec in k20126 in k20123 in k20120 in k20117 in k20114 in ##sys#read in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in ... */
static void C_ccall f_22090(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +0,c,1)))){
C_save_and_reclaim((void*)f_22090,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+0);
t2=C_build_rest(&a,c,2,av);
C_word t3;
if(C_truep(C_i_nullp(t2))){
/* library.scm:4135: readrec */
t3=((C_word*)((C_word*)t0)[2])[1];
f_20206(t3,t1);}
else{
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_car(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k22110 in k22074 in k22068 in k22065 in k22062 in readrec in k20126 in k20123 in k20120 in k20117 in k20114 in ##sys#read in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in ... */
static void C_ccall f_22112(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_22112,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_22119,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:4140: readrec */
t3=((C_word*)((C_word*)t0)[3])[1];
f_20206(t3,t2);}

/* k22117 in k22110 in k22074 in k22068 in k22065 in k22062 in readrec in k20126 in k20123 in k20120 in k20117 in k20114 in ##sys#read in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in ... */
static void C_ccall f_22119(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,1)))){
C_save_and_reclaim((void *)f_22119,2,av);}
a=C_alloc(6);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_list2(&a,2,lf[830],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k22126 in k22074 in k22068 in k22065 in k22062 in readrec in k20126 in k20123 in k20120 in k20117 in k20114 in ##sys#read in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in ... */
static void C_ccall f_22128(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_22128,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_22135,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:4143: readrec */
t3=((C_word*)((C_word*)t0)[3])[1];
f_20206(t3,t2);}

/* k22133 in k22126 in k22074 in k22068 in k22065 in k22062 in readrec in k20126 in k20123 in k20120 in k20117 in k20114 in ##sys#read in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in ... */
static void C_ccall f_22135(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,1)))){
C_save_and_reclaim((void *)f_22135,2,av);}
a=C_alloc(6);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_list2(&a,2,lf[831],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k22142 in k22074 in k22068 in k22065 in k22062 in readrec in k20126 in k20123 in k20120 in k20117 in k20114 in ##sys#read in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in ... */
static void C_ccall f_22144(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_22144,2,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_22171,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:4146: ##sys#peek-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[764]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[764]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[4];
tp(3,av2);}}

/* k22151 in k22169 in k22142 in k22074 in k22068 in k22065 in k22062 in readrec in k20126 in k20123 in k20120 in k20117 in k20114 in ##sys#read in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in ... */
static void C_ccall f_22153(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_22153,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_22160,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:4148: readrec */
t3=((C_word*)((C_word*)t0)[3])[1];
f_20206(t3,t2);}

/* k22158 in k22151 in k22169 in k22142 in k22074 in k22068 in k22065 in k22062 in readrec in k20126 in k20123 in k20120 in k20117 in k20114 in ##sys#read in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in ... */
static void C_ccall f_22160(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,1)))){
C_save_and_reclaim((void *)f_22160,2,av);}
a=C_alloc(6);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_list2(&a,2,lf[832],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k22165 in k22169 in k22142 in k22074 in k22068 in k22065 in k22062 in readrec in k20126 in k20123 in k20120 in k20117 in k20114 in ##sys#read in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in ... */
static void C_ccall f_22167(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,1)))){
C_save_and_reclaim((void *)f_22167,2,av);}
a=C_alloc(6);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_list2(&a,2,lf[833],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k22169 in k22142 in k22074 in k22068 in k22065 in k22062 in readrec in k20126 in k20123 in k20120 in k20117 in k20114 in ##sys#read in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in ... */
static void C_ccall f_22171(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_22171,2,av);}
a=C_alloc(4);
t2=C_eqp(t1,C_make_character(64));
if(C_truep(t2)){
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_22153,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:4147: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[762]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[762]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[4];
tp(3,av2);}}
else{
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_22167,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:4149: readrec */
t4=((C_word*)((C_word*)t0)[3])[1];
f_20206(t4,t3);}}

/* k22178 in k22074 in k22068 in k22065 in k22062 in readrec in k20126 in k20123 in k20120 in k20117 in k20114 in ##sys#read in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in ... */
static void C_ccall f_22180(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(20,c,2)))){
C_save_and_reclaim((void *)f_22180,2,av);}
a=C_alloc(20);
t2=(*a=C_CLOSURE_TYPE|19,a[1]=(C_word)f_22183,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=((C_word*)t0)[8],a[9]=((C_word*)t0)[9],a[10]=((C_word*)t0)[10],a[11]=((C_word*)t0)[11],a[12]=((C_word*)t0)[12],a[13]=((C_word*)t0)[13],a[14]=((C_word*)t0)[14],a[15]=((C_word*)t0)[15],a[16]=((C_word*)t0)[16],a[17]=((C_word*)t0)[17],a[18]=((C_word*)t0)[18],a[19]=((C_word*)t0)[19],tmp=(C_word)a,a+=20,tmp);
/* library.scm:4152: ##sys#peek-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[764]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[764]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}

/* k22181 in k22178 in k22074 in k22068 in k22065 in k22062 in readrec in k20126 in k20123 in k20120 in k20117 in k20114 in ##sys#read in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in ... */
static void C_ccall f_22183(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(18,c,3)))){
C_save_and_reclaim((void *)f_22183,2,av);}
a=C_alloc(18);
t2=t1;
if(C_truep(C_eofp(t2))){
/* library.scm:4155: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[771]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[771]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=lf[834];
tp(4,av2);}}
else{
if(C_truep(C_u_i_char_numericp(t2))){
t3=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_22201,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],tmp=(C_word)a,a+=7,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_22284,a[2]=t3,tmp=(C_word)a,a+=3,tmp);
/* library.scm:4158: r-digits */
t5=((C_word*)((C_word*)t0)[7])[1];
f_21452(t5,t4);}
else{
t3=C_slot(((C_word*)t0)[4],C_fix(2));
t4=(*a=C_CLOSURE_TYPE|17,a[1]=(C_word)f_22290,a[2]=t2,a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[6],a[5]=((C_word*)t0)[2],a[6]=((C_word*)t0)[8],a[7]=((C_word*)t0)[9],a[8]=((C_word*)t0)[10],a[9]=((C_word*)t0)[11],a[10]=((C_word*)t0)[12],a[11]=((C_word*)t0)[13],a[12]=((C_word*)t0)[14],a[13]=((C_word*)t0)[15],a[14]=((C_word*)t0)[16],a[15]=((C_word*)t0)[17],a[16]=((C_word*)t0)[18],a[17]=((C_word*)t0)[19],tmp=(C_word)a,a+=18,tmp);
if(C_truep(t3)){
t5=C_fix(C_character_code(t2));
t6=t4;
f_22290(t6,C_slot(t3,t5));}
else{
t5=t4;
f_22290(t5,C_SCHEME_FALSE);}}}}

/* k22199 in k22181 in k22178 in k22074 in k22068 in k22065 in k22062 in readrec in k20126 in k20123 in k20120 in k20117 in k20114 in ##sys#read in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in ... */
static void C_ccall f_22201(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,2)))){
C_save_and_reclaim((void *)f_22201,2,av);}
a=C_alloc(8);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_22204,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=t2,a[7]=((C_word*)t0)[6],tmp=(C_word)a,a+=8,tmp);
/* library.scm:4159: ##sys#peek-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[764]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[764]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[4];
tp(3,av2);}}

/* k22202 in k22199 in k22181 in k22178 in k22074 in k22068 in k22065 in k22062 in readrec in k20126 in k20123 in k20120 in k20117 in k20114 in ##sys#read in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in ... */
static void C_ccall f_22204(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,2)))){
C_save_and_reclaim((void *)f_22204,2,av);}
a=C_alloc(8);
t2=t1;
t3=C_slot(((C_word*)t0)[2],C_fix(3));
t4=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_22210,a[2]=t2,a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],tmp=(C_word)a,a+=8,tmp);
if(C_truep(C_charp(t2))){
if(C_truep(t3)){
t5=C_fix(C_character_code(t2));
t6=t4;
f_22210(t6,C_slot(t3,t5));}
else{
t5=t4;
f_22210(t5,C_SCHEME_FALSE);}}
else{
t5=t4;
f_22210(t5,C_SCHEME_FALSE);}}

/* k22208 in k22202 in k22199 in k22181 in k22178 in k22074 in k22068 in k22065 in k22062 in readrec in k20126 in k20123 in k20120 in k20117 in k20114 in ##sys#read in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in ... */
static void C_fcall f_22210(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,0,5)))){
C_save_and_reclaim_args((void *)trf_22210,2,t0,t1);}
a=C_alloc(11);
t2=t1;
if(C_truep(C_eofp(((C_word*)t0)[2]))){
/* library.scm:4165: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[771]);
C_word av2[6];
av2[0]=*((C_word*)lf[771]+1);
av2[1]=((C_word*)t0)[3];
av2[2]=((C_word*)t0)[4];
av2[3]=lf[835];
av2[4]=((C_word*)t0)[5];
av2[5]=((C_word*)t0)[6];
tp(6,av2);}}
else{
if(C_truep(t2)){
t3=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_22227,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[6],a[6]=((C_word)li672),tmp=(C_word)a,a+=7,tmp);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_22233,a[2]=((C_word*)t0)[7],a[3]=((C_word)li673),tmp=(C_word)a,a+=4,tmp);
/* library.scm:4168: ##sys#call-with-values */{
C_word av2[4];
av2[0]=0;
av2[1]=((C_word*)t0)[3];
av2[2]=t3;
av2[3]=t4;
C_call_with_values(4,av2);}}
else{
t3=C_eqp(((C_word*)t0)[2],C_make_character(41));
t4=(C_truep(t3)?t3:C_u_i_char_whitespacep(((C_word*)t0)[2]));
if(C_truep(t4)){
/* library.scm:4173: ##sys#sharp-number-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[770]);
C_word av2[4];
av2[0]=*((C_word*)lf[770]+1);
av2[1]=((C_word*)t0)[3];
av2[2]=((C_word*)t0)[4];
av2[3]=((C_word*)t0)[6];
tp(4,av2);}}
else{
t5=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_22261,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],a[5]=((C_word*)t0)[6],a[6]=((C_word*)t0)[2],tmp=(C_word)a,a+=7,tmp);
/* library.scm:4174: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[762]);
C_word av2[3];
av2[0]=*((C_word*)lf[762]+1);
av2[1]=t5;
av2[2]=((C_word*)t0)[4];
tp(3,av2);}}}}}

/* a22226 in k22208 in k22202 in k22199 in k22181 in k22178 in k22074 in k22068 in k22065 in k22062 in readrec in k20126 in k20123 in k20120 in k20117 in k20114 in ##sys#read in k20059 in k20055 in k20051 in k20047 in k20043 in ... */
static void C_ccall f_22227(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_22227,2,av);}
/* library.scm:4169: h */
t2=((C_word*)t0)[2];{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=t1;
av2[2]=((C_word*)t0)[3];
av2[3]=((C_word*)t0)[4];
av2[4]=((C_word*)t0)[5];
((C_proc)C_fast_retrieve_proc(t2))(5,av2);}}

/* a22232 in k22208 in k22202 in k22199 in k22181 in k22178 in k22074 in k22068 in k22065 in k22062 in readrec in k20126 in k20123 in k20120 in k20117 in k20114 in ##sys#read in k20059 in k20055 in k20051 in k20047 in k20043 in ... */
static void C_ccall f_22233(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +0,c,1)))){
C_save_and_reclaim((void*)f_22233,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+0);
t2=C_build_rest(&a,c,2,av);
C_word t3;
if(C_truep(C_i_nullp(t2))){
/* library.scm:4170: readrec */
t3=((C_word*)((C_word*)t0)[2])[1];
f_20206(t3,t1);}
else{
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_car(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k22259 in k22208 in k22202 in k22199 in k22181 in k22178 in k22074 in k22068 in k22065 in k22062 in readrec in k20126 in k20123 in k20120 in k20117 in k20114 in ##sys#read in k20059 in k20055 in k20051 in k20047 in k20043 in ... */
static void C_ccall f_22261(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,6)))){
C_save_and_reclaim((void *)f_22261,2,av);}
/* library.scm:4175: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[771]);
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=*((C_word*)lf[771]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=lf[836];
av2[4]=((C_word*)t0)[4];
av2[5]=((C_word*)t0)[5];
av2[6]=((C_word*)t0)[6];
tp(7,av2);}}

/* k22282 in k22181 in k22178 in k22074 in k22068 in k22065 in k22062 in readrec in k20126 in k20123 in k20120 in k20117 in k20114 in ##sys#read in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in ... */
static void C_ccall f_22284(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_22284,2,av);}
/* library.scm:4158: scheme#string->number */
t2=*((C_word*)lf[617]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* k22288 in k22181 in k22178 in k22074 in k22068 in k22065 in k22062 in readrec in k20126 in k20123 in k20120 in k20117 in k20114 in ##sys#read in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in ... */
static void C_fcall f_22290(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word t19;
C_word t20;
C_word t21;
C_word t22;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,0,3)))){
C_save_and_reclaim_args((void *)trf_22290,2,t0,t1);}
a=C_alloc(10);
t2=t1;
if(C_truep(t2)){
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_22298,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word)li674),tmp=(C_word)a,a+=6,tmp);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_22304,a[2]=((C_word*)t0)[4],a[3]=((C_word)li675),tmp=(C_word)a,a+=4,tmp);
/* library.scm:4183: ##sys#call-with-values */{
C_word av2[4];
av2[0]=0;
av2[1]=((C_word*)t0)[5];
av2[2]=t3;
av2[3]=t4;
C_call_with_values(4,av2);}}
else{
t3=C_u_i_char_downcase(((C_word*)t0)[2]);
switch(t3){
case C_make_character(120):
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_22329,a[2]=((C_word*)t0)[6],a[3]=((C_word*)t0)[5],tmp=(C_word)a,a+=4,tmp);
/* library.scm:4188: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[762]);
C_word av2[3];
av2[0]=*((C_word*)lf[762]+1);
av2[1]=t4;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}
case C_make_character(100):
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_22341,a[2]=((C_word*)t0)[6],a[3]=((C_word*)t0)[5],tmp=(C_word)a,a+=4,tmp);
/* library.scm:4189: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[762]);
C_word av2[3];
av2[0]=*((C_word*)lf[762]+1);
av2[1]=t4;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}
case C_make_character(111):
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_22353,a[2]=((C_word*)t0)[6],a[3]=((C_word*)t0)[5],tmp=(C_word)a,a+=4,tmp);
/* library.scm:4190: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[762]);
C_word av2[3];
av2[0]=*((C_word*)lf[762]+1);
av2[1]=t4;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}
case C_make_character(98):
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_22365,a[2]=((C_word*)t0)[6],a[3]=((C_word*)t0)[5],tmp=(C_word)a,a+=4,tmp);
/* library.scm:4191: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[762]);
C_word av2[3];
av2[0]=*((C_word*)lf[762]+1);
av2[1]=t4;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}
case C_make_character(105):
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_22377,a[2]=((C_word*)t0)[7],a[3]=((C_word*)t0)[5],tmp=(C_word)a,a+=4,tmp);
/* library.scm:4192: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[762]);
C_word av2[3];
av2[0]=*((C_word*)lf[762]+1);
av2[1]=t4;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}
case C_make_character(101):
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_22389,a[2]=((C_word*)t0)[7],a[3]=((C_word*)t0)[5],tmp=(C_word)a,a+=4,tmp);
/* library.scm:4193: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[762]);
C_word av2[3];
av2[0]=*((C_word*)lf[762]+1);
av2[1]=t4;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}
case C_make_character(99):
t4=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_22401,a[2]=((C_word*)t0)[8],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],a[5]=((C_word*)t0)[3],tmp=(C_word)a,a+=6,tmp);
/* library.scm:4195: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[762]);
C_word av2[3];
av2[0]=*((C_word*)lf[762]+1);
av2[1]=t4;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}
case C_make_character(40):
/* library.scm:4204: r-vector */
t4=((C_word*)((C_word*)t0)[9])[1];
f_21182(t4,((C_word*)t0)[5]);
case C_make_character(92):
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_22465,a[2]=((C_word*)t0)[10],a[3]=((C_word*)t0)[5],tmp=(C_word)a,a+=4,tmp);
/* library.scm:4205: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[762]);
C_word av2[3];
av2[0]=*((C_word*)lf[762]+1);
av2[1]=t4;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}
case C_make_character(124):
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_22477,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[5],a[4]=((C_word*)t0)[11],tmp=(C_word)a,a+=5,tmp);
/* library.scm:4207: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[762]);
C_word av2[3];
av2[0]=*((C_word*)lf[762]+1);
av2[1]=t4;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}
case C_make_character(35):
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_22492,a[2]=((C_word*)t0)[12],a[3]=((C_word*)t0)[5],tmp=(C_word)a,a+=4,tmp);
/* library.scm:4210: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[762]);
C_word av2[3];
av2[0]=*((C_word*)lf[762]+1);
av2[1]=t4;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}
case C_make_character(59):
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_22504,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[5],tmp=(C_word)a,a+=4,tmp);
/* library.scm:4213: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[762]);
C_word av2[3];
av2[0]=*((C_word*)lf[762]+1);
av2[1]=t4;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}
case C_make_character(96):
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_22519,a[2]=((C_word*)t0)[5],a[3]=((C_word*)t0)[4],tmp=(C_word)a,a+=4,tmp);
/* library.scm:4216: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[762]);
C_word av2[3];
av2[0]=*((C_word*)lf[762]+1);
av2[1]=t4;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}
case C_make_character(36):
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_22535,a[2]=((C_word*)t0)[5],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:4219: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[762]);
C_word av2[3];
av2[0]=*((C_word*)lf[762]+1);
av2[1]=t4;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}
case C_make_character(58):
t4=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_22566,a[2]=((C_word*)t0)[13],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[14],a[5]=((C_word*)t0)[15],a[6]=((C_word*)t0)[5],tmp=(C_word)a,a+=7,tmp);
/* library.scm:4226: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[762]);
C_word av2[3];
av2[0]=*((C_word*)lf[762]+1);
av2[1]=t4;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}
case C_make_character(43):
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_22626,a[2]=((C_word*)t0)[5],a[3]=((C_word*)t0)[4],tmp=(C_word)a,a+=4,tmp);
/* library.scm:4236: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[762]);
C_word av2[3];
av2[0]=*((C_word*)lf[762]+1);
av2[1]=t4;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}
case C_make_character(33):
t4=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_22649,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[5],a[4]=((C_word*)t0)[16],a[5]=((C_word*)t0)[3],a[6]=((C_word*)t0)[17],tmp=(C_word)a,a+=7,tmp);
/* library.scm:4240: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[762]);
C_word av2[3];
av2[0]=*((C_word*)lf[762]+1);
av2[1]=t4;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}
default:
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_22721,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word)li683),tmp=(C_word)a,a+=5,tmp);
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_22727,a[2]=((C_word*)t0)[4],a[3]=((C_word)li684),tmp=(C_word)a,a+=4,tmp);
/* library.scm:4259: ##sys#call-with-values */{
C_word av2[4];
av2[0]=0;
av2[1]=((C_word*)t0)[5];
av2[2]=t4;
av2[3]=t5;
C_call_with_values(4,av2);}}}}

/* a22297 in k22288 in k22181 in k22178 in k22074 in k22068 in k22065 in k22062 in readrec in k20126 in k20123 in k20120 in k20117 in k20114 in ##sys#read in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in ... */
static void C_ccall f_22298(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_22298,2,av);}
/* library.scm:4184: h */
t2=((C_word*)t0)[2];{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t2;
av2[1]=t1;
av2[2]=((C_word*)t0)[3];
av2[3]=((C_word*)t0)[4];
((C_proc)C_fast_retrieve_proc(t2))(4,av2);}}

/* a22303 in k22288 in k22181 in k22178 in k22074 in k22068 in k22065 in k22062 in readrec in k20126 in k20123 in k20120 in k20117 in k20114 in ##sys#read in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in ... */
static void C_ccall f_22304(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +0,c,1)))){
C_save_and_reclaim((void*)f_22304,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+0);
t2=C_build_rest(&a,c,2,av);
C_word t3;
if(C_truep(C_i_nullp(t2))){
/* library.scm:4185: readrec */
t3=((C_word*)((C_word*)t0)[2])[1];
f_20206(t3,t1);}
else{
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_car(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k22327 in k22288 in k22181 in k22178 in k22074 in k22068 in k22065 in k22062 in readrec in k20126 in k20123 in k20120 in k20117 in k20114 in ##sys#read in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in ... */
static void C_ccall f_22329(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_22329,2,av);}
/* library.scm:4188: r-number-with-exactness */
t2=((C_word*)((C_word*)t0)[2])[1];
f_21270(t2,((C_word*)t0)[3],C_fix(16));}

/* k22339 in k22288 in k22181 in k22178 in k22074 in k22068 in k22065 in k22062 in readrec in k20126 in k20123 in k20120 in k20117 in k20114 in ##sys#read in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in ... */
static void C_ccall f_22341(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_22341,2,av);}
/* library.scm:4189: r-number-with-exactness */
t2=((C_word*)((C_word*)t0)[2])[1];
f_21270(t2,((C_word*)t0)[3],C_fix(10));}

/* k22351 in k22288 in k22181 in k22178 in k22074 in k22068 in k22065 in k22062 in readrec in k20126 in k20123 in k20120 in k20117 in k20114 in ##sys#read in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in ... */
static void C_ccall f_22353(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_22353,2,av);}
/* library.scm:4190: r-number-with-exactness */
t2=((C_word*)((C_word*)t0)[2])[1];
f_21270(t2,((C_word*)t0)[3],C_fix(8));}

/* k22363 in k22288 in k22181 in k22178 in k22074 in k22068 in k22065 in k22062 in readrec in k20126 in k20123 in k20120 in k20117 in k20114 in ##sys#read in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in ... */
static void C_ccall f_22365(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_22365,2,av);}
/* library.scm:4191: r-number-with-exactness */
t2=((C_word*)((C_word*)t0)[2])[1];
f_21270(t2,((C_word*)t0)[3],C_fix(2));}

/* k22375 in k22288 in k22181 in k22178 in k22074 in k22068 in k22065 in k22062 in readrec in k20126 in k20123 in k20120 in k20117 in k20114 in ##sys#read in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in ... */
static void C_ccall f_22377(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_22377,2,av);}
/* library.scm:4192: r-number-with-radix */
t2=((C_word*)((C_word*)t0)[2])[1];
f_21321(t2,((C_word*)t0)[3],lf[610]);}

/* k22387 in k22288 in k22181 in k22178 in k22074 in k22068 in k22065 in k22062 in readrec in k20126 in k20123 in k20120 in k20117 in k20114 in ##sys#read in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in ... */
static void C_ccall f_22389(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_22389,2,av);}
/* library.scm:4193: r-number-with-radix */
t2=((C_word*)((C_word*)t0)[2])[1];
f_21321(t2,((C_word*)t0)[3],lf[609]);}

/* k22399 in k22288 in k22181 in k22178 in k22074 in k22068 in k22065 in k22062 in readrec in k20126 in k20123 in k20120 in k20117 in k20114 in ##sys#read in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in ... */
static void C_ccall f_22401(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_22401,2,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_22404,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
/* library.scm:4196: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[762]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[762]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[5];
tp(3,av2);}}

/* k22402 in k22399 in k22288 in k22181 in k22178 in k22074 in k22068 in k22065 in k22062 in readrec in k20126 in k20123 in k20120 in k20117 in k20114 in ##sys#read in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in ... */
static void C_ccall f_22404(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,4)))){
C_save_and_reclaim((void *)f_22404,2,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_22407,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
if(C_truep(C_eofp(t1))){
/* library.scm:4199: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[771]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[771]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[5];
av2[3]=lf[837];
tp(4,av2);}}
else{
switch(t1){
case C_make_character(105):
t3=t2;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
f_22407(2,av2);}
case C_make_character(115):
t3=t2;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_TRUE;
f_22407(2,av2);}
default:
/* library.scm:4202: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[771]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[771]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[5];
av2[3]=lf[838];
av2[4]=t1;
tp(5,av2);}}}}

/* k22405 in k22402 in k22399 in k22288 in k22181 in k22178 in k22074 in k22068 in k22065 in k22062 in readrec in k20126 in k20123 in k20120 in k20117 in k20114 in ##sys#read in k20059 in k20055 in k20051 in k20047 in k20043 in ... */
static void C_ccall f_22407(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(20,c,4)))){
C_save_and_reclaim((void *)f_22407,2,av);}
a=C_alloc(20);
t2=t1;
t3=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
t4=C_SCHEME_FALSE;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_22412,a[2]=t5,a[3]=((C_word*)t0)[2],a[4]=t3,a[5]=((C_word)li676),tmp=(C_word)a,a+=6,tmp);
t7=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_22417,a[2]=((C_word*)t0)[3],a[3]=((C_word)li677),tmp=(C_word)a,a+=4,tmp);
t8=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_22423,a[2]=t3,a[3]=((C_word*)t0)[2],a[4]=t5,a[5]=((C_word)li678),tmp=(C_word)a,a+=6,tmp);
/* library.scm:4197: ##sys#dynamic-wind */
t9=*((C_word*)lf[688]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t9;
av2[1]=((C_word*)t0)[4];
av2[2]=t6;
av2[3]=t7;
av2[4]=t8;
((C_proc)(void*)(*((C_word*)t9+1)))(5,av2);}}

/* a22411 in k22405 in k22402 in k22399 in k22288 in k22181 in k22178 in k22074 in k22068 in k22065 in k22062 in readrec in k20126 in k20123 in k20120 in k20117 in k20114 in ##sys#read in k20059 in k20055 in k20051 in k20047 in ... */
static void C_ccall f_22412(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_22412,2,av);}
t2=C_mutate(((C_word *)((C_word*)t0)[2])+1,((C_word*)((C_word*)t0)[3])[1]);
t3=C_mutate(((C_word *)((C_word*)t0)[3])+1,((C_word*)((C_word*)t0)[4])[1]);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_SCHEME_UNDEFINED;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* a22416 in k22405 in k22402 in k22399 in k22288 in k22181 in k22178 in k22074 in k22068 in k22065 in k22062 in readrec in k20126 in k20123 in k20120 in k20117 in k20114 in ##sys#read in k20059 in k20055 in k20051 in k20047 in ... */
static void C_ccall f_22417(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_22417,2,av);}
/* library.scm:4203: readrec */
t2=((C_word*)((C_word*)t0)[2])[1];
f_20206(t2,t1);}

/* a22422 in k22405 in k22402 in k22399 in k22288 in k22181 in k22178 in k22074 in k22068 in k22065 in k22062 in readrec in k20126 in k20123 in k20120 in k20117 in k20114 in ##sys#read in k20059 in k20055 in k20051 in k20047 in ... */
static void C_ccall f_22423(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_22423,2,av);}
t2=C_mutate(((C_word *)((C_word*)t0)[2])+1,((C_word*)((C_word*)t0)[3])[1]);
t3=C_mutate(((C_word *)((C_word*)t0)[3])+1,((C_word*)((C_word*)t0)[4])[1]);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_SCHEME_UNDEFINED;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* k22463 in k22288 in k22181 in k22178 in k22074 in k22068 in k22065 in k22062 in readrec in k20126 in k20123 in k20120 in k20117 in k20114 in ##sys#read in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in ... */
static void C_ccall f_22465(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_22465,2,av);}
/* library.scm:4205: r-char */
t2=((C_word*)((C_word*)t0)[2])[1];
f_21737(t2,((C_word*)t0)[3]);}

/* k22475 in k22288 in k22181 in k22178 in k22074 in k22068 in k22065 in k22062 in readrec in k20126 in k20123 in k20120 in k20117 in k20114 in ##sys#read in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in ... */
static void C_ccall f_22477(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_22477,2,av);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_22480,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:4208: r-comment */
t3=((C_word*)((C_word*)t0)[4])[1];
f_21946(t3,t2);}

/* k22478 in k22475 in k22288 in k22181 in k22178 in k22074 in k22068 in k22065 in k22062 in readrec in k20126 in k20123 in k20120 in k20117 in k20114 in ##sys#read in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in ... */
static void C_ccall f_22480(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_22480,2,av);}
/* library.scm:4208: readrec */
t2=((C_word*)((C_word*)t0)[2])[1];
f_20206(t2,((C_word*)t0)[3]);}

/* k22490 in k22288 in k22181 in k22178 in k22074 in k22068 in k22065 in k22062 in readrec in k20126 in k20123 in k20120 in k20117 in k20114 in ##sys#read in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in ... */
static void C_ccall f_22492(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_22492,2,av);}
/* library.scm:4211: r-ext-symbol */
t2=((C_word*)((C_word*)t0)[2])[1];
f_22033(t2,((C_word*)t0)[3]);}

/* k22502 in k22288 in k22181 in k22178 in k22074 in k22068 in k22065 in k22062 in readrec in k20126 in k20123 in k20120 in k20117 in k20114 in ##sys#read in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in ... */
static void C_ccall f_22504(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_22504,2,av);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_22507,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:4214: readrec */
t3=((C_word*)((C_word*)t0)[2])[1];
f_20206(t3,t2);}

/* k22505 in k22502 in k22288 in k22181 in k22178 in k22074 in k22068 in k22065 in k22062 in readrec in k20126 in k20123 in k20120 in k20117 in k20114 in ##sys#read in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in ... */
static void C_ccall f_22507(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_22507,2,av);}
/* library.scm:4214: readrec */
t2=((C_word*)((C_word*)t0)[2])[1];
f_20206(t2,((C_word*)t0)[3]);}

/* k22517 in k22288 in k22181 in k22178 in k22074 in k22068 in k22065 in k22062 in readrec in k20126 in k20123 in k20120 in k20117 in k20114 in ##sys#read in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in ... */
static void C_ccall f_22519(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_22519,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_22526,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:4217: readrec */
t3=((C_word*)((C_word*)t0)[3])[1];
f_20206(t3,t2);}

/* k22524 in k22517 in k22288 in k22181 in k22178 in k22074 in k22068 in k22065 in k22062 in readrec in k20126 in k20123 in k20120 in k20117 in k20114 in ##sys#read in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in ... */
static void C_ccall f_22526(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,1)))){
C_save_and_reclaim((void *)f_22526,2,av);}
a=C_alloc(6);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_list2(&a,2,lf[839],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k22533 in k22288 in k22181 in k22178 in k22074 in k22068 in k22065 in k22062 in readrec in k20126 in k20123 in k20120 in k20117 in k20114 in ##sys#read in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in ... */
static void C_ccall f_22535(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_22535,2,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_22538,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:4220: ##sys#peek-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[764]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[764]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}

/* k22536 in k22533 in k22288 in k22181 in k22178 in k22074 in k22068 in k22065 in k22062 in readrec in k20126 in k20123 in k20120 in k20117 in k20114 in ##sys#read in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in ... */
static void C_ccall f_22538(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_22538,2,av);}
a=C_alloc(4);
if(C_truep(C_i_char_equalp(t1,C_make_character(123)))){
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_22547,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:4222: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[762]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[762]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}
else{
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_22557,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:4224: readrec */
t3=((C_word*)((C_word*)t0)[4])[1];
f_20206(t3,t2);}}

/* k22545 in k22536 in k22533 in k22288 in k22181 in k22178 in k22074 in k22068 in k22065 in k22062 in readrec in k20126 in k20123 in k20120 in k20117 in k20114 in ##sys#read in k20059 in k20055 in k20051 in k20047 in k20043 in ... */
static void C_ccall f_22547(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_22547,2,av);}
/* library.scm:4223: ##sys#read-bytevector-literal */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[840]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[840]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}

/* k22555 in k22536 in k22533 in k22288 in k22181 in k22178 in k22074 in k22068 in k22065 in k22062 in readrec in k20126 in k20123 in k20120 in k20117 in k20114 in ##sys#read in k20059 in k20055 in k20051 in k20047 in k20043 in ... */
static void C_ccall f_22557(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,1)))){
C_save_and_reclaim((void *)f_22557,2,av);}
a=C_alloc(6);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_list2(&a,2,lf[841],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k22564 in k22288 in k22181 in k22178 in k22074 in k22068 in k22065 in k22062 in readrec in k20126 in k20123 in k20120 in k20117 in k20114 in ##sys#read in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in ... */
static void C_ccall f_22566(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_22566,2,av);}
a=C_alloc(7);
t2=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_22569,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],tmp=(C_word)a,a+=7,tmp);
/* library.scm:4227: ##sys#peek-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[764]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[764]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}

/* k22567 in k22564 in k22288 in k22181 in k22178 in k22074 in k22068 in k22065 in k22062 in readrec in k20126 in k20123 in k20120 in k20117 in k20114 in ##sys#read in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in ... */
static void C_ccall f_22569(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(23,c,4)))){
C_save_and_reclaim((void *)f_22569,2,av);}
a=C_alloc(23);
t2=t1;
t3=C_SCHEME_FALSE;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_SCHEME_FALSE;
t6=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t7=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_22574,a[2]=t6,a[3]=((C_word*)t0)[2],a[4]=t4,a[5]=((C_word)li679),tmp=(C_word)a,a+=6,tmp);
t8=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_22579,a[2]=t2,a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word)li681),tmp=(C_word)a,a+=7,tmp);
t9=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_22614,a[2]=t4,a[3]=((C_word*)t0)[2],a[4]=t6,a[5]=((C_word)li682),tmp=(C_word)a,a+=6,tmp);
/* library.scm:4228: ##sys#dynamic-wind */
t10=*((C_word*)lf[688]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t10;
av2[1]=((C_word*)t0)[6];
av2[2]=t7;
av2[3]=t8;
av2[4]=t9;
((C_proc)(void*)(*((C_word*)t10+1)))(5,av2);}}

/* a22573 in k22567 in k22564 in k22288 in k22181 in k22178 in k22074 in k22068 in k22065 in k22062 in readrec in k20126 in k20123 in k20120 in k20117 in k20114 in ##sys#read in k20059 in k20055 in k20051 in k20047 in k20043 in ... */
static void C_ccall f_22574(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_22574,2,av);}
t2=C_mutate(((C_word *)((C_word*)t0)[2])+1,((C_word*)((C_word*)t0)[3])[1]);
t3=C_mutate(((C_word *)((C_word*)t0)[3])+1,((C_word*)((C_word*)t0)[4])[1]);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_SCHEME_UNDEFINED;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* a22578 in k22567 in k22564 in k22288 in k22181 in k22178 in k22074 in k22068 in k22065 in k22062 in readrec in k20126 in k20123 in k20120 in k20117 in k20114 in ##sys#read in k20059 in k20055 in k20051 in k20047 in k20043 in ... */
static void C_ccall f_22579(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,4)))){
C_save_and_reclaim((void *)f_22579,2,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_22585,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word)li680),tmp=(C_word)a,a+=6,tmp);
/* library.scm:4229: r-xtoken */
t3=((C_word*)((C_word*)t0)[5])[1];
f_21523(t3,t1,t2);}

/* a22584 in a22578 in k22567 in k22564 in k22288 in k22181 in k22178 in k22074 in k22068 in k22065 in k22062 in readrec in k20126 in k20123 in k20120 in k20117 in k20114 in ##sys#read in k20059 in k20055 in k20051 in k20047 in ... */
static void C_ccall f_22585(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_22585,4,av);}
t4=C_block_size(t2);
t5=C_eqp(C_fix(0),t4);
if(C_truep(t5)){
t6=C_i_char_equalp(((C_word*)t0)[2],C_make_character(124));
if(C_truep(C_i_not(t6))){
/* library.scm:4233: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[771]);
C_word *av2=av;
av2[0]=*((C_word*)lf[771]+1);
av2[1]=t1;
av2[2]=((C_word*)t0)[3];
av2[3]=lf[842];
tp(4,av2);}}
else{
/* library.scm:4234: build-keyword */
t7=((C_word*)((C_word*)t0)[4])[1];
f_22052(t7,t1,t2);}}
else{
/* library.scm:4234: build-keyword */
t6=((C_word*)((C_word*)t0)[4])[1];
f_22052(t6,t1,t2);}}

/* a22613 in k22567 in k22564 in k22288 in k22181 in k22178 in k22074 in k22068 in k22065 in k22062 in readrec in k20126 in k20123 in k20120 in k20117 in k20114 in ##sys#read in k20059 in k20055 in k20051 in k20047 in k20043 in ... */
static void C_ccall f_22614(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_22614,2,av);}
t2=C_mutate(((C_word *)((C_word*)t0)[2])+1,((C_word*)((C_word*)t0)[3])[1]);
t3=C_mutate(((C_word *)((C_word*)t0)[3])+1,((C_word*)((C_word*)t0)[4])[1]);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_SCHEME_UNDEFINED;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* k22624 in k22288 in k22181 in k22178 in k22074 in k22068 in k22065 in k22062 in readrec in k20126 in k20123 in k20120 in k20117 in k20114 in ##sys#read in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in ... */
static void C_ccall f_22626(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_22626,2,av);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_22629,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:4237: readrec */
t3=((C_word*)((C_word*)t0)[3])[1];
f_20206(t3,t2);}

/* k22627 in k22624 in k22288 in k22181 in k22178 in k22074 in k22068 in k22065 in k22062 in readrec in k20126 in k20123 in k20120 in k20117 in k20114 in ##sys#read in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in ... */
static void C_ccall f_22629(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_22629,2,av);}
a=C_alloc(4);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_22640,a[2]=t2,a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
/* library.scm:4238: readrec */
t4=((C_word*)((C_word*)t0)[3])[1];
f_20206(t4,t3);}

/* k22638 in k22627 in k22624 in k22288 in k22181 in k22178 in k22074 in k22068 in k22065 in k22062 in readrec in k20126 in k20123 in k20120 in k20117 in k20114 in ##sys#read in k20059 in k20055 in k20051 in k20047 in k20043 in ... */
static void C_ccall f_22640(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(15,c,1)))){
C_save_and_reclaim((void *)f_22640,2,av);}
a=C_alloc(15);
t2=C_a_i_list2(&a,2,((C_word*)t0)[2],t1);
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_a_i_list3(&a,3,lf[843],t2,lf[844]);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* k22647 in k22288 in k22181 in k22178 in k22074 in k22068 in k22065 in k22062 in readrec in k20126 in k20123 in k20120 in k20117 in k20114 in ##sys#read in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in ... */
static void C_ccall f_22649(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_22649,2,av);}
a=C_alloc(7);
t2=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_22652,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],tmp=(C_word)a,a+=7,tmp);
/* library.scm:4241: ##sys#peek-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[764]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[764]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[5];
tp(3,av2);}}

/* k22650 in k22647 in k22288 in k22181 in k22178 in k22074 in k22068 in k22065 in k22062 in readrec in k20126 in k20123 in k20120 in k20117 in k20114 in ##sys#read in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in ... */
static void C_ccall f_22652(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_22652,2,av);}
a=C_alloc(7);
t2=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_22658,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],tmp=(C_word)a,a+=7,tmp);
if(C_truep(C_charp(t1))){
t3=C_u_i_char_whitespacep(t1);
if(C_truep(t3)){
t4=t2;
f_22658(t4,t3);}
else{
t4=C_u_i_char_equalp(C_make_character(47),t1);
t5=t2;
f_22658(t5,t4);}}
else{
t3=t2;
f_22658(t3,C_SCHEME_FALSE);}}

/* k22656 in k22650 in k22647 in k22288 in k22181 in k22178 in k22074 in k22068 in k22065 in k22062 in readrec in k20126 in k20123 in k20120 in k20117 in k20114 in ##sys#read in k20059 in k20055 in k20051 in k20047 in k20043 in ... */
static void C_fcall f_22658(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,0,2)))){
C_save_and_reclaim_args((void *)trf_22658,2,t0,t1);}
a=C_alloc(4);
if(C_truep(t1)){
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_22661,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:4244: skip-to-eol */
t3=((C_word*)((C_word*)t0)[4])[1];
f_20145(t3,t2);}
else{
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_22667,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[5],tmp=(C_word)a,a+=4,tmp);
/* library.scm:4247: r-token */
t3=((C_word*)((C_word*)t0)[6])[1];
f_21388(t3,t2);}}

/* k22659 in k22656 in k22650 in k22647 in k22288 in k22181 in k22178 in k22074 in k22068 in k22065 in k22062 in readrec in k20126 in k20123 in k20120 in k20117 in k20114 in ##sys#read in k20059 in k20055 in k20051 in k20047 in ... */
static void C_ccall f_22661(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_22661,2,av);}
/* library.scm:4245: readrec */
t2=((C_word*)((C_word*)t0)[2])[1];
f_20206(t2,((C_word*)t0)[3]);}

/* k22665 in k22656 in k22650 in k22647 in k22288 in k22181 in k22178 in k22074 in k22068 in k22065 in k22062 in readrec in k20126 in k20123 in k20120 in k20117 in k20114 in ##sys#read in k20059 in k20055 in k20051 in k20047 in ... */
static void C_ccall f_22667(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_22667,2,av);}
a=C_alloc(5);
t2=t1;
if(C_truep(C_i_string_equal_p(lf[845],t2))){
t3=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_END_OF_FILE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
if(C_truep((C_truep(C_i_equalp(t2,lf[846]))?C_SCHEME_TRUE:(C_truep(C_i_equalp(t2,lf[847]))?C_SCHEME_TRUE:(C_truep(C_i_equalp(t2,lf[848]))?C_SCHEME_TRUE:C_SCHEME_FALSE))))){
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_22686,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:4250: ##sys#string-append */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[412]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[412]+1);
av2[1]=t3;
av2[2]=lf[849];
av2[3]=t2;
tp(4,av2);}}
else{
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_22705,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t2,tmp=(C_word)a,a+=5,tmp);
/* library.scm:4252: scheme#string->symbol */
t4=*((C_word*)lf[632]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}}}

/* k22684 in k22665 in k22656 in k22650 in k22647 in k22288 in k22181 in k22178 in k22074 in k22068 in k22065 in k22062 in readrec in k20126 in k20123 in k20120 in k20117 in k20114 in ##sys#read in k20059 in k20055 in k20051 in ... */
static void C_ccall f_22686(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_22686,2,av);}
t2=((C_word*)t0)[2];
/* library.scm:4115: ##sys#intern-symbol */{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=0;
av2[1]=t2;
av2[2]=t1;
C_string_to_symbol(3,av2);}}

/* k22703 in k22665 in k22656 in k22650 in k22647 in k22288 in k22181 in k22178 in k22074 in k22068 in k22065 in k22062 in readrec in k20126 in k20123 in k20120 in k20117 in k20114 in ##sys#read in k20059 in k20055 in k20051 in ... */
static void C_ccall f_22705(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_22705,2,av);}
t2=C_i_assq(t1,C_fast_retrieve(lf[850]));
if(C_truep(t2)){
t3=C_slot(t2,C_fix(1));
/* library.scm:4253: g4882 */
t4=t3;{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
((C_proc)C_fast_retrieve_proc(t4))(3,av2);}}
else{
/* library.scm:4255: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[771]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[771]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=lf[851];
av2[4]=((C_word*)t0)[4];
tp(5,av2);}}}

/* a22720 in k22288 in k22181 in k22178 in k22074 in k22068 in k22065 in k22062 in readrec in k20126 in k20123 in k20120 in k20117 in k20114 in ##sys#read in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in ... */
static void C_ccall f_22721(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_22721,2,av);}
/* library.scm:4259: ##sys#user-read-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[852]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[852]+1);
av2[1]=t1;
av2[2]=((C_word*)t0)[2];
av2[3]=((C_word*)t0)[3];
tp(4,av2);}}

/* a22726 in k22288 in k22181 in k22178 in k22074 in k22068 in k22065 in k22062 in readrec in k20126 in k20123 in k20120 in k20117 in k20114 in ##sys#read in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in ... */
static void C_ccall f_22727(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +0,c,1)))){
C_save_and_reclaim((void*)f_22727,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+0);
t2=C_build_rest(&a,c,2,av);
C_word t3;
if(C_truep(C_i_nullp(t2))){
/* library.scm:4260: readrec */
t3=((C_word*)((C_word*)t0)[2])[1];
f_20206(t3,t1);}
else{
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_car(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k22797 in k22074 in k22068 in k22065 in k22062 in readrec in k20126 in k20123 in k20120 in k20117 in k20114 in ##sys#read in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in ... */
static void C_ccall f_22799(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_22799,2,av);}
/* library.scm:4262: container */
t2=((C_word*)((C_word*)t0)[2])[1];{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
av2[2]=((C_word*)t0)[4];
((C_proc)C_fast_retrieve_proc(t2))(3,av2);}}

/* k22809 in k22074 in k22068 in k22065 in k22062 in readrec in k20126 in k20123 in k20120 in k20117 in k20114 in ##sys#read in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in ... */
static void C_ccall f_22811(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_22811,2,av);}
/* library.scm:4263: r-string */
t2=((C_word*)((C_word*)t0)[2])[1];
f_20354(t2,((C_word*)t0)[3],C_make_character(34));}

/* k22887 in k22074 in k22068 in k22065 in k22062 in readrec in k20126 in k20123 in k20120 in k20117 in k20114 in ##sys#read in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in ... */
static void C_ccall f_22889(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_22889,2,av);}
/* library.scm:4275: container */
t2=((C_word*)((C_word*)t0)[2])[1];{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
av2[2]=((C_word*)t0)[4];
((C_proc)C_fast_retrieve_proc(t2))(3,av2);}}

/* ##sys#char->utf8-string in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in ... */
static void C_ccall f_22965(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_22965,3,av);}
a=C_alloc(5);
t3=C_fix(C_character_code(t2));
if(C_truep(C_fixnum_less_or_equal_p(t3,C_fix(127)))){
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_a_i_string(&a,1,t2);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
if(C_truep(C_fixnum_less_or_equal_p(t3,C_fix(2047)))){
t4=C_fixnum_shift_right(t3,C_fix(6));
t5=C_fixnum_or(C_fix(192),t4);
t6=C_make_character(C_unfix(t5));
t7=C_fixnum_and(t3,C_fix(63));
t8=C_fixnum_or(C_fix(128),t7);
t9=C_make_character(C_unfix(t8));
t10=t1;{
C_word *av2=av;
av2[0]=t10;
av2[1]=C_a_i_string(&a,2,t6,t9);
((C_proc)(void*)(*((C_word*)t10+1)))(2,av2);}}
else{
if(C_truep(C_fixnum_less_or_equal_p(t3,C_fix(65535)))){
t4=C_fixnum_shift_right(t3,C_fix(12));
t5=C_fixnum_or(C_fix(224),t4);
t6=C_make_character(C_unfix(t5));
t7=C_fixnum_shift_right(t3,C_fix(6));
t8=C_fixnum_and(t7,C_fix(63));
t9=C_fixnum_or(C_fix(128),t8);
t10=C_make_character(C_unfix(t9));
t11=C_fixnum_and(t3,C_fix(63));
t12=C_fixnum_or(C_fix(128),t11);
t13=C_make_character(C_unfix(t12));
t14=t1;{
C_word *av2=av;
av2[0]=t14;
av2[1]=C_a_i_string(&a,3,t6,t10,t13);
((C_proc)(void*)(*((C_word*)t14+1)))(2,av2);}}
else{
if(C_truep(C_fixnum_less_or_equal_p(t3,C_fix(2097151)))){
t4=C_fixnum_shift_right(t3,C_fix(18));
t5=C_fixnum_or(C_fix(240),t4);
t6=C_make_character(C_unfix(t5));
t7=C_fixnum_shift_right(t3,C_fix(12));
t8=C_fixnum_and(t7,C_fix(63));
t9=C_fixnum_or(C_fix(128),t8);
t10=C_make_character(C_unfix(t9));
t11=C_fixnum_shift_right(t3,C_fix(6));
t12=C_fixnum_and(t11,C_fix(63));
t13=C_fixnum_or(C_fix(128),t12);
t14=C_make_character(C_unfix(t13));
t15=C_fixnum_and(t3,C_fix(63));
t16=C_fixnum_or(C_fix(128),t15);
t17=C_make_character(C_unfix(t16));
t18=t1;{
C_word *av2=av;
av2[0]=t18;
av2[1]=C_a_i_string(&a,4,t6,t10,t14,t17);
((C_proc)(void*)(*((C_word*)t18+1)))(2,av2);}}
else{
/* library.scm:4300: chicken.base#error */
t4=*((C_word*)lf[193]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t4;
av2[1]=t1;
av2[2]=lf[855];
av2[3]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(4,av2);}}}}}}

/* ##sys#unicode-surrogate? in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in ... */
static void C_ccall f_23130(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_23130,3,av);}
t3=C_fixnum_less_or_equal_p(C_fix(55296),t2);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=(C_truep(t3)?C_fixnum_less_or_equal_p(t2,C_fix(57343)):C_SCHEME_FALSE);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* ##sys#surrogates->codepoint in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in ... */
static void C_ccall f_23142(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_23142,4,av);}
if(C_truep(C_fixnum_less_or_equal_p(C_fix(55296),t2))){
if(C_truep(C_fixnum_less_or_equal_p(t2,C_fix(56319)))){
if(C_truep(C_fixnum_less_or_equal_p(C_fix(56320),t3))){
if(C_truep(C_fixnum_less_or_equal_p(t3,C_fix(57343)))){
t4=C_fixnum_shift_right(t2,C_fix(6));
t5=C_fixnum_and(t4,C_fix(31));
t6=C_fixnum_plus(C_fix(1),t5);
t7=C_fixnum_shift_left(t6,C_fix(16));
t8=C_fixnum_and(t2,C_fix(63));
t9=C_fixnum_shift_left(t8,C_fix(10));
t10=C_fixnum_and(t3,C_fix(1023));
t11=C_fixnum_or(t9,t10);
t12=t1;{
C_word *av2=av;
av2[0]=t12;
av2[1]=C_fixnum_or(t7,t11);
((C_proc)(void*)(*((C_word*)t12+1)))(2,av2);}}
else{
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}
else{
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}
else{
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}
else{
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* ##sys#read-bytevector-literal in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in ... */
static void C_ccall f_23204(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(12,c,4)))){
C_save_and_reclaim((void *)f_23204,3,av);}
a=C_alloc(12);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_23207,a[2]=t2,a[3]=((C_word)li690),tmp=(C_word)a,a+=4,tmp);
t4=C_SCHEME_UNDEFINED;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=C_set_block_item(t5,0,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_23253,a[2]=t2,a[3]=t5,a[4]=t3,a[5]=((C_word)li691),tmp=(C_word)a,a+=6,tmp));
t7=((C_word*)t5)[1];
f_23253(t7,t1,C_SCHEME_END_OF_LIST,C_SCHEME_FALSE);}

/* hex in ##sys#read-bytevector-literal in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in ... */
static void C_fcall f_23207(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,0,3)))){
C_save_and_reclaim_args((void *)trf_23207,3,t0,t1,t2);}
t3=C_u_i_char_downcase(t2);
t4=(C_truep(C_u_i_char_greater_or_equal_p(t3,C_make_character(97)))?C_u_i_char_less_or_equal_p(t3,C_make_character(102)):C_SCHEME_FALSE);
if(C_truep(t4)){
t5=C_fix(C_character_code(t3));
t6=t1;{
C_word av2[2];
av2[0]=t6;
av2[1]=C_fixnum_difference(t5,C_fix(87));
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}
else{
t5=(C_truep(C_u_i_char_greater_or_equal_p(t3,C_make_character(48)))?C_u_i_char_less_or_equal_p(t3,C_make_character(57)):C_SCHEME_FALSE);
if(C_truep(t5)){
t6=C_fix(C_character_code(t3));
t7=t1;{
C_word av2[2];
av2[0]=t7;
av2[1]=C_fixnum_difference(t6,C_fix(48));
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
/* library.scm:4320: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[771]);
C_word av2[4];
av2[0]=*((C_word*)lf[771]+1);
av2[1]=t1;
av2[2]=((C_word*)t0)[2];
av2[3]=lf[856];
tp(4,av2);}}}}

/* loop in ##sys#read-bytevector-literal in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in ... */
static void C_fcall f_23253(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,0,2)))){
C_save_and_reclaim_args((void *)trf_23253,4,t0,t1,t2,t3);}
a=C_alloc(8);
t4=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_23257,a[2]=t1,a[3]=((C_word*)t0)[2],a[4]=t3,a[5]=t2,a[6]=((C_word*)t0)[3],a[7]=((C_word*)t0)[4],tmp=(C_word)a,a+=8,tmp);
/* library.scm:4322: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[762]);
C_word av2[3];
av2[0]=*((C_word*)lf[762]+1);
av2[1]=t4;
av2[2]=((C_word*)t0)[2];
tp(3,av2);}}

/* k23255 in loop in ##sys#read-bytevector-literal in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in ... */
static void C_ccall f_23257(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,3)))){
C_save_and_reclaim((void *)f_23257,2,av);}
a=C_alloc(6);
if(C_truep(C_eofp(t1))){
/* library.scm:4324: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[771]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[771]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=lf[857];
tp(4,av2);}}
else{
if(C_truep(C_i_char_equalp(C_make_character(125),t1))){
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_23275,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
if(C_truep(((C_word*)t0)[4])){
t3=C_fixnum_shift_right(((C_word*)t0)[4],C_fix(4));
t4=C_make_character(C_unfix(t3));
t5=C_a_i_cons(&a,2,t4,((C_word*)t0)[5]);
/* library.scm:4326: ##sys#reverse-list->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[387]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[387]+1);
av2[1]=t2;
av2[2]=t5;
tp(3,av2);}}
else{
t3=((C_word*)t0)[5];
/* library.scm:4326: ##sys#reverse-list->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[387]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[387]+1);
av2[1]=t2;
av2[2]=t3;
tp(3,av2);}}}
else{
if(C_truep(C_u_i_char_whitespacep(t1))){
if(C_truep(((C_word*)t0)[4])){
t2=C_fixnum_shift_right(((C_word*)t0)[4],C_fix(4));
t3=C_make_character(C_unfix(t2));
t4=C_a_i_cons(&a,2,t3,((C_word*)t0)[5]);
/* library.scm:4334: loop */
t5=((C_word*)((C_word*)t0)[6])[1];
f_23253(t5,((C_word*)t0)[2],t4,C_SCHEME_FALSE);}
else{
/* library.scm:4335: loop */
t2=((C_word*)((C_word*)t0)[6])[1];
f_23253(t2,((C_word*)t0)[2],((C_word*)t0)[5],((C_word*)t0)[4]);}}
else{
if(C_truep(((C_word*)t0)[4])){
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_23339,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[5],a[4]=((C_word*)t0)[6],a[5]=((C_word*)t0)[2],tmp=(C_word)a,a+=6,tmp);
/* library.scm:4336: hex */
t3=((C_word*)t0)[7];
f_23207(t3,t2,t1);}
else{
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_23350,a[2]=((C_word*)t0)[6],a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[5],tmp=(C_word)a,a+=5,tmp);
/* library.scm:4337: hex */
t3=((C_word*)t0)[7];
f_23207(t3,t2,t1);}}}}}

/* k23273 in k23255 in loop in ##sys#read-bytevector-literal in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in ... */
static void C_ccall f_23275(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_23275,2,av);}
t2=C_string_to_bytevector(t1);
t3=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* k23337 in k23255 in loop in ##sys#read-bytevector-literal in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in ... */
static void C_ccall f_23339(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_23339,2,av);}
a=C_alloc(3);
t2=C_fixnum_or(((C_word*)t0)[2],t1);
t3=C_make_character(C_unfix(t2));
t4=C_a_i_cons(&a,2,t3,((C_word*)t0)[3]);
/* library.scm:4336: loop */
t5=((C_word*)((C_word*)t0)[4])[1];
f_23253(t5,((C_word*)t0)[5],t4,C_SCHEME_FALSE);}

/* k23348 in k23255 in loop in ##sys#read-bytevector-literal in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in ... */
static void C_ccall f_23350(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_23350,2,av);}
t2=C_fixnum_shift_left(t1,C_fix(4));
/* library.scm:4337: loop */
t3=((C_word*)((C_word*)t0)[2])[1];
f_23253(t3,((C_word*)t0)[3],((C_word*)t0)[4],t2);}

/* ##sys#user-read-hook in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in ... */
static void C_ccall f_23352(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,4)))){
C_save_and_reclaim((void *)f_23352,4,av);}
a=C_alloc(3);
t4=t2;
t5=C_eqp(t4,C_make_character(102));
t6=(C_truep(t5)?t5:C_eqp(t4,C_make_character(70)));
if(C_truep(t6)){
t7=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_23365,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* library.scm:4349: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[762]);
C_word *av2=av;
av2[0]=*((C_word*)lf[762]+1);
av2[1]=t7;
av2[2]=t3;
tp(3,av2);}}
else{
t7=C_eqp(t4,C_make_character(116));
t8=(C_truep(t7)?t7:C_eqp(t4,C_make_character(84)));
if(C_truep(t8)){
t9=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_23377,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* library.scm:4350: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[762]);
C_word *av2=av;
av2[0]=*((C_word*)lf[762]+1);
av2[1]=t9;
av2[2]=t3;
tp(3,av2);}}
else{
/* library.scm:4351: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[771]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[771]+1);
av2[1]=t1;
av2[2]=t3;
av2[3]=lf[858];
av2[4]=t2;
tp(5,av2);}}}}

/* k23363 in ##sys#user-read-hook in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in ... */
static void C_ccall f_23365(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_23365,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k23375 in ##sys#user-read-hook in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in ... */
static void C_ccall f_23377(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_23377,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_SCHEME_TRUE;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* ##sys#write-char-0 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in ... */
static void C_ccall f_23397(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_23397,4,av);}
a=C_alloc(3);
t4=C_slot(t3,C_fix(2));
t5=C_slot(t4,C_fix(2));
t6=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_23404,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* library.scm:4365: g4993 */
t7=t5;{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
av2[2]=t3;
av2[3]=t2;
((C_proc)C_fast_retrieve_proc(t7))(4,av2);}}

/* k23402 in ##sys#write-char-0 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in ... */
static void C_ccall f_23404(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_23404,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=*((C_word*)lf[244]+1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* ##sys#write-char/port in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in ... */
static void C_ccall f_23413(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_23413,4,av);}
t4=t3;
t5=C_i_check_port_2(t4,C_fix(2),C_SCHEME_TRUE,lf[861]);
t6=C_i_check_char_2(t2,lf[861]);
/* library.scm:4372: ##sys#write-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[859]);
C_word *av2=av;
av2[0]=*((C_word*)lf[859]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=t3;
tp(4,av2);}}

/* scheme#write-char in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in ... */
static void C_ccall f_23425(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,3)))){
C_save_and_reclaim((void*)f_23425,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
t4=C_i_nullp(t3);
t5=(C_truep(t4)?*((C_word*)lf[711]+1):C_i_car(t3));
t6=C_i_check_char_2(t2,lf[861]);
t7=C_i_check_port_2(t5,C_fix(2),C_SCHEME_TRUE,lf[861]);
/* library.scm:4378: ##sys#write-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[859]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[859]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=t5;
tp(4,av2);}}

/* scheme#newline in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in ... */
static void C_ccall f_23446(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +0,c,3)))){
C_save_and_reclaim((void*)f_23446,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+0);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
if(C_truep(C_i_nullp(t2))){
t3=*((C_word*)lf[711]+1);
t4=*((C_word*)lf[711]+1);
/* library.scm:4382: ##sys#write-char/port */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[860]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[860]+1);
av2[1]=t1;
av2[2]=C_make_character(10);
av2[3]=*((C_word*)lf[711]+1);
tp(4,av2);}}
else{
t3=C_i_car(t2);
/* library.scm:4382: ##sys#write-char/port */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[860]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[860]+1);
av2[1]=t1;
av2[2]=C_make_character(10);
av2[3]=t3;
tp(4,av2);}}}

/* scheme#write in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in ... */
static void C_ccall f_23461(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,4)))){
C_save_and_reclaim((void*)f_23461,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
if(C_truep(C_i_nullp(t3))){
t4=*((C_word*)lf[711]+1);
t5=C_i_check_port_2(*((C_word*)lf[711]+1),C_fix(2),C_SCHEME_TRUE,lf[862]);
/* library.scm:4387: ##sys#print */
t6=*((C_word*)lf[863]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t6;
av2[1]=t1;
av2[2]=t2;
av2[3]=C_SCHEME_TRUE;
av2[4]=*((C_word*)lf[711]+1);
((C_proc)(void*)(*((C_word*)t6+1)))(5,av2);}}
else{
t4=C_i_car(t3);
t5=C_i_check_port_2(t4,C_fix(2),C_SCHEME_TRUE,lf[862]);
/* library.scm:4387: ##sys#print */
t6=*((C_word*)lf[863]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t6;
av2[1]=t1;
av2[2]=t2;
av2[3]=C_SCHEME_TRUE;
av2[4]=t4;
((C_proc)(void*)(*((C_word*)t6+1)))(5,av2);}}}

/* scheme#display in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in ... */
static void C_ccall f_23479(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,4)))){
C_save_and_reclaim((void*)f_23479,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
if(C_truep(C_i_nullp(t3))){
t4=*((C_word*)lf[711]+1);
t5=C_i_check_port_2(*((C_word*)lf[711]+1),C_fix(2),C_SCHEME_TRUE,lf[864]);
/* library.scm:4392: ##sys#print */
t6=*((C_word*)lf[863]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t6;
av2[1]=t1;
av2[2]=t2;
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[711]+1);
((C_proc)(void*)(*((C_word*)t6+1)))(5,av2);}}
else{
t4=C_i_car(t3);
t5=C_i_check_port_2(t4,C_fix(2),C_SCHEME_TRUE,lf[864]);
/* library.scm:4392: ##sys#print */
t6=*((C_word*)lf[863]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t6;
av2[1]=t1;
av2[2]=t2;
av2[3]=C_SCHEME_FALSE;
av2[4]=t4;
((C_proc)(void*)(*((C_word*)t6+1)))(5,av2);}}}

/* chicken.base#print in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in ... */
static void C_ccall f_23497(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +9,c,3)))){
C_save_and_reclaim((void*)f_23497,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+9);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
t3=*((C_word*)lf[711]+1);
t4=C_i_check_port_2(*((C_word*)lf[711]+1),C_fix(2),C_SCHEME_TRUE,lf[865]);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_23540,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
t6=C_i_check_list_2(t2,lf[683]);
t7=C_SCHEME_UNDEFINED;
t8=(*a=C_VECTOR_TYPE|1,a[1]=t7,tmp=(C_word)a,a+=2,tmp);
t9=C_set_block_item(t8,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_23516,a[2]=t8,a[3]=((C_word)li700),tmp=(C_word)a,a+=4,tmp));
t10=((C_word*)t8)[1];
f_23516(t10,t5,t2);}

/* for-each-loop5054 in chicken.base#print in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in ... */
static void C_fcall f_23516(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,4)))){
C_save_and_reclaim_args((void *)trf_23516,3,t0,t1,t2);}
a=C_alloc(5);
if(C_truep(C_i_pairp(t2))){
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_23526,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
t4=C_slot(t2,C_fix(0));
t5=*((C_word*)lf[863]+1);
/* library.scm:4395: g5070 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[863]+1));
C_word av2[5];
av2[0]=*((C_word*)lf[863]+1);
av2[1]=t3;
av2[2]=t4;
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[711]+1);
tp(5,av2);}}
else{
t3=C_SCHEME_UNDEFINED;
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* k23524 in for-each-loop5054 in chicken.base#print in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in ... */
static void C_ccall f_23526(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_23526,2,av);}
t2=C_slot(((C_word*)t0)[2],C_fix(1));
t3=((C_word*)((C_word*)t0)[3])[1];
f_23516(t3,((C_word*)t0)[4],t2);}

/* k23538 in chicken.base#print in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in ... */
static void C_ccall f_23540(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_23540,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_23543,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:4401: ##sys#write-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[859]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[859]+1);
av2[1]=t2;
av2[2]=C_make_character(10);
av2[3]=*((C_word*)lf[711]+1);
tp(4,av2);}}

/* k23541 in k23538 in chicken.base#print in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in ... */
static void C_ccall f_23543(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_23543,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=*((C_word*)lf[244]+1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.base#print* in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in ... */
static void C_ccall f_23548(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +9,c,3)))){
C_save_and_reclaim((void*)f_23548,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+9);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
t3=*((C_word*)lf[711]+1);
t4=C_i_check_port_2(*((C_word*)lf[711]+1),C_fix(2),C_SCHEME_TRUE,lf[865]);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_23591,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
t6=C_i_check_list_2(t2,lf[683]);
t7=C_SCHEME_UNDEFINED;
t8=(*a=C_VECTOR_TYPE|1,a[1]=t7,tmp=(C_word)a,a+=2,tmp);
t9=C_set_block_item(t8,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_23567,a[2]=t8,a[3]=((C_word)li702),tmp=(C_word)a,a+=4,tmp));
t10=((C_word*)t8)[1];
f_23567(t10,t5,t2);}

/* for-each-loop5086 in chicken.base#print* in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in ... */
static void C_fcall f_23567(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,4)))){
C_save_and_reclaim_args((void *)trf_23567,3,t0,t1,t2);}
a=C_alloc(5);
if(C_truep(C_i_pairp(t2))){
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_23577,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
t4=C_slot(t2,C_fix(0));
t5=*((C_word*)lf[863]+1);
/* library.scm:4395: g5102 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[863]+1));
C_word av2[5];
av2[0]=*((C_word*)lf[863]+1);
av2[1]=t3;
av2[2]=t4;
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[711]+1);
tp(5,av2);}}
else{
t3=C_SCHEME_UNDEFINED;
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* k23575 in for-each-loop5086 in chicken.base#print* in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in ... */
static void C_ccall f_23577(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_23577,2,av);}
t2=C_slot(((C_word*)t0)[2],C_fix(1));
t3=((C_word*)((C_word*)t0)[3])[1];
f_23567(t3,((C_word*)t0)[4],t2);}

/* k23589 in chicken.base#print* in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in ... */
static void C_ccall f_23591(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_23591,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_23594,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:4408: ##sys#flush-output */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[743]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[743]+1);
av2[1]=t2;
av2[2]=*((C_word*)lf[711]+1);
tp(3,av2);}}

/* k23592 in k23589 in chicken.base#print* in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in ... */
static void C_ccall f_23594(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_23594,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=*((C_word*)lf[244]+1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in ... */
static void C_ccall f_23601(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_23601,2,av);}
a=C_alloc(3);
t2=C_mutate(&lf[866] /* (set! current-print-length ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_23605,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:4412: chicken.base#make-parameter */
t4=*((C_word*)lf[201]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in ... */
static void C_ccall f_23605(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_23605,2,av);}
a=C_alloc(3);
t2=C_mutate((C_word*)lf[867]+1 /* (set! ##sys#print-length-limit ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_23609,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:4413: chicken.base#make-parameter */
t4=*((C_word*)lf[201]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in ... */
static void C_ccall f_23609(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word t19;
C_word t20;
C_word t21;
C_word t22;
C_word t23;
C_word t24;
C_word t25;
C_word t26;
C_word t27;
C_word t28;
C_word t29;
C_word t30;
C_word t31;
C_word t32;
C_word t33;
C_word t34;
C_word t35;
C_word t36;
C_word t37;
C_word t38;
C_word t39;
C_word t40;
C_word t41;
C_word t42;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(104,c,6)))){
C_save_and_reclaim((void *)f_23609,2,av);}
a=C_alloc(104);
t2=C_mutate(&lf[868] /* (set! ##sys#print-exit ...) */,t1);
t3=*((C_word*)lf[230]+1);
t4=*((C_word*)lf[231]+1);
t5=C_mutate((C_word*)lf[863]+1 /* (set! ##sys#print ...) */,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_23611,a[2]=t4,a[3]=t3,a[4]=((C_word)li717),tmp=(C_word)a,a+=5,tmp));
t6=C_mutate((C_word*)lf[889]+1 /* (set! ##sys#procedure->string ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_24730,a[2]=((C_word)li718),tmp=(C_word)a,a+=3,tmp));
t7=C_set_block_item(lf[902] /* ##sys#record-printers */,0,C_SCHEME_END_OF_LIST);
t8=C_mutate((C_word*)lf[903]+1 /* (set! ##sys#register-record-printer ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_24747,a[2]=((C_word)li719),tmp=(C_word)a,a+=3,tmp));
t9=C_mutate((C_word*)lf[888]+1 /* (set! ##sys#user-print-hook ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_24767,a[2]=((C_word)li727),tmp=(C_word)a,a+=3,tmp));
t10=C_mutate((C_word*)lf[914]+1 /* (set! ##sys#with-print-length-limit ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_24918,a[2]=((C_word)li732),tmp=(C_word)a,a+=3,tmp));
t11=C_SCHEME_UNDEFINED;
t12=(*a=C_VECTOR_TYPE|1,a[1]=t11,tmp=(C_word)a,a+=2,tmp);
t13=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_25003,a[2]=t12,a[3]=((C_word)li733),tmp=(C_word)a,a+=4,tmp);
t14=C_set_block_item(t12,0,t13);
t15=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31316,a[2]=((C_word)li734),tmp=(C_word)a,a+=3,tmp);
t16=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31341,a[2]=((C_word)li735),tmp=(C_word)a,a+=3,tmp);
t17=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_31359,a[2]=t12,a[3]=((C_word)li736),tmp=(C_word)a,a+=4,tmp);
t18=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_31378,a[2]=t12,a[3]=((C_word)li737),tmp=(C_word)a,a+=4,tmp);
t19=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31397,a[2]=((C_word)li738),tmp=(C_word)a,a+=3,tmp);
t20=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31400,a[2]=((C_word)li739),tmp=(C_word)a,a+=3,tmp);
t21=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31403,a[2]=((C_word)li740),tmp=(C_word)a,a+=3,tmp);
t22=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31444,a[2]=((C_word)li744),tmp=(C_word)a,a+=3,tmp);
t23=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31528,a[2]=((C_word)li745),tmp=(C_word)a,a+=3,tmp);
t24=C_a_i_vector(&a,10,t15,t16,t17,t18,*((C_word*)lf[196]+1),t19,t20,t21,t22,t23);
t25=C_mutate((C_word*)lf[919]+1 /* (set! ##sys#string-port-class ...) */,t24);
t26=C_mutate((C_word*)lf[917]+1 /* (set! ##sys#scan-buffer-line ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_25059,a[2]=((C_word)li752),tmp=(C_word)a,a+=3,tmp));
t27=C_mutate((C_word*)lf[212]+1 /* (set! chicken.base#open-input-string ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_25256,a[2]=((C_word)li753),tmp=(C_word)a,a+=3,tmp));
t28=C_mutate((C_word*)lf[213]+1 /* (set! chicken.base#open-output-string ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_25275,a[2]=((C_word)li754),tmp=(C_word)a,a+=3,tmp));
t29=C_mutate((C_word*)lf[211]+1 /* (set! chicken.base#get-output-string ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_25294,a[2]=((C_word)li755),tmp=(C_word)a,a+=3,tmp));
t30=*((C_word*)lf[211]+1);
t31=*((C_word*)lf[213]+1);
t32=C_mutate((C_word*)lf[929]+1 /* (set! ##sys#print-to-string ...) */,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_25328,a[2]=t30,a[3]=t31,a[4]=((C_word)li758),tmp=(C_word)a,a+=5,tmp));
t33=C_mutate((C_word*)lf[883]+1 /* (set! ##sys#pointer->string ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_25371,a[2]=((C_word)li759),tmp=(C_word)a,a+=3,tmp));
t34=C_mutate((C_word*)lf[186]+1 /* (set! chicken.base#get-call-chain ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_25424,a[2]=((C_word)li761),tmp=(C_word)a,a+=3,tmp));
t35=C_mutate((C_word*)lf[938]+1 /* (set! ##sys#really-print-call-chain ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_25568,a[2]=((C_word)li765),tmp=(C_word)a,a+=3,tmp));
t36=C_mutate((C_word*)lf[187]+1 /* (set! chicken.base#print-call-chain ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_25673,a[2]=((C_word)li766),tmp=(C_word)a,a+=3,tmp));
t37=C_mutate((C_word*)lf[946]+1 /* (set! ##sys#user-interrupt-hook ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_25764,a[2]=((C_word)li768),tmp=(C_word)a,a+=3,tmp));
t38=lf[949] /* exit-in-progress */ =C_SCHEME_FALSE;;
t39=C_mutate(&lf[950] /* (set! cleanup-before-exit ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_25786,a[2]=((C_word)li771),tmp=(C_word)a,a+=3,tmp));
t40=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_25869,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t41=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31292,a[2]=((C_word)li981),tmp=(C_word)a,a+=3,tmp);
/* library.scm:4982: chicken.base#make-parameter */
t42=*((C_word*)lf[201]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t42;
av2[1]=t40;
av2[2]=t41;
((C_proc)(void*)(*((C_word*)t42+1)))(3,av2);}}

/* ##sys#print in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in ... */
static void C_ccall f_23611(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_23611,5,av);}
a=C_alloc(7);
t5=t4;
t6=C_i_check_port_2(t5,C_fix(2),C_SCHEME_TRUE,C_SCHEME_FALSE);
t7=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_23618,a[2]=t3,a[3]=t1,a[4]=t4,a[5]=t2,a[6]=((C_word*)t0)[2],tmp=(C_word)a,a+=7,tmp);
/* library.scm:4420: case-sensitive */
t8=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t8;
av2[1]=t7;
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}

/* k23616 in ##sys#print in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in k19647 in k19643 in k19639 in ... */
static void C_ccall f_23618(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_23618,2,av);}
a=C_alloc(7);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_23621,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],tmp=(C_word)a,a+=7,tmp);
/* library.scm:4421: keyword-style */
t4=((C_word*)t0)[6];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* k23619 in k23616 in ##sys#print in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in k19647 in k19643 in ... */
static void C_ccall f_23621(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,2)))){
C_save_and_reclaim((void *)f_23621,2,av);}
a=C_alloc(8);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_23624,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],a[7]=((C_word*)t0)[6],tmp=(C_word)a,a+=8,tmp);
/* library.scm:4422: ##sys#print-length-limit */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[867]);
C_word *av2=av;
av2[0]=*((C_word*)lf[867]+1);
av2[1]=t3;
tp(2,av2);}}

/* k23622 in k23619 in k23616 in ##sys#print in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in k19647 in ... */
static void C_ccall f_23624(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word t19;
C_word t20;
C_word t21;
C_word t22;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(50,c,4)))){
C_save_and_reclaim((void *)f_23624,2,av);}
a=C_alloc(50);
t2=t1;
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_SCHEME_UNDEFINED;
t6=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t7=C_SCHEME_UNDEFINED;
t8=(*a=C_VECTOR_TYPE|1,a[1]=t7,tmp=(C_word)a,a+=2,tmp);
t9=C_SCHEME_UNDEFINED;
t10=(*a=C_VECTOR_TYPE|1,a[1]=t9,tmp=(C_word)a,a+=2,tmp);
t11=C_SCHEME_UNDEFINED;
t12=(*a=C_VECTOR_TYPE|1,a[1]=t11,tmp=(C_word)a,a+=2,tmp);
t13=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_23626,a[2]=t2,a[3]=((C_word)li704),tmp=(C_word)a,a+=4,tmp));
t14=C_set_block_item(t6,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_23698,a[2]=t2,a[3]=((C_word)li705),tmp=(C_word)a,a+=4,tmp));
t15=C_set_block_item(t8,0,(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_23758,a[2]=((C_word*)t0)[2],a[3]=t4,a[4]=t10,a[5]=t12,a[6]=((C_word)li706),tmp=(C_word)a,a+=7,tmp));
t16=C_set_block_item(t10,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_23782,a[2]=t6,a[3]=t4,a[4]=((C_word)li708),tmp=(C_word)a,a+=5,tmp));
t17=C_set_block_item(t12,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_23871,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word)li710),tmp=(C_word)a,a+=5,tmp));
t18=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_24078,a[2]=((C_word*)t0)[5],tmp=(C_word)a,a+=3,tmp);
t19=C_SCHEME_UNDEFINED;
t20=(*a=C_VECTOR_TYPE|1,a[1]=t19,tmp=(C_word)a,a+=2,tmp);
t21=C_set_block_item(t20,0,(*a=C_CLOSURE_TYPE|9,a[1]=(C_word)f_24083,a[2]=t4,a[3]=((C_word*)t0)[6],a[4]=((C_word*)t0)[2],a[5]=t6,a[6]=((C_word*)t0)[3],a[7]=t8,a[8]=t20,a[9]=((C_word)li716),tmp=(C_word)a,a+=10,tmp));
t22=((C_word*)t20)[1];
f_24083(t22,t18,((C_word*)t0)[7]);}

/* outstr in k23622 in k23619 in k23616 in ##sys#print in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in ... */
static void C_fcall f_23626(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,0,3)))){
C_save_and_reclaim_args((void *)trf_23626,4,t0,t1,t2,t3);}
a=C_alloc(7);
if(C_truep(((C_word*)t0)[2])){
t4=C_block_size(t3);
t5=t4;
t6=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_23636,a[2]=t5,a[3]=t1,a[4]=((C_word*)t0)[2],a[5]=t2,a[6]=t3,tmp=(C_word)a,a+=7,tmp);
/* library.scm:4428: current-print-length */
t7=C_retrieve2(lf[866],C_text("current-print-length"));{
C_word av2[2];
av2[0]=t7;
av2[1]=t6;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
t4=t1;
t5=t2;
t6=t3;
t7=C_slot(t5,C_fix(2));
t8=C_slot(t7,C_fix(3));
/* g51455146 */
t9=t8;{
C_word av2[4];
av2[0]=t9;
av2[1]=t4;
av2[2]=t5;
av2[3]=t6;
((C_proc)C_fast_retrieve_proc(t9))(4,av2);}}}

/* k23634 in outstr in k23622 in k23619 in k23616 in ##sys#print in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in ... */
static void C_ccall f_23636(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(12,c,4)))){
C_save_and_reclaim((void *)f_23636,2,av);}
a=C_alloc(12);
t2=C_fixnum_plus(t1,((C_word*)t0)[2]);
t3=t2;
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_23642,a[2]=((C_word*)t0)[3],a[3]=t3,tmp=(C_word)a,a+=4,tmp);
if(C_truep(C_fixnum_greaterp(t3,((C_word*)t0)[4]))){
t5=C_fixnum_difference(((C_word*)t0)[4],t1);
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_23654,a[2]=t4,a[3]=((C_word*)t0)[5],tmp=(C_word)a,a+=4,tmp);
if(C_truep(C_fixnum_greaterp(t5,C_fix(0)))){
t7=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_23677,a[2]=((C_word*)t0)[5],a[3]=t6,tmp=(C_word)a,a+=4,tmp);
/* library.scm:4432: ##sys#substring */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[395]+1));
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[395]+1);
av2[1]=t7;
av2[2]=((C_word*)t0)[6];
av2[3]=C_fix(0);
av2[4]=t5;
tp(5,av2);}}
else{
t7=t6;{
C_word *av2=av;
av2[0]=t7;
av2[1]=C_SCHEME_UNDEFINED;
f_23654(2,av2);}}}
else{
t5=((C_word*)t0)[5];
t6=((C_word*)t0)[6];
t7=C_slot(t5,C_fix(2));
t8=C_slot(t7,C_fix(3));
/* g51455146 */
t9=t8;{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t9;
av2[1]=t4;
av2[2]=t5;
av2[3]=t6;
((C_proc)C_fast_retrieve_proc(t9))(4,av2);}}}

/* k23640 in k23634 in outstr in k23622 in k23619 in k23616 in ##sys#print in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in ... */
static void C_ccall f_23642(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_23642,2,av);}
/* library.scm:4436: current-print-length */
t2=C_retrieve2(lf[866],C_text("current-print-length"));{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* k23652 in k23634 in outstr in k23622 in k23619 in k23616 in ##sys#print in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in ... */
static void C_ccall f_23654(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_23654,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_23657,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t3=((C_word*)t0)[3];
t4=C_slot(t3,C_fix(2));
t5=C_slot(t4,C_fix(3));
/* g51455146 */
t6=t5;{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t6;
av2[1]=t2;
av2[2]=t3;
av2[3]=lf[869];
((C_proc)C_fast_retrieve_proc(t6))(4,av2);}}

/* k23655 in k23652 in k23634 in outstr in k23622 in k23619 in k23616 in ##sys#print in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in ... */
static void C_ccall f_23657(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_23657,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_23660,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:4434: ##sys#print-exit */
t3=C_retrieve2(lf[868],C_text("##sys#print-exit"));{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* k23658 in k23655 in k23652 in k23634 in outstr in k23622 in k23619 in k23616 in ##sys#print in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in ... */
static void C_ccall f_23660(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_23660,2,av);}
t2=*((C_word*)lf[244]+1);
/* library.scm:4431: g5138 */
t3=t1;{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t3;
av2[1]=((C_word*)t0)[2];
av2[2]=*((C_word*)lf[244]+1);
((C_proc)C_fast_retrieve_proc(t3))(3,av2);}}

/* k23675 in k23634 in outstr in k23622 in k23619 in k23616 in ##sys#print in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in ... */
static void C_ccall f_23677(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_23677,2,av);}
t2=((C_word*)t0)[2];
t3=C_slot(t2,C_fix(2));
t4=C_slot(t3,C_fix(3));
/* g51455146 */
t5=t4;{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t5;
av2[1]=((C_word*)t0)[3];
av2[2]=t2;
av2[3]=t1;
((C_proc)C_fast_retrieve_proc(t5))(4,av2);}}

/* outchr in k23622 in k23619 in k23616 in ##sys#print in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in ... */
static void C_fcall f_23698(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(12,0,3)))){
C_save_and_reclaim_args((void *)trf_23698,4,t0,t1,t2,t3);}
a=C_alloc(12);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_23702,a[2]=t2,a[3]=t1,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
if(C_truep(((C_word*)t0)[2])){
t5=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_23715,a[2]=((C_word*)t0)[2],a[3]=t4,a[4]=t2,a[5]=t1,a[6]=t3,tmp=(C_word)a,a+=7,tmp);
/* library.scm:4444: current-print-length */
t6=C_retrieve2(lf[866],C_text("current-print-length"));{
C_word av2[2];
av2[0]=t6;
av2[1]=t5;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}
else{
t5=C_slot(t2,C_fix(2));
t6=C_slot(t5,C_fix(2));
/* g51545155 */
t7=t6;{
C_word av2[4];
av2[0]=t7;
av2[1]=t1;
av2[2]=t2;
av2[3]=t3;
((C_proc)C_fast_retrieve_proc(t7))(4,av2);}}}

/* k23700 in outchr in k23622 in k23619 in k23616 in ##sys#print in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in ... */
static void C_ccall f_23702(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_23702,2,av);}
t2=C_slot(((C_word*)t0)[2],C_fix(2));
t3=C_slot(t2,C_fix(2));
/* g51545155 */
t4=t3;{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t4;
av2[1]=((C_word*)t0)[3];
av2[2]=((C_word*)t0)[2];
av2[3]=((C_word*)t0)[4];
((C_proc)C_fast_retrieve_proc(t4))(4,av2);}}

/* k23713 in outchr in k23622 in k23619 in k23616 in ##sys#print in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in ... */
static void C_ccall f_23715(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,2)))){
C_save_and_reclaim((void *)f_23715,2,av);}
a=C_alloc(8);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_23718,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],a[7]=((C_word*)t0)[6],tmp=(C_word)a,a+=8,tmp);
t4=C_fixnum_plus(t2,C_fix(1));
/* library.scm:4445: current-print-length */
t5=C_retrieve2(lf[866],C_text("current-print-length"));{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t5;
av2[1]=t3;
av2[2]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(3,av2);}}

/* k23716 in k23713 in outchr in k23622 in k23619 in k23616 in ##sys#print in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in ... */
static void C_ccall f_23718(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_23718,2,av);}
a=C_alloc(3);
if(C_truep(C_fixnum_greater_or_equal_p(((C_word*)t0)[2],((C_word*)t0)[3]))){
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_23727,a[2]=((C_word*)t0)[4],tmp=(C_word)a,a+=3,tmp);
t3=((C_word*)t0)[5];
t4=C_slot(t3,C_fix(2));
t5=C_slot(t4,C_fix(3));
/* g51455146 */
t6=t5;{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t6;
av2[1]=t2;
av2[2]=t3;
av2[3]=lf[870];
((C_proc)C_fast_retrieve_proc(t6))(4,av2);}}
else{
t2=C_slot(((C_word*)t0)[5],C_fix(2));
t3=C_slot(t2,C_fix(2));
/* g51545155 */
t4=t3;{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t4;
av2[1]=((C_word*)t0)[6];
av2[2]=((C_word*)t0)[5];
av2[3]=((C_word*)t0)[7];
((C_proc)C_fast_retrieve_proc(t4))(4,av2);}}}

/* k23725 in k23716 in k23713 in outchr in k23622 in k23619 in k23616 in ##sys#print in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in ... */
static void C_ccall f_23727(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_23727,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_23730,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:4448: ##sys#print-exit */
t3=C_retrieve2(lf[868],C_text("##sys#print-exit"));{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* k23728 in k23725 in k23716 in k23713 in outchr in k23622 in k23619 in k23616 in ##sys#print in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in ... */
static void C_ccall f_23730(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_23730,2,av);}
t2=*((C_word*)lf[244]+1);
/* library.scm:4446: g5150 */
t3=t1;{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t3;
av2[1]=((C_word*)t0)[2];
av2[2]=*((C_word*)lf[244]+1);
((C_proc)C_fast_retrieve_proc(t3))(3,av2);}}

/* outsym in k23622 in k23619 in k23616 in ##sys#print in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in ... */
static void C_fcall f_23758(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,0,2)))){
C_save_and_reclaim_args((void *)trf_23758,4,t0,t1,t2,t3);}
a=C_alloc(8);
t4=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_23762,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t1,a[5]=t2,a[6]=((C_word*)t0)[4],a[7]=((C_word*)t0)[5],tmp=(C_word)a,a+=8,tmp);
/* library.scm:4457: ##sys#symbol->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[629]+1));
C_word av2[3];
av2[0]=*((C_word*)lf[629]+1);
av2[1]=t4;
av2[2]=t3;
tp(3,av2);}}

/* k23760 in outsym in k23622 in k23619 in k23616 in ##sys#print in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in ... */
static void C_ccall f_23762(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_23762,2,av);}
a=C_alloc(7);
t2=t1;
t3=C_i_not(((C_word*)t0)[2]);
t4=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_23771,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],a[5]=t2,a[6]=((C_word*)t0)[6],tmp=(C_word)a,a+=7,tmp);
if(C_truep(t3)){
t5=t4;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t3;
f_23771(2,av2);}}
else{
/* library.scm:4458: sym-is-readable? */
t5=((C_word*)((C_word*)t0)[7])[1];
f_23871(t5,t4,t2);}}

/* k23769 in k23760 in outsym in k23622 in k23619 in k23616 in ##sys#print in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in ... */
static void C_ccall f_23771(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_23771,2,av);}
if(C_truep(t1)){
/* library.scm:4459: outstr */
t2=((C_word*)((C_word*)t0)[2])[1];
f_23626(t2,((C_word*)t0)[3],((C_word*)t0)[4],((C_word*)t0)[5]);}
else{
/* library.scm:4460: outreadablesym */
t2=((C_word*)((C_word*)t0)[6])[1];
f_23782(t2,((C_word*)t0)[3],((C_word*)t0)[4],((C_word*)t0)[5]);}}

/* outreadablesym in k23622 in k23619 in k23616 in ##sys#print in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in ... */
static void C_fcall f_23782(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,0,3)))){
C_save_and_reclaim_args((void *)trf_23782,4,t0,t1,t2,t3);}
a=C_alloc(8);
t4=C_block_size(t3);
t5=t4;
t6=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_23789,a[2]=t5,a[3]=((C_word*)t0)[2],a[4]=t2,a[5]=t3,a[6]=((C_word*)t0)[3],a[7]=t1,tmp=(C_word)a,a+=8,tmp);
/* library.scm:4464: outchr */
t7=((C_word*)((C_word*)t0)[2])[1];
f_23698(t7,t6,t2,C_make_character(124));}

/* k23787 in outreadablesym in k23622 in k23619 in k23616 in ##sys#print in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in ... */
static void C_ccall f_23789(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,c,3)))){
C_save_and_reclaim((void *)f_23789,2,av);}
a=C_alloc(11);
t2=C_SCHEME_UNDEFINED;
t3=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
t4=C_set_block_item(t3,0,(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_23794,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=t3,a[7]=((C_word*)t0)[6],a[8]=((C_word)li707),tmp=(C_word)a,a+=9,tmp));
t5=((C_word*)t3)[1];
f_23794(t5,((C_word*)t0)[7],C_fix(0));}

/* loop in k23787 in outreadablesym in k23622 in k23619 in k23616 in ##sys#print in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in ... */
static void C_fcall f_23794(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,0,3)))){
C_save_and_reclaim_args((void *)trf_23794,3,t0,t1,t2);}
a=C_alloc(9);
if(C_truep(C_fixnum_greater_or_equal_p(t2,((C_word*)t0)[2]))){
/* library.scm:4467: outchr */
t3=((C_word*)((C_word*)t0)[3])[1];
f_23698(t3,t1,((C_word*)t0)[4],C_make_character(124));}
else{
t3=C_subchar(((C_word*)t0)[5],t2);
t4=C_i_char_lessp(t3,C_make_character(32));
t5=(C_truep(t4)?t4:C_u_i_char_greaterp(t3,C_make_character(126)));
if(C_truep(t5)){
t6=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_23816,a[2]=t3,a[3]=t2,a[4]=((C_word*)t0)[6],a[5]=t1,a[6]=((C_word*)t0)[7],a[7]=((C_word*)t0)[4],a[8]=((C_word*)t0)[3],tmp=(C_word)a,a+=9,tmp);
/* library.scm:4470: outstr */
t7=((C_word*)((C_word*)t0)[7])[1];
f_23626(t7,t6,((C_word*)t0)[4],lf[871]);}
else{
t6=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_23845,a[2]=t2,a[3]=((C_word*)t0)[6],a[4]=t1,a[5]=((C_word*)t0)[3],a[6]=((C_word*)t0)[4],a[7]=t3,tmp=(C_word)a,a+=8,tmp);
t7=C_eqp(t3,C_make_character(124));
if(C_truep(t7)){
if(C_truep(t7)){
/* library.scm:4476: outchr */
t8=((C_word*)((C_word*)t0)[3])[1];
f_23698(t8,t6,((C_word*)t0)[4],C_make_character(92));}
else{
t8=t6;{
C_word av2[2];
av2[0]=t8;
av2[1]=C_SCHEME_UNDEFINED;
f_23845(2,av2);}}}
else{
t8=C_eqp(t3,C_make_character(92));
if(C_truep(t8)){
/* library.scm:4476: outchr */
t9=((C_word*)((C_word*)t0)[3])[1];
f_23698(t9,t6,((C_word*)t0)[4],C_make_character(92));}
else{
t9=t6;{
C_word av2[2];
av2[0]=t9;
av2[1]=C_SCHEME_UNDEFINED;
f_23845(2,av2);}}}}}}

/* k23814 in loop in k23787 in outreadablesym in k23622 in k23619 in k23616 in ##sys#print in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in ... */
static void C_ccall f_23816(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,3)))){
C_save_and_reclaim((void *)f_23816,2,av);}
a=C_alloc(8);
t2=C_fix(C_character_code(((C_word*)t0)[2]));
t3=t2;
t4=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_23822,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],a[5]=((C_word*)t0)[6],a[6]=((C_word*)t0)[7],a[7]=t3,tmp=(C_word)a,a+=8,tmp);
if(C_truep(C_fixnum_lessp(t3,C_fix(16)))){
/* library.scm:4472: outchr */
t5=((C_word*)((C_word*)t0)[8])[1];
f_23698(t5,t4,((C_word*)t0)[7],C_make_character(48));}
else{
t5=t4;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_SCHEME_UNDEFINED;
f_23822(2,av2);}}}

/* k23820 in k23814 in loop in k23787 in outreadablesym in k23622 in k23619 in k23616 in ##sys#print in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in ... */
static void C_ccall f_23822(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,3)))){
C_save_and_reclaim((void *)f_23822,2,av);}
a=C_alloc(10);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_23825,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_23836,a[2]=((C_word*)t0)[5],a[3]=t2,a[4]=((C_word*)t0)[6],tmp=(C_word)a,a+=5,tmp);
/* library.scm:4473: ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[600]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[600]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[7];
av2[3]=C_fix(16);
tp(4,av2);}}

/* k23823 in k23820 in k23814 in loop in k23787 in outreadablesym in k23622 in k23619 in k23616 in ##sys#print in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in ... */
static void C_ccall f_23825(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_23825,2,av);}
t2=C_fixnum_plus(((C_word*)t0)[2],C_fix(1));
/* library.scm:4474: loop */
t3=((C_word*)((C_word*)t0)[3])[1];
f_23794(t3,((C_word*)t0)[4],t2);}

/* k23834 in k23820 in k23814 in loop in k23787 in outreadablesym in k23622 in k23619 in k23616 in ##sys#print in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in ... */
static void C_ccall f_23836(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_23836,2,av);}
/* library.scm:4473: outstr */
t2=((C_word*)((C_word*)t0)[2])[1];
f_23626(t2,((C_word*)t0)[3],((C_word*)t0)[4],t1);}

/* k23843 in loop in k23787 in outreadablesym in k23622 in k23619 in k23616 in ##sys#print in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in ... */
static void C_ccall f_23845(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_23845,2,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_23848,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:4477: outchr */
t3=((C_word*)((C_word*)t0)[5])[1];
f_23698(t3,t2,((C_word*)t0)[6],((C_word*)t0)[7]);}

/* k23846 in k23843 in loop in k23787 in outreadablesym in k23622 in k23619 in k23616 in ##sys#print in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in ... */
static void C_ccall f_23848(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_23848,2,av);}
t2=C_fixnum_plus(((C_word*)t0)[2],C_fix(1));
/* library.scm:4478: loop */
t3=((C_word*)((C_word*)t0)[3])[1];
f_23794(t3,((C_word*)t0)[4],t2);}

/* sym-is-readable? in k23622 in k23619 in k23616 in ##sys#print in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in ... */
static void C_fcall f_23871(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,0,3)))){
C_save_and_reclaim_args((void *)trf_23871,3,t0,t1,t2);}
a=C_alloc(10);
t3=C_block_size(t2);
t4=t3;
switch(t4){
case C_fix(0):
t5=t1;{
C_word av2[2];
av2[0]=t5;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}
case C_fix(1):
t5=C_subchar(t2,C_fix(0));
t6=C_eqp(C_make_character(35),t5);
t7=(C_truep(t6)?t6:C_eqp(C_make_character(46),t5));
if(C_truep(t7)){
t8=t1;{
C_word av2[2];
av2[0]=t8;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}
else{
t8=C_fix(C_character_code(t5));
t9=C_fixnum_less_or_equal_p(t8,C_fix(32));
t10=(C_truep(t9)?t9:C_i_memq(t5,lf[872]));
if(C_truep(t10)){
t11=t1;{
C_word av2[2];
av2[0]=t11;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t11+1)))(2,av2);}}
else{
t11=C_u_i_char_numericp(t5);
t12=t1;{
C_word av2[2];
av2[0]=t12;
av2[1]=(C_truep(t11)?C_SCHEME_FALSE:C_SCHEME_TRUE);
((C_proc)(void*)(*((C_word*)t12+1)))(2,av2);}}}
default:
t5=C_fixnum_difference(t4,C_fix(1));
t6=C_SCHEME_UNDEFINED;
t7=(*a=C_VECTOR_TYPE|1,a[1]=t6,tmp=(C_word)a,a+=2,tmp);
t8=C_set_block_item(t7,0,(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_23920,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=t4,a[5]=t7,a[6]=((C_word*)t0)[3],a[7]=((C_word)li709),tmp=(C_word)a,a+=8,tmp));
t9=((C_word*)t7)[1];
f_23920(t9,t1,t5);}}

/* loop in sym-is-readable? in k23622 in k23619 in k23616 in ##sys#print in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in ... */
static void C_fcall f_23920(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,0,2)))){
C_save_and_reclaim_args((void *)trf_23920,3,t0,t1,t2);}
a=C_alloc(8);
t3=C_eqp(t2,C_fix(0));
if(C_truep(t3)){
t4=C_subchar(((C_word*)t0)[2],C_fix(0));
t5=C_u_i_char_numericp(t4);
t6=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_23936,a[2]=t1,a[3]=((C_word*)t0)[2],a[4]=t4,a[5]=((C_word*)t0)[3],a[6]=((C_word*)t0)[4],tmp=(C_word)a,a+=7,tmp);
if(C_truep(t5)){
t7=t6;
f_23936(t7,t5);}
else{
t7=C_eqp(t4,C_make_character(43));
if(C_truep(t7)){
t8=t6;
f_23936(t8,t7);}
else{
t8=C_eqp(t4,C_make_character(46));
t9=t6;
f_23936(t9,(C_truep(t8)?t8:C_eqp(t4,C_make_character(45))));}}}
else{
t4=C_subchar(((C_word*)t0)[2],t2);
t5=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_24021,a[2]=t4,a[3]=t2,a[4]=((C_word*)t0)[5],a[5]=t1,a[6]=((C_word*)t0)[4],a[7]=((C_word*)t0)[3],tmp=(C_word)a,a+=8,tmp);
if(C_truep(((C_word*)t0)[6])){
t6=t5;
f_24021(t6,((C_word*)t0)[6]);}
else{
t6=C_u_i_char_upper_casep(t4);
t7=t5;
f_24021(t7,C_i_not(t6));}}}

/* k23934 in loop in sym-is-readable? in k23622 in k23619 in k23616 in ##sys#print in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in ... */
static void C_fcall f_23936(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,2)))){
C_save_and_reclaim_args((void *)trf_23936,2,t0,t1);}
a=C_alloc(5);
if(C_truep(t1)){
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_23943,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:4497: ##sys#string->number */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[619]+1));
C_word av2[3];
av2[0]=*((C_word*)lf[619]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}
else{
t2=C_eqp(((C_word*)t0)[4],C_make_character(58));
if(C_truep(t2)){
t3=C_eqp(((C_word*)t0)[5],lf[825]);
t4=((C_word*)t0)[2];{
C_word av2[2];
av2[0]=t4;
av2[1]=C_i_not(t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_23962,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
t4=C_eqp(((C_word*)t0)[4],C_make_character(35));
if(C_truep(t4)){
if(C_truep(C_fixnum_greaterp(((C_word*)t0)[6],C_fix(2)))){
t5=C_subchar(((C_word*)t0)[3],C_fix(1));
t6=C_eqp(t5,C_make_character(35));
if(C_truep(t6)){
t7=C_subchar(((C_word*)t0)[3],C_fix(2));
t8=C_eqp(t7,C_make_character(35));
t9=C_i_not(t8);
t10=t3;
f_23962(t10,C_i_not(t9));}
else{
t7=t3;
f_23962(t7,C_SCHEME_TRUE);}}
else{
t5=t3;
f_23962(t5,C_SCHEME_TRUE);}}
else{
t5=t3;
f_23962(t5,C_SCHEME_FALSE);}}}}

/* k23941 in k23934 in loop in sym-is-readable? in k23622 in k23619 in k23616 in ##sys#print in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in ... */
static void C_ccall f_23943(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_23943,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_i_not(t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k23960 in k23934 in loop in sym-is-readable? in k23622 in k23619 in k23616 in ##sys#print in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in ... */
static void C_fcall f_23962(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,0,1)))){
C_save_and_reclaim_args((void *)trf_23962,2,t0,t1);}
if(C_truep(t1)){
t2=C_subchar(((C_word*)t0)[2],C_fix(1));
t3=((C_word*)t0)[3];{
C_word av2[2];
av2[0]=t3;
av2[1]=C_eqp(t2,C_make_character(33));
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
t2=C_fix(C_character_code(((C_word*)t0)[4]));
t3=C_fixnum_less_or_equal_p(t2,C_fix(32));
t4=(C_truep(t3)?t3:C_i_memq(((C_word*)t0)[4],lf[872]));
t5=((C_word*)t0)[3];{
C_word av2[2];
av2[0]=t5;
av2[1]=(C_truep(t4)?C_SCHEME_FALSE:C_SCHEME_TRUE);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* k24019 in loop in sym-is-readable? in k23622 in k23619 in k23616 in ##sys#print in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in ... */
static void C_fcall f_24021(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,0,2)))){
C_save_and_reclaim_args((void *)trf_24021,2,t0,t1);}
if(C_truep(t1)){
t2=C_fix(C_character_code(((C_word*)t0)[2]));
t3=C_fixnum_less_or_equal_p(t2,C_fix(32));
t4=(C_truep(t3)?t3:C_i_memq(((C_word*)t0)[2],lf[872]));
if(C_truep(C_i_not(t4))){
t5=C_eqp(((C_word*)t0)[2],C_make_character(58));
t6=C_i_not(t5);
if(C_truep(t6)){
if(C_truep(t6)){
t7=C_fixnum_difference(((C_word*)t0)[3],C_fix(1));
/* library.scm:4514: loop */
t8=((C_word*)((C_word*)t0)[4])[1];
f_23920(t8,((C_word*)t0)[5],t7);}
else{
t7=((C_word*)t0)[5];{
C_word av2[2];
av2[0]=t7;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}}
else{
t7=C_fixnum_difference(((C_word*)t0)[6],C_fix(1));
t8=C_fixnum_lessp(((C_word*)t0)[3],t7);
if(C_truep(t8)){
if(C_truep(t8)){
t9=C_fixnum_difference(((C_word*)t0)[3],C_fix(1));
/* library.scm:4514: loop */
t10=((C_word*)((C_word*)t0)[4])[1];
f_23920(t10,((C_word*)t0)[5],t9);}
else{
t9=((C_word*)t0)[5];{
C_word av2[2];
av2[0]=t9;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t9+1)))(2,av2);}}}
else{
t9=C_eqp(((C_word*)t0)[7],lf[808]);
if(C_truep(C_i_not(t9))){
t10=C_fixnum_difference(((C_word*)t0)[3],C_fix(1));
/* library.scm:4514: loop */
t11=((C_word*)((C_word*)t0)[4])[1];
f_23920(t11,((C_word*)t0)[5],t10);}
else{
t10=((C_word*)t0)[5];{
C_word av2[2];
av2[0]=t10;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t10+1)))(2,av2);}}}}}
else{
t5=((C_word*)t0)[5];{
C_word av2[2];
av2[0]=t5;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}
else{
t2=((C_word*)t0)[5];{
C_word av2[2];
av2[0]=t2;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}}

/* k24076 in k23622 in k23619 in k23616 in ##sys#print in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in ... */
static void C_ccall f_24078(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_24078,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=*((C_word*)lf[244]+1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* out in k23622 in k23619 in k23616 in ##sys#print in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in ... */
static void C_fcall f_24083(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,0,3)))){
C_save_and_reclaim_args((void *)trf_24083,3,t0,t1,t2);}
a=C_alloc(9);
switch(t2){
case C_SCHEME_END_OF_LIST:
/* library.scm:4517: outstr */
t3=((C_word*)((C_word*)t0)[2])[1];
f_23626(t3,t1,((C_word*)t0)[3],lf[873]);
case C_SCHEME_TRUE:
/* library.scm:4518: outstr */
t3=((C_word*)((C_word*)t0)[2])[1];
f_23626(t3,t1,((C_word*)t0)[3],lf[874]);
case C_SCHEME_FALSE:
/* library.scm:4519: outstr */
t3=((C_word*)((C_word*)t0)[2])[1];
f_23626(t3,t1,((C_word*)t0)[3],lf[875]);
default:
if(C_truep(C_eofp(t2))){
/* library.scm:4520: outstr */
t3=((C_word*)((C_word*)t0)[2])[1];
f_23626(t3,t1,((C_word*)t0)[3],lf[876]);}
else{
if(C_truep(C_undefinedp(t2))){
/* library.scm:4521: outstr */
t3=((C_word*)((C_word*)t0)[2])[1];
f_23626(t3,t1,((C_word*)t0)[3],lf[877]);}
else{
if(C_truep(C_charp(t2))){
if(C_truep(((C_word*)t0)[4])){
t3=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_24132,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=t1,a[6]=((C_word*)t0)[5],tmp=(C_word)a,a+=7,tmp);
/* library.scm:4524: outstr */
t4=((C_word*)((C_word*)t0)[2])[1];
f_23626(t4,t3,((C_word*)t0)[3],lf[878]);}
else{
/* library.scm:4533: outchr */
t3=((C_word*)((C_word*)t0)[5])[1];
f_23698(t3,t1,((C_word*)t0)[3],t2);}}
else{
if(C_truep(C_fixnump(t2))){
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_24191,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
/* library.scm:4534: ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[600]+1));
C_word av2[3];
av2[0]=*((C_word*)lf[600]+1);
av2[1]=t3;
av2[2]=t2;
tp(3,av2);}}
else{
if(C_truep(C_unboundvaluep(t2))){
/* library.scm:4535: outstr */
t3=((C_word*)((C_word*)t0)[2])[1];
f_23626(t3,t1,((C_word*)t0)[3],lf[879]);}
else{
t3=C_blockp(t2);
if(C_truep(C_i_not(t3))){
/* library.scm:4536: outstr */
t4=((C_word*)((C_word*)t0)[2])[1];
f_23626(t4,t1,((C_word*)t0)[3],lf[880]);}
else{
if(C_truep(C_forwardedp(t2))){
/* library.scm:4537: outstr */
t4=((C_word*)((C_word*)t0)[2])[1];
f_23626(t4,t1,((C_word*)t0)[3],lf[881]);}
else{
if(C_truep(C_symbolp(t2))){
if(C_truep(C_u_i_keywordp(t2))){
t4=C_i_not(((C_word*)t0)[4]);
t5=(C_truep(t4)?((C_word*)t0)[6]:C_SCHEME_FALSE);
t6=C_eqp(t5,lf[825]);
if(C_truep(t6)){
t7=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_24230,a[2]=((C_word*)t0)[7],a[3]=t1,a[4]=((C_word*)t0)[3],a[5]=t2,tmp=(C_word)a,a+=6,tmp);
/* library.scm:4543: outchr */
t8=((C_word*)((C_word*)t0)[5])[1];
f_23698(t8,t7,((C_word*)t0)[3],C_make_character(58));}
else{
t7=C_eqp(t5,lf[808]);
if(C_truep(t7)){
t8=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_24242,a[2]=((C_word*)t0)[5],a[3]=t1,a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
/* library.scm:4546: outsym */
t9=((C_word*)((C_word*)t0)[7])[1];
f_23758(t9,t8,((C_word*)t0)[3],t2);}
else{
t8=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_24248,a[2]=((C_word*)t0)[7],a[3]=t1,a[4]=((C_word*)t0)[3],a[5]=t2,tmp=(C_word)a,a+=6,tmp);
/* library.scm:4549: outstr */
t9=((C_word*)((C_word*)t0)[2])[1];
f_23626(t9,t8,((C_word*)t0)[3],lf[882]);}}}
else{
/* library.scm:4552: outsym */
t4=((C_word*)((C_word*)t0)[7])[1];
f_23758(t4,t1,((C_word*)t0)[3],t2);}}
else{
t4=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_24267,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=((C_word*)t0)[3],a[5]=t2,a[6]=((C_word*)t0)[4],a[7]=((C_word*)t0)[5],a[8]=((C_word*)t0)[8],tmp=(C_word)a,a+=9,tmp);
/* library.scm:4553: ##sys#number? */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[495]+1));
C_word av2[3];
av2[0]=*((C_word*)lf[495]+1);
av2[1]=t4;
av2[2]=t2;
tp(3,av2);}}}}}}}}}}}

/* k24130 in out in k23622 in k23619 in k23616 in ##sys#print in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in ... */
static void C_ccall f_24132(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,2)))){
C_save_and_reclaim((void *)f_24132,2,av);}
a=C_alloc(8);
t2=C_fix(C_character_code(((C_word*)t0)[2]));
t3=t2;
t4=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_24138,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],a[5]=t3,a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[2],tmp=(C_word)a,a+=8,tmp);
/* library.scm:4526: chicken.base#char-name */
t5=*((C_word*)lf[199]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t5;
av2[1]=t4;
av2[2]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t5+1)))(3,av2);}}

/* k24136 in k24130 in out in k23622 in k23619 in k23616 in ##sys#print in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in ... */
static void C_ccall f_24138(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,3)))){
C_save_and_reclaim((void *)f_24138,2,av);}
a=C_alloc(6);
if(C_truep(t1)){
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_24142,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word)li711),tmp=(C_word)a,a+=5,tmp);
/* library.scm:4526: g5255 */
t3=t2;
f_24142(t3,((C_word*)t0)[4],t1);}
else{
t2=C_fixnum_lessp(((C_word*)t0)[5],C_fix(32));
t3=(C_truep(t2)?t2:C_fixnum_greaterp(((C_word*)t0)[5],C_fix(255)));
if(C_truep(t3)){
t4=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_24165,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
/* library.scm:4530: outchr */
t5=((C_word*)((C_word*)t0)[6])[1];
f_23698(t5,t4,((C_word*)t0)[3],C_make_character(120));}
else{
/* library.scm:4532: outchr */
t4=((C_word*)((C_word*)t0)[6])[1];
f_23698(t4,((C_word*)t0)[4],((C_word*)t0)[3],((C_word*)t0)[7]);}}}

/* g5255 in k24136 in k24130 in out in k23622 in k23619 in k23616 in ##sys#print in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in ... */
static void C_fcall f_24142(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,0,3)))){
C_save_and_reclaim_args((void *)trf_24142,3,t0,t1,t2);}
t3=C_slot(t2,C_fix(1));
/* library.scm:4528: outstr */
t4=((C_word*)((C_word*)t0)[2])[1];
f_23626(t4,t1,((C_word*)t0)[3],t3);}

/* k24163 in k24136 in k24130 in out in k23622 in k23619 in k23616 in ##sys#print in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in ... */
static void C_ccall f_24165(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_24165,2,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_24172,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:4531: ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[600]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[600]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[5];
av2[3]=C_fix(16);
tp(4,av2);}}

/* k24170 in k24163 in k24136 in k24130 in out in k23622 in k23619 in k23616 in ##sys#print in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in ... */
static void C_ccall f_24172(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_24172,2,av);}
/* library.scm:4531: outstr */
t2=((C_word*)((C_word*)t0)[2])[1];
f_23626(t2,((C_word*)t0)[3],((C_word*)t0)[4],t1);}

/* k24189 in out in k23622 in k23619 in k23616 in ##sys#print in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in ... */
static void C_ccall f_24191(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_24191,2,av);}
/* library.scm:4534: outstr */
t2=((C_word*)((C_word*)t0)[2])[1];
f_23626(t2,((C_word*)t0)[3],((C_word*)t0)[4],t1);}

/* k24228 in out in k23622 in k23619 in k23616 in ##sys#print in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in ... */
static void C_ccall f_24230(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_24230,2,av);}
/* library.scm:4544: outsym */
t2=((C_word*)((C_word*)t0)[2])[1];
f_23758(t2,((C_word*)t0)[3],((C_word*)t0)[4],((C_word*)t0)[5]);}

/* k24240 in out in k23622 in k23619 in k23616 in ##sys#print in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in ... */
static void C_ccall f_24242(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_24242,2,av);}
/* library.scm:4547: outchr */
t2=((C_word*)((C_word*)t0)[2])[1];
f_23698(t2,((C_word*)t0)[3],((C_word*)t0)[4],C_make_character(58));}

/* k24246 in out in k23622 in k23619 in k23616 in ##sys#print in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in ... */
static void C_ccall f_24248(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_24248,2,av);}
/* library.scm:4550: outsym */
t2=((C_word*)((C_word*)t0)[2])[1];
f_23758(t2,((C_word*)t0)[3],((C_word*)t0)[4],((C_word*)t0)[5]);}

/* k24265 in out in k23622 in k23619 in k23616 in ##sys#print in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in ... */
static void C_ccall f_24267(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,4)))){
C_save_and_reclaim((void *)f_24267,2,av);}
a=C_alloc(8);
if(C_truep(t1)){
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_24274,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:4553: ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[600]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[600]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[5];
tp(3,av2);}}
else{
if(C_truep(C_anypointerp(((C_word*)t0)[5]))){
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_24284,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:4554: ##sys#pointer->string */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[883]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[883]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[5];
tp(3,av2);}}
else{
if(C_truep(C_stringp(((C_word*)t0)[5]))){
if(C_truep(((C_word*)t0)[6])){
t2=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_24293,a[2]=((C_word*)t0)[5],a[3]=((C_word*)t0)[7],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[2],a[6]=((C_word*)t0)[3],tmp=(C_word)a,a+=7,tmp);
/* library.scm:4557: outchr */
t3=((C_word*)((C_word*)t0)[7])[1];
f_23698(t3,t2,((C_word*)t0)[4],C_make_character(34));}
else{
/* library.scm:4583: outstr */
t2=((C_word*)((C_word*)t0)[2])[1];
f_23626(t2,((C_word*)t0)[3],((C_word*)t0)[4],((C_word*)t0)[5]);}}
else{
if(C_truep(C_pairp(((C_word*)t0)[5]))){
t2=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_24466,a[2]=((C_word*)t0)[5],a[3]=((C_word*)t0)[7],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[8],a[6]=((C_word*)t0)[2],a[7]=((C_word*)t0)[3],tmp=(C_word)a,a+=8,tmp);
/* library.scm:4585: outchr */
t3=((C_word*)((C_word*)t0)[7])[1];
f_23698(t3,t2,((C_word*)t0)[4],C_make_character(40));}
else{
if(C_truep(C_bytevectorp(((C_word*)t0)[5]))){
t2=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_24539,a[2]=((C_word*)t0)[5],a[3]=((C_word*)t0)[7],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[2],tmp=(C_word)a,a+=7,tmp);
/* library.scm:4597: outstr */
t3=((C_word*)((C_word*)t0)[2])[1];
f_23626(t3,t2,((C_word*)t0)[4],lf[887]);}
else{
if(C_truep(C_structurep(((C_word*)t0)[5]))){
/* library.scm:4606: ##sys#user-print-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[888]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[888]+1);
av2[1]=((C_word*)t0)[3];
av2[2]=((C_word*)t0)[5];
av2[3]=((C_word*)t0)[6];
av2[4]=((C_word*)t0)[4];
tp(5,av2);}}
else{
if(C_truep(C_closurep(((C_word*)t0)[5]))){
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_24599,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:4607: ##sys#procedure->string */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[889]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[889]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[5];
tp(3,av2);}}
else{
if(C_truep(C_locativep(((C_word*)t0)[5]))){
/* library.scm:4608: outstr */
t2=((C_word*)((C_word*)t0)[2])[1];
f_23626(t2,((C_word*)t0)[3],((C_word*)t0)[4],lf[890]);}
else{
if(C_truep(C_lambdainfop(((C_word*)t0)[5]))){
t2=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_24611,a[2]=((C_word*)t0)[7],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[2],a[6]=((C_word*)t0)[5],tmp=(C_word)a,a+=7,tmp);
/* library.scm:4610: outstr */
t3=((C_word*)((C_word*)t0)[2])[1];
f_23626(t3,t2,((C_word*)t0)[4],lf[891]);}
else{
if(C_truep(C_portp(((C_word*)t0)[5]))){
t2=C_slot(((C_word*)t0)[5],C_fix(1));
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_24630,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
switch(t2){
case C_fix(1):
/* library.scm:4615: outstr */
t4=((C_word*)((C_word*)t0)[2])[1];
f_23626(t4,t3,((C_word*)t0)[4],lf[893]);
case C_fix(2):
/* library.scm:4616: outstr */
t4=((C_word*)((C_word*)t0)[2])[1];
f_23626(t4,t3,((C_word*)t0)[4],lf[894]);
default:
/* library.scm:4617: outstr */
t4=((C_word*)((C_word*)t0)[2])[1];
f_23626(t4,t3,((C_word*)t0)[4],lf[895]);}}
else{
if(C_truep(C_vectorp(((C_word*)t0)[5]))){
t2=C_block_size(((C_word*)t0)[5]);
t3=C_eqp(C_fix(0),t2);
if(C_truep(t3)){
/* library.scm:4623: outstr */
t4=((C_word*)((C_word*)t0)[2])[1];
f_23626(t4,((C_word*)t0)[3],((C_word*)t0)[4],lf[896]);}
else{
t4=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_24677,a[2]=t2,a[3]=((C_word*)t0)[7],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[8],a[7]=((C_word*)t0)[3],tmp=(C_word)a,a+=8,tmp);
/* library.scm:4625: outstr */
t5=((C_word*)((C_word*)t0)[2])[1];
f_23626(t5,t4,((C_word*)t0)[4],lf[897]);}}
else{
/* library.scm:4633: ##sys#error */
t2=*((C_word*)lf[155]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
av2[2]=lf[898];
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}}}}}}}}}}}}

/* k24272 in k24265 in out in k23622 in k23619 in k23616 in ##sys#print in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in ... */
static void C_ccall f_24274(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_24274,2,av);}
/* library.scm:4553: outstr */
t2=((C_word*)((C_word*)t0)[2])[1];
f_23626(t2,((C_word*)t0)[3],((C_word*)t0)[4],t1);}

/* k24282 in k24265 in out in k23622 in k23619 in k23616 in ##sys#print in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in ... */
static void C_ccall f_24284(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_24284,2,av);}
/* library.scm:4554: outstr */
t2=((C_word*)((C_word*)t0)[2])[1];
f_23626(t2,((C_word*)t0)[3],((C_word*)t0)[4],t1);}

/* k24291 in k24265 in out in k23622 in k23619 in k23616 in ##sys#print in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in ... */
static void C_ccall f_24293(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,4)))){
C_save_and_reclaim((void *)f_24293,2,av);}
a=C_alloc(10);
t2=C_block_size(((C_word*)t0)[2]);
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_24299,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[2],a[5]=t4,a[6]=((C_word*)t0)[5],a[7]=((C_word)li712),tmp=(C_word)a,a+=8,tmp));
t6=((C_word*)t4)[1];
f_24299(t6,((C_word*)t0)[6],C_fix(0),t2);}

/* doloop5280 in k24291 in k24265 in out in k23622 in k23619 in k23616 in ##sys#print in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in ... */
static void C_fcall f_24299(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(13,0,3)))){
C_save_and_reclaim_args((void *)trf_24299,4,t0,t1,t2,t3);}
a=C_alloc(13);
t4=C_eqp(t3,C_fix(0));
if(C_truep(t4)){
/* library.scm:4561: outchr */
t5=((C_word*)((C_word*)t0)[2])[1];
f_23698(t5,t1,((C_word*)t0)[3],C_make_character(34));}
else{
t5=C_subbyte(((C_word*)t0)[4],t2);
t6=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_24312,a[2]=t2,a[3]=t3,a[4]=((C_word*)t0)[5],a[5]=t1,tmp=(C_word)a,a+=6,tmp);
switch(t5){
case C_fix(34):
/* library.scm:4564: outstr */
t7=((C_word*)((C_word*)t0)[6])[1];
f_23626(t7,t6,((C_word*)t0)[3],lf[884]);
case C_fix(92):
/* library.scm:4565: outstr */
t7=((C_word*)((C_word*)t0)[6])[1];
f_23626(t7,t6,((C_word*)t0)[3],lf[885]);
default:
t7=C_fixnum_lessp(t5,C_fix(32));
t8=(C_truep(t7)?t7:C_eqp(t5,C_fix(127)));
if(C_truep(t8)){
t9=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_24350,a[2]=t5,a[3]=((C_word*)t0)[2],a[4]=t6,a[5]=((C_word*)t0)[3],a[6]=((C_word*)t0)[6],tmp=(C_word)a,a+=7,tmp);
/* library.scm:4569: outchr */
t10=((C_word*)((C_word*)t0)[2])[1];
f_23698(t10,t9,((C_word*)t0)[3],C_make_character(92));}
else{
t9=C_fix_to_char(t5);
/* library.scm:4582: outchr */
t10=((C_word*)((C_word*)t0)[2])[1];
f_23698(t10,t6,((C_word*)t0)[3],t9);}}}}

/* k24310 in doloop5280 in k24291 in k24265 in out in k23622 in k23619 in k23616 in ##sys#print in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in ... */
static void C_ccall f_24312(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_24312,2,av);}
t2=C_fixnum_plus(((C_word*)t0)[2],C_fix(1));
t3=C_fixnum_difference(((C_word*)t0)[3],C_fix(1));
t4=((C_word*)((C_word*)t0)[4])[1];
f_24299(t4,((C_word*)t0)[5],t2,t3);}

/* k24348 in doloop5280 in k24291 in k24265 in out in k23622 in k23619 in k23616 in ##sys#print in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in ... */
static void C_ccall f_24350(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,3)))){
C_save_and_reclaim((void *)f_24350,2,av);}
a=C_alloc(7);
switch(((C_word*)t0)[2]){
case C_fix(7):
/* library.scm:4571: outchr */
t2=((C_word*)((C_word*)t0)[3])[1];
f_23698(t2,((C_word*)t0)[4],((C_word*)t0)[5],C_make_character(97));
case C_fix(8):
/* library.scm:4572: outchr */
t2=((C_word*)((C_word*)t0)[3])[1];
f_23698(t2,((C_word*)t0)[4],((C_word*)t0)[5],C_make_character(98));
case C_fix(9):
/* library.scm:4573: outchr */
t2=((C_word*)((C_word*)t0)[3])[1];
f_23698(t2,((C_word*)t0)[4],((C_word*)t0)[5],C_make_character(116));
case C_fix(10):
/* library.scm:4574: outchr */
t2=((C_word*)((C_word*)t0)[3])[1];
f_23698(t2,((C_word*)t0)[4],((C_word*)t0)[5],C_make_character(110));
case C_fix(11):
/* library.scm:4575: outchr */
t2=((C_word*)((C_word*)t0)[3])[1];
f_23698(t2,((C_word*)t0)[4],((C_word*)t0)[5],C_make_character(118));
case C_fix(12):
/* library.scm:4576: outchr */
t2=((C_word*)((C_word*)t0)[3])[1];
f_23698(t2,((C_word*)t0)[4],((C_word*)t0)[5],C_make_character(102));
case C_fix(13):
/* library.scm:4577: outchr */
t2=((C_word*)((C_word*)t0)[3])[1];
f_23698(t2,((C_word*)t0)[4],((C_word*)t0)[5],C_make_character(114));
default:
t2=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_24416,a[2]=((C_word*)t0)[6],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],a[5]=((C_word*)t0)[2],a[6]=((C_word*)t0)[3],tmp=(C_word)a,a+=7,tmp);
/* library.scm:4579: outchr */
t3=((C_word*)((C_word*)t0)[3])[1];
f_23698(t3,t2,((C_word*)t0)[5],C_make_character(120));}}

/* k24414 in k24348 in doloop5280 in k24291 in k24265 in out in k23622 in k23619 in k23616 in ##sys#print in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in ... */
static void C_ccall f_24416(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,3)))){
C_save_and_reclaim((void *)f_24416,2,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_24419,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
if(C_truep(C_fixnum_lessp(((C_word*)t0)[5],C_fix(16)))){
/* library.scm:4580: outchr */
t3=((C_word*)((C_word*)t0)[6])[1];
f_23698(t3,t2,((C_word*)t0)[4],C_make_character(48));}
else{
t3=t2;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_UNDEFINED;
f_24419(2,av2);}}}

/* k24417 in k24414 in k24348 in doloop5280 in k24291 in k24265 in out in k23622 in k23619 in k23616 in ##sys#print in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in ... */
static void C_ccall f_24419(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_24419,2,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_24426,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:4581: ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[600]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[600]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[5];
av2[3]=C_fix(16);
tp(4,av2);}}

/* k24424 in k24417 in k24414 in k24348 in doloop5280 in k24291 in k24265 in out in k23622 in k23619 in k23616 in ##sys#print in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in ... */
static void C_ccall f_24426(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_24426,2,av);}
/* library.scm:4581: outstr */
t2=((C_word*)((C_word*)t0)[2])[1];
f_23626(t2,((C_word*)t0)[3],((C_word*)t0)[4],t1);}

/* k24464 in k24265 in out in k23622 in k23619 in k23616 in ##sys#print in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in ... */
static void C_ccall f_24466(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,2)))){
C_save_and_reclaim((void *)f_24466,2,av);}
a=C_alloc(8);
t2=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_24469,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],tmp=(C_word)a,a+=8,tmp);
t3=C_slot(((C_word*)t0)[2],C_fix(0));
/* library.scm:4586: out */
t4=((C_word*)((C_word*)t0)[5])[1];
f_24083(t4,t2,t3);}

/* k24467 in k24464 in k24265 in out in k23622 in k23619 in k23616 in ##sys#print in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in ... */
static void C_ccall f_24469(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,3)))){
C_save_and_reclaim((void *)f_24469,2,av);}
a=C_alloc(10);
t2=C_slot(((C_word*)t0)[2],C_fix(1));
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_24478,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],a[5]=((C_word*)t0)[6],a[6]=t4,a[7]=((C_word)li713),tmp=(C_word)a,a+=8,tmp));
t6=((C_word*)t4)[1];
f_24478(t6,((C_word*)t0)[7],t2);}

/* doloop5310 in k24467 in k24464 in k24265 in out in k23622 in k23619 in k23616 in ##sys#print in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in ... */
static void C_fcall f_24478(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,0,2)))){
C_save_and_reclaim_args((void *)trf_24478,3,t0,t1,t2);}
a=C_alloc(9);
t3=C_blockp(t2);
t4=C_i_not(t3);
t5=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_24488,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=((C_word*)t0)[3],a[5]=t2,a[6]=((C_word*)t0)[4],a[7]=((C_word*)t0)[5],a[8]=((C_word*)t0)[6],tmp=(C_word)a,a+=9,tmp);
if(C_truep(t4)){
t6=t5;
f_24488(t6,t4);}
else{
t6=C_pairp(t2);
t7=t5;
f_24488(t7,C_i_not(t6));}}

/* k24486 in doloop5310 in k24467 in k24464 in k24265 in out in k23622 in k23619 in k23616 in ##sys#print in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in ... */
static void C_fcall f_24488(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,0,3)))){
C_save_and_reclaim_args((void *)trf_24488,2,t0,t1);}
a=C_alloc(10);
if(C_truep(t1)){
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_24491,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
t3=C_eqp(((C_word*)t0)[5],C_SCHEME_END_OF_LIST);
if(C_truep(C_i_not(t3))){
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_24500,a[2]=((C_word*)t0)[6],a[3]=t2,a[4]=((C_word*)t0)[5],tmp=(C_word)a,a+=5,tmp);
/* library.scm:4591: outstr */
t5=((C_word*)((C_word*)t0)[7])[1];
f_23626(t5,t4,((C_word*)t0)[4],lf[886]);}
else{
/* library.scm:4593: outchr */
t4=((C_word*)((C_word*)t0)[2])[1];
f_23698(t4,((C_word*)t0)[3],((C_word*)t0)[4],C_make_character(41));}}
else{
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_24510,a[2]=((C_word*)t0)[5],a[3]=((C_word*)t0)[8],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[6],tmp=(C_word)a,a+=6,tmp);
/* library.scm:4594: outchr */
t3=((C_word*)((C_word*)t0)[2])[1];
f_23698(t3,t2,((C_word*)t0)[4],C_make_character(32));}}

/* k24489 in k24486 in doloop5310 in k24467 in k24464 in k24265 in out in k23622 in k23619 in k23616 in ##sys#print in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in ... */
static void C_ccall f_24491(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_24491,2,av);}
/* library.scm:4593: outchr */
t2=((C_word*)((C_word*)t0)[2])[1];
f_23698(t2,((C_word*)t0)[3],((C_word*)t0)[4],C_make_character(41));}

/* k24498 in k24486 in doloop5310 in k24467 in k24464 in k24265 in out in k23622 in k23619 in k23616 in ##sys#print in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in ... */
static void C_ccall f_24500(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_24500,2,av);}
/* library.scm:4592: out */
t2=((C_word*)((C_word*)t0)[2])[1];
f_24083(t2,((C_word*)t0)[3],((C_word*)t0)[4]);}

/* k24508 in k24486 in doloop5310 in k24467 in k24464 in k24265 in out in k23622 in k23619 in k23616 in ##sys#print in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in ... */
static void C_ccall f_24510(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_24510,2,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_24513,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
t3=C_slot(((C_word*)t0)[2],C_fix(0));
/* library.scm:4595: out */
t4=((C_word*)((C_word*)t0)[5])[1];
f_24083(t4,t2,t3);}

/* k24511 in k24508 in k24486 in doloop5310 in k24467 in k24464 in k24265 in out in k23622 in k23619 in k23616 in ##sys#print in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in ... */
static void C_ccall f_24513(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_24513,2,av);}
t2=C_slot(((C_word*)t0)[2],C_fix(1));
t3=((C_word*)((C_word*)t0)[3])[1];
f_24478(t3,((C_word*)t0)[4],t2);}

/* k24537 in k24265 in out in k23622 in k23619 in k23616 in ##sys#print in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in ... */
static void C_ccall f_24539(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(16,c,3)))){
C_save_and_reclaim((void *)f_24539,2,av);}
a=C_alloc(16);
t2=C_block_size(((C_word*)t0)[2]);
t3=t2;
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_24545,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],tmp=(C_word)a,a+=5,tmp);
t5=C_SCHEME_UNDEFINED;
t6=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t7=C_set_block_item(t6,0,(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_24550,a[2]=t3,a[3]=((C_word*)t0)[2],a[4]=t6,a[5]=((C_word*)t0)[6],a[6]=((C_word*)t0)[5],a[7]=((C_word*)t0)[3],a[8]=((C_word)li714),tmp=(C_word)a,a+=9,tmp));
t8=((C_word*)t6)[1];
f_24550(t8,t4,C_fix(0));}

/* k24543 in k24537 in k24265 in out in k23622 in k23619 in k23616 in ##sys#print in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in ... */
static void C_ccall f_24545(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_24545,2,av);}
/* library.scm:4605: outchr */
t2=((C_word*)((C_word*)t0)[2])[1];
f_23698(t2,((C_word*)t0)[3],((C_word*)t0)[4],C_make_character(125));}

/* doloop5324 in k24537 in k24265 in out in k23622 in k23619 in k23616 in ##sys#print in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in ... */
static void C_fcall f_24550(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,0,3)))){
C_save_and_reclaim_args((void *)trf_24550,3,t0,t1,t2);}
a=C_alloc(8);
if(C_truep(C_fixnum_greater_or_equal_p(t2,((C_word*)t0)[2]))){
t3=C_SCHEME_UNDEFINED;
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t3=C_subbyte(((C_word*)t0)[3],t2);
t4=t3;
t5=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_24563,a[2]=t2,a[3]=((C_word*)t0)[4],a[4]=t1,a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=t4,tmp=(C_word)a,a+=8,tmp);
if(C_truep(C_fixnum_lessp(t4,C_fix(16)))){
/* library.scm:4603: outchr */
t6=((C_word*)((C_word*)t0)[7])[1];
f_23698(t6,t5,((C_word*)t0)[6],C_make_character(48));}
else{
t6=t5;{
C_word av2[2];
av2[0]=t6;
av2[1]=C_SCHEME_UNDEFINED;
f_24563(2,av2);}}}}

/* k24561 in doloop5324 in k24537 in k24265 in out in k23622 in k23619 in k23616 in ##sys#print in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in ... */
static void C_ccall f_24563(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,3)))){
C_save_and_reclaim((void *)f_24563,2,av);}
a=C_alloc(10);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_24566,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_24577,a[2]=((C_word*)t0)[5],a[3]=t2,a[4]=((C_word*)t0)[6],tmp=(C_word)a,a+=5,tmp);
/* library.scm:4604: ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[600]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[600]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[7];
av2[3]=C_fix(16);
tp(4,av2);}}

/* k24564 in k24561 in doloop5324 in k24537 in k24265 in out in k23622 in k23619 in k23616 in ##sys#print in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in ... */
static void C_ccall f_24566(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_24566,2,av);}
t2=C_fixnum_plus(((C_word*)t0)[2],C_fix(1));
t3=((C_word*)((C_word*)t0)[3])[1];
f_24550(t3,((C_word*)t0)[4],t2);}

/* k24575 in k24561 in doloop5324 in k24537 in k24265 in out in k23622 in k23619 in k23616 in ##sys#print in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in ... */
static void C_ccall f_24577(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_24577,2,av);}
/* library.scm:4604: outstr */
t2=((C_word*)((C_word*)t0)[2])[1];
f_23626(t2,((C_word*)t0)[3],((C_word*)t0)[4],t1);}

/* k24597 in k24265 in out in k23622 in k23619 in k23616 in ##sys#print in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in ... */
static void C_ccall f_24599(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_24599,2,av);}
/* library.scm:4607: outstr */
t2=((C_word*)((C_word*)t0)[2])[1];
f_23626(t2,((C_word*)t0)[3],((C_word*)t0)[4],t1);}

/* k24609 in k24265 in out in k23622 in k23619 in k23616 in ##sys#print in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in ... */
static void C_ccall f_24611(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,2)))){
C_save_and_reclaim((void *)f_24611,2,av);}
a=C_alloc(10);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_24614,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_24621,a[2]=((C_word*)t0)[5],a[3]=t2,a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:4611: ##sys#lambda-info->string */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[751]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[751]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[6];
tp(3,av2);}}

/* k24612 in k24609 in k24265 in out in k23622 in k23619 in k23616 in ##sys#print in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in ... */
static void C_ccall f_24614(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_24614,2,av);}
/* library.scm:4612: outchr */
t2=((C_word*)((C_word*)t0)[2])[1];
f_23698(t2,((C_word*)t0)[3],((C_word*)t0)[4],C_make_character(62));}

/* k24619 in k24609 in k24265 in out in k23622 in k23619 in k23616 in ##sys#print in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in ... */
static void C_ccall f_24621(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_24621,2,av);}
/* library.scm:4611: outstr */
t2=((C_word*)((C_word*)t0)[2])[1];
f_23626(t2,((C_word*)t0)[3],((C_word*)t0)[4],t1);}

/* k24628 in k24265 in out in k23622 in k23619 in k23616 in ##sys#print in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in ... */
static void C_ccall f_24630(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_24630,2,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_24633,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
t3=C_slot(((C_word*)t0)[5],C_fix(3));
/* library.scm:4618: outstr */
t4=((C_word*)((C_word*)t0)[2])[1];
f_23626(t4,t2,((C_word*)t0)[4],t3);}

/* k24631 in k24628 in k24265 in out in k23622 in k23619 in k23616 in ##sys#print in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in ... */
static void C_ccall f_24633(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_24633,2,av);}
/* library.scm:4619: outstr */
t2=((C_word*)((C_word*)t0)[2])[1];
f_23626(t2,((C_word*)t0)[3],((C_word*)t0)[4],lf[892]);}

/* k24675 in k24265 in out in k23622 in k23619 in k23616 in ##sys#print in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in ... */
static void C_ccall f_24677(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,2)))){
C_save_and_reclaim((void *)f_24677,2,av);}
a=C_alloc(8);
t2=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_24680,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],tmp=(C_word)a,a+=8,tmp);
t3=C_slot(((C_word*)t0)[5],C_fix(0));
/* library.scm:4626: out */
t4=((C_word*)((C_word*)t0)[6])[1];
f_24083(t4,t2,t3);}

/* k24678 in k24675 in k24265 in out in k23622 in k23619 in k23616 in ##sys#print in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in ... */
static void C_ccall f_24680(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,4)))){
C_save_and_reclaim((void *)f_24680,2,av);}
a=C_alloc(10);
t2=C_fixnum_difference(((C_word*)t0)[2],C_fix(1));
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_24689,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=t4,a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word)li715),tmp=(C_word)a,a+=8,tmp));
t6=((C_word*)t4)[1];
f_24689(t6,((C_word*)t0)[7],C_fix(1),t2);}

/* doloop5348 in k24678 in k24675 in k24265 in out in k23622 in k23619 in k23616 in ##sys#print in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in ... */
static void C_fcall f_24689(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,0,3)))){
C_save_and_reclaim_args((void *)trf_24689,4,t0,t1,t2,t3);}
a=C_alloc(8);
t4=C_eqp(t3,C_fix(0));
if(C_truep(t4)){
/* library.scm:4630: outchr */
t5=((C_word*)((C_word*)t0)[2])[1];
f_23698(t5,t1,((C_word*)t0)[3],C_make_character(41));}
else{
t5=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_24702,a[2]=t2,a[3]=t3,a[4]=((C_word*)t0)[4],a[5]=t1,a[6]=((C_word*)t0)[5],a[7]=((C_word*)t0)[6],tmp=(C_word)a,a+=8,tmp);
/* library.scm:4631: outchr */
t6=((C_word*)((C_word*)t0)[2])[1];
f_23698(t6,t5,((C_word*)t0)[3],C_make_character(32));}}

/* k24700 in doloop5348 in k24678 in k24675 in k24265 in out in k23622 in k23619 in k23616 in ##sys#print in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in ... */
static void C_ccall f_24702(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_24702,2,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_24705,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
t3=C_slot(((C_word*)t0)[6],((C_word*)t0)[2]);
/* library.scm:4632: out */
t4=((C_word*)((C_word*)t0)[7])[1];
f_24083(t4,t2,t3);}

/* k24703 in k24700 in doloop5348 in k24678 in k24675 in k24265 in out in k23622 in k23619 in k23616 in ##sys#print in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in ... */
static void C_ccall f_24705(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_24705,2,av);}
t2=C_fixnum_plus(((C_word*)t0)[2],C_fix(1));
t3=C_fixnum_difference(((C_word*)t0)[3],C_fix(1));
t4=((C_word*)((C_word*)t0)[4])[1];
f_24689(t4,((C_word*)t0)[5],t2,t3);}

/* ##sys#procedure->string in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in ... */
static void C_ccall f_24730(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_24730,3,av);}
a=C_alloc(3);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_24734,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* library.scm:4639: ##sys#lambda-info */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[750]);
C_word *av2=av;
av2[0]=*((C_word*)lf[750]+1);
av2[1]=t3;
av2[2]=t2;
tp(3,av2);}}

/* k24732 in ##sys#procedure->string in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in k19647 in k19643 in k19639 in ... */
static void C_ccall f_24734(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_24734,2,av);}
a=C_alloc(3);
if(C_truep(t1)){
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_24744,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:4641: ##sys#lambda-info->string */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[751]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[751]+1);
av2[1]=t2;
av2[2]=t1;
tp(3,av2);}}
else{
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=lf[901];
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}}

/* k24742 in k24732 in ##sys#procedure->string in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in k19647 in k19643 in ... */
static void C_ccall f_24744(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_24744,2,av);}
/* library.scm:4641: string-append */
t2=*((C_word*)lf[413]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[899];
av2[3]=t1;
av2[4]=lf[900];
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}

/* ##sys#register-record-printer in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in ... */
static void C_ccall f_24747(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,1)))){
C_save_and_reclaim((void *)f_24747,4,av);}
a=C_alloc(6);
t4=C_i_assq(t2,C_fast_retrieve(lf[902]));
if(C_truep(t4)){
t5=C_i_setslot(t4,C_fix(1),t3);
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=C_SCHEME_UNDEFINED;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}
else{
t5=C_a_i_cons(&a,2,t2,t3);
t6=C_a_i_cons(&a,2,t5,C_fast_retrieve(lf[902]));
t7=C_mutate((C_word*)lf[902]+1 /* (set! ##sys#record-printers ...) */,t6);
t8=t1;{
C_word *av2=av;
av2[0]=t8;
av2[1]=C_SCHEME_UNDEFINED;
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}}

/* ##sys#user-print-hook in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in ... */
static void C_ccall f_24767(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(10,c,4)))){
C_save_and_reclaim((void *)f_24767,5,av);}
a=C_alloc(10);
t5=C_slot(t2,C_fix(0));
t6=t5;
t7=C_i_assq(t6,C_fast_retrieve(lf[902]));
t8=t7;
if(C_truep(t8)){
t9=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_24780,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
t10=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_24785,a[2]=t4,a[3]=t6,a[4]=t8,a[5]=t2,a[6]=((C_word)li726),tmp=(C_word)a,a+=7,tmp);
/* library.scm:4656: scheme#call-with-current-continuation */
t11=*((C_word*)lf[132]+1);{
C_word *av2=av;
av2[0]=t11;
av2[1]=t9;
av2[2]=t10;
((C_proc)(void*)(*((C_word*)t11+1)))(3,av2);}}
else{
t9=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_24870,a[2]=t1,a[3]=t4,a[4]=t6,a[5]=t2,tmp=(C_word)a,a+=6,tmp);
/* library.scm:4668: ##sys#print */
t10=*((C_word*)lf[863]+1);{
C_word *av2=av;
av2[0]=t10;
av2[1]=t9;
av2[2]=lf[913];
av2[3]=C_SCHEME_FALSE;
av2[4]=t4;
((C_proc)(void*)(*((C_word*)t10+1)))(5,av2);}}}

/* k24778 in ##sys#user-print-hook in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in k19647 in k19643 in k19639 in ... */
static void C_ccall f_24780(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_24780,2,av);}
/* library.scm:4656: g5389 */
t2=t1;{
C_word *av2=av;
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
((C_proc)C_fast_retrieve_proc(t2))(2,av2);}}

/* a24784 in ##sys#user-print-hook in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in k19647 in k19643 in k19639 in ... */
static void C_ccall f_24785(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(13,c,3)))){
C_save_and_reclaim((void *)f_24785,3,av);}
a=C_alloc(13);
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_24791,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t2,a[5]=((C_word)li721),tmp=(C_word)a,a+=6,tmp);
t4=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_24842,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[5],a[4]=((C_word*)t0)[2],a[5]=t2,a[6]=((C_word)li725),tmp=(C_word)a,a+=7,tmp);
/* library.scm:4656: chicken.condition#with-exception-handler */
t5=C_fast_retrieve(lf[909]);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t5;
av2[1]=t1;
av2[2]=t3;
av2[3]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(4,av2);}}

/* a24790 in a24784 in ##sys#user-print-hook in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in k19647 in k19643 in ... */
static void C_ccall f_24791(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_24791,3,av);}
a=C_alloc(6);
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_24797,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word)li720),tmp=(C_word)a,a+=6,tmp);
/* library.scm:4656: k5386 */
t4=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t1;
av2[2]=t3;
((C_proc)C_fast_retrieve_proc(t4))(3,av2);}}

/* a24796 in a24790 in a24784 in ##sys#user-print-hook in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in k19647 in ... */
static void C_ccall f_24797(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,4)))){
C_save_and_reclaim((void *)f_24797,2,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_24801,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
/* library.scm:4658: ##sys#print */
t3=*((C_word*)lf[863]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[908];
av2[3]=C_SCHEME_FALSE;
av2[4]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}

/* k24799 in a24796 in a24790 in a24784 in ##sys#user-print-hook in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in ... */
static void C_ccall f_24801(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,2)))){
C_save_and_reclaim((void *)f_24801,2,av);}
a=C_alloc(9);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_24804,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_24840,a[2]=t2,a[3]=((C_word*)t0)[4],tmp=(C_word)a,a+=4,tmp);
/* library.scm:4659: ##sys#symbol->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[629]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[629]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[5];
tp(3,av2);}}

/* k24802 in k24799 in a24796 in a24790 in a24784 in ##sys#user-print-hook in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in ... */
static void C_ccall f_24804(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,4)))){
C_save_and_reclaim((void *)f_24804,2,av);}
a=C_alloc(5);
if(C_truep(C_i_structurep(((C_word*)t0)[2],lf[904]))){
t2=C_slot(((C_word*)t0)[2],C_fix(2));
t3=C_i_member(lf[905],t2);
t4=t3;
if(C_truep(t4)){
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_24819,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=t4,tmp=(C_word)a,a+=5,tmp);
/* library.scm:4662: ##sys#print */
t6=*((C_word*)lf[863]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t6;
av2[1]=t5;
av2[2]=lf[906];
av2[3]=C_SCHEME_FALSE;
av2[4]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t6+1)))(5,av2);}}
else{
t5=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}
else{
/* library.scm:4665: ##sys#print */
t2=*((C_word*)lf[863]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
av2[2]=lf[907];
av2[3]=C_SCHEME_FALSE;
av2[4]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}}

/* k24817 in k24802 in k24799 in a24796 in a24790 in a24784 in ##sys#user-print-hook in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in ... */
static void C_ccall f_24819(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,4)))){
C_save_and_reclaim((void *)f_24819,2,av);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_24822,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
t3=C_i_cadr(((C_word*)t0)[4]);
/* library.scm:4663: ##sys#print */
t4=*((C_word*)lf[863]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t4;
av2[1]=t2;
av2[2]=t3;
av2[3]=C_SCHEME_FALSE;
av2[4]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t4+1)))(5,av2);}}

/* k24820 in k24817 in k24802 in k24799 in a24796 in a24790 in a24784 in ##sys#user-print-hook in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in ... */
static void C_ccall f_24822(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_24822,2,av);}
/* library.scm:4664: ##sys#write-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[859]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[859]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=C_make_character(62);
av2[3]=((C_word*)t0)[3];
tp(4,av2);}}

/* k24838 in k24799 in a24796 in a24790 in a24784 in ##sys#user-print-hook in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in ... */
static void C_ccall f_24840(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_24840,2,av);}
/* library.scm:4659: ##sys#print */
t2=*((C_word*)lf[863]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
av2[3]=C_SCHEME_FALSE;
av2[4]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}

/* a24841 in a24784 in ##sys#user-print-hook in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in k19647 in k19643 in ... */
static void C_ccall f_24842(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(10,c,3)))){
C_save_and_reclaim((void *)f_24842,2,av);}
a=C_alloc(10);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_24848,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word)li722),tmp=(C_word)a,a+=6,tmp);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_24857,a[2]=((C_word*)t0)[5],a[3]=((C_word)li724),tmp=(C_word)a,a+=4,tmp);
/* library.scm:4656: ##sys#call-with-values */{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=t1;
av2[2]=t2;
av2[3]=t3;
C_call_with_values(4,av2);}}

/* a24847 in a24841 in a24784 in ##sys#user-print-hook in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in k19647 in ... */
static void C_ccall f_24848(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_24848,2,av);}
t2=C_slot(((C_word*)t0)[2],C_fix(1));
/* library.scm:4656: g5399 */
t3=t2;{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=t1;
av2[2]=((C_word*)t0)[3];
av2[3]=((C_word*)t0)[4];
((C_proc)C_fast_retrieve_proc(t3))(4,av2);}}

/* a24856 in a24841 in a24784 in ##sys#user-print-hook in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in k19647 in ... */
static void C_ccall f_24857(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +4,c,2)))){
C_save_and_reclaim((void*)f_24857,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+4);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_24863,a[2]=t2,a[3]=((C_word)li723),tmp=(C_word)a,a+=4,tmp);
/* library.scm:4656: k5386 */
t4=((C_word*)t0)[2];{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t1;
av2[2]=t3;
((C_proc)C_fast_retrieve_proc(t4))(3,av2);}}

/* a24862 in a24856 in a24841 in a24784 in ##sys#user-print-hook in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in ... */
static void C_ccall f_24863(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_24863,2,av);}{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=0;
av2[1]=t1;
av2[2]=((C_word*)t0)[2];
C_apply_values(3,av2);}}

/* k24868 in ##sys#user-print-hook in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in k19647 in k19643 in k19639 in ... */
static void C_ccall f_24870(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,2)))){
C_save_and_reclaim((void *)f_24870,2,av);}
a=C_alloc(10);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_24873,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_24916,a[2]=t2,a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:4669: ##sys#symbol->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[629]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[629]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[4];
tp(3,av2);}}

/* k24871 in k24868 in ##sys#user-print-hook in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in k19647 in k19643 in ... */
static void C_ccall f_24873(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,4)))){
C_save_and_reclaim((void *)f_24873,2,av);}
a=C_alloc(9);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_24876,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
t3=C_eqp(((C_word*)t0)[4],lf[904]);
if(C_truep(t3)){
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_24885,a[2]=((C_word*)t0)[5],a[3]=t2,a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
/* library.scm:4672: ##sys#print */
t5=*((C_word*)lf[863]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t5;
av2[1]=t4;
av2[2]=lf[910];
av2[3]=C_SCHEME_FALSE;
av2[4]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t5+1)))(5,av2);}}
else{
t4=C_eqp(((C_word*)t0)[4],lf[911]);
if(C_truep(t4)){
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_24901,a[2]=((C_word*)t0)[5],a[3]=t2,a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
/* library.scm:4675: ##sys#print */
t6=*((C_word*)lf[863]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t6;
av2[1]=t5;
av2[2]=lf[912];
av2[3]=C_SCHEME_FALSE;
av2[4]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t6+1)))(5,av2);}}
else{
/* library.scm:4677: ##sys#write-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[859]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[859]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=C_make_character(62);
av2[3]=((C_word*)t0)[3];
tp(4,av2);}}}}

/* k24874 in k24871 in k24868 in ##sys#user-print-hook in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in k19647 in ... */
static void C_ccall f_24876(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_24876,2,av);}
/* library.scm:4677: ##sys#write-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[859]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[859]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=C_make_character(62);
av2[3]=((C_word*)t0)[3];
tp(4,av2);}}

/* k24883 in k24871 in k24868 in ##sys#user-print-hook in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in k19647 in ... */
static void C_ccall f_24885(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_24885,2,av);}
t2=C_slot(((C_word*)t0)[2],C_fix(1));
/* library.scm:4673: ##sys#print */
t3=*((C_word*)lf[863]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=((C_word*)t0)[3];
av2[2]=t2;
av2[3]=C_SCHEME_FALSE;
av2[4]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}

/* k24899 in k24871 in k24868 in ##sys#user-print-hook in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in k19647 in ... */
static void C_ccall f_24901(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_24901,2,av);}
t2=C_slot(((C_word*)t0)[2],C_fix(6));
/* library.scm:4676: ##sys#print */
t3=*((C_word*)lf[863]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=((C_word*)t0)[3];
av2[2]=t2;
av2[3]=C_SCHEME_FALSE;
av2[4]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}

/* k24914 in k24868 in ##sys#user-print-hook in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in k19647 in k19643 in ... */
static void C_ccall f_24916(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_24916,2,av);}
/* library.scm:4669: ##sys#print */
t2=*((C_word*)lf[863]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
av2[3]=C_SCHEME_FALSE;
av2[4]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}

/* ##sys#with-print-length-limit in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in ... */
static void C_ccall f_24918(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_24918,4,av);}
a=C_alloc(5);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_24924,a[2]=t2,a[3]=t3,a[4]=((C_word)li731),tmp=(C_word)a,a+=5,tmp);
/* library.scm:4682: call-with-current-continuation */
t5=*((C_word*)lf[132]+1);{
C_word *av2=av;
av2[0]=t5;
av2[1]=t1;
av2[2]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(3,av2);}}

/* a24923 in ##sys#with-print-length-limit in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in k19647 in k19643 in k19639 in ... */
static void C_ccall f_24924(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(31,c,4)))){
C_save_and_reclaim((void *)f_24924,3,av);}
a=C_alloc(31);
t3=C_fast_retrieve(lf[867]);
t4=C_retrieve2(lf[868],C_text("##sys#print-exit"));
t5=C_retrieve2(lf[866],C_text("current-print-length"));
t6=((C_word*)t0)[2];
t7=t6;
t8=(*a=C_VECTOR_TYPE|1,a[1]=t7,tmp=(C_word)a,a+=2,tmp);
t9=t2;
t10=(*a=C_VECTOR_TYPE|1,a[1]=t9,tmp=(C_word)a,a+=2,tmp);
t11=C_fix(0);
t12=(*a=C_VECTOR_TYPE|1,a[1]=t11,tmp=(C_word)a,a+=2,tmp);
t13=C_SCHEME_TRUE;
t14=(*a=C_VECTOR_TYPE|1,a[1]=t13,tmp=(C_word)a,a+=2,tmp);
t15=(*a=C_CLOSURE_TYPE|9,a[1]=(C_word)f_24930,a[2]=t8,a[3]=t10,a[4]=t12,a[5]=t14,a[6]=t5,a[7]=t4,a[8]=t3,a[9]=((C_word)li728),tmp=(C_word)a,a+=10,tmp);
t16=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_24973,a[2]=((C_word*)t0)[3],a[3]=((C_word)li729),tmp=(C_word)a,a+=4,tmp);
t17=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_24979,a[2]=t8,a[3]=t10,a[4]=t12,a[5]=t5,a[6]=t4,a[7]=t3,a[8]=((C_word)li730),tmp=(C_word)a,a+=9,tmp);
/* library.scm:4684: ##sys#dynamic-wind */
t18=*((C_word*)lf[688]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t18;
av2[1]=t1;
av2[2]=t15;
av2[3]=t16;
av2[4]=t17;
((C_proc)(void*)(*((C_word*)t18+1)))(5,av2);}}

/* a24929 in a24923 in ##sys#with-print-length-limit in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in k19647 in k19643 in ... */
static void C_ccall f_24930(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(10,c,4)))){
C_save_and_reclaim((void *)f_24930,2,av);}
a=C_alloc(10);
t2=(*a=C_CLOSURE_TYPE|9,a[1]=(C_word)f_24934,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=t1,a[7]=((C_word*)t0)[6],a[8]=((C_word*)t0)[7],a[9]=((C_word*)t0)[8],tmp=(C_word)a,a+=10,tmp);
if(C_truep(((C_word*)((C_word*)t0)[5])[1])){
/* library.scm:4684: ##sys#print-length-limit5419 */
t3=((C_word*)t0)[8];{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)((C_word*)t0)[2])[1];
av2[3]=C_SCHEME_TRUE;
av2[4]=C_SCHEME_FALSE;
((C_proc)C_fast_retrieve_proc(t3))(5,av2);}}
else{
t3=t2;{
C_word *av2=av;
av2[0]=t3;
av2[1]=((C_word*)((C_word*)t0)[2])[1];
f_24934(2,av2);}}}

/* k24932 in a24929 in a24923 in ##sys#with-print-length-limit in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in k19647 in ... */
static void C_ccall f_24934(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,c,4)))){
C_save_and_reclaim((void *)f_24934,2,av);}
a=C_alloc(11);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|10,a[1]=(C_word)f_24937,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=((C_word*)t0)[8],a[9]=((C_word*)t0)[9],a[10]=t2,tmp=(C_word)a,a+=11,tmp);
if(C_truep(((C_word*)((C_word*)t0)[5])[1])){
/* library.scm:4684: ##sys#print-exit5420 */
t4=((C_word*)t0)[8];{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)((C_word*)t0)[3])[1];
av2[3]=C_SCHEME_TRUE;
av2[4]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t4+1)))(5,av2);}}
else{
t4=t3;{
C_word *av2=av;
av2[0]=t4;
av2[1]=((C_word*)((C_word*)t0)[3])[1];
f_24937(2,av2);}}}

/* k24935 in k24932 in a24929 in a24923 in ##sys#with-print-length-limit in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in ... */
static void C_ccall f_24937(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(12,c,4)))){
C_save_and_reclaim((void *)f_24937,2,av);}
a=C_alloc(12);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|11,a[1]=(C_word)f_24940,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=((C_word*)t0)[8],a[9]=t2,a[10]=((C_word*)t0)[9],a[11]=((C_word*)t0)[10],tmp=(C_word)a,a+=12,tmp);
if(C_truep(((C_word*)((C_word*)t0)[5])[1])){
/* library.scm:4684: current-print-length54215422 */
t4=((C_word*)t0)[7];{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)((C_word*)t0)[4])[1];
av2[3]=C_SCHEME_TRUE;
av2[4]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t4+1)))(5,av2);}}
else{
t4=t3;{
C_word *av2=av;
av2[0]=t4;
av2[1]=((C_word*)((C_word*)t0)[4])[1];
f_24940(2,av2);}}}

/* k24938 in k24935 in k24932 in a24929 in a24923 in ##sys#with-print-length-limit in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in ... */
static void C_ccall f_24940(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(13,c,2)))){
C_save_and_reclaim((void *)f_24940,2,av);}
a=C_alloc(13);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|12,a[1]=(C_word)f_24944,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=t2,a[9]=((C_word*)t0)[8],a[10]=((C_word*)t0)[9],a[11]=((C_word*)t0)[10],a[12]=((C_word*)t0)[11],tmp=(C_word)a,a+=13,tmp);
/* library.scm:4684: ##sys#print-length-limit5419 */
t4=((C_word*)t0)[10];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)C_fast_retrieve_proc(t4))(2,av2);}}

/* k24942 in k24938 in k24935 in k24932 in a24929 in a24923 in ##sys#with-print-length-limit in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in ... */
static void C_ccall f_24944(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(12,c,2)))){
C_save_and_reclaim((void *)f_24944,2,av);}
a=C_alloc(12);
t2=C_mutate(((C_word *)((C_word*)t0)[2])+1,t1);
t3=(*a=C_CLOSURE_TYPE|11,a[1]=(C_word)f_24948,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],a[5]=((C_word*)t0)[6],a[6]=((C_word*)t0)[7],a[7]=((C_word*)t0)[8],a[8]=((C_word*)t0)[9],a[9]=((C_word*)t0)[10],a[10]=((C_word*)t0)[11],a[11]=((C_word*)t0)[12],tmp=(C_word)a,a+=12,tmp);
/* library.scm:4684: ##sys#print-exit5420 */
t4=((C_word*)t0)[9];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* k24946 in k24942 in k24938 in k24935 in k24932 in a24929 in a24923 in ##sys#with-print-length-limit in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in ... */
static void C_ccall f_24948(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,c,2)))){
C_save_and_reclaim((void *)f_24948,2,av);}
a=C_alloc(11);
t2=C_mutate(((C_word *)((C_word*)t0)[2])+1,t1);
t3=(*a=C_CLOSURE_TYPE|10,a[1]=(C_word)f_24952,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],a[5]=((C_word*)t0)[6],a[6]=((C_word*)t0)[7],a[7]=((C_word*)t0)[8],a[8]=((C_word*)t0)[9],a[9]=((C_word*)t0)[10],a[10]=((C_word*)t0)[11],tmp=(C_word)a,a+=11,tmp);
/* library.scm:4684: current-print-length54215422 */
t4=((C_word*)t0)[6];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* k24950 in k24946 in k24942 in k24938 in k24935 in k24932 in a24929 in a24923 in ##sys#with-print-length-limit in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in ... */
static void C_ccall f_24952(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,4)))){
C_save_and_reclaim((void *)f_24952,2,av);}
a=C_alloc(8);
t2=C_mutate(((C_word *)((C_word*)t0)[2])+1,t1);
t3=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_24955,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],a[5]=((C_word*)t0)[6],a[6]=((C_word*)t0)[7],a[7]=((C_word*)t0)[8],tmp=(C_word)a,a+=8,tmp);
/* library.scm:4684: ##sys#print-length-limit5419 */
t4=((C_word*)t0)[9];{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)t0)[10];
av2[3]=C_SCHEME_FALSE;
av2[4]=C_SCHEME_TRUE;
((C_proc)C_fast_retrieve_proc(t4))(5,av2);}}

/* k24953 in k24950 in k24946 in k24942 in k24938 in k24935 in k24932 in a24929 in a24923 in ##sys#with-print-length-limit in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in ... */
static void C_ccall f_24955(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,4)))){
C_save_and_reclaim((void *)f_24955,2,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_24958,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
/* library.scm:4684: ##sys#print-exit5420 */
t3=((C_word*)t0)[6];{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[7];
av2[3]=C_SCHEME_FALSE;
av2[4]=C_SCHEME_TRUE;
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}

/* k24956 in k24953 in k24950 in k24946 in k24942 in k24938 in k24935 in k24932 in a24929 in a24923 in ##sys#with-print-length-limit in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in ... */
static void C_ccall f_24958(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,4)))){
C_save_and_reclaim((void *)f_24958,2,av);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_24961,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:4684: current-print-length54215422 */
t3=((C_word*)t0)[4];{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[5];
av2[3]=C_SCHEME_FALSE;
av2[4]=C_SCHEME_TRUE;
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}

/* k24959 in k24956 in k24953 in k24950 in k24946 in k24942 in k24938 in k24935 in k24932 in a24929 in a24923 in ##sys#with-print-length-limit in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in ... */
static void C_ccall f_24961(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_24961,2,av);}
t2=C_set_block_item(((C_word*)t0)[2],0,C_SCHEME_FALSE);
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* a24972 in a24923 in ##sys#with-print-length-limit in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in k19647 in k19643 in ... */
static void C_ccall f_24973(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_24973,2,av);}
/* library.scm:4687: thunk */
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=t1;
((C_proc)C_fast_retrieve_proc(t2))(2,av2);}}

/* a24978 in a24923 in ##sys#with-print-length-limit in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in k19647 in k19643 in ... */
static void C_ccall f_24979(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(9,c,2)))){
C_save_and_reclaim((void *)f_24979,2,av);}
a=C_alloc(9);
t2=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_24983,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=t1,a[6]=((C_word*)t0)[5],a[7]=((C_word*)t0)[6],a[8]=((C_word*)t0)[7],tmp=(C_word)a,a+=9,tmp);
/* library.scm:4684: ##sys#print-length-limit5419 */
t3=((C_word*)t0)[7];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)C_fast_retrieve_proc(t3))(2,av2);}}

/* k24981 in a24978 in a24923 in ##sys#with-print-length-limit in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in k19647 in ... */
static void C_ccall f_24983(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,2)))){
C_save_and_reclaim((void *)f_24983,2,av);}
a=C_alloc(10);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|9,a[1]=(C_word)f_24986,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],a[7]=((C_word*)t0)[6],a[8]=((C_word*)t0)[7],a[9]=((C_word*)t0)[8],tmp=(C_word)a,a+=10,tmp);
/* library.scm:4684: ##sys#print-exit5420 */
t4=((C_word*)t0)[7];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* k24984 in k24981 in a24978 in a24923 in ##sys#with-print-length-limit in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in ... */
static void C_ccall f_24986(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,c,2)))){
C_save_and_reclaim((void *)f_24986,2,av);}
a=C_alloc(11);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|10,a[1]=(C_word)f_24989,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=t2,a[6]=((C_word*)t0)[5],a[7]=((C_word*)t0)[6],a[8]=((C_word*)t0)[7],a[9]=((C_word*)t0)[8],a[10]=((C_word*)t0)[9],tmp=(C_word)a,a+=11,tmp);
/* library.scm:4684: current-print-length54215422 */
t4=((C_word*)t0)[7];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* k24987 in k24984 in k24981 in a24978 in a24923 in ##sys#with-print-length-limit in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in ... */
static void C_ccall f_24989(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,c,4)))){
C_save_and_reclaim((void *)f_24989,2,av);}
a=C_alloc(11);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|10,a[1]=(C_word)f_24992,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=t2,a[8]=((C_word*)t0)[7],a[9]=((C_word*)t0)[8],a[10]=((C_word*)t0)[9],tmp=(C_word)a,a+=11,tmp);
/* library.scm:4684: ##sys#print-length-limit5419 */
t4=((C_word*)t0)[10];{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)((C_word*)t0)[2])[1];
av2[3]=C_SCHEME_FALSE;
av2[4]=C_SCHEME_TRUE;
((C_proc)C_fast_retrieve_proc(t4))(5,av2);}}

/* k24990 in k24987 in k24984 in k24981 in a24978 in a24923 in ##sys#with-print-length-limit in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in ... */
static void C_ccall f_24992(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,4)))){
C_save_and_reclaim((void *)f_24992,2,av);}
a=C_alloc(10);
t2=(*a=C_CLOSURE_TYPE|9,a[1]=(C_word)f_24995,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=((C_word*)t0)[8],a[9]=((C_word*)t0)[9],tmp=(C_word)a,a+=10,tmp);
/* library.scm:4684: ##sys#print-exit5420 */
t3=((C_word*)t0)[10];{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)((C_word*)t0)[4])[1];
av2[3]=C_SCHEME_FALSE;
av2[4]=C_SCHEME_TRUE;
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}

/* k24993 in k24990 in k24987 in k24984 in k24981 in a24978 in a24923 in ##sys#with-print-length-limit in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in ... */
static void C_ccall f_24995(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,4)))){
C_save_and_reclaim((void *)f_24995,2,av);}
a=C_alloc(9);
t2=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_24998,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=((C_word*)t0)[8],tmp=(C_word)a,a+=9,tmp);
/* library.scm:4684: current-print-length54215422 */
t3=((C_word*)t0)[9];{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)((C_word*)t0)[6])[1];
av2[3]=C_SCHEME_FALSE;
av2[4]=C_SCHEME_TRUE;
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}

/* k24996 in k24993 in k24990 in k24987 in k24984 in k24981 in a24978 in a24923 in ##sys#with-print-length-limit in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in ... */
static void C_ccall f_24998(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_24998,2,av);}
t2=C_mutate(((C_word *)((C_word*)t0)[2])+1,((C_word*)t0)[3]);
t3=C_mutate(((C_word *)((C_word*)t0)[4])+1,((C_word*)t0)[5]);
t4=C_mutate(((C_word *)((C_word*)t0)[6])+1,((C_word*)t0)[7]);
t5=((C_word*)t0)[8];{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* check5463 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in ... */
static void C_ccall f_25003(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(9,c,3)))){
C_save_and_reclaim((void *)f_25003,4,av);}
a=C_alloc(9);
t4=C_slot(t2,C_fix(10));
t5=t4;
t6=C_slot(t2,C_fix(11));
t7=t6;
t8=C_slot(t2,C_fix(12));
t9=t8;
t10=C_fixnum_plus(t5,t3);
if(C_truep(C_fixnum_greater_or_equal_p(t10,t7))){
t11=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_25025,a[2]=t7,a[3]=t2,a[4]=((C_word*)t0)[2],a[5]=t1,a[6]=t3,a[7]=t9,a[8]=t5,tmp=(C_word)a,a+=9,tmp);
if(C_truep(C_fixnum_greater_or_equal_p(t10,lf[269]))){
/* library.scm:4715: ##sys#error */
t12=*((C_word*)lf[155]+1);{
C_word *av2=av;
av2[0]=t12;
av2[1]=t11;
av2[2]=lf[916];
av2[3]=t2;
((C_proc)(void*)(*((C_word*)t12+1)))(4,av2);}}
else{
t12=t11;{
C_word *av2=av;
av2[0]=t12;
av2[1]=C_SCHEME_UNDEFINED;
f_25025(2,av2);}}}
else{
t11=C_SCHEME_UNDEFINED;
t12=t1;{
C_word *av2=av;
av2[0]=t12;
av2[1]=t11;
((C_proc)(void*)(*((C_word*)t12+1)))(2,av2);}}}

/* k25023 in check5463 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in k19647 in k19643 in k19639 in ... */
static void C_ccall f_25025(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,2)))){
C_save_and_reclaim((void *)f_25025,2,av);}
a=C_alloc(9);
t2=C_fixnum_plus(((C_word*)t0)[2],((C_word*)t0)[2]);
t3=C_i_fixnum_min(lf[269],t2);
t4=t3;
t5=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_25031,a[2]=((C_word*)t0)[3],a[3]=t4,a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=((C_word*)t0)[8],tmp=(C_word)a,a+=9,tmp);
/* library.scm:4717: ##sys#make-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[376]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[376]+1);
av2[1]=t5;
av2[2]=t4;
tp(3,av2);}}

/* k25029 in k25023 in check5463 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in k19647 in k19643 in ... */
static void C_ccall f_25031(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,6)))){
C_save_and_reclaim((void *)f_25031,2,av);}
a=C_alloc(8);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_25034,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],a[7]=((C_word*)t0)[6],tmp=(C_word)a,a+=8,tmp);
/* library.scm:4718: ##sys#copy-bytes */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[915]);
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=*((C_word*)lf[915]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[7];
av2[3]=t2;
av2[4]=C_fix(0);
av2[5]=C_fix(0);
av2[6]=((C_word*)t0)[8];
tp(7,av2);}}

/* k25032 in k25029 in k25023 in check5463 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in k19647 in ... */
static void C_ccall f_25034(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_25034,2,av);}
t2=C_i_setslot(((C_word*)t0)[2],C_fix(12),((C_word*)t0)[3]);
t3=C_i_set_i_slot(((C_word*)t0)[2],C_fix(11),((C_word*)t0)[4]);
/* library.scm:4721: check */
t4=((C_word*)((C_word*)t0)[5])[1];{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t4;
av2[1]=((C_word*)t0)[6];
av2[2]=((C_word*)t0)[2];
av2[3]=((C_word*)t0)[7];
((C_proc)C_fast_retrieve_proc(t4))(4,av2);}}

/* ##sys#scan-buffer-line in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in ... */
static void C_ccall f_25059(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5=av[5];
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(c!=6) C_bad_argc_2(c,6,t0);
if(C_unlikely(!C_demand(C_calculate_demand(11,c,7)))){
C_save_and_reclaim((void *)f_25059,6,av);}
a=C_alloc(11);
t6=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_25062,a[2]=((C_word)li746),tmp=(C_word)a,a+=3,tmp);
t7=C_SCHEME_UNDEFINED;
t8=(*a=C_VECTOR_TYPE|1,a[1]=t7,tmp=(C_word)a,a+=2,tmp);
t9=C_set_block_item(t8,0,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_25082,a[2]=t5,a[3]=t8,a[4]=t6,a[5]=((C_word)li751),tmp=(C_word)a,a+=6,tmp));
t10=((C_word*)t8)[1];
f_25082(t10,t1,t2,t4,t4,t3,lf[922]);}

/* copy&append in ##sys#scan-buffer-line in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in k19647 in k19643 in k19639 in ... */
static void C_fcall f_25062(C_word t1,C_word t2,C_word t3,C_word t4,C_word t5){
C_word tmp;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,0,2)))){
C_save_and_reclaim_args((void *)trf_25062,5,t1,t2,t3,t4,t5);}
a=C_alloc(8);
t6=C_block_size(t5);
t7=t6;
t8=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_25069,a[2]=t5,a[3]=t7,a[4]=t2,a[5]=t3,a[6]=t4,a[7]=t1,tmp=(C_word)a,a+=8,tmp);
t9=C_fixnum_difference(t4,t3);
t10=C_fixnum_plus(t7,t9);
/* library.scm:4798: ##sys#make-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[376]+1));
C_word av2[3];
av2[0]=*((C_word*)lf[376]+1);
av2[1]=t8;
av2[2]=t10;
tp(3,av2);}}

/* k25067 in copy&append in ##sys#scan-buffer-line in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in k19647 in k19643 in ... */
static void C_ccall f_25069(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_25069,2,av);}
t2=C_substring_copy(((C_word*)t0)[2],t1,C_fix(0),((C_word*)t0)[3],C_fix(0));
t3=C_substring_copy(((C_word*)t0)[4],t1,((C_word*)t0)[5],((C_word*)t0)[6],((C_word*)t0)[3]);
t4=((C_word*)t0)[7];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* loop in ##sys#scan-buffer-line in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in k19647 in k19643 in k19639 in ... */
static void C_fcall f_25082(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4,C_word t5,C_word t6){
C_word tmp;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(12,0,5)))){
C_save_and_reclaim_args((void *)trf_25082,7,t0,t1,t2,t3,t4,t5,t6);}
a=C_alloc(12);
t7=C_eqp(t4,t5);
if(C_truep(t7)){
t8=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_25092,a[2]=((C_word*)t0)[2],a[3]=t4,a[4]=((C_word*)t0)[3],a[5]=t1,tmp=(C_word)a,a+=6,tmp);
/* library.scm:4808: copy&append */
f_25062(t8,t2,t3,t4,t6);}
else{
t8=C_subchar(t2,t4);
t9=C_eqp(t8,C_make_character(10));
if(C_truep(t9)){
t10=C_fixnum_plus(t4,C_fix(1));
t11=t10;
t12=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_25130,a[2]=t1,a[3]=t11,tmp=(C_word)a,a+=4,tmp);
/* library.scm:4815: copy&append */
f_25062(t12,t2,t3,t4,t6);}
else{
t10=(*a=C_CLOSURE_TYPE|11,a[1]=(C_word)f_25136,a[2]=t4,a[3]=t1,a[4]=((C_word*)t0)[4],a[5]=t2,a[6]=t3,a[7]=t6,a[8]=((C_word*)t0)[2],a[9]=((C_word*)t0)[3],a[10]=t8,a[11]=t5,tmp=(C_word)a,a+=12,tmp);
t11=C_eqp(t8,C_make_character(13));
if(C_truep(t11)){
t12=C_fixnum_plus(t4,C_fix(1));
if(C_truep(C_fixnum_greaterp(t5,t12))){
t13=C_fixnum_plus(t4,C_fix(1));
t14=C_subchar(t2,t13);
t15=t10;
f_25136(t15,C_eqp(t14,C_make_character(10)));}
else{
t13=t10;
f_25136(t13,C_SCHEME_FALSE);}}
else{
t12=t10;
f_25136(t12,C_SCHEME_FALSE);}}}}

/* k25090 in loop in ##sys#scan-buffer-line in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in k19647 in k19643 in ... */
static void C_ccall f_25092(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,5)))){
C_save_and_reclaim((void *)f_25092,2,av);}
a=C_alloc(10);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_25097,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word)li747),tmp=(C_word)a,a+=5,tmp);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_25103,a[2]=((C_word*)t0)[4],a[3]=t2,a[4]=((C_word)li748),tmp=(C_word)a,a+=5,tmp);
/* library.scm:4809: ##sys#call-with-values */{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=((C_word*)t0)[5];
av2[2]=t3;
av2[3]=t4;
C_call_with_values(4,av2);}}

/* a25096 in k25090 in loop in ##sys#scan-buffer-line in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in k19647 in ... */
static void C_ccall f_25097(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_25097,2,av);}
/* library.scm:4809: eos-handler */
t2=((C_word*)t0)[2];{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=t1;
av2[2]=((C_word*)t0)[3];
((C_proc)C_fast_retrieve_proc(t2))(3,av2);}}

/* a25102 in k25090 in loop in ##sys#scan-buffer-line in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in k19647 in ... */
static void C_ccall f_25103(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,6)))){
C_save_and_reclaim((void *)f_25103,5,av);}
if(C_truep(t2)){
/* library.scm:4811: loop */
t5=((C_word*)((C_word*)t0)[2])[1];
f_25082(t5,t1,t2,t3,t3,t4,((C_word*)t0)[3]);}
else{
/* library.scm:4812: scheme#values */{
C_word *av2=av;
av2[0]=0;
av2[1]=t1;
av2[2]=t3;
av2[3]=((C_word*)t0)[3];
av2[4]=C_SCHEME_FALSE;
C_values(5,av2);}}}

/* k25128 in loop in ##sys#scan-buffer-line in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in k19647 in k19643 in ... */
static void C_ccall f_25130(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_25130,2,av);}
/* library.scm:4815: scheme#values */{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t1;
av2[4]=C_SCHEME_TRUE;
C_values(5,av2);}}

/* k25134 in loop in ##sys#scan-buffer-line in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in k19647 in k19643 in ... */
static void C_fcall f_25136(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(12,0,5)))){
C_save_and_reclaim_args((void *)trf_25136,2,t0,t1);}
a=C_alloc(12);
if(C_truep(t1)){
t2=C_fixnum_plus(((C_word*)t0)[2],C_fix(2));
t3=t2;
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_25147,a[2]=((C_word*)t0)[3],a[3]=t3,tmp=(C_word)a,a+=4,tmp);
/* library.scm:4819: copy&append */
f_25062(t4,((C_word*)t0)[5],((C_word*)t0)[6],((C_word*)t0)[2],((C_word*)t0)[7]);}
else{
t2=(*a=C_CLOSURE_TYPE|11,a[1]=(C_word)f_25153,a[2]=((C_word*)t0)[8],a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[9],a[5]=((C_word*)t0)[3],a[6]=((C_word*)t0)[4],a[7]=((C_word*)t0)[5],a[8]=((C_word*)t0)[6],a[9]=((C_word*)t0)[7],a[10]=((C_word*)t0)[10],a[11]=((C_word*)t0)[11],tmp=(C_word)a,a+=12,tmp);
t3=C_eqp(((C_word*)t0)[10],C_make_character(13));
if(C_truep(t3)){
t4=C_fixnum_plus(((C_word*)t0)[2],C_fix(1));
t5=t2;
f_25153(t5,C_eqp(((C_word*)t0)[11],t4));}
else{
t4=t2;
f_25153(t4,C_SCHEME_FALSE);}}}

/* k25145 in k25134 in loop in ##sys#scan-buffer-line in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in k19647 in ... */
static void C_ccall f_25147(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_25147,2,av);}
/* library.scm:4819: scheme#values */{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t1;
av2[4]=C_SCHEME_TRUE;
C_values(5,av2);}}

/* k25151 in k25134 in loop in ##sys#scan-buffer-line in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in k19647 in ... */
static void C_fcall f_25153(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,6)))){
C_save_and_reclaim_args((void *)trf_25153,2,t0,t1);}
a=C_alloc(6);
if(C_truep(t1)){
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_25156,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
/* library.scm:4822: copy&append */
f_25062(t2,((C_word*)t0)[7],((C_word*)t0)[8],((C_word*)t0)[3],((C_word*)t0)[9]);}
else{
t2=C_eqp(((C_word*)t0)[10],C_make_character(13));
if(C_truep(t2)){
t3=C_fixnum_plus(((C_word*)t0)[3],C_fix(1));
t4=t3;
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_25216,a[2]=((C_word*)t0)[5],a[3]=t4,tmp=(C_word)a,a+=4,tmp);
/* library.scm:4833: copy&append */
f_25062(t5,((C_word*)t0)[7],((C_word*)t0)[8],((C_word*)t0)[3],((C_word*)t0)[9]);}
else{
t3=C_fixnum_plus(((C_word*)t0)[3],C_fix(1));
/* library.scm:4834: loop */
t4=((C_word*)((C_word*)t0)[4])[1];
f_25082(t4,((C_word*)t0)[5],((C_word*)t0)[7],((C_word*)t0)[8],t3,((C_word*)t0)[11],((C_word*)t0)[9]);}}}

/* k25154 in k25151 in k25134 in loop in ##sys#scan-buffer-line in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in ... */
static void C_ccall f_25156(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,5)))){
C_save_and_reclaim((void *)f_25156,2,av);}
a=C_alloc(10);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_25161,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word)li749),tmp=(C_word)a,a+=5,tmp);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_25167,a[2]=t2,a[3]=((C_word*)t0)[4],a[4]=((C_word)li750),tmp=(C_word)a,a+=5,tmp);
/* library.scm:4823: ##sys#call-with-values */{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=((C_word*)t0)[5];
av2[2]=t3;
av2[3]=t4;
C_call_with_values(4,av2);}}

/* a25160 in k25154 in k25151 in k25134 in loop in ##sys#scan-buffer-line in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in ... */
static void C_ccall f_25161(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_25161,2,av);}
/* library.scm:4823: eos-handler */
t2=((C_word*)t0)[2];{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=t1;
av2[2]=((C_word*)t0)[3];
((C_proc)C_fast_retrieve_proc(t2))(3,av2);}}

/* a25166 in k25154 in k25151 in k25134 in loop in ##sys#scan-buffer-line in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in ... */
static void C_ccall f_25167(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(7,c,4)))){
C_save_and_reclaim((void *)f_25167,5,av);}
a=C_alloc(7);
if(C_truep(t2)){
t5=C_subchar(t2,t3);
t6=C_eqp(t5,C_make_character(10));
if(C_truep(t6)){
t7=C_fixnum_plus(t3,C_fix(1));
/* library.scm:4826: scheme#values */{
C_word *av2=av;
av2[0]=0;
av2[1]=t1;
av2[2]=t7;
av2[3]=((C_word*)t0)[2];
av2[4]=C_SCHEME_TRUE;
C_values(5,av2);}}
else{
t7=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_25191,a[2]=((C_word*)t0)[3],a[3]=t1,a[4]=t2,a[5]=t3,a[6]=t4,tmp=(C_word)a,a+=7,tmp);
/* library.scm:4829: ##sys#string-append */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[412]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[412]+1);
av2[1]=t7;
av2[2]=((C_word*)t0)[2];
av2[3]=lf[920];
tp(4,av2);}}}
else{
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_25199,a[2]=t1,a[3]=t3,tmp=(C_word)a,a+=4,tmp);
/* library.scm:4831: ##sys#string-append */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[412]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[412]+1);
av2[1]=t5;
av2[2]=((C_word*)t0)[2];
av2[3]=lf[921];
tp(4,av2);}}}

/* k25189 in a25166 in k25154 in k25151 in k25134 in loop in ##sys#scan-buffer-line in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in ... */
static void C_ccall f_25191(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,6)))){
C_save_and_reclaim((void *)f_25191,2,av);}
/* library.scm:4828: loop */
t2=((C_word*)((C_word*)t0)[2])[1];
f_25082(t2,((C_word*)t0)[3],((C_word*)t0)[4],((C_word*)t0)[5],((C_word*)t0)[5],((C_word*)t0)[6],t1);}

/* k25197 in a25166 in k25154 in k25151 in k25134 in loop in ##sys#scan-buffer-line in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in ... */
static void C_ccall f_25199(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_25199,2,av);}
/* library.scm:4831: scheme#values */{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t1;
av2[4]=C_SCHEME_TRUE;
C_values(5,av2);}}

/* k25214 in k25151 in k25134 in loop in ##sys#scan-buffer-line in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in ... */
static void C_ccall f_25216(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_25216,2,av);}
/* library.scm:4833: scheme#values */{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t1;
av2[4]=C_SCHEME_TRUE;
C_values(5,av2);}}

/* chicken.base#open-input-string in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in ... */
static void C_ccall f_25256(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,5)))){
C_save_and_reclaim((void *)f_25256,3,av);}
a=C_alloc(4);
t3=C_i_check_string_2(t2,lf[923]);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_25263,a[2]=t2,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
/* library.scm:4839: ##sys#make-port */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[694]);
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[694]+1);
av2[1]=t4;
av2[2]=C_fix(1);
av2[3]=C_fast_retrieve(lf[919]);
av2[4]=lf[924];
av2[5]=lf[925];
tp(6,av2);}}

/* k25261 in chicken.base#open-input-string in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in k19647 in k19643 in k19639 in ... */
static void C_ccall f_25263(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_25263,2,av);}
t2=C_block_size(((C_word*)t0)[2]);
t3=C_i_set_i_slot(t1,C_fix(11),t2);
t4=C_i_set_i_slot(t1,C_fix(10),C_fix(0));
t5=C_i_setslot(t1,C_fix(12),((C_word*)t0)[2]);
t6=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t6;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}

/* chicken.base#open-output-string in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in ... */
static void C_ccall f_25275(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,5)))){
C_save_and_reclaim((void *)f_25275,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_25279,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* library.scm:4847: ##sys#make-port */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[694]);
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[694]+1);
av2[1]=t2;
av2[2]=C_fix(2);
av2[3]=C_fast_retrieve(lf[919]);
av2[4]=lf[926];
av2[5]=lf[925];
tp(6,av2);}}

/* k25277 in chicken.base#open-output-string in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in k19647 in k19643 in k19639 in ... */
static void C_ccall f_25279(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_25279,2,av);}
a=C_alloc(4);
t2=t1;
t3=C_i_set_i_slot(t2,C_fix(10),C_fix(0));
t4=C_i_set_i_slot(t2,C_fix(11),C_fix(256));
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_25292,a[2]=t2,a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
/* library.scm:4850: ##sys#make-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[376]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[376]+1);
av2[1]=t5;
av2[2]=C_fix(256);
tp(3,av2);}}

/* k25290 in k25277 in chicken.base#open-output-string in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in k19647 in k19643 in ... */
static void C_ccall f_25292(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_25292,2,av);}
t2=C_i_setslot(((C_word*)t0)[2],C_fix(12),t1);
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.base#get-output-string in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in ... */
static void C_ccall f_25294(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,5)))){
C_save_and_reclaim((void *)f_25294,3,av);}
t3=t2;
t4=C_i_check_port_2(t3,C_fix(2),C_SCHEME_FALSE,lf[927]);
t5=C_slot(t2,C_fix(7));
t6=C_eqp(lf[925],t5);
if(C_truep(C_i_not(t6))){
/* library.scm:4857: ##sys#signal-hook */
t7=C_fast_retrieve(lf[194]);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t7;
av2[1]=t1;
av2[2]=lf[258];
av2[3]=lf[927];
av2[4]=lf[928];
av2[5]=t2;
((C_proc)(void*)(*((C_word*)t7+1)))(6,av2);}}
else{
t7=C_slot(t2,C_fix(12));
t8=C_slot(t2,C_fix(10));
/* library.scm:4859: ##sys#substring */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[395]+1));
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[395]+1);
av2[1]=t1;
av2[2]=t7;
av2[3]=C_fix(0);
av2[4]=t8;
tp(5,av2);}}}

/* ##sys#print-to-string in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in ... */
static void C_ccall f_25328(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_25328,3,av);}
a=C_alloc(5);
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_25332,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
/* library.scm:4865: open-output-string */
t4=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* k25330 in ##sys#print-to-string in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in k19647 in k19643 in k19639 in ... */
static void C_ccall f_25332(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(16,c,3)))){
C_save_and_reclaim((void *)f_25332,2,av);}
a=C_alloc(16);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_25333,a[2]=t2,a[3]=((C_word)li756),tmp=(C_word)a,a+=4,tmp);
t4=((C_word*)t0)[2];
t5=C_i_check_list_2(t4,lf[683]);
t6=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_25343,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=t2,tmp=(C_word)a,a+=5,tmp);
t7=C_SCHEME_UNDEFINED;
t8=(*a=C_VECTOR_TYPE|1,a[1]=t7,tmp=(C_word)a,a+=2,tmp);
t9=C_set_block_item(t8,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_25348,a[2]=t8,a[3]=t3,a[4]=((C_word)li757),tmp=(C_word)a,a+=5,tmp));
t10=((C_word*)t8)[1];
f_25348(t10,t6,t4);}

/* g5593 in k25330 in ##sys#print-to-string in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in k19647 in k19643 in ... */
static void C_fcall f_25333(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,0,4)))){
C_save_and_reclaim_args((void *)trf_25333,3,t0,t1,t2);}
/* library.scm:4866: ##sys#print */
t3=*((C_word*)lf[863]+1);{
C_word av2[5];
av2[0]=t3;
av2[1]=t1;
av2[2]=t2;
av2[3]=C_SCHEME_FALSE;
av2[4]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}

/* k25341 in k25330 in ##sys#print-to-string in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in k19647 in k19643 in ... */
static void C_ccall f_25343(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_25343,2,av);}
/* library.scm:4867: get-output-string */
t2=((C_word*)t0)[2];{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
av2[2]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* for-each-loop5592 in k25330 in ##sys#print-to-string in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in k19647 in k19643 in ... */
static void C_fcall f_25348(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,2)))){
C_save_and_reclaim_args((void *)trf_25348,3,t0,t1,t2);}
a=C_alloc(5);
if(C_truep(C_i_pairp(t2))){
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_25358,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
t4=C_slot(t2,C_fix(0));
/* library.scm:4866: g5593 */
t5=((C_word*)t0)[3];
f_25333(t5,t3,t4);}
else{
t3=C_SCHEME_UNDEFINED;
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* k25356 in for-each-loop5592 in k25330 in ##sys#print-to-string in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in k19647 in ... */
static void C_ccall f_25358(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_25358,2,av);}
t2=C_slot(((C_word*)t0)[2],C_fix(1));
t3=((C_word*)((C_word*)t0)[3])[1];
f_25348(t3,((C_word*)t0)[4],t2);}

/* ##sys#pointer->string in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in ... */
static void C_ccall f_25371(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_25371,3,av);}
a=C_alloc(7);
if(C_truep(C_taggedpointerp(t2))){
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_25382,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=C_slot(t2,C_fix(1));
if(C_truep(C_i_pairp(t4))){
t5=C_u_i_car(t4);
t6=C_a_i_list1(&a,1,t5);
/* library.scm:4875: ##sys#print-to-string */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[929]);
C_word *av2=av;
av2[0]=*((C_word*)lf[929]+1);
av2[1]=t3;
av2[2]=t6;
tp(3,av2);}}
else{
t5=C_a_i_list1(&a,1,t4);
/* library.scm:4875: ##sys#print-to-string */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[929]);
C_word *av2=av;
av2[0]=*((C_word*)lf[929]+1);
av2[1]=t3;
av2[2]=t5;
tp(3,av2);}}}
else{
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_25412,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_25416,a[2]=t3,tmp=(C_word)a,a+=3,tmp);
/* library.scm:4881: ##sys#pointer->address */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[933]);
C_word *av2=av;
av2[0]=*((C_word*)lf[933]+1);
av2[1]=t4;
av2[2]=t2;
tp(3,av2);}}}

/* k25380 in ##sys#pointer->string in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in k19647 in k19643 in k19639 in ... */
static void C_ccall f_25382(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_25382,2,av);}
a=C_alloc(7);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_25386,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_25390,a[2]=t3,tmp=(C_word)a,a+=3,tmp);
/* library.scm:4879: ##sys#pointer->address */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[933]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[933]+1);
av2[1]=t4;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}

/* k25384 in k25380 in ##sys#pointer->string in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in k19647 in k19643 in ... */
static void C_ccall f_25386(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,6)))){
C_save_and_reclaim((void *)f_25386,2,av);}
/* library.scm:4873: string-append */
t2=*((C_word*)lf[413]+1);{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[930];
av2[3]=((C_word*)t0)[3];
av2[4]=lf[931];
av2[5]=t1;
av2[6]=lf[932];
((C_proc)(void*)(*((C_word*)t2+1)))(7,av2);}}

/* k25388 in k25380 in ##sys#pointer->string in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in k19647 in k19643 in ... */
static void C_ccall f_25390(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_25390,2,av);}
/* library.scm:4879: ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[600]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[600]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
av2[3]=C_fix(16);
tp(4,av2);}}

/* k25410 in ##sys#pointer->string in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in k19647 in k19643 in k19639 in ... */
static void C_ccall f_25412(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_25412,2,av);}
/* library.scm:4881: string-append */
t2=*((C_word*)lf[413]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[934];
av2[3]=t1;
av2[4]=lf[935];
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}

/* k25414 in ##sys#pointer->string in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in k19647 in k19643 in k19639 in ... */
static void C_ccall f_25416(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_25416,2,av);}
/* library.scm:4881: ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[600]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[600]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
av2[3]=C_fix(16);
tp(4,av2);}}

/* chicken.base#get-call-chain in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in ... */
static void C_ccall f_25424(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +6,c,3)))){
C_save_and_reclaim((void*)f_25424,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+6);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
t3=C_i_nullp(t2);
t4=(C_truep(t3)?C_fix(0):C_i_car(t2));
t5=t4;
t6=C_i_nullp(t2);
t7=(C_truep(t6)?C_SCHEME_END_OF_LIST:C_i_cdr(t2));
t8=C_i_nullp(t7);
t9=(C_truep(t8)?C_fast_retrieve(lf[936]):C_i_car(t7));
t10=t9;
t11=C_i_nullp(t7);
t12=(C_truep(t11)?C_SCHEME_END_OF_LIST:C_i_cdr(t7));
t13=C_fix((C_word)C_trace_buffer_size);
t14=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_25440,a[2]=t5,a[3]=t13,a[4]=t10,a[5]=t1,tmp=(C_word)a,a+=6,tmp);
t15=C_fixnum_times(C_fix(4),t13);
/* library.scm:4895: ##sys#make-vector */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[668]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[668]+1);
av2[1]=t14;
av2[2]=t15;
av2[3]=C_SCHEME_FALSE;
tp(4,av2);}}

/* k25438 in chicken.base#get-call-chain in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in k19647 in k19643 in k19639 in ... */
static void C_ccall f_25440(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,3)))){
C_save_and_reclaim((void *)f_25440,2,av);}
a=C_alloc(10);
t2=t1;
t3=C_fetch_trace(((C_word*)t0)[2],t2);
t4=C_fixnump(t3);
t5=(C_truep(t4)?t3:C_fixnum_times(C_fix(4),((C_word*)t0)[3]));
t6=t5;
t7=(C_truep(((C_word*)t0)[4])?C_slot(((C_word*)t0)[4],C_fix(14)):C_SCHEME_FALSE);
t8=t7;
t9=C_SCHEME_UNDEFINED;
t10=(*a=C_VECTOR_TYPE|1,a[1]=t9,tmp=(C_word)a,a+=2,tmp);
t11=C_set_block_item(t10,0,(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_25451,a[2]=t6,a[3]=t2,a[4]=t10,a[5]=((C_word*)t0)[4],a[6]=t8,a[7]=((C_word)li760),tmp=(C_word)a,a+=8,tmp));
t12=((C_word*)t10)[1];
f_25451(t12,((C_word*)t0)[5],C_fix(0));}

/* loop in k25438 in chicken.base#get-call-chain in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in k19647 in k19643 in ... */
static void C_fcall f_25451(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,2)))){
C_save_and_reclaim_args((void *)trf_25451,3,t0,t1,t2);}
a=C_alloc(6);
if(C_truep(C_fixnum_greater_or_equal_p(t2,((C_word*)t0)[2]))){
t3=t1;{
C_word av2[2];
av2[0]=t3;
av2[1]=C_SCHEME_END_OF_LIST;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
t3=C_fixnum_plus(t2,C_fix(3));
t4=C_slot(((C_word*)t0)[3],t3);
t5=C_i_not(t4);
t6=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_25470,a[2]=t2,a[3]=((C_word*)t0)[3],a[4]=t1,a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
if(C_truep(t5)){
t7=t6;
f_25470(t7,t5);}
else{
t7=C_i_not(((C_word*)t0)[5]);
t8=t6;
f_25470(t8,(C_truep(t7)?t7:C_eqp(((C_word*)t0)[6],t4)));}}}

/* k25468 in loop in k25438 in chicken.base#get-call-chain in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in k19647 in ... */
static void C_fcall f_25470(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,0,3)))){
C_save_and_reclaim_args((void *)trf_25470,2,t0,t1);}
a=C_alloc(11);
if(C_truep(t1)){
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_25489,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
t3=C_slot(((C_word*)t0)[3],((C_word*)t0)[2]);
t4=C_a_i_bytevector(&a,1,C_fix(3));
t5=stub5615(t4,t3);
/* library.scm:4890: ##sys#peek-nonnull-c-string */
t6=*((C_word*)lf[937]+1);{
C_word av2[4];
av2[0]=t6;
av2[1]=t2;
av2[2]=t5;
av2[3]=C_fix(0);
((C_proc)(void*)(*((C_word*)t6+1)))(4,av2);}}
else{
t2=C_fixnum_plus(((C_word*)t0)[2],C_fix(4));
/* library.scm:4909: loop */
t3=((C_word*)((C_word*)t0)[5])[1];
f_25451(t3,((C_word*)t0)[4],t2);}}

/* k25479 in k25487 in k25468 in loop in k25438 in chicken.base#get-call-chain in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in ... */
static void C_ccall f_25481(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_25481,2,av);}
a=C_alloc(3);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_cons(&a,2,((C_word*)t0)[3],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k25487 in k25468 in loop in k25438 in chicken.base#get-call-chain in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in ... */
static void C_ccall f_25489(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,2)))){
C_save_and_reclaim((void *)f_25489,2,av);}
a=C_alloc(8);
t2=C_fixnum_plus(((C_word*)t0)[2],C_fix(1));
t3=C_slot(((C_word*)t0)[3],t2);
t4=C_fixnum_plus(((C_word*)t0)[2],C_fix(2));
t5=C_slot(((C_word*)t0)[3],t4);
t6=C_a_i_vector3(&a,3,t1,t3,t5);
t7=t6;
t8=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_25481,a[2]=((C_word*)t0)[4],a[3]=t7,tmp=(C_word)a,a+=4,tmp);
t9=C_fixnum_plus(((C_word*)t0)[2],C_fix(4));
/* library.scm:4908: loop */
t10=((C_word*)((C_word*)t0)[5])[1];
f_25451(t10,t8,t9);}

/* ##sys#really-print-call-chain in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in ... */
static void C_ccall f_25568(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word t6;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,4)))){
C_save_and_reclaim((void *)f_25568,5,av);}
a=C_alloc(5);
if(C_truep(C_i_pairp(t3))){
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_25578,a[2]=t2,a[3]=t3,a[4]=t1,tmp=(C_word)a,a+=5,tmp);
/* library.scm:4913: ##sys#print */
t6=*((C_word*)lf[863]+1);{
C_word *av2=av;
av2[0]=t6;
av2[1]=t5;
av2[2]=t4;
av2[3]=C_SCHEME_FALSE;
av2[4]=t2;
((C_proc)(void*)(*((C_word*)t6+1)))(5,av2);}}
else{
t5=C_SCHEME_UNDEFINED;
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=t5;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}}

/* k25576 in ##sys#really-print-call-chain in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in k19647 in k19643 in k19639 in ... */
static void C_ccall f_25578(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(15,c,3)))){
C_save_and_reclaim((void *)f_25578,2,av);}
a=C_alloc(15);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_25579,a[2]=((C_word*)t0)[2],a[3]=((C_word)li763),tmp=(C_word)a,a+=4,tmp);
t3=((C_word*)t0)[3];
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_25645,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
t5=C_SCHEME_UNDEFINED;
t6=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t7=C_set_block_item(t6,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_25650,a[2]=t6,a[3]=t2,a[4]=((C_word)li764),tmp=(C_word)a,a+=5,tmp));
t8=((C_word*)t6)[1];
f_25650(t8,t4,t3);}

/* g5659 in k25576 in ##sys#really-print-call-chain in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in k19647 in k19643 in ... */
static void C_fcall f_25579(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,0,4)))){
C_save_and_reclaim_args((void *)trf_25579,3,t0,t1,t2);}
a=C_alloc(8);
t3=C_slot(t2,C_fix(1));
t4=t3;
t5=C_slot(t2,C_fix(2));
t6=t5;
t7=C_i_structurep(t6,lf[939]);
t8=t7;
t9=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_25592,a[2]=t4,a[3]=((C_word*)t0)[2],a[4]=t1,a[5]=t8,a[6]=t6,a[7]=t2,tmp=(C_word)a,a+=8,tmp);
/* library.scm:4919: ##sys#print */
t10=*((C_word*)lf[863]+1);{
C_word av2[5];
av2[0]=t10;
av2[1]=t9;
av2[2]=lf[942];
av2[3]=C_SCHEME_FALSE;
av2[4]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t10+1)))(5,av2);}}

/* k25590 in g5659 in k25576 in ##sys#really-print-call-chain in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in k19647 in ... */
static void C_ccall f_25592(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,4)))){
C_save_and_reclaim((void *)f_25592,2,av);}
a=C_alloc(7);
t2=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_25595,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],tmp=(C_word)a,a+=7,tmp);
t3=C_slot(((C_word*)t0)[7],C_fix(0));
/* library.scm:4920: ##sys#print */
t4=*((C_word*)lf[863]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t4;
av2[1]=t2;
av2[2]=t3;
av2[3]=C_SCHEME_FALSE;
av2[4]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t4+1)))(5,av2);}}

/* k25593 in k25590 in g5659 in k25576 in ##sys#really-print-call-chain in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in ... */
static void C_ccall f_25595(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,4)))){
C_save_and_reclaim((void *)f_25595,2,av);}
a=C_alloc(7);
t2=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_25598,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],tmp=(C_word)a,a+=7,tmp);
/* library.scm:4921: ##sys#print */
t3=*((C_word*)lf[863]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[941];
av2[3]=C_SCHEME_FALSE;
av2[4]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}

/* k25596 in k25593 in k25590 in g5659 in k25576 in ##sys#really-print-call-chain in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in ... */
static void C_ccall f_25598(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,c,2)))){
C_save_and_reclaim((void *)f_25598,2,av);}
a=C_alloc(11);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_25601,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_25616,a[2]=t2,a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[5],a[5]=((C_word*)t0)[6],tmp=(C_word)a,a+=6,tmp);
if(C_truep(((C_word*)t0)[6])){
if(C_truep(((C_word*)t0)[5])){
t4=t3;
f_25616(t4,C_slot(((C_word*)t0)[6],C_fix(1)));}
else{
t4=C_SCHEME_UNDEFINED;
t5=t3;
f_25616(t5,t4);}}
else{
t4=t3;
f_25616(t4,C_SCHEME_FALSE);}}

/* k25599 in k25596 in k25593 in k25590 in g5659 in k25576 in ##sys#really-print-call-chain in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in ... */
static void C_ccall f_25601(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_25601,2,av);}
a=C_alloc(5);
if(C_truep(((C_word*)t0)[2])){
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_25609,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word)li762),tmp=(C_word)a,a+=5,tmp);
/* library.scm:4931: ##sys#with-print-length-limit */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[914]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[914]+1);
av2[1]=((C_word*)t0)[4];
av2[2]=C_fix(100);
av2[3]=t2;
tp(4,av2);}}
else{
t2=C_SCHEME_UNDEFINED;
t3=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* a25608 in k25599 in k25596 in k25593 in k25590 in g5659 in k25576 in ##sys#really-print-call-chain in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in ... */
static void C_ccall f_25609(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_25609,2,av);}
/* library.scm:4934: ##sys#print */
t2=*((C_word*)lf[863]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=t1;
av2[2]=((C_word*)t0)[2];
av2[3]=C_SCHEME_TRUE;
av2[4]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}

/* k25614 in k25596 in k25593 in k25590 in g5659 in k25576 in ##sys#really-print-call-chain in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in ... */
static void C_fcall f_25616(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,3)))){
C_save_and_reclaim_args((void *)trf_25616,2,t0,t1);}
a=C_alloc(6);
if(C_truep(t1)){
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_25619,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
/* library.scm:4923: ##sys#write-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[859]);
C_word av2[4];
av2[0]=*((C_word*)lf[859]+1);
av2[1]=t2;
av2[2]=C_make_character(91);
av2[3]=((C_word*)t0)[3];
tp(4,av2);}}
else{
t2=((C_word*)t0)[2];{
C_word av2[2];
av2[0]=t2;
av2[1]=C_SCHEME_UNDEFINED;
f_25601(2,av2);}}}

/* k25617 in k25614 in k25596 in k25593 in k25590 in g5659 in k25576 in ##sys#really-print-call-chain in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in ... */
static void C_ccall f_25619(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,4)))){
C_save_and_reclaim((void *)f_25619,2,av);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_25622,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
if(C_truep(((C_word*)t0)[4])){
t3=C_slot(((C_word*)t0)[5],C_fix(1));
/* library.scm:4924: ##sys#print */
t4=*((C_word*)lf[863]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t4;
av2[1]=t2;
av2[2]=t3;
av2[3]=C_SCHEME_FALSE;
av2[4]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t4+1)))(5,av2);}}
else{
/* library.scm:4924: ##sys#print */
t3=*((C_word*)lf[863]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[5];
av2[3]=C_SCHEME_FALSE;
av2[4]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}}

/* k25620 in k25617 in k25614 in k25596 in k25593 in k25590 in g5659 in k25576 in ##sys#really-print-call-chain in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in ... */
static void C_ccall f_25622(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_25622,2,av);}
/* library.scm:4929: ##sys#print */
t2=*((C_word*)lf[863]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[940];
av2[3]=C_SCHEME_FALSE;
av2[4]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}

/* k25643 in k25576 in ##sys#really-print-call-chain in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in k19647 in k19643 in ... */
static void C_ccall f_25645(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_25645,2,av);}
/* library.scm:4936: ##sys#print */
t2=*((C_word*)lf[863]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[943];
av2[3]=C_SCHEME_FALSE;
av2[4]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}

/* for-each-loop5658 in k25576 in ##sys#really-print-call-chain in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in k19647 in k19643 in ... */
static void C_fcall f_25650(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,2)))){
C_save_and_reclaim_args((void *)trf_25650,3,t0,t1,t2);}
a=C_alloc(5);
if(C_truep(C_i_pairp(t2))){
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_25660,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
t4=C_slot(t2,C_fix(0));
/* library.scm:4914: g5659 */
t5=((C_word*)t0)[3];
f_25579(t5,t3,t4);}
else{
t3=C_SCHEME_UNDEFINED;
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* k25658 in for-each-loop5658 in k25576 in ##sys#really-print-call-chain in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in k19647 in ... */
static void C_ccall f_25660(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_25660,2,av);}
t2=C_slot(((C_word*)t0)[2],C_fix(1));
t3=((C_word*)((C_word*)t0)[3])[1];
f_25650(t3,((C_word*)t0)[4],t2);}

/* chicken.base#print-call-chain in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in ... */
static void C_ccall f_25673(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +7,c,3)))){
C_save_and_reclaim((void*)f_25673,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+7);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word t19;
C_word t20;
C_word t21;
C_word t22;
C_word t23;
C_word t24;
C_word t25;
t3=C_i_nullp(t2);
t4=(C_truep(t3)?*((C_word*)lf[711]+1):C_i_car(t2));
t5=t4;
t6=C_i_nullp(t2);
t7=(C_truep(t6)?C_SCHEME_END_OF_LIST:C_i_cdr(t2));
t8=C_i_nullp(t7);
t9=(C_truep(t8)?C_fix(0):C_i_car(t7));
t10=t9;
t11=C_i_nullp(t7);
t12=(C_truep(t11)?C_SCHEME_END_OF_LIST:C_i_cdr(t7));
t13=C_i_nullp(t12);
t14=(C_truep(t13)?C_fast_retrieve(lf[936]):C_i_car(t12));
t15=t14;
t16=C_i_nullp(t12);
t17=(C_truep(t16)?C_SCHEME_END_OF_LIST:C_i_cdr(t12));
t18=C_i_nullp(t17);
t19=(C_truep(t18)?lf[944]:C_i_car(t17));
t20=t19;
t21=C_i_nullp(t17);
t22=(C_truep(t21)?C_SCHEME_END_OF_LIST:C_i_cdr(t17));
t23=C_i_check_port_2(t5,C_fix(2),C_SCHEME_TRUE,lf[945]);
t24=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_25704,a[2]=t20,a[3]=t1,a[4]=t5,a[5]=t10,a[6]=t15,tmp=(C_word)a,a+=7,tmp);
/* library.scm:4943: ##sys#check-fixnum */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[102]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[102]+1);
av2[1]=t24;
av2[2]=t10;
av2[3]=lf[945];
tp(4,av2);}}

/* k25702 in chicken.base#print-call-chain in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in k19647 in k19643 in k19639 in ... */
static void C_ccall f_25704(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_25704,2,av);}
a=C_alloc(5);
t2=C_i_check_string_2(((C_word*)t0)[2],lf[945]);
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_25714,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[2],tmp=(C_word)a,a+=5,tmp);
/* library.scm:4945: chicken.base#get-call-chain */
t4=*((C_word*)lf[186]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)t0)[5];
av2[3]=((C_word*)t0)[6];
((C_proc)(void*)(*((C_word*)t4+1)))(4,av2);}}

/* k25712 in k25702 in chicken.base#print-call-chain in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in k19647 in k19643 in ... */
static void C_ccall f_25714(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_25714,2,av);}
/* library.scm:4945: ##sys#really-print-call-chain */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[938]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[938]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t1;
av2[4]=((C_word*)t0)[4];
tp(5,av2);}}

/* ##sys#user-interrupt-hook in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in ... */
static void C_ccall f_25764(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_25764,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_25767,a[2]=((C_word)li767),tmp=(C_word)a,a+=3,tmp);
t3=C_eqp(C_fast_retrieve(lf[936]),C_fast_retrieve(lf[948]));
if(C_truep(t3)){
t4=t1;
/* library.scm:4951: ##sys#signal-hook */
t5=C_fast_retrieve(lf[194]);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t5;
av2[1]=t4;
av2[2]=lf[947];
av2[3]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t5+1)))(4,av2);}}
else{
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_setslot(C_fast_retrieve(lf[948]),C_fix(1),t2);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* break in ##sys#user-interrupt-hook in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in k19647 in k19643 in k19639 in ... */
static void C_ccall f_25767(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_25767,2,av);}
/* library.scm:4951: ##sys#signal-hook */
t2=C_fast_retrieve(lf[194]);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t2;
av2[1]=t1;
av2[2]=lf[947];
av2[3]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* cleanup-before-exit in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in ... */
static void C_fcall f_25786(C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,4)))){
C_save_and_reclaim_args((void *)trf_25786,1,t1);}
a=C_alloc(6);
t2=lf[949] /* exit-in-progress */ =C_SCHEME_TRUE;;
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_25791,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
if(C_truep(C_i_dump_heap_on_exitp())){
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_25862,a[2]=t3,tmp=(C_word)a,a+=3,tmp);
/* library.scm:4966: ##sys#print */
t5=*((C_word*)lf[863]+1);{
C_word av2[5];
av2[0]=t5;
av2[1]=t4;
av2[2]=lf[955];
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[712]+1);
((C_proc)(void*)(*((C_word*)t5+1)))(5,av2);}}
else{
t4=t3;{
C_word av2[2];
av2[0]=t4;
av2[1]=C_SCHEME_UNDEFINED;
f_25791(2,av2);}}}

/* k25789 in cleanup-before-exit in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in k19647 in k19643 in k19639 in ... */
static void C_ccall f_25791(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,2)))){
C_save_and_reclaim((void *)f_25791,2,av);}
a=C_alloc(9);
t2=(C_truep(C_i_profilingp())?C_i_dump_statistical_profile():C_SCHEME_UNDEFINED);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_25797,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t4=C_SCHEME_UNDEFINED;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=C_set_block_item(t5,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_25814,a[2]=t5,a[3]=((C_word)li770),tmp=(C_word)a,a+=4,tmp));
t7=((C_word*)t5)[1];
f_25814(t7,t3);}

/* k25795 in k25789 in cleanup-before-exit in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in k19647 in k19643 in ... */
static void C_ccall f_25797(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,4)))){
C_save_and_reclaim((void *)f_25797,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_25800,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
if(C_truep(C_i_debug_modep())){
/* library.scm:4977: ##sys#print */
t3=*((C_word*)lf[863]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[953];
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[712]+1);
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}
else{
t3=t2;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_UNDEFINED;
f_25800(2,av2);}}}

/* k25798 in k25795 in k25789 in cleanup-before-exit in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in k19647 in ... */
static void C_ccall f_25800(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_25800,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_25806,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:4978: chicken.gc#force-finalizers */
t3=C_fast_retrieve(lf[952]);{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* k25804 in k25798 in k25795 in k25789 in cleanup-before-exit in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in ... */
static void C_ccall f_25806(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_25806,2,av);}
if(C_truep(t1)){
/* library.scm:4979: ##sys#force-finalizers */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[951]);
C_word *av2=av;
av2[0]=*((C_word*)lf[951]+1);
av2[1]=((C_word*)t0)[2];
tp(2,av2);}}
else{
t2=C_SCHEME_UNDEFINED;
t3=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* loop in k25789 in cleanup-before-exit in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in k19647 in k19643 in ... */
static void C_fcall f_25814(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,0,3)))){
C_save_and_reclaim_args((void *)trf_25814,2,t0,t1);}
a=C_alloc(10);
t2=*((C_word*)lf[225]+1);
t3=C_set_block_item(lf[225] /* chicken.base#cleanup-tasks */,0,C_SCHEME_END_OF_LIST);
if(C_truep(C_i_nullp(t2))){
t4=C_SCHEME_UNDEFINED;
t5=t1;{
C_word av2[2];
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t4=C_i_check_list_2(t2,lf[683]);
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_25833,a[2]=((C_word*)t0)[2],a[3]=t1,tmp=(C_word)a,a+=4,tmp);
t6=C_SCHEME_UNDEFINED;
t7=(*a=C_VECTOR_TYPE|1,a[1]=t6,tmp=(C_word)a,a+=2,tmp);
t8=C_set_block_item(t7,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_25838,a[2]=t7,a[3]=((C_word)li769),tmp=(C_word)a,a+=4,tmp));
t9=((C_word*)t7)[1];
f_25838(t9,t5,t2);}}

/* k25831 in loop in k25789 in cleanup-before-exit in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in k19647 in ... */
static void C_ccall f_25833(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_25833,2,av);}
/* library.scm:4975: loop */
t2=((C_word*)((C_word*)t0)[2])[1];
f_25814(t2,((C_word*)t0)[3]);}

/* for-each-loop5718 in loop in k25789 in cleanup-before-exit in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in k19647 in ... */
static void C_fcall f_25838(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,2)))){
C_save_and_reclaim_args((void *)trf_25838,3,t0,t1,t2);}
a=C_alloc(5);
if(C_truep(C_i_pairp(t2))){
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_25848,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
t4=C_slot(t2,C_fix(0));
/* library.scm:4974: t */
t5=t4;{
C_word av2[2];
av2[0]=t5;
av2[1]=t3;
((C_proc)C_fast_retrieve_proc(t5))(2,av2);}}
else{
t3=C_SCHEME_UNDEFINED;
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* k25846 in for-each-loop5718 in loop in k25789 in cleanup-before-exit in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in ... */
static void C_ccall f_25848(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_25848,2,av);}
t2=C_slot(((C_word*)t0)[2],C_fix(1));
t3=((C_word*)((C_word*)t0)[3])[1];
f_25838(t3,((C_word*)t0)[4],t2);}

/* k25860 in cleanup-before-exit in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in k19647 in k19643 in k19639 in ... */
static void C_ccall f_25862(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_25862,2,av);}
/* library.scm:4967: ##sys#dump-heap-state */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[954]);
C_word *av2=av;
av2[0]=*((C_word*)lf[954]+1);
av2[1]=((C_word*)t0)[2];
tp(2,av2);}}

/* k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in ... */
static void C_ccall f_25869(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_25869,2,av);}
a=C_alloc(6);
t2=C_mutate((C_word*)lf[224]+1 /* (set! chicken.base#exit-handler ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_25873,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31286,a[2]=((C_word)li980),tmp=(C_word)a,a+=3,tmp);
/* library.scm:4992: chicken.base#make-parameter */
t5=*((C_word*)lf[201]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t5;
av2[1]=t3;
av2[2]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(3,av2);}}

/* k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in k19647 in k19643 in k19639 in ... */
static void C_ccall f_25873(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_25873,2,av);}
a=C_alloc(6);
t2=C_mutate((C_word*)lf[223]+1 /* (set! chicken.base#implicit-exit-handler ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_25877,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31277,a[2]=((C_word)li979),tmp=(C_word)a,a+=3,tmp);
/* library.scm:4997: chicken.base#make-parameter */
t5=*((C_word*)lf[201]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t5;
av2[1]=t3;
av2[2]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(3,av2);}}

/* k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in k19647 in k19643 in ... */
static void C_ccall f_25877(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(23,c,4)))){
C_save_and_reclaim((void *)f_25877,2,av);}
a=C_alloc(23);
t2=C_mutate((C_word*)lf[956]+1 /* (set! ##sys#reset-handler ...) */,t1);
t3=C_a_i_provide(&a,1,lf[957]);
t4=C_mutate((C_word*)lf[194]+1 /* (set! ##sys#signal-hook ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_25879,a[2]=((C_word)li774),tmp=(C_word)a,a+=3,tmp));
t5=C_mutate((C_word*)lf[959]+1 /* (set! chicken.condition#abort ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26163,a[2]=((C_word)li775),tmp=(C_word)a,a+=3,tmp));
t6=C_mutate((C_word*)lf[997]+1 /* (set! chicken.condition#signal ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26180,a[2]=((C_word)li776),tmp=(C_word)a,a+=3,tmp));
t7=C_mutate((C_word*)lf[998]+1 /* (set! ##sys#break-on-error ...) */,C_mk_bool(C_enable_repl));
t8=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26189,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t9=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31117,a[2]=((C_word)li978),tmp=(C_word)a,a+=3,tmp);
/* library.scm:5094: chicken.base#make-parameter */
t10=*((C_word*)lf[201]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t10;
av2[1]=t8;
av2[2]=t9;
((C_proc)(void*)(*((C_word*)t10+1)))(3,av2);}}

/* ##sys#signal-hook in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in k19647 in ... */
static void C_ccall f_25879(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c<4) C_bad_min_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-4)*C_SIZEOF_PAIR +12,c,4)))){
C_save_and_reclaim((void*)f_25879,c,av);}
a=C_alloc((c-4)*C_SIZEOF_PAIR+12);
t4=C_build_rest(&a,c,4,av);
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t6=C_dbg_hook(C_SCHEME_FALSE);
t7=signal_debug_event(t2,((C_word*)t5)[1],t4);
t8=t2;
t9=C_eqp(t8,lf[947]);
if(C_truep(t9)){
t10=C_a_i_record3(&a,3,lf[904],lf[958],C_SCHEME_END_OF_LIST);
/* library.scm:5025: abort */
t11=C_fast_retrieve(lf[959]);{
C_word *av2=av;
av2[0]=t11;
av2[1]=t1;
av2[2]=t10;
((C_proc)(void*)(*((C_word*)t11+1)))(3,av2);}}
else{
t10=C_eqp(t8,lf[307]);
t11=(C_truep(t10)?t10:C_eqp(t8,lf[309]));
if(C_truep(t11)){
t12=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_25905,a[2]=t4,a[3]=t1,a[4]=t5,tmp=(C_word)a,a+=5,tmp);
t13=C_eqp(t2,lf[307]);
if(C_truep(t13)){
/* library.scm:5031: ##sys#print */
t14=*((C_word*)lf[863]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t14;
av2[1]=t12;
av2[2]=lf[961];
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[712]+1);
((C_proc)(void*)(*((C_word*)t14+1)))(5,av2);}}
else{
/* library.scm:5031: ##sys#print */
t14=*((C_word*)lf[863]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t14;
av2[1]=t12;
av2[2]=lf[962];
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[712]+1);
((C_proc)(void*)(*((C_word*)t14+1)))(5,av2);}}}
else{
t12=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_25981,a[2]=t5,a[3]=t4,a[4]=t2,a[5]=t1,tmp=(C_word)a,a+=6,tmp);
t13=C_i_symbolp(((C_word*)t5)[1]);
t14=(C_truep(t13)?C_i_nullp(t4):C_SCHEME_FALSE);
if(C_truep(t14)){
t15=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_26146,a[2]=t5,a[3]=t12,tmp=(C_word)a,a+=4,tmp);
/* library.scm:5049: scheme#symbol->string */
t16=*((C_word*)lf[630]+1);{
C_word *av2=av;
av2[0]=t16;
av2[1]=t15;
av2[2]=((C_word*)t5)[1];
((C_proc)(void*)(*((C_word*)t16+1)))(3,av2);}}
else{
t15=t12;
f_25981(t15,C_SCHEME_UNDEFINED);}}}}

/* k25903 in ##sys#signal-hook in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in ... */
static void C_ccall f_25905(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,4)))){
C_save_and_reclaim((void *)f_25905,2,av);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_25908,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:5034: ##sys#print */
t3=*((C_word*)lf[863]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)((C_word*)t0)[4])[1];
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[712]+1);
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}

/* k25906 in k25903 in ##sys#signal-hook in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in ... */
static void C_ccall f_25908(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_25908,2,av);}
a=C_alloc(7);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_25911,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
t3=C_i_nullp(((C_word*)t0)[2]);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_25960,a[2]=t2,tmp=(C_word)a,a+=3,tmp);
if(C_truep(t3)){
t5=t4;
f_25960(t5,t3);}
else{
t5=((C_word*)t0)[2];
t6=C_u_i_length(t5);
t7=t4;
f_25960(t7,C_fixnum_greaterp(t6,C_fix(1)));}}

/* k25909 in k25906 in k25903 in ##sys#signal-hook in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in ... */
static void C_ccall f_25911(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,3)))){
C_save_and_reclaim((void *)f_25911,2,av);}
a=C_alloc(9);
t2=((C_word*)t0)[2];
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_25928,a[2]=((C_word*)t0)[3],tmp=(C_word)a,a+=3,tmp);
t4=C_SCHEME_UNDEFINED;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=C_set_block_item(t5,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_25933,a[2]=t5,a[3]=((C_word)li773),tmp=(C_word)a,a+=4,tmp));
t7=((C_word*)t5)[1];
f_25933(t7,t3,t2);}

/* a25917 in for-each-loop5786 in k25909 in k25906 in k25903 in ##sys#signal-hook in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in ... */
static void C_ccall f_25918(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,4)))){
C_save_and_reclaim((void *)f_25918,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_25922,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* library.scm:5043: ##sys#print */
t3=*((C_word*)lf[863]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[2];
av2[3]=C_SCHEME_TRUE;
av2[4]=*((C_word*)lf[712]+1);
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}

/* k25920 in a25917 in for-each-loop5786 in k25909 in k25906 in k25903 in ##sys#signal-hook in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in ... */
static void C_ccall f_25922(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_25922,2,av);}
/* library.scm:5044: ##sys#write-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[859]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[859]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=C_make_character(10);
av2[3]=*((C_word*)lf[712]+1);
tp(4,av2);}}

/* k25926 in k25909 in k25906 in k25903 in ##sys#signal-hook in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in ... */
static void C_ccall f_25928(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_25928,2,av);}
/* library.scm:5046: ##sys#flush-output */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[743]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[743]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=*((C_word*)lf[712]+1);
tp(3,av2);}}

/* for-each-loop5786 in k25909 in k25906 in k25903 in ##sys#signal-hook in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in ... */
static void C_fcall f_25933(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,0,3)))){
C_save_and_reclaim_args((void *)trf_25933,3,t0,t1,t2);}
a=C_alloc(9);
if(C_truep(C_i_pairp(t2))){
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_25943,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
t4=C_slot(t2,C_fix(0));
t5=t4;
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_25918,a[2]=t5,a[3]=((C_word)li772),tmp=(C_word)a,a+=4,tmp);
/* library.scm:5040: ##sys#with-print-length-limit */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[914]);
C_word av2[4];
av2[0]=*((C_word*)lf[914]+1);
av2[1]=t3;
av2[2]=C_fix(400);
av2[3]=t6;
tp(4,av2);}}
else{
t3=C_SCHEME_UNDEFINED;
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* k25941 in for-each-loop5786 in k25909 in k25906 in k25903 in ##sys#signal-hook in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in ... */
static void C_ccall f_25943(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_25943,2,av);}
t2=C_slot(((C_word*)t0)[2],C_fix(1));
t3=((C_word*)((C_word*)t0)[3])[1];
f_25933(t3,((C_word*)t0)[4],t2);}

/* k25958 in k25906 in k25903 in ##sys#signal-hook in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in ... */
static void C_fcall f_25960(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,0,4)))){
C_save_and_reclaim_args((void *)trf_25960,2,t0,t1);}
if(C_truep(t1)){
/* library.scm:5036: ##sys#write-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[859]);
C_word av2[4];
av2[0]=*((C_word*)lf[859]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=C_make_character(10);
av2[3]=*((C_word*)lf[712]+1);
tp(4,av2);}}
else{
/* library.scm:5037: ##sys#print */
t2=*((C_word*)lf[863]+1);{
C_word av2[5];
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[960];
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[712]+1);
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}}

/* k25979 in ##sys#signal-hook in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in ... */
static void C_fcall f_25981(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,2)))){
C_save_and_reclaim_args((void *)trf_25981,2,t0,t1);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_25984,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
t3=C_i_not(((C_word*)((C_word*)t0)[2])[1]);
if(C_truep(t3)){
t4=t2;
f_25984(t4,(C_truep(t3)?C_i_pairp(((C_word*)t0)[3]):C_SCHEME_FALSE));}
else{
t4=C_i_symbolp(((C_word*)((C_word*)t0)[2])[1]);
t5=t2;
f_25984(t5,(C_truep(t4)?C_i_pairp(((C_word*)t0)[3]):C_SCHEME_FALSE));}}

/* k25982 in k25979 in ##sys#signal-hook in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in ... */
static void C_fcall f_25984(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word t19;
C_word t20;
C_word t21;
C_word t22;
C_word t23;
C_word t24;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,2)))){
C_save_and_reclaim_args((void *)trf_25984,2,t0,t1);}
a=C_alloc(6);
t2=(C_truep(t1)?((C_word*)((C_word*)t0)[2])[1]:C_SCHEME_FALSE);
t3=t2;
t4=(C_truep(t1)?C_slot(((C_word*)t0)[3],C_fix(0)):((C_word*)((C_word*)t0)[2])[1]);
t5=t4;
t6=(C_truep(t1)?C_slot(((C_word*)t0)[3],C_fix(1)):((C_word*)t0)[3]);
t7=t6;
t8=((C_word*)t0)[4];
t9=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_26004,a[2]=t5,a[3]=t7,a[4]=t3,a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
t10=C_eqp(t8,lf[258]);
if(C_truep(t10)){
t11=t9;
f_26004(t11,lf[967]);}
else{
t11=C_eqp(t8,lf[777]);
if(C_truep(t11)){
t12=t9;
f_26004(t12,lf[968]);}
else{
t12=C_eqp(t8,lf[379]);
if(C_truep(t12)){
t13=t9;
f_26004(t13,lf[969]);}
else{
t13=C_eqp(t8,lf[562]);
if(C_truep(t13)){
t14=t9;
f_26004(t14,lf[970]);}
else{
t14=C_eqp(t8,lf[696]);
if(C_truep(t14)){
t15=t9;
f_26004(t15,lf[971]);}
else{
t15=C_eqp(t8,lf[972]);
if(C_truep(t15)){
t16=t9;
f_26004(t16,lf[973]);}
else{
t16=C_eqp(t8,lf[974]);
if(C_truep(t16)){
t17=t9;
f_26004(t17,lf[975]);}
else{
t17=C_eqp(t8,lf[976]);
if(C_truep(t17)){
t18=t9;
f_26004(t18,lf[977]);}
else{
t18=C_eqp(t8,lf[978]);
if(C_truep(t18)){
t19=t9;
f_26004(t19,lf[979]);}
else{
t19=C_eqp(t8,lf[980]);
if(C_truep(t19)){
t20=t9;
f_26004(t20,lf[981]);}
else{
t20=C_eqp(t8,lf[982]);
if(C_truep(t20)){
t21=t9;
f_26004(t21,lf[983]);}
else{
t21=C_eqp(t8,lf[984]);
if(C_truep(t21)){
t22=t9;
f_26004(t22,lf[985]);}
else{
t22=C_eqp(t8,lf[986]);
if(C_truep(t22)){
t23=t9;
f_26004(t23,lf[987]);}
else{
t23=C_eqp(t8,lf[988]);
t24=t9;
f_26004(t24,(C_truep(t23)?lf[989]:lf[990]));}}}}}}}}}}}}}}

/* k26002 in k25982 in k25979 in ##sys#signal-hook in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in ... */
static void C_fcall f_26004(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,0,2)))){
C_save_and_reclaim_args((void *)trf_26004,2,t0,t1);}
a=C_alloc(7);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_26012,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=t2,a[6]=((C_word*)t0)[5],tmp=(C_word)a,a+=7,tmp);
/* library.scm:5075: chicken.base#get-call-chain */
t4=*((C_word*)lf[186]+1);{
C_word av2[2];
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* k26010 in k26002 in k25982 in k25979 in ##sys#signal-hook in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in ... */
static void C_ccall f_26012(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(28,c,2)))){
C_save_and_reclaim((void *)f_26012,2,av);}
a=C_alloc(28);
t2=C_a_i_list8(&a,8,lf[963],((C_word*)t0)[2],lf[964],((C_word*)t0)[3],lf[965],t1,lf[966],((C_word*)t0)[4]);
t3=C_a_i_record3(&a,3,lf[904],((C_word*)t0)[5],t2);
/* library.scm:5054: abort */
t4=C_fast_retrieve(lf[959]);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=((C_word*)t0)[6];
av2[2]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k26144 in ##sys#signal-hook in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in ... */
static void C_ccall f_26146(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_26146,2,av);}
t2=C_mutate(((C_word *)((C_word*)t0)[2])+1,t1);
t3=((C_word*)t0)[3];
f_25981(t3,t2);}

/* chicken.condition#abort in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in k19647 in ... */
static void C_ccall f_26163(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_26163,3,av);}
a=C_alloc(3);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26167,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* library.scm:5079: ##sys#current-exception-handler */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[996]);
C_word *av2=av;
av2[0]=*((C_word*)lf[996]+1);
av2[1]=t3;
av2[2]=t2;
tp(3,av2);}}

/* k26165 in chicken.condition#abort in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in ... */
static void C_ccall f_26167(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(22,c,2)))){
C_save_and_reclaim((void *)f_26167,2,av);}
a=C_alloc(22);
t2=C_a_i_list6(&a,6,lf[991],lf[992],lf[993],C_SCHEME_END_OF_LIST,lf[994],C_SCHEME_FALSE);
t3=C_a_i_record3(&a,3,lf[904],lf[995],t2);
/* library.scm:5080: abort */
t4=C_fast_retrieve(lf[959]);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=((C_word*)t0)[2];
av2[2]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* chicken.condition#signal in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in k19647 in ... */
static void C_ccall f_26180(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_26180,3,av);}
/* library.scm:5089: ##sys#current-exception-handler */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[996]);
C_word *av2=av;
av2[0]=*((C_word*)lf[996]+1);
av2[1]=t1;
av2[2]=t2;
tp(3,av2);}}

/* k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in k19647 in ... */
static void C_ccall f_26189(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(39,c,5)))){
C_save_and_reclaim((void *)f_26189,2,av);}
a=C_alloc(39);
t2=C_mutate((C_word*)lf[999]+1 /* (set! ##sys#error-handler ...) */,t1);
t3=C_set_block_item(lf[1000] /* ##sys#last-exception */,0,C_SCHEME_FALSE);
t4=C_mutate((C_word*)lf[996]+1 /* (set! ##sys#current-exception-handler ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26192,a[2]=((C_word)li777),tmp=(C_word)a,a+=3,tmp));
t5=C_mutate((C_word*)lf[909]+1 /* (set! chicken.condition#with-exception-handler ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26352,a[2]=((C_word)li780),tmp=(C_word)a,a+=3,tmp));
t6=C_mutate((C_word*)lf[1016]+1 /* (set! chicken.condition#current-exception-handler ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26366,a[2]=((C_word)li782),tmp=(C_word)a,a+=3,tmp));
t7=C_mutate(&lf[1018] /* (set! chicken.condition#prop-list->kind-prefixed-prop-list ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26427,a[2]=((C_word)li784),tmp=(C_word)a,a+=3,tmp));
t8=C_mutate((C_word*)lf[1020]+1 /* (set! chicken.condition#make-property-condition ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26495,a[2]=((C_word)li785),tmp=(C_word)a,a+=3,tmp));
t9=C_mutate((C_word*)lf[1022]+1 /* (set! chicken.condition#make-composite-condition ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26509,a[2]=((C_word)li789),tmp=(C_word)a,a+=3,tmp));
t10=C_mutate((C_word*)lf[1024]+1 /* (set! chicken.condition#condition ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26649,a[2]=((C_word)li792),tmp=(C_word)a,a+=3,tmp));
t11=C_mutate((C_word*)lf[1025]+1 /* (set! chicken.condition#condition? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26754,a[2]=((C_word)li793),tmp=(C_word)a,a+=3,tmp));
t12=C_mutate((C_word*)lf[1026]+1 /* (set! chicken.condition#condition->list ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26760,a[2]=((C_word)li797),tmp=(C_word)a,a+=3,tmp));
t13=C_mutate((C_word*)lf[1029]+1 /* (set! chicken.condition#condition-predicate ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26878,a[2]=((C_word)li799),tmp=(C_word)a,a+=3,tmp));
t14=C_mutate((C_word*)lf[1030]+1 /* (set! chicken.condition#condition-property-accessor ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26899,a[2]=((C_word)li801),tmp=(C_word)a,a+=3,tmp));
t15=C_mutate((C_word*)lf[1033]+1 /* (set! chicken.condition#get-condition-property ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26945,a[2]=((C_word)li802),tmp=(C_word)a,a+=3,tmp));
t16=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26956,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:5277: condition-property-accessor */
t17=C_fast_retrieve(lf[1030]);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t17;
av2[1]=t16;
av2[2]=lf[1003];
av2[3]=lf[1365];
av2[4]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t17+1)))(5,av2);}}

/* ##sys#current-exception-handler in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in ... */
static void C_ccall f_26192(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(14,c,4)))){
C_save_and_reclaim((void *)f_26192,3,av);}
a=C_alloc(14);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_26196,a[2]=t2,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
if(C_truep(C_i_structurep(t2,lf[904]))){
t4=C_mutate((C_word*)lf[1000]+1 /* (set! ##sys#last-exception ...) */,t2);
t5=C_slot(t2,C_fix(1));
if(C_truep(C_i_memq(lf[1003],t5))){
t6=C_slot(t2,C_fix(2));
t7=C_i_member(lf[1004],t6);
t8=t7;
t9=C_i_member(lf[1005],t6);
t10=t9;
t11=C_i_member(lf[1006],t6);
t12=t11;
t13=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26235,a[2]=t3,tmp=(C_word)a,a+=3,tmp);
t14=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_26245,a[2]=t10,a[3]=t13,a[4]=t8,a[5]=t12,tmp=(C_word)a,a+=6,tmp);
/* library.scm:5146: ##sys#error-handler */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[999]);
C_word *av2=av;
av2[0]=*((C_word*)lf[999]+1);
av2[1]=t14;
tp(2,av2);}}
else{
t6=C_slot(t5,C_fix(0));
t7=C_eqp(lf[1011],t6);
if(C_truep(t7)){
t8=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26306,a[2]=t3,tmp=(C_word)a,a+=3,tmp);
/* library.scm:5164: ##sys#print */
t9=*((C_word*)lf[863]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t9;
av2[1]=t8;
av2[2]=lf[1012];
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[712]+1);
((C_proc)(void*)(*((C_word*)t9+1)))(5,av2);}}
else{
t8=C_slot(t5,C_fix(0));
t9=C_eqp(lf[1013],t8);
if(C_truep(t9)){
t10=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_26321,a[2]=t3,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:5167: ##sys#error-handler */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[999]);
C_word *av2=av;
av2[0]=*((C_word*)lf[999]+1);
av2[1]=t10;
tp(2,av2);}}
else{
t10=C_a_i_list2(&a,2,lf[1001],t2);
t11=C_a_i_record3(&a,3,lf[904],lf[1002],t10);
/* library.scm:5171: abort */
t12=C_fast_retrieve(lf[959]);{
C_word *av2=av;
av2[0]=t12;
av2[1]=t1;
av2[2]=t11;
((C_proc)(void*)(*((C_word*)t12+1)))(3,av2);}}}}}
else{
t4=C_a_i_list2(&a,2,lf[1001],t2);
t5=C_a_i_record3(&a,3,lf[904],lf[1002],t4);
/* library.scm:5171: abort */
t6=C_fast_retrieve(lf[959]);{
C_word *av2=av;
av2[0]=t6;
av2[1]=t1;
av2[2]=t5;
((C_proc)(void*)(*((C_word*)t6+1)))(3,av2);}}}

/* k26194 in ##sys#current-exception-handler in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in ... */
static void C_ccall f_26196(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,2)))){
C_save_and_reclaim((void *)f_26196,2,av);}
a=C_alloc(10);
t2=C_a_i_list2(&a,2,lf[1001],((C_word*)t0)[2]);
t3=C_a_i_record3(&a,3,lf[904],lf[1002],t2);
/* library.scm:5171: abort */
t4=C_fast_retrieve(lf[959]);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=((C_word*)t0)[3];
av2[2]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k26233 in ##sys#current-exception-handler in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in ... */
static void C_ccall f_26235(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_26235,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26238,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:5162: ##sys#reset-handler */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[956]);
C_word *av2=av;
av2[0]=*((C_word*)lf[956]+1);
av2[1]=t2;
tp(2,av2);}}

/* k26236 in k26233 in ##sys#current-exception-handler in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in ... */
static void C_ccall f_26238(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_26238,2,av);}
/* library.scm:5141: g5924 */
t2=t1;{
C_word *av2=av;
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
((C_proc)C_fast_retrieve_proc(t2))(2,av2);}}

/* k26243 in ##sys#current-exception-handler in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in ... */
static void C_ccall f_26245(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,2)))){
C_save_and_reclaim((void *)f_26245,2,av);}
a=C_alloc(9);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_26249,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t2,tmp=(C_word)a,a+=5,tmp);
if(C_truep(((C_word*)t0)[4])){
t4=C_i_cadr(((C_word*)t0)[4]);
t5=t4;
t6=(C_truep(((C_word*)t0)[5])?C_i_cadr(((C_word*)t0)[5]):C_SCHEME_FALSE);
t7=(C_truep(t6)?C_i_symbolp(t6):C_SCHEME_FALSE);
if(C_truep(t7)){
t8=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_26275,a[2]=t5,a[3]=t3,tmp=(C_word)a,a+=4,tmp);
/* library.scm:5152: ##sys#symbol->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[629]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[629]+1);
av2[1]=t8;
av2[2]=t6;
tp(3,av2);}}
else{
t8=t3;{
C_word *av2=av;
av2[0]=t8;
av2[1]=t5;
f_26249(2,av2);}}}
else{
t4=t3;{
C_word *av2=av;
av2[0]=t4;
av2[1]=lf[1010];
f_26249(2,av2);}}}

/* k26247 in k26243 in ##sys#current-exception-handler in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in ... */
static void C_ccall f_26249(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_26249,2,av);}
if(C_truep(((C_word*)t0)[2])){
t2=C_i_cadr(((C_word*)t0)[2]);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=0;
av2[1]=((C_word*)t0)[3];
av2[2]=((C_word*)t0)[4];
av2[3]=t1;
av2[4]=t2;
C_apply(5,av2);}}
else{
t2=((C_word*)t0)[4];{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
av2[2]=t1;
((C_proc)C_fast_retrieve_proc(t2))(3,av2);}}}

/* k26273 in k26243 in ##sys#current-exception-handler in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in ... */
static void C_ccall f_26275(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,5)))){
C_save_and_reclaim((void *)f_26275,2,av);}
if(C_truep(C_i_symbolp(((C_word*)t0)[2]))){
t2=C_slot(((C_word*)t0)[2],C_fix(1));
/* library.scm:5151: string-append */
t3=*((C_word*)lf[413]+1);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t3;
av2[1]=((C_word*)t0)[3];
av2[2]=lf[1007];
av2[3]=t1;
av2[4]=lf[1008];
av2[5]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(6,av2);}}
else{
if(C_truep(C_i_stringp(((C_word*)t0)[2]))){
/* library.scm:5151: string-append */
t2=*((C_word*)lf[413]+1);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
av2[2]=lf[1007];
av2[3]=t1;
av2[4]=lf[1008];
av2[5]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t2+1)))(6,av2);}}
else{
/* library.scm:5151: string-append */
t2=*((C_word*)lf[413]+1);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
av2[2]=lf[1007];
av2[3]=t1;
av2[4]=lf[1008];
av2[5]=lf[1009];
((C_proc)(void*)(*((C_word*)t2+1)))(6,av2);}}}}

/* k26304 in ##sys#current-exception-handler in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in ... */
static void C_ccall f_26306(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_26306,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26309,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:5165: ##sys#reset-handler */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[956]);
C_word *av2=av;
av2[0]=*((C_word*)lf[956]+1);
av2[1]=t2;
tp(2,av2);}}

/* k26307 in k26304 in ##sys#current-exception-handler in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in ... */
static void C_ccall f_26309(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_26309,2,av);}
/* library.scm:5140: g5927 */
t2=t1;{
C_word *av2=av;
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
((C_proc)C_fast_retrieve_proc(t2))(2,av2);}}

/* k26319 in ##sys#current-exception-handler in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in ... */
static void C_ccall f_26321(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_26321,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26324,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t3=C_slot(((C_word*)t0)[3],C_fix(2));
t4=C_i_member(lf[1014],t3);
t5=C_i_cadr(t4);
/* library.scm:5140: g5930 */
t6=t1;{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t6;
av2[1]=t2;
av2[2]=lf[1015];
av2[3]=t5;
((C_proc)C_fast_retrieve_proc(t6))(4,av2);}}

/* k26322 in k26319 in ##sys#current-exception-handler in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in ... */
static void C_ccall f_26324(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_26324,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26327,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:5170: ##sys#reset-handler */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[956]);
C_word *av2=av;
av2[0]=*((C_word*)lf[956]+1);
av2[1]=t2;
tp(2,av2);}}

/* k26325 in k26322 in k26319 in ##sys#current-exception-handler in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in ... */
static void C_ccall f_26327(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_26327,2,av);}
/* library.scm:5140: g5932 */
t2=t1;{
C_word *av2=av;
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
((C_proc)C_fast_retrieve_proc(t2))(2,av2);}}

/* chicken.condition#with-exception-handler in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in ... */
static void C_ccall f_26352(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,4)))){
C_save_and_reclaim((void *)f_26352,4,av);}
a=C_alloc(8);
t4=C_fast_retrieve(lf[996]);
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_26358,a[2]=t2,a[3]=((C_word)li778),tmp=(C_word)a,a+=4,tmp);
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_26362,a[2]=t4,a[3]=((C_word)li779),tmp=(C_word)a,a+=4,tmp);
/* library.scm:5179: ##sys#dynamic-wind */
t7=*((C_word*)lf[688]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t7;
av2[1]=t1;
av2[2]=t5;
av2[3]=t3;
av2[4]=t6;
((C_proc)(void*)(*((C_word*)t7+1)))(5,av2);}}

/* a26357 in chicken.condition#with-exception-handler in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in ... */
static void C_ccall f_26358(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_26358,2,av);}
t2=C_mutate((C_word*)lf[996]+1 /* (set! ##sys#current-exception-handler ...) */,((C_word*)t0)[2]);
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* a26361 in chicken.condition#with-exception-handler in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in ... */
static void C_ccall f_26362(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_26362,2,av);}
t2=C_mutate((C_word*)lf[996]+1 /* (set! ##sys#current-exception-handler ...) */,((C_word*)t0)[2]);
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.condition#current-exception-handler in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in ... */
static void C_ccall f_26366(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +5,c,3)))){
C_save_and_reclaim((void*)f_26366,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+5);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
if(C_truep(C_i_nullp(t2))){
t3=C_fast_retrieve(lf[996]);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_fast_retrieve(lf[996]);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t3=C_i_car(t2);
t4=t3;
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_26379,a[2]=t2,a[3]=t4,a[4]=t1,tmp=(C_word)a,a+=5,tmp);
/* library.scm:5189: ##sys#check-closure */
t6=*((C_word*)lf[365]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t6;
av2[1]=t5;
av2[2]=t4;
av2[3]=lf[1017];
((C_proc)(void*)(*((C_word*)t6+1)))(4,av2);}}}

/* k26377 in chicken.condition#current-exception-handler in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in ... */
static void C_ccall f_26379(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,2)))){
C_save_and_reclaim((void *)f_26379,2,av);}
a=C_alloc(10);
t2=((C_word*)t0)[2];
t3=C_u_i_cdr(t2);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_26381,a[2]=((C_word*)t0)[3],a[3]=((C_word)li781),tmp=(C_word)a,a+=4,tmp);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26387,a[2]=t4,tmp=(C_word)a,a+=3,tmp);
t6=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26392,a[2]=t5,tmp=(C_word)a,a+=3,tmp);
if(C_truep(C_i_nullp(t3))){
t7=(
/* library.scm:5190: def-convert?5948 */
  f_26392(t6)
);
t8=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t8;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}
else{
t7=C_i_car(t3);
t8=C_u_i_cdr(t3);
if(C_truep(C_i_nullp(t8))){
t9=(
/* library.scm:5190: def-set?5949 */
  f_26387(t5)
);
t10=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t10;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t10+1)))(2,av2);}}
else{
t9=C_i_car(t8);
t10=C_u_i_cdr(t8);
t11=(
/* library.scm:5190: body5946 */
  f_26381(t4,t9)
);
t12=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t12;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t12+1)))(2,av2);}}}}

/* body5946 in k26377 in chicken.condition#current-exception-handler in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in ... */
static C_word C_fcall f_26381(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_stack_overflow_check;{}
if(C_truep(t1)){
t2=C_mutate((C_word*)lf[996]+1 /* (set! ##sys#current-exception-handler ...) */,((C_word*)t0)[2]);
return(t2);}
else{
t2=C_SCHEME_UNDEFINED;
return(t2);}}

/* def-set?5949 in k26377 in chicken.condition#current-exception-handler in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in ... */
static C_word C_fcall f_26387(C_word t0){
C_word tmp;
C_word t1;
C_stack_overflow_check;{}
return((
/* library.scm:5190: body5946 */
  f_26381(((C_word*)t0)[2],C_SCHEME_TRUE)
));}

/* def-convert?5948 in k26377 in chicken.condition#current-exception-handler in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in ... */
static C_word C_fcall f_26392(C_word t0){
C_word tmp;
C_word t1;
C_stack_overflow_check;{}
return((
/* library.scm:5190: def-set?5949 */
  f_26387(((C_word*)t0)[2])
));}

/* chicken.condition#prop-list->kind-prefixed-prop-list in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in ... */
static void C_fcall f_26427(C_word t1,C_word t2,C_word t3,C_word t4){
C_word tmp;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,0,3)))){
C_save_and_reclaim_args((void *)trf_26427,4,t1,t2,t3,t4);}
a=C_alloc(9);
t5=C_SCHEME_UNDEFINED;
t6=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t7=C_set_block_item(t6,0,(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_26433,a[2]=t2,a[3]=t4,a[4]=t3,a[5]=t6,a[6]=((C_word)li783),tmp=(C_word)a,a+=7,tmp));
t8=((C_word*)t6)[1];
f_26433(t8,t1,t4);}

/* loop in chicken.condition#prop-list->kind-prefixed-prop-list in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in ... */
static void C_fcall f_26433(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,0,2)))){
C_save_and_reclaim_args((void *)trf_26433,3,t0,t1,t2);}
a=C_alloc(8);
if(C_truep(C_i_nullp(t2))){
t3=t1;{
C_word av2[2];
av2[0]=t3;
av2[1]=C_SCHEME_END_OF_LIST;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
t3=C_i_pairp(t2);
t4=C_i_not(t3);
t5=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_26449,a[2]=t1,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=t2,a[6]=((C_word*)t0)[4],a[7]=((C_word*)t0)[5],tmp=(C_word)a,a+=8,tmp);
if(C_truep(t4)){
t6=t5;
f_26449(t6,t4);}
else{
t6=C_i_cdr(t2);
t7=C_i_pairp(t6);
t8=t5;
f_26449(t8,C_i_not(t7));}}}

/* k26447 in loop in chicken.condition#prop-list->kind-prefixed-prop-list in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in ... */
static void C_fcall f_26449(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,0,5)))){
C_save_and_reclaim_args((void *)trf_26449,2,t0,t1);}
a=C_alloc(8);
if(C_truep(t1)){
/* library.scm:5200: ##sys#signal-hook */
t2=C_fast_retrieve(lf[194]);{
C_word av2[6];
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[258];
av2[3]=((C_word*)t0)[3];
av2[4]=lf[1019];
av2[5]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t2+1)))(6,av2);}}
else{
t2=C_i_car(((C_word*)t0)[5]);
t3=C_a_i_cons(&a,2,((C_word*)t0)[6],t2);
t4=t3;
t5=C_i_cadr(((C_word*)t0)[5]);
t6=t5;
t7=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_26471,a[2]=t6,a[3]=((C_word*)t0)[2],a[4]=t4,tmp=(C_word)a,a+=5,tmp);
t8=((C_word*)t0)[5];
t9=C_u_i_cdr(t8);
t10=C_u_i_cdr(t9);
/* library.scm:5204: loop */
t11=((C_word*)((C_word*)t0)[7])[1];
f_26433(t11,t7,t10);}}

/* k26469 in k26447 in loop in chicken.condition#prop-list->kind-prefixed-prop-list in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in ... */
static void C_ccall f_26471(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,1)))){
C_save_and_reclaim((void *)f_26471,2,av);}
a=C_alloc(6);
t2=C_a_i_cons(&a,2,((C_word*)t0)[2],t1);
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_a_i_cons(&a,2,((C_word*)t0)[4],t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.condition#make-property-condition in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in ... */
static void C_ccall f_26495(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +7,c,4)))){
C_save_and_reclaim((void*)f_26495,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+7);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
t4=C_a_i_list1(&a,1,t2);
t5=t4;
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_26507,a[2]=t1,a[3]=t5,tmp=(C_word)a,a+=4,tmp);
/* library.scm:5209: prop-list->kind-prefixed-prop-list */
f_26427(t6,lf[1021],t2,t3);}

/* k26505 in chicken.condition#make-property-condition in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in ... */
static void C_ccall f_26507(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_26507,2,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_record3(&a,3,lf[904],((C_word*)t0)[3],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.condition#make-composite-condition in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in ... */
static void C_ccall f_26509(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +26,c,3)))){
C_save_and_reclaim((void*)f_26509,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+26);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
t4=C_a_i_cons(&a,2,t2,t3);
t5=t4;
t6=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26626,a[2]=((C_word)li786),tmp=(C_word)a,a+=3,tmp);
t7=(
  f_26626(t5)
);
t8=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_26528,a[2]=t1,a[3]=t5,tmp=(C_word)a,a+=4,tmp);
t9=C_a_i_cons(&a,2,C_SCHEME_UNDEFINED,C_SCHEME_END_OF_LIST);
t10=t9;
t11=(*a=C_VECTOR_TYPE|1,a[1]=t10,tmp=(C_word)a,a+=2,tmp);
t12=((C_word*)t11)[1];
t13=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26590,a[2]=t8,tmp=(C_word)a,a+=3,tmp);
t14=C_SCHEME_UNDEFINED;
t15=(*a=C_VECTOR_TYPE|1,a[1]=t14,tmp=(C_word)a,a+=2,tmp);
t16=C_set_block_item(t15,0,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_26592,a[2]=t11,a[3]=t15,a[4]=t12,a[5]=((C_word)li788),tmp=(C_word)a,a+=6,tmp));
t17=((C_word*)t15)[1];
f_26592(t17,t13,t5);}

/* k26526 in chicken.condition#make-composite-condition in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in ... */
static void C_ccall f_26528(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(20,c,3)))){
C_save_and_reclaim((void *)f_26528,2,av);}
a=C_alloc(20);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_26532,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=C_a_i_cons(&a,2,C_SCHEME_UNDEFINED,C_SCHEME_END_OF_LIST);
t5=t4;
t6=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t7=((C_word*)t6)[1];
t8=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26544,a[2]=t3,tmp=(C_word)a,a+=3,tmp);
t9=C_SCHEME_UNDEFINED;
t10=(*a=C_VECTOR_TYPE|1,a[1]=t9,tmp=(C_word)a,a+=2,tmp);
t11=C_set_block_item(t10,0,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_26546,a[2]=t6,a[3]=t10,a[4]=t7,a[5]=((C_word)li787),tmp=(C_word)a,a+=6,tmp));
t12=((C_word*)t10)[1];
f_26546(t12,t8,((C_word*)t0)[3]);}

/* k26530 in k26526 in chicken.condition#make-composite-condition in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in ... */
static void C_ccall f_26532(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_26532,2,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_record3(&a,3,lf[904],((C_word*)t0)[3],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k26542 in k26526 in chicken.condition#make-composite-condition in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in ... */
static void C_ccall f_26544(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_26544,2,av);}{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=*((C_word*)lf[254]+1);
av2[3]=t1;
C_apply(4,av2);}}

/* map-loop6035 in k26526 in chicken.condition#make-composite-condition in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in ... */
static void C_fcall f_26546(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(3,0,2)))){
C_save_and_reclaim_args((void *)trf_26546,3,t0,t1,t2);}
a=C_alloc(3);
if(C_truep(C_i_pairp(t2))){
t3=C_slot(t2,C_fix(0));
t4=C_slot(t3,C_fix(2));
t5=C_a_i_cons(&a,2,t4,C_SCHEME_END_OF_LIST);
t6=C_i_setslot(((C_word*)((C_word*)t0)[2])[1],C_fix(1),t5);
t7=C_mutate(((C_word *)((C_word*)t0)[2])+1,t5);
t8=C_slot(t2,C_fix(1));
t10=t1;
t11=t8;
t1=t10;
t2=t11;
goto loop;}
else{
t3=t1;{
C_word av2[2];
av2[0]=t3;
av2[1]=C_slot(((C_word*)t0)[4],C_fix(1));
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k26588 in chicken.condition#make-composite-condition in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in ... */
static void C_ccall f_26590(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_26590,2,av);}{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=*((C_word*)lf[254]+1);
av2[3]=t1;
C_apply(4,av2);}}

/* map-loop6008 in chicken.condition#make-composite-condition in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in ... */
static void C_fcall f_26592(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(3,0,2)))){
C_save_and_reclaim_args((void *)trf_26592,3,t0,t1,t2);}
a=C_alloc(3);
if(C_truep(C_i_pairp(t2))){
t3=C_slot(t2,C_fix(0));
t4=C_slot(t3,C_fix(1));
t5=C_a_i_cons(&a,2,t4,C_SCHEME_END_OF_LIST);
t6=C_i_setslot(((C_word*)((C_word*)t0)[2])[1],C_fix(1),t5);
t7=C_mutate(((C_word *)((C_word*)t0)[2])+1,t5);
t8=C_slot(t2,C_fix(1));
t10=t1;
t11=t8;
t1=t10;
t2=t11;
goto loop;}
else{
t3=t1;{
C_word av2[2];
av2[0]=t3;
av2[1]=C_slot(((C_word*)t0)[4],C_fix(1));
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* for-each-loop5990 in chicken.condition#make-composite-condition in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in ... */
static C_word C_fcall f_26626(C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_stack_overflow_check;
loop:{}
if(C_truep(C_i_pairp(t1))){
t2=C_slot(t1,C_fix(0));
t3=C_i_check_structure_2(t2,lf[904],lf[1023]);
t4=C_slot(t1,C_fix(1));
t6=t4;
t1=t6;
goto loop;}
else{
t2=C_SCHEME_UNDEFINED;
return(t2);}}

/* chicken.condition#condition in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in ... */
static void C_ccall f_26649(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +23,c,3)))){
C_save_and_reclaim((void*)f_26649,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+23);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
t4=C_a_i_cons(&a,2,t2,t3);
t5=t4;
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_26656,a[2]=t1,a[3]=t5,tmp=(C_word)a,a+=4,tmp);
t7=C_a_i_cons(&a,2,C_SCHEME_UNDEFINED,C_SCHEME_END_OF_LIST);
t8=t7;
t9=(*a=C_VECTOR_TYPE|1,a[1]=t8,tmp=(C_word)a,a+=2,tmp);
t10=((C_word*)t9)[1];
t11=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26718,a[2]=t6,tmp=(C_word)a,a+=3,tmp);
t12=C_SCHEME_UNDEFINED;
t13=(*a=C_VECTOR_TYPE|1,a[1]=t12,tmp=(C_word)a,a+=2,tmp);
t14=C_set_block_item(t13,0,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_26720,a[2]=t9,a[3]=t13,a[4]=t10,a[5]=((C_word)li791),tmp=(C_word)a,a+=6,tmp));
t15=((C_word*)t13)[1];
f_26720(t15,t11,t5);}

/* k26654 in chicken.condition#condition in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in ... */
static void C_ccall f_26656(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(17,c,3)))){
C_save_and_reclaim((void *)f_26656,2,av);}
a=C_alloc(17);
t2=t1;
t3=C_a_i_cons(&a,2,C_SCHEME_UNDEFINED,C_SCHEME_END_OF_LIST);
t4=t3;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=((C_word*)t5)[1];
t7=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_26666,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t8=C_SCHEME_UNDEFINED;
t9=(*a=C_VECTOR_TYPE|1,a[1]=t8,tmp=(C_word)a,a+=2,tmp);
t10=C_set_block_item(t9,0,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_26668,a[2]=t5,a[3]=t9,a[4]=t6,a[5]=((C_word)li790),tmp=(C_word)a,a+=6,tmp));
t11=((C_word*)t9)[1];
f_26668(t11,t7,((C_word*)t0)[3]);}

/* k26664 in k26654 in chicken.condition#condition in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in ... */
static void C_ccall f_26666(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_26666,2,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_record3(&a,3,lf[904],t1,((C_word*)t0)[3]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* map-loop6095 in k26654 in chicken.condition#condition in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in ... */
static void C_fcall f_26668(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(3,0,2)))){
C_save_and_reclaim_args((void *)trf_26668,3,t0,t1,t2);}
a=C_alloc(3);
if(C_truep(C_i_pairp(t2))){
t3=C_slot(t2,C_fix(0));
t4=C_i_car(t3);
t5=C_a_i_cons(&a,2,t4,C_SCHEME_END_OF_LIST);
t6=C_i_setslot(((C_word*)((C_word*)t0)[2])[1],C_fix(1),t5);
t7=C_mutate(((C_word *)((C_word*)t0)[2])+1,t5);
t8=C_slot(t2,C_fix(1));
t10=t1;
t11=t8;
t1=t10;
t2=t11;
goto loop;}
else{
t3=t1;{
C_word av2[2];
av2[0]=t3;
av2[1]=C_slot(((C_word*)t0)[4],C_fix(1));
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k26716 in chicken.condition#condition in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in ... */
static void C_ccall f_26718(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_26718,2,av);}{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=*((C_word*)lf[254]+1);
av2[3]=t1;
C_apply(4,av2);}}

/* map-loop6068 in chicken.condition#condition in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in ... */
static void C_fcall f_26720(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,4)))){
C_save_and_reclaim_args((void *)trf_26720,3,t0,t1,t2);}
a=C_alloc(6);
if(C_truep(C_i_pairp(t2))){
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_26745,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word*)t0)[3],a[5]=t1,tmp=(C_word)a,a+=6,tmp);
t4=C_slot(t2,C_fix(0));
t5=C_i_car(t4);
t6=C_u_i_cdr(t4);
/* library.scm:5224: prop-list->kind-prefixed-prop-list */
f_26427(t3,lf[904],t5,t6);}
else{
t3=t1;{
C_word av2[2];
av2[0]=t3;
av2[1]=C_slot(((C_word*)t0)[4],C_fix(1));
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k26743 in map-loop6068 in chicken.condition#condition in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in ... */
static void C_ccall f_26745(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_26745,2,av);}
a=C_alloc(3);
t2=C_a_i_cons(&a,2,t1,C_SCHEME_END_OF_LIST);
t3=C_i_setslot(((C_word*)((C_word*)t0)[2])[1],C_fix(1),t2);
t4=C_mutate(((C_word *)((C_word*)t0)[2])+1,t2);
t5=C_slot(((C_word*)t0)[3],C_fix(1));
t6=((C_word*)((C_word*)t0)[4])[1];
f_26720(t6,((C_word*)t0)[5],t5);}

/* chicken.condition#condition? in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in ... */
static void C_ccall f_26754(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_26754,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_structurep(t2,lf[904]);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.condition#condition->list in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in ... */
static void C_ccall f_26760(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,2)))){
C_save_and_reclaim((void *)f_26760,3,av);}
a=C_alloc(8);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_26764,a[2]=t2,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_26873,a[2]=t3,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:5232: condition? */
t5=C_fast_retrieve(lf[1025]);{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t5+1)))(3,av2);}}

/* k26762 in chicken.condition#condition->list in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in ... */
static void C_ccall f_26764(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(18,c,3)))){
C_save_and_reclaim((void *)f_26764,2,av);}
a=C_alloc(18);
t2=C_a_i_cons(&a,2,C_SCHEME_UNDEFINED,C_SCHEME_END_OF_LIST);
t3=t2;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=((C_word*)t4)[1];
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_26768,a[2]=((C_word*)t0)[2],a[3]=((C_word)li795),tmp=(C_word)a,a+=4,tmp);
t7=C_slot(((C_word*)t0)[2],C_fix(1));
t8=C_i_check_list_2(t7,lf[685]);
t9=C_SCHEME_UNDEFINED;
t10=(*a=C_VECTOR_TYPE|1,a[1]=t9,tmp=(C_word)a,a+=2,tmp);
t11=C_set_block_item(t10,0,(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_26838,a[2]=t4,a[3]=t10,a[4]=t6,a[5]=t5,a[6]=((C_word)li796),tmp=(C_word)a,a+=7,tmp));
t12=((C_word*)t10)[1];
f_26838(t12,((C_word*)t0)[3],t7);}

/* g6131 in k26762 in chicken.condition#condition->list in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in ... */
static void C_fcall f_26768(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,0,3)))){
C_save_and_reclaim_args((void *)trf_26768,3,t0,t1,t2);}
a=C_alloc(11);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_26776,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=C_slot(((C_word*)t0)[2],C_fix(2));
t5=C_SCHEME_UNDEFINED;
t6=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t7=C_set_block_item(t6,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_26782,a[2]=t2,a[3]=t6,a[4]=((C_word)li794),tmp=(C_word)a,a+=5,tmp));
t8=((C_word*)t6)[1];
f_26782(t8,t3,t4);}

/* k26774 in g6131 in k26762 in chicken.condition#condition->list in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in ... */
static void C_ccall f_26776(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_26776,2,av);}
a=C_alloc(3);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_cons(&a,2,((C_word*)t0)[3],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* loop in g6131 in k26762 in chicken.condition#condition->list in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in ... */
static void C_fcall f_26782(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(5,0,2)))){
C_save_and_reclaim_args((void *)trf_26782,3,t0,t1,t2);}
a=C_alloc(5);
if(C_truep(C_i_nullp(t2))){
t3=t1;{
C_word av2[2];
av2[0]=t3;
av2[1]=C_SCHEME_END_OF_LIST;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
t3=C_i_caar(t2);
t4=C_eqp(t3,((C_word*)t0)[2]);
if(C_truep(t4)){
t5=t2;
t6=C_u_i_car(t5);
t7=C_u_i_cdr(t6);
t8=C_i_cadr(t2);
t9=t8;
t10=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_26813,a[2]=t9,a[3]=t1,a[4]=t7,tmp=(C_word)a,a+=5,tmp);
t11=t2;
t12=C_u_i_cdr(t11);
t13=C_u_i_cdr(t12);
/* library.scm:5242: loop */
t15=t10;
t16=t13;
t1=t15;
t2=t16;
goto loop;}
else{
t5=C_i_cddr(t2);
/* library.scm:5244: loop */
t15=t1;
t16=t5;
t1=t15;
t2=t16;
goto loop;}}}

/* k26811 in loop in g6131 in k26762 in chicken.condition#condition->list in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in ... */
static void C_ccall f_26813(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,1)))){
C_save_and_reclaim((void *)f_26813,2,av);}
a=C_alloc(6);
t2=C_a_i_cons(&a,2,((C_word*)t0)[2],t1);
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_a_i_cons(&a,2,((C_word*)t0)[4],t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* map-loop6125 in k26762 in chicken.condition#condition->list in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in ... */
static void C_fcall f_26838(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,2)))){
C_save_and_reclaim_args((void *)trf_26838,3,t0,t1,t2);}
a=C_alloc(6);
if(C_truep(C_i_pairp(t2))){
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_26863,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word*)t0)[3],a[5]=t1,tmp=(C_word)a,a+=6,tmp);
t4=C_slot(t2,C_fix(0));
/* library.scm:5236: g6131 */
t5=((C_word*)t0)[4];
f_26768(t5,t3,t4);}
else{
t3=t1;{
C_word av2[2];
av2[0]=t3;
av2[1]=C_slot(((C_word*)t0)[5],C_fix(1));
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k26861 in map-loop6125 in k26762 in chicken.condition#condition->list in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in ... */
static void C_ccall f_26863(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_26863,2,av);}
a=C_alloc(3);
t2=C_a_i_cons(&a,2,t1,C_SCHEME_END_OF_LIST);
t3=C_i_setslot(((C_word*)((C_word*)t0)[2])[1],C_fix(1),t2);
t4=C_mutate(((C_word *)((C_word*)t0)[2])+1,t2);
t5=C_slot(((C_word*)t0)[3],C_fix(1));
t6=((C_word*)((C_word*)t0)[4])[1];
f_26838(t6,((C_word*)t0)[5],t5);}

/* k26871 in chicken.condition#condition->list in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in ... */
static void C_ccall f_26873(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,5)))){
C_save_and_reclaim((void *)f_26873,2,av);}
if(C_truep(t1)){
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_SCHEME_UNDEFINED;
f_26764(2,av2);}}
else{
/* library.scm:5233: ##sys#signal-hook */
t2=C_fast_retrieve(lf[194]);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[258];
av2[3]=lf[1027];
av2[4]=lf[1028];
av2[5]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(6,av2);}}}

/* chicken.condition#condition-predicate in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in ... */
static void C_ccall f_26878(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_26878,3,av);}
a=C_alloc(4);
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_26880,a[2]=t2,a[3]=((C_word)li798),tmp=(C_word)a,a+=4,tmp);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* f_26880 in chicken.condition#condition-predicate in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in ... */
static void C_ccall f_26880(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_26880,3,av);}
a=C_alloc(5);
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_26887,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
/* library.scm:5249: condition? */
t4=C_fast_retrieve(lf[1025]);{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k26885 */
static void C_ccall f_26887(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_26887,2,av);}
if(C_truep(t1)){
t2=C_slot(((C_word*)t0)[2],C_fix(1));
t3=C_i_memv(((C_word*)t0)[3],t2);
t4=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t4;
av2[1]=(C_truep(t3)?C_SCHEME_TRUE:C_SCHEME_FALSE);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t2=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}}

/* chicken.condition#condition-property-accessor in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in ... */
static void C_ccall f_26899(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c<4) C_bad_min_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-4)*C_SIZEOF_PAIR +11,c,3)))){
C_save_and_reclaim((void*)f_26899,c,av);}
a=C_alloc((c-4)*C_SIZEOF_PAIR+11);
t4=C_build_rest(&a,c,4,av);
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
t5=C_i_nullp(t4);
t6=t5;
t7=C_a_i_cons(&a,2,t2,t3);
t8=t7;
t9=t1;{
C_word *av2=av;
av2[0]=t9;
av2[1]=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_26907,a[2]=t2,a[3]=t8,a[4]=t6,a[5]=t3,a[6]=t4,a[7]=((C_word)li800),tmp=(C_word)a,a+=8,tmp);
((C_proc)(void*)(*((C_word*)t9+1)))(2,av2);}}

/* f_26907 in chicken.condition#condition-property-accessor in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in ... */
static void C_ccall f_26907(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,5)))){
C_save_and_reclaim((void *)f_26907,3,av);}
t3=C_i_check_structure(t2,lf[904]);
t4=C_slot(t2,C_fix(1));
if(C_truep(C_i_memv(((C_word*)t0)[2],t4))){
t5=C_slot(t2,C_fix(2));
t6=C_i_member(((C_word*)t0)[3],t5);
if(C_truep(t6)){
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=C_i_cadr(t6);
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
if(C_truep(((C_word*)t0)[4])){
/* library.scm:5260: ##sys#signal-hook */
t7=C_fast_retrieve(lf[194]);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t7;
av2[1]=t1;
av2[2]=lf[258];
av2[3]=lf[1031];
av2[4]=lf[1032];
av2[5]=((C_word*)t0)[5];
((C_proc)(void*)(*((C_word*)t7+1)))(6,av2);}}
else{
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=C_i_car(((C_word*)t0)[6]);
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}}}
else{
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* chicken.condition#get-condition-property in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in ... */
static void C_ccall f_26945(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word *a;
if(c<5) C_bad_min_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-5)*C_SIZEOF_PAIR +4,c,5)))){
C_save_and_reclaim((void*)f_26945,c,av);}
a=C_alloc((c-5)*C_SIZEOF_PAIR+4);
t5=C_build_rest(&a,c,5,av);
C_word t6;
C_word t7;
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_26949,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=0;
av2[1]=t6;
av2[2]=C_fast_retrieve(lf[1030]);
av2[3]=t3;
av2[4]=t4;
av2[5]=t5;
C_apply(6,av2);}}

/* k26947 in chicken.condition#get-condition-property in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in ... */
static void C_ccall f_26949(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_26949,2,av);}
/* library.scm:5266: g6180 */
t2=t1;{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
((C_proc)C_fast_retrieve_proc(t2))(3,av2);}}

/* k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in ... */
static void C_ccall f_26956(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,4)))){
C_save_and_reclaim((void *)f_26956,2,av);}
a=C_alloc(4);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_26959,a[2]=t2,a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
/* library.scm:5278: condition-property-accessor */
t4=C_fast_retrieve(lf[1030]);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=lf[1003];
av2[3]=lf[841];
av2[4]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t4+1)))(5,av2);}}

/* k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in ... */
static void C_ccall f_26959(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,4)))){
C_save_and_reclaim((void *)f_26959,2,av);}
a=C_alloc(5);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_26962,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
/* library.scm:5279: condition-property-accessor */
t4=C_fast_retrieve(lf[1030]);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=lf[1003];
av2[3]=lf[1364];
av2[4]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t4+1)))(5,av2);}}

/* k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in ... */
static void C_ccall f_26962(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word t19;
C_word t20;
C_word t21;
C_word t22;
C_word t23;
C_word t24;
C_word t25;
C_word t26;
C_word t27;
C_word t28;
C_word t29;
C_word t30;
C_word t31;
C_word t32;
C_word t33;
C_word t34;
C_word t35;
C_word t36;
C_word t37;
C_word t38;
C_word t39;
C_word t40;
C_word t41;
C_word t42;
C_word t43;
C_word t44;
C_word t45;
C_word t46;
C_word t47;
C_word t48;
C_word t49;
C_word t50;
C_word t51;
C_word t52;
C_word t53;
C_word t54;
C_word t55;
C_word t56;
C_word t57;
C_word t58;
C_word t59;
C_word t60;
C_word t61;
C_word t62;
C_word t63;
C_word t64;
C_word t65;
C_word t66;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(182,c,7)))){
C_save_and_reclaim((void *)f_26962,2,av);}
a=C_alloc(182);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26963,a[2]=((C_word)li806),tmp=(C_word)a,a+=3,tmp);
t4=C_mutate((C_word*)lf[1034]+1 /* (set! chicken.condition#print-error-message ...) */,(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_27008,a[2]=t3,a[3]=t2,a[4]=((C_word*)t0)[2],a[5]=((C_word*)t0)[3],a[6]=((C_word)li811),tmp=(C_word)a,a+=7,tmp));
t5=C_fast_retrieve(lf[1034]);
t6=*((C_word*)lf[187]+1);
t7=*((C_word*)lf[213]+1);
t8=*((C_word*)lf[211]+1);
t9=C_mutate((C_word*)lf[1046]+1 /* (set! ##sys#show-exception-warning ...) */,(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_27199,a[2]=t6,a[3]=t5,a[4]=t8,a[5]=t7,a[6]=((C_word)li812),tmp=(C_word)a,a+=7,tmp));
t10=C_mutate((C_word*)lf[362]+1 /* (set! ##sys#error-hook ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_27248,a[2]=((C_word)li813),tmp=(C_word)a,a+=3,tmp));
t11=C_mutate((C_word*)lf[1107]+1 /* (set! ##sys#structure? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_27904,a[2]=((C_word)li814),tmp=(C_word)a,a+=3,tmp));
t12=C_mutate((C_word*)lf[1108]+1 /* (set! ##sys#generic-structure? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_27907,a[2]=((C_word)li815),tmp=(C_word)a,a+=3,tmp));
t13=C_mutate((C_word*)lf[1109]+1 /* (set! ##sys#slot ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_27910,a[2]=((C_word)li816),tmp=(C_word)a,a+=3,tmp));
t14=C_mutate((C_word*)lf[1110]+1 /* (set! ##sys#size ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_27913,a[2]=((C_word)li817),tmp=(C_word)a,a+=3,tmp));
t15=C_mutate((C_word*)lf[1111]+1 /* (set! ##sys#make-pointer ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_make_pointer,a[2]=((C_word)li818),tmp=(C_word)a,a+=3,tmp));
t16=C_mutate((C_word*)lf[1112]+1 /* (set! ##sys#make-tagged-pointer ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_make_tagged_pointer,a[2]=((C_word)li819),tmp=(C_word)a,a+=3,tmp));
t17=C_mutate((C_word*)lf[1113]+1 /* (set! ##sys#pointer? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_27918,a[2]=((C_word)li820),tmp=(C_word)a,a+=3,tmp));
t18=C_mutate((C_word*)lf[1114]+1 /* (set! ##sys#set-pointer-address! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_27921,a[2]=((C_word)li821),tmp=(C_word)a,a+=3,tmp));
t19=C_mutate((C_word*)lf[1115]+1 /* (set! ##sys#bytevector? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_27924,a[2]=((C_word)li822),tmp=(C_word)a,a+=3,tmp));
t20=C_mutate((C_word*)lf[1116]+1 /* (set! ##sys#string->pbytevector ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_27927,a[2]=((C_word)li823),tmp=(C_word)a,a+=3,tmp));
t21=C_mutate((C_word*)lf[1117]+1 /* (set! ##sys#permanent? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_27930,a[2]=((C_word)li824),tmp=(C_word)a,a+=3,tmp));
t22=C_mutate((C_word*)lf[1118]+1 /* (set! ##sys#block-address ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_27933,a[2]=((C_word)li825),tmp=(C_word)a,a+=3,tmp));
t23=C_mutate((C_word*)lf[1119]+1 /* (set! ##sys#locative? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_27936,a[2]=((C_word)li826),tmp=(C_word)a,a+=3,tmp));
t24=C_mutate((C_word*)lf[1120]+1 /* (set! ##sys#srfi-4-vector? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_27939,a[2]=((C_word)li827),tmp=(C_word)a,a+=3,tmp));
t25=C_mutate((C_word*)lf[1122]+1 /* (set! ##sys#null-pointer ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_27956,a[2]=((C_word)li828),tmp=(C_word)a,a+=3,tmp));
t26=C_mutate((C_word*)lf[1123]+1 /* (set! ##sys#null-pointer? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_27962,a[2]=((C_word)li829),tmp=(C_word)a,a+=3,tmp));
t27=C_mutate((C_word*)lf[1124]+1 /* (set! ##sys#address->pointer ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_27972,a[2]=((C_word)li830),tmp=(C_word)a,a+=3,tmp));
t28=C_mutate((C_word*)lf[933]+1 /* (set! ##sys#pointer->address ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_27978,a[2]=((C_word)li831),tmp=(C_word)a,a+=3,tmp));
t29=C_mutate((C_word*)lf[742]+1 /* (set! ##sys#make-c-string ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_27985,a[2]=((C_word)li832),tmp=(C_word)a,a+=3,tmp));
t30=C_mutate((C_word*)lf[1125]+1 /* (set! ##sys#peek-signed-integer ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_peek_signed_integer,a[2]=((C_word)li833),tmp=(C_word)a,a+=3,tmp));
t31=C_mutate((C_word*)lf[720]+1 /* (set! ##sys#peek-unsigned-integer ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_peek_unsigned_integer,a[2]=((C_word)li834),tmp=(C_word)a,a+=3,tmp));
t32=C_mutate((C_word*)lf[1126]+1 /* (set! ##sys#peek-fixnum ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28020,a[2]=((C_word)li835),tmp=(C_word)a,a+=3,tmp));
t33=C_mutate((C_word*)lf[1127]+1 /* (set! ##sys#peek-byte ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28023,a[2]=((C_word)li836),tmp=(C_word)a,a+=3,tmp));
t34=C_mutate((C_word*)lf[1128]+1 /* (set! ##sys#vector->structure! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28026,a[2]=((C_word)li837),tmp=(C_word)a,a+=3,tmp));
t35=C_mutate((C_word*)lf[1129]+1 /* (set! ##sys#peek-double ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28029,a[2]=((C_word)li838),tmp=(C_word)a,a+=3,tmp));
t36=C_mutate((C_word*)lf[699]+1 /* (set! ##sys#peek-c-string ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28032,a[2]=((C_word)li839),tmp=(C_word)a,a+=3,tmp));
t37=C_mutate((C_word*)lf[937]+1 /* (set! ##sys#peek-nonnull-c-string ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28048,a[2]=((C_word)li840),tmp=(C_word)a,a+=3,tmp));
t38=C_mutate((C_word*)lf[1130]+1 /* (set! ##sys#peek-and-free-c-string ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28054,a[2]=((C_word)li841),tmp=(C_word)a,a+=3,tmp));
t39=C_mutate((C_word*)lf[1131]+1 /* (set! ##sys#peek-and-free-nonnull-c-string ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28070,a[2]=((C_word)li842),tmp=(C_word)a,a+=3,tmp));
t40=C_mutate((C_word*)lf[1132]+1 /* (set! ##sys#poke-c-string ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28076,a[2]=((C_word)li843),tmp=(C_word)a,a+=3,tmp));
t41=C_mutate((C_word*)lf[1133]+1 /* (set! ##sys#poke-integer ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28083,a[2]=((C_word)li844),tmp=(C_word)a,a+=3,tmp));
t42=C_mutate((C_word*)lf[1134]+1 /* (set! ##sys#poke-double ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28086,a[2]=((C_word)li845),tmp=(C_word)a,a+=3,tmp));
t43=C_mutate((C_word*)lf[1135]+1 /* (set! ##sys#peek-c-string-list ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28106,a[2]=((C_word)li847),tmp=(C_word)a,a+=3,tmp));
t44=C_mutate((C_word*)lf[1136]+1 /* (set! ##sys#peek-and-free-c-string-list ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28167,a[2]=((C_word)li849),tmp=(C_word)a,a+=3,tmp));
t45=C_mutate((C_word*)lf[1137]+1 /* (set! ##sys#vector->closure! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28205,a[2]=((C_word)li850),tmp=(C_word)a,a+=3,tmp));
t46=C_mutate((C_word*)lf[1138]+1 /* (set! ##sys#symbol-has-toplevel-binding? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28208,a[2]=((C_word)li851),tmp=(C_word)a,a+=3,tmp));
t47=C_mutate((C_word*)lf[915]+1 /* (set! ##sys#copy-bytes ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28211,a[2]=((C_word)li852),tmp=(C_word)a,a+=3,tmp));
t48=C_mutate((C_word*)lf[1139]+1 /* (set! ##sys#copy-words ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28218,a[2]=((C_word)li853),tmp=(C_word)a,a+=3,tmp));
t49=C_mutate((C_word*)lf[1140]+1 /* (set! ##sys#compare-bytes ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28225,a[2]=((C_word)li854),tmp=(C_word)a,a+=3,tmp));
t50=C_mutate((C_word*)lf[1141]+1 /* (set! ##sys#block-pointer ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28228,a[2]=((C_word)li855),tmp=(C_word)a,a+=3,tmp));
t51=C_mutate((C_word*)lf[1142]+1 /* (set! ##sys#foreign-char-argument ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28234,a[2]=((C_word)li856),tmp=(C_word)a,a+=3,tmp));
t52=C_mutate((C_word*)lf[1143]+1 /* (set! ##sys#foreign-fixnum-argument ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28237,a[2]=((C_word)li857),tmp=(C_word)a,a+=3,tmp));
t53=C_mutate((C_word*)lf[1144]+1 /* (set! ##sys#foreign-flonum-argument ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28240,a[2]=((C_word)li858),tmp=(C_word)a,a+=3,tmp));
t54=C_mutate((C_word*)lf[1145]+1 /* (set! ##sys#foreign-block-argument ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28243,a[2]=((C_word)li859),tmp=(C_word)a,a+=3,tmp));
t55=C_mutate((C_word*)lf[1146]+1 /* (set! ##sys#foreign-struct-wrapper-argument ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28246,a[2]=((C_word)li860),tmp=(C_word)a,a+=3,tmp));
t56=C_mutate((C_word*)lf[1147]+1 /* (set! ##sys#foreign-string-argument ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28249,a[2]=((C_word)li861),tmp=(C_word)a,a+=3,tmp));
t57=C_mutate((C_word*)lf[1148]+1 /* (set! ##sys#foreign-symbol-argument ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28252,a[2]=((C_word)li862),tmp=(C_word)a,a+=3,tmp));
t58=C_mutate((C_word*)lf[1149]+1 /* (set! ##sys#foreign-pointer-argument ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28255,a[2]=((C_word)li863),tmp=(C_word)a,a+=3,tmp));
t59=C_mutate((C_word*)lf[1150]+1 /* (set! ##sys#foreign-tagged-pointer-argument ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28258,a[2]=((C_word)li864),tmp=(C_word)a,a+=3,tmp));
t60=C_mutate((C_word*)lf[1151]+1 /* (set! ##sys#foreign-ranged-integer-argument ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28261,a[2]=((C_word)li865),tmp=(C_word)a,a+=3,tmp));
t61=C_mutate((C_word*)lf[1152]+1 /* (set! ##sys#foreign-unsigned-ranged-integer-argument ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28264,a[2]=((C_word)li866),tmp=(C_word)a,a+=3,tmp));
t62=C_set_block_item(lf[1153] /* ##sys#default-thread-quantum */,0,C_fix(10000));
t63=C_mutate((C_word*)lf[1154]+1 /* (set! ##sys#default-exception-handler ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28268,a[2]=((C_word)li867),tmp=(C_word)a,a+=3,tmp));
t64=C_mutate((C_word*)lf[1156]+1 /* (set! ##sys#make-thread ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28271,a[2]=((C_word)li868),tmp=(C_word)a,a+=3,tmp));
t65=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28295,a[2]=((C_word*)t0)[4],tmp=(C_word)a,a+=3,tmp);
/* library.scm:5637: ##sys#make-thread */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[1156]);
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[1156]+1);
av2[1]=t65;
av2[2]=C_SCHEME_FALSE;
av2[3]=lf[1362];
av2[4]=lf[1363];
av2[5]=C_fast_retrieve(lf[1153]);
tp(6,av2);}}

/* writeargs in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in ... */
static void C_fcall f_26963(C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,0,3)))){
C_save_and_reclaim_args((void *)trf_26963,3,t1,t2,t3);}
a=C_alloc(11);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_26965,a[2]=t3,a[3]=((C_word)li804),tmp=(C_word)a,a+=4,tmp);
t5=C_i_check_list_2(t2,lf[683]);
t6=C_SCHEME_UNDEFINED;
t7=(*a=C_VECTOR_TYPE|1,a[1]=t6,tmp=(C_word)a,a+=2,tmp);
t8=C_set_block_item(t7,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_26986,a[2]=t7,a[3]=t4,a[4]=((C_word)li805),tmp=(C_word)a,a+=5,tmp));
t9=((C_word*)t7)[1];
f_26986(t9,t1,t2);}

/* g6196 in writeargs in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in ... */
static void C_fcall f_26965(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,0,3)))){
C_save_and_reclaim_args((void *)trf_26965,3,t0,t1,t2);}
a=C_alloc(9);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_26969,a[2]=t1,a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_26974,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word)li803),tmp=(C_word)a,a+=5,tmp);
/* library.scm:5284: ##sys#with-print-length-limit */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[914]);
C_word av2[4];
av2[0]=*((C_word*)lf[914]+1);
av2[1]=t3;
av2[2]=C_fix(80);
av2[3]=t4;
tp(4,av2);}}

/* k26967 in g6196 in writeargs in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in ... */
static void C_ccall f_26969(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_26969,2,av);}
/* library.scm:5285: newline */
t2=*((C_word*)lf[151]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* a26973 in g6196 in writeargs in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in ... */
static void C_ccall f_26974(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_26974,2,av);}
/* library.scm:5284: write */
t2=*((C_word*)lf[152]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t2;
av2[1]=t1;
av2[2]=((C_word*)t0)[2];
av2[3]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* for-each-loop6195 in writeargs in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in ... */
static void C_fcall f_26986(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,2)))){
C_save_and_reclaim_args((void *)trf_26986,3,t0,t1,t2);}
a=C_alloc(5);
if(C_truep(C_i_pairp(t2))){
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_26996,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
t4=C_slot(t2,C_fix(0));
/* library.scm:5282: g6196 */
t5=((C_word*)t0)[3];
f_26965(t5,t3,t4);}
else{
t3=C_SCHEME_UNDEFINED;
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* k26994 in for-each-loop6195 in writeargs in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in ... */
static void C_ccall f_26996(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_26996,2,av);}
t2=C_slot(((C_word*)t0)[2],C_fix(1));
t3=((C_word*)((C_word*)t0)[3])[1];
f_26986(t3,((C_word*)t0)[4],t2);}

/* chicken.condition#print-error-message in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in ... */
static void C_ccall f_27008(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +16,c,4)))){
C_save_and_reclaim((void*)f_27008,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+16);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
t4=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_27010,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t2,a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],a[7]=((C_word)li808),tmp=(C_word)a,a+=8,tmp);
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_27159,a[2]=t4,a[3]=((C_word)li809),tmp=(C_word)a,a+=4,tmp);
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_27164,a[2]=t5,a[3]=((C_word)li810),tmp=(C_word)a,a+=4,tmp);
if(C_truep(C_i_nullp(t3))){
/* library.scm:5288: def-port6218 */
t7=t6;
f_27164(t7,t1);}
else{
t7=C_i_car(t3);
t8=C_u_i_cdr(t3);
if(C_truep(C_i_nullp(t8))){
/* library.scm:5288: def-header6219 */
t9=t5;
f_27159(t9,t1,t7);}
else{
t9=C_i_car(t8);
t10=C_u_i_cdr(t8);
/* library.scm:5288: body6216 */
t11=t4;
f_27010(t11,t1,t7,t9);}}}

/* body6216 in chicken.condition#print-error-message in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in ... */
static void C_fcall f_27010(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,0,2)))){
C_save_and_reclaim_args((void *)trf_27010,4,t0,t1,t2,t3);}
a=C_alloc(10);
t4=t2;
t5=C_i_check_port_2(t4,C_fix(2),C_SCHEME_TRUE,lf[1035]);
t6=(*a=C_CLOSURE_TYPE|9,a[1]=(C_word)f_27017,a[2]=t1,a[3]=((C_word*)t0)[2],a[4]=t2,a[5]=((C_word*)t0)[3],a[6]=((C_word*)t0)[4],a[7]=((C_word*)t0)[5],a[8]=((C_word*)t0)[6],a[9]=t3,tmp=(C_word)a,a+=10,tmp);
/* library.scm:5291: newline */
t7=*((C_word*)lf[151]+1);{
C_word av2[3];
av2[0]=t7;
av2[1]=t6;
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t7+1)))(3,av2);}}

/* k27015 in body6216 in chicken.condition#print-error-message in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in ... */
static void C_ccall f_27017(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,3)))){
C_save_and_reclaim((void *)f_27017,2,av);}
a=C_alloc(9);
t2=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_27020,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=((C_word*)t0)[8],tmp=(C_word)a,a+=9,tmp);
/* library.scm:5292: display */
t3=*((C_word*)lf[153]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[9];
av2[3]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* k27018 in k27015 in body6216 in chicken.condition#print-error-message in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in ... */
static void C_ccall f_27020(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,2)))){
C_save_and_reclaim((void *)f_27020,2,av);}
a=C_alloc(9);
t2=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_27026,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=((C_word*)t0)[8],tmp=(C_word)a,a+=9,tmp);
t3=C_immp(((C_word*)t0)[6]);
if(C_truep(C_i_not(t3))){
t4=C_slot(((C_word*)t0)[6],C_fix(0));
t5=t2;
f_27026(t5,C_eqp(lf[904],t4));}
else{
t4=t2;
f_27026(t4,C_SCHEME_FALSE);}}

/* k27024 in k27018 in k27015 in body6216 in chicken.condition#print-error-message in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in ... */
static void C_fcall f_27026(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,0,3)))){
C_save_and_reclaim_args((void *)trf_27026,2,t0,t1);}
a=C_alloc(8);
if(C_truep(t1)){
t2=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_27029,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],tmp=(C_word)a,a+=8,tmp);
/* library.scm:5294: errmsg */
t3=((C_word*)t0)[8];{
C_word av2[3];
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[6];
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}
else{
if(C_truep(C_i_stringp(((C_word*)t0)[6]))){
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_27128,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[6],tmp=(C_word)a,a+=5,tmp);
/* library.scm:5318: display */
t3=*((C_word*)lf[153]+1);{
C_word av2[4];
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[1043];
av2[3]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}
else{
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_27137,a[2]=((C_word*)t0)[6],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[2],a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
/* library.scm:5322: display */
t3=*((C_word*)lf[153]+1);{
C_word av2[4];
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[1044];
av2[3]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}}}

/* k27027 in k27024 in k27018 in k27015 in body6216 in chicken.condition#print-error-message in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in ... */
static void C_ccall f_27029(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(13,c,3)))){
C_save_and_reclaim((void *)f_27029,2,av);}
a=C_alloc(13);
t2=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_27032,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],tmp=(C_word)a,a+=7,tmp);
if(C_truep(t1)){
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_27064,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[7],a[4]=((C_word*)t0)[6],a[5]=((C_word)li807),tmp=(C_word)a,a+=6,tmp);
/* library.scm:5294: g6239 */
t4=t3;
f_27064(t4,t2,t1);}
else{
t3=C_slot(((C_word*)t0)[6],C_fix(1));
if(C_truep(C_i_equalp(lf[1040],t3))){
/* library.scm:5304: display */
t4=*((C_word*)lf[153]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t4;
av2[1]=t2;
av2[2]=lf[1041];
av2[3]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t4+1)))(4,av2);}}
else{
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_27112,a[2]=((C_word*)t0)[6],a[3]=t2,a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:5306: display */
t5=*((C_word*)lf[153]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t5;
av2[1]=t4;
av2[2]=lf[1042];
av2[3]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t5+1)))(4,av2);}}}}

/* k27030 in k27027 in k27024 in k27018 in k27015 in body6216 in chicken.condition#print-error-message in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in ... */
static void C_ccall f_27032(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_27032,2,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_27035,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:5308: errargs */
t3=((C_word*)t0)[5];{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[6];
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}

/* k27033 in k27030 in k27027 in k27024 in k27018 in k27015 in body6216 in chicken.condition#print-error-message in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in ... */
static void C_ccall f_27035(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,3)))){
C_save_and_reclaim((void *)f_27035,2,av);}
a=C_alloc(6);
t2=t1;
t3=C_i_not(t2);
if(C_truep(t3)){
t4=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t4=C_i_length(t2);
t5=C_eqp(C_fix(1),t4);
if(C_truep(t5)){
t6=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_27050,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[2],a[4]=t2,a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
/* library.scm:5312: display */
t7=*((C_word*)lf[153]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t7;
av2[1]=t6;
av2[2]=lf[1036];
av2[3]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t7+1)))(4,av2);}}
else{
t6=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_27056,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[2],a[4]=t2,a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
/* library.scm:5315: newline */
t7=*((C_word*)lf[151]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t7;
av2[1]=t6;
av2[2]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t7+1)))(3,av2);}}}}

/* k27048 in k27033 in k27030 in k27027 in k27024 in k27018 in k27015 in body6216 in chicken.condition#print-error-message in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in ... */
static void C_ccall f_27050(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_27050,2,av);}
/* library.scm:5313: writeargs */
f_26963(((C_word*)t0)[3],((C_word*)t0)[4],((C_word*)t0)[5]);}

/* k27054 in k27033 in k27030 in k27027 in k27024 in k27018 in k27015 in body6216 in chicken.condition#print-error-message in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in ... */
static void C_ccall f_27056(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_27056,2,av);}
/* library.scm:5316: writeargs */
f_26963(((C_word*)t0)[3],((C_word*)t0)[4],((C_word*)t0)[5]);}

/* g6239 in k27027 in k27024 in k27018 in k27015 in body6216 in chicken.condition#print-error-message in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in ... */
static void C_fcall f_27064(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,0,3)))){
C_save_and_reclaim_args((void *)trf_27064,3,t0,t1,t2);}
a=C_alloc(7);
t3=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_27068,a[2]=t1,a[3]=t2,a[4]=((C_word*)t0)[2],a[5]=((C_word*)t0)[3],a[6]=((C_word*)t0)[4],tmp=(C_word)a,a+=7,tmp);
/* library.scm:5296: display */
t4=*((C_word*)lf[153]+1);{
C_word av2[4];
av2[0]=t4;
av2[1]=t3;
av2[2]=lf[1039];
av2[3]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t4+1)))(4,av2);}}

/* k27066 in g6239 in k27027 in k27024 in k27018 in k27015 in body6216 in chicken.condition#print-error-message in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in ... */
static void C_ccall f_27068(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_27068,2,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_27071,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:5297: errloc */
t3=((C_word*)t0)[5];{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[6];
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}

/* k27069 in k27066 in g6239 in k27027 in k27024 in k27018 in k27015 in body6216 in chicken.condition#print-error-message in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in ... */
static void C_ccall f_27071(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(12,c,3)))){
C_save_and_reclaim((void *)f_27071,2,av);}
a=C_alloc(12);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_27074,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
t3=(C_truep(t1)?C_i_symbolp(t1):C_SCHEME_FALSE);
if(C_truep(t3)){
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_27087,a[2]=t2,a[3]=((C_word*)t0)[4],tmp=(C_word)a,a+=4,tmp);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_27091,a[2]=t4,tmp=(C_word)a,a+=3,tmp);
/* library.scm:5299: ##sys#symbol->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[629]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[629]+1);
av2[1]=t5;
av2[2]=t1;
tp(3,av2);}}
else{
/* library.scm:5300: display */
t4=*((C_word*)lf[153]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t4;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t4+1)))(4,av2);}}}

/* k27072 in k27069 in k27066 in g6239 in k27027 in k27024 in k27018 in k27015 in body6216 in chicken.condition#print-error-message in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in ... */
static void C_ccall f_27074(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_27074,2,av);}
/* library.scm:5300: display */
t2=*((C_word*)lf[153]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* k27085 in k27069 in k27066 in g6239 in k27027 in k27024 in k27018 in k27015 in body6216 in chicken.condition#print-error-message in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in ... */
static void C_ccall f_27087(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_27087,2,av);}
/* library.scm:5299: display */
t2=*((C_word*)lf[153]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
av2[3]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* k27089 in k27069 in k27066 in g6239 in k27027 in k27024 in k27018 in k27015 in body6216 in chicken.condition#print-error-message in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in ... */
static void C_ccall f_27091(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_27091,2,av);}
/* library.scm:5299: string-append */
t2=*((C_word*)lf[413]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[1037];
av2[3]=t1;
av2[4]=lf[1038];
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}

/* k27110 in k27027 in k27024 in k27018 in k27015 in body6216 in chicken.condition#print-error-message in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in ... */
static void C_ccall f_27112(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_27112,2,av);}
t2=C_slot(((C_word*)t0)[2],C_fix(1));
/* library.scm:5307: display */
t3=*((C_word*)lf[153]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=((C_word*)t0)[3];
av2[2]=t2;
av2[3]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* k27126 in k27024 in k27018 in k27015 in body6216 in chicken.condition#print-error-message in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in ... */
static void C_ccall f_27128(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_27128,2,av);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_27131,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:5319: display */
t3=*((C_word*)lf[153]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[4];
av2[3]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* k27129 in k27126 in k27024 in k27018 in k27015 in body6216 in chicken.condition#print-error-message in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in ... */
static void C_ccall f_27131(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_27131,2,av);}
/* library.scm:5320: newline */
t2=*((C_word*)lf[151]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* k27135 in k27024 in k27018 in k27015 in body6216 in chicken.condition#print-error-message in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in ... */
static void C_ccall f_27137(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_27137,2,av);}
a=C_alloc(3);
t2=C_a_i_list1(&a,1,((C_word*)t0)[2]);
/* library.scm:5323: writeargs */
f_26963(((C_word*)t0)[4],t2,((C_word*)t0)[5]);}

/* def-header6219 in chicken.condition#print-error-message in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in ... */
static void C_fcall f_27159(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,0,3)))){
C_save_and_reclaim_args((void *)trf_27159,3,t0,t1,t2);}
/* library.scm:5288: body6216 */
t3=((C_word*)t0)[2];
f_27010(t3,t1,t2,lf[1045]);}

/* def-port6218 in chicken.condition#print-error-message in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in ... */
static void C_fcall f_27164(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,0,2)))){
C_save_and_reclaim_args((void *)trf_27164,2,t0,t1);}
/* library.scm:5288: def-header6219 */
t2=((C_word*)t0)[2];
f_27159(t2,t1,*((C_word*)lf[711]+1));}

/* ##sys#show-exception-warning in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in ... */
static void C_ccall f_27199(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c<4) C_bad_min_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-4)*C_SIZEOF_PAIR +9,c,2)))){
C_save_and_reclaim((void*)f_27199,c,av);}
a=C_alloc((c-4)*C_SIZEOF_PAIR+9);
t4=C_build_rest(&a,c,4,av);
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
t5=C_i_nullp(t4);
t6=(C_truep(t5)?C_fast_retrieve(lf[936]):C_i_car(t4));
t7=t6;
if(C_truep(*((C_word*)lf[304]+1))){
t8=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_27209,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=t7,a[5]=((C_word*)t0)[3],a[6]=t2,a[7]=((C_word*)t0)[4],a[8]=t3,tmp=(C_word)a,a+=9,tmp);
/* library.scm:5338: open-output-string */
t9=((C_word*)t0)[5];{
C_word *av2=av;
av2[0]=t9;
av2[1]=t8;
((C_proc)(void*)(*((C_word*)t9+1)))(2,av2);}}
else{
t8=C_SCHEME_UNDEFINED;
t9=t1;{
C_word *av2=av;
av2[0]=t9;
av2[1]=t8;
((C_proc)(void*)(*((C_word*)t9+1)))(2,av2);}}}

/* k27207 in ##sys#show-exception-warning in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in ... */
static void C_ccall f_27209(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,3)))){
C_save_and_reclaim((void *)f_27209,2,av);}
a=C_alloc(10);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|9,a[1]=(C_word)f_27212,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=t2,a[9]=((C_word*)t0)[8],tmp=(C_word)a,a+=10,tmp);
/* library.scm:5339: display */
t4=*((C_word*)lf[153]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=lf[1049];
av2[3]=t2;
((C_proc)(void*)(*((C_word*)t4+1)))(4,av2);}}

/* k27210 in k27207 in ##sys#show-exception-warning in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in ... */
static void C_ccall f_27212(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(15,c,3)))){
C_save_and_reclaim((void *)f_27212,2,av);}
a=C_alloc(15);
t2=(*a=C_CLOSURE_TYPE|9,a[1]=(C_word)f_27215,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=((C_word*)t0)[8],a[9]=((C_word*)t0)[9],tmp=(C_word)a,a+=10,tmp);
if(C_truep(((C_word*)t0)[4])){
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_27234,a[2]=t2,a[3]=((C_word*)t0)[8],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:5341: display */
t4=*((C_word*)lf[153]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=lf[1048];
av2[3]=((C_word*)t0)[8];
((C_proc)(void*)(*((C_word*)t4+1)))(4,av2);}}
else{
t3=t2;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_UNDEFINED;
f_27215(2,av2);}}}

/* k27213 in k27210 in k27207 in ##sys#show-exception-warning in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in ... */
static void C_ccall f_27215(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,3)))){
C_save_and_reclaim((void *)f_27215,2,av);}
a=C_alloc(10);
t2=(*a=C_CLOSURE_TYPE|9,a[1]=(C_word)f_27218,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=((C_word*)t0)[8],a[9]=((C_word*)t0)[9],tmp=(C_word)a,a+=10,tmp);
/* library.scm:5344: display */
t3=*((C_word*)lf[153]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[1047];
av2[3]=((C_word*)t0)[8];
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* k27216 in k27213 in k27210 in k27207 in ##sys#show-exception-warning in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in ... */
static void C_ccall f_27218(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,3)))){
C_save_and_reclaim((void *)f_27218,2,av);}
a=C_alloc(9);
t2=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_27221,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=((C_word*)t0)[8],tmp=(C_word)a,a+=9,tmp);
/* library.scm:5345: display */
t3=*((C_word*)lf[153]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[9];
av2[3]=((C_word*)t0)[8];
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* k27219 in k27216 in k27213 in k27210 in k27207 in ##sys#show-exception-warning in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in ... */
static void C_ccall f_27221(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,2)))){
C_save_and_reclaim((void *)f_27221,2,av);}
a=C_alloc(10);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_27224,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_27231,a[2]=((C_word*)t0)[5],a[3]=t2,a[4]=((C_word*)t0)[6],tmp=(C_word)a,a+=5,tmp);
/* library.scm:5346: get-output-string */
t4=((C_word*)t0)[7];{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)t0)[8];
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k27222 in k27219 in k27216 in k27213 in k27210 in k27207 in ##sys#show-exception-warning in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in ... */
static void C_ccall f_27224(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_27224,2,av);}
/* library.scm:5347: print-call-chain */
t2=((C_word*)t0)[2];{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
av2[2]=*((C_word*)lf[712]+1);
av2[3]=C_fix(0);
av2[4]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}

/* k27229 in k27219 in k27216 in k27213 in k27210 in k27207 in ##sys#show-exception-warning in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in ... */
static void C_ccall f_27231(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_27231,2,av);}
/* library.scm:5346: print-error-message */
t2=((C_word*)t0)[2];{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
av2[2]=((C_word*)t0)[4];
av2[3]=*((C_word*)lf[712]+1);
av2[4]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}

/* k27232 in k27210 in k27207 in ##sys#show-exception-warning in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in ... */
static void C_ccall f_27234(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_27234,2,av);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_27237,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:5342: display */
t3=*((C_word*)lf[153]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[4];
av2[3]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* k27235 in k27232 in k27210 in k27207 in ##sys#show-exception-warning in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in ... */
static void C_ccall f_27237(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_27237,2,av);}
/* ##sys#write-char/port */
t2=C_fast_retrieve(lf[860]);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=C_make_character(41);
av2[3]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* ##sys#error-hook in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in ... */
static void C_ccall f_27248(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c<4) C_bad_min_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-4)*C_SIZEOF_PAIR +9,c,6)))){
C_save_and_reclaim((void*)f_27248,c,av);}
a=C_alloc((c-4)*C_SIZEOF_PAIR+9);
t4=C_build_rest(&a,c,4,av);
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word t19;
switch(t2){
case C_fix(1):
t5=C_i_car(t4);
t6=t5;
t7=C_i_cadr(t4);
t8=C_i_caddr(t4);
t9=t8;
t10=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_27271,a[2]=t9,a[3]=t1,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
t11=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_27282,a[2]=t10,a[3]=t6,tmp=(C_word)a,a+=4,tmp);
/* library.scm:5362: ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[600]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[600]+1);
av2[1]=t11;
av2[2]=t7;
tp(3,av2);}
case C_fix(2):
t5=C_i_car(t4);
t6=t5;
t7=C_i_cadr(t4);
t8=C_i_caddr(t4);
t9=t8;
t10=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_27308,a[2]=t9,a[3]=t1,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
t11=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_27319,a[2]=t10,a[3]=t6,tmp=(C_word)a,a+=4,tmp);
/* library.scm:5371: ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[600]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[600]+1);
av2[1]=t11;
av2[2]=t7;
tp(3,av2);}
case C_fix(3):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=t3;
av2[5]=lf[1054];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(4):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[972];
av2[4]=t3;
av2[5]=lf[1055];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(6):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[980];
av2[4]=t3;
av2[5]=lf[1056];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(7):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[562];
av2[4]=t3;
av2[5]=lf[1057];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(8):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[379];
av2[4]=t3;
av2[5]=lf[1058];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(9):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=t3;
av2[5]=lf[1059];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(10):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[982];
av2[4]=t3;
av2[5]=lf[1060];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(11):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=t3;
av2[5]=lf[1061];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(12):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[980];
av2[4]=t3;
av2[5]=lf[1062];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(13):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=t3;
av2[5]=lf[1063];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(14):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=t3;
av2[5]=lf[1064];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(15):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=t3;
av2[5]=lf[1065];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(16):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=t3;
av2[5]=lf[1066];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(17):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=t3;
av2[5]=lf[1067];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(18):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=t3;
av2[5]=lf[1068];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(19):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=t3;
av2[5]=lf[1069];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(20):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=t3;
av2[5]=lf[1070];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(21):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=t3;
av2[5]=lf[1071];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(22):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=t3;
av2[5]=lf[1072];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(23):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[980];
av2[4]=t3;
av2[5]=lf[1073];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(24):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=t3;
av2[5]=lf[1074];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(25):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=t3;
av2[5]=lf[1075];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(26):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=t3;
av2[5]=lf[1076];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(27):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=t3;
av2[5]=lf[1077];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(28):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=t3;
av2[5]=lf[1078];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(29):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=t3;
av2[5]=lf[1079];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(30):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=t3;
av2[5]=lf[1080];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(31):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=t3;
av2[5]=lf[1081];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(32):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=t3;
av2[5]=lf[1082];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(33):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=t3;
av2[5]=lf[1083];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(34):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=t3;
av2[5]=lf[1084];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(35):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=t3;
av2[5]=lf[1085];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(36):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[980];
av2[4]=t3;
av2[5]=lf[1086];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(37):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=t3;
av2[5]=lf[1087];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(38):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=t3;
av2[5]=lf[1088];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(39):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=t3;
av2[5]=lf[1089];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(40):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=t3;
av2[5]=lf[1090];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(41):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=t3;
av2[5]=lf[1091];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(42):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=t3;
av2[5]=lf[1092];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(43):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[696];
av2[4]=t3;
av2[5]=lf[1093];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(44):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=t3;
av2[5]=lf[1094];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(45):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[988];
av2[4]=t3;
av2[5]=lf[1095];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(46):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[562];
av2[4]=t3;
av2[5]=lf[1096];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(47):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[972];
av2[4]=t3;
av2[5]=lf[1097];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(48):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[988];
av2[4]=t3;
av2[5]=lf[1098];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(49):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=t3;
av2[5]=lf[1099];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(50):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=t3;
av2[5]=lf[1100];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(51):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=t3;
av2[5]=lf[1101];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(52):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=t3;
av2[5]=lf[1102];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(53):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=t3;
av2[5]=lf[1103];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(54):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=t3;
av2[5]=lf[1104];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(55):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=t3;
av2[5]=lf[1105];
av2[6]=t4;
C_apply(7,av2);}
default:{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[972];
av2[4]=t3;
av2[5]=lf[1106];
av2[6]=t4;
C_apply(7,av2);}}}

/* k27269 in ##sys#error-hook in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in ... */
static void C_ccall f_27271(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,6)))){
C_save_and_reclaim((void *)f_27271,2,av);}
a=C_alloc(3);
if(C_truep(((C_word*)t0)[2])){
t2=C_a_i_list1(&a,1,((C_word*)t0)[2]);{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=((C_word*)t0)[3];
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[982];
av2[4]=((C_word*)t0)[4];
av2[5]=t1;
av2[6]=t2;
C_apply(7,av2);}}
else{
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[194]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[194]+1);
av2[1]=((C_word*)t0)[3];
av2[2]=lf[982];
av2[3]=((C_word*)t0)[4];
av2[4]=t1;
tp(5,av2);}}}

/* k27280 in ##sys#error-hook in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in ... */
static void C_ccall f_27282(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_27282,2,av);}
a=C_alloc(4);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_27286,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:5363: ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[600]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[600]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}

/* k27284 in k27280 in ##sys#error-hook in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in ... */
static void C_ccall f_27286(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,5)))){
C_save_and_reclaim((void *)f_27286,2,av);}
/* library.scm:5362: string-append */
t2=*((C_word*)lf[413]+1);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[1050];
av2[3]=((C_word*)t0)[3];
av2[4]=lf[1051];
av2[5]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(6,av2);}}

/* k27306 in ##sys#error-hook in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in ... */
static void C_ccall f_27308(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,6)))){
C_save_and_reclaim((void *)f_27308,2,av);}
a=C_alloc(3);
if(C_truep(((C_word*)t0)[2])){
t2=C_a_i_list1(&a,1,((C_word*)t0)[2]);{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=((C_word*)t0)[3];
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[982];
av2[4]=((C_word*)t0)[4];
av2[5]=t1;
av2[6]=t2;
C_apply(7,av2);}}
else{
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[194]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[194]+1);
av2[1]=((C_word*)t0)[3];
av2[2]=lf[982];
av2[3]=((C_word*)t0)[4];
av2[4]=t1;
tp(5,av2);}}}

/* k27317 in ##sys#error-hook in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in ... */
static void C_ccall f_27319(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_27319,2,av);}
a=C_alloc(4);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_27323,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:5372: ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[600]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[600]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}

/* k27321 in k27317 in ##sys#error-hook in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in ... */
static void C_ccall f_27323(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,5)))){
C_save_and_reclaim((void *)f_27323,2,av);}
/* library.scm:5371: string-append */
t2=*((C_word*)lf[413]+1);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[1052];
av2[3]=((C_word*)t0)[3];
av2[4]=lf[1053];
av2[5]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(6,av2);}}

/* ##sys#structure? in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in ... */
static void C_ccall f_27904(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_27904,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_structurep(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* ##sys#generic-structure? in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in ... */
static void C_ccall f_27907(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_27907,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_structurep(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#slot in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in ... */
static void C_ccall f_27910(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_27910,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_slot(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* ##sys#size in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in ... */
static void C_ccall f_27913(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_27913,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_block_size(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#pointer? in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in ... */
static void C_ccall f_27918(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_27918,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_anypointerp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#set-pointer-address! in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in ... */
static void C_ccall f_27921(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_27921,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_update_pointer(t3,t2);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* ##sys#bytevector? in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in ... */
static void C_ccall f_27924(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_27924,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_bytevectorp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#string->pbytevector in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in ... */
static void C_ccall f_27927(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_27927,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_string_to_pbytevector(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#permanent? in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in ... */
static void C_ccall f_27930(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_27930,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_permanentp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#block-address in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in ... */
static void C_ccall f_27933(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,1)))){
C_save_and_reclaim((void *)f_27933,3,av);}
a=C_alloc(6);
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_block_address(&a,1,t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#locative? in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in ... */
static void C_ccall f_27936(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_27936,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_locativep(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#srfi-4-vector? in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in ... */
static void C_ccall f_27939(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_27939,3,av);}
if(C_truep(C_blockp(t2))){
if(C_truep(C_structurep(t2))){
t3=C_slot(t2,C_fix(0));
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_u_i_memq(t3,lf[1121]);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}
else{
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* ##sys#null-pointer in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in ... */
static void C_ccall f_27956(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_27956,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_27960,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* library.scm:5455: ##sys#make-pointer */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[1111]);
C_word *av2=av;
av2[0]=*((C_word*)lf[1111]+1);
av2[1]=t2;
tp(2,av2);}}

/* k27958 in ##sys#null-pointer in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in ... */
static void C_ccall f_27960(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_27960,2,av);}
t2=C_update_pointer(C_fix(0),t1);
t3=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#null-pointer? in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in ... */
static void C_ccall f_27962(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_27962,3,av);}
a=C_alloc(3);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_27970,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* library.scm:5460: ##sys#pointer->address */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[933]);
C_word *av2=av;
av2[0]=*((C_word*)lf[933]+1);
av2[1]=t3;
av2[2]=t2;
tp(3,av2);}}

/* k27968 in ##sys#null-pointer? in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in ... */
static void C_ccall f_27970(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_27970,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_eqp(C_fix(0),t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* ##sys#address->pointer in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in ... */
static void C_ccall f_27972(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_27972,3,av);}
a=C_alloc(4);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_27976,a[2]=t2,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
/* library.scm:5463: ##sys#make-pointer */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[1111]);
C_word *av2=av;
av2[0]=*((C_word*)lf[1111]+1);
av2[1]=t3;
tp(2,av2);}}

/* k27974 in ##sys#address->pointer in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in ... */
static void C_ccall f_27976(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_27976,2,av);}
t2=C_update_pointer(((C_word*)t0)[2],t1);
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#pointer->address in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in ... */
static void C_ccall f_27978(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,1)))){
C_save_and_reclaim((void *)f_27978,3,av);}
a=C_alloc(6);
t3=C_slot(t2,C_fix(0));
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_a_unsigned_int_to_num(&a,1,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* ##sys#make-c-string in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in ... */
static void C_ccall f_27985(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +6,c,2)))){
C_save_and_reclaim((void*)f_27985,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+6);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
t4=C_i_nullp(t3);
t5=(C_truep(t4)?lf[742]:C_i_car(t3));
t6=t5;
t7=C_block_size(t2);
t8=t7;
t9=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_27995,a[2]=t2,a[3]=t8,a[4]=t1,a[5]=t6,tmp=(C_word)a,a+=6,tmp);
t10=C_fixnum_plus(t8,C_fix(1));
/* library.scm:5473: ##sys#make-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[376]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[376]+1);
av2[1]=t9;
av2[2]=t10;
tp(3,av2);}}

/* k27993 in ##sys#make-c-string in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in ... */
static void C_ccall f_27995(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_27995,2,av);}
t2=C_substring_copy(((C_word*)t0)[2],t1,C_fix(0),((C_word*)t0)[3],C_fix(0));
t3=C_setsubchar(t1,((C_word*)t0)[3],C_make_character(0));
t4=C_asciiz_strlen(t1);
t5=C_eqp(t4,((C_word*)t0)[3]);
if(C_truep(t5)){
t6=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t6;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}
else{
t6=C_fix((C_word)C_ASCIIZ_REPRESENTATION_ERROR);
/* library.scm:5478: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=((C_word*)t0)[4];
av2[2]=t6;
av2[3]=((C_word*)t0)[5];
av2[4]=((C_word*)t0)[2];
tp(5,av2);}}}

/* ##sys#peek-fixnum in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in ... */
static void C_ccall f_28020(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28020,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_peek_fixnum(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* ##sys#peek-byte in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in ... */
static void C_ccall f_28023(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28023,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_peek_byte(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* ##sys#vector->structure! in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in ... */
static void C_ccall f_28026(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28026,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_vector_to_structure(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#peek-double in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in ... */
static void C_ccall f_28029(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_28029,4,av);}
a=C_alloc(4);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_a_f64peek(&a,2,t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* ##sys#peek-c-string in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in ... */
static void C_ccall f_28032(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_28032,4,av);}
a=C_alloc(6);
t4=C_null_pointerp(t2);
if(C_truep(C_i_not(t4))){
t5=C_fetch_c_strlen(t2,t3);
t6=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_28042,a[2]=t2,a[3]=t3,a[4]=t5,a[5]=t1,tmp=(C_word)a,a+=6,tmp);
/* library.scm:5494: ##sys#make-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[376]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[376]+1);
av2[1]=t6;
av2[2]=t5;
tp(3,av2);}}
else{
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* k28040 in ##sys#peek-c-string in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in ... */
static void C_ccall f_28042(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28042,2,av);}
t2=C_peek_c_string(((C_word*)t0)[2],((C_word*)t0)[3],t1,((C_word*)t0)[4]);
t3=t1;
t4=((C_word*)t0)[5];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* ##sys#peek-nonnull-c-string in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in ... */
static void C_ccall f_28048(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_28048,4,av);}
a=C_alloc(6);
t4=C_fetch_c_strlen(t2,t3);
t5=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_28052,a[2]=t2,a[3]=t3,a[4]=t4,a[5]=t1,tmp=(C_word)a,a+=6,tmp);
/* library.scm:5500: ##sys#make-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[376]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[376]+1);
av2[1]=t5;
av2[2]=t4;
tp(3,av2);}}

/* k28050 in ##sys#peek-nonnull-c-string in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in ... */
static void C_ccall f_28052(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28052,2,av);}
t2=C_peek_c_string(((C_word*)t0)[2],((C_word*)t0)[3],t1,((C_word*)t0)[4]);
t3=((C_word*)t0)[5];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#peek-and-free-c-string in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in ... */
static void C_ccall f_28054(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_28054,4,av);}
a=C_alloc(6);
t4=C_null_pointerp(t2);
if(C_truep(C_i_not(t4))){
t5=C_fetch_c_strlen(t2,t3);
t6=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_28064,a[2]=t2,a[3]=t3,a[4]=t5,a[5]=t1,tmp=(C_word)a,a+=6,tmp);
/* library.scm:5507: ##sys#make-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[376]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[376]+1);
av2[1]=t6;
av2[2]=t5;
tp(3,av2);}}
else{
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* k28062 in ##sys#peek-and-free-c-string in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in ... */
static void C_ccall f_28064(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28064,2,av);}
t2=C_peek_c_string(((C_word*)t0)[2],((C_word*)t0)[3],t1,((C_word*)t0)[4]);
t3=C_free_mptr(((C_word*)t0)[2],((C_word*)t0)[3]);
t4=t1;
t5=((C_word*)t0)[5];{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* ##sys#peek-and-free-nonnull-c-string in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in ... */
static void C_ccall f_28070(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_28070,4,av);}
a=C_alloc(6);
t4=C_fetch_c_strlen(t2,t3);
t5=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_28074,a[2]=t2,a[3]=t3,a[4]=t4,a[5]=t1,tmp=(C_word)a,a+=6,tmp);
/* library.scm:5514: ##sys#make-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[376]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[376]+1);
av2[1]=t5;
av2[2]=t4;
tp(3,av2);}}

/* k28072 in ##sys#peek-and-free-nonnull-c-string in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in ... */
static void C_ccall f_28074(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28074,2,av);}
t2=C_peek_c_string(((C_word*)t0)[2],((C_word*)t0)[3],t1,((C_word*)t0)[4]);
t3=C_free_mptr(((C_word*)t0)[2],((C_word*)t0)[3]);
t4=((C_word*)t0)[5];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* ##sys#poke-c-string in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in ... */
static void C_ccall f_28076(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word t6;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_28076,5,av);}
a=C_alloc(6);
t5=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_28081,a[2]=t1,a[3]=t2,a[4]=t3,a[5]=t4,tmp=(C_word)a,a+=6,tmp);
/* library.scm:5520: ##sys#make-c-string */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[742]);
C_word *av2=av;
av2[0]=*((C_word*)lf[742]+1);
av2[1]=t5;
av2[2]=t4;
tp(3,av2);}}

/* k28079 in ##sys#poke-c-string in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in ... */
static void C_ccall f_28081(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28081,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_poke_c_string(((C_word*)t0)[3],((C_word*)t0)[4],t1,((C_word*)t0)[5]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* ##sys#poke-integer in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in ... */
static void C_ccall f_28083(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28083,5,av);}
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_poke_integer(t2,t3,t4);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* ##sys#poke-double in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in ... */
static void C_ccall f_28086(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28086,5,av);}
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_poke_double(t2,t3,t4);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* ##sys#peek-c-string-list in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in ... */
static void C_ccall f_28106(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,3)))){
C_save_and_reclaim((void *)f_28106,4,av);}
a=C_alloc(8);
t4=C_SCHEME_UNDEFINED;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=C_set_block_item(t5,0,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_28112,a[2]=t3,a[3]=t5,a[4]=t2,a[5]=((C_word)li846),tmp=(C_word)a,a+=6,tmp));
t7=((C_word*)t5)[1];
f_28112(t7,t1,C_fix(0));}

/* loop in ##sys#peek-c-string-list in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in ... */
static void C_fcall f_28112(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,0,3)))){
C_save_and_reclaim_args((void *)trf_28112,3,t0,t1,t2);}
a=C_alloc(10);
t3=(C_truep(((C_word*)t0)[2])?C_fixnum_greater_or_equal_p(t2,((C_word*)t0)[2]):C_SCHEME_FALSE);
if(C_truep(t3)){
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=C_SCHEME_END_OF_LIST;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_28122,a[2]=t1,a[3]=t2,a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
t5=((C_word*)t0)[4];
t6=t2;
t7=C_a_i_bytevector(&a,1,C_fix(3));
t8=(C_truep(t5)?C_i_foreign_pointer_argumentp(t5):C_SCHEME_FALSE);
t9=C_i_foreign_fixnum_argumentp(t6);
t10=stub6457(t7,t8,t9);
/* library.scm:5526: ##sys#peek-c-string */
t11=*((C_word*)lf[699]+1);{
C_word av2[4];
av2[0]=t11;
av2[1]=t4;
av2[2]=t10;
av2[3]=C_fix(0);
((C_proc)(void*)(*((C_word*)t11+1)))(4,av2);}}}

/* k28120 in loop in ##sys#peek-c-string-list in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in ... */
static void C_ccall f_28122(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_28122,2,av);}
a=C_alloc(4);
t2=t1;
if(C_truep(t2)){
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_28132,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=C_fixnum_plus(((C_word*)t0)[3],C_fix(1));
/* library.scm:5533: loop */
t5=((C_word*)((C_word*)t0)[4])[1];
f_28112(t5,t3,t4);}
else{
t3=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_END_OF_LIST;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k28130 in k28120 in loop in ##sys#peek-c-string-list in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in ... */
static void C_ccall f_28132(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_28132,2,av);}
a=C_alloc(3);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_cons(&a,2,((C_word*)t0)[3],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* ##sys#peek-and-free-c-string-list in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in ... */
static void C_ccall f_28167(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(12,c,3)))){
C_save_and_reclaim((void *)f_28167,4,av);}
a=C_alloc(12);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_28171,a[2]=t2,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
t5=C_SCHEME_UNDEFINED;
t6=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t7=C_set_block_item(t6,0,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_28176,a[2]=t3,a[3]=t2,a[4]=t6,a[5]=((C_word)li848),tmp=(C_word)a,a+=6,tmp));
t8=((C_word*)t6)[1];
f_28176(t8,t4,C_fix(0));}

/* k28169 in ##sys#peek-and-free-c-string-list in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in ... */
static void C_ccall f_28171(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28171,2,av);}
t2=((C_word*)t0)[2];
if(C_truep(t2)){
t3=C_i_foreign_pointer_argumentp(t2);
t4=stub6484(C_SCHEME_UNDEFINED,t3);
t5=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t5;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t3=stub6484(C_SCHEME_UNDEFINED,C_SCHEME_FALSE);
t4=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* loop in ##sys#peek-and-free-c-string-list in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in ... */
static void C_fcall f_28176(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,0,3)))){
C_save_and_reclaim_args((void *)trf_28176,3,t0,t1,t2);}
a=C_alloc(11);
t3=(C_truep(((C_word*)t0)[2])?C_fixnum_greater_or_equal_p(t2,((C_word*)t0)[2]):C_SCHEME_FALSE);
if(C_truep(t3)){
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=C_SCHEME_END_OF_LIST;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t4=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_28186,a[2]=((C_word*)t0)[3],a[3]=t2,a[4]=t1,a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
t5=((C_word*)t0)[3];
t6=t2;
t7=C_a_i_bytevector(&a,1,C_fix(3));
t8=(C_truep(t5)?C_i_foreign_pointer_argumentp(t5):C_SCHEME_FALSE);
t9=C_i_foreign_fixnum_argumentp(t6);
t10=stub6476(t7,t8,t9);
/* library.scm:5537: ##sys#peek-c-string */
t11=*((C_word*)lf[699]+1);{
C_word av2[4];
av2[0]=t11;
av2[1]=t4;
av2[2]=t10;
av2[3]=C_fix(0);
((C_proc)(void*)(*((C_word*)t11+1)))(4,av2);}}}

/* k28184 in loop in ##sys#peek-and-free-c-string-list in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in ... */
static void C_ccall f_28186(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_28186,2,av);}
a=C_alloc(4);
t2=t1;
if(C_truep(t2)){
t3=C_free_sptr(((C_word*)t0)[2],((C_word*)t0)[3]);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_28196,a[2]=((C_word*)t0)[4],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t5=C_fixnum_plus(((C_word*)t0)[3],C_fix(1));
/* library.scm:5546: loop */
t6=((C_word*)((C_word*)t0)[5])[1];
f_28176(t6,t4,t5);}
else{
t3=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_END_OF_LIST;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k28194 in k28184 in loop in ##sys#peek-and-free-c-string-list in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in ... */
static void C_ccall f_28196(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_28196,2,av);}
a=C_alloc(3);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_cons(&a,2,((C_word*)t0)[3],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* ##sys#vector->closure! in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in ... */
static void C_ccall f_28205(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28205,4,av);}
t4=C_vector_to_closure(t2);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_update_pointer(t3,t2);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* ##sys#symbol-has-toplevel-binding? in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in ... */
static void C_ccall f_28208(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28208,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_boundp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#copy-bytes in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in ... */
static void C_ccall f_28211(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5=av[5];
C_word t6=av[6];
C_word t7;
C_word t8;
C_word *a;
if(c!=7) C_bad_argc_2(c,7,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28211,7,av);}
t7=C_fixnum_plus(t4,t6);
t8=t1;{
C_word *av2=av;
av2[0]=t8;
av2[1]=C_substring_copy(t2,t3,t4,t7,t5);
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}

/* ##sys#copy-words in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in ... */
static void C_ccall f_28218(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5=av[5];
C_word t6=av[6];
C_word t7;
C_word t8;
C_word *a;
if(c!=7) C_bad_argc_2(c,7,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28218,7,av);}
t7=C_fixnum_plus(t4,t6);
t8=t1;{
C_word *av2=av;
av2[0]=t8;
av2[1]=C_subvector_copy(t2,t3,t4,t7,t5);
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}

/* ##sys#compare-bytes in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in ... */
static void C_ccall f_28225(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5=av[5];
C_word t6=av[6];
C_word t7;
C_word *a;
if(c!=7) C_bad_argc_2(c,7,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28225,7,av);}
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=C_substring_compare(t2,t3,t4,t5,t6);
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}

/* ##sys#block-pointer in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in ... */
static void C_ccall f_28228(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_28228,3,av);}
a=C_alloc(4);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_28232,a[2]=t2,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
/* library.scm:5579: ##sys#make-pointer */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[1111]);
C_word *av2=av;
av2[0]=*((C_word*)lf[1111]+1);
av2[1]=t3;
tp(2,av2);}}

/* k28230 in ##sys#block-pointer in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in ... */
static void C_ccall f_28232(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28232,2,av);}
t2=C_pointer_to_block(t1,((C_word*)t0)[2]);
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#foreign-char-argument in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in ... */
static void C_ccall f_28234(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28234,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_foreign_char_argumentp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#foreign-fixnum-argument in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in ... */
static void C_ccall f_28237(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28237,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_foreign_fixnum_argumentp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#foreign-flonum-argument in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in ... */
static void C_ccall f_28240(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28240,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_foreign_flonum_argumentp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#foreign-block-argument in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in ... */
static void C_ccall f_28243(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28243,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_foreign_block_argumentp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#foreign-struct-wrapper-argument in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in ... */
static void C_ccall f_28246(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28246,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_foreign_struct_wrapper_argumentp(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* ##sys#foreign-string-argument in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in ... */
static void C_ccall f_28249(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28249,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_foreign_string_argumentp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#foreign-symbol-argument in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in ... */
static void C_ccall f_28252(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28252,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_foreign_symbol_argumentp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#foreign-pointer-argument in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in ... */
static void C_ccall f_28255(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28255,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_foreign_pointer_argumentp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#foreign-tagged-pointer-argument in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in ... */
static void C_ccall f_28258(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28258,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_foreign_tagged_pointer_argumentp(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* ##sys#foreign-ranged-integer-argument in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in ... */
static void C_ccall f_28261(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28261,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_foreign_ranged_integer_argumentp(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* ##sys#foreign-unsigned-ranged-integer-argument in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in ... */
static void C_ccall f_28264(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28264,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_foreign_unsigned_ranged_integer_argumentp(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* ##sys#default-exception-handler in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in ... */
static void C_ccall f_28268(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28268,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_halt(lf[1155]);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#make-thread in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in ... */
static void C_ccall f_28271(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5=av[5];
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(c!=6) C_bad_argc_2(c,6,t0);
if(C_unlikely(!C_demand(C_calculate_demand(7,c,4)))){
C_save_and_reclaim((void *)f_28271,6,av);}
a=C_alloc(7);
t6=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_28287,a[2]=t1,a[3]=t2,a[4]=t3,a[5]=t4,a[6]=t5,tmp=(C_word)a,a+=7,tmp);
t7=C_block_size(C_fast_retrieve(lf[759]));
/* library.scm:5624: ##sys#vector-resize */
f_17885(t6,C_fast_retrieve(lf[759]),t7,C_SCHEME_FALSE);}

/* k28285 in ##sys#make-thread in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in ... */
static void C_ccall f_28287(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(26,c,1)))){
C_save_and_reclaim((void *)f_28287,2,av);}
a=C_alloc(26);
t2=C_a_i_vector6(&a,6,C_fast_retrieve(lf[687]),*((C_word*)lf[710]+1),*((C_word*)lf[711]+1),*((C_word*)lf[712]+1),C_fast_retrieve(lf[1154]),t1);
t3=C_a_i_cons(&a,2,C_SCHEME_FALSE,C_SCHEME_FALSE);
t4=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_a_i_record(&a,15,lf[911],((C_word*)t0)[3],C_SCHEME_FALSE,((C_word*)t0)[4],C_SCHEME_FALSE,t2,((C_word*)t0)[5],C_SCHEME_UNDEFINED,C_SCHEME_END_OF_LIST,((C_word*)t0)[6],C_SCHEME_UNDEFINED,C_SCHEME_FALSE,C_SCHEME_END_OF_LIST,C_SCHEME_FALSE,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in ... */
static void C_ccall f_28295(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(24,c,4)))){
C_save_and_reclaim((void *)f_28295,2,av);}
a=C_alloc(24);
t2=C_mutate((C_word*)lf[948]+1 /* (set! ##sys#primordial-thread ...) */,t1);
t3=C_mutate((C_word*)lf[936]+1 /* (set! ##sys#current-thread ...) */,C_fast_retrieve(lf[948]));
t4=C_mutate((C_word*)lf[1157]+1 /* (set! ##sys#make-mutex ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28298,a[2]=((C_word)li869),tmp=(C_word)a,a+=3,tmp));
t5=C_mutate((C_word*)lf[1159]+1 /* (set! ##sys#schedule ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28304,a[2]=((C_word)li870),tmp=(C_word)a,a+=3,tmp));
t6=C_mutate((C_word*)lf[1160]+1 /* (set! ##sys#thread-yield! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28313,a[2]=((C_word)li873),tmp=(C_word)a,a+=3,tmp));
t7=C_mutate((C_word*)lf[1161]+1 /* (set! ##sys#kill-other-threads ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28334,a[2]=((C_word)li874),tmp=(C_word)a,a+=3,tmp));
t8=C_mutate((C_word*)lf[1162]+1 /* (set! chicken.base#sleep-hook ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28340,a[2]=((C_word)li875),tmp=(C_word)a,a+=3,tmp));
t9=C_mutate((C_word*)lf[197]+1 /* (set! chicken.base#sleep ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28343,a[2]=((C_word)li876),tmp=(C_word)a,a+=3,tmp));
t10=C_mutate((C_word*)lf[1164]+1 /* (set! ##sys#context-switch ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_context_switch,a[2]=((C_word)li877),tmp=(C_word)a,a+=3,tmp));
t11=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28355,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:5680: scheme#make-vector */
t12=*((C_word*)lf[93]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t12;
av2[1]=t11;
av2[2]=C_fix(256);
av2[3]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t12+1)))(4,av2);}}

/* ##sys#make-mutex in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in ... */
static void C_ccall f_28298(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,1)))){
C_save_and_reclaim((void *)f_28298,4,av);}
a=C_alloc(8);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_a_i_record7(&a,7,lf[1158],t2,t3,C_SCHEME_END_OF_LIST,C_SCHEME_FALSE,C_SCHEME_FALSE,C_SCHEME_UNDEFINED);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* ##sys#schedule in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in ... */
static void C_ccall f_28304(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28304,2,av);}
t2=C_slot(C_fast_retrieve(lf[936]),C_fix(1));
/* library.scm:5651: g6570 */
t3=t2;{
C_word *av2=av;
av2[0]=t3;
av2[1]=t1;
((C_proc)C_fast_retrieve_proc(t3))(2,av2);}}

/* ##sys#thread-yield! in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in ... */
static void C_ccall f_28313(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_28313,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28319,a[2]=((C_word)li872),tmp=(C_word)a,a+=3,tmp);
/* library.scm:5654: ##sys#call-with-current-continuation */{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=0;
av2[1]=t1;
av2[2]=t2;
C_call_cc(3,av2);}}

/* a28318 in ##sys#thread-yield! in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in ... */
static void C_ccall f_28319(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_28319,3,av);}
a=C_alloc(4);
t3=C_fast_retrieve(lf[936]);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_28328,a[2]=t2,a[3]=((C_word)li871),tmp=(C_word)a,a+=4,tmp);
t5=C_i_setslot(C_fast_retrieve(lf[936]),C_fix(1),t4);
/* library.scm:5658: ##sys#schedule */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[1159]);
C_word *av2=av;
av2[0]=*((C_word*)lf[1159]+1);
av2[1]=t1;
tp(2,av2);}}

/* a28327 in a28318 in ##sys#thread-yield! in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in ... */
static void C_ccall f_28328(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_28328,2,av);}
/* library.scm:5657: return */
t2=((C_word*)t0)[2];{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=t1;
av2[2]=C_SCHEME_UNDEFINED;
((C_proc)C_fast_retrieve_proc(t2))(3,av2);}}

/* ##sys#kill-other-threads in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in ... */
static void C_ccall f_28334(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28334,3,av);}
/* library.scm:5661: thunk */
t3=t2;{
C_word *av2=av;
av2[0]=t3;
av2[1]=t1;
((C_proc)C_fast_retrieve_proc(t3))(2,av2);}}

/* chicken.base#sleep-hook in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in ... */
static void C_ccall f_28340(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28340,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_process_sleep(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.base#sleep in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in ... */
static void C_ccall f_28343(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_28343,3,av);}
a=C_alloc(4);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_28347,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:5671: ##sys#check-fixnum */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[102]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[102]+1);
av2[1]=t3;
av2[2]=t2;
av2[3]=lf[1163];
tp(4,av2);}}

/* k28345 in chicken.base#sleep in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in ... */
static void C_ccall f_28347(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_28347,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28350,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:5672: chicken.base#sleep-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[1162]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[1162]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}

/* k28348 in k28345 in chicken.base#sleep in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in ... */
static void C_ccall f_28350(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28350,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_SCHEME_UNDEFINED;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in ... */
static void C_ccall f_28355(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word t19;
C_word t20;
C_word t21;
C_word t22;
C_word t23;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(55,c,4)))){
C_save_and_reclaim((void *)f_28355,2,av);}
a=C_alloc(55);
t2=C_mutate((C_word*)lf[1165]+1 /* (set! ##sys#signal-vector ...) */,t1);
t3=C_mutate((C_word*)lf[1166]+1 /* (set! ##sys#interrupt-hook ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28357,a[2]=((C_word)li879),tmp=(C_word)a,a+=3,tmp));
t4=C_mutate((C_word*)lf[695]+1 /* (set! ##sys#dispatch-interrupt ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28407,a[2]=((C_word)li880),tmp=(C_word)a,a+=3,tmp));
t5=C_fix(0);
t6=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t7=C_mutate((C_word*)lf[700]+1 /* (set! ##sys#update-errno ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_28414,a[2]=t6,a[3]=((C_word)li881),tmp=(C_word)a,a+=4,tmp));
t8=C_mutate((C_word*)lf[1169]+1 /* (set! ##sys#errno ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_28418,a[2]=t6,a[3]=((C_word)li882),tmp=(C_word)a,a+=4,tmp));
t9=C_fast_retrieve(lf[852]);
t10=C_SCHEME_UNDEFINED;
t11=(*a=C_VECTOR_TYPE|1,a[1]=t10,tmp=(C_word)a,a+=2,tmp);
t12=C_SCHEME_UNDEFINED;
t13=(*a=C_VECTOR_TYPE|1,a[1]=t12,tmp=(C_word)a,a+=2,tmp);
t14=C_set_block_item(t11,0,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28432,a[2]=((C_word)li884),tmp=(C_word)a,a+=3,tmp));
t15=C_set_block_item(t13,0,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28479,a[2]=((C_word)li886),tmp=(C_word)a,a+=3,tmp));
t16=C_mutate((C_word*)lf[852]+1 /* (set! ##sys#user-read-hook ...) */,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_28524,a[2]=t9,a[3]=t11,a[4]=t13,a[5]=((C_word)li891),tmp=(C_word)a,a+=6,tmp));
t17=C_a_i_provide(&a,1,lf[1180]);
t18=C_mutate((C_word*)lf[1181]+1 /* (set! chicken.process-context#change-directory ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28954,a[2]=((C_word)li892),tmp=(C_word)a,a+=3,tmp));
t19=C_mutate((C_word*)lf[1184]+1 /* (set! ##sys#change-directory-hook ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28984,a[2]=((C_word)li893),tmp=(C_word)a,a+=3,tmp));
t20=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28992,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t21=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31089,a[2]=((C_word)li971),tmp=(C_word)a,a+=3,tmp);
t22=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31111,a[2]=((C_word)li972),tmp=(C_word)a,a+=3,tmp);
/* library.scm:5898: chicken.base#getter-with-setter */
t23=*((C_word*)lf[200]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t23;
av2[1]=t20;
av2[2]=t21;
av2[3]=t22;
av2[4]=lf[1361];
((C_proc)(void*)(*((C_word*)t23+1)))(5,av2);}}

/* ##sys#interrupt-hook in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in ... */
static void C_ccall f_28357(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(10,c,3)))){
C_save_and_reclaim((void *)f_28357,4,av);}
a=C_alloc(10);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_28361,a[2]=t1,a[3]=t3,tmp=(C_word)a,a+=4,tmp);
t5=C_SCHEME_UNDEFINED;
t6=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t7=C_set_block_item(t6,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_28388,a[2]=t6,a[3]=((C_word)li878),tmp=(C_word)a,a+=4,tmp));
t8=((C_word*)t6)[1];
f_28388(t8,t4,t2);}

/* k28359 in ##sys#interrupt-hook in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in ... */
static void C_ccall f_28361(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_28361,2,av);}
t2=C_slot(C_fast_retrieve(lf[1167]),C_fix(0));
if(C_truep(C_fixnum_greaterp(t2,C_fix(0)))){
/* library.scm:5690: ##sys#run-pending-finalizers */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[1168]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[1168]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}
else{
if(C_truep(C_i_closurep(((C_word*)t0)[3]))){
/* library.scm:5691: state */
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
/* library.scm:5692: ##sys#context-switch */{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
C_context_switch(3,av2);}}}}

/* loop in ##sys#interrupt-hook in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in ... */
static void C_fcall f_28388(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(4,0,2)))){
C_save_and_reclaim_args((void *)trf_28388,3,t0,t1,t2);}
a=C_alloc(4);
if(C_truep(t2)){
t3=C_slot(C_fast_retrieve(lf[1165]),t2);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_28398,a[2]=((C_word*)t0)[2],a[3]=t1,tmp=(C_word)a,a+=4,tmp);
if(C_truep(t3)){
/* library.scm:5687: handler */
t5=t3;{
C_word av2[3];
av2[0]=t5;
av2[1]=t4;
av2[2]=t2;
((C_proc)C_fast_retrieve_proc(t5))(3,av2);}}
else{
t5=C_i_pending_interrupt(C_SCHEME_FALSE);
/* library.scm:5688: loop */
t7=t1;
t8=t5;
t1=t7;
t2=t8;
goto loop;}}
else{
t3=C_SCHEME_UNDEFINED;
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* k28396 in loop in ##sys#interrupt-hook in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in ... */
static void C_ccall f_28398(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_28398,2,av);}
t2=C_i_pending_interrupt(C_SCHEME_FALSE);
/* library.scm:5688: loop */
t3=((C_word*)((C_word*)t0)[2])[1];
f_28388(t3,((C_word*)t0)[3],t2);}

/* ##sys#dispatch-interrupt in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in ... */
static void C_ccall f_28407(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_28407,3,av);}
t3=C_i_pending_interrupt(C_SCHEME_FALSE);
/* library.scm:5695: ##sys#interrupt-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[1166]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[1166]+1);
av2[1]=t1;
av2[2]=t3;
av2[3]=t2;
tp(4,av2);}}

/* ##sys#update-errno in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in ... */
static void C_ccall f_28414(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28414,2,av);}
t2=C_set_block_item(((C_word*)t0)[2],0,C_fix((C_word)errno));
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=((C_word*)((C_word*)t0)[2])[1];
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#errno in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in ... */
static void C_ccall f_28418(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28418,2,av);}
t2=t1;{
C_word *av2=av;
av2[0]=t2;
av2[1]=((C_word*)((C_word*)t0)[2])[1];
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* readln in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in ... */
static void C_fcall f_28432(C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,0,2)))){
C_save_and_reclaim_args((void *)trf_28432,2,t1,t2);}
a=C_alloc(4);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_28436,a[2]=t2,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
/* library.scm:5724: chicken.base#open-output-string */
t4=*((C_word*)lf[213]+1);{
C_word av2[2];
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* k28434 in readln in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in ... */
static void C_ccall f_28436(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_28436,2,av);}
a=C_alloc(5);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_28443,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
/* library.scm:5725: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[762]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[762]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[2];
tp(3,av2);}}

/* k28441 in k28434 in readln in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in ... */
static void C_ccall f_28443(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,3)))){
C_save_and_reclaim((void *)f_28443,2,av);}
a=C_alloc(8);
t2=C_SCHEME_UNDEFINED;
t3=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
t4=C_set_block_item(t3,0,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_28445,a[2]=((C_word*)t0)[2],a[3]=t3,a[4]=((C_word*)t0)[3],a[5]=((C_word)li883),tmp=(C_word)a,a+=6,tmp));
t5=((C_word*)t3)[1];
f_28445(t5,((C_word*)t0)[4],t1);}

/* doloop6617 in k28441 in k28434 in readln in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in ... */
static void C_fcall f_28445(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,3)))){
C_save_and_reclaim_args((void *)trf_28445,3,t0,t1,t2);}
a=C_alloc(5);
t3=C_eofp(t2);
t4=(C_truep(t3)?t3:C_i_char_equalp(C_make_character(10),t2));
if(C_truep(t4)){
if(C_truep(C_eofp(t2))){
t5=t1;{
C_word av2[2];
av2[0]=t5;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
/* library.scm:5727: chicken.base#get-output-string */
t5=*((C_word*)lf[211]+1);{
C_word av2[3];
av2[0]=t5;
av2[1]=t1;
av2[2]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t5+1)))(3,av2);}}}
else{
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_28467,a[2]=((C_word*)t0)[3],a[3]=t1,a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:5728: ##sys#write-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[859]);
C_word av2[4];
av2[0]=*((C_word*)lf[859]+1);
av2[1]=t5;
av2[2]=t2;
av2[3]=((C_word*)t0)[2];
tp(4,av2);}}}

/* k28465 in doloop6617 in k28441 in k28434 in readln in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in ... */
static void C_ccall f_28467(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_28467,2,av);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_28474,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:5725: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[762]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[762]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[4];
tp(3,av2);}}

/* k28472 in k28465 in doloop6617 in k28441 in k28434 in readln in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in ... */
static void C_ccall f_28474(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_28474,2,av);}
t2=((C_word*)((C_word*)t0)[2])[1];
f_28445(t2,((C_word*)t0)[3],t1);}

/* read-escaped-sexp in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in ... */
static void C_fcall f_28479(C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,2)))){
C_save_and_reclaim_args((void *)trf_28479,3,t1,t2,t3);}
a=C_alloc(5);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_28483,a[2]=t1,a[3]=t3,a[4]=t2,tmp=(C_word)a,a+=5,tmp);
if(C_truep(t3)){
/* library.scm:5730: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[762]);
C_word av2[3];
av2[0]=*((C_word*)lf[762]+1);
av2[1]=t4;
av2[2]=t2;
tp(3,av2);}}
else{
t5=t4;{
C_word av2[2];
av2[0]=t5;
av2[1]=C_SCHEME_UNDEFINED;
f_28483(2,av2);}}}

/* k28481 in read-escaped-sexp in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in ... */
static void C_ccall f_28483(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_28483,2,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_28486,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:5731: read */
t3=*((C_word*)lf[149]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}

/* k28484 in k28481 in read-escaped-sexp in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in ... */
static void C_ccall f_28486(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,c,2)))){
C_save_and_reclaim((void *)f_28486,2,av);}
a=C_alloc(11);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_28489,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
if(C_truep(((C_word*)t0)[3])){
t4=C_SCHEME_UNDEFINED;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=C_set_block_item(t5,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_28494,a[2]=((C_word*)t0)[4],a[3]=t5,a[4]=((C_word)li885),tmp=(C_word)a,a+=5,tmp));
t7=((C_word*)t5)[1];
f_28494(t7,t3);}
else{
t4=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* k28487 in k28484 in k28481 in read-escaped-sexp in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in ... */
static void C_ccall f_28489(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28489,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* loop in k28484 in k28481 in read-escaped-sexp in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in ... */
static void C_fcall f_28494(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,2)))){
C_save_and_reclaim_args((void *)trf_28494,2,t0,t1);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_28498,a[2]=t1,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
/* library.scm:5735: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[762]);
C_word av2[3];
av2[0]=*((C_word*)lf[762]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[2];
tp(3,av2);}}

/* k28496 in loop in k28484 in k28481 in read-escaped-sexp in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in ... */
static void C_ccall f_28498(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_28498,2,av);}
if(C_truep(C_eofp(t1))){
/* library.scm:5737: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[771]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[771]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=lf[1170];
tp(4,av2);}}
else{
t2=C_i_char_equalp(C_make_character(125),t1);
if(C_truep(C_i_not(t2))){
/* library.scm:5738: loop */
t3=((C_word*)((C_word*)t0)[4])[1];
f_28494(t3,((C_word*)t0)[2]);}
else{
t3=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_UNDEFINED;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}}

/* ##sys#user-read-hook in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in ... */
static void C_ccall f_28524(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,3)))){
C_save_and_reclaim((void *)f_28524,4,av);}
a=C_alloc(6);
t4=C_i_char_equalp(C_make_character(60),t2);
if(C_truep(C_i_not(t4))){
/* library.scm:5741: old */
t5=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t5;
av2[1]=t1;
av2[2]=t2;
av2[3]=t3;
((C_proc)C_fast_retrieve_proc(t5))(4,av2);}}
else{
t5=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_28537,a[2]=t3,a[3]=((C_word*)t0)[3],a[4]=t1,a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
/* ##sys#read-char/port */
t6=C_fast_retrieve(lf[763]);{
C_word *av2=av;
av2[0]=t6;
av2[1]=t5;
av2[2]=t3;
((C_proc)(void*)(*((C_word*)t6+1)))(3,av2);}}}

/* k28535 in ##sys#user-read-hook in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in ... */
static void C_ccall f_28537(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_28537,2,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_28540,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
/* library.scm:5744: ##sys#peek-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[764]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[764]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[2];
tp(3,av2);}}

/* k28538 in k28535 in ##sys#user-read-hook in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in ... */
static void C_ccall f_28540(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,3)))){
C_save_and_reclaim((void *)f_28540,2,av);}
a=C_alloc(6);
switch(t1){
case C_make_character(60):
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_28549,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:5746: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[762]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[762]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[2];
tp(3,av2);}
case C_make_character(35):
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_28662,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[5],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[3],tmp=(C_word)a,a+=6,tmp);
/* library.scm:5771: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[762]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[762]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[2];
tp(3,av2);}
default:
/* library.scm:5826: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[771]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[771]+1);
av2[1]=((C_word*)t0)[4];
av2[2]=((C_word*)t0)[2];
av2[3]=lf[1179];
tp(4,av2);}}}

/* k28547 in k28538 in k28535 in ##sys#user-read-hook in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in ... */
static void C_ccall f_28549(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_28549,2,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_28552,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:5747: chicken.base#open-output-string */
t3=*((C_word*)lf[213]+1);{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* k28550 in k28547 in k28538 in k28535 in ##sys#user-read-hook in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in ... */
static void C_ccall f_28552(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_28552,2,av);}
a=C_alloc(6);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_28555,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
/* library.scm:5748: readln */
f_28432(t3,((C_word*)t0)[2]);}

/* k28553 in k28550 in k28547 in k28538 in k28535 in ##sys#user-read-hook in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in ... */
static void C_ccall f_28555(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,3)))){
C_save_and_reclaim((void *)f_28555,2,av);}
a=C_alloc(10);
t2=t1;
t3=C_SCHEME_FALSE;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_eofp(t2);
t6=(C_truep(t5)?C_fix(0):C_i_string_length(t2));
t7=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_28561,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],a[6]=t4,a[7]=((C_word*)t0)[5],tmp=(C_word)a,a+=8,tmp);
t8=C_eqp(t6,C_fix(0));
if(C_truep(t8)){
/* library.scm:5753: ##sys#read-warning */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[774]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[774]+1);
av2[1]=t7;
av2[2]=((C_word*)t0)[3];
av2[3]=lf[1173];
tp(4,av2);}}
else{
t9=C_fixnum_difference(t6,C_fix(1));
t10=C_i_string_ref(t2,t9);
t11=C_u_i_char_equalp(t10,C_make_character(32));
if(C_truep(t11)){
if(C_truep(t11)){
/* library.scm:5757: ##sys#read-warning */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[774]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[774]+1);
av2[1]=t7;
av2[2]=((C_word*)t0)[3];
av2[3]=lf[1174];
tp(4,av2);}}
else{
t12=C_SCHEME_UNDEFINED;
t13=t7;{
C_word *av2=av;
av2[0]=t13;
av2[1]=t12;
f_28561(2,av2);}}}
else{
t12=C_fixnum_difference(t6,C_fix(1));
t13=C_i_string_ref(t2,t12);
if(C_truep(C_u_i_char_equalp(t13,C_make_character(9)))){
/* library.scm:5757: ##sys#read-warning */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[774]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[774]+1);
av2[1]=t7;
av2[2]=((C_word*)t0)[3];
av2[3]=lf[1174];
tp(4,av2);}}
else{
t14=C_SCHEME_UNDEFINED;
t15=t7;{
C_word *av2=av;
av2[0]=t15;
av2[1]=t14;
f_28561(2,av2);}}}}}

/* k28559 in k28553 in k28550 in k28547 in k28538 in k28535 in ##sys#user-read-hook in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in ... */
static void C_ccall f_28561(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,2)))){
C_save_and_reclaim((void *)f_28561,2,av);}
a=C_alloc(8);
t2=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_28568,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],tmp=(C_word)a,a+=8,tmp);
/* library.scm:5760: readln */
f_28432(t2,((C_word*)t0)[4]);}

/* k28566 in k28559 in k28553 in k28550 in k28547 in k28538 in k28535 in ##sys#user-read-hook in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in ... */
static void C_ccall f_28568(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,c,3)))){
C_save_and_reclaim((void *)f_28568,2,av);}
a=C_alloc(11);
t2=C_SCHEME_UNDEFINED;
t3=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
t4=C_set_block_item(t3,0,(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_28570,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=t3,a[6]=((C_word*)t0)[5],a[7]=((C_word*)t0)[6],a[8]=((C_word)li887),tmp=(C_word)a,a+=9,tmp));
t5=((C_word*)t3)[1];
f_28570(t5,((C_word*)t0)[7],t1);}

/* doloop6652 in k28566 in k28559 in k28553 in k28550 in k28547 in k28538 in k28535 in ##sys#user-read-hook in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in ... */
static void C_fcall f_28570(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(17,0,3)))){
C_save_and_reclaim_args((void *)trf_28570,3,t0,t1,t2);}
a=C_alloc(17);
t3=C_eofp(t2);
t4=(C_truep(t3)?t3:C_i_string_equal_p(((C_word*)t0)[2],t2));
if(C_truep(t4)){
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_28583,a[2]=t1,a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
if(C_truep(C_eofp(t2))){
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_28596,a[2]=t5,a[3]=((C_word*)t0)[4],tmp=(C_word)a,a+=4,tmp);
t7=C_a_i_list(&a,3,lf[1171],((C_word*)t0)[2],lf[1172]);
/* library.scm:5715: ##sys#print-to-string */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[929]);
C_word av2[3];
av2[0]=*((C_word*)lf[929]+1);
av2[1]=t6;
av2[2]=t7;
tp(3,av2);}}
else{
/* library.scm:5765: chicken.base#get-output-string */
t6=*((C_word*)lf[211]+1);{
C_word av2[3];
av2[0]=t6;
av2[1]=t1;
av2[2]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t6+1)))(3,av2);}}}
else{
t5=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_28599,a[2]=((C_word*)t0)[5],a[3]=t1,a[4]=((C_word*)t0)[6],a[5]=((C_word*)t0)[4],a[6]=t2,a[7]=((C_word*)t0)[3],tmp=(C_word)a,a+=8,tmp);
if(C_truep(((C_word*)((C_word*)t0)[7])[1])){
/* library.scm:5767: ##sys#write-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[859]);
C_word av2[4];
av2[0]=*((C_word*)lf[859]+1);
av2[1]=t5;
av2[2]=C_make_character(10);
av2[3]=((C_word*)t0)[3];
tp(4,av2);}}
else{
t6=C_set_block_item(((C_word*)t0)[7],0,C_SCHEME_TRUE);
t7=t5;{
C_word av2[2];
av2[0]=t7;
av2[1]=t6;
f_28599(2,av2);}}}}

/* k28581 in doloop6652 in k28566 in k28559 in k28553 in k28550 in k28547 in k28538 in k28535 in ##sys#user-read-hook in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in ... */
static void C_ccall f_28583(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_28583,2,av);}
/* library.scm:5765: chicken.base#get-output-string */
t2=*((C_word*)lf[211]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* k28594 in doloop6652 in k28566 in k28559 in k28553 in k28550 in k28547 in k28538 in k28535 in ##sys#user-read-hook in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in ... */
static void C_ccall f_28596(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_28596,2,av);}
/* library.scm:5763: ##sys#read-warning */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[774]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[774]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t1;
tp(4,av2);}}

/* k28597 in doloop6652 in k28566 in k28559 in k28553 in k28550 in k28547 in k28538 in k28535 in ##sys#user-read-hook in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in ... */
static void C_ccall f_28599(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,3)))){
C_save_and_reclaim((void *)f_28599,2,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_28602,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
/* library.scm:5769: display */
t3=*((C_word*)lf[153]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[6];
av2[3]=((C_word*)t0)[7];
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* k28600 in k28597 in doloop6652 in k28566 in k28559 in k28553 in k28550 in k28547 in k28538 in k28535 in ##sys#user-read-hook in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in ... */
static void C_ccall f_28602(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_28602,2,av);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_28609,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:5760: readln */
f_28432(t2,((C_word*)t0)[5]);}

/* k28607 in k28600 in k28597 in doloop6652 in k28566 in k28559 in k28553 in k28550 in k28547 in k28538 in k28535 in ##sys#user-read-hook in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in ... */
static void C_ccall f_28609(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_28609,2,av);}
t2=((C_word*)((C_word*)t0)[2])[1];
f_28570(t2,((C_word*)t0)[3],t1);}

/* k28660 in k28538 in k28535 in ##sys#user-read-hook in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in ... */
static void C_ccall f_28662(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_28662,2,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_28665,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:5772: readln */
f_28432(t2,((C_word*)t0)[2]);}

/* k28663 in k28660 in k28538 in k28535 in ##sys#user-read-hook in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in ... */
static void C_ccall f_28665(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_28665,2,av);}
a=C_alloc(6);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_28668,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
/* library.scm:5773: chicken.base#open-output-string */
t4=*((C_word*)lf[213]+1);{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* k28666 in k28663 in k28660 in k28538 in k28535 in ##sys#user-read-hook in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in ... */
static void C_ccall f_28668(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(14,c,3)))){
C_save_and_reclaim((void *)f_28668,2,av);}
a=C_alloc(14);
t2=t1;
t3=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_28670,a[2]=t3,a[3]=((C_word)li888),tmp=(C_word)a,a+=4,tmp);
t5=C_eofp(((C_word*)t0)[2]);
t6=(C_truep(t5)?C_fix(0):C_i_string_length(((C_word*)t0)[2]));
t7=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_28684,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t4,a[5]=t3,a[6]=((C_word*)t0)[4],a[7]=((C_word*)t0)[5],tmp=(C_word)a,a+=8,tmp);
t8=C_eqp(t6,C_fix(0));
if(C_truep(t8)){
/* library.scm:5782: ##sys#read-warning */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[774]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[774]+1);
av2[1]=t7;
av2[2]=((C_word*)t0)[3];
av2[3]=lf[1177];
tp(4,av2);}}
else{
t9=C_fixnum_difference(t6,C_fix(1));
t10=C_i_string_ref(((C_word*)t0)[2],t9);
t11=C_u_i_char_equalp(t10,C_make_character(32));
if(C_truep(t11)){
if(C_truep(t11)){
/* library.scm:5786: ##sys#read-warning */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[774]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[774]+1);
av2[1]=t7;
av2[2]=((C_word*)t0)[3];
av2[3]=lf[1178];
tp(4,av2);}}
else{
t12=C_SCHEME_UNDEFINED;
t13=t7;{
C_word *av2=av;
av2[0]=t13;
av2[1]=t12;
f_28684(2,av2);}}}
else{
t12=C_fixnum_difference(t6,C_fix(1));
t13=C_i_string_ref(((C_word*)t0)[2],t12);
if(C_truep(C_u_i_char_equalp(t13,C_make_character(9)))){
/* library.scm:5786: ##sys#read-warning */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[774]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[774]+1);
av2[1]=t7;
av2[2]=((C_word*)t0)[3];
av2[3]=lf[1178];
tp(4,av2);}}
else{
t14=C_SCHEME_UNDEFINED;
t15=t7;{
C_word *av2=av;
av2[0]=t15;
av2[1]=t14;
f_28684(2,av2);}}}}}

/* get/clear-str in k28666 in k28663 in k28660 in k28538 in k28535 in ##sys#user-read-hook in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in ... */
static void C_fcall f_28670(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,0,2)))){
C_save_and_reclaim_args((void *)trf_28670,2,t0,t1);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_28674,a[2]=((C_word*)t0)[2],a[3]=t1,tmp=(C_word)a,a+=4,tmp);
/* library.scm:5775: chicken.base#get-output-string */
t3=*((C_word*)lf[211]+1);{
C_word av2[3];
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)((C_word*)t0)[2])[1];
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}

/* k28672 in get/clear-str in k28666 in k28663 in k28660 in k28538 in k28535 in ##sys#user-read-hook in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in ... */
static void C_ccall f_28674(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_28674,2,av);}
a=C_alloc(5);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_28678,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t2,tmp=(C_word)a,a+=5,tmp);
/* library.scm:5776: chicken.base#open-output-string */
t4=*((C_word*)lf[213]+1);{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* k28676 in k28672 in get/clear-str in k28666 in k28663 in k28660 in k28538 in k28535 in ##sys#user-read-hook in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in ... */
static void C_ccall f_28678(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28678,2,av);}
t2=C_mutate(((C_word *)((C_word*)t0)[2])+1,t1);
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* k28682 in k28666 in k28663 in k28660 in k28538 in k28535 in ##sys#user-read-hook in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in ... */
static void C_ccall f_28684(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,c,3)))){
C_save_and_reclaim((void *)f_28684,2,av);}
a=C_alloc(11);
t2=C_SCHEME_UNDEFINED;
t3=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
t4=C_set_block_item(t3,0,(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_28689,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t3,a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],a[7]=((C_word*)t0)[6],a[8]=((C_word)li890),tmp=(C_word)a,a+=9,tmp));
t5=((C_word*)t3)[1];
f_28689(t5,((C_word*)t0)[7],C_SCHEME_END_OF_LIST);}

/* loop in k28682 in k28666 in k28663 in k28660 in k28538 in k28535 in ##sys#user-read-hook in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in ... */
static void C_fcall f_28689(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,0,2)))){
C_save_and_reclaim_args((void *)trf_28689,3,t0,t1,t2);}
a=C_alloc(10);
t3=(*a=C_CLOSURE_TYPE|9,a[1]=(C_word)f_28693,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=t2,a[5]=((C_word*)t0)[3],a[6]=((C_word*)t0)[4],a[7]=((C_word*)t0)[5],a[8]=((C_word*)t0)[6],a[9]=((C_word*)t0)[7],tmp=(C_word)a,a+=10,tmp);
/* library.scm:5791: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[762]);
C_word av2[3];
av2[0]=*((C_word*)lf[762]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}

/* k28691 in loop in k28682 in k28666 in k28663 in k28660 in k28538 in k28535 in ##sys#user-read-hook in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in ... */
static void C_ccall f_28693(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,3)))){
C_save_and_reclaim((void *)f_28693,2,av);}
a=C_alloc(9);
t2=t1;
t3=C_eqp(t2,C_make_character(10));
t4=(C_truep(t3)?t3:C_eqp(t2,C_SCHEME_END_OF_FILE));
if(C_truep(t4)){
t5=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_28705,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],a[7]=((C_word*)t0)[6],tmp=(C_word)a,a+=8,tmp);
/* library.scm:5794: get/clear-str */
t6=((C_word*)t0)[7];
f_28670(t6,t5);}
else{
t5=C_eqp(t2,C_make_character(35));
if(C_truep(t5)){
t6=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_28825,a[2]=((C_word*)t0)[6],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[8],a[6]=((C_word*)t0)[5],a[7]=((C_word*)t0)[7],a[8]=((C_word*)t0)[9],tmp=(C_word)a,a+=9,tmp);
/* library.scm:5814: ##sys#peek-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[764]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[764]+1);
av2[1]=t6;
av2[2]=((C_word*)t0)[5];
tp(3,av2);}}
else{
t6=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_28892,a[2]=((C_word*)t0)[6],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:5824: ##sys#write-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[859]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[859]+1);
av2[1]=t6;
av2[2]=t2;
av2[3]=((C_word*)((C_word*)t0)[8])[1];
tp(4,av2);}}}}

/* k28703 in k28691 in loop in k28682 in k28666 in k28663 in k28660 in k28538 in k28535 in ##sys#user-read-hook in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in ... */
static void C_ccall f_28705(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(17,c,2)))){
C_save_and_reclaim((void *)f_28705,2,av);}
a=C_alloc(17);
t2=C_eofp(((C_word*)t0)[2]);
t3=(C_truep(t2)?t2:C_i_string_equal_p(((C_word*)t0)[3],t1));
if(C_truep(t3)){
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_28717,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[5],tmp=(C_word)a,a+=4,tmp);
if(C_truep(C_eofp(((C_word*)t0)[2]))){
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_28802,a[2]=t4,a[3]=((C_word*)t0)[6],tmp=(C_word)a,a+=4,tmp);
t6=C_a_i_list(&a,3,lf[1171],((C_word*)t0)[3],lf[1172]);
/* library.scm:5715: ##sys#print-to-string */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[929]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[929]+1);
av2[1]=t5;
av2[2]=t6;
tp(3,av2);}}
else{
t5=t4;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_SCHEME_UNDEFINED;
f_28717(2,av2);}}}
else{
t4=C_a_i_cons(&a,2,t1,((C_word*)t0)[5]);
t5=C_a_i_cons(&a,2,C_make_character(10),t4);
/* library.scm:5812: loop */
t6=((C_word*)((C_word*)t0)[7])[1];
f_28689(t6,((C_word*)t0)[4],t5);}}

/* k28715 in k28703 in k28691 in loop in k28682 in k28666 in k28663 in k28660 in k28538 in k28535 in ##sys#user-read-hook in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in ... */
static void C_ccall f_28717(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,5)))){
C_save_and_reclaim((void *)f_28717,2,av);}
a=C_alloc(9);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28724,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t3=C_i_cdr(((C_word*)t0)[3]);
t4=C_SCHEME_UNDEFINED;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=C_set_block_item(t5,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_28730,a[2]=t5,a[3]=((C_word)li889),tmp=(C_word)a,a+=4,tmp));
t7=((C_word*)t5)[1];
f_28730(t7,t2,t3,C_SCHEME_END_OF_LIST,lf[1176]);}

/* k28722 in k28715 in k28703 in k28691 in loop in k28682 in k28666 in k28663 in k28660 in k28538 in k28535 in ##sys#user-read-hook in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in ... */
static void C_ccall f_28724(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,1)))){
C_save_and_reclaim((void *)f_28724,2,av);}
a=C_alloc(6);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_list(&a,2,lf[929],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* loop2 in k28715 in k28703 in k28691 in loop in k28682 in k28666 in k28663 in k28660 in k28538 in k28535 in ##sys#user-read-hook in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in ... */
static void C_fcall f_28730(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4){
C_word tmp;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,0,2)))){
C_save_and_reclaim_args((void *)trf_28730,5,t0,t1,t2,t3,t4);}
a=C_alloc(7);
if(C_truep(C_i_nullp(t2))){
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_28744,a[2]=t1,a[3]=t4,tmp=(C_word)a,a+=4,tmp);
/* library.scm:5804: ##sys#print-to-string */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[929]);
C_word av2[3];
av2[0]=*((C_word*)lf[929]+1);
av2[1]=t5;
av2[2]=t3;
tp(3,av2);}}
else{
t5=C_i_car(t2);
t6=C_i_stringp(t5);
t7=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_28753,a[2]=t2,a[3]=t3,a[4]=((C_word*)t0)[2],a[5]=t1,a[6]=t4,tmp=(C_word)a,a+=7,tmp);
if(C_truep(t6)){
t8=t7;
f_28753(t8,t6);}
else{
t8=t2;
t9=C_u_i_car(t8);
t10=t7;
f_28753(t10,C_charp(t9));}}}

/* k28742 in loop2 in k28715 in k28703 in k28691 in loop in k28682 in k28666 in k28663 in k28660 in k28538 in k28535 in ##sys#user-read-hook in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in ... */
static void C_ccall f_28744(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,1)))){
C_save_and_reclaim((void *)f_28744,2,av);}
a=C_alloc(9);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_list(&a,3,lf[1175],t1,((C_word*)t0)[3]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k28751 in loop2 in k28715 in k28703 in k28691 in loop in k28682 in k28666 in k28663 in k28660 in k28538 in k28535 in ##sys#user-read-hook in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in ... */
static void C_fcall f_28753(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,0,4)))){
C_save_and_reclaim_args((void *)trf_28753,2,t0,t1);}
a=C_alloc(7);
if(C_truep(t1)){
t2=((C_word*)t0)[2];
t3=C_u_i_cdr(t2);
t4=((C_word*)t0)[2];
t5=C_u_i_car(t4);
t6=C_a_i_cons(&a,2,t5,((C_word*)t0)[3]);
/* library.scm:5806: loop2 */
t7=((C_word*)((C_word*)t0)[4])[1];
f_28730(t7,((C_word*)t0)[5],t3,t6,((C_word*)t0)[6]);}
else{
t2=((C_word*)t0)[2];
t3=C_u_i_cdr(t2);
t4=((C_word*)t0)[2];
t5=C_u_i_car(t4);
t6=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_28783,a[2]=((C_word*)t0)[6],a[3]=t5,a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=t3,tmp=(C_word)a,a+=7,tmp);
/* library.scm:5811: ##sys#print-to-string */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[929]);
C_word av2[3];
av2[0]=*((C_word*)lf[929]+1);
av2[1]=t6;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}}

/* k28781 in k28751 in loop2 in k28715 in k28703 in k28691 in loop in k28682 in k28666 in k28663 in k28660 in k28538 in k28535 in ##sys#user-read-hook in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in ... */
static void C_ccall f_28783(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(18,c,4)))){
C_save_and_reclaim((void *)f_28783,2,av);}
a=C_alloc(18);
t2=C_a_i_list(&a,3,lf[1175],t1,((C_word*)t0)[2]);
t3=C_a_i_list(&a,3,lf[1175],((C_word*)t0)[3],t2);
/* library.scm:5808: loop2 */
t4=((C_word*)((C_word*)t0)[4])[1];
f_28730(t4,((C_word*)t0)[5],((C_word*)t0)[6],C_SCHEME_END_OF_LIST,t3);}

/* k28800 in k28703 in k28691 in loop in k28682 in k28666 in k28663 in k28660 in k28538 in k28535 in ##sys#user-read-hook in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in ... */
static void C_ccall f_28802(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_28802,2,av);}
/* library.scm:5797: ##sys#read-warning */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[774]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[774]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t1;
tp(4,av2);}}

/* k28823 in k28691 in loop in k28682 in k28666 in k28663 in k28660 in k28538 in k28535 in ##sys#user-read-hook in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in ... */
static void C_ccall f_28825(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,3)))){
C_save_and_reclaim((void *)f_28825,2,av);}
a=C_alloc(9);
switch(t1){
case C_make_character(35):
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_28834,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_28841,a[2]=t2,a[3]=((C_word*)t0)[5],tmp=(C_word)a,a+=4,tmp);
/* library.scm:5817: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[762]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[762]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[6];
tp(3,av2);}
case C_make_character(123):
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_28858,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[7],tmp=(C_word)a,a+=6,tmp);
/* library.scm:5819: read-escaped-sexp */
f_28479(t2,((C_word*)t0)[6],C_SCHEME_TRUE);
default:
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_28877,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[7],tmp=(C_word)a,a+=6,tmp);
/* library.scm:5821: read-escaped-sexp */
f_28479(t2,((C_word*)t0)[6],C_SCHEME_FALSE);}}

/* k28832 in k28823 in k28691 in loop in k28682 in k28666 in k28663 in k28660 in k28538 in k28535 in ##sys#user-read-hook in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in ... */
static void C_ccall f_28834(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_28834,2,av);}
/* library.scm:5818: loop */
t2=((C_word*)((C_word*)t0)[2])[1];
f_28689(t2,((C_word*)t0)[3],((C_word*)t0)[4]);}

/* k28839 in k28823 in k28691 in loop in k28682 in k28666 in k28663 in k28660 in k28538 in k28535 in ##sys#user-read-hook in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in ... */
static void C_ccall f_28841(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_28841,2,av);}
/* library.scm:5817: ##sys#write-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[859]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[859]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
av2[3]=((C_word*)((C_word*)t0)[3])[1];
tp(4,av2);}}

/* k28856 in k28823 in k28691 in loop in k28682 in k28666 in k28663 in k28660 in k28538 in k28535 in ##sys#user-read-hook in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in ... */
static void C_ccall f_28858(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_28858,2,av);}
a=C_alloc(6);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_28866,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
/* library.scm:5820: get/clear-str */
t4=((C_word*)t0)[5];
f_28670(t4,t3);}

/* k28864 in k28856 in k28823 in k28691 in loop in k28682 in k28666 in k28663 in k28660 in k28538 in k28535 in ##sys#user-read-hook in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in ... */
static void C_ccall f_28866(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_28866,2,av);}
a=C_alloc(6);
t2=C_a_i_cons(&a,2,t1,((C_word*)t0)[2]);
t3=C_a_i_cons(&a,2,((C_word*)t0)[3],t2);
/* library.scm:5819: loop */
t4=((C_word*)((C_word*)t0)[4])[1];
f_28689(t4,((C_word*)t0)[5],t3);}

/* k28875 in k28823 in k28691 in loop in k28682 in k28666 in k28663 in k28660 in k28538 in k28535 in ##sys#user-read-hook in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in ... */
static void C_ccall f_28877(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_28877,2,av);}
a=C_alloc(6);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_28885,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
/* library.scm:5822: get/clear-str */
t4=((C_word*)t0)[5];
f_28670(t4,t3);}

/* k28883 in k28875 in k28823 in k28691 in loop in k28682 in k28666 in k28663 in k28660 in k28538 in k28535 in ##sys#user-read-hook in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in ... */
static void C_ccall f_28885(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_28885,2,av);}
a=C_alloc(6);
t2=C_a_i_cons(&a,2,t1,((C_word*)t0)[2]);
t3=C_a_i_cons(&a,2,((C_word*)t0)[3],t2);
/* library.scm:5821: loop */
t4=((C_word*)((C_word*)t0)[4])[1];
f_28689(t4,((C_word*)t0)[5],t3);}

/* k28890 in k28691 in loop in k28682 in k28666 in k28663 in k28660 in k28538 in k28535 in ##sys#user-read-hook in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in ... */
static void C_ccall f_28892(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_28892,2,av);}
/* library.scm:5825: loop */
t2=((C_word*)((C_word*)t0)[2])[1];
f_28689(t2,((C_word*)t0)[3],((C_word*)t0)[4]);}

/* chicken.process-context#change-directory in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in ... */
static void C_ccall f_28954(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_28954,3,av);}
a=C_alloc(4);
t3=C_i_check_string_2(t2,lf[1182]);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_28961,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:5887: ##sys#make-c-string */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[742]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[742]+1);
av2[1]=t4;
av2[2]=t2;
av2[3]=lf[1182];
tp(4,av2);}}

/* k28959 in chicken.process-context#change-directory in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in ... */
static void C_ccall f_28961(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,2)))){
C_save_and_reclaim((void *)f_28961,2,av);}
a=C_alloc(8);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_28964,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
t3=C_chdir(t1);
t4=C_eqp(t3,C_fix(0));
if(C_truep(t4)){
t5=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t5;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_28970,a[2]=t2,a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:5889: ##sys#update-errno */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[700]);
C_word *av2=av;
av2[0]=*((C_word*)lf[700]+1);
av2[1]=t5;
tp(2,av2);}}}

/* k28962 in k28959 in chicken.process-context#change-directory in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in ... */
static void C_ccall f_28964(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28964,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k28968 in k28959 in chicken.process-context#change-directory in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in ... */
static void C_ccall f_28970(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,3)))){
C_save_and_reclaim((void *)f_28970,2,av);}
a=C_alloc(10);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_28977,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28981,a[2]=t2,tmp=(C_word)a,a+=3,tmp);
/* ##sys#peek-c-string */
t4=*((C_word*)lf[699]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=C_mpointer(&a,(void*)strerror(errno));
av2[3]=C_fix(0);
((C_proc)(void*)(*((C_word*)t4+1)))(4,av2);}}

/* k28975 in k28968 in k28959 in chicken.process-context#change-directory in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in ... */
static void C_ccall f_28977(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,5)))){
C_save_and_reclaim((void *)f_28977,2,av);}
/* library.scm:5890: ##sys#signal-hook */
t2=C_fast_retrieve(lf[194]);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[696];
av2[3]=lf[1182];
av2[4]=t1;
av2[5]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(6,av2);}}

/* k28979 in k28968 in k28959 in chicken.process-context#change-directory in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in ... */
static void C_ccall f_28981(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_28981,2,av);}
/* library.scm:5891: scheme#string-append */
t2=*((C_word*)lf[413]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[1183];
av2[3]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* ##sys#change-directory-hook in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in ... */
static void C_ccall f_28984(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_28984,3,av);}
/* library.scm:5895: change-directory */
t3=C_fast_retrieve(lf[1181]);{
C_word *av2=av;
av2[0]=t3;
av2[1]=t1;
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}

/* k28990 in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in ... */
static void C_ccall f_28992(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(30,c,4)))){
C_save_and_reclaim((void *)f_28992,2,av);}
a=C_alloc(30);
t2=C_mutate((C_word*)lf[1185]+1 /* (set! chicken.process-context#current-directory ...) */,t1);
t3=C_mutate((C_word*)lf[1186]+1 /* (set! chicken.process-context#get-environment-variable ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28994,a[2]=((C_word)li894),tmp=(C_word)a,a+=3,tmp));
t4=C_mutate((C_word*)lf[1187]+1 /* (set! chicken.process-context#set-environment-variable! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29009,a[2]=((C_word)li895),tmp=(C_word)a,a+=3,tmp));
t5=C_mutate((C_word*)lf[1189]+1 /* (set! chicken.process-context#unset-environment-variable! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29026,a[2]=((C_word)li896),tmp=(C_word)a,a+=3,tmp));
t6=C_mutate((C_word*)lf[1191]+1 /* (set! chicken.process-context#get-environment-variables ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29046,a[2]=((C_word)li899),tmp=(C_word)a,a+=3,tmp));
t7=C_mutate((C_word*)lf[1192]+1 /* (set! chicken.process-context#executable-pathname ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29112,a[2]=((C_word)li900),tmp=(C_word)a,a+=3,tmp));
t8=C_mutate((C_word*)lf[1193]+1 /* (set! chicken.process-context#argc+argv ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29119,a[2]=((C_word)li901),tmp=(C_word)a,a+=3,tmp));
t9=C_SCHEME_FALSE;
t10=(*a=C_VECTOR_TYPE|1,a[1]=t9,tmp=(C_word)a,a+=2,tmp);
t11=C_mutate((C_word*)lf[1194]+1 /* (set! chicken.process-context#argv ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_29131,a[2]=t10,a[3]=((C_word)li903),tmp=(C_word)a,a+=4,tmp));
t12=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29171,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t13=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31087,a[2]=t12,tmp=(C_word)a,a+=3,tmp);
/* library.scm:5972: argv */
t14=C_fast_retrieve(lf[1194]);{
C_word *av2=av;
av2[0]=t14;
av2[1]=t13;
((C_proc)(void*)(*((C_word*)t14+1)))(2,av2);}}

/* chicken.process-context#get-environment-variable in k28990 in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in ... */
static void C_ccall f_28994(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(9,c,2)))){
C_save_and_reclaim((void *)f_28994,3,av);}
a=C_alloc(9);
t3=C_a_i_bytevector(&a,1,C_fix(3));
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_29003,a[2]=t3,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
t5=C_i_foreign_string_argumentp(t2);
/* library.scm:5917: ##sys#make-c-string */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[742]);
C_word *av2=av;
av2[0]=*((C_word*)lf[742]+1);
av2[1]=t4;
av2[2]=t5;
tp(3,av2);}}

/* k29001 in chicken.process-context#get-environment-variable in k28990 in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in ... */
static void C_ccall f_29003(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_29003,2,av);}
t2=stub6770(((C_word*)t0)[2],t1);
/* library.scm:5917: ##sys#peek-c-string */
t3=*((C_word*)lf[699]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=((C_word*)t0)[3];
av2[2]=t2;
av2[3]=C_fix(0);
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* chicken.process-context#set-environment-variable! in k28990 in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in ... */
static void C_ccall f_29009(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_29009,4,av);}
a=C_alloc(4);
t4=C_i_check_string_2(t2,lf[1188]);
t5=C_i_check_string_2(t3,lf[1188]);
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_29020,a[2]=t1,a[3]=t3,tmp=(C_word)a,a+=4,tmp);
/* library.scm:5923: ##sys#make-c-string */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[742]);
C_word *av2=av;
av2[0]=*((C_word*)lf[742]+1);
av2[1]=t6;
av2[2]=t2;
av2[3]=lf[1188];
tp(4,av2);}}

/* k29018 in chicken.process-context#set-environment-variable! in k28990 in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in ... */
static void C_ccall f_29020(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_29020,2,av);}
a=C_alloc(4);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_29024,a[2]=t2,a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
/* library.scm:5924: ##sys#make-c-string */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[742]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[742]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[3];
av2[3]=lf[1188];
tp(4,av2);}}

/* k29022 in k29018 in chicken.process-context#set-environment-variable! in k28990 in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in ... */
static void C_ccall f_29024(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_29024,2,av);}
t2=C_setenv(((C_word*)t0)[2],t1);
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_UNDEFINED;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.process-context#unset-environment-variable! in k28990 in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in ... */
static void C_ccall f_29026(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_29026,3,av);}
a=C_alloc(3);
t3=C_i_check_string_2(t2,lf[1190]);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29034,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* library.scm:5930: ##sys#make-c-string */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[742]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[742]+1);
av2[1]=t4;
av2[2]=t2;
av2[3]=lf[1190];
tp(4,av2);}}

/* k29032 in chicken.process-context#unset-environment-variable! in k28990 in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in ... */
static void C_ccall f_29034(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_29034,2,av);}
t2=C_unsetenv(t1);
t3=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_UNDEFINED;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.process-context#get-environment-variables in k28990 in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in ... */
static void C_ccall f_29046(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,3)))){
C_save_and_reclaim((void *)f_29046,2,av);}
a=C_alloc(6);
t2=C_SCHEME_UNDEFINED;
t3=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
t4=C_set_block_item(t3,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_29052,a[2]=t3,a[3]=((C_word)li898),tmp=(C_word)a,a+=4,tmp));
t5=((C_word*)t3)[1];
f_29052(t5,t1,C_fix(0));}

/* loop in chicken.process-context#get-environment-variables in k28990 in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in ... */
static void C_fcall f_29052(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,0,3)))){
C_save_and_reclaim_args((void *)trf_29052,3,t0,t1,t2);}
a=C_alloc(10);
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_29056,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
t4=t2;
t5=C_a_i_bytevector(&a,1,C_fix(3));
t6=C_i_foreign_fixnum_argumentp(t4);
t7=stub6787(t5,t6);
/* library.scm:5934: ##sys#peek-c-string */
t8=*((C_word*)lf[699]+1);{
C_word av2[4];
av2[0]=t8;
av2[1]=t3;
av2[2]=t7;
av2[3]=C_fix(0);
((C_proc)(void*)(*((C_word*)t8+1)))(4,av2);}}

/* k29054 in loop in chicken.process-context#get-environment-variables in k28990 in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in ... */
static void C_ccall f_29056(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,3)))){
C_save_and_reclaim((void *)f_29056,2,av);}
a=C_alloc(9);
t2=t1;
if(C_truep(t2)){
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_29064,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=t4,a[6]=((C_word)li897),tmp=(C_word)a,a+=7,tmp));
t6=((C_word*)t4)[1];
f_29064(t6,((C_word*)t0)[4],C_fix(0));}
else{
t3=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_END_OF_LIST;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* scan in k29054 in loop in chicken.process-context#get-environment-variables in k28990 in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in ... */
static void C_fcall f_29064(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(7,0,4)))){
C_save_and_reclaim_args((void *)trf_29064,3,t0,t1,t2);}
a=C_alloc(7);
t3=C_subchar(((C_word*)t0)[2],t2);
if(C_truep(C_i_char_equalp(C_make_character(61),t3))){
t4=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_29090,a[2]=t1,a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=t2,a[6]=((C_word*)t0)[2],tmp=(C_word)a,a+=7,tmp);
/* library.scm:5941: ##sys#substring */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[395]+1));
C_word av2[5];
av2[0]=*((C_word*)lf[395]+1);
av2[1]=t4;
av2[2]=((C_word*)t0)[2];
av2[3]=C_fix(0);
av2[4]=t2;
tp(5,av2);}}
else{
t4=C_fixnum_plus(t2,C_fix(1));
/* library.scm:5944: scan */
t6=t1;
t7=t4;
t1=t6;
t2=t7;
goto loop;}}

/* k29080 in k29092 in k29088 in scan in k29054 in loop in chicken.process-context#get-environment-variables in k28990 in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in ... */
static void C_ccall f_29082(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_29082,2,av);}
a=C_alloc(3);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_cons(&a,2,((C_word*)t0)[3],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k29088 in scan in k29054 in loop in chicken.process-context#get-environment-variables in k28990 in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in ... */
static void C_ccall f_29090(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,4)))){
C_save_and_reclaim((void *)f_29090,2,av);}
a=C_alloc(6);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_29094,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
t4=C_fixnum_plus(((C_word*)t0)[5],C_fix(1));
t5=C_block_size(((C_word*)t0)[6]);
/* library.scm:5942: ##sys#substring */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[395]+1));
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[395]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[6];
av2[3]=t4;
av2[4]=t5;
tp(5,av2);}}

/* k29092 in k29088 in scan in k29054 in loop in chicken.process-context#get-environment-variables in k28990 in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in ... */
static void C_ccall f_29094(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_29094,2,av);}
a=C_alloc(7);
t2=C_a_i_cons(&a,2,((C_word*)t0)[2],t1);
t3=t2;
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_29082,a[2]=((C_word*)t0)[3],a[3]=t3,tmp=(C_word)a,a+=4,tmp);
t5=C_fixnum_plus(((C_word*)t0)[4],C_fix(1));
/* library.scm:5943: loop */
t6=((C_word*)((C_word*)t0)[5])[1];
f_29052(t6,t4,t5);}

/* chicken.process-context#executable-pathname in k28990 in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in ... */
static void C_ccall f_29112(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_29112,2,av);}
a=C_alloc(5);
t2=C_a_i_bytevector(&a,1,C_fix(3));
t3=stub6799(t2);
/* library.scm:5954: ##sys#peek-and-free-c-string */
t4=*((C_word*)lf[1130]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t4;
av2[1]=t1;
av2[2]=t3;
av2[3]=C_fix(0);
((C_proc)(void*)(*((C_word*)t4+1)))(4,av2);}}

/* chicken.process-context#argc+argv in k28990 in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in ... */
static void C_ccall f_29119(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_29119,2,av);}
a=C_alloc(3);
/* library.scm:5957: ##sys#values */{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fix((C_word)C_main_argc);
av2[3]=C_mpointer_or_false(&a,(void*)C_main_argv);
C_values(4,av2);}}

/* chicken.process-context#argv in k28990 in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in ... */
static void C_ccall f_29131(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(10,c,4)))){
C_save_and_reclaim((void *)f_29131,2,av);}
a=C_alloc(10);
if(C_truep(((C_word*)((C_word*)t0)[2])[1])){
t2=t1;{
C_word *av2=av;
av2[0]=t2;
av2[1]=((C_word*)((C_word*)t0)[2])[1];
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}
else{
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_29139,a[2]=((C_word*)t0)[2],a[3]=t1,tmp=(C_word)a,a+=4,tmp);
t3=C_fixnum_difference(C_fix((C_word)C_main_argc),C_fix(1));
t4=C_SCHEME_UNDEFINED;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=C_set_block_item(t5,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_29145,a[2]=t5,a[3]=((C_word)li902),tmp=(C_word)a,a+=4,tmp));
t7=((C_word*)t5)[1];
f_29145(t7,t2,t3,C_SCHEME_END_OF_LIST);}}

/* k29137 in chicken.process-context#argv in k28990 in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in ... */
static void C_ccall f_29139(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_29139,2,av);}
t2=C_mutate(((C_word *)((C_word*)t0)[2])+1,t1);
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=((C_word*)((C_word*)t0)[2])[1];
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* doloop6811 in chicken.process-context#argv in k28990 in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in ... */
static void C_fcall f_29145(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,0,3)))){
C_save_and_reclaim_args((void *)trf_29145,4,t0,t1,t2,t3);}
a=C_alloc(11);
if(C_truep(C_fixnum_lessp(t2,C_fix(0)))){
t4=t3;
t5=t1;{
C_word av2[2];
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t4=C_fixnum_difference(t2,C_fix(1));
t5=t4;
t6=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_29167,a[2]=t3,a[3]=((C_word*)t0)[2],a[4]=t1,a[5]=t5,tmp=(C_word)a,a+=6,tmp);
t7=t2;
t8=C_a_i_bytevector(&a,1,C_fix(3));
t9=stub6807(t8,t7);
/* library.scm:5961: ##sys#peek-c-string */
t10=*((C_word*)lf[699]+1);{
C_word av2[4];
av2[0]=t10;
av2[1]=t6;
av2[2]=t9;
av2[3]=C_fix(0);
((C_proc)(void*)(*((C_word*)t10+1)))(4,av2);}}}

/* k29165 in doloop6811 in chicken.process-context#argv in k28990 in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in ... */
static void C_ccall f_29167(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_29167,2,av);}
a=C_alloc(3);
t2=C_a_i_cons(&a,2,t1,((C_word*)t0)[2]);
t3=((C_word*)((C_word*)t0)[3])[1];
f_29145(t3,((C_word*)t0)[4],((C_word*)t0)[5],t2);}

/* k29169 in k28990 in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in ... */
static void C_ccall f_29171(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_29171,2,av);}
a=C_alloc(6);
t2=C_mutate((C_word*)lf[1195]+1 /* (set! chicken.process-context#program-name ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29175,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30999,a[2]=t3,tmp=(C_word)a,a+=3,tmp);
/* library.scm:5981: argv */
t5=C_fast_retrieve(lf[1194]);{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* k29173 in k29169 in k28990 in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in ... */
static void C_ccall f_29175(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(20,c,3)))){
C_save_and_reclaim((void *)f_29175,2,av);}
a=C_alloc(20);
t2=C_mutate((C_word*)lf[1196]+1 /* (set! chicken.process-context#command-line-arguments ...) */,t1);
t3=C_a_i_provide(&a,1,lf[1197]);
t4=C_mutate((C_word*)lf[1198]+1 /* (set! chicken.gc#current-gc-milliseconds ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29177,a[2]=((C_word)li904),tmp=(C_word)a,a+=3,tmp));
t5=C_mutate((C_word*)lf[1199]+1 /* (set! chicken.gc#set-gc-report! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29180,a[2]=((C_word)li905),tmp=(C_word)a,a+=3,tmp));
t6=C_mutate((C_word*)lf[1200]+1 /* (set! chicken.gc#memory-statistics ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29183,a[2]=((C_word)li906),tmp=(C_word)a,a+=3,tmp));
t7=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29208,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t8=C_fixnum_times(C_fix(2),C_fix((C_word)C_max_pending_finalizers));
t9=C_fixnum_plus(t8,C_fix(1));
/* library.scm:6029: ##sys#make-vector */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[668]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[668]+1);
av2[1]=t7;
av2[2]=t9;
av2[3]=C_SCHEME_UNDEFINED;
tp(4,av2);}}

/* chicken.gc#current-gc-milliseconds in k29173 in k29169 in k28990 in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in ... */
static void C_ccall f_29177(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_29177,2,av);}
t2=t1;{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_i_accumulated_gc_time();
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.gc#set-gc-report! in k29173 in k29169 in k28990 in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in ... */
static void C_ccall f_29180(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_29180,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_set_gc_report(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.gc#memory-statistics in k29173 in k29169 in k28990 in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in ... */
static void C_ccall f_29183(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_29183,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29187,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* library.scm:6019: ##sys#gc */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[313]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[313]+1);
av2[1]=t2;
av2[2]=C_SCHEME_TRUE;
tp(3,av2);}}

/* k29185 in chicken.gc#memory-statistics in k29173 in k29169 in k28990 in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in ... */
static void C_ccall f_29187(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_29187,2,av);}
a=C_alloc(4);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_29190,a[2]=t2,a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
/* library.scm:6020: ##sys#memory-info */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[320]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[320]+1);
av2[1]=t3;
tp(2,av2);}}

/* k29188 in k29185 in chicken.gc#memory-statistics in k29173 in k29169 in k28990 in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in ... */
static void C_ccall f_29190(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_29190,2,av);}
a=C_alloc(4);
t2=C_slot(t1,C_fix(0));
t3=C_fixnum_difference(t2,((C_word*)t0)[2]);
t4=C_slot(t1,C_fix(1));
t5=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_a_i_vector3(&a,3,t2,t3,t4);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* k29206 in k29173 in k29169 in k28990 in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in ... */
static void C_ccall f_29208(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(15,c,4)))){
C_save_and_reclaim((void *)f_29208,2,av);}
a=C_alloc(15);
t2=C_mutate((C_word*)lf[1167]+1 /* (set! ##sys#pending-finalizers ...) */,t1);
t3=C_i_set_i_slot(C_fast_retrieve(lf[1167]),C_fix(0),C_fix(0));
t4=C_mutate((C_word*)lf[1201]+1 /* (set! ##sys#set-finalizer! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_register_finalizer,a[2]=((C_word)li907),tmp=(C_word)a,a+=3,tmp));
t5=C_mutate((C_word*)lf[1202]+1 /* (set! chicken.gc#set-finalizer! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29214,a[2]=((C_word)li908),tmp=(C_word)a,a+=3,tmp));
t6=C_SCHEME_FALSE;
t7=(*a=C_VECTOR_TYPE|1,a[1]=t6,tmp=(C_word)a,a+=2,tmp);
t8=C_mutate((C_word*)lf[1168]+1 /* (set! ##sys#run-pending-finalizers ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_29279,a[2]=t7,a[3]=((C_word)li917),tmp=(C_word)a,a+=4,tmp));
t9=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29428,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:6098: chicken.base#make-parameter */
t10=*((C_word*)lf[201]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t10;
av2[1]=t9;
av2[2]=C_SCHEME_TRUE;
((C_proc)(void*)(*((C_word*)t10+1)))(3,av2);}}

/* chicken.gc#set-finalizer! in k29206 in k29173 in k29169 in k28990 in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in ... */
static void C_ccall f_29214(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(11,c,4)))){
C_save_and_reclaim((void *)f_29214,4,av);}
a=C_alloc(11);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_29218,a[2]=t1,a[3]=t2,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
t5=C_i_live_finalizer_count();
if(C_truep(C_fixnum_greater_or_equal_p(t5,C_fix((C_word)C_max_pending_finalizers)))){
t6=C_fixnum_times(C_fix(2),C_fix((C_word)C_max_pending_finalizers));
if(C_truep(C_resize_pending_finalizers(t6))){
t7=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_29235,a[2]=t4,a[3]=t1,a[4]=t2,a[5]=t3,tmp=(C_word)a,a+=6,tmp);
t8=C_fixnum_times(C_fix(2),C_fix((C_word)C_max_pending_finalizers));
t9=C_fixnum_plus(t8,C_fix(1));
/* library.scm:6041: ##sys#vector-resize */
f_17885(t7,C_fast_retrieve(lf[1167]),t9,C_SCHEME_UNDEFINED);}
else{
t7=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29265,a[2]=t4,tmp=(C_word)a,a+=3,tmp);
if(C_truep(C_i_debug_modep())){
t8=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29275,a[2]=t7,tmp=(C_word)a,a+=3,tmp);
t9=C_i_live_finalizer_count();
/* library.scm:6057: string-append */
t10=*((C_word*)lf[413]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t10;
av2[1]=t8;
av2[2]=lf[1206];
av2[3]=t9;
av2[4]=lf[1207];
((C_proc)(void*)(*((C_word*)t10+1)))(5,av2);}}
else{
/* library.scm:6062: ##sys#force-finalizers */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[951]);
C_word *av2=av;
av2[0]=*((C_word*)lf[951]+1);
av2[1]=t4;
tp(2,av2);}}}}
else{
/* library.scm:6063: ##sys#set-finalizer! */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[1201]);
C_word *av2=av;
av2[0]=*((C_word*)lf[1201]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=t3;
tp(4,av2);}}}

/* k29216 in chicken.gc#set-finalizer! in k29206 in k29173 in k29169 in k28990 in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in ... */
static void C_ccall f_29218(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_29218,2,av);}
/* library.scm:6063: ##sys#set-finalizer! */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[1201]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[1201]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=((C_word*)t0)[4];
tp(4,av2);}}

/* k29233 in chicken.gc#set-finalizer! in k29206 in k29173 in k29169 in k28990 in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in ... */
static void C_ccall f_29235(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,3)))){
C_save_and_reclaim((void *)f_29235,2,av);}
a=C_alloc(6);
t2=C_mutate((C_word*)lf[1167]+1 /* (set! ##sys#pending-finalizers ...) */,t1);
if(C_truep(C_i_debug_modep())){
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29245,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29249,a[2]=t3,tmp=(C_word)a,a+=3,tmp);
t5=C_i_live_finalizer_count();
/* library.scm:6048: ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[600]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[600]+1);
av2[1]=t4;
av2[2]=t5;
tp(3,av2);}}
else{
/* library.scm:6063: ##sys#set-finalizer! */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[1201]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[1201]+1);
av2[1]=((C_word*)t0)[3];
av2[2]=((C_word*)t0)[4];
av2[3]=((C_word*)t0)[5];
tp(4,av2);}}}

/* k29243 in k29233 in chicken.gc#set-finalizer! in k29206 in k29173 in k29169 in k28990 in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in ... */
static void C_ccall f_29245(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_29245,2,av);}
/* library.scm:6045: ##sys#print */
t2=*((C_word*)lf[863]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[712]+1);
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}

/* k29247 in k29233 in chicken.gc#set-finalizer! in k29206 in k29173 in k29169 in k28990 in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in ... */
static void C_ccall f_29249(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_29249,2,av);}
a=C_alloc(4);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_29253,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:6051: ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[600]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[600]+1);
av2[1]=t3;
av2[2]=C_fix((C_word)C_max_pending_finalizers);
tp(3,av2);}}

/* k29251 in k29247 in k29233 in chicken.gc#set-finalizer! in k29206 in k29173 in k29169 in k28990 in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in ... */
static void C_ccall f_29253(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,6)))){
C_save_and_reclaim((void *)f_29253,2,av);}
/* library.scm:6046: string-append */
t2=*((C_word*)lf[413]+1);{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[1203];
av2[3]=((C_word*)t0)[3];
av2[4]=lf[1204];
av2[5]=t1;
av2[6]=lf[1205];
((C_proc)(void*)(*((C_word*)t2+1)))(7,av2);}}

/* k29263 in chicken.gc#set-finalizer! in k29206 in k29173 in k29169 in k28990 in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in ... */
static void C_ccall f_29265(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_29265,2,av);}
/* library.scm:6062: ##sys#force-finalizers */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[951]);
C_word *av2=av;
av2[0]=*((C_word*)lf[951]+1);
av2[1]=((C_word*)t0)[2];
tp(2,av2);}}

/* k29273 in chicken.gc#set-finalizer! in k29206 in k29173 in k29169 in k28990 in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in ... */
static void C_ccall f_29275(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_29275,2,av);}
/* library.scm:6056: ##sys#print */
t2=*((C_word*)lf[863]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[712]+1);
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}

/* ##sys#run-pending-finalizers in k29206 in k29173 in k29169 in k28990 in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in ... */
static void C_ccall f_29279(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(15,c,2)))){
C_save_and_reclaim((void *)f_29279,3,av);}
a=C_alloc(15);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_29283,a[2]=t2,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
if(C_truep(((C_word*)((C_word*)t0)[2])[1])){
t4=t3;
f_29283(t4,C_SCHEME_UNDEFINED);}
else{
t4=C_set_block_item(((C_word*)t0)[2],0,C_SCHEME_TRUE);
t5=C_slot(C_fast_retrieve(lf[1167]),C_fix(0));
t6=t5;
t7=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_29311,a[2]=((C_word*)t0)[2],a[3]=t3,a[4]=t6,tmp=(C_word)a,a+=5,tmp);
if(C_truep(C_i_debug_modep())){
t8=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29410,a[2]=t7,tmp=(C_word)a,a+=3,tmp);
t9=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29414,a[2]=t8,tmp=(C_word)a,a+=3,tmp);
/* library.scm:6075: ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[600]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[600]+1);
av2[1]=t9;
av2[2]=t6;
tp(3,av2);}}
else{
t8=t7;{
C_word *av2=av;
av2[0]=t8;
av2[1]=C_SCHEME_UNDEFINED;
f_29311(2,av2);}}}}

/* k29281 in ##sys#run-pending-finalizers in k29206 in k29173 in k29169 in k28990 in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in ... */
static void C_fcall f_29283(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,0,2)))){
C_save_and_reclaim_args((void *)trf_29283,2,t0,t1);}
t2=C_i_not(((C_word*)t0)[2]);
if(C_truep(t2)){
t3=((C_word*)t0)[3];{
C_word av2[2];
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
if(C_truep(C_i_closurep(((C_word*)t0)[2]))){
/* library.scm:6095: state */
t3=((C_word*)t0)[2];{
C_word av2[2];
av2[0]=t3;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
if(C_truep(((C_word*)t0)[2])){
/* library.scm:6096: ##sys#context-switch */{
C_word av2[3];
av2[0]=0;
av2[1]=((C_word*)t0)[3];
av2[2]=((C_word*)t0)[2];
C_context_switch(3,av2);}}
else{
t3=C_SCHEME_UNDEFINED;
t4=((C_word*)t0)[3];{
C_word av2[2];
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}}}

/* k29309 in ##sys#run-pending-finalizers in k29206 in k29173 in k29169 in k28990 in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in ... */
static void C_ccall f_29311(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,c,3)))){
C_save_and_reclaim((void *)f_29311,2,av);}
a=C_alloc(11);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_29314,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_29323,a[2]=((C_word*)t0)[4],a[3]=t4,a[4]=((C_word)li916),tmp=(C_word)a,a+=5,tmp));
t6=((C_word*)t4)[1];
f_29323(t6,t2,C_fix(0));}

/* k29312 in k29309 in ##sys#run-pending-finalizers in k29206 in k29173 in k29169 in k28990 in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in ... */
static void C_ccall f_29314(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_29314,2,av);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_29317,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:6091: vector-fill! */
t3=*((C_word*)lf[97]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=C_fast_retrieve(lf[1167]);
av2[3]=C_SCHEME_UNDEFINED;
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* k29315 in k29312 in k29309 in ##sys#run-pending-finalizers in k29206 in k29173 in k29169 in k28990 in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in ... */
static void C_ccall f_29317(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_29317,2,av);}
t2=C_i_set_i_slot(C_fast_retrieve(lf[1167]),C_fix(0),C_fix(0));
t3=C_set_block_item(((C_word*)t0)[2],0,C_SCHEME_FALSE);
t4=((C_word*)t0)[3];
f_29283(t4,t3);}

/* doloop6886 in k29309 in ##sys#run-pending-finalizers in k29206 in k29173 in k29169 in k28990 in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in ... */
static void C_fcall f_29323(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,0,3)))){
C_save_and_reclaim_args((void *)trf_29323,3,t0,t1,t2);}
a=C_alloc(9);
if(C_truep(C_fixnum_greater_or_equal_p(t2,((C_word*)t0)[2]))){
t3=C_SCHEME_UNDEFINED;
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t3=C_fixnum_times(t2,C_fix(2));
t4=C_fixnum_plus(C_fix(1),t3);
t5=t4;
t6=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_29336,a[2]=t2,a[3]=((C_word*)t0)[3],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
t7=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_29348,a[2]=t5,a[3]=((C_word)li915),tmp=(C_word)a,a+=4,tmp);
/* library.scm:6087: scheme#call-with-current-continuation */
t8=*((C_word*)lf[132]+1);{
C_word av2[3];
av2[0]=t8;
av2[1]=t6;
av2[2]=t7;
((C_proc)(void*)(*((C_word*)t8+1)))(3,av2);}}}

/* k29334 in doloop6886 in k29309 in ##sys#run-pending-finalizers in k29206 in k29173 in k29169 in k28990 in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in ... */
static void C_ccall f_29336(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_29336,2,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_29339,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:6086: g6893 */
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)C_fast_retrieve_proc(t3))(2,av2);}}

/* k29337 in k29334 in doloop6886 in k29309 in ##sys#run-pending-finalizers in k29206 in k29173 in k29169 in k28990 in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in ... */
static void C_ccall f_29339(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_29339,2,av);}
t2=C_fixnum_plus(((C_word*)t0)[2],C_fix(1));
t3=((C_word*)((C_word*)t0)[3])[1];
f_29323(t3,((C_word*)t0)[4],t2);}

/* a29347 in doloop6886 in k29309 in ##sys#run-pending-finalizers in k29206 in k29173 in k29169 in k28990 in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in ... */
static void C_ccall f_29348(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(9,c,3)))){
C_save_and_reclaim((void *)f_29348,3,av);}
a=C_alloc(9);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_29354,a[2]=t2,a[3]=((C_word)li910),tmp=(C_word)a,a+=4,tmp);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_29366,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word)li914),tmp=(C_word)a,a+=5,tmp);
/* library.scm:6087: chicken.condition#with-exception-handler */
t5=C_fast_retrieve(lf[909]);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t5;
av2[1]=t1;
av2[2]=t3;
av2[3]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(4,av2);}}

/* a29353 in a29347 in doloop6886 in k29309 in ##sys#run-pending-finalizers in k29206 in k29173 in k29169 in k28990 in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in ... */
static void C_ccall f_29354(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_29354,3,av);}
a=C_alloc(4);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_29360,a[2]=t2,a[3]=((C_word)li909),tmp=(C_word)a,a+=4,tmp);
/* library.scm:6087: k6890 */
t4=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t1;
av2[2]=t3;
((C_proc)C_fast_retrieve_proc(t4))(3,av2);}}

/* a29359 in a29353 in a29347 in doloop6886 in k29309 in ##sys#run-pending-finalizers in k29206 in k29173 in k29169 in k28990 in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in ... */
static void C_ccall f_29360(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_29360,2,av);}
/* library.scm:6088: ##sys#show-exception-warning */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[1046]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[1046]+1);
av2[1]=t1;
av2[2]=((C_word*)t0)[2];
av2[3]=lf[1208];
av2[4]=C_SCHEME_FALSE;
tp(5,av2);}}

/* a29365 in a29347 in doloop6886 in k29309 in ##sys#run-pending-finalizers in k29206 in k29173 in k29169 in k28990 in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in ... */
static void C_ccall f_29366(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,3)))){
C_save_and_reclaim((void *)f_29366,2,av);}
a=C_alloc(8);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_29372,a[2]=((C_word*)t0)[2],a[3]=((C_word)li911),tmp=(C_word)a,a+=4,tmp);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_29389,a[2]=((C_word*)t0)[3],a[3]=((C_word)li913),tmp=(C_word)a,a+=4,tmp);
/* library.scm:6087: ##sys#call-with-values */{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=t1;
av2[2]=t2;
av2[3]=t3;
C_call_with_values(4,av2);}}

/* a29371 in a29365 in a29347 in doloop6886 in k29309 in ##sys#run-pending-finalizers in k29206 in k29173 in k29169 in k28990 in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in ... */
static void C_ccall f_29372(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_29372,2,av);}
t2=C_fixnum_plus(((C_word*)t0)[2],C_fix(1));
t3=C_slot(C_fast_retrieve(lf[1167]),t2);
t4=C_slot(C_fast_retrieve(lf[1167]),((C_word*)t0)[2]);
/* library.scm:6087: g6897 */
t5=t3;{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t5;
av2[1]=t1;
av2[2]=t4;
((C_proc)C_fast_retrieve_proc(t5))(3,av2);}}

/* a29388 in a29365 in a29347 in doloop6886 in k29309 in ##sys#run-pending-finalizers in k29206 in k29173 in k29169 in k28990 in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in ... */
static void C_ccall f_29389(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +4,c,2)))){
C_save_and_reclaim((void*)f_29389,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+4);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_29395,a[2]=t2,a[3]=((C_word)li912),tmp=(C_word)a,a+=4,tmp);
/* library.scm:6087: k6890 */
t4=((C_word*)t0)[2];{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t1;
av2[2]=t3;
((C_proc)C_fast_retrieve_proc(t4))(3,av2);}}

/* a29394 in a29388 in a29365 in a29347 in doloop6886 in k29309 in ##sys#run-pending-finalizers in k29206 in k29173 in k29169 in k28990 in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in ... */
static void C_ccall f_29395(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_29395,2,av);}{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=0;
av2[1]=t1;
av2[2]=((C_word*)t0)[2];
C_apply_values(3,av2);}}

/* k29408 in ##sys#run-pending-finalizers in k29206 in k29173 in k29169 in k28990 in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in ... */
static void C_ccall f_29410(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_29410,2,av);}
/* library.scm:6074: ##sys#print */
t2=*((C_word*)lf[863]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[712]+1);
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}

/* k29412 in ##sys#run-pending-finalizers in k29206 in k29173 in k29169 in k28990 in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in ... */
static void C_ccall f_29414(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_29414,2,av);}
a=C_alloc(4);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_29418,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=C_i_live_finalizer_count();
/* library.scm:6077: ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[600]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[600]+1);
av2[1]=t3;
av2[2]=t4;
tp(3,av2);}}

/* k29416 in k29412 in ##sys#run-pending-finalizers in k29206 in k29173 in k29169 in k28990 in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in ... */
static void C_ccall f_29418(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_29418,2,av);}
a=C_alloc(5);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_29422,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t2,tmp=(C_word)a,a+=5,tmp);
t4=C_i_allocated_finalizer_count();
/* library.scm:6080: ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[600]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[600]+1);
av2[1]=t3;
av2[2]=t4;
tp(3,av2);}}

/* k29420 in k29416 in k29412 in ##sys#run-pending-finalizers in k29206 in k29173 in k29169 in k28990 in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in ... */
static void C_ccall f_29422(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,8)))){
C_save_and_reclaim((void *)f_29422,2,av);}
/* library.scm:6075: string-append */
t2=*((C_word*)lf[413]+1);{
C_word *av2;
if(c >= 9) {
  av2=av;
} else {
  av2=C_alloc(9);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[1209];
av2[3]=((C_word*)t0)[3];
av2[4]=lf[1210];
av2[5]=((C_word*)t0)[4];
av2[6]=lf[1211];
av2[7]=t1;
av2[8]=lf[1212];
((C_proc)(void*)(*((C_word*)t2+1)))(9,av2);}}

/* k29426 in k29206 in k29173 in k29169 in k28990 in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in ... */
static void C_ccall f_29428(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word t19;
C_word t20;
C_word t21;
C_word t22;
C_word t23;
C_word t24;
C_word t25;
C_word t26;
C_word t27;
C_word t28;
C_word t29;
C_word t30;
C_word t31;
C_word t32;
C_word t33;
C_word t34;
C_word t35;
C_word t36;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(26,c,6)))){
C_save_and_reclaim((void *)f_29428,2,av);}
a=C_alloc(26);
t2=C_mutate((C_word*)lf[952]+1 /* (set! chicken.gc#force-finalizers ...) */,t1);
t3=C_mutate((C_word*)lf[951]+1 /* (set! ##sys#force-finalizers ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29430,a[2]=((C_word)li919),tmp=(C_word)a,a+=3,tmp));
t4=C_mutate((C_word*)lf[1213]+1 /* (set! chicken.gc#gc ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29458,a[2]=((C_word)li920),tmp=(C_word)a,a+=3,tmp));
t5=C_mutate((C_word*)lf[812]+1 /* (set! ##sys#list->vector ...) */,*((C_word*)lf[94]+1));
t6=C_mutate((C_word*)lf[367]+1 /* (set! ##sys#list ...) */,*((C_word*)lf[42]+1));
t7=C_mutate((C_word*)lf[1214]+1 /* (set! ##sys#length ...) */,*((C_word*)lf[43]+1));
t8=C_mutate((C_word*)lf[1215]+1 /* (set! ##sys#cons ...) */,*((C_word*)lf[8]+1));
t9=C_mutate((C_word*)lf[254]+1 /* (set! ##sys#append ...) */,*((C_word*)lf[373]+1));
t10=C_mutate((C_word*)lf[1216]+1 /* (set! ##sys#vector ...) */,*((C_word*)lf[96]+1));
t11=C_mutate((C_word*)lf[1217]+1 /* (set! ##sys#apply ...) */,*((C_word*)lf[129]+1));
t12=C_mutate((C_word*)lf[1218]+1 /* (set! ##sys#values ...) */,*((C_word*)lf[130]+1));
t13=C_mutate((C_word*)lf[1219]+1 /* (set! ##sys#equal? ...) */,*((C_word*)lf[6]+1));
t14=C_mutate((C_word*)lf[1220]+1 /* (set! ##sys#car ...) */,*((C_word*)lf[9]+1));
t15=C_mutate((C_word*)lf[1221]+1 /* (set! ##sys#cdr ...) */,*((C_word*)lf[10]+1));
t16=C_mutate((C_word*)lf[1222]+1 /* (set! ##sys#pair? ...) */,*((C_word*)lf[7]+1));
t17=C_mutate((C_word*)lf[1223]+1 /* (set! ##sys#vector? ...) */,*((C_word*)lf[89]+1));
t18=C_mutate((C_word*)lf[1224]+1 /* (set! ##sys#vector->list ...) */,*((C_word*)lf[95]+1));
t19=C_mutate((C_word*)lf[1225]+1 /* (set! ##sys#vector-length ...) */,*((C_word*)lf[90]+1));
t20=C_mutate((C_word*)lf[1226]+1 /* (set! ##sys#vector-ref ...) */,*((C_word*)lf[91]+1));
t21=C_mutate((C_word*)lf[1227]+1 /* (set! ##sys#>= ...) */,*((C_word*)lf[75]+1));
t22=C_mutate((C_word*)lf[1228]+1 /* (set! ##sys#= ...) */,*((C_word*)lf[72]+1));
t23=C_mutate((C_word*)lf[1229]+1 /* (set! ##sys#+ ...) */,*((C_word*)lf[64]+1));
t24=C_mutate((C_word*)lf[1230]+1 /* (set! ##sys#eq? ...) */,*((C_word*)lf[4]+1));
t25=C_mutate((C_word*)lf[1231]+1 /* (set! ##sys#eqv? ...) */,*((C_word*)lf[5]+1));
t26=C_mutate((C_word*)lf[1232]+1 /* (set! ##sys#list? ...) */,*((C_word*)lf[55]+1));
t27=C_mutate((C_word*)lf[1233]+1 /* (set! ##sys#null? ...) */,*((C_word*)lf[41]+1));
t28=C_mutate((C_word*)lf[1234]+1 /* (set! ##sys#map-n ...) */,*((C_word*)lf[171]+1));
t29=C_mutate((C_word*)lf[1235]+1 /* (set! ##sys#make-locative ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29501,a[2]=((C_word)li921),tmp=(C_word)a,a+=3,tmp));
t30=C_a_i_provide(&a,1,lf[1248]);
t31=C_mutate((C_word*)lf[1249]+1 /* (set! chicken.plist#put! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29765,a[2]=((C_word)li922),tmp=(C_word)a,a+=3,tmp));
t32=C_mutate((C_word*)lf[1251]+1 /* (set! chicken.plist#get ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29771,a[2]=((C_word)li923),tmp=(C_word)a,a+=3,tmp));
t33=C_mutate((C_word*)lf[1253]+1 /* (set! ##sys#put! ...) */,C_fast_retrieve(lf[1249]));
t34=C_mutate((C_word*)lf[1254]+1 /* (set! ##sys#get ...) */,C_fast_retrieve(lf[1251]));
t35=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29790,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:6232: chicken.base#getter-with-setter */
t36=*((C_word*)lf[200]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t36;
av2[1]=t35;
av2[2]=C_fast_retrieve(lf[1251]);
av2[3]=C_fast_retrieve(lf[1249]);
((C_proc)(void*)(*((C_word*)t36+1)))(4,av2);}}

/* ##sys#force-finalizers in k29426 in k29206 in k29173 in k29169 in k28990 in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in ... */
static void C_ccall f_29430(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_29430,2,av);}
a=C_alloc(6);
t2=C_SCHEME_UNDEFINED;
t3=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
t4=C_set_block_item(t3,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_29436,a[2]=t3,a[3]=((C_word)li918),tmp=(C_word)a,a+=4,tmp));
t5=((C_word*)t3)[1];
f_29436(t5,t1);}

/* loop in ##sys#force-finalizers in k29426 in k29206 in k29173 in k29169 in k28990 in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in ... */
static void C_fcall f_29436(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,0,2)))){
C_save_and_reclaim_args((void *)trf_29436,2,t0,t1);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_29440,a[2]=((C_word*)t0)[2],a[3]=t1,tmp=(C_word)a,a+=4,tmp);
/* library.scm:6102: ##sys#gc */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[313]+1));
C_word av2[2];
av2[0]=*((C_word*)lf[313]+1);
av2[1]=t2;
tp(2,av2);}}

/* k29438 in loop in ##sys#force-finalizers in k29426 in k29206 in k29173 in k29169 in k28990 in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in ... */
static void C_ccall f_29440(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_29440,2,av);}
a=C_alloc(4);
t2=C_slot(C_fast_retrieve(lf[1167]),C_fix(0));
if(C_truep(C_fixnum_greaterp(t2,C_fix(0)))){
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_29449,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:6104: ##sys#run-pending-finalizers */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[1168]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[1168]+1);
av2[1]=t3;
av2[2]=C_SCHEME_FALSE;
tp(3,av2);}}
else{
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k29447 in k29438 in loop in ##sys#force-finalizers in k29426 in k29206 in k29173 in k29169 in k28990 in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in ... */
static void C_ccall f_29449(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_29449,2,av);}
/* library.scm:6105: loop */
t2=((C_word*)((C_word*)t0)[2])[1];
f_29436(t2,((C_word*)t0)[3]);}

/* chicken.gc#gc in k29426 in k29206 in k29173 in k29169 in k28990 in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in ... */
static void C_ccall f_29458(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +0,c,2)))){
C_save_and_reclaim((void*)f_29458,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+0);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
if(C_truep(C_i_pairp(t2))){
t3=t2;
t4=C_u_i_car(t3);
if(C_truep(t4)){
/* library.scm:6111: ##sys#force-finalizers */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[951]);
C_word *av2=av;
av2[0]=*((C_word*)lf[951]+1);
av2[1]=t1;
tp(2,av2);}}
else{
/* library.scm:6112: ##sys#gc */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[313]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[313]+1);
av2[1]=t1;
av2[2]=t4;
tp(3,av2);}}}
else{
/* library.scm:6112: ##sys#gc */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[313]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[313]+1);
av2[1]=t1;
av2[2]=C_SCHEME_FALSE;
tp(3,av2);}}}

/* ##sys#make-locative in k29426 in k29206 in k29173 in k29169 in k28990 in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in ... */
static void C_ccall f_29501(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5=av[5];
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word t19;
C_word t20;
C_word t21;
C_word t22;
C_word t23;
C_word t24;
C_word *a;
if(c!=6) C_bad_argc_2(c,6,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,5)))){
C_save_and_reclaim((void *)f_29501,6,av);}
a=C_alloc(6);
if(C_truep(C_immp(t2))){
/* library.scm:6145: ##sys#signal-hook */
t6=C_fast_retrieve(lf[194]);{
C_word *av2=av;
av2[0]=t6;
av2[1]=t1;
av2[2]=lf[258];
av2[3]=t5;
av2[4]=lf[1236];
av2[5]=t2;
((C_proc)(void*)(*((C_word*)t6+1)))(6,av2);}}
else{
t6=C_i_vectorp(t2);
t7=(C_truep(t6)?t6:C_i_pairp(t2));
if(C_truep(t7)){
t8=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_29523,a[2]=t1,a[3]=t2,a[4]=t3,a[5]=t4,tmp=(C_word)a,a+=6,tmp);
t9=C_block_size(t2);
/* library.scm:6147: ##sys#check-range */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[334]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[334]+1);
av2[1]=t8;
av2[2]=t3;
av2[3]=C_fix(0);
av2[4]=t9;
av2[5]=t5;
tp(6,av2);}}
else{
t8=(C_truep(C_blockp(t2))?C_bytevectorp(t2):C_SCHEME_FALSE);
if(C_truep(t8)){
t9=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_29536,a[2]=t2,a[3]=t3,a[4]=t4,a[5]=t1,tmp=(C_word)a,a+=6,tmp);
t10=C_block_size(t2);
/* library.scm:6154: ##sys#check-range */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[334]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[334]+1);
av2[1]=t9;
av2[2]=t3;
av2[3]=C_fix(0);
av2[4]=t10;
av2[5]=t5;
tp(6,av2);}}
else{
if(C_truep(C_structurep(t2))){
t9=C_slot(t2,C_fix(0));
t10=C_eqp(t9,lf[1237]);
if(C_truep(t10)){
t11=C_slot(t2,C_fix(1));
t12=t11;
t13=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_29561,a[2]=t12,a[3]=t3,a[4]=t4,a[5]=t1,tmp=(C_word)a,a+=6,tmp);
t14=C_block_size(t12);
/* library.scm:6160: ##sys#check-range */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[334]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[334]+1);
av2[1]=t13;
av2[2]=t3;
av2[3]=C_fix(0);
av2[4]=t14;
av2[5]=t5;
tp(6,av2);}}
else{
t11=C_eqp(t9,lf[1238]);
if(C_truep(t11)){
t12=C_slot(t2,C_fix(1));
t13=t12;
t14=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_29577,a[2]=t1,a[3]=t13,a[4]=t3,a[5]=t4,tmp=(C_word)a,a+=6,tmp);
t15=C_block_size(t13);
/* library.scm:6164: ##sys#check-range */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[334]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[334]+1);
av2[1]=t14;
av2[2]=t3;
av2[3]=C_fix(0);
av2[4]=t15;
av2[5]=t5;
tp(6,av2);}}
else{
t12=C_eqp(t9,lf[1239]);
if(C_truep(t12)){
t13=C_slot(t2,C_fix(1));
t14=t13;
t15=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_29593,a[2]=t14,a[3]=t3,a[4]=t4,a[5]=t1,tmp=(C_word)a,a+=6,tmp);
t16=C_block_size(t14);
/* library.scm:6168: ##sys#check-range */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[334]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[334]+1);
av2[1]=t15;
av2[2]=t3;
av2[3]=C_fix(0);
av2[4]=t16;
av2[5]=t5;
tp(6,av2);}}
else{
t13=C_eqp(t9,lf[1240]);
if(C_truep(t13)){
t14=C_slot(t2,C_fix(1));
t15=t14;
t16=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_29609,a[2]=t1,a[3]=t15,a[4]=t3,a[5]=t4,tmp=(C_word)a,a+=6,tmp);
t17=C_block_size(t15);
/* library.scm:6172: ##sys#check-range */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[334]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[334]+1);
av2[1]=t16;
av2[2]=t3;
av2[3]=C_fix(0);
av2[4]=t17;
av2[5]=t5;
tp(6,av2);}}
else{
t14=C_eqp(t9,lf[1241]);
if(C_truep(t14)){
t15=C_slot(t2,C_fix(1));
t16=t15;
t17=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_29625,a[2]=t16,a[3]=t3,a[4]=t4,a[5]=t1,tmp=(C_word)a,a+=6,tmp);
t18=C_block_size(t16);
/* library.scm:6176: ##sys#check-range */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[334]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[334]+1);
av2[1]=t17;
av2[2]=t3;
av2[3]=C_fix(0);
av2[4]=t18;
av2[5]=t5;
tp(6,av2);}}
else{
t15=C_eqp(t9,lf[1242]);
if(C_truep(t15)){
t16=C_slot(t2,C_fix(1));
t17=t16;
t18=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_29641,a[2]=t1,a[3]=t17,a[4]=t3,a[5]=t4,tmp=(C_word)a,a+=6,tmp);
t19=C_block_size(t17);
/* library.scm:6180: ##sys#check-range */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[334]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[334]+1);
av2[1]=t18;
av2[2]=t3;
av2[3]=C_fix(0);
av2[4]=t19;
av2[5]=t5;
tp(6,av2);}}
else{
t16=C_eqp(t9,lf[1243]);
if(C_truep(t16)){
t17=C_slot(t2,C_fix(1));
t18=t17;
t19=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_29657,a[2]=t18,a[3]=t3,a[4]=t4,a[5]=t1,tmp=(C_word)a,a+=6,tmp);
t20=C_block_size(t18);
/* library.scm:6184: ##sys#check-range */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[334]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[334]+1);
av2[1]=t19;
av2[2]=t3;
av2[3]=C_fix(0);
av2[4]=t20;
av2[5]=t5;
tp(6,av2);}}
else{
t17=C_eqp(t9,lf[1244]);
if(C_truep(t17)){
t18=C_slot(t2,C_fix(1));
t19=t18;
t20=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_29673,a[2]=t1,a[3]=t19,a[4]=t3,a[5]=t4,tmp=(C_word)a,a+=6,tmp);
t21=C_block_size(t19);
/* library.scm:6188: ##sys#check-range */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[334]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[334]+1);
av2[1]=t20;
av2[2]=t3;
av2[3]=C_fix(0);
av2[4]=t21;
av2[5]=t5;
tp(6,av2);}}
else{
t18=C_eqp(t9,lf[1245]);
if(C_truep(t18)){
t19=C_slot(t2,C_fix(1));
t20=t19;
t21=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_29689,a[2]=t20,a[3]=t3,a[4]=t4,a[5]=t1,tmp=(C_word)a,a+=6,tmp);
t22=C_block_size(t20);
/* library.scm:6192: ##sys#check-range */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[334]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[334]+1);
av2[1]=t21;
av2[2]=t3;
av2[3]=C_fix(0);
av2[4]=t22;
av2[5]=t5;
tp(6,av2);}}
else{
t19=C_eqp(t9,lf[1246]);
if(C_truep(t19)){
t20=C_slot(t2,C_fix(1));
t21=t20;
t22=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_29705,a[2]=t1,a[3]=t21,a[4]=t3,a[5]=t4,tmp=(C_word)a,a+=6,tmp);
t23=C_block_size(t21);
/* library.scm:6196: ##sys#check-range */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[334]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[334]+1);
av2[1]=t22;
av2[2]=t3;
av2[3]=C_fix(0);
av2[4]=t23;
av2[5]=t5;
tp(6,av2);}}
else{
t20=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_29712,a[2]=t3,a[3]=t1,a[4]=t2,a[5]=t4,tmp=(C_word)a,a+=6,tmp);
t21=C_block_size(t2);
t22=C_fixnum_difference(t21,C_fix(1));
/* library.scm:6200: ##sys#check-range */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[334]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[334]+1);
av2[1]=t20;
av2[2]=t3;
av2[3]=C_fix(0);
av2[4]=t22;
av2[5]=t5;
tp(6,av2);}}}}}}}}}}}}
else{
if(C_truep(C_i_stringp(t2))){
t9=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_29753,a[2]=t2,a[3]=t3,a[4]=t4,a[5]=t1,tmp=(C_word)a,a+=6,tmp);
t10=C_block_size(t2);
/* library.scm:6203: ##sys#check-range */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[334]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[334]+1);
av2[1]=t9;
av2[2]=t3;
av2[3]=C_fix(0);
av2[4]=t10;
av2[5]=t5;
tp(6,av2);}}
else{
/* library.scm:6206: ##sys#signal-hook */
t9=C_fast_retrieve(lf[194]);{
C_word *av2=av;
av2[0]=t9;
av2[1]=t1;
av2[2]=lf[258];
av2[3]=t5;
av2[4]=lf[1247];
av2[5]=t2;
((C_proc)(void*)(*((C_word*)t9+1)))(6,av2);}}}}}}}

/* k29521 in ##sys#make-locative in k29426 in k29206 in k29173 in k29169 in k28990 in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in ... */
static void C_ccall f_29523(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,1)))){
C_save_and_reclaim((void *)f_29523,2,av);}
a=C_alloc(5);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_make_locative(&a,4,C_fix(0),((C_word*)t0)[3],((C_word*)t0)[4],((C_word*)t0)[5]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k29534 in ##sys#make-locative in k29426 in k29206 in k29173 in k29169 in k28990 in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in ... */
static void C_ccall f_29536(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,1)))){
C_save_and_reclaim((void *)f_29536,2,av);}
a=C_alloc(5);
t2=C_a_i_make_locative(&a,4,C_fix(2),((C_word*)t0)[2],((C_word*)t0)[3],((C_word*)t0)[4]);
t3=((C_word*)t0)[5];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* k29559 in ##sys#make-locative in k29426 in k29206 in k29173 in k29169 in k28990 in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in ... */
static void C_ccall f_29561(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,1)))){
C_save_and_reclaim((void *)f_29561,2,av);}
a=C_alloc(5);
t2=C_a_i_make_locative(&a,4,C_fix(2),((C_word*)t0)[2],((C_word*)t0)[3],((C_word*)t0)[4]);
t3=((C_word*)t0)[5];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* k29575 in ##sys#make-locative in k29426 in k29206 in k29173 in k29169 in k28990 in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in ... */
static void C_ccall f_29577(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,1)))){
C_save_and_reclaim((void *)f_29577,2,av);}
a=C_alloc(5);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_make_locative(&a,4,C_fix(3),((C_word*)t0)[3],((C_word*)t0)[4],((C_word*)t0)[5]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k29591 in ##sys#make-locative in k29426 in k29206 in k29173 in k29169 in k28990 in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in ... */
static void C_ccall f_29593(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,1)))){
C_save_and_reclaim((void *)f_29593,2,av);}
a=C_alloc(5);
t2=C_a_i_make_locative(&a,4,C_fix(4),((C_word*)t0)[2],((C_word*)t0)[3],((C_word*)t0)[4]);
t3=((C_word*)t0)[5];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* k29607 in ##sys#make-locative in k29426 in k29206 in k29173 in k29169 in k28990 in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in ... */
static void C_ccall f_29609(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,1)))){
C_save_and_reclaim((void *)f_29609,2,av);}
a=C_alloc(5);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_make_locative(&a,4,C_fix(5),((C_word*)t0)[3],((C_word*)t0)[4],((C_word*)t0)[5]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k29623 in ##sys#make-locative in k29426 in k29206 in k29173 in k29169 in k28990 in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in ... */
static void C_ccall f_29625(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,1)))){
C_save_and_reclaim((void *)f_29625,2,av);}
a=C_alloc(5);
t2=C_a_i_make_locative(&a,4,C_fix(6),((C_word*)t0)[2],((C_word*)t0)[3],((C_word*)t0)[4]);
t3=((C_word*)t0)[5];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* k29639 in ##sys#make-locative in k29426 in k29206 in k29173 in k29169 in k28990 in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in ... */
static void C_ccall f_29641(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,1)))){
C_save_and_reclaim((void *)f_29641,2,av);}
a=C_alloc(5);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_make_locative(&a,4,C_fix(7),((C_word*)t0)[3],((C_word*)t0)[4],((C_word*)t0)[5]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k29655 in ##sys#make-locative in k29426 in k29206 in k29173 in k29169 in k28990 in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in ... */
static void C_ccall f_29657(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,1)))){
C_save_and_reclaim((void *)f_29657,2,av);}
a=C_alloc(5);
t2=C_a_i_make_locative(&a,4,C_fix(8),((C_word*)t0)[2],((C_word*)t0)[3],((C_word*)t0)[4]);
t3=((C_word*)t0)[5];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* k29671 in ##sys#make-locative in k29426 in k29206 in k29173 in k29169 in k28990 in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in ... */
static void C_ccall f_29673(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,1)))){
C_save_and_reclaim((void *)f_29673,2,av);}
a=C_alloc(5);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_make_locative(&a,4,C_fix(9),((C_word*)t0)[3],((C_word*)t0)[4],((C_word*)t0)[5]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k29687 in ##sys#make-locative in k29426 in k29206 in k29173 in k29169 in k28990 in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in ... */
static void C_ccall f_29689(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,1)))){
C_save_and_reclaim((void *)f_29689,2,av);}
a=C_alloc(5);
t2=C_a_i_make_locative(&a,4,C_fix(10),((C_word*)t0)[2],((C_word*)t0)[3],((C_word*)t0)[4]);
t3=((C_word*)t0)[5];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* k29703 in ##sys#make-locative in k29426 in k29206 in k29173 in k29169 in k28990 in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in ... */
static void C_ccall f_29705(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,1)))){
C_save_and_reclaim((void *)f_29705,2,av);}
a=C_alloc(5);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_make_locative(&a,4,C_fix(11),((C_word*)t0)[3],((C_word*)t0)[4],((C_word*)t0)[5]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k29710 in ##sys#make-locative in k29426 in k29206 in k29173 in k29169 in k28990 in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in ... */
static void C_ccall f_29712(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,1)))){
C_save_and_reclaim((void *)f_29712,2,av);}
a=C_alloc(5);
t2=C_fixnum_plus(((C_word*)t0)[2],C_fix(1));
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_a_i_make_locative(&a,4,C_fix(0),((C_word*)t0)[4],t2,((C_word*)t0)[5]);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* k29751 in ##sys#make-locative in k29426 in k29206 in k29173 in k29169 in k28990 in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in ... */
static void C_ccall f_29753(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,1)))){
C_save_and_reclaim((void *)f_29753,2,av);}
a=C_alloc(5);
t2=C_a_i_make_locative(&a,4,C_fix(1),((C_word*)t0)[2],((C_word*)t0)[3],((C_word*)t0)[4]);
t3=((C_word*)t0)[5];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.plist#put! in k29426 in k29206 in k29173 in k29169 in k28990 in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in ... */
static void C_ccall f_29765(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word t6;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,1)))){
C_save_and_reclaim((void *)f_29765,5,av);}
a=C_alloc(8);
t5=C_i_check_symbol_2(t2,lf[1250]);
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=C_a_i_putprop(&a,3,t2,t3,t4);
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}

/* chicken.plist#get in k29426 in k29206 in k29173 in k29169 in k28990 in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in ... */
static void C_ccall f_29771(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c<4) C_bad_min_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-4)*C_SIZEOF_PAIR +0,c,1)))){
C_save_and_reclaim((void*)f_29771,c,av);}
a=C_alloc((c-4)*C_SIZEOF_PAIR+0);
t4=C_build_rest(&a,c,4,av);
C_word t5;
C_word t6;
C_word t7;
C_word t8;
t5=C_i_nullp(t4);
t6=(C_truep(t5)?C_SCHEME_FALSE:C_i_car(t4));
t7=C_i_check_symbol_2(t2,lf[1252]);
t8=t1;{
C_word *av2=av;
av2[0]=t8;
av2[1]=C_i_getprop(t2,t3,t6);
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}

/* k29788 in k29426 in k29206 in k29173 in k29169 in k28990 in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in ... */
static void C_ccall f_29790(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(12,c,4)))){
C_save_and_reclaim((void *)f_29790,2,av);}
a=C_alloc(12);
t2=C_mutate((C_word*)lf[1251]+1 /* (set! chicken.plist#get ...) */,t1);
t3=C_mutate((C_word*)lf[1255]+1 /* (set! chicken.plist#remprop! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29792,a[2]=((C_word)li925),tmp=(C_word)a,a+=3,tmp));
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29861,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30955,a[2]=((C_word)li964),tmp=(C_word)a,a+=3,tmp);
t6=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30964,a[2]=((C_word)li965),tmp=(C_word)a,a+=3,tmp);
/* library.scm:6252: chicken.base#getter-with-setter */
t7=*((C_word*)lf[200]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t7;
av2[1]=t4;
av2[2]=t5;
av2[3]=t6;
av2[4]=lf[1354];
((C_proc)(void*)(*((C_word*)t7+1)))(5,av2);}}

/* chicken.plist#remprop! in k29788 in k29426 in k29206 in k29173 in k29169 in k28990 in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in ... */
static void C_ccall f_29792(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_29792,4,av);}
a=C_alloc(5);
t4=C_i_check_symbol_2(t2,lf[1256]);
t5=C_slot(t2,C_fix(2));
t6=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_29815,a[2]=t3,a[3]=t2,a[4]=((C_word)li924),tmp=(C_word)a,a+=5,tmp);
t7=(
  f_29815(t6,t5,C_SCHEME_FALSE)
);
t8=C_slot(t2,C_fix(2));
if(C_truep(C_i_nullp(t8))){
t9=C_i_unpersist_symbol(t2);
t10=t1;{
C_word *av2=av;
av2[0]=t10;
av2[1]=t9;
((C_proc)(void*)(*((C_word*)t10+1)))(2,av2);}}
else{
t9=C_SCHEME_UNDEFINED;
t10=t1;{
C_word *av2=av;
av2[0]=t10;
av2[1]=t9;
((C_proc)(void*)(*((C_word*)t10+1)))(2,av2);}}}

/* loop in chicken.plist#remprop! in k29788 in k29426 in k29206 in k29173 in k29169 in k28990 in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in ... */
static C_word C_fcall f_29815(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_stack_overflow_check;
loop:{}
t3=C_i_nullp(t1);
if(C_truep(C_i_not(t3))){
t4=C_slot(t1,C_fix(1));
t5=C_slot(t4,C_fix(1));
t6=C_slot(t1,C_fix(0));
t7=C_eqp(t6,((C_word*)t0)[2]);
if(C_truep(t7)){
t8=(C_truep(t2)?C_i_setslot(t2,C_fix(1),t5):C_i_setslot(((C_word*)t0)[3],C_fix(2),t5));
return(C_SCHEME_TRUE);}
else{
t10=t5;
t11=t4;
t1=t10;
t2=t11;
goto loop;}}
else{
return(C_SCHEME_FALSE);}}

/* k29859 in k29788 in k29426 in k29206 in k29173 in k29169 in k28990 in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in ... */
static void C_ccall f_29861(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(29,c,4)))){
C_save_and_reclaim((void *)f_29861,2,av);}
a=C_alloc(29);
t2=C_mutate((C_word*)lf[1257]+1 /* (set! chicken.plist#symbol-plist ...) */,t1);
t3=C_mutate((C_word*)lf[1258]+1 /* (set! chicken.plist#get-properties ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29863,a[2]=((C_word)li927),tmp=(C_word)a,a+=3,tmp));
t4=C_mutate((C_word*)lf[1260]+1 /* (set! ##sys#display-times ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29926,a[2]=((C_word)li931),tmp=(C_word)a,a+=3,tmp));
t5=C_mutate((C_word*)lf[954]+1 /* (set! ##sys#dump-heap-state ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_dump_heap_state,a[2]=((C_word)li932),tmp=(C_word)a,a+=3,tmp));
t6=C_mutate((C_word*)lf[1276]+1 /* (set! ##sys#filter-heap-objects ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_filter_heap_objects,a[2]=((C_word)li933),tmp=(C_word)a,a+=3,tmp));
t7=C_a_i_provide(&a,1,lf[1277]);
t8=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30168,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t9=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_software_type,a[2]=((C_word)li963),tmp=(C_word)a,a+=3,tmp);
t10=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30953,a[2]=t8,tmp=(C_word)a,a+=3,tmp);
/* library.scm:6358: g7153 */
t11=t9;{
C_word *av2=av;
av2[0]=t11;
av2[1]=t10;
((C_proc)C_fast_retrieve_proc(t11))(2,av2);}}

/* chicken.plist#get-properties in k29859 in k29788 in k29426 in k29206 in k29173 in k29169 in k28990 in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in ... */
static void C_ccall f_29863(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(10,c,2)))){
C_save_and_reclaim((void *)f_29863,4,av);}
a=C_alloc(10);
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_i_check_symbol_2(t2,lf[1259]);
t6=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_29870,a[2]=t4,a[3]=t2,a[4]=t1,tmp=(C_word)a,a+=5,tmp);
if(C_truep(C_i_symbolp(((C_word*)t4)[1]))){
t7=C_a_i_list1(&a,1,((C_word*)t4)[1]);
t8=C_set_block_item(t4,0,t7);
t9=t6;
f_29870(t9,t8);}
else{
t7=t6;
f_29870(t7,C_SCHEME_UNDEFINED);}}

/* k29868 in chicken.plist#get-properties in k29859 in k29788 in k29426 in k29206 in k29173 in k29169 in k28990 in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in ... */
static void C_fcall f_29870(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,0,3)))){
C_save_and_reclaim_args((void *)trf_29870,2,t0,t1);}
a=C_alloc(7);
t2=C_i_check_list_2(((C_word*)((C_word*)t0)[2])[1],lf[1259]);
t3=C_slot(((C_word*)t0)[3],C_fix(2));
t4=C_SCHEME_UNDEFINED;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=C_set_block_item(t5,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_29882,a[2]=((C_word*)t0)[2],a[3]=t5,a[4]=((C_word)li926),tmp=(C_word)a,a+=5,tmp));
t7=((C_word*)t5)[1];
f_29882(t7,((C_word*)t0)[4],t3);}

/* loop in k29868 in chicken.plist#get-properties in k29859 in k29788 in k29426 in k29206 in k29173 in k29169 in k28990 in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in ... */
static void C_fcall f_29882(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(0,0,4)))){
C_save_and_reclaim_args((void *)trf_29882,3,t0,t1,t2);}
if(C_truep(C_i_nullp(t2))){
/* library.scm:6276: scheme#values */{
C_word av2[5];
av2[0]=0;
av2[1]=t1;
av2[2]=C_SCHEME_FALSE;
av2[3]=C_SCHEME_FALSE;
av2[4]=C_SCHEME_FALSE;
C_values(5,av2);}}
else{
t3=C_slot(t2,C_fix(0));
t4=C_slot(t2,C_fix(1));
t5=C_slot(t4,C_fix(1));
if(C_truep(C_i_memq(t3,((C_word*)((C_word*)t0)[2])[1]))){
t6=C_slot(t4,C_fix(0));
/* library.scm:6281: scheme#values */{
C_word av2[5];
av2[0]=0;
av2[1]=t1;
av2[2]=t3;
av2[3]=t6;
av2[4]=t5;
C_values(5,av2);}}
else{
/* library.scm:6282: loop */
t8=t1;
t9=t5;
t1=t8;
t2=t9;
goto loop;}}}

/* ##sys#display-times in k29859 in k29788 in k29426 in k29206 in k29173 in k29169 in k28990 in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in ... */
static void C_ccall f_29926(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(23,c,4)))){
C_save_and_reclaim((void *)f_29926,3,av);}
a=C_alloc(23);
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_SCHEME_UNDEFINED;
t6=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t7=C_SCHEME_UNDEFINED;
t8=(*a=C_VECTOR_TYPE|1,a[1]=t7,tmp=(C_word)a,a+=2,tmp);
t9=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29941,a[2]=((C_word)li928),tmp=(C_word)a,a+=3,tmp));
t10=C_set_block_item(t6,0,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29955,a[2]=((C_word)li929),tmp=(C_word)a,a+=3,tmp));
t11=C_set_block_item(t8,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_29975,a[2]=t4,a[3]=t6,a[4]=((C_word)li930),tmp=(C_word)a,a+=5,tmp));
t12=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_30060,a[2]=t2,a[3]=t1,a[4]=t8,a[5]=t4,tmp=(C_word)a,a+=6,tmp);
/* library.scm:6304: ##sys#flush-output */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[743]);
C_word *av2=av;
av2[0]=*((C_word*)lf[743]+1);
av2[1]=t12;
av2[2]=*((C_word*)lf[711]+1);
tp(3,av2);}}

/* pnum in ##sys#display-times in k29859 in k29788 in k29426 in k29206 in k29173 in k29169 in k28990 in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in ... */
static void C_fcall f_29941(C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,0,4)))){
C_save_and_reclaim_args((void *)trf_29941,2,t1,t2);}
a=C_alloc(3);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29949,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
t4=t2;
if(C_truep(C_i_zerop(t4))){
/* library.scm:6293: ##sys#print */
t5=*((C_word*)lf[863]+1);{
C_word av2[5];
av2[0]=t5;
av2[1]=t1;
av2[2]=lf[1261];
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[712]+1);
((C_proc)(void*)(*((C_word*)t5+1)))(5,av2);}}
else{
/* library.scm:6293: ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[600]+1));
C_word av2[3];
av2[0]=*((C_word*)lf[600]+1);
av2[1]=t3;
av2[2]=t2;
tp(3,av2);}}}

/* k29947 in pnum in ##sys#display-times in k29859 in k29788 in k29426 in k29206 in k29173 in k29169 in k28990 in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in ... */
static void C_ccall f_29949(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_29949,2,av);}
/* library.scm:6293: ##sys#print */
t2=*((C_word*)lf[863]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[712]+1);
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}

/* round-to in ##sys#display-times in k29859 in k29788 in k29426 in k29206 in k29173 in k29169 in k28990 in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in ... */
static void C_fcall f_29955(C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,0,3)))){
C_save_and_reclaim_args((void *)trf_29955,3,t1,t2,t3);}
a=C_alloc(8);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_29963,a[2]=t1,a[3]=t3,tmp=(C_word)a,a+=4,tmp);
t5=t2;
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_29973,a[2]=t5,a[3]=t4,tmp=(C_word)a,a+=4,tmp);
/* library.scm:6295: scheme#expt */
t7=*((C_word*)lf[530]+1);{
C_word av2[4];
av2[0]=t7;
av2[1]=t6;
av2[2]=C_fix(10);
av2[3]=t3;
((C_proc)(void*)(*((C_word*)t7+1)))(4,av2);}}

/* k29961 in round-to in ##sys#display-times in k29859 in k29788 in k29426 in k29206 in k29173 in k29169 in k28990 in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in ... */
static void C_ccall f_29963(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_29963,2,av);}
a=C_alloc(4);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_29967,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:6295: scheme#expt */
t4=*((C_word*)lf[530]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=lf[1262];
av2[3]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t4+1)))(4,av2);}}

/* k29965 in k29961 in round-to in ##sys#display-times in k29859 in k29788 in k29426 in k29206 in k29173 in k29169 in k28990 in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in ... */
static void C_ccall f_29967(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_29967,2,av);}
/* ##sys#/-2 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[526]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[526]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t1;
tp(4,av2);}}

/* k29971 in round-to in ##sys#display-times in k29859 in k29788 in k29426 in k29206 in k29173 in k29169 in k28990 in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in ... */
static void C_ccall f_29973(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(33,c,2)))){
C_save_and_reclaim((void *)f_29973,2,av);}
a=C_alloc(33);
t2=C_s_a_i_times(&a,2,((C_word*)t0)[2],t1);
/* library.scm:6295: scheme#round */
t3=*((C_word*)lf[550]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t3;
av2[1]=((C_word*)t0)[3];
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}

/* pmem in ##sys#display-times in k29859 in k29788 in k29426 in k29206 in k29173 in k29169 in k28990 in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in ... */
static void C_fcall f_29975(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,0,3)))){
C_save_and_reclaim_args((void *)trf_29975,3,t0,t1,t2);}
a=C_alloc(11);
t3=t2;
if(C_truep(C_i_greaterp(t3,lf[1263]))){
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29987,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_29994,a[2]=((C_word*)t0)[2],a[3]=t4,tmp=(C_word)a,a+=4,tmp);
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_29998,a[2]=((C_word*)t0)[3],a[3]=t5,tmp=(C_word)a,a+=4,tmp);
t7=t2;
/* ##sys#/-2 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[526]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[526]+1);
av2[1]=t6;
av2[2]=t7;
av2[3]=lf[1263];
tp(4,av2);}}
else{
t4=t2;
if(C_truep(C_i_greaterp(t4,C_fix(1048576)))){
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30014,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30021,a[2]=((C_word*)t0)[2],a[3]=t5,tmp=(C_word)a,a+=4,tmp);
t7=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30025,a[2]=((C_word*)t0)[3],a[3]=t6,tmp=(C_word)a,a+=4,tmp);
t8=t2;
/* ##sys#/-2 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[526]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[526]+1);
av2[1]=t7;
av2[2]=t8;
av2[3]=C_fix(1048576);
tp(4,av2);}}
else{
t5=t2;
if(C_truep(C_i_greaterp(t5,C_fix(1024)))){
t6=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30038,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
t7=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30045,a[2]=((C_word*)t0)[2],a[3]=t6,tmp=(C_word)a,a+=4,tmp);
t8=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30049,a[2]=((C_word*)t0)[3],a[3]=t7,tmp=(C_word)a,a+=4,tmp);
t9=t2;
/* ##sys#/-2 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[526]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[526]+1);
av2[1]=t8;
av2[2]=t9;
av2[3]=C_fix(1024);
tp(4,av2);}}
else{
t6=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30054,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* library.scm:6303: pnum */
f_29941(t6,t2);}}}}

/* k29985 in pmem in ##sys#display-times in k29859 in k29788 in k29426 in k29206 in k29173 in k29169 in k28990 in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in ... */
static void C_ccall f_29987(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_29987,2,av);}
t2=((C_word*)t0)[2];
/* library.scm:6290: ##sys#print */
t3=*((C_word*)lf[863]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[1264];
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[712]+1);
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}

/* k29992 in pmem in ##sys#display-times in k29859 in k29788 in k29426 in k29206 in k29173 in k29169 in k28990 in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in ... */
static void C_ccall f_29994(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_29994,2,av);}
/* library.scm:6298: pnum */
f_29941(((C_word*)t0)[3],t1);}

/* k29996 in pmem in ##sys#display-times in k29859 in k29788 in k29426 in k29206 in k29173 in k29169 in k28990 in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in ... */
static void C_ccall f_29998(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_29998,2,av);}
/* library.scm:6298: round-to */
f_29955(((C_word*)t0)[3],t1,C_fix(2));}

/* k30012 in pmem in ##sys#display-times in k29859 in k29788 in k29426 in k29206 in k29173 in k29169 in k28990 in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in ... */
static void C_ccall f_30014(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_30014,2,av);}
t2=((C_word*)t0)[2];
/* library.scm:6290: ##sys#print */
t3=*((C_word*)lf[863]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[1265];
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[712]+1);
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}

/* k30019 in pmem in ##sys#display-times in k29859 in k29788 in k29426 in k29206 in k29173 in k29169 in k28990 in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in ... */
static void C_ccall f_30021(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_30021,2,av);}
/* library.scm:6300: pnum */
f_29941(((C_word*)t0)[3],t1);}

/* k30023 in pmem in ##sys#display-times in k29859 in k29788 in k29426 in k29206 in k29173 in k29169 in k28990 in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in ... */
static void C_ccall f_30025(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_30025,2,av);}
/* library.scm:6300: round-to */
f_29955(((C_word*)t0)[3],t1,C_fix(2));}

/* k30036 in pmem in ##sys#display-times in k29859 in k29788 in k29426 in k29206 in k29173 in k29169 in k28990 in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in ... */
static void C_ccall f_30038(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_30038,2,av);}
t2=((C_word*)t0)[2];
/* library.scm:6290: ##sys#print */
t3=*((C_word*)lf[863]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[1266];
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[712]+1);
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}

/* k30043 in pmem in ##sys#display-times in k29859 in k29788 in k29426 in k29206 in k29173 in k29169 in k28990 in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in ... */
static void C_ccall f_30045(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_30045,2,av);}
/* library.scm:6302: pnum */
f_29941(((C_word*)t0)[3],t1);}

/* k30047 in pmem in ##sys#display-times in k29859 in k29788 in k29426 in k29206 in k29173 in k29169 in k28990 in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in ... */
static void C_ccall f_30049(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_30049,2,av);}
/* library.scm:6302: round-to */
f_29955(((C_word*)t0)[3],t1,C_fix(2));}

/* k30052 in pmem in ##sys#display-times in k29859 in k29788 in k29426 in k29206 in k29173 in k29169 in k28990 in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in ... */
static void C_ccall f_30054(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_30054,2,av);}
t2=((C_word*)t0)[2];
/* library.scm:6290: ##sys#print */
t3=*((C_word*)lf[863]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[1267];
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[712]+1);
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}

/* k30058 in ##sys#display-times in k29859 in k29788 in k29426 in k29206 in k29173 in k29169 in k28990 in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in ... */
static void C_ccall f_30060(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_30060,2,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_30063,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
t3=C_slot(((C_word*)t0)[2],C_fix(0));
/* library.scm:6305: pnum */
f_29941(t2,t3);}

/* k30061 in k30058 in ##sys#display-times in k29859 in k29788 in k29426 in k29206 in k29173 in k29169 in k28990 in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in ... */
static void C_ccall f_30063(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,4)))){
C_save_and_reclaim((void *)f_30063,2,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_30066,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
/* library.scm:6290: ##sys#print */
t3=*((C_word*)lf[863]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[1275];
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[712]+1);
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}

/* k30064 in k30061 in k30058 in ##sys#display-times in k29859 in k29788 in k29426 in k29206 in k29173 in k29169 in k28990 in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in ... */
static void C_ccall f_30066(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,c,4)))){
C_save_and_reclaim((void *)f_30066,2,av);}
a=C_alloc(11);
t2=C_slot(((C_word*)t0)[2],C_fix(1));
t3=t2;
t4=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_30072,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
if(C_truep(C_i_greaterp(t3,C_fix(0)))){
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_30152,a[2]=t4,a[3]=((C_word*)t0)[5],a[4]=t3,tmp=(C_word)a,a+=5,tmp);
/* library.scm:6290: ##sys#print */
t6=*((C_word*)lf[863]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t6;
av2[1]=t5;
av2[2]=lf[1274];
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[712]+1);
((C_proc)(void*)(*((C_word*)t6+1)))(5,av2);}}
else{
t5=t4;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_SCHEME_UNDEFINED;
f_30072(2,av2);}}}

/* k30070 in k30064 in k30061 in k30058 in ##sys#display-times in k29859 in k29788 in k29426 in k29206 in k29173 in k29169 in k28990 in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in ... */
static void C_ccall f_30072(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(12,c,4)))){
C_save_and_reclaim((void *)f_30072,2,av);}
a=C_alloc(12);
t2=C_slot(((C_word*)t0)[2],C_fix(2));
t3=t2;
t4=C_slot(((C_word*)t0)[2],C_fix(3));
t5=t4;
t6=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_30081,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
if(C_truep(C_fixnum_greaterp(t3,C_fix(0)))){
t7=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_30135,a[2]=t6,a[3]=((C_word*)t0)[5],a[4]=t5,a[5]=t3,tmp=(C_word)a,a+=6,tmp);
/* library.scm:6290: ##sys#print */
t8=*((C_word*)lf[863]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t8;
av2[1]=t7;
av2[2]=lf[1272];
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[712]+1);
((C_proc)(void*)(*((C_word*)t8+1)))(5,av2);}}
else{
t7=t6;{
C_word *av2=av;
av2[0]=t7;
av2[1]=C_SCHEME_UNDEFINED;
f_30081(2,av2);}}}

/* k30079 in k30070 in k30064 in k30061 in k30058 in ##sys#display-times in k29859 in k29788 in k29426 in k29206 in k29173 in k29169 in k28990 in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in ... */
static void C_ccall f_30081(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,c,4)))){
C_save_and_reclaim((void *)f_30081,2,av);}
a=C_alloc(11);
t2=C_slot(((C_word*)t0)[2],C_fix(4));
t3=t2;
t4=C_slot(((C_word*)t0)[2],C_fix(5));
t5=t4;
t6=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_30090,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
t7=C_fixnum_greaterp(t3,C_fix(0));
t8=(C_truep(t7)?t7:C_fixnum_greaterp(t5,C_fix(0)));
if(C_truep(t8)){
t9=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_30114,a[2]=t6,a[3]=((C_word*)t0)[5],a[4]=t3,a[5]=t5,tmp=(C_word)a,a+=6,tmp);
/* library.scm:6290: ##sys#print */
t10=*((C_word*)lf[863]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t10;
av2[1]=t9;
av2[2]=lf[1270];
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[712]+1);
((C_proc)(void*)(*((C_word*)t10+1)))(5,av2);}}
else{
t9=t6;{
C_word *av2=av;
av2[0]=t9;
av2[1]=C_SCHEME_UNDEFINED;
f_30090(2,av2);}}}

/* k30088 in k30079 in k30070 in k30064 in k30061 in k30058 in ##sys#display-times in k29859 in k29788 in k29426 in k29206 in k29173 in k29169 in k28990 in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in ... */
static void C_ccall f_30090(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,4)))){
C_save_and_reclaim((void *)f_30090,2,av);}
a=C_alloc(5);
t2=C_slot(((C_word*)t0)[2],C_fix(6));
t3=t2;
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_30096,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=t3,tmp=(C_word)a,a+=5,tmp);
/* library.scm:6290: ##sys#print */
t5=*((C_word*)lf[863]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t5;
av2[1]=t4;
av2[2]=lf[1268];
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[712]+1);
((C_proc)(void*)(*((C_word*)t5+1)))(5,av2);}}

/* k30094 in k30088 in k30079 in k30070 in k30064 in k30061 in k30058 in ##sys#display-times in k29859 in k29788 in k29426 in k29206 in k29173 in k29169 in k28990 in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in ... */
static void C_ccall f_30096(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_30096,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30099,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:6330: pmem */
t3=((C_word*)((C_word*)t0)[3])[1];
f_29975(t3,t2,((C_word*)t0)[4]);}

/* k30097 in k30094 in k30088 in k30079 in k30070 in k30064 in k30061 in k30058 in ##sys#display-times in k29859 in k29788 in k29426 in k29206 in k29173 in k29169 in k28990 in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in ... */
static void C_ccall f_30099(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_30099,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30102,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:6331: ##sys#write-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[859]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[859]+1);
av2[1]=t2;
av2[2]=C_make_character(10);
av2[3]=*((C_word*)lf[712]+1);
tp(4,av2);}}

/* k30100 in k30097 in k30094 in k30088 in k30079 in k30070 in k30064 in k30061 in k30058 in ##sys#display-times in k29859 in k29788 in k29426 in k29206 in k29173 in k29169 in k28990 in k28353 in k28293 in k26960 in k26957 in k26954 in ... */
static void C_ccall f_30102(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_30102,2,av);}
/* library.scm:6332: ##sys#flush-output */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[743]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[743]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=*((C_word*)lf[712]+1);
tp(3,av2);}}

/* k30112 in k30079 in k30070 in k30064 in k30061 in k30058 in ##sys#display-times in k29859 in k29788 in k29426 in k29206 in k29173 in k29169 in k28990 in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in ... */
static void C_ccall f_30114(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_30114,2,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_30117,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:6324: pnum */
f_29941(t2,((C_word*)t0)[5]);}

/* k30115 in k30112 in k30079 in k30070 in k30064 in k30061 in k30058 in ##sys#display-times in k29859 in k29788 in k29426 in k29206 in k29173 in k29169 in k28990 in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in ... */
static void C_ccall f_30117(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_30117,2,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_30120,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:6291: ##sys#write-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[859]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[859]+1);
av2[1]=t2;
av2[2]=C_make_character(47);
av2[3]=*((C_word*)lf[712]+1);
tp(4,av2);}}

/* k30118 in k30115 in k30112 in k30079 in k30070 in k30064 in k30061 in k30058 in ##sys#display-times in k29859 in k29788 in k29426 in k29206 in k29173 in k29169 in k28990 in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in ... */
static void C_ccall f_30120(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_30120,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30123,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:6326: pnum */
f_29941(t2,((C_word*)t0)[4]);}

/* k30121 in k30118 in k30115 in k30112 in k30079 in k30070 in k30064 in k30061 in k30058 in ##sys#display-times in k29859 in k29788 in k29426 in k29206 in k29173 in k29169 in k28990 in k28353 in k28293 in k26960 in k26957 in k26954 in ... */
static void C_ccall f_30123(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_30123,2,av);}
/* library.scm:6290: ##sys#print */
t2=*((C_word*)lf[863]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[1269];
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[712]+1);
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}

/* k30133 in k30070 in k30064 in k30061 in k30058 in ##sys#display-times in k29859 in k29788 in k29426 in k29206 in k29173 in k29169 in k28990 in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in ... */
static void C_ccall f_30135(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_30135,2,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_30138,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:6316: pnum */
f_29941(t2,((C_word*)t0)[5]);}

/* k30136 in k30133 in k30070 in k30064 in k30061 in k30058 in ##sys#display-times in k29859 in k29788 in k29426 in k29206 in k29173 in k29169 in k28990 in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in ... */
static void C_ccall f_30138(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_30138,2,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_30141,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:6291: ##sys#write-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[859]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[859]+1);
av2[1]=t2;
av2[2]=C_make_character(47);
av2[3]=*((C_word*)lf[712]+1);
tp(4,av2);}}

/* k30139 in k30136 in k30133 in k30070 in k30064 in k30061 in k30058 in ##sys#display-times in k29859 in k29788 in k29426 in k29206 in k29173 in k29169 in k28990 in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in ... */
static void C_ccall f_30141(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_30141,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30144,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:6318: pnum */
f_29941(t2,((C_word*)t0)[4]);}

/* k30142 in k30139 in k30136 in k30133 in k30070 in k30064 in k30061 in k30058 in ##sys#display-times in k29859 in k29788 in k29426 in k29206 in k29173 in k29169 in k28990 in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in ... */
static void C_ccall f_30144(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_30144,2,av);}
/* library.scm:6290: ##sys#print */
t2=*((C_word*)lf[863]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[1271];
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[712]+1);
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}

/* k30150 in k30064 in k30061 in k30058 in ##sys#display-times in k29859 in k29788 in k29426 in k29206 in k29173 in k29169 in k28990 in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in ... */
static void C_ccall f_30152(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_30152,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30155,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:6310: pnum */
f_29941(t2,((C_word*)t0)[4]);}

/* k30153 in k30150 in k30064 in k30061 in k30058 in ##sys#display-times in k29859 in k29788 in k29426 in k29206 in k29173 in k29169 in k28990 in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in ... */
static void C_ccall f_30155(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_30155,2,av);}
/* library.scm:6290: ##sys#print */
t2=*((C_word*)lf[863]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[1273];
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[712]+1);
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}

/* k30166 in k29859 in k29788 in k29426 in k29206 in k29173 in k29169 in k28990 in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in ... */
static void C_ccall f_30168(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(13,c,2)))){
C_save_and_reclaim((void *)f_30168,2,av);}
a=C_alloc(13);
t2=t1;
t3=C_mutate((C_word*)lf[1278]+1 /* (set! chicken.platform#software-type ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30169,a[2]=t2,a[3]=((C_word)li934),tmp=(C_word)a,a+=4,tmp));
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30174,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_machine_type,a[2]=((C_word)li962),tmp=(C_word)a,a+=3,tmp);
t6=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30949,a[2]=t4,tmp=(C_word)a,a+=3,tmp);
/* library.scm:6362: g7157 */
t7=t5;{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
((C_proc)C_fast_retrieve_proc(t7))(2,av2);}}

/* chicken.platform#software-type in k30166 in k29859 in k29788 in k29426 in k29206 in k29173 in k29169 in k28990 in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in ... */
static void C_ccall f_30169(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_30169,2,av);}
t2=t1;{
C_word *av2=av;
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k30172 in k30166 in k29859 in k29788 in k29426 in k29206 in k29173 in k29169 in k28990 in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in ... */
static void C_ccall f_30174(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(13,c,2)))){
C_save_and_reclaim((void *)f_30174,2,av);}
a=C_alloc(13);
t2=t1;
t3=C_mutate((C_word*)lf[1279]+1 /* (set! chicken.platform#machine-type ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30175,a[2]=t2,a[3]=((C_word)li935),tmp=(C_word)a,a+=4,tmp));
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30180,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_machine_byte_order,a[2]=((C_word)li961),tmp=(C_word)a,a+=3,tmp);
t6=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30945,a[2]=t4,tmp=(C_word)a,a+=3,tmp);
/* library.scm:6366: g7161 */
t7=t5;{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
((C_proc)C_fast_retrieve_proc(t7))(2,av2);}}

/* chicken.platform#machine-type in k30172 in k30166 in k29859 in k29788 in k29426 in k29206 in k29173 in k29169 in k28990 in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in ... */
static void C_ccall f_30175(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_30175,2,av);}
t2=t1;{
C_word *av2=av;
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k30178 in k30172 in k30166 in k29859 in k29788 in k29426 in k29206 in k29173 in k29169 in k28990 in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in ... */
static void C_ccall f_30180(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(13,c,2)))){
C_save_and_reclaim((void *)f_30180,2,av);}
a=C_alloc(13);
t2=t1;
t3=C_mutate((C_word*)lf[1280]+1 /* (set! chicken.platform#machine-byte-order ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30181,a[2]=t2,a[3]=((C_word)li936),tmp=(C_word)a,a+=4,tmp));
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30186,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_software_version,a[2]=((C_word)li960),tmp=(C_word)a,a+=3,tmp);
t6=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30941,a[2]=t4,tmp=(C_word)a,a+=3,tmp);
/* library.scm:6370: g7165 */
t7=t5;{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
((C_proc)C_fast_retrieve_proc(t7))(2,av2);}}

/* chicken.platform#machine-byte-order in k30178 in k30172 in k30166 in k29859 in k29788 in k29426 in k29206 in k29173 in k29169 in k28990 in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in ... */
static void C_ccall f_30181(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_30181,2,av);}
t2=t1;{
C_word *av2=av;
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k30184 in k30178 in k30172 in k30166 in k29859 in k29788 in k29426 in k29206 in k29173 in k29169 in k28990 in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in ... */
static void C_ccall f_30186(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(13,c,2)))){
C_save_and_reclaim((void *)f_30186,2,av);}
a=C_alloc(13);
t2=t1;
t3=C_mutate((C_word*)lf[1281]+1 /* (set! chicken.platform#software-version ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30187,a[2]=t2,a[3]=((C_word)li937),tmp=(C_word)a,a+=4,tmp));
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30192,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_build_platform,a[2]=((C_word)li959),tmp=(C_word)a,a+=3,tmp);
t6=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30937,a[2]=t4,tmp=(C_word)a,a+=3,tmp);
/* library.scm:6374: g7169 */
t7=t5;{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
((C_proc)C_fast_retrieve_proc(t7))(2,av2);}}

/* chicken.platform#software-version in k30184 in k30178 in k30172 in k30166 in k29859 in k29788 in k29426 in k29206 in k29173 in k29169 in k28990 in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in ... */
static void C_ccall f_30187(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_30187,2,av);}
t2=t1;{
C_word *av2=av;
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k30190 in k30184 in k30178 in k30172 in k30166 in k29859 in k29788 in k29426 in k29206 in k29173 in k29169 in k28990 in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in ... */
static void C_ccall f_30192(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,2)))){
C_save_and_reclaim((void *)f_30192,2,av);}
a=C_alloc(10);
t2=t1;
t3=C_mutate((C_word*)lf[1282]+1 /* (set! chicken.platform#build-platform ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30193,a[2]=t2,a[3]=((C_word)li938),tmp=(C_word)a,a+=4,tmp));
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30198,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30933,a[2]=t4,tmp=(C_word)a,a+=3,tmp);
/* library.scm:6378: software-type */
t6=C_fast_retrieve(lf[1278]);{
C_word *av2=av;
av2[0]=t6;
av2[1]=t5;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}

/* chicken.platform#build-platform in k30190 in k30184 in k30178 in k30172 in k30166 in k29859 in k29788 in k29426 in k29206 in k29173 in k29169 in k28990 in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in ... */
static void C_ccall f_30193(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_30193,2,av);}
t2=t1;{
C_word *av2=av;
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k30196 in k30190 in k30184 in k30178 in k30172 in k30166 in k29859 in k29788 in k29426 in k29206 in k29173 in k29169 in k28990 in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in ... */
static void C_fcall f_30198(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(21,0,3)))){
C_save_and_reclaim_args((void *)trf_30198,2,t0,t1);}
a=C_alloc(21);
t2=C_set_block_item(lf[1283] /* ##sys#windows-platform */,0,t1);
t3=C_mutate((C_word*)lf[1284]+1 /* (set! chicken.platform#chicken-version ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30200,a[2]=((C_word)li940),tmp=(C_word)a,a+=3,tmp));
t4=C_mutate((C_word*)lf[1318]+1 /* (set! chicken.platform#chicken-home ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30339,a[2]=((C_word)li941),tmp=(C_word)a,a+=3,tmp));
t5=(C_truep(C_fast_retrieve(lf[1283]))?C_make_character(59):C_make_character(58));
t6=lf[1319] /* chicken.platform#path-list-separator */ =t5;;
t7=lf[1320];
t8=(*a=C_VECTOR_TYPE|1,a[1]=t7,tmp=(C_word)a,a+=2,tmp);
t9=C_mutate((C_word*)lf[1321]+1 /* (set! ##sys#split-path ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30349,a[2]=t8,a[3]=((C_word)li943),tmp=(C_word)a,a+=4,tmp));
t10=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30439,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t11=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30851,a[2]=t10,tmp=(C_word)a,a+=3,tmp);
/* ##sys#peek-c-string */
t12=*((C_word*)lf[699]+1);{
C_word av2[4];
av2[0]=t12;
av2[1]=t11;
av2[2]=C_mpointer(&a,(void*)C_private_repository_path());
av2[3]=C_fix(0);
((C_proc)(void*)(*((C_word*)t12+1)))(4,av2);}}

/* chicken.platform#chicken-version in k30196 in k30190 in k30184 in k30178 in k30172 in k30166 in k29859 in k29788 in k29426 in k29206 in k29173 in k29169 in k28990 in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in ... */
static void C_ccall f_30200(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +6,c,2)))){
C_save_and_reclaim((void*)f_30200,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+6);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
t3=C_i_nullp(t2);
t4=(C_truep(t3)?C_SCHEME_FALSE:C_i_car(t2));
if(C_truep(t4)){
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30261,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
t6=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30331,a[2]=t5,tmp=(C_word)a,a+=3,tmp);
/* library.scm:6395: feature? */
t7=C_fast_retrieve(lf[1312]);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t7;
av2[1]=t6;
av2[2]=lf[1317];
((C_proc)(void*)(*((C_word*)t7+1)))(3,av2);}}
else{
t5=C_fast_retrieve(lf[1286]);
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=C_fast_retrieve(lf[1286]);
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}}

/* k30208 in k30270 in k30266 in k30259 in chicken.platform#chicken-version in k30196 in k30190 in k30184 in k30178 in k30172 in k30166 in k29859 in k29788 in k29426 in k29206 in k29173 in k29169 in k28990 in k28353 in k28293 in k26960 in k26957 in ... */
static void C_ccall f_30210(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_30210,2,av);}
a=C_alloc(4);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30213,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:6385: software-type */
t4=C_fast_retrieve(lf[1278]);{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* k30211 in k30208 in k30270 in k30266 in k30259 in chicken.platform#chicken-version in k30196 in k30190 in k30184 in k30178 in k30172 in k30166 in k29859 in k29788 in k29426 in k29206 in k29173 in k29169 in k28990 in k28353 in k28293 in k26960 in ... */
static void C_ccall f_30213(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_30213,2,av);}
a=C_alloc(5);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_30216,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t2,tmp=(C_word)a,a+=5,tmp);
/* library.scm:6386: software-version */
t4=C_fast_retrieve(lf[1281]);{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* k30214 in k30211 in k30208 in k30270 in k30266 in k30259 in chicken.platform#chicken-version in k30196 in k30190 in k30184 in k30178 in k30172 in k30166 in k29859 in k29788 in k29426 in k29206 in k29173 in k29169 in k28990 in k28353 in k28293 in ... */
static void C_ccall f_30216(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_30216,2,av);}
a=C_alloc(6);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_30219,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=t2,tmp=(C_word)a,a+=6,tmp);
/* library.scm:6387: machine-type */
t4=C_fast_retrieve(lf[1279]);{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* k30217 in k30214 in k30211 in k30208 in k30270 in k30266 in k30259 in chicken.platform#chicken-version in k30196 in k30190 in k30184 in k30178 in k30172 in k30166 in k29859 in k29788 in k29426 in k29206 in k29173 in k29169 in k28990 in k28353 in ... */
static void C_ccall f_30219(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,3)))){
C_save_and_reclaim((void *)f_30219,2,av);}
a=C_alloc(10);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30221,a[2]=((C_word)li939),tmp=(C_word)a,a+=3,tmp);
t4=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_30243,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=t3,a[5]=((C_word*)t0)[3],a[6]=((C_word*)t0)[4],tmp=(C_word)a,a+=7,tmp);
/* library.scm:6392: str */
f_30221(t4,((C_word*)t0)[5]);}

/* str in k30217 in k30214 in k30211 in k30208 in k30270 in k30266 in k30259 in chicken.platform#chicken-version in k30196 in k30190 in k30184 in k30178 in k30172 in k30166 in k29859 in k29788 in k29426 in k29206 in k29173 in k29169 in k28990 in ... */
static void C_fcall f_30221(C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,0,2)))){
C_save_and_reclaim_args((void *)trf_30221,2,t1,t2);}
a=C_alloc(3);
t3=C_eqp(lf[1291],t2);
if(C_truep(t3)){
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=lf[1292];
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30235,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* library.scm:6391: scheme#symbol->string */
t5=*((C_word*)lf[630]+1);{
C_word av2[3];
av2[0]=t5;
av2[1]=t4;
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t5+1)))(3,av2);}}}

/* k30233 in str in k30217 in k30214 in k30211 in k30208 in k30270 in k30266 in k30259 in chicken.platform#chicken-version in k30196 in k30190 in k30184 in k30178 in k30172 in k30166 in k29859 in k29788 in k29426 in k29206 in k29173 in k29169 in ... */
static void C_ccall f_30235(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_30235,2,av);}
/* ##sys#string-append */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[412]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[412]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
av2[3]=lf[1293];
tp(4,av2);}}

/* k30241 in k30217 in k30214 in k30211 in k30208 in k30270 in k30266 in k30259 in chicken.platform#chicken-version in k30196 in k30190 in k30184 in k30178 in k30172 in k30166 in k29859 in k29788 in k29426 in k29206 in k29173 in k29169 in k28990 in ... */
static void C_ccall f_30243(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_30243,2,av);}
a=C_alloc(7);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_30247,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],tmp=(C_word)a,a+=7,tmp);
/* library.scm:6392: str */
f_30221(t3,((C_word*)t0)[6]);}

/* k30245 in k30241 in k30217 in k30214 in k30211 in k30208 in k30270 in k30266 in k30259 in chicken.platform#chicken-version in k30196 in k30190 in k30184 in k30178 in k30172 in k30166 in k29859 in k29788 in k29426 in k29206 in k29173 in k29169 in ... */
static void C_ccall f_30247(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_30247,2,av);}
a=C_alloc(6);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_30251,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t2,a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
/* library.scm:6392: str */
f_30221(t3,((C_word*)t0)[6]);}

/* k30249 in k30245 in k30241 in k30217 in k30214 in k30211 in k30208 in k30270 in k30266 in k30259 in chicken.platform#chicken-version in k30196 in k30190 in k30184 in k30178 in k30172 in k30166 in k29859 in k29788 in k29426 in k29206 in k29173 in ... */
static void C_ccall f_30251(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_30251,2,av);}
a=C_alloc(6);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_30255,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=t2,tmp=(C_word)a,a+=6,tmp);
/* library.scm:6392: ##sys#symbol->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[629]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[629]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[5];
tp(3,av2);}}

/* k30253 in k30249 in k30245 in k30241 in k30217 in k30214 in k30211 in k30208 in k30270 in k30266 in k30259 in chicken.platform#chicken-version in k30196 in k30190 in k30184 in k30178 in k30172 in k30166 in k29859 in k29788 in k29426 in k29206 in ... */
static void C_ccall f_30255(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,5)))){
C_save_and_reclaim((void *)f_30255,2,av);}
/* library.scm:6392: scheme#string-append */
t2=*((C_word*)lf[413]+1);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=((C_word*)t0)[4];
av2[4]=((C_word*)t0)[5];
av2[5]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(6,av2);}}

/* k30259 in chicken.platform#chicken-version in k30196 in k30190 in k30184 in k30178 in k30172 in k30166 in k29859 in k29788 in k29426 in k29206 in k29173 in k29169 in k28990 in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in ... */
static void C_ccall f_30261(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,4)))){
C_save_and_reclaim((void *)f_30261,2,av);}
a=C_alloc(4);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30268,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
if(C_truep(C_fast_retrieve(lf[1298]))){
/* library.scm:6402: scheme#string-append */
t4=*((C_word*)lf[413]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=lf[1299];
av2[3]=C_fast_retrieve(lf[1298]);
av2[4]=lf[1300];
((C_proc)(void*)(*((C_word*)t4+1)))(5,av2);}}
else{
t4=t3;{
C_word *av2=av;
av2[0]=t4;
av2[1]=lf[1301];
f_30268(2,av2);}}}

/* k30266 in k30259 in chicken.platform#chicken-version in k30196 in k30190 in k30184 in k30178 in k30172 in k30166 in k29859 in k29788 in k29426 in k29206 in k29173 in k29169 in k28990 in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in ... */
static void C_ccall f_30268(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,4)))){
C_save_and_reclaim((void *)f_30268,2,av);}
a=C_alloc(5);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_30272,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
if(C_truep(C_fast_retrieve(lf[1294]))){
/* library.scm:6403: scheme#string-append */
t4=*((C_word*)lf[413]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=lf[1295];
av2[3]=C_fast_retrieve(lf[1294]);
av2[4]=lf[1296];
((C_proc)(void*)(*((C_word*)t4+1)))(5,av2);}}
else{
t4=t3;{
C_word *av2=av;
av2[0]=t4;
av2[1]=lf[1297];
f_30272(2,av2);}}}

/* k30270 in k30266 in k30259 in chicken.platform#chicken-version in k30196 in k30190 in k30184 in k30178 in k30172 in k30166 in k29859 in k29788 in k29426 in k29206 in k29173 in k29169 in k28990 in k28353 in k28293 in k26960 in k26957 in k26954 in ... */
static void C_ccall f_30272(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,2)))){
C_save_and_reclaim((void *)f_30272,2,av);}
a=C_alloc(9);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_30276,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t2,a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
t4=t3;
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30210,a[2]=t4,tmp=(C_word)a,a+=3,tmp);
/* library.scm:6384: build-platform */
t6=C_fast_retrieve(lf[1282]);{
C_word *av2=av;
av2[0]=t6;
av2[1]=t5;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}

/* k30274 in k30270 in k30266 in k30259 in chicken.platform#chicken-version in k30196 in k30190 in k30184 in k30178 in k30172 in k30166 in k29859 in k29788 in k29426 in k29206 in k29173 in k29169 in k28990 in k28353 in k28293 in k26960 in k26957 in ... */
static void C_ccall f_30276(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,8)))){
C_save_and_reclaim((void *)f_30276,2,av);}
a=C_alloc(6);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_30280,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=t2,tmp=(C_word)a,a+=6,tmp);
t4=C_block_size(((C_word*)t0)[5]);
t5=C_eqp(t4,C_fix(0));
if(C_truep(t5)){
/* library.scm:6400: scheme#string-append */
t6=*((C_word*)lf[413]+1);{
C_word *av2;
if(c >= 9) {
  av2=av;
} else {
  av2=C_alloc(9);
}
av2[0]=t6;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[1285];
av2[3]=C_fast_retrieve(lf[1286]);
av2[4]=((C_word*)t0)[3];
av2[5]=((C_word*)t0)[4];
av2[6]=lf[1287];
av2[7]=t2;
av2[8]=lf[1288];
((C_proc)(void*)(*((C_word*)t6+1)))(9,av2);}}
else{
/* library.scm:6408: scheme#string-append */
t6=*((C_word*)lf[413]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t6;
av2[1]=t3;
av2[2]=lf[1289];
av2[3]=((C_word*)t0)[5];
av2[4]=lf[1290];
((C_proc)(void*)(*((C_word*)t6+1)))(5,av2);}}}

/* k30278 in k30274 in k30270 in k30266 in k30259 in chicken.platform#chicken-version in k30196 in k30190 in k30184 in k30178 in k30172 in k30166 in k29859 in k29788 in k29426 in k29206 in k29173 in k29169 in k28990 in k28353 in k28293 in k26960 in ... */
static void C_ccall f_30280(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,8)))){
C_save_and_reclaim((void *)f_30280,2,av);}
/* library.scm:6400: scheme#string-append */
t2=*((C_word*)lf[413]+1);{
C_word *av2;
if(c >= 9) {
  av2=av;
} else {
  av2=C_alloc(9);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[1285];
av2[3]=C_fast_retrieve(lf[1286]);
av2[4]=((C_word*)t0)[3];
av2[5]=((C_word*)t0)[4];
av2[6]=lf[1287];
av2[7]=((C_word*)t0)[5];
av2[8]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(9,av2);}}

/* k30317 in k30320 in k30323 in k30326 in k30329 in chicken.platform#chicken-version in k30196 in k30190 in k30184 in k30178 in k30172 in k30166 in k29859 in k29788 in k29426 in k29206 in k29173 in k29169 in k28990 in k28353 in k28293 in k26960 in ... */
static void C_ccall f_30319(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,6)))){
C_save_and_reclaim((void *)f_30319,2,av);}
if(C_truep(t1)){
/* library.scm:6394: scheme#string-append */
t2=*((C_word*)lf[413]+1);{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=((C_word*)t0)[4];
av2[4]=((C_word*)t0)[5];
av2[5]=((C_word*)t0)[6];
av2[6]=lf[1310];
((C_proc)(void*)(*((C_word*)t2+1)))(7,av2);}}
else{
/* library.scm:6394: scheme#string-append */
t2=*((C_word*)lf[413]+1);{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=((C_word*)t0)[4];
av2[4]=((C_word*)t0)[5];
av2[5]=((C_word*)t0)[6];
av2[6]=lf[1311];
((C_proc)(void*)(*((C_word*)t2+1)))(7,av2);}}}

/* k30320 in k30323 in k30326 in k30329 in chicken.platform#chicken-version in k30196 in k30190 in k30184 in k30178 in k30172 in k30166 in k29859 in k29788 in k29426 in k29206 in k29173 in k29169 in k28990 in k28353 in k28293 in k26960 in k26957 in ... */
static void C_ccall f_30322(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_30322,2,av);}
a=C_alloc(7);
t2=(C_truep(t1)?lf[1308]:lf[1309]);
t3=t2;
t4=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_30319,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=t3,tmp=(C_word)a,a+=7,tmp);
/* library.scm:6399: feature? */
t5=C_fast_retrieve(lf[1312]);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t5;
av2[1]=t4;
av2[2]=lf[1313];
((C_proc)(void*)(*((C_word*)t5+1)))(3,av2);}}

/* k30323 in k30326 in k30329 in chicken.platform#chicken-version in k30196 in k30190 in k30184 in k30178 in k30172 in k30166 in k29859 in k29788 in k29426 in k29206 in k29173 in k29169 in k28990 in k28353 in k28293 in k26960 in k26957 in k26954 in ... */
static void C_ccall f_30325(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_30325,2,av);}
a=C_alloc(6);
t2=(C_truep(t1)?lf[1306]:lf[1307]);
t3=t2;
t4=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_30322,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=t3,tmp=(C_word)a,a+=6,tmp);
/* library.scm:6398: feature? */
t5=C_fast_retrieve(lf[1312]);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t5;
av2[1]=t4;
av2[2]=lf[1314];
((C_proc)(void*)(*((C_word*)t5+1)))(3,av2);}}

/* k30326 in k30329 in chicken.platform#chicken-version in k30196 in k30190 in k30184 in k30178 in k30172 in k30166 in k29859 in k29788 in k29426 in k29206 in k29173 in k29169 in k28990 in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in ... */
static void C_ccall f_30328(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_30328,2,av);}
a=C_alloc(5);
t2=(C_truep(t1)?lf[1304]:lf[1305]);
t3=t2;
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_30325,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t3,tmp=(C_word)a,a+=5,tmp);
/* library.scm:6397: feature? */
t5=C_fast_retrieve(lf[1312]);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t5;
av2[1]=t4;
av2[2]=lf[1315];
((C_proc)(void*)(*((C_word*)t5+1)))(3,av2);}}

/* k30329 in chicken.platform#chicken-version in k30196 in k30190 in k30184 in k30178 in k30172 in k30166 in k29859 in k29788 in k29426 in k29206 in k29173 in k29169 in k28990 in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in ... */
static void C_ccall f_30331(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_30331,2,av);}
a=C_alloc(4);
t2=(C_truep(t1)?lf[1302]:lf[1303]);
t3=t2;
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30328,a[2]=((C_word*)t0)[2],a[3]=t3,tmp=(C_word)a,a+=4,tmp);
/* library.scm:6396: feature? */
t5=C_fast_retrieve(lf[1312]);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t5;
av2[1]=t4;
av2[2]=lf[1316];
((C_proc)(void*)(*((C_word*)t5+1)))(3,av2);}}

/* chicken.platform#chicken-home in k30196 in k30190 in k30184 in k30178 in k30172 in k30166 in k29859 in k29788 in k29426 in k29206 in k29173 in k29169 in k28990 in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in ... */
static void C_ccall f_30339(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_30339,2,av);}
a=C_alloc(3);
/* ##sys#peek-c-string */
t2=*((C_word*)lf[699]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t2;
av2[1]=t1;
av2[2]=C_mpointer(&a,(void*)C_INSTALL_SHARE_HOME);
av2[3]=C_fix(0);
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* ##sys#split-path in k30196 in k30190 in k30184 in k30178 in k30172 in k30166 in k29859 in k29788 in k29426 in k29206 in k29173 in k29169 in k28990 in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in ... */
static void C_ccall f_30349(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(13,c,4)))){
C_save_and_reclaim((void *)f_30349,3,av);}
a=C_alloc(13);
if(C_truep(C_i_not(t2))){
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_END_OF_LIST;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
t3=C_i_car(((C_word*)((C_word*)t0)[2])[1]);
if(C_truep(C_i_equalp(t2,t3))){
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_cdr(((C_word*)((C_word*)t0)[2])[1]);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t4=C_i_string_length(t2);
t5=t4;
t6=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_30371,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
t7=C_SCHEME_UNDEFINED;
t8=(*a=C_VECTOR_TYPE|1,a[1]=t7,tmp=(C_word)a,a+=2,tmp);
t9=C_set_block_item(t8,0,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_30377,a[2]=t5,a[3]=t2,a[4]=t8,a[5]=((C_word)li942),tmp=(C_word)a,a+=6,tmp));
t10=((C_word*)t8)[1];
f_30377(t10,t6,C_fix(0),C_fix(0));}}}

/* k30369 in ##sys#split-path in k30196 in k30190 in k30184 in k30178 in k30172 in k30166 in k29859 in k29788 in k29426 in k29206 in k29173 in k29169 in k28990 in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in ... */
static void C_ccall f_30371(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_30371,2,av);}
a=C_alloc(3);
t2=C_a_i_cons(&a,2,((C_word*)t0)[2],t1);
t3=C_mutate(((C_word *)((C_word*)t0)[3])+1,t2);
t4=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* loop in ##sys#split-path in k30196 in k30190 in k30184 in k30178 in k30172 in k30166 in k29859 in k29788 in k29426 in k29206 in k29173 in k29169 in k28990 in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in ... */
static void C_fcall f_30377(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(5,0,4)))){
C_save_and_reclaim_args((void *)trf_30377,4,t0,t1,t2,t3);}
a=C_alloc(5);
if(C_truep(C_fixnum_greater_or_equal_p(t3,((C_word*)t0)[2]))){
t4=C_eqp(t3,t2);
if(C_truep(t4)){
t5=t1;{
C_word av2[2];
av2[0]=t5;
av2[1]=C_SCHEME_END_OF_LIST;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30397,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* library.scm:6434: scheme#substring */
t6=*((C_word*)lf[393]+1);{
C_word av2[5];
av2[0]=t6;
av2[1]=t5;
av2[2]=((C_word*)t0)[3];
av2[3]=t2;
av2[4]=t3;
((C_proc)(void*)(*((C_word*)t6+1)))(5,av2);}}}
else{
t4=C_i_string_ref(((C_word*)t0)[3],t3);
t5=C_retrieve2(lf[1319],C_text("chicken.platform#path-list-separator"));
if(C_truep(C_u_i_char_equalp(t4,C_retrieve2(lf[1319],C_text("chicken.platform#path-list-separator"))))){
t6=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_30412,a[2]=t1,a[3]=t3,a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:6437: scheme#substring */
t7=*((C_word*)lf[393]+1);{
C_word av2[5];
av2[0]=t7;
av2[1]=t6;
av2[2]=((C_word*)t0)[3];
av2[3]=t2;
av2[4]=t3;
((C_proc)(void*)(*((C_word*)t7+1)))(5,av2);}}
else{
t6=C_fixnum_plus(t3,C_fix(1));
/* library.scm:6441: loop */
t8=t1;
t9=t2;
t10=t6;
t1=t8;
t2=t9;
t3=t10;
goto loop;}}}

/* k30395 in loop in ##sys#split-path in k30196 in k30190 in k30184 in k30178 in k30172 in k30166 in k29859 in k29788 in k29426 in k29206 in k29173 in k29169 in k28990 in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in ... */
static void C_ccall f_30397(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_30397,2,av);}
a=C_alloc(3);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_list1(&a,1,t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k30410 in loop in ##sys#split-path in k30196 in k30190 in k30184 in k30178 in k30172 in k30166 in k29859 in k29788 in k29426 in k29206 in k29173 in k29169 in k28990 in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in ... */
static void C_ccall f_30412(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_30412,2,av);}
a=C_alloc(4);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30416,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=C_fixnum_plus(((C_word*)t0)[3],C_fix(1));
t5=C_fixnum_plus(((C_word*)t0)[3],C_fix(1));
/* library.scm:6438: loop */
t6=((C_word*)((C_word*)t0)[4])[1];
f_30377(t6,t3,t4,t5);}

/* k30414 in k30410 in loop in ##sys#split-path in k30196 in k30190 in k30184 in k30178 in k30172 in k30166 in k29859 in k29788 in k29426 in k29206 in k29173 in k29169 in k28990 in k28353 in k28293 in k26960 in k26957 in k26954 in ... */
static void C_ccall f_30416(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_30416,2,av);}
a=C_alloc(3);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_cons(&a,2,((C_word*)t0)[3],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k30437 in k30196 in k30190 in k30184 in k30178 in k30172 in k30166 in k29859 in k29788 in k29426 in k29206 in k29173 in k29169 in k28990 in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in ... */
static void C_ccall f_30439(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,3)))){
C_save_and_reclaim((void *)f_30439,2,av);}
a=C_alloc(9);
t2=C_mutate((C_word*)lf[1322]+1 /* (set! chicken.platform#repository-path ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30443,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30835,a[2]=t3,tmp=(C_word)a,a+=3,tmp);
/* ##sys#peek-c-string */
t5=*((C_word*)lf[699]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t5;
av2[1]=t4;
av2[2]=C_mpointer(&a,(void*)C_private_repository_path());
av2[3]=C_fix(0);
((C_proc)(void*)(*((C_word*)t5+1)))(4,av2);}}

/* k30441 in k30437 in k30196 in k30190 in k30184 in k30178 in k30172 in k30166 in k29859 in k29788 in k29426 in k29206 in k29173 in k29169 in k28990 in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in ... */
static void C_ccall f_30443(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(14,c,3)))){
C_save_and_reclaim((void *)f_30443,2,av);}
a=C_alloc(14);
t2=C_mutate((C_word*)lf[1323]+1 /* (set! chicken.platform#installation-repository ...) */,t1);
t3=C_mutate(&lf[1324] /* (set! chicken.platform#->feature-id ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30460,a[2]=((C_word)li944),tmp=(C_word)a,a+=3,tmp));
t4=C_mutate((C_word*)lf[1326]+1 /* (set! ##sys#features ...) */,lf[1327]);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30494,a[2]=((C_word)li945),tmp=(C_word)a,a+=3,tmp);
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30512,a[2]=((C_word*)t0)[2],a[3]=t5,tmp=(C_word)a,a+=4,tmp);
t7=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30831,a[2]=t5,a[3]=t6,tmp=(C_word)a,a+=4,tmp);
/* library.scm:6491: software-type */
t8=C_fast_retrieve(lf[1278]);{
C_word *av2=av;
av2[0]=t8;
av2[1]=t7;
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}

/* chicken.platform#->feature-id in k30441 in k30437 in k30196 in k30190 in k30184 in k30178 in k30172 in k30166 in k29859 in k29788 in k29426 in k29206 in k29173 in k29169 in k28990 in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in ... */
static void C_ccall f_30460(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_30460,3,av);}
a=C_alloc(4);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30467,a[2]=t2,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
/* library.scm:6477: chicken.keyword#keyword? */
t4=*((C_word*)lf[643]+1);{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k30465 in chicken.platform#->feature-id in k30441 in k30437 in k30196 in k30190 in k30184 in k30178 in k30172 in k30166 in k29859 in k29788 in k29426 in k29206 in k29173 in k29169 in k28990 in k28353 in k28293 in k26960 in k26957 in k26954 in ... */
static void C_ccall f_30467(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,5)))){
C_save_and_reclaim((void *)f_30467,2,av);}
a=C_alloc(3);
if(C_truep(t1)){
t2=((C_word*)t0)[2];
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
if(C_truep(C_i_stringp(((C_word*)t0)[2]))){
/* library.scm:6478: chicken.keyword#string->keyword */
t2=*((C_word*)lf[644]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
av2[2]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}
else{
if(C_truep(C_i_symbolp(((C_word*)t0)[2]))){
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30489,a[2]=((C_word*)t0)[3],tmp=(C_word)a,a+=3,tmp);
/* library.scm:6479: ##sys#symbol->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[629]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[629]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[2];
tp(3,av2);}}
else{
t2=((C_word*)t0)[3];
t3=C_a_i_list(&a,1,((C_word*)t0)[2]);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=0;
av2[1]=t2;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=lf[1325];
av2[5]=t3;
C_apply(6,av2);}}}}}

/* k30487 in k30465 in chicken.platform#->feature-id in k30441 in k30437 in k30196 in k30190 in k30184 in k30178 in k30172 in k30166 in k29859 in k29788 in k29426 in k29206 in k29173 in k29169 in k28990 in k28353 in k28293 in k26960 in k26957 in ... */
static void C_ccall f_30489(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_30489,2,av);}
/* library.scm:6479: chicken.keyword#string->keyword */
t2=*((C_word*)lf[644]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* check in k30441 in k30437 in k30196 in k30190 in k30184 in k30178 in k30172 in k30166 in k29859 in k29788 in k29426 in k29206 in k29173 in k29169 in k28990 in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in ... */
static void C_fcall f_30494(C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,0,2)))){
C_save_and_reclaim_args((void *)trf_30494,2,t1,t2);}
a=C_alloc(3);
t3=C_eqp(lf[1291],t2);
if(C_truep(t3)){
t4=C_SCHEME_UNDEFINED;
t5=t1;{
C_word av2[2];
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30509,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* library.scm:6490: ->feature-id */
t5=C_retrieve2(lf[1324],C_text("chicken.platform#->feature-id"));{
C_word av2[3];
av2[0]=t5;
av2[1]=t4;
av2[2]=t2;
f_30460(3,av2);}}}

/* k30507 in check in k30441 in k30437 in k30196 in k30190 in k30184 in k30178 in k30172 in k30166 in k29859 in k29788 in k29426 in k29206 in k29173 in k29169 in k28990 in k28353 in k28293 in k26960 in k26957 in k26954 in ... */
static void C_ccall f_30509(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_30509,2,av);}
a=C_alloc(3);
t2=C_a_i_cons(&a,2,t1,C_fast_retrieve(lf[1326]));
t3=C_mutate((C_word*)lf[1326]+1 /* (set! ##sys#features ...) */,t2);
t4=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* k30510 in k30441 in k30437 in k30196 in k30190 in k30184 in k30178 in k30172 in k30166 in k29859 in k29788 in k29426 in k29206 in k29173 in k29169 in k28990 in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in ... */
static void C_ccall f_30512(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,2)))){
C_save_and_reclaim((void *)f_30512,2,av);}
a=C_alloc(8);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30515,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30827,a[2]=((C_word*)t0)[3],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:6492: software-version */
t4=C_fast_retrieve(lf[1281]);{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* k30513 in k30510 in k30441 in k30437 in k30196 in k30190 in k30184 in k30178 in k30172 in k30166 in k29859 in k29788 in k29426 in k29206 in k29173 in k29169 in k28990 in k28353 in k28293 in k26960 in k26957 in k26954 in ... */
static void C_ccall f_30515(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,2)))){
C_save_and_reclaim((void *)f_30515,2,av);}
a=C_alloc(8);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30518,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30823,a[2]=((C_word*)t0)[3],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:6493: build-platform */
t4=C_fast_retrieve(lf[1282]);{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* k30516 in k30513 in k30510 in k30441 in k30437 in k30196 in k30190 in k30184 in k30178 in k30172 in k30166 in k29859 in k29788 in k29426 in k29206 in k29173 in k29169 in k28990 in k28353 in k28293 in k26960 in k26957 in ... */
static void C_ccall f_30518(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,2)))){
C_save_and_reclaim((void *)f_30518,2,av);}
a=C_alloc(8);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30521,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30819,a[2]=((C_word*)t0)[3],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:6494: machine-type */
t4=C_fast_retrieve(lf[1279]);{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* k30519 in k30516 in k30513 in k30510 in k30441 in k30437 in k30196 in k30190 in k30184 in k30178 in k30172 in k30166 in k29859 in k29788 in k29426 in k29206 in k29173 in k29169 in k28990 in k28353 in k28293 in k26960 in ... */
static void C_ccall f_30521(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_30521,2,av);}
a=C_alloc(7);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30524,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30815,a[2]=((C_word*)t0)[3],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:6495: machine-byte-order */
t4=C_fast_retrieve(lf[1280]);{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* k30522 in k30519 in k30516 in k30513 in k30510 in k30441 in k30437 in k30196 in k30190 in k30184 in k30178 in k30172 in k30166 in k29859 in k29788 in k29426 in k29206 in k29173 in k29169 in k28990 in k28353 in k28293 in ... */
static void C_ccall f_30524(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_30524,2,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30527,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
if(C_truep(C_mk_bool(HAVE_DLOAD))){
t3=C_a_i_cons(&a,2,lf[1316],C_fast_retrieve(lf[1326]));
t4=C_mutate((C_word*)lf[1326]+1 /* (set! ##sys#features ...) */,t3);
t5=t2;
f_30527(t5,t4);}
else{
t3=t2;
f_30527(t3,C_SCHEME_UNDEFINED);}}

/* k30525 in k30522 in k30519 in k30516 in k30513 in k30510 in k30441 in k30437 in k30196 in k30190 in k30184 in k30178 in k30172 in k30166 in k29859 in k29788 in k29426 in k29206 in k29173 in k29169 in k28990 in k28353 in ... */
static void C_fcall f_30527(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,2)))){
C_save_and_reclaim_args((void *)trf_30527,2,t0,t1);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30530,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
if(C_truep(C_mk_bool(HAVE_PTABLES))){
t3=C_a_i_cons(&a,2,lf[1315],C_fast_retrieve(lf[1326]));
t4=C_mutate((C_word*)lf[1326]+1 /* (set! ##sys#features ...) */,t3);
t5=t2;
f_30530(t5,t4);}
else{
t3=t2;
f_30530(t3,C_SCHEME_UNDEFINED);}}

/* k30528 in k30525 in k30522 in k30519 in k30516 in k30513 in k30510 in k30441 in k30437 in k30196 in k30190 in k30184 in k30178 in k30172 in k30166 in k29859 in k29788 in k29426 in k29206 in k29173 in k29169 in k28990 in ... */
static void C_fcall f_30530(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,2)))){
C_save_and_reclaim_args((void *)trf_30530,2,t0,t1);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30533,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
if(C_truep(C_mk_bool(HAVE_GCHOOKS))){
t3=C_a_i_cons(&a,2,lf[1314],C_fast_retrieve(lf[1326]));
t4=C_mutate((C_word*)lf[1326]+1 /* (set! ##sys#features ...) */,t3);
t5=t2;
f_30533(t5,t4);}
else{
t3=t2;
f_30533(t3,C_SCHEME_UNDEFINED);}}

/* k30531 in k30528 in k30525 in k30522 in k30519 in k30516 in k30513 in k30510 in k30441 in k30437 in k30196 in k30190 in k30184 in k30178 in k30172 in k30166 in k29859 in k29788 in k29426 in k29206 in k29173 in k29169 in ... */
static void C_fcall f_30533(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,2)))){
C_save_and_reclaim_args((void *)trf_30533,2,t0,t1);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30536,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
if(C_truep(C_mk_bool(IS_CROSS_CHICKEN))){
t3=C_a_i_cons(&a,2,lf[1313],C_fast_retrieve(lf[1326]));
t4=C_mutate((C_word*)lf[1326]+1 /* (set! ##sys#features ...) */,t3);
t5=t2;
f_30536(t5,t4);}
else{
t3=t2;
f_30536(t3,C_SCHEME_UNDEFINED);}}

/* k30534 in k30531 in k30528 in k30525 in k30522 in k30519 in k30516 in k30513 in k30510 in k30441 in k30437 in k30196 in k30190 in k30184 in k30178 in k30172 in k30166 in k29859 in k29788 in k29426 in k29206 in k29173 in ... */
static void C_fcall f_30536(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,2)))){
C_save_and_reclaim_args((void *)trf_30536,2,t0,t1);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30539,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t3=C_fix((C_word)C_WORD_SIZE);
t4=C_eqp(t3,C_fix(64));
if(C_truep(t4)){
t5=C_a_i_cons(&a,2,lf[1317],C_fast_retrieve(lf[1326]));
t6=C_mutate((C_word*)lf[1326]+1 /* (set! ##sys#features ...) */,t5);
t7=t2;
f_30539(t7,t6);}
else{
t5=t2;
f_30539(t5,C_SCHEME_UNDEFINED);}}

/* k30537 in k30534 in k30531 in k30528 in k30525 in k30522 in k30519 in k30516 in k30513 in k30510 in k30441 in k30437 in k30196 in k30190 in k30184 in k30178 in k30172 in k30166 in k29859 in k29788 in k29426 in k29206 in ... */
static void C_fcall f_30539(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,0,2)))){
C_save_and_reclaim_args((void *)trf_30539,2,t0,t1);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30543,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t3=C_fix((C_word)C_MAJOR_VERSION);
/* library.scm:6509: ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[600]+1));
C_word av2[3];
av2[0]=*((C_word*)lf[600]+1);
av2[1]=t2;
av2[2]=t3;
tp(3,av2);}}

/* k30541 in k30537 in k30534 in k30531 in k30528 in k30525 in k30522 in k30519 in k30516 in k30513 in k30510 in k30441 in k30437 in k30196 in k30190 in k30184 in k30178 in k30172 in k30166 in k29859 in k29788 in k29426 in ... */
static void C_ccall f_30543(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_30543,2,av);}
a=C_alloc(4);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30546,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=C_fix((C_word)C_MINOR_VERSION);
/* library.scm:6510: ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[600]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[600]+1);
av2[1]=t3;
av2[2]=t4;
tp(3,av2);}}

/* k30544 in k30541 in k30537 in k30534 in k30531 in k30528 in k30525 in k30522 in k30519 in k30516 in k30513 in k30510 in k30441 in k30437 in k30196 in k30190 in k30184 in k30178 in k30172 in k30166 in k29859 in k29788 in ... */
static void C_ccall f_30546(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,3)))){
C_save_and_reclaim((void *)f_30546,2,av);}
a=C_alloc(8);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_30769,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t2,tmp=(C_word)a,a+=5,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30785,a[2]=t3,tmp=(C_word)a,a+=3,tmp);
/* library.scm:6511: scheme#string-append */
t5=*((C_word*)lf[413]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t5;
av2[1]=t4;
av2[2]=lf[1345];
av2[3]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t5+1)))(4,av2);}}

/* chicken.platform#register-feature! in k30775 in k30767 in k30544 in k30541 in k30537 in k30534 in k30531 in k30528 in k30525 in k30522 in k30519 in k30516 in k30513 in k30510 in k30441 in k30437 in k30196 in k30190 in k30184 in k30178 in k30172 in ... */
static void C_ccall f_30551(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +9,c,3)))){
C_save_and_reclaim((void*)f_30551,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+9);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30570,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
t4=C_SCHEME_UNDEFINED;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=C_set_block_item(t5,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30572,a[2]=t5,a[3]=((C_word)li946),tmp=(C_word)a,a+=4,tmp));
t7=((C_word*)t5)[1];
f_30572(t7,t3,t2);}

/* k30555 in for-each-loop7286 in chicken.platform#register-feature! in k30775 in k30767 in k30544 in k30541 in k30537 in k30534 in k30531 in k30528 in k30525 in k30522 in k30519 in k30516 in k30513 in k30510 in k30441 in k30437 in k30196 in k30190 in k30184 in ... */
static void C_ccall f_30557(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_30557,2,av);}
a=C_alloc(3);
if(C_truep(C_i_memq(t1,C_fast_retrieve(lf[1326])))){
t2=C_SCHEME_UNDEFINED;
t3=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
t2=C_a_i_cons(&a,2,t1,C_fast_retrieve(lf[1326]));
t3=C_mutate((C_word*)lf[1326]+1 /* (set! ##sys#features ...) */,t2);
t4=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* k30568 in chicken.platform#register-feature! in k30775 in k30767 in k30544 in k30541 in k30537 in k30534 in k30531 in k30528 in k30525 in k30522 in k30519 in k30516 in k30513 in k30510 in k30441 in k30437 in k30196 in k30190 in k30184 in k30178 in ... */
static void C_ccall f_30570(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_30570,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_SCHEME_UNDEFINED;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* for-each-loop7286 in chicken.platform#register-feature! in k30775 in k30767 in k30544 in k30541 in k30537 in k30534 in k30531 in k30528 in k30525 in k30522 in k30519 in k30516 in k30513 in k30510 in k30441 in k30437 in k30196 in k30190 in k30184 in k30178 in ... */
static void C_fcall f_30572(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,0,2)))){
C_save_and_reclaim_args((void *)trf_30572,3,t0,t1,t2);}
a=C_alloc(8);
if(C_truep(C_i_pairp(t2))){
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_30582,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
t4=C_slot(t2,C_fix(0));
t5=t3;
t6=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30557,a[2]=t5,tmp=(C_word)a,a+=3,tmp);
/* library.scm:6518: ->feature-id */
t7=C_retrieve2(lf[1324],C_text("chicken.platform#->feature-id"));{
C_word av2[3];
av2[0]=t7;
av2[1]=t6;
av2[2]=t4;
f_30460(3,av2);}}
else{
t3=C_SCHEME_UNDEFINED;
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* k30580 in for-each-loop7286 in chicken.platform#register-feature! in k30775 in k30767 in k30544 in k30541 in k30537 in k30534 in k30531 in k30528 in k30525 in k30522 in k30519 in k30516 in k30513 in k30510 in k30441 in k30437 in k30196 in k30190 in k30184 in ... */
static void C_ccall f_30582(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_30582,2,av);}
t2=C_slot(((C_word*)t0)[2],C_fix(1));
t3=((C_word*)((C_word*)t0)[3])[1];
f_30572(t3,((C_word*)t0)[4],t2);}

/* chicken.platform#unregister-feature! in k30775 in k30767 in k30544 in k30541 in k30537 in k30534 in k30531 in k30528 in k30525 in k30522 in k30519 in k30516 in k30513 in k30510 in k30441 in k30437 in k30196 in k30190 in k30184 in k30178 in k30172 in ... */
static void C_ccall f_30595(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +17,c,3)))){
C_save_and_reclaim((void*)f_30595,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+17);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
t3=C_a_i_cons(&a,2,C_SCHEME_UNDEFINED,C_SCHEME_END_OF_LIST);
t4=t3;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=((C_word*)t5)[1];
t7=C_retrieve2(lf[1324],C_text("chicken.platform#->feature-id"));
t8=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30602,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
t9=C_SCHEME_UNDEFINED;
t10=(*a=C_VECTOR_TYPE|1,a[1]=t9,tmp=(C_word)a,a+=2,tmp);
t11=C_set_block_item(t10,0,(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_30639,a[2]=t5,a[3]=t10,a[4]=t7,a[5]=t6,a[6]=((C_word)li949),tmp=(C_word)a,a+=7,tmp));
t12=((C_word*)t10)[1];
f_30639(t12,t8,t2);}

/* k30600 in chicken.platform#unregister-feature! in k30775 in k30767 in k30544 in k30541 in k30537 in k30534 in k30531 in k30528 in k30525 in k30522 in k30519 in k30516 in k30513 in k30510 in k30441 in k30437 in k30196 in k30190 in k30184 in k30178 in ... */
static void C_ccall f_30602(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,3)))){
C_save_and_reclaim((void *)f_30602,2,av);}
a=C_alloc(10);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30606,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t4=C_SCHEME_UNDEFINED;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=C_set_block_item(t5,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_30608,a[2]=t2,a[3]=t5,a[4]=((C_word)li948),tmp=(C_word)a,a+=5,tmp));
t7=((C_word*)t5)[1];
f_30608(t7,t3,C_fast_retrieve(lf[1326]));}

/* k30604 in k30600 in chicken.platform#unregister-feature! in k30775 in k30767 in k30544 in k30541 in k30537 in k30534 in k30531 in k30528 in k30525 in k30522 in k30519 in k30516 in k30513 in k30510 in k30441 in k30437 in k30196 in k30190 in k30184 in ... */
static void C_ccall f_30606(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_30606,2,av);}
t2=C_mutate((C_word*)lf[1326]+1 /* (set! ##sys#features ...) */,t1);
t3=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_UNDEFINED;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* loop in k30600 in chicken.platform#unregister-feature! in k30775 in k30767 in k30544 in k30541 in k30537 in k30534 in k30531 in k30528 in k30525 in k30522 in k30519 in k30516 in k30513 in k30510 in k30441 in k30437 in k30196 in k30190 in k30184 in ... */
static void C_fcall f_30608(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(4,0,2)))){
C_save_and_reclaim_args((void *)trf_30608,3,t0,t1,t2);}
a=C_alloc(4);
if(C_truep(C_i_nullp(t2))){
t3=t1;{
C_word av2[2];
av2[0]=t3;
av2[1]=C_SCHEME_END_OF_LIST;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
t3=C_slot(t2,C_fix(0));
t4=t3;
t5=C_slot(t2,C_fix(1));
if(C_truep(C_i_memq(t4,((C_word*)t0)[2]))){
/* library.scm:6532: loop */
t8=t1;
t9=t5;
t1=t8;
t2=t9;
goto loop;}
else{
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30637,a[2]=t1,a[3]=t4,tmp=(C_word)a,a+=4,tmp);
/* library.scm:6533: loop */
t8=t6;
t9=t5;
t1=t8;
t2=t9;
goto loop;}}}

/* k30635 in loop in k30600 in chicken.platform#unregister-feature! in k30775 in k30767 in k30544 in k30541 in k30537 in k30534 in k30531 in k30528 in k30525 in k30522 in k30519 in k30516 in k30513 in k30510 in k30441 in k30437 in k30196 in k30190 in ... */
static void C_ccall f_30637(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_30637,2,av);}
a=C_alloc(3);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_cons(&a,2,((C_word*)t0)[3],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* map-loop7309 in chicken.platform#unregister-feature! in k30775 in k30767 in k30544 in k30541 in k30537 in k30534 in k30531 in k30528 in k30525 in k30522 in k30519 in k30516 in k30513 in k30510 in k30441 in k30437 in k30196 in k30190 in k30184 in k30178 in ... */
static void C_fcall f_30639(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,2)))){
C_save_and_reclaim_args((void *)trf_30639,3,t0,t1,t2);}
a=C_alloc(6);
if(C_truep(C_i_pairp(t2))){
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_30664,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word*)t0)[3],a[5]=t1,tmp=(C_word)a,a+=6,tmp);
t4=C_slot(t2,C_fix(0));
/* library.scm:6524: g7315 */
t5=((C_word*)t0)[4];{
C_word av2[3];
av2[0]=t5;
av2[1]=t3;
av2[2]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(3,av2);}}
else{
t3=t1;{
C_word av2[2];
av2[0]=t3;
av2[1]=C_slot(((C_word*)t0)[5],C_fix(1));
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k30662 in map-loop7309 in chicken.platform#unregister-feature! in k30775 in k30767 in k30544 in k30541 in k30537 in k30534 in k30531 in k30528 in k30525 in k30522 in k30519 in k30516 in k30513 in k30510 in k30441 in k30437 in k30196 in k30190 in k30184 in ... */
static void C_ccall f_30664(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_30664,2,av);}
a=C_alloc(3);
t2=C_a_i_cons(&a,2,t1,C_SCHEME_END_OF_LIST);
t3=C_i_setslot(((C_word*)((C_word*)t0)[2])[1],C_fix(1),t2);
t4=C_mutate(((C_word *)((C_word*)t0)[2])+1,t2);
t5=C_slot(((C_word*)t0)[3],C_fix(1));
t6=((C_word*)((C_word*)t0)[4])[1];
f_30639(t6,((C_word*)t0)[5],t5);}

/* chicken.platform#features in k30775 in k30767 in k30544 in k30541 in k30537 in k30534 in k30531 in k30528 in k30525 in k30522 in k30519 in k30516 in k30513 in k30510 in k30441 in k30437 in k30196 in k30190 in k30184 in k30178 in k30172 in ... */
static void C_ccall f_30673(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_30673,2,av);}
t2=t1;{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_fast_retrieve(lf[1326]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.platform#feature? in k30775 in k30767 in k30544 in k30541 in k30537 in k30534 in k30531 in k30528 in k30525 in k30522 in k30519 in k30516 in k30513 in k30510 in k30441 in k30437 in k30196 in k30190 in k30184 in k30178 in k30172 in ... */
static void C_ccall f_30676(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +6,c,3)))){
C_save_and_reclaim((void*)f_30676,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+6);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30682,a[2]=t4,a[3]=((C_word)li952),tmp=(C_word)a,a+=4,tmp));
t6=((C_word*)t4)[1];
f_30682(t6,t1,t2);}

/* loop in chicken.platform#feature? in k30775 in k30767 in k30544 in k30541 in k30537 in k30534 in k30531 in k30528 in k30525 in k30522 in k30519 in k30516 in k30513 in k30510 in k30441 in k30437 in k30196 in k30190 in k30184 in k30178 in ... */
static void C_fcall f_30682(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,2)))){
C_save_and_reclaim_args((void *)trf_30682,3,t0,t1,t2);}
a=C_alloc(5);
t3=C_i_nullp(t2);
if(C_truep(t3)){
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_30706,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
t5=C_slot(t2,C_fix(0));
/* library.scm:6541: ->feature-id */
t6=C_retrieve2(lf[1324],C_text("chicken.platform#->feature-id"));{
C_word av2[3];
av2[0]=t6;
av2[1]=t4;
av2[2]=t5;
f_30460(3,av2);}}}

/* k30704 in loop in chicken.platform#feature? in k30775 in k30767 in k30544 in k30541 in k30537 in k30534 in k30531 in k30528 in k30525 in k30522 in k30519 in k30516 in k30513 in k30510 in k30441 in k30437 in k30196 in k30190 in k30184 in ... */
static void C_ccall f_30706(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_30706,2,av);}
if(C_truep(C_i_memq(t1,C_fast_retrieve(lf[1326])))){
t2=C_slot(((C_word*)t0)[2],C_fix(1));
/* library.scm:6542: loop */
t3=((C_word*)((C_word*)t0)[3])[1];
f_30682(t3,((C_word*)t0)[4],t2);}
else{
t2=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}}

/* chicken.platform#system-config-directory in k30775 in k30767 in k30544 in k30541 in k30537 in k30534 in k30531 in k30528 in k30525 in k30522 in k30519 in k30516 in k30513 in k30510 in k30441 in k30437 in k30196 in k30190 in k30184 in k30178 in k30172 in ... */
static void C_ccall f_30713(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_30713,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30717,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* library.scm:6548: chicken.process-context#get-environment-variable */
t3=C_fast_retrieve(lf[1186]);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[1336];
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}

/* k30715 in chicken.platform#system-config-directory in k30775 in k30767 in k30544 in k30541 in k30537 in k30534 in k30531 in k30528 in k30525 in k30522 in k30519 in k30516 in k30513 in k30510 in k30441 in k30437 in k30196 in k30190 in k30184 in k30178 in ... */
static void C_ccall f_30717(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_30717,2,av);}
a=C_alloc(3);
if(C_truep(t1)){
t2=t1;
t3=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
if(C_truep(C_fast_retrieve(lf[1283]))){
/* library.scm:6550: chicken.process-context#get-environment-variable */
t2=C_fast_retrieve(lf[1186]);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[1333];
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}
else{
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30729,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:6551: chicken.process-context#get-environment-variable */
t3=C_fast_retrieve(lf[1186]);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[1335];
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}}}

/* k30727 in k30715 in chicken.platform#system-config-directory in k30775 in k30767 in k30544 in k30541 in k30537 in k30534 in k30531 in k30528 in k30525 in k30522 in k30519 in k30516 in k30513 in k30510 in k30441 in k30437 in k30196 in k30190 in k30184 in ... */
static void C_ccall f_30729(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_30729,2,av);}
if(C_truep(t1)){
/* library.scm:6552: scheme#string-append */
t2=*((C_word*)lf[413]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
av2[3]=lf[1334];
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}
else{
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}}

/* chicken.platform#system-cache-directory in k30775 in k30767 in k30544 in k30541 in k30537 in k30534 in k30531 in k30528 in k30525 in k30522 in k30519 in k30516 in k30513 in k30510 in k30441 in k30437 in k30196 in k30190 in k30184 in k30178 in k30172 in ... */
static void C_ccall f_30737(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_30737,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30741,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* library.scm:6555: chicken.process-context#get-environment-variable */
t3=C_fast_retrieve(lf[1186]);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[1342];
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}

/* k30739 in chicken.platform#system-cache-directory in k30775 in k30767 in k30544 in k30541 in k30537 in k30534 in k30531 in k30528 in k30525 in k30522 in k30519 in k30516 in k30513 in k30510 in k30441 in k30437 in k30196 in k30190 in k30184 in k30178 in ... */
static void C_ccall f_30741(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_30741,2,av);}
a=C_alloc(3);
if(C_truep(t1)){
t2=t1;
t3=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
if(C_truep(C_fast_retrieve(lf[1283]))){
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30750,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:6557: chicken.process-context#get-environment-variable */
t3=C_fast_retrieve(lf[1186]);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[1339];
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}
else{
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30759,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:6559: chicken.process-context#get-environment-variable */
t3=C_fast_retrieve(lf[1186]);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[1341];
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}}}

/* k30748 in k30739 in chicken.platform#system-cache-directory in k30775 in k30767 in k30544 in k30541 in k30537 in k30534 in k30531 in k30528 in k30525 in k30522 in k30519 in k30516 in k30513 in k30510 in k30441 in k30437 in k30196 in k30190 in k30184 in ... */
static void C_ccall f_30750(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_30750,2,av);}
if(C_truep(t1)){
t2=t1;
t3=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
/* library.scm:6558: chicken.process-context#get-environment-variable */
t2=C_fast_retrieve(lf[1186]);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[1338];
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}}

/* k30757 in k30739 in chicken.platform#system-cache-directory in k30775 in k30767 in k30544 in k30541 in k30537 in k30534 in k30531 in k30528 in k30525 in k30522 in k30519 in k30516 in k30513 in k30510 in k30441 in k30437 in k30196 in k30190 in k30184 in ... */
static void C_ccall f_30759(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_30759,2,av);}
if(C_truep(t1)){
/* library.scm:6560: scheme#string-append */
t2=*((C_word*)lf[413]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
av2[3]=lf[1340];
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}
else{
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}}

/* k30767 in k30544 in k30541 in k30537 in k30534 in k30531 in k30528 in k30525 in k30522 in k30519 in k30516 in k30513 in k30510 in k30441 in k30437 in k30196 in k30190 in k30184 in k30178 in k30172 in k30166 in k29859 in ... */
static void C_ccall f_30769(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,5)))){
C_save_and_reclaim((void *)f_30769,2,av);}
a=C_alloc(7);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30777,a[2]=t2,a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30781,a[2]=t3,tmp=(C_word)a,a+=3,tmp);
/* library.scm:6512: scheme#string-append */
t5=*((C_word*)lf[413]+1);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t5;
av2[1]=t4;
av2[2]=lf[1343];
av2[3]=((C_word*)t0)[3];
av2[4]=lf[1344];
av2[5]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t5+1)))(6,av2);}}

/* k30775 in k30767 in k30544 in k30541 in k30537 in k30534 in k30531 in k30528 in k30525 in k30522 in k30519 in k30516 in k30513 in k30510 in k30441 in k30437 in k30196 in k30190 in k30184 in k30178 in k30172 in k30166 in ... */
static void C_ccall f_30777(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(27,c,2)))){
C_save_and_reclaim((void *)f_30777,2,av);}
a=C_alloc(27);
t2=C_a_i_cons(&a,2,t1,C_fast_retrieve(lf[1326]));
t3=C_a_i_cons(&a,2,((C_word*)t0)[2],t2);
t4=C_mutate((C_word*)lf[1326]+1 /* (set! ##sys#features ...) */,t3);
t5=C_mutate((C_word*)lf[1328]+1 /* (set! chicken.platform#register-feature! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30551,a[2]=((C_word)li947),tmp=(C_word)a,a+=3,tmp));
t6=C_mutate((C_word*)lf[1329]+1 /* (set! chicken.platform#unregister-feature! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30595,a[2]=((C_word)li950),tmp=(C_word)a,a+=3,tmp));
t7=C_mutate((C_word*)lf[1330]+1 /* (set! chicken.platform#features ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30673,a[2]=((C_word)li951),tmp=(C_word)a,a+=3,tmp));
t8=C_mutate((C_word*)lf[1312]+1 /* (set! chicken.platform#feature? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30676,a[2]=((C_word)li953),tmp=(C_word)a,a+=3,tmp));
t9=C_mutate((C_word*)lf[1331]+1 /* (set! chicken.platform#return-to-host ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_return_to_host,a[2]=((C_word)li954),tmp=(C_word)a,a+=3,tmp));
t10=C_mutate((C_word*)lf[1332]+1 /* (set! chicken.platform#system-config-directory ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30713,a[2]=((C_word)li955),tmp=(C_word)a,a+=3,tmp));
t11=C_mutate((C_word*)lf[1337]+1 /* (set! chicken.platform#system-cache-directory ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30737,a[2]=((C_word)li956),tmp=(C_word)a,a+=3,tmp));
t12=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t12;
av2[1]=C_SCHEME_UNDEFINED;
((C_proc)(void*)(*((C_word*)t12+1)))(2,av2);}}

/* k30779 in k30767 in k30544 in k30541 in k30537 in k30534 in k30531 in k30528 in k30525 in k30522 in k30519 in k30516 in k30513 in k30510 in k30441 in k30437 in k30196 in k30190 in k30184 in k30178 in k30172 in k30166 in ... */
static void C_ccall f_30781(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_30781,2,av);}
/* library.scm:6512: ->feature-id */
t2=C_retrieve2(lf[1324],C_text("chicken.platform#->feature-id"));{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
f_30460(3,av2);}}

/* k30783 in k30544 in k30541 in k30537 in k30534 in k30531 in k30528 in k30525 in k30522 in k30519 in k30516 in k30513 in k30510 in k30441 in k30437 in k30196 in k30190 in k30184 in k30178 in k30172 in k30166 in k29859 in ... */
static void C_ccall f_30785(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_30785,2,av);}
/* library.scm:6511: ->feature-id */
t2=C_retrieve2(lf[1324],C_text("chicken.platform#->feature-id"));{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
f_30460(3,av2);}}

/* k30813 in k30519 in k30516 in k30513 in k30510 in k30441 in k30437 in k30196 in k30190 in k30184 in k30178 in k30172 in k30166 in k29859 in k29788 in k29426 in k29206 in k29173 in k29169 in k28990 in k28353 in k28293 in ... */
static void C_ccall f_30815(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_30815,2,av);}
/* library.scm:6495: check */
f_30494(((C_word*)t0)[3],t1);}

/* k30817 in k30516 in k30513 in k30510 in k30441 in k30437 in k30196 in k30190 in k30184 in k30178 in k30172 in k30166 in k29859 in k29788 in k29426 in k29206 in k29173 in k29169 in k28990 in k28353 in k28293 in k26960 in ... */
static void C_ccall f_30819(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_30819,2,av);}
/* library.scm:6494: check */
f_30494(((C_word*)t0)[3],t1);}

/* k30821 in k30513 in k30510 in k30441 in k30437 in k30196 in k30190 in k30184 in k30178 in k30172 in k30166 in k29859 in k29788 in k29426 in k29206 in k29173 in k29169 in k28990 in k28353 in k28293 in k26960 in k26957 in ... */
static void C_ccall f_30823(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_30823,2,av);}
/* library.scm:6493: check */
f_30494(((C_word*)t0)[3],t1);}

/* k30825 in k30510 in k30441 in k30437 in k30196 in k30190 in k30184 in k30178 in k30172 in k30166 in k29859 in k29788 in k29426 in k29206 in k29173 in k29169 in k28990 in k28353 in k28293 in k26960 in k26957 in k26954 in ... */
static void C_ccall f_30827(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_30827,2,av);}
/* library.scm:6492: check */
f_30494(((C_word*)t0)[3],t1);}

/* k30829 in k30441 in k30437 in k30196 in k30190 in k30184 in k30178 in k30172 in k30166 in k29859 in k29788 in k29426 in k29206 in k29173 in k29169 in k28990 in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in ... */
static void C_ccall f_30831(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_30831,2,av);}
/* library.scm:6491: check */
f_30494(((C_word*)t0)[3],t1);}

/* k30833 in k30437 in k30196 in k30190 in k30184 in k30178 in k30172 in k30166 in k29859 in k29788 in k29426 in k29206 in k29173 in k29169 in k28990 in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in ... */
static void C_ccall f_30835(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_30835,2,av);}
a=C_alloc(7);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30838,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
if(C_truep(t1)){
t3=t1;
/* library.scm:6462: chicken.base#make-parameter */
t4=*((C_word*)lf[201]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=((C_word*)t0)[2];
av2[2]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}
else{
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30841,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:6464: chicken.process-context#get-environment-variable */
t4=C_fast_retrieve(lf[1186]);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=lf[1346];
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}}

/* k30836 in k30833 in k30437 in k30196 in k30190 in k30184 in k30178 in k30172 in k30166 in k29859 in k29788 in k29426 in k29206 in k29173 in k29169 in k28990 in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in ... */
static void C_ccall f_30838(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_30838,2,av);}
/* library.scm:6462: chicken.base#make-parameter */
t2=*((C_word*)lf[201]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* k30839 in k30833 in k30437 in k30196 in k30190 in k30184 in k30178 in k30172 in k30166 in k29859 in k29788 in k29426 in k29206 in k29173 in k29169 in k28990 in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in ... */
static void C_ccall f_30841(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_30841,2,av);}
a=C_alloc(3);
if(C_truep(t1)){
t2=t1;
/* library.scm:6462: chicken.base#make-parameter */
t3=*((C_word*)lf[201]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t3;
av2[1]=((C_word*)t0)[2];
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}
else{
/* ##sys#peek-c-string */
t2=*((C_word*)lf[699]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
av2[2]=C_mpointer(&a,(void*)C_INSTALL_EGG_HOME);
av2[3]=C_fix(0);
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}}

/* k30849 in k30196 in k30190 in k30184 in k30178 in k30172 in k30166 in k29859 in k29788 in k29426 in k29206 in k29173 in k29169 in k28990 in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in ... */
static void C_ccall f_30851(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_30851,2,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30854,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
if(C_truep(t1)){
t3=t2;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_a_i_list1(&a,1,t1);
f_30854(2,av2);}}
else{
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30900,a[2]=t2,tmp=(C_word)a,a+=3,tmp);
/* library.scm:6449: chicken.process-context#get-environment-variable */
t4=C_fast_retrieve(lf[1186]);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=lf[1348];
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}}

/* k30852 in k30849 in k30196 in k30190 in k30184 in k30178 in k30172 in k30166 in k29859 in k29788 in k29426 in k29206 in k29173 in k29169 in k28990 in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in ... */
static void C_ccall f_30854(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_30854,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30856,a[2]=((C_word)li958),tmp=(C_word)a,a+=3,tmp);
/* library.scm:6446: chicken.base#make-parameter */
t3=*((C_word*)lf[201]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
av2[3]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* a30855 in k30852 in k30849 in k30196 in k30190 in k30184 in k30178 in k30172 in k30166 in k29859 in k29788 in k29426 in k29206 in k29173 in k29169 in k28990 in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in ... */
static void C_ccall f_30856(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_30856,3,av);}
a=C_alloc(3);
if(C_truep(t2)){
t3=C_i_check_list_2(t2,lf[1347]);
t4=t2;
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30873,a[2]=((C_word)li957),tmp=(C_word)a,a+=3,tmp);
t6=(
  f_30873(t4)
);
t7=t2;
t8=t1;{
C_word *av2=av;
av2[0]=t8;
av2[1]=t7;
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}
else{
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* for-each-loop7228 in a30855 in k30852 in k30849 in k30196 in k30190 in k30184 in k30178 in k30172 in k30166 in k29859 in k29788 in k29426 in k29206 in k29173 in k29169 in k28990 in k28353 in k28293 in k26960 in k26957 in k26954 in ... */
static C_word C_fcall f_30873(C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_stack_overflow_check;
loop:{}
if(C_truep(C_i_pairp(t1))){
t2=C_slot(t1,C_fix(0));
t3=C_i_check_string_2(t2,lf[1347]);
t4=C_slot(t1,C_fix(1));
t6=t4;
t1=t6;
goto loop;}
else{
t2=C_SCHEME_UNDEFINED;
return(t2);}}

/* k30898 in k30849 in k30196 in k30190 in k30184 in k30178 in k30172 in k30166 in k29859 in k29788 in k29426 in k29206 in k29173 in k29169 in k28990 in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in ... */
static void C_ccall f_30900(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,3)))){
C_save_and_reclaim((void *)f_30900,2,av);}
a=C_alloc(6);
if(C_truep(t1)){
/* library.scm:6447: ##sys#split-path */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[1321]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[1321]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
tp(3,av2);}}
else{
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30909,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* ##sys#peek-c-string */
t3=*((C_word*)lf[699]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=C_mpointer(&a,(void*)C_INSTALL_EGG_HOME);
av2[3]=C_fix(0);
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}}

/* k30907 in k30898 in k30849 in k30196 in k30190 in k30184 in k30178 in k30172 in k30166 in k29859 in k29788 in k29426 in k29206 in k29173 in k29169 in k28990 in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in ... */
static void C_ccall f_30909(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_30909,2,av);}
a=C_alloc(3);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=(C_truep(t1)?C_a_i_list1(&a,1,t1):C_SCHEME_FALSE);
f_30854(2,av2);}}

/* k30927 in k30931 in k30190 in k30184 in k30178 in k30172 in k30166 in k29859 in k29788 in k29426 in k29206 in k29173 in k29169 in k28990 in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in ... */
static void C_ccall f_30929(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_30929,2,av);}
t2=C_eqp(lf[1350],t1);
t3=((C_word*)t0)[2];
f_30198(t3,C_i_not(t2));}

/* k30931 in k30190 in k30184 in k30178 in k30172 in k30166 in k29859 in k29788 in k29426 in k29206 in k29173 in k29169 in k28990 in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in ... */
static void C_ccall f_30933(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_30933,2,av);}
a=C_alloc(3);
t2=C_eqp(lf[1349],t1);
if(C_truep(t2)){
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30929,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:6380: software-version */
t4=C_fast_retrieve(lf[1281]);{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t3=((C_word*)t0)[2];
f_30198(t3,C_SCHEME_FALSE);}}

/* k30935 in k30184 in k30178 in k30172 in k30166 in k29859 in k29788 in k29426 in k29206 in k29173 in k29169 in k28990 in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in ... */
static void C_ccall f_30937(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_30937,2,av);}
/* library.scm:6374: scheme#string->symbol */
t2=*((C_word*)lf[632]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* k30939 in k30178 in k30172 in k30166 in k29859 in k29788 in k29426 in k29206 in k29173 in k29169 in k28990 in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in ... */
static void C_ccall f_30941(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_30941,2,av);}
/* library.scm:6370: scheme#string->symbol */
t2=*((C_word*)lf[632]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* k30943 in k30172 in k30166 in k29859 in k29788 in k29426 in k29206 in k29173 in k29169 in k28990 in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in ... */
static void C_ccall f_30945(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_30945,2,av);}
/* library.scm:6366: scheme#string->symbol */
t2=*((C_word*)lf[632]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* k30947 in k30166 in k29859 in k29788 in k29426 in k29206 in k29173 in k29169 in k28990 in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in ... */
static void C_ccall f_30949(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_30949,2,av);}
/* library.scm:6362: scheme#string->symbol */
t2=*((C_word*)lf[632]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* k30951 in k29859 in k29788 in k29426 in k29206 in k29173 in k29169 in k28990 in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in ... */
static void C_ccall f_30953(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_30953,2,av);}
/* library.scm:6358: scheme#string->symbol */
t2=*((C_word*)lf[632]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* a30954 in k29788 in k29426 in k29206 in k29173 in k29169 in k28990 in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in ... */
static void C_ccall f_30955(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_30955,3,av);}
t3=C_i_check_symbol_2(t2,lf[1351]);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_slot(t2,C_fix(2));
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* a30963 in k29788 in k29426 in k29206 in k29173 in k29169 in k28990 in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in ... */
static void C_ccall f_30964(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,5)))){
C_save_and_reclaim((void *)f_30964,4,av);}
a=C_alloc(5);
t4=C_i_check_symbol_2(t2,lf[1351]);
t5=C_i_check_list_2(t3,lf[1352]);
t6=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_30974,a[2]=t3,a[3]=t2,a[4]=t1,tmp=(C_word)a,a+=5,tmp);
t7=C_i_length(t3);
if(C_truep(C_i_fixnumevenp(t7))){
t8=t6;{
C_word *av2=av;
av2[0]=t8;
av2[1]=C_i_setslot(t2,C_fix(2),t3);
f_30974(2,av2);}}
else{
/* library.scm:6261: ##sys#signal-hook */
t8=C_fast_retrieve(lf[194]);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t8;
av2[1]=t6;
av2[2]=lf[258];
av2[3]=lf[1353];
av2[4]=t3;
av2[5]=t2;
((C_proc)(void*)(*((C_word*)t8+1)))(6,av2);}}}

/* k30972 in a30963 in k29788 in k29426 in k29206 in k29173 in k29169 in k28990 in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in ... */
static void C_ccall f_30974(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_30974,2,av);}
if(C_truep(C_i_nullp(((C_word*)t0)[2]))){
t2=C_i_unpersist_symbol(((C_word*)t0)[3]);
t3=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
t2=C_i_persist_symbol(((C_word*)t0)[3]);
t3=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k30997 in k29169 in k28990 in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in ... */
static void C_ccall f_30999(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,3)))){
C_save_and_reclaim((void *)f_30999,2,av);}
a=C_alloc(9);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31002,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
if(C_truep(C_i_pairp(t1))){
t3=C_slot(t1,C_fix(1));
t4=C_SCHEME_UNDEFINED;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=C_set_block_item(t5,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_31020,a[2]=t5,a[3]=((C_word)li967),tmp=(C_word)a,a+=4,tmp));
t7=((C_word*)t5)[1];
f_31020(t7,t2,t3);}
else{
t3=t1;
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f36681,a[2]=((C_word)li968),tmp=(C_word)a,a+=3,tmp);
/* library.scm:5980: chicken.base#make-parameter */
t5=*((C_word*)lf[201]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t5;
av2[1]=((C_word*)t0)[2];
av2[2]=t3;
av2[3]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(4,av2);}}}

/* k31000 in k30997 in k29169 in k28990 in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in ... */
static void C_ccall f_31002(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_31002,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31004,a[2]=((C_word)li966),tmp=(C_word)a,a+=3,tmp);
/* library.scm:5980: chicken.base#make-parameter */
t3=*((C_word*)lf[201]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
av2[3]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* a31003 in k31000 in k30997 in k29169 in k28990 in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in ... */
static void C_ccall f_31004(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31004,3,av);}
t3=C_i_check_list_2(t2,lf[1355]);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* loop in k30997 in k29169 in k28990 in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in ... */
static void C_fcall f_31020(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,0,4)))){
C_save_and_reclaim_args((void *)trf_31020,3,t0,t1,t2);}
a=C_alloc(9);
if(C_truep(C_i_nullp(t2))){
t3=t1;{
C_word av2[2];
av2[0]=t3;
av2[1]=C_SCHEME_END_OF_LIST;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
t3=C_slot(t2,C_fix(0));
t4=t3;
t5=C_slot(t2,C_fix(1));
t6=t5;
t7=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_31039,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=t6,a[5]=t4,tmp=(C_word)a,a+=6,tmp);
t8=C_block_size(t4);
if(C_truep(C_fixnum_greater_or_equal_p(t8,C_fix(3)))){
t9=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31059,a[2]=t7,tmp=(C_word)a,a+=3,tmp);
/* library.scm:5989: ##sys#substring */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[395]+1));
C_word av2[5];
av2[0]=*((C_word*)lf[395]+1);
av2[1]=t9;
av2[2]=t4;
av2[3]=C_fix(0);
av2[4]=C_fix(2);
tp(5,av2);}}
else{
t9=t7;
f_31039(t9,C_SCHEME_FALSE);}}}

/* k31037 in loop in k30997 in k29169 in k28990 in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in ... */
static void C_fcall f_31039(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,0,2)))){
C_save_and_reclaim_args((void *)trf_31039,2,t0,t1);}
a=C_alloc(4);
if(C_truep(t1)){
/* library.scm:5990: loop */
t2=((C_word*)((C_word*)t0)[2])[1];
f_31020(t2,((C_word*)t0)[3],((C_word*)t0)[4]);}
else{
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_31049,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[5],tmp=(C_word)a,a+=4,tmp);
/* library.scm:5991: loop */
t3=((C_word*)((C_word*)t0)[2])[1];
f_31020(t3,t2,((C_word*)t0)[4]);}}

/* k31047 in k31037 in loop in k30997 in k29169 in k28990 in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in ... */
static void C_ccall f_31049(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_31049,2,av);}
a=C_alloc(3);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_cons(&a,2,((C_word*)t0)[3],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k31057 in loop in k30997 in k29169 in k28990 in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in ... */
static void C_ccall f_31059(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31059,2,av);}
t2=((C_word*)t0)[2];
f_31039(t2,C_i_string_equal_p(lf[1356],t1));}

/* k31081 in k31085 in k28990 in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in ... */
static void C_ccall f_31083(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_31083,2,av);}
a=C_alloc(3);
t2=C_i_car(t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f36693,a[2]=((C_word)li970),tmp=(C_word)a,a+=3,tmp);
/* library.scm:5971: chicken.base#make-parameter */
t4=*((C_word*)lf[201]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t4;
av2[1]=((C_word*)t0)[2];
av2[2]=t2;
av2[3]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(4,av2);}}

/* k31085 in k28990 in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in ... */
static void C_ccall f_31087(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_31087,2,av);}
a=C_alloc(3);
if(C_truep(C_i_nullp(t1))){
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f36687,a[2]=((C_word)li969),tmp=(C_word)a,a+=3,tmp);
/* library.scm:5971: chicken.base#make-parameter */
t3=*((C_word*)lf[201]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[1358];
av2[3]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}
else{
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31083,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:5974: argv */
t3=C_fast_retrieve(lf[1194]);{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* a31088 in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in ... */
static void C_ccall f_31089(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_31089,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31093,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* ##sys#make-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[376]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[376]+1);
av2[1]=t2;
av2[2]=C_fix(1024);
av2[3]=C_make_character(32);
tp(4,av2);}}

/* k31091 in a31088 in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in ... */
static void C_ccall f_31093(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_31093,2,av);}
a=C_alloc(5);
t2=t1;
t3=C_curdir(t2);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_31096,a[2]=t3,a[3]=((C_word*)t0)[2],a[4]=t2,tmp=(C_word)a,a+=5,tmp);
if(C_truep(C_fast_retrieve(lf[1283]))){
t5=t4;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_SCHEME_UNDEFINED;
f_31096(2,av2);}}
else{
/* library.scm:5903: ##sys#update-errno */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[700]);
C_word *av2=av;
av2[0]=*((C_word*)lf[700]+1);
av2[1]=t4;
tp(2,av2);}}}

/* k31094 in k31091 in a31088 in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in ... */
static void C_ccall f_31096(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_31096,2,av);}
if(C_truep(((C_word*)t0)[2])){
/* library.scm:5905: ##sys#substring */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[395]+1));
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[395]+1);
av2[1]=((C_word*)t0)[3];
av2[2]=((C_word*)t0)[4];
av2[3]=C_fix(0);
av2[4]=((C_word*)t0)[2];
tp(5,av2);}}
else{
/* library.scm:5906: ##sys#signal-hook */
t2=C_fast_retrieve(lf[194]);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
av2[2]=lf[696];
av2[3]=lf[1359];
av2[4]=lf[1360];
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}}

/* a31110 in k28353 in k28293 in k26960 in k26957 in k26954 in k26187 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in ... */
static void C_ccall f_31111(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_31111,3,av);}
/* library.scm:5910: ##sys#change-directory-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[1184]);
C_word *av2=av;
av2[0]=*((C_word*)lf[1184]+1);
av2[1]=t1;
av2[2]=t2;
tp(3,av2);}}

/* a31116 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in k19647 in ... */
static void C_ccall f_31117(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +8,c,2)))){
C_save_and_reclaim((void*)f_31117,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+8);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_31121,a[2]=t1,a[3]=t3,a[4]=t2,tmp=(C_word)a,a+=5,tmp);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31274,a[2]=((C_word)li977),tmp=(C_word)a,a+=3,tmp);
/* library.scm:5097: ##sys#error-handler */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[999]);
C_word *av2=av;
av2[0]=*((C_word*)lf[999]+1);
av2[1]=t4;
av2[2]=t5;
tp(3,av2);}}

/* k31119 in a31116 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in ... */
static void C_ccall f_31121(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,4)))){
C_save_and_reclaim((void *)f_31121,2,av);}
a=C_alloc(5);
t2=C_mk_bool(C_gui_mode);
if(C_truep(C_i_not(t2))){
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_31130,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:5099: ##sys#print */
t4=*((C_word*)lf[863]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=lf[1369];
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[712]+1);
((C_proc)(void*)(*((C_word*)t4+1)))(5,av2);}}
else{
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_31224,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:5124: chicken.base#open-output-string */
t4=*((C_word*)lf[213]+1);{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* k31128 in k31119 in a31116 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in ... */
static void C_ccall f_31130(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,4)))){
C_save_and_reclaim((void *)f_31130,2,av);}
a=C_alloc(8);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_31133,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
if(C_truep(((C_word*)t0)[4])){
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_31218,a[2]=t2,a[3]=((C_word*)t0)[4],tmp=(C_word)a,a+=4,tmp);
/* library.scm:5101: ##sys#print */
t4=*((C_word*)lf[863]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=lf[1368];
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[712]+1);
((C_proc)(void*)(*((C_word*)t4+1)))(5,av2);}}
else{
t3=t2;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_UNDEFINED;
f_31133(2,av2);}}}

/* k31131 in k31128 in k31119 in a31116 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in ... */
static void C_ccall f_31133(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,3)))){
C_save_and_reclaim((void *)f_31133,2,av);}
a=C_alloc(7);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31136,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_31162,a[2]=((C_word*)t0)[3],a[3]=((C_word)li974),tmp=(C_word)a,a+=4,tmp);
/* library.scm:5103: ##sys#with-print-length-limit */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[914]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[914]+1);
av2[1]=t2;
av2[2]=C_fix(400);
av2[3]=t3;
tp(4,av2);}}

/* k31134 in k31131 in k31128 in k31119 in a31116 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in ... */
static void C_ccall f_31136(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,4)))){
C_save_and_reclaim((void *)f_31136,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31139,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:5115: ##sys#print */
t3=*((C_word*)lf[863]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=C_make_character(10);
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[712]+1);
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}

/* k31137 in k31134 in k31131 in k31128 in k31119 in a31116 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in ... */
static void C_ccall f_31139(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_31139,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31142,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:5116: chicken.base#print-call-chain */
t3=*((C_word*)lf[187]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=*((C_word*)lf[712]+1);
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}

/* k31140 in k31137 in k31134 in k31131 in k31128 in k31119 in a31116 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in ... */
static void C_ccall f_31142(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_31142,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31148,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
if(C_truep(C_fast_retrieve(lf[998]))){
/* library.scm:5117: ##sys#symbol-has-toplevel-binding? */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[1138]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[1138]+1);
av2[1]=t2;
av2[2]=lf[1366];
tp(3,av2);}}
else{
t3=t2;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
f_31148(2,av2);}}}

/* k31146 in k31140 in k31137 in k31134 in k31131 in k31128 in k31119 in a31116 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in ... */
static void C_ccall f_31148(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_31148,2,av);}
a=C_alloc(3);
if(C_truep(t1)){
t2=C_slot(lf[1366],C_fix(0));
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31154,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:5117: g5869 */
t4=t2;{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)C_fast_retrieve_proc(t4))(2,av2);}}
else{
t2=C_halt(C_SCHEME_FALSE);
t3=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k31152 in k31146 in k31140 in k31137 in k31134 in k31131 in k31128 in k31119 in a31116 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in ... */
static void C_ccall f_31154(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,4)))){
C_save_and_reclaim((void *)f_31154,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31157,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:5120: ##sys#print */
t3=*((C_word*)lf[863]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=C_make_character(10);
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[712]+1);
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}

/* k31155 in k31152 in k31146 in k31140 in k31137 in k31134 in k31131 in k31128 in k31119 in a31116 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in ... */
static void C_ccall f_31157(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31157,2,av);}
t2=C_exit_runtime(C_fix((C_word)EX_SOFTWARE));
t3=C_halt(C_SCHEME_FALSE);
t4=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* a31161 in k31131 in k31128 in k31119 in a31116 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in ... */
static void C_ccall f_31162(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,4)))){
C_save_and_reclaim((void *)f_31162,2,av);}
a=C_alloc(6);
t2=((C_word*)t0)[2];
t3=C_u_i_length(t2);
t4=C_eqp(C_fix(1),t3);
if(C_truep(t4)){
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_31172,a[2]=((C_word*)t0)[2],a[3]=t1,tmp=(C_word)a,a+=4,tmp);
/* library.scm:5107: ##sys#print */
t6=*((C_word*)lf[863]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t6;
av2[1]=t5;
av2[2]=lf[1367];
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[712]+1);
((C_proc)(void*)(*((C_word*)t6+1)))(5,av2);}}
else{
t5=((C_word*)t0)[2];
t6=C_SCHEME_UNDEFINED;
t7=(*a=C_VECTOR_TYPE|1,a[1]=t6,tmp=(C_word)a,a+=2,tmp);
t8=C_set_block_item(t7,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_31192,a[2]=t7,a[3]=((C_word)li973),tmp=(C_word)a,a+=4,tmp));
t9=((C_word*)t7)[1];
f_31192(t9,t1,t5);}}

/* k31170 in a31161 in k31131 in k31128 in k31119 in a31116 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in ... */
static void C_ccall f_31172(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_31172,2,av);}
t2=C_slot(((C_word*)t0)[2],C_fix(0));
/* library.scm:5108: ##sys#print */
t3=*((C_word*)lf[863]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=((C_word*)t0)[3];
av2[2]=t2;
av2[3]=C_SCHEME_TRUE;
av2[4]=*((C_word*)lf[712]+1);
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}

/* k31182 in for-each-loop5851 in a31161 in k31131 in k31128 in k31119 in a31116 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in ... */
static void C_ccall f_31184(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_31184,2,av);}
/* library.scm:5113: ##sys#print */
t2=*((C_word*)lf[863]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=C_SCHEME_TRUE;
av2[4]=*((C_word*)lf[712]+1);
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}

/* for-each-loop5851 in a31161 in k31131 in k31128 in k31119 in a31116 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in ... */
static void C_fcall f_31192(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,0,4)))){
C_save_and_reclaim_args((void *)trf_31192,3,t0,t1,t2);}
a=C_alloc(9);
if(C_truep(C_i_pairp(t2))){
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_31202,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
t4=C_slot(t2,C_fix(0));
t5=t3;
t6=t4;
t7=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_31184,a[2]=t5,a[3]=t6,tmp=(C_word)a,a+=4,tmp);
/* library.scm:5112: ##sys#print */
t8=*((C_word*)lf[863]+1);{
C_word av2[5];
av2[0]=t8;
av2[1]=t7;
av2[2]=C_make_character(10);
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[712]+1);
((C_proc)(void*)(*((C_word*)t8+1)))(5,av2);}}
else{
t3=C_SCHEME_UNDEFINED;
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* k31200 in for-each-loop5851 in a31161 in k31131 in k31128 in k31119 in a31116 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in ... */
static void C_ccall f_31202(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_31202,2,av);}
t2=C_slot(((C_word*)t0)[2],C_fix(1));
t3=((C_word*)((C_word*)t0)[3])[1];
f_31192(t3,((C_word*)t0)[4],t2);}

/* k31216 in k31128 in k31119 in a31116 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in ... */
static void C_ccall f_31218(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_31218,2,av);}
/* library.scm:5102: ##sys#print */
t2=*((C_word*)lf[863]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[712]+1);
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}

/* k31222 in k31119 in a31116 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in ... */
static void C_ccall f_31224(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,4)))){
C_save_and_reclaim((void *)f_31224,2,av);}
a=C_alloc(5);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_31227,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
if(C_truep(((C_word*)t0)[4])){
/* library.scm:5125: ##sys#print */
t4=*((C_word*)lf[863]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)t0)[4];
av2[3]=C_SCHEME_FALSE;
av2[4]=t2;
((C_proc)(void*)(*((C_word*)t4+1)))(5,av2);}}
else{
t4=t3;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_SCHEME_UNDEFINED;
f_31227(2,av2);}}}

/* k31225 in k31222 in k31119 in a31116 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in ... */
static void C_ccall f_31227(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,4)))){
C_save_and_reclaim((void *)f_31227,2,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_31230,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:5126: ##sys#print */
t3=*((C_word*)lf[863]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=C_make_character(10);
av2[3]=C_SCHEME_FALSE;
av2[4]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}

/* k31228 in k31225 in k31222 in k31119 in a31116 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in ... */
static void C_ccall f_31230(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(15,c,3)))){
C_save_and_reclaim((void *)f_31230,2,av);}
a=C_alloc(15);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_31231,a[2]=((C_word*)t0)[2],a[3]=((C_word)li975),tmp=(C_word)a,a+=4,tmp);
t3=((C_word*)t0)[3];
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_31241,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
t5=C_SCHEME_UNDEFINED;
t6=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t7=C_set_block_item(t6,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_31247,a[2]=t6,a[3]=t2,a[4]=((C_word)li976),tmp=(C_word)a,a+=5,tmp));
t8=((C_word*)t6)[1];
f_31247(t8,t4,t3);}

/* g5883 in k31228 in k31225 in k31222 in k31119 in a31116 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in ... */
static void C_fcall f_31231(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,0,4)))){
C_save_and_reclaim_args((void *)trf_31231,3,t0,t1,t2);}
a=C_alloc(4);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_31235,a[2]=t1,a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
/* library.scm:5127: ##sys#print */
t4=*((C_word*)lf[863]+1);{
C_word av2[5];
av2[0]=t4;
av2[1]=t3;
av2[2]=t2;
av2[3]=C_SCHEME_TRUE;
av2[4]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t4+1)))(5,av2);}}

/* k31233 in g5883 in k31228 in k31225 in k31222 in k31119 in a31116 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in ... */
static void C_ccall f_31235(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_31235,2,av);}
/* library.scm:5127: ##sys#print */
t2=*((C_word*)lf[863]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=C_make_character(10);
av2[3]=C_SCHEME_FALSE;
av2[4]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}

/* k31239 in k31228 in k31225 in k31222 in k31119 in a31116 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in ... */
static void C_ccall f_31241(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_31241,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31245,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:5128: chicken.base#get-output-string */
t3=*((C_word*)lf[211]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}

/* k31243 in k31239 in k31228 in k31225 in k31222 in k31119 in a31116 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in ... */
static void C_ccall f_31245(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31245,2,av);}
t2=C_halt(t1);
t3=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* for-each-loop5882 in k31228 in k31225 in k31222 in k31119 in a31116 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in ... */
static void C_fcall f_31247(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,2)))){
C_save_and_reclaim_args((void *)trf_31247,3,t0,t1,t2);}
a=C_alloc(5);
if(C_truep(C_i_pairp(t2))){
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_31257,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
t4=C_slot(t2,C_fix(0));
/* library.scm:5127: g5883 */
t5=((C_word*)t0)[3];
f_31231(t5,t3,t4);}
else{
t3=C_SCHEME_UNDEFINED;
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* k31255 in for-each-loop5882 in k31228 in k31225 in k31222 in k31119 in a31116 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in ... */
static void C_ccall f_31257(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_31257,2,av);}
t2=C_slot(((C_word*)t0)[2],C_fix(1));
t3=((C_word*)((C_word*)t0)[3])[1];
f_31247(t3,((C_word*)t0)[4],t2);}

/* a31273 in a31116 in k25875 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in ... */
static void C_ccall f_31274(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31274,2,av);}
t2=t1;{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_halt(lf[1370]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* a31276 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in k19647 in k19643 in ... */
static void C_ccall f_31277(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_31277,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31281,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* library.scm:4999: chicken.base#exit-handler */
t3=*((C_word*)lf[224]+1);{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* k31279 in a31276 in k25871 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in k19647 in ... */
static void C_ccall f_31281(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_31281,2,av);}
/* library.scm:4998: g5758 */
t2=t1;{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=C_fix((C_word)EX_SOFTWARE);
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* a31285 in k25867 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in k19647 in k19643 in k19639 in ... */
static void C_ccall f_31286(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31286,2,av);}
/* library.scm:4994: cleanup-before-exit */
f_25786(t1);}

/* a31291 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in ... */
static void C_ccall f_31292(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +4,c,2)))){
C_save_and_reclaim((void*)f_31292,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+4);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
t3=C_i_nullp(t2);
t4=(C_truep(t3)?C_fix(0):C_i_car(t2));
t5=t4;
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_31299,a[2]=t1,a[3]=t5,tmp=(C_word)a,a+=4,tmp);
/* library.scm:4984: ##sys#check-fixnum */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[102]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[102]+1);
av2[1]=t6;
av2[2]=t5;
tp(3,av2);}}

/* k31297 in a31291 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in k19647 in k19643 in k19639 in ... */
static void C_ccall f_31299(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_31299,2,av);}
a=C_alloc(4);
if(C_truep(C_retrieve2(lf[949],C_text("exit-in-progress")))){
/* library.scm:4986: ##sys#warn */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[311]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[311]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=lf[1371];
tp(3,av2);}}
else{
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_31308,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
/* library.scm:4988: cleanup-before-exit */
f_25786(t2);}}

/* k31306 in k31297 in a31291 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in k19647 in k19643 in ... */
static void C_ccall f_31308(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31308,2,av);}
t2=C_exit_runtime(((C_word*)t0)[2]);
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* a31315 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in ... */
static void C_ccall f_31316(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31316,3,av);}
t3=C_slot(t2,C_fix(10));
t4=C_slot(t2,C_fix(12));
t5=C_slot(t2,C_fix(11));
if(C_truep(C_fixnum_greater_or_equal_p(t3,t5))){
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=C_SCHEME_END_OF_FILE;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}
else{
t6=C_subchar(t4,t3);
t7=C_fixnum_plus(t3,C_fix(1));
t8=C_i_set_i_slot(t2,C_fix(10),t7);
t9=t1;{
C_word *av2=av;
av2[0]=t9;
av2[1]=t6;
((C_proc)(void*)(*((C_word*)t9+1)))(2,av2);}}}

/* a31340 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in ... */
static void C_ccall f_31341(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31341,3,av);}
t3=C_slot(t2,C_fix(10));
t4=C_slot(t2,C_fix(12));
t5=C_slot(t2,C_fix(11));
if(C_truep(C_fixnum_greater_or_equal_p(t3,t5))){
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=C_SCHEME_END_OF_FILE;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}
else{
t6=C_subchar(t4,t3);
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}}

/* a31358 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in ... */
static void C_ccall f_31359(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_31359,4,av);}
a=C_alloc(5);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_31363,a[2]=t2,a[3]=t3,a[4]=t1,tmp=(C_word)a,a+=5,tmp);
/* library.scm:4740: check */
t5=((C_word*)((C_word*)t0)[2])[1];{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
av2[2]=t2;
av2[3]=C_fix(1);
((C_proc)C_fast_retrieve_proc(t5))(4,av2);}}

/* k31361 in a31358 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in k19647 in k19643 in k19639 in ... */
static void C_ccall f_31363(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31363,2,av);}
t2=C_slot(((C_word*)t0)[2],C_fix(10));
t3=C_slot(((C_word*)t0)[2],C_fix(12));
t4=C_setsubchar(t3,t2,((C_word*)t0)[3]);
t5=C_fixnum_plus(t2,C_fix(1));
t6=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t6;
av2[1]=C_i_set_i_slot(((C_word*)t0)[2],C_fix(10),t5);
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}

/* a31377 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in ... */
static void C_ccall f_31378(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,3)))){
C_save_and_reclaim((void *)f_31378,4,av);}
a=C_alloc(6);
t4=C_block_size(t3);
t5=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_31382,a[2]=t2,a[3]=t3,a[4]=t4,a[5]=t1,tmp=(C_word)a,a+=6,tmp);
/* library.scm:4747: check */
t6=((C_word*)((C_word*)t0)[2])[1];{
C_word *av2=av;
av2[0]=t6;
av2[1]=t5;
av2[2]=t2;
av2[3]=t4;
((C_proc)C_fast_retrieve_proc(t6))(4,av2);}}

/* k31380 in a31377 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in k19647 in k19643 in k19639 in ... */
static void C_ccall f_31382(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31382,2,av);}
t2=C_slot(((C_word*)t0)[2],C_fix(10));
t3=C_slot(((C_word*)t0)[2],C_fix(12));
t4=C_substring_copy(((C_word*)t0)[3],t3,C_fix(0),((C_word*)t0)[4],t2);
t5=C_fixnum_plus(t2,((C_word*)t0)[4]);
t6=((C_word*)t0)[5];{
C_word *av2=av;
av2[0]=t6;
av2[1]=C_i_set_i_slot(((C_word*)t0)[2],C_fix(10),t5);
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}

/* a31396 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in ... */
static void C_ccall f_31397(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31397,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* a31399 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in ... */
static void C_ccall f_31400(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31400,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_TRUE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* a31402 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in ... */
static void C_ccall f_31403(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5=av[5];
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word *a;
if(c!=6) C_bad_argc_2(c,6,t0);
if(C_unlikely(!C_demand(C_calculate_demand(10,c,2)))){
C_save_and_reclaim((void *)f_31403,6,av);}
a=C_alloc(10);
t6=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t7=C_slot(t2,C_fix(10));
t8=t7;
t9=C_slot(t2,C_fix(11));
t10=C_fixnum_difference(t9,t8);
t11=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_31413,a[2]=t2,a[3]=t8,a[4]=t6,a[5]=t4,a[6]=t5,a[7]=t1,tmp=(C_word)a,a+=8,tmp);
t12=C_i_not(((C_word*)t6)[1]);
if(C_truep(t12)){
if(C_truep(t12)){
t13=C_set_block_item(t6,0,t10);
t14=t11;
f_31413(t14,t13);}
else{
t13=t11;
f_31413(t13,C_SCHEME_UNDEFINED);}}
else{
if(C_truep(C_fixnum_greaterp(((C_word*)t6)[1],t10))){
t13=C_set_block_item(t6,0,t10);
t14=t11;
f_31413(t14,t13);}
else{
t13=t11;
f_31413(t13,C_SCHEME_UNDEFINED);}}}

/* k31411 in a31402 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in k19647 in k19643 in k19639 in ... */
static void C_fcall f_31413(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,0,1)))){
C_save_and_reclaim_args((void *)trf_31413,2,t0,t1);}
t2=C_slot(((C_word*)t0)[2],C_fix(12));
t3=C_fixnum_plus(((C_word*)t0)[3],((C_word*)((C_word*)t0)[4])[1]);
t4=C_substring_copy(t2,((C_word*)t0)[5],((C_word*)t0)[3],t3,((C_word*)t0)[6]);
t5=C_fixnum_plus(((C_word*)t0)[3],((C_word*)((C_word*)t0)[4])[1]);
t6=C_i_set_i_slot(((C_word*)t0)[2],C_fix(10),t5);
t7=((C_word*)t0)[7];{
C_word av2[2];
av2[0]=t7;
av2[1]=((C_word*)((C_word*)t0)[4])[1];
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}

/* a31443 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in ... */
static void C_ccall f_31444(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(11,c,5)))){
C_save_and_reclaim((void *)f_31444,4,av);}
a=C_alloc(11);
t4=C_slot(t2,C_fix(10));
t5=t4;
t6=C_slot(t2,C_fix(11));
t7=t6;
t8=C_slot(t2,C_fix(12));
t9=t8;
t10=(C_truep(t3)?C_fixnum_plus(t5,t3):t7);
t11=t10;
if(C_truep(C_fixnum_greater_or_equal_p(t5,t7))){
t12=t1;{
C_word *av2=av;
av2[0]=t12;
av2[1]=C_SCHEME_END_OF_FILE;
((C_proc)(void*)(*((C_word*)t12+1)))(2,av2);}}
else{
t12=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_31468,a[2]=t11,a[3]=t7,a[4]=t9,a[5]=t5,a[6]=((C_word)li742),tmp=(C_word)a,a+=7,tmp);
t13=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_31487,a[2]=t2,a[3]=((C_word)li743),tmp=(C_word)a,a+=4,tmp);
/* library.scm:4769: ##sys#call-with-values */{
C_word *av2=av;
av2[0]=0;
av2[1]=t1;
av2[2]=t12;
av2[3]=t13;
C_call_with_values(4,av2);}}}

/* a31467 in a31443 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in k19647 in k19643 in k19639 in ... */
static void C_ccall f_31468(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,5)))){
C_save_and_reclaim((void *)f_31468,2,av);}
a=C_alloc(3);
t2=C_fixnum_greaterp(((C_word*)t0)[2],((C_word*)t0)[3]);
t3=(C_truep(t2)?((C_word*)t0)[3]:((C_word*)t0)[2]);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31478,a[2]=((C_word)li741),tmp=(C_word)a,a+=3,tmp);
/* library.scm:4770: ##sys#scan-buffer-line */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[917]);
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[917]+1);
av2[1]=t1;
av2[2]=((C_word*)t0)[4];
av2[3]=t3;
av2[4]=((C_word*)t0)[5];
av2[5]=t4;
tp(6,av2);}}

/* a31477 in a31467 in a31443 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in k19647 in k19643 in ... */
static void C_ccall f_31478(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_31478,3,av);}
/* library.scm:4772: scheme#values */{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_SCHEME_FALSE;
av2[3]=t2;
av2[4]=C_SCHEME_FALSE;
C_values(5,av2);}}

/* a31486 in a31443 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in k19647 in k19643 in k19639 in ... */
static void C_ccall f_31487(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31487,5,av);}
if(C_truep(t4)){
t5=C_slot(((C_word*)t0)[2],C_fix(4));
t6=C_fixnum_plus(t5,C_fix(1));
t7=C_i_set_i_slot(((C_word*)t0)[2],C_fix(4),t6);
t8=C_i_set_i_slot(((C_word*)t0)[2],C_fix(5),C_fix(0));
t9=C_i_set_i_slot(((C_word*)t0)[2],C_fix(10),t2);
t10=t1;{
C_word *av2=av;
av2[0]=t10;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t10+1)))(2,av2);}}
else{
t5=C_slot(((C_word*)t0)[2],C_fix(5));
t6=C_block_size(t3);
t7=C_fixnum_plus(t5,t6);
t8=C_i_set_i_slot(((C_word*)t0)[2],C_fix(5),t7);
t9=C_i_set_i_slot(((C_word*)t0)[2],C_fix(10),t2);
t10=t1;{
C_word *av2=av;
av2[0]=t10;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t10+1)))(2,av2);}}}

/* a31527 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in ... */
static void C_ccall f_31528(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,4)))){
C_save_and_reclaim((void *)f_31528,3,av);}
a=C_alloc(5);
t3=C_slot(t2,C_fix(10));
t4=C_slot(t2,C_fix(12));
t5=C_slot(t2,C_fix(11));
t6=t5;
if(C_truep(C_fixnum_greater_or_equal_p(t3,t6))){
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=lf[918];
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
t7=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_31547,a[2]=t2,a[3]=t6,a[4]=t1,tmp=(C_word)a,a+=5,tmp);
/* library.scm:4787: ##sys#substring */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[395]+1));
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[395]+1);
av2[1]=t7;
av2[2]=t4;
av2[3]=t3;
av2[4]=t6;
tp(5,av2);}}}

/* k31545 in a31527 in k23607 in k23603 in k23599 in k20059 in k20055 in k20051 in k20047 in k20043 in k19683 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in k19647 in k19643 in k19639 in ... */
static void C_ccall f_31547(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31547,2,av);}
t2=C_i_set_i_slot(((C_word*)t0)[2],C_fix(10),((C_word*)t0)[3]);
t3=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* a31559 in k19679 in k19675 in k19671 in k19667 in k19663 in k19659 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in k19539 in k18763 in k18760 in k18757 in k18754 in ... */
static void C_ccall f_31560(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word t6;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31560,5,av);}
t5=C_i_list_tail(t2,t3);
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=C_i_set_car(t5,t4);
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}

/* a31569 in k19667 in k19663 in k19659 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in k19539 in k18763 in k18760 in k18757 in k18754 in k18750 in k18746 in k18181 in ... */
static void C_ccall f_31570(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31570,4,av);}
t4=C_i_cddr(t2);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_i_set_cdr(t4,t3);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* a31579 in k19663 in k19659 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in k19539 in k18763 in k18760 in k18757 in k18754 in k18750 in k18746 in k18181 in k18178 in ... */
static void C_ccall f_31580(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31580,4,av);}
t4=C_i_cdar(t2);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_i_set_cdr(t4,t3);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* a31589 in k19659 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in k19539 in k18763 in k18760 in k18757 in k18754 in k18750 in k18746 in k18181 in k18178 in k18175 in ... */
static void C_ccall f_31590(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31590,4,av);}
t4=C_i_cadr(t2);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_i_set_cdr(t4,t3);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* a31599 in k19655 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in k19539 in k18763 in k18760 in k18757 in k18754 in k18750 in k18746 in k18181 in k18178 in k18175 in k18172 in ... */
static void C_ccall f_31600(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31600,4,av);}
t4=C_i_caar(t2);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_i_set_cdr(t4,t3);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* a31609 in k19651 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in k19539 in k18763 in k18760 in k18757 in k18754 in k18750 in k18746 in k18181 in k18178 in k18175 in k18172 in k18169 in ... */
static void C_ccall f_31610(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31610,4,av);}
t4=C_i_cddr(t2);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_i_set_car(t4,t3);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* a31619 in k19647 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in k19539 in k18763 in k18760 in k18757 in k18754 in k18750 in k18746 in k18181 in k18178 in k18175 in k18172 in k18169 in k18166 in ... */
static void C_ccall f_31620(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31620,4,av);}
t4=C_i_cdar(t2);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_i_set_car(t4,t3);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* a31629 in k19643 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in k19539 in k18763 in k18760 in k18757 in k18754 in k18750 in k18746 in k18181 in k18178 in k18175 in k18172 in k18169 in k18166 in k18163 in ... */
static void C_ccall f_31630(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31630,4,av);}
t4=C_i_cadr(t2);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_i_set_car(t4,t3);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* a31639 in k19639 in k19635 in k19631 in k19627 in k19623 in k19619 in k19539 in k18763 in k18760 in k18757 in k18754 in k18750 in k18746 in k18181 in k18178 in k18175 in k18172 in k18169 in k18166 in k18163 in k18160 in ... */
static void C_ccall f_31640(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31640,4,av);}
t4=C_i_caar(t2);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_i_set_car(t4,t3);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* a31649 in k19635 in k19631 in k19627 in k19623 in k19619 in k19539 in k18763 in k18760 in k18757 in k18754 in k18750 in k18746 in k18181 in k18178 in k18175 in k18172 in k18169 in k18166 in k18163 in k18160 in k18157 in ... */
static void C_ccall f_31650(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31650,4,av);}
t4=C_i_cdr(t2);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_i_set_cdr(t4,t3);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* a31659 in k19631 in k19627 in k19623 in k19619 in k19539 in k18763 in k18760 in k18757 in k18754 in k18750 in k18746 in k18181 in k18178 in k18175 in k18172 in k18169 in k18166 in k18163 in k18160 in k18157 in k18154 in ... */
static void C_ccall f_31660(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31660,4,av);}
t4=C_i_car(t2);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_i_set_cdr(t4,t3);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* a31669 in k19627 in k19623 in k19619 in k19539 in k18763 in k18760 in k18757 in k18754 in k18750 in k18746 in k18181 in k18178 in k18175 in k18172 in k18169 in k18166 in k18163 in k18160 in k18157 in k18154 in k18151 in ... */
static void C_ccall f_31670(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31670,4,av);}
t4=C_i_cdr(t2);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_i_set_car(t4,t3);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* a31679 in k19623 in k19619 in k19539 in k18763 in k18760 in k18757 in k18754 in k18750 in k18746 in k18181 in k18178 in k18175 in k18172 in k18169 in k18166 in k18163 in k18160 in k18157 in k18154 in k18151 in k18148 in ... */
static void C_ccall f_31680(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31680,4,av);}
t4=C_i_car(t2);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_i_set_car(t4,t3);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* a31689 in k18763 in k18760 in k18757 in k18754 in k18750 in k18746 in k18181 in k18178 in k18175 in k18172 in k18169 in k18166 in k18163 in k18160 in k18157 in k18154 in k18151 in k18148 in k18145 in k18142 in k17982 in ... */
static void C_ccall f_31690(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(7,c,4)))){
C_save_and_reclaim((void *)f_31690,3,av);}
a=C_alloc(7);
if(C_truep(C_i_closurep(t2))){
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_31706,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31714,a[2]=((C_word)li995),tmp=(C_word)a,a+=3,tmp);
/* library.scm:3502: ##sys#lambda-decoration */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[747]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[747]+1);
av2[1]=t3;
av2[2]=t2;
av2[3]=t4;
tp(4,av2);}}
else{
/* library.scm:3504: ##sys#error */
t3=*((C_word*)lf[155]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=t1;
av2[2]=lf[754];
av2[3]=lf[1373];
av2[4]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}}

/* k31704 in a31689 in k18763 in k18760 in k18757 in k18754 in k18750 in k18746 in k18181 in k18178 in k18175 in k18172 in k18169 in k18166 in k18163 in k18160 in k18157 in k18154 in k18151 in k18148 in k18145 in k18142 in ... */
static void C_ccall f_31706(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_31706,2,av);}
if(C_truep(t1)){
t2=C_slot(t1,C_fix(1));
if(C_truep(t2)){
t3=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
/* library.scm:3504: ##sys#error */
t3=*((C_word*)lf[155]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[754];
av2[3]=lf[1373];
av2[4]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}}
else{
/* library.scm:3504: ##sys#error */
t2=*((C_word*)lf[155]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[754];
av2[3]=lf[1373];
av2[4]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}}

/* a31713 in a31689 in k18763 in k18760 in k18757 in k18754 in k18750 in k18746 in k18181 in k18178 in k18175 in k18172 in k18169 in k18166 in k18163 in k18160 in k18157 in k18154 in k18151 in k18148 in k18145 in k18142 in ... */
static void C_ccall f_31714(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31714,3,av);}
if(C_truep(C_i_pairp(t2))){
t3=C_slot(t2,C_fix(0));
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_eqp(C_retrieve2(lf[755],C_text("setter-tag")),t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* a31729 in k18763 in k18760 in k18757 in k18754 in k18750 in k18746 in k18181 in k18178 in k18175 in k18172 in k18169 in k18166 in k18163 in k18160 in k18157 in k18154 in k18151 in k18148 in k18145 in k18142 in k17982 in ... */
static void C_ccall f_31730(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31730,3,av);}
if(C_truep(C_i_pairp(t2))){
t3=C_slot(t2,C_fix(0));
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_eqp(C_retrieve2(lf[755],C_text("setter-tag")),t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* a31745 in k18763 in k18760 in k18757 in k18754 in k18750 in k18746 in k18181 in k18178 in k18175 in k18172 in k18169 in k18166 in k18163 in k18160 in k18157 in k18154 in k18151 in k18148 in k18145 in k18142 in k17982 in ... */
static void C_ccall f_31746(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,4)))){
C_save_and_reclaim((void *)f_31746,4,av);}
a=C_alloc(6);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31756,a[2]=((C_word)li1000),tmp=(C_word)a,a+=3,tmp);
t5=C_a_i_cons(&a,2,C_retrieve2(lf[755],C_text("setter-tag")),t4);
t6=C_i_setslot(t2,t3,t5);
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}

/* a31755 in a31745 in k18763 in k18760 in k18757 in k18754 in k18750 in k18746 in k18181 in k18178 in k18175 in k18172 in k18169 in k18166 in k18163 in k18160 in k18157 in k18154 in k18151 in k18148 in k18145 in k18142 in ... */
static void C_ccall f_31756(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(11,c,4)))){
C_save_and_reclaim((void *)f_31756,4,av);}
a=C_alloc(11);
if(C_truep(C_i_closurep(t2))){
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_31766,a[2]=t2,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31785,a[2]=((C_word)li998),tmp=(C_word)a,a+=3,tmp);
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_31801,a[2]=t3,a[3]=((C_word)li999),tmp=(C_word)a,a+=4,tmp);
/* library.scm:3513: ##sys#decorate-lambda */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[746]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[746]+1);
av2[1]=t4;
av2[2]=t2;
av2[3]=t5;
av2[4]=t6;
tp(5,av2);}}
else{
/* library.scm:3520: chicken.base#error */
t4=*((C_word*)lf[193]+1);{
C_word *av2=av;
av2[0]=t4;
av2[1]=t1;
av2[2]=lf[1374];
av2[3]=t2;
((C_proc)(void*)(*((C_word*)t4+1)))(4,av2);}}}

/* k31764 in a31755 in a31745 in k18763 in k18760 in k18757 in k18754 in k18750 in k18746 in k18181 in k18178 in k18175 in k18172 in k18169 in k18166 in k18163 in k18160 in k18157 in k18154 in k18151 in k18148 in k18145 in ... */
static void C_ccall f_31766(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_31766,2,av);}
a=C_alloc(6);
t2=C_eqp(((C_word*)t0)[2],t1);
if(C_truep(t2)){
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
t3=C_a_i_cons(&a,2,((C_word*)t0)[2],t1);
t4=C_a_i_list1(&a,1,t3);
/* library.scm:3519: ##sys#become! */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[329]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[329]+1);
av2[1]=((C_word*)t0)[3];
av2[2]=t4;
tp(3,av2);}}}

/* a31784 in a31755 in a31745 in k18763 in k18760 in k18757 in k18754 in k18750 in k18746 in k18181 in k18178 in k18175 in k18172 in k18169 in k18166 in k18163 in k18160 in k18157 in k18154 in k18151 in k18148 in k18145 in ... */
static void C_ccall f_31785(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31785,3,av);}
if(C_truep(C_i_pairp(t2))){
t3=C_slot(t2,C_fix(0));
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_eqp(C_retrieve2(lf[755],C_text("setter-tag")),t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* a31800 in a31755 in a31745 in k18763 in k18760 in k18757 in k18754 in k18750 in k18746 in k18181 in k18178 in k18175 in k18172 in k18169 in k18166 in k18163 in k18160 in k18157 in k18154 in k18151 in k18148 in k18145 in ... */
static void C_ccall f_31801(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_31801,4,av);}
a=C_alloc(3);
t4=C_a_i_cons(&a,2,C_retrieve2(lf[755],C_text("setter-tag")),((C_word*)t0)[2]);
t5=C_i_setslot(t2,t3,t4);
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}

/* a31813 in k18181 in k18178 in k18175 in k18172 in k18169 in k18166 in k18163 in k18160 in k18157 in k18154 in k18151 in k18148 in k18145 in k18142 in k17982 in k8508 */
static void C_ccall f_31814(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_31814,3,av);}
a=C_alloc(7);
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_31820,a[2]=t2,a[3]=t4,a[4]=((C_word)li541),tmp=(C_word)a,a+=5,tmp));
t6=((C_word*)t4)[1];{
C_word *av2=av;
av2[0]=t6;
av2[1]=t1;
f_31820(2,av2);}}

/* loop in a31813 in k18181 in k18178 in k18175 in k18172 in k18169 in k18166 in k18163 in k18160 in k18157 in k18154 in k18151 in k18148 in k18145 in k18142 in k17982 in k8508 */
static void C_ccall f_31820(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_31820,2,av);}
a=C_alloc(5);
t2=C_read_char(((C_word*)t0)[2]);
t3=C_eqp(C_fix(-1),t2);
if(C_truep(t3)){
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_31851,a[2]=t1,a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[2],tmp=(C_word)a,a+=5,tmp);
/* library.scm:3172: ##sys#update-errno */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[700]);
C_word *av2=av;
av2[0]=*((C_word*)lf[700]+1);
av2[1]=t4;
tp(2,av2);}}
else{
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* k31841 in k31849 in loop in a31813 in k18181 in k18178 in k18175 in k18172 in k18169 in k18166 in k18163 in k18160 in k18157 in k18154 in k18151 in k18148 in k18145 in k18142 in k17982 in k8508 */
static void C_ccall f_31843(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,5)))){
C_save_and_reclaim((void *)f_31843,2,av);}
/* library.scm:3174: ##sys#signal-hook */
t2=C_fast_retrieve(lf[194]);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[696];
av2[3]=lf[697];
av2[4]=t1;
av2[5]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(6,av2);}}

/* k31845 in k31849 in loop in a31813 in k18181 in k18178 in k18175 in k18172 in k18169 in k18166 in k18163 in k18160 in k18157 in k18154 in k18151 in k18148 in k18145 in k18142 in k17982 in k8508 */
static void C_ccall f_31847(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_31847,2,av);}
/* library.scm:3176: ##sys#string-append */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[412]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[412]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=lf[698];
av2[3]=t1;
tp(4,av2);}}

/* k31849 in loop in a31813 in k18181 in k18178 in k18175 in k18172 in k18169 in k18166 in k18163 in k18160 in k18157 in k18154 in k18151 in k18148 in k18145 in k18142 in k17982 in k8508 */
static void C_ccall f_31851(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,3)))){
C_save_and_reclaim((void *)f_31851,2,av);}
a=C_alloc(10);
t2=C_fix((C_word)EINTR);
t3=C_eqp(t1,t2);
if(C_truep(t3)){
/* library.scm:3173: ##sys#dispatch-interrupt */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[695]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[695]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)((C_word*)t0)[3])[1];
tp(3,av2);}}
else{
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_31843,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[4],tmp=(C_word)a,a+=4,tmp);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31847,a[2]=t4,tmp=(C_word)a,a+=3,tmp);
/* ##sys#peek-c-string */
t6=*((C_word*)lf[699]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t6;
av2[1]=t5;
av2[2]=C_mpointer(&a,(void*)strerror(errno));
av2[3]=C_fix(0);
((C_proc)(void*)(*((C_word*)t6+1)))(4,av2);}}}

/* a31853 in k18181 in k18178 in k18175 in k18172 in k18169 in k18166 in k18163 in k18160 in k18157 in k18154 in k18151 in k18148 in k18145 in k18142 in k17982 in k8508 */
static void C_ccall f_31854(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_31854,3,av);}
a=C_alloc(7);
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_31860,a[2]=t2,a[3]=t4,a[4]=((C_word)li543),tmp=(C_word)a,a+=5,tmp));
t6=((C_word*)t4)[1];{
C_word *av2=av;
av2[0]=t6;
av2[1]=t1;
f_31860(2,av2);}}

/* loop in a31853 in k18181 in k18178 in k18175 in k18172 in k18169 in k18166 in k18163 in k18160 in k18157 in k18154 in k18151 in k18148 in k18145 in k18142 in k17982 in k8508 */
static void C_ccall f_31860(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_31860,2,av);}
a=C_alloc(5);
t2=C_peek_char(((C_word*)t0)[2]);
t3=C_eqp(C_fix(-1),t2);
if(C_truep(t3)){
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_31891,a[2]=t1,a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[2],tmp=(C_word)a,a+=5,tmp);
/* library.scm:3184: ##sys#update-errno */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[700]);
C_word *av2=av;
av2[0]=*((C_word*)lf[700]+1);
av2[1]=t4;
tp(2,av2);}}
else{
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* k31881 in k31889 in loop in a31853 in k18181 in k18178 in k18175 in k18172 in k18169 in k18166 in k18163 in k18160 in k18157 in k18154 in k18151 in k18148 in k18145 in k18142 in k17982 in k8508 */
static void C_ccall f_31883(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,5)))){
C_save_and_reclaim((void *)f_31883,2,av);}
/* library.scm:3186: ##sys#signal-hook */
t2=C_fast_retrieve(lf[194]);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[696];
av2[3]=lf[701];
av2[4]=t1;
av2[5]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(6,av2);}}

/* k31885 in k31889 in loop in a31853 in k18181 in k18178 in k18175 in k18172 in k18169 in k18166 in k18163 in k18160 in k18157 in k18154 in k18151 in k18148 in k18145 in k18142 in k17982 in k8508 */
static void C_ccall f_31887(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_31887,2,av);}
/* library.scm:3188: ##sys#string-append */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[412]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[412]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=lf[702];
av2[3]=t1;
tp(4,av2);}}

/* k31889 in loop in a31853 in k18181 in k18178 in k18175 in k18172 in k18169 in k18166 in k18163 in k18160 in k18157 in k18154 in k18151 in k18148 in k18145 in k18142 in k17982 in k8508 */
static void C_ccall f_31891(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,3)))){
C_save_and_reclaim((void *)f_31891,2,av);}
a=C_alloc(10);
t2=C_fix((C_word)EINTR);
t3=C_eqp(t1,t2);
if(C_truep(t3)){
/* library.scm:3185: ##sys#dispatch-interrupt */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[695]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[695]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)((C_word*)t0)[3])[1];
tp(3,av2);}}
else{
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_31883,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[4],tmp=(C_word)a,a+=4,tmp);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31887,a[2]=t4,tmp=(C_word)a,a+=3,tmp);
/* ##sys#peek-c-string */
t6=*((C_word*)lf[699]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t6;
av2[1]=t5;
av2[2]=C_mpointer(&a,(void*)strerror(errno));
av2[3]=C_fix(0);
((C_proc)(void*)(*((C_word*)t6+1)))(4,av2);}}}

/* a31893 in k18181 in k18178 in k18175 in k18172 in k18169 in k18166 in k18163 in k18160 in k18157 in k18154 in k18151 in k18148 in k18145 in k18142 in k17982 in k8508 */
static void C_ccall f_31894(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31894,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_display_char(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* a31896 in k18181 in k18178 in k18175 in k18172 in k18169 in k18166 in k18163 in k18160 in k18157 in k18154 in k18151 in k18148 in k18145 in k18142 in k17982 in k8508 */
static void C_ccall f_31897(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31897,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_display_string(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* a31899 in k18181 in k18178 in k18175 in k18172 in k18169 in k18166 in k18163 in k18160 in k18157 in k18154 in k18151 in k18148 in k18145 in k18142 in k17982 in k8508 */
static void C_ccall f_31900(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31900,4,av);}
t4=C_close_file(t2);
/* library.scm:3197: ##sys#update-errno */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[700]);
C_word *av2=av;
av2[0]=*((C_word*)lf[700]+1);
av2[1]=t1;
tp(2,av2);}}

/* a31905 in k18181 in k18178 in k18175 in k18172 in k18169 in k18166 in k18163 in k18160 in k18157 in k18154 in k18151 in k18148 in k18145 in k18142 in k17982 in k8508 */
static void C_ccall f_31906(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31906,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_flush_output(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* a31908 in k18181 in k18178 in k18175 in k18172 in k18169 in k18166 in k18163 in k18160 in k18157 in k18154 in k18151 in k18148 in k18145 in k18142 in k17982 in k8508 */
static void C_ccall f_31909(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31909,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_char_ready_p(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* a31911 in k18181 in k18178 in k18175 in k18172 in k18169 in k18166 in k18163 in k18160 in k18157 in k18154 in k18151 in k18148 in k18145 in k18142 in k17982 in k8508 */
static void C_ccall f_31912(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5=av[5];
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(c!=6) C_bad_argc_2(c,6,t0);
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_31912,6,av);}
a=C_alloc(7);
t6=t3;
t7=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_31920,a[2]=t4,a[3]=t2,a[4]=t3,a[5]=t1,a[6]=t5,tmp=(C_word)a,a+=7,tmp);
if(C_truep(t6)){
t8=t7;
f_31920(t8,t6);}
else{
t8=C_block_size(t4);
t9=t7;
f_31920(t9,C_fixnum_difference(t8,t5));}}

/* k31918 in a31911 in k18181 in k18178 in k18175 in k18172 in k18169 in k18166 in k18163 in k18160 in k18157 in k18154 in k18151 in k18148 in k18145 in k18142 in k17982 in k8508 */
static void C_fcall f_31920(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,0,5)))){
C_save_and_reclaim_args((void *)trf_31920,2,t0,t1);}
a=C_alloc(9);
t2=C_SCHEME_UNDEFINED;
t3=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
t4=C_set_block_item(t3,0,(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_31922,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t3,a[5]=((C_word*)t0)[4],a[6]=((C_word)li551),tmp=(C_word)a,a+=7,tmp));
t5=((C_word*)t3)[1];
f_31922(t5,((C_word*)t0)[5],t1,C_fix(0),((C_word*)t0)[6]);}

/* loop in k31918 in a31911 in k18181 in k18178 in k18175 in k18172 in k18169 in k18166 in k18163 in k18160 in k18157 in k18154 in k18151 in k18148 in k18145 in k18142 in k17982 in k8508 */
static void C_fcall f_31922(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4){
C_word tmp;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(11,0,4)))){
C_save_and_reclaim_args((void *)trf_31922,5,t0,t1,t2,t3,t4);}
a=C_alloc(11);
t5=fast_read_string_from_file(((C_word*)t0)[2],((C_word*)t0)[3],t2,t4);
if(C_truep(C_eofp(t5))){
t6=t3;
t7=t1;{
C_word av2[2];
av2[0]=t7;
av2[1]=t6;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
if(C_truep(C_fixnum_lessp(t5,C_fix(0)))){
t6=(*a=C_CLOSURE_TYPE|10,a[1]=(C_word)f_31977,a[2]=t2,a[3]=t5,a[4]=t3,a[5]=t4,a[6]=((C_word*)t0)[4],a[7]=t1,a[8]=((C_word*)t0)[3],a[9]=((C_word*)t0)[5],a[10]=((C_word*)t0)[2],tmp=(C_word)a,a+=11,tmp);
/* library.scm:3208: ##sys#update-errno */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[700]);
C_word av2[2];
av2[0]=*((C_word*)lf[700]+1);
av2[1]=t6;
tp(2,av2);}}
else{
if(C_truep(C_fixnum_lessp(t5,t2))){
t6=C_fixnum_difference(t2,t5);
t7=C_fixnum_plus(t3,t5);
t8=C_fixnum_plus(t4,t5);
/* library.scm:3217: loop */
t10=t1;
t11=t6;
t12=t7;
t13=t8;
t1=t10;
t2=t11;
t3=t12;
t4=t13;
goto loop;}
else{
t6=t1;{
C_word av2[2];
av2[0]=t6;
av2[1]=C_fixnum_plus(t3,t5);
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}}}}

/* a31945 in k31975 in loop in k31918 in a31911 in k18181 in k18178 in k18175 in k18172 in k18169 in k18166 in k18163 in k18160 in k18157 in k18154 in k18151 in k18148 in k18145 in k18142 in k17982 in k8508 */
static void C_ccall f_31946(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_31946,2,av);}
t2=C_fixnum_difference(((C_word*)t0)[2],((C_word*)t0)[3]);
t3=C_fixnum_plus(((C_word*)t0)[4],((C_word*)t0)[3]);
t4=C_fixnum_plus(((C_word*)t0)[5],((C_word*)t0)[3]);
/* library.scm:3211: loop */
t5=((C_word*)((C_word*)t0)[6])[1];
f_31922(t5,t1,t2,t3,t4);}

/* k31967 in k31975 in loop in k31918 in a31911 in k18181 in k18178 in k18175 in k18172 in k18169 in k18166 in k18163 in k18160 in k18157 in k18154 in k18151 in k18148 in k18145 in k18142 in k17982 in k8508 */
static void C_ccall f_31969(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,8)))){
C_save_and_reclaim((void *)f_31969,2,av);}
/* library.scm:3212: ##sys#signal-hook */
t2=C_fast_retrieve(lf[194]);{
C_word *av2;
if(c >= 9) {
  av2=av;
} else {
  av2=C_alloc(9);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[696];
av2[3]=lf[703];
av2[4]=t1;
av2[5]=((C_word*)t0)[3];
av2[6]=((C_word*)t0)[4];
av2[7]=((C_word*)t0)[5];
av2[8]=((C_word*)t0)[6];
((C_proc)(void*)(*((C_word*)t2+1)))(9,av2);}}

/* k31971 in k31975 in loop in k31918 in a31911 in k18181 in k18178 in k18175 in k18172 in k18169 in k18166 in k18163 in k18160 in k18157 in k18154 in k18151 in k18148 in k18145 in k18142 in k17982 in k8508 */
static void C_ccall f_31973(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_31973,2,av);}
/* library.scm:3214: ##sys#string-append */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[412]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[412]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=lf[704];
av2[3]=t1;
tp(4,av2);}}

/* k31975 in loop in k31918 in a31911 in k18181 in k18178 in k18175 in k18172 in k18169 in k18166 in k18163 in k18160 in k18157 in k18154 in k18151 in k18148 in k18145 in k18142 in k17982 in k8508 */
static void C_ccall f_31977(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(13,c,3)))){
C_save_and_reclaim((void *)f_31977,2,av);}
a=C_alloc(13);
t2=C_fix((C_word)EINTR);
t3=C_eqp(t1,t2);
if(C_truep(t3)){
t4=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_31946,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word)li550),tmp=(C_word)a,a+=8,tmp);
/* library.scm:3209: ##sys#dispatch-interrupt */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[695]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[695]+1);
av2[1]=((C_word*)t0)[7];
av2[2]=t4;
tp(3,av2);}}
else{
t4=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_31969,a[2]=((C_word*)t0)[7],a[3]=((C_word*)t0)[8],a[4]=((C_word*)t0)[9],a[5]=((C_word*)t0)[10],a[6]=((C_word*)t0)[5],tmp=(C_word)a,a+=7,tmp);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31973,a[2]=t4,tmp=(C_word)a,a+=3,tmp);
/* ##sys#peek-c-string */
t6=*((C_word*)lf[699]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t6;
av2[1]=t5;
av2[2]=C_mpointer(&a,(void*)strerror(errno));
av2[3]=C_fix(0);
((C_proc)(void*)(*((C_word*)t6+1)))(4,av2);}}}

/* a32010 in k18181 in k18178 in k18175 in k18172 in k18169 in k18166 in k18163 in k18160 in k18157 in k18154 in k18151 in k18148 in k18145 in k18142 in k17982 in k8508 */
static void C_ccall f_32011(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_32011,4,av);}
a=C_alloc(5);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_32015,a[2]=t3,a[3]=t2,a[4]=t1,tmp=(C_word)a,a+=5,tmp);
if(C_truep(t3)){
/* library.scm:3221: ##sys#check-fixnum */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[102]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[102]+1);
av2[1]=t4;
av2[2]=t3;
av2[3]=lf[705];
tp(4,av2);}}
else{
t5=t4;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_SCHEME_UNDEFINED;
f_32015(2,av2);}}}

/* k32013 in a32010 in k18181 in k18178 in k18175 in k18172 in k18169 in k18166 in k18163 in k18160 in k18157 in k18154 in k18151 in k18148 in k18145 in k18142 in k17982 in k8508 */
static void C_ccall f_32015(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,2)))){
C_save_and_reclaim((void *)f_32015,2,av);}
a=C_alloc(9);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_32018,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
if(C_truep(C_slot(((C_word*)t0)[3],C_fix(12)))){
t3=t2;
f_32018(t3,C_SCHEME_UNDEFINED);}
else{
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_32184,a[2]=t2,a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:3224: ##sys#make-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[376]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[376]+1);
av2[1]=t3;
av2[2]=C_fix(1024);
tp(3,av2);}}}

/* k32016 in k32013 in a32010 in k18181 in k18178 in k18175 in k18172 in k18169 in k18166 in k18163 in k18160 in k18157 in k18154 in k18151 in k18148 in k18145 in k18142 in k17982 in k8508 */
static void C_fcall f_32018(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,0,7)))){
C_save_and_reclaim_args((void *)trf_32018,2,t0,t1);}
a=C_alloc(8);
t2=((C_word*)t0)[2];
t3=(C_truep(t2)?t2:lf[269]);
t4=C_slot(((C_word*)t0)[3],C_fix(12));
t5=C_SCHEME_UNDEFINED;
t6=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t7=C_set_block_item(t6,0,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_32031,a[2]=((C_word*)t0)[3],a[3]=t6,a[4]=((C_word*)t0)[2],a[5]=((C_word)li554),tmp=(C_word)a,a+=6,tmp));
t8=((C_word*)t6)[1];
f_32031(t8,((C_word*)t0)[4],C_fix(1024),t3,t4,lf[707],C_SCHEME_FALSE);}

/* loop in k32016 in k32013 in a32010 in k18181 in k18178 in k18175 in k18172 in k18169 in k18166 in k18163 in k18160 in k18157 in k18154 in k18151 in k18148 in k18145 in k18142 in k17982 in k8508 */
static void C_fcall f_32031(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4,C_word t5,C_word t6){
C_word tmp;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,0,4)))){
C_save_and_reclaim_args((void *)trf_32031,7,t0,t1,t2,t3,t4,t5,t6);}
a=C_alloc(11);
t7=C_i_fixnum_min(t3,t2);
t8=fast_read_line_from_file(t4,((C_word*)t0)[2],t7);
if(C_truep(C_eofp(t8))){
t9=t1;{
C_word av2[2];
av2[0]=t9;
av2[1]=(C_truep(t6)?t5:C_SCHEME_END_OF_FILE);
((C_proc)(void*)(*((C_word*)t9+1)))(2,av2);}}
else{
if(C_truep(C_i_not(t8))){
if(C_truep(C_fixnum_lessp(t3,t2))){
t9=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_32064,a[2]=t1,a[3]=t5,tmp=(C_word)a,a+=4,tmp);
/* library.scm:3235: ##sys#substring */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[395]+1));
C_word av2[5];
av2[0]=*((C_word*)lf[395]+1);
av2[1]=t9;
av2[2]=t4;
av2[3]=C_fix(0);
av2[4]=t3;
tp(5,av2);}}
else{
t9=C_fixnum_times(t2,C_fix(2));
t10=t9;
t11=C_fixnum_difference(t3,t2);
t12=t11;
t13=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_32079,a[2]=((C_word*)t0)[3],a[3]=t1,a[4]=t10,a[5]=t12,a[6]=t5,a[7]=t4,tmp=(C_word)a,a+=8,tmp);
t14=C_fixnum_times(t2,C_fix(2));
/* library.scm:3238: ##sys#make-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[376]+1));
C_word av2[3];
av2[0]=*((C_word*)lf[376]+1);
av2[1]=t13;
av2[2]=t14;
tp(3,av2);}}}
else{
if(C_truep(C_fixnum_lessp(t8,C_fix(0)))){
t9=(*a=C_CLOSURE_TYPE|10,a[1]=(C_word)f_32138,a[2]=t8,a[3]=((C_word*)t0)[3],a[4]=t2,a[5]=t3,a[6]=t4,a[7]=t5,a[8]=t1,a[9]=((C_word*)t0)[2],a[10]=((C_word*)t0)[4],tmp=(C_word)a,a+=11,tmp);
/* library.scm:3242: ##sys#update-errno */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[700]);
C_word av2[2];
av2[0]=*((C_word*)lf[700]+1);
av2[1]=t9;
tp(2,av2);}}
else{
if(C_truep(t6)){
t9=C_slot(((C_word*)t0)[2],C_fix(4));
t10=C_fixnum_plus(t9,C_fix(1));
t11=C_i_set_i_slot(((C_word*)t0)[2],C_fix(4),t10);
t12=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_32152,a[2]=t1,a[3]=t5,tmp=(C_word)a,a+=4,tmp);
/* library.scm:3255: ##sys#substring */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[395]+1));
C_word av2[5];
av2[0]=*((C_word*)lf[395]+1);
av2[1]=t12;
av2[2]=t4;
av2[3]=C_fix(0);
av2[4]=t8;
tp(5,av2);}}
else{
t9=C_slot(((C_word*)t0)[2],C_fix(4));
t10=C_fixnum_plus(t9,C_fix(1));
t11=C_i_set_i_slot(((C_word*)t0)[2],C_fix(4),t10);
/* library.scm:3258: ##sys#substring */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[395]+1));
C_word av2[5];
av2[0]=*((C_word*)lf[395]+1);
av2[1]=t1;
av2[2]=t4;
av2[3]=C_fix(0);
av2[4]=t8;
tp(5,av2);}}}}}}

/* k32062 in loop in k32016 in k32013 in a32010 in k18181 in k18178 in k18175 in k18172 in k18169 in k18166 in k18163 in k18160 in k18157 in k18154 in k18151 in k18148 in k18145 in k18142 in k17982 in k8508 */
static void C_ccall f_32064(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_32064,2,av);}
/* library.scm:3235: ##sys#string-append */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[412]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[412]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t1;
tp(4,av2);}}

/* k32077 in loop in k32016 in k32013 in a32010 in k18181 in k18178 in k18175 in k18172 in k18169 in k18166 in k18163 in k18160 in k18157 in k18154 in k18151 in k18148 in k18145 in k18142 in k17982 in k8508 */
static void C_ccall f_32079(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,3)))){
C_save_and_reclaim((void *)f_32079,2,av);}
a=C_alloc(7);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_32083,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=t2,tmp=(C_word)a,a+=7,tmp);
/* library.scm:3239: ##sys#string-append */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[412]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[412]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[6];
av2[3]=((C_word*)t0)[7];
tp(4,av2);}}

/* k32081 in k32077 in loop in k32016 in k32013 in a32010 in k18181 in k18178 in k18175 in k18172 in k18169 in k18166 in k18163 in k18160 in k18157 in k18154 in k18151 in k18148 in k18145 in k18142 in k17982 in k8508 in ... */
static void C_ccall f_32083(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,6)))){
C_save_and_reclaim((void *)f_32083,2,av);}
/* library.scm:3236: loop */
t2=((C_word*)((C_word*)t0)[2])[1];
f_32031(t2,((C_word*)t0)[3],((C_word*)t0)[4],((C_word*)t0)[5],((C_word*)t0)[6],t1,C_SCHEME_TRUE);}

/* a32106 in k32136 in loop in k32016 in k32013 in a32010 in k18181 in k18178 in k18175 in k18172 in k18169 in k18166 in k18163 in k18160 in k18157 in k18154 in k18151 in k18148 in k18145 in k18142 in k17982 in k8508 in ... */
static void C_ccall f_32107(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(11,c,4)))){
C_save_and_reclaim((void *)f_32107,2,av);}
a=C_alloc(11);
t2=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_32115,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],tmp=(C_word)a,a+=7,tmp);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_32119,a[2]=t2,a[3]=((C_word*)t0)[6],tmp=(C_word)a,a+=4,tmp);
/* library.scm:3248: ##sys#substring */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[395]+1));
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[395]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[5];
av2[3]=C_fix(0);
av2[4]=((C_word*)t0)[7];
tp(5,av2);}}

/* k32113 in a32106 in k32136 in loop in k32016 in k32013 in a32010 in k18181 in k18178 in k18175 in k18172 in k18169 in k18166 in k18163 in k18160 in k18157 in k18154 in k18151 in k18148 in k18145 in k18142 in k17982 in ... */
static void C_ccall f_32115(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,6)))){
C_save_and_reclaim((void *)f_32115,2,av);}
/* library.scm:3246: loop */
t2=((C_word*)((C_word*)t0)[2])[1];
f_32031(t2,((C_word*)t0)[3],((C_word*)t0)[4],((C_word*)t0)[5],((C_word*)t0)[6],t1,C_SCHEME_TRUE);}

/* k32117 in a32106 in k32136 in loop in k32016 in k32013 in a32010 in k18181 in k18178 in k18175 in k18172 in k18169 in k18166 in k18163 in k18160 in k18157 in k18154 in k18151 in k18148 in k18145 in k18142 in k17982 in ... */
static void C_ccall f_32119(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_32119,2,av);}
/* library.scm:3247: ##sys#string-append */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[412]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[412]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t1;
tp(4,av2);}}

/* k32128 in k32136 in loop in k32016 in k32013 in a32010 in k18181 in k18178 in k18175 in k18172 in k18169 in k18166 in k18163 in k18160 in k18157 in k18154 in k18151 in k18148 in k18145 in k18142 in k17982 in k8508 in ... */
static void C_ccall f_32130(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,6)))){
C_save_and_reclaim((void *)f_32130,2,av);}
/* library.scm:3250: ##sys#signal-hook */
t2=C_fast_retrieve(lf[194]);{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[696];
av2[3]=lf[705];
av2[4]=t1;
av2[5]=((C_word*)t0)[3];
av2[6]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t2+1)))(7,av2);}}

/* k32132 in k32136 in loop in k32016 in k32013 in a32010 in k18181 in k18178 in k18175 in k18172 in k18169 in k18166 in k18163 in k18160 in k18157 in k18154 in k18151 in k18148 in k18145 in k18142 in k17982 in k8508 in ... */
static void C_ccall f_32134(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_32134,2,av);}
/* library.scm:3252: ##sys#string-append */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[412]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[412]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=lf[706];
av2[3]=t1;
tp(4,av2);}}

/* k32136 in loop in k32016 in k32013 in a32010 in k18181 in k18178 in k18175 in k18172 in k18169 in k18166 in k18163 in k18160 in k18157 in k18154 in k18151 in k18148 in k18145 in k18142 in k17982 in k8508 */
static void C_ccall f_32138(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,c,3)))){
C_save_and_reclaim((void *)f_32138,2,av);}
a=C_alloc(11);
t2=C_fix((C_word)EINTR);
t3=C_eqp(t1,t2);
if(C_truep(t3)){
t4=C_fixnum_negate(((C_word*)t0)[2]);
t5=C_fixnum_difference(t4,C_fix(1));
t6=t5;
t7=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_32107,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],a[5]=((C_word*)t0)[6],a[6]=((C_word*)t0)[7],a[7]=t6,a[8]=((C_word)li553),tmp=(C_word)a,a+=9,tmp);
/* library.scm:3244: ##sys#dispatch-interrupt */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[695]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[695]+1);
av2[1]=((C_word*)t0)[8];
av2[2]=t7;
tp(3,av2);}}
else{
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_32130,a[2]=((C_word*)t0)[8],a[3]=((C_word*)t0)[9],a[4]=((C_word*)t0)[10],tmp=(C_word)a,a+=5,tmp);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_32134,a[2]=t4,tmp=(C_word)a,a+=3,tmp);
/* ##sys#peek-c-string */
t6=*((C_word*)lf[699]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t6;
av2[1]=t5;
av2[2]=C_mpointer(&a,(void*)strerror(errno));
av2[3]=C_fix(0);
((C_proc)(void*)(*((C_word*)t6+1)))(4,av2);}}}

/* k32150 in loop in k32016 in k32013 in a32010 in k18181 in k18178 in k18175 in k18172 in k18169 in k18166 in k18163 in k18160 in k18157 in k18154 in k18151 in k18148 in k18145 in k18142 in k17982 in k8508 */
static void C_ccall f_32152(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_32152,2,av);}
/* library.scm:3255: ##sys#string-append */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[412]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[412]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t1;
tp(4,av2);}}

/* k32182 in k32013 in a32010 in k18181 in k18178 in k18175 in k18172 in k18169 in k18166 in k18163 in k18160 in k18157 in k18154 in k18151 in k18148 in k18145 in k18142 in k17982 in k8508 */
static void C_ccall f_32184(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_32184,2,av);}
t2=((C_word*)t0)[2];
f_32018(t2,C_i_setslot(((C_word*)t0)[3],C_fix(12),t1));}

/* k8508 */
static void C_ccall f_8510(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word t19;
C_word t20;
C_word t21;
C_word t22;
C_word t23;
C_word t24;
C_word t25;
C_word t26;
C_word t27;
C_word t28;
C_word t29;
C_word t30;
C_word t31;
C_word t32;
C_word t33;
C_word t34;
C_word t35;
C_word t36;
C_word t37;
C_word t38;
C_word t39;
C_word t40;
C_word t41;
C_word t42;
C_word t43;
C_word t44;
C_word t45;
C_word t46;
C_word t47;
C_word t48;
C_word t49;
C_word t50;
C_word t51;
C_word t52;
C_word t53;
C_word t54;
C_word t55;
C_word t56;
C_word t57;
C_word t58;
C_word t59;
C_word t60;
C_word t61;
C_word t62;
C_word t63;
C_word t64;
C_word t65;
C_word t66;
C_word t67;
C_word t68;
C_word t69;
C_word t70;
C_word t71;
C_word t72;
C_word t73;
C_word t74;
C_word t75;
C_word t76;
C_word t77;
C_word t78;
C_word t79;
C_word t80;
C_word t81;
C_word t82;
C_word t83;
C_word t84;
C_word t85;
C_word t86;
C_word t87;
C_word t88;
C_word t89;
C_word t90;
C_word t91;
C_word t92;
C_word t93;
C_word t94;
C_word t95;
C_word t96;
C_word t97;
C_word t98;
C_word t99;
C_word t100;
C_word t101;
C_word t102;
C_word t103;
C_word t104;
C_word t105;
C_word t106;
C_word t107;
C_word t108;
C_word t109;
C_word t110;
C_word t111;
C_word t112;
C_word t113;
C_word t114;
C_word t115;
C_word t116;
C_word t117;
C_word t118;
C_word t119;
C_word t120;
C_word t121;
C_word t122;
C_word t123;
C_word t124;
C_word t125;
C_word t126;
C_word t127;
C_word t128;
C_word t129;
C_word t130;
C_word t131;
C_word t132;
C_word t133;
C_word t134;
C_word t135;
C_word t136;
C_word t137;
C_word t138;
C_word t139;
C_word t140;
C_word t141;
C_word t142;
C_word t143;
C_word t144;
C_word t145;
C_word t146;
C_word t147;
C_word t148;
C_word t149;
C_word t150;
C_word t151;
C_word t152;
C_word t153;
C_word t154;
C_word t155;
C_word t156;
C_word t157;
C_word t158;
C_word t159;
C_word t160;
C_word t161;
C_word t162;
C_word t163;
C_word t164;
C_word t165;
C_word t166;
C_word t167;
C_word t168;
C_word t169;
C_word t170;
C_word t171;
C_word t172;
C_word t173;
C_word t174;
C_word t175;
C_word t176;
C_word t177;
C_word t178;
C_word t179;
C_word t180;
C_word t181;
C_word t182;
C_word t183;
C_word t184;
C_word t185;
C_word t186;
C_word t187;
C_word t188;
C_word t189;
C_word t190;
C_word t191;
C_word t192;
C_word t193;
C_word t194;
C_word t195;
C_word t196;
C_word t197;
C_word t198;
C_word t199;
C_word t200;
C_word t201;
C_word t202;
C_word t203;
C_word t204;
C_word t205;
C_word t206;
C_word t207;
C_word t208;
C_word t209;
C_word t210;
C_word t211;
C_word t212;
C_word t213;
C_word t214;
C_word t215;
C_word t216;
C_word t217;
C_word t218;
C_word t219;
C_word t220;
C_word t221;
C_word t222;
C_word t223;
C_word t224;
C_word t225;
C_word t226;
C_word t227;
C_word t228;
C_word t229;
C_word t230;
C_word t231;
C_word t232;
C_word t233;
C_word t234;
C_word t235;
C_word t236;
C_word t237;
C_word t238;
C_word t239;
C_word t240;
C_word t241;
C_word t242;
C_word t243;
C_word t244;
C_word t245;
C_word t246;
C_word t247;
C_word t248;
C_word t249;
C_word t250;
C_word t251;
C_word t252;
C_word t253;
C_word t254;
C_word t255;
C_word t256;
C_word t257;
C_word t258;
C_word t259;
C_word t260;
C_word t261;
C_word t262;
C_word t263;
C_word t264;
C_word t265;
C_word t266;
C_word t267;
C_word t268;
C_word t269;
C_word t270;
C_word t271;
C_word t272;
C_word t273;
C_word t274;
C_word t275;
C_word t276;
C_word t277;
C_word t278;
C_word t279;
C_word t280;
C_word t281;
C_word t282;
C_word t283;
C_word t284;
C_word t285;
C_word t286;
C_word t287;
C_word t288;
C_word t289;
C_word t290;
C_word t291;
C_word t292;
C_word t293;
C_word t294;
C_word t295;
C_word t296;
C_word t297;
C_word t298;
C_word t299;
C_word t300;
C_word t301;
C_word t302;
C_word t303;
C_word t304;
C_word t305;
C_word t306;
C_word t307;
C_word t308;
C_word t309;
C_word t310;
C_word t311;
C_word t312;
C_word t313;
C_word t314;
C_word t315;
C_word t316;
C_word t317;
C_word t318;
C_word t319;
C_word t320;
C_word t321;
C_word t322;
C_word t323;
C_word t324;
C_word t325;
C_word t326;
C_word t327;
C_word t328;
C_word t329;
C_word t330;
C_word t331;
C_word t332;
C_word t333;
C_word t334;
C_word t335;
C_word t336;
C_word t337;
C_word t338;
C_word t339;
C_word t340;
C_word t341;
C_word t342;
C_word t343;
C_word t344;
C_word t345;
C_word t346;
C_word t347;
C_word t348;
C_word t349;
C_word t350;
C_word t351;
C_word t352;
C_word t353;
C_word t354;
C_word t355;
C_word t356;
C_word t357;
C_word t358;
C_word t359;
C_word t360;
C_word t361;
C_word t362;
C_word t363;
C_word t364;
C_word t365;
C_word t366;
C_word t367;
C_word t368;
C_word t369;
C_word t370;
C_word t371;
C_word t372;
C_word t373;
C_word t374;
C_word t375;
C_word t376;
C_word t377;
C_word t378;
C_word t379;
C_word t380;
C_word t381;
C_word t382;
C_word t383;
C_word t384;
C_word t385;
C_word t386;
C_word t387;
C_word t388;
C_word t389;
C_word t390;
C_word t391;
C_word t392;
C_word t393;
C_word t394;
C_word t395;
C_word t396;
C_word t397;
C_word t398;
C_word t399;
C_word t400;
C_word t401;
C_word t402;
C_word t403;
C_word t404;
C_word t405;
C_word t406;
C_word t407;
C_word t408;
C_word t409;
C_word t410;
C_word t411;
C_word t412;
C_word t413;
C_word t414;
C_word t415;
C_word t416;
C_word t417;
C_word t418;
C_word t419;
C_word t420;
C_word t421;
C_word t422;
C_word t423;
C_word t424;
C_word t425;
C_word t426;
C_word t427;
C_word t428;
C_word t429;
C_word t430;
C_word t431;
C_word t432;
C_word t433;
C_word t434;
C_word t435;
C_word t436;
C_word t437;
C_word t438;
C_word t439;
C_word t440;
C_word t441;
C_word t442;
C_word t443;
C_word t444;
C_word t445;
C_word t446;
C_word t447;
C_word t448;
C_word t449;
C_word t450;
C_word t451;
C_word t452;
C_word t453;
C_word t454;
C_word t455;
C_word t456;
C_word t457;
C_word t458;
C_word t459;
C_word t460;
C_word t461;
C_word t462;
C_word t463;
C_word t464;
C_word t465;
C_word t466;
C_word t467;
C_word t468;
C_word t469;
C_word t470;
C_word t471;
C_word t472;
C_word t473;
C_word t474;
C_word t475;
C_word t476;
C_word t477;
C_word t478;
C_word t479;
C_word t480;
C_word t481;
C_word t482;
C_word t483;
C_word t484;
C_word t485;
C_word t486;
C_word t487;
C_word t488;
C_word t489;
C_word t490;
C_word t491;
C_word t492;
C_word t493;
C_word t494;
C_word t495;
C_word t496;
C_word t497;
C_word t498;
C_word t499;
C_word t500;
C_word t501;
C_word t502;
C_word t503;
C_word t504;
C_word t505;
C_word t506;
C_word t507;
C_word t508;
C_word t509;
C_word t510;
C_word t511;
C_word t512;
C_word t513;
C_word t514;
C_word t515;
C_word t516;
C_word t517;
C_word t518;
C_word t519;
C_word t520;
C_word t521;
C_word t522;
C_word t523;
C_word t524;
C_word t525;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(1321,c,6)))){
C_save_and_reclaim((void *)f_8510,2,av);}
a=C_alloc(1321);
t2=C_a_i_provide(&a,1,lf[0]);
t3=C_a_i_provide(&a,1,lf[1]);
t4=C_mutate((C_word*)lf[2]+1 /* (set! scheme#not ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8512,a[2]=((C_word)li0),tmp=(C_word)a,a+=3,tmp));
t5=C_mutate((C_word*)lf[3]+1 /* (set! scheme#boolean? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8515,a[2]=((C_word)li1),tmp=(C_word)a,a+=3,tmp));
t6=C_mutate((C_word*)lf[4]+1 /* (set! scheme#eq? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8518,a[2]=((C_word)li2),tmp=(C_word)a,a+=3,tmp));
t7=C_mutate((C_word*)lf[5]+1 /* (set! scheme#eqv? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8521,a[2]=((C_word)li3),tmp=(C_word)a,a+=3,tmp));
t8=C_mutate((C_word*)lf[6]+1 /* (set! scheme#equal? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8524,a[2]=((C_word)li4),tmp=(C_word)a,a+=3,tmp));
t9=C_mutate((C_word*)lf[7]+1 /* (set! scheme#pair? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8527,a[2]=((C_word)li5),tmp=(C_word)a,a+=3,tmp));
t10=C_mutate((C_word*)lf[8]+1 /* (set! scheme#cons ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8530,a[2]=((C_word)li6),tmp=(C_word)a,a+=3,tmp));
t11=C_mutate((C_word*)lf[9]+1 /* (set! scheme#car ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8533,a[2]=((C_word)li7),tmp=(C_word)a,a+=3,tmp));
t12=C_mutate((C_word*)lf[10]+1 /* (set! scheme#cdr ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8536,a[2]=((C_word)li8),tmp=(C_word)a,a+=3,tmp));
t13=C_mutate((C_word*)lf[11]+1 /* (set! scheme#set-car! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8539,a[2]=((C_word)li9),tmp=(C_word)a,a+=3,tmp));
t14=C_mutate((C_word*)lf[12]+1 /* (set! scheme#set-cdr! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8542,a[2]=((C_word)li10),tmp=(C_word)a,a+=3,tmp));
t15=C_mutate((C_word*)lf[13]+1 /* (set! scheme#cadr ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8545,a[2]=((C_word)li11),tmp=(C_word)a,a+=3,tmp));
t16=C_mutate((C_word*)lf[14]+1 /* (set! scheme#caddr ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8548,a[2]=((C_word)li12),tmp=(C_word)a,a+=3,tmp));
t17=C_mutate((C_word*)lf[15]+1 /* (set! scheme#cadddr ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8551,a[2]=((C_word)li13),tmp=(C_word)a,a+=3,tmp));
t18=C_mutate((C_word*)lf[16]+1 /* (set! scheme#cddddr ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8554,a[2]=((C_word)li14),tmp=(C_word)a,a+=3,tmp));
t19=C_mutate((C_word*)lf[17]+1 /* (set! scheme#caar ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8557,a[2]=((C_word)li15),tmp=(C_word)a,a+=3,tmp));
t20=C_mutate((C_word*)lf[18]+1 /* (set! scheme#cdar ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8560,a[2]=((C_word)li16),tmp=(C_word)a,a+=3,tmp));
t21=C_mutate((C_word*)lf[19]+1 /* (set! scheme#cddr ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8563,a[2]=((C_word)li17),tmp=(C_word)a,a+=3,tmp));
t22=C_mutate((C_word*)lf[20]+1 /* (set! scheme#caaar ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8566,a[2]=((C_word)li18),tmp=(C_word)a,a+=3,tmp));
t23=C_mutate((C_word*)lf[21]+1 /* (set! scheme#caadr ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8580,a[2]=((C_word)li19),tmp=(C_word)a,a+=3,tmp));
t24=C_mutate((C_word*)lf[22]+1 /* (set! scheme#cadar ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8587,a[2]=((C_word)li20),tmp=(C_word)a,a+=3,tmp));
t25=C_mutate((C_word*)lf[23]+1 /* (set! scheme#cdaar ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8594,a[2]=((C_word)li21),tmp=(C_word)a,a+=3,tmp));
t26=C_mutate((C_word*)lf[24]+1 /* (set! scheme#cdadr ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8608,a[2]=((C_word)li22),tmp=(C_word)a,a+=3,tmp));
t27=C_mutate((C_word*)lf[25]+1 /* (set! scheme#cddar ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8615,a[2]=((C_word)li23),tmp=(C_word)a,a+=3,tmp));
t28=C_mutate((C_word*)lf[26]+1 /* (set! scheme#cdddr ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8629,a[2]=((C_word)li24),tmp=(C_word)a,a+=3,tmp));
t29=C_mutate((C_word*)lf[27]+1 /* (set! scheme#caaaar ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8643,a[2]=((C_word)li25),tmp=(C_word)a,a+=3,tmp));
t30=C_mutate((C_word*)lf[28]+1 /* (set! scheme#caaadr ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8661,a[2]=((C_word)li26),tmp=(C_word)a,a+=3,tmp));
t31=C_mutate((C_word*)lf[29]+1 /* (set! scheme#caadar ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8672,a[2]=((C_word)li27),tmp=(C_word)a,a+=3,tmp));
t32=C_mutate((C_word*)lf[30]+1 /* (set! scheme#caaddr ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8683,a[2]=((C_word)li28),tmp=(C_word)a,a+=3,tmp));
t33=C_mutate((C_word*)lf[31]+1 /* (set! scheme#cadaar ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8690,a[2]=((C_word)li29),tmp=(C_word)a,a+=3,tmp));
t34=C_mutate((C_word*)lf[32]+1 /* (set! scheme#cadadr ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8701,a[2]=((C_word)li30),tmp=(C_word)a,a+=3,tmp));
t35=C_mutate((C_word*)lf[33]+1 /* (set! scheme#caddar ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8705,a[2]=((C_word)li31),tmp=(C_word)a,a+=3,tmp));
t36=C_mutate((C_word*)lf[34]+1 /* (set! scheme#cdaaar ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8712,a[2]=((C_word)li32),tmp=(C_word)a,a+=3,tmp));
t37=C_mutate((C_word*)lf[35]+1 /* (set! scheme#cdaadr ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8730,a[2]=((C_word)li33),tmp=(C_word)a,a+=3,tmp));
t38=C_mutate((C_word*)lf[36]+1 /* (set! scheme#cdadar ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8741,a[2]=((C_word)li34),tmp=(C_word)a,a+=3,tmp));
t39=C_mutate((C_word*)lf[37]+1 /* (set! scheme#cdaddr ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8752,a[2]=((C_word)li35),tmp=(C_word)a,a+=3,tmp));
t40=C_mutate((C_word*)lf[38]+1 /* (set! scheme#cddaar ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8759,a[2]=((C_word)li36),tmp=(C_word)a,a+=3,tmp));
t41=C_mutate((C_word*)lf[39]+1 /* (set! scheme#cddadr ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8777,a[2]=((C_word)li37),tmp=(C_word)a,a+=3,tmp));
t42=C_mutate((C_word*)lf[40]+1 /* (set! scheme#cdddar ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8788,a[2]=((C_word)li38),tmp=(C_word)a,a+=3,tmp));
t43=C_mutate((C_word*)lf[41]+1 /* (set! scheme#null? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8806,a[2]=((C_word)li39),tmp=(C_word)a,a+=3,tmp));
t44=C_mutate((C_word*)lf[42]+1 /* (set! scheme#list ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8812,a[2]=((C_word)li40),tmp=(C_word)a,a+=3,tmp));
t45=C_mutate((C_word*)lf[43]+1 /* (set! scheme#length ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8815,a[2]=((C_word)li41),tmp=(C_word)a,a+=3,tmp));
t46=C_mutate((C_word*)lf[44]+1 /* (set! scheme#list-tail ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8818,a[2]=((C_word)li42),tmp=(C_word)a,a+=3,tmp));
t47=C_mutate((C_word*)lf[45]+1 /* (set! scheme#list-ref ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8821,a[2]=((C_word)li43),tmp=(C_word)a,a+=3,tmp));
t48=C_mutate((C_word*)lf[46]+1 /* (set! scheme#reverse ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8824,a[2]=((C_word)li45),tmp=(C_word)a,a+=3,tmp));
t49=C_mutate((C_word*)lf[49]+1 /* (set! scheme#memq ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8863,a[2]=((C_word)li46),tmp=(C_word)a,a+=3,tmp));
t50=C_mutate((C_word*)lf[50]+1 /* (set! scheme#memv ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8866,a[2]=((C_word)li47),tmp=(C_word)a,a+=3,tmp));
t51=C_mutate((C_word*)lf[51]+1 /* (set! scheme#member ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8869,a[2]=((C_word)li48),tmp=(C_word)a,a+=3,tmp));
t52=C_mutate((C_word*)lf[52]+1 /* (set! scheme#assq ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8872,a[2]=((C_word)li49),tmp=(C_word)a,a+=3,tmp));
t53=C_mutate((C_word*)lf[53]+1 /* (set! scheme#assv ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8875,a[2]=((C_word)li50),tmp=(C_word)a,a+=3,tmp));
t54=C_mutate((C_word*)lf[54]+1 /* (set! scheme#assoc ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8878,a[2]=((C_word)li51),tmp=(C_word)a,a+=3,tmp));
t55=C_mutate((C_word*)lf[55]+1 /* (set! scheme#list? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8881,a[2]=((C_word)li52),tmp=(C_word)a,a+=3,tmp));
t56=C_mutate((C_word*)lf[56]+1 /* (set! scheme#string? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8884,a[2]=((C_word)li53),tmp=(C_word)a,a+=3,tmp));
t57=C_mutate((C_word*)lf[57]+1 /* (set! scheme#string-length ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8887,a[2]=((C_word)li54),tmp=(C_word)a,a+=3,tmp));
t58=C_mutate((C_word*)lf[58]+1 /* (set! scheme#string-ref ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8890,a[2]=((C_word)li55),tmp=(C_word)a,a+=3,tmp));
t59=C_mutate((C_word*)lf[59]+1 /* (set! scheme#string-set! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8893,a[2]=((C_word)li56),tmp=(C_word)a,a+=3,tmp));
t60=C_mutate((C_word*)lf[60]+1 /* (set! scheme#string=? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8896,a[2]=((C_word)li57),tmp=(C_word)a,a+=3,tmp));
t61=C_mutate((C_word*)lf[61]+1 /* (set! scheme#string-ci=? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8899,a[2]=((C_word)li58),tmp=(C_word)a,a+=3,tmp));
t62=C_mutate((C_word*)lf[62]+1 /* (set! scheme#exact->inexact ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8903,a[2]=((C_word)li59),tmp=(C_word)a,a+=3,tmp));
t63=C_mutate((C_word*)lf[63]+1 /* (set! scheme#abs ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8906,a[2]=((C_word)li60),tmp=(C_word)a,a+=3,tmp));
t64=C_mutate((C_word*)lf[64]+1 /* (set! scheme#+ ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_plus,a[2]=((C_word)li61),tmp=(C_word)a,a+=3,tmp));
t65=C_mutate((C_word*)lf[65]+1 /* (set! scheme#- ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_minus,a[2]=((C_word)li62),tmp=(C_word)a,a+=3,tmp));
t66=C_mutate((C_word*)lf[66]+1 /* (set! scheme#* ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_times,a[2]=((C_word)li63),tmp=(C_word)a,a+=3,tmp));
t67=C_mutate((C_word*)lf[67]+1 /* (set! scheme#quotient ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8912,a[2]=((C_word)li64),tmp=(C_word)a,a+=3,tmp));
t68=C_mutate((C_word*)lf[68]+1 /* (set! scheme#remainder ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8915,a[2]=((C_word)li65),tmp=(C_word)a,a+=3,tmp));
t69=C_mutate((C_word*)lf[69]+1 /* (set! scheme#modulo ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8918,a[2]=((C_word)li66),tmp=(C_word)a,a+=3,tmp));
t70=C_mutate((C_word*)lf[70]+1 /* (set! scheme#even? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8921,a[2]=((C_word)li67),tmp=(C_word)a,a+=3,tmp));
t71=C_mutate((C_word*)lf[71]+1 /* (set! scheme#odd? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8924,a[2]=((C_word)li68),tmp=(C_word)a,a+=3,tmp));
t72=C_mutate((C_word*)lf[72]+1 /* (set! scheme#= ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_nequalp,a[2]=((C_word)li69),tmp=(C_word)a,a+=3,tmp));
t73=C_mutate((C_word*)lf[73]+1 /* (set! scheme#> ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_greaterp,a[2]=((C_word)li70),tmp=(C_word)a,a+=3,tmp));
t74=C_mutate((C_word*)lf[74]+1 /* (set! scheme#< ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_lessp,a[2]=((C_word)li71),tmp=(C_word)a,a+=3,tmp));
t75=C_mutate((C_word*)lf[75]+1 /* (set! scheme#>= ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_greater_or_equal_p,a[2]=((C_word)li72),tmp=(C_word)a,a+=3,tmp));
t76=C_mutate((C_word*)lf[76]+1 /* (set! scheme#<= ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_less_or_equal_p,a[2]=((C_word)li73),tmp=(C_word)a,a+=3,tmp));
t77=C_mutate((C_word*)lf[77]+1 /* (set! scheme#number? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8932,a[2]=((C_word)li74),tmp=(C_word)a,a+=3,tmp));
t78=C_mutate((C_word*)lf[78]+1 /* (set! scheme#complex? ...) */,*((C_word*)lf[77]+1));
t79=C_mutate((C_word*)lf[79]+1 /* (set! scheme#real? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8936,a[2]=((C_word)li75),tmp=(C_word)a,a+=3,tmp));
t80=C_mutate((C_word*)lf[80]+1 /* (set! scheme#rational? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8939,a[2]=((C_word)li76),tmp=(C_word)a,a+=3,tmp));
t81=C_mutate((C_word*)lf[81]+1 /* (set! scheme#integer? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8942,a[2]=((C_word)li77),tmp=(C_word)a,a+=3,tmp));
t82=C_mutate((C_word*)lf[82]+1 /* (set! scheme#exact? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8945,a[2]=((C_word)li78),tmp=(C_word)a,a+=3,tmp));
t83=C_mutate((C_word*)lf[83]+1 /* (set! scheme#inexact? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8948,a[2]=((C_word)li79),tmp=(C_word)a,a+=3,tmp));
t84=C_mutate((C_word*)lf[84]+1 /* (set! scheme#zero? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8951,a[2]=((C_word)li80),tmp=(C_word)a,a+=3,tmp));
t85=C_mutate((C_word*)lf[85]+1 /* (set! scheme#positive? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8954,a[2]=((C_word)li81),tmp=(C_word)a,a+=3,tmp));
t86=C_mutate((C_word*)lf[86]+1 /* (set! scheme#negative? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8957,a[2]=((C_word)li82),tmp=(C_word)a,a+=3,tmp));
t87=C_mutate((C_word*)lf[87]+1 /* (set! scheme#number->string ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_number_to_string,a[2]=((C_word)li83),tmp=(C_word)a,a+=3,tmp));
t88=C_mutate((C_word*)lf[88]+1 /* (set! scheme#symbol? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8961,a[2]=((C_word)li84),tmp=(C_word)a,a+=3,tmp));
t89=C_mutate((C_word*)lf[89]+1 /* (set! scheme#vector? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8964,a[2]=((C_word)li85),tmp=(C_word)a,a+=3,tmp));
t90=C_mutate((C_word*)lf[90]+1 /* (set! scheme#vector-length ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8967,a[2]=((C_word)li86),tmp=(C_word)a,a+=3,tmp));
t91=C_mutate((C_word*)lf[91]+1 /* (set! scheme#vector-ref ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8970,a[2]=((C_word)li87),tmp=(C_word)a,a+=3,tmp));
t92=C_mutate((C_word*)lf[92]+1 /* (set! scheme#vector-set! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8973,a[2]=((C_word)li88),tmp=(C_word)a,a+=3,tmp));
t93=C_set_block_item(lf[93] /* scheme#make-vector */,0,C_SCHEME_UNDEFINED);
t94=C_set_block_item(lf[94] /* scheme#list->vector */,0,C_SCHEME_UNDEFINED);
t95=C_set_block_item(lf[95] /* scheme#vector->list */,0,C_SCHEME_UNDEFINED);
t96=C_set_block_item(lf[96] /* scheme#vector */,0,C_SCHEME_UNDEFINED);
t97=C_set_block_item(lf[97] /* scheme#vector-fill! */,0,C_SCHEME_UNDEFINED);
t98=C_mutate((C_word*)lf[98]+1 /* (set! scheme#char? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8981,a[2]=((C_word)li89),tmp=(C_word)a,a+=3,tmp));
t99=C_mutate((C_word*)lf[99]+1 /* (set! scheme#char->integer ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8984,a[2]=((C_word)li90),tmp=(C_word)a,a+=3,tmp));
t100=C_mutate((C_word*)lf[101]+1 /* (set! scheme#integer->char ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8991,a[2]=((C_word)li91),tmp=(C_word)a,a+=3,tmp));
t101=C_mutate((C_word*)lf[104]+1 /* (set! scheme#char=? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8998,a[2]=((C_word)li92),tmp=(C_word)a,a+=3,tmp));
t102=C_mutate((C_word*)lf[105]+1 /* (set! scheme#char>? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9001,a[2]=((C_word)li93),tmp=(C_word)a,a+=3,tmp));
t103=C_mutate((C_word*)lf[106]+1 /* (set! scheme#char<? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9004,a[2]=((C_word)li94),tmp=(C_word)a,a+=3,tmp));
t104=C_mutate((C_word*)lf[107]+1 /* (set! scheme#char>=? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9007,a[2]=((C_word)li95),tmp=(C_word)a,a+=3,tmp));
t105=C_mutate((C_word*)lf[108]+1 /* (set! scheme#char<=? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9010,a[2]=((C_word)li96),tmp=(C_word)a,a+=3,tmp));
t106=C_mutate((C_word*)lf[109]+1 /* (set! scheme#char-upcase ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9013,a[2]=((C_word)li97),tmp=(C_word)a,a+=3,tmp));
t107=C_mutate((C_word*)lf[111]+1 /* (set! scheme#char-downcase ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9019,a[2]=((C_word)li98),tmp=(C_word)a,a+=3,tmp));
t108=C_set_block_item(lf[113] /* scheme#char-ci=? */,0,C_SCHEME_UNDEFINED);
t109=C_set_block_item(lf[114] /* scheme#char-ci>? */,0,C_SCHEME_UNDEFINED);
t110=C_set_block_item(lf[115] /* scheme#char-ci<? */,0,C_SCHEME_UNDEFINED);
t111=C_set_block_item(lf[116] /* scheme#char-ci>=? */,0,C_SCHEME_UNDEFINED);
t112=C_set_block_item(lf[117] /* scheme#char-ci<=? */,0,C_SCHEME_UNDEFINED);
t113=C_mutate((C_word*)lf[118]+1 /* (set! scheme#char-upper-case? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9030,a[2]=((C_word)li99),tmp=(C_word)a,a+=3,tmp));
t114=C_mutate((C_word*)lf[120]+1 /* (set! scheme#char-lower-case? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9036,a[2]=((C_word)li100),tmp=(C_word)a,a+=3,tmp));
t115=C_mutate((C_word*)lf[122]+1 /* (set! scheme#char-numeric? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9042,a[2]=((C_word)li101),tmp=(C_word)a,a+=3,tmp));
t116=C_mutate((C_word*)lf[124]+1 /* (set! scheme#char-whitespace? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9048,a[2]=((C_word)li102),tmp=(C_word)a,a+=3,tmp));
t117=C_mutate((C_word*)lf[126]+1 /* (set! scheme#char-alphabetic? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9054,a[2]=((C_word)li103),tmp=(C_word)a,a+=3,tmp));
t118=C_mutate((C_word*)lf[128]+1 /* (set! scheme#procedure? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9060,a[2]=((C_word)li104),tmp=(C_word)a,a+=3,tmp));
t119=C_mutate((C_word*)lf[129]+1 /* (set! scheme#apply ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_apply,a[2]=((C_word)li105),tmp=(C_word)a,a+=3,tmp));
t120=C_mutate((C_word*)lf[130]+1 /* (set! scheme#values ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_values,a[2]=((C_word)li106),tmp=(C_word)a,a+=3,tmp));
t121=C_mutate((C_word*)lf[131]+1 /* (set! scheme#call-with-values ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_call_with_values,a[2]=((C_word)li107),tmp=(C_word)a,a+=3,tmp));
t122=C_set_block_item(lf[132] /* scheme#call-with-current-continuation */,0,C_SCHEME_UNDEFINED);
t123=C_mutate((C_word*)lf[133]+1 /* (set! scheme#input-port? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9067,a[2]=((C_word)li108),tmp=(C_word)a,a+=3,tmp));
t124=C_mutate((C_word*)lf[134]+1 /* (set! scheme#output-port? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9073,a[2]=((C_word)li109),tmp=(C_word)a,a+=3,tmp));
t125=C_set_block_item(lf[135] /* scheme#current-input-port */,0,C_SCHEME_UNDEFINED);
t126=C_set_block_item(lf[136] /* scheme#current-output-port */,0,C_SCHEME_UNDEFINED);
t127=C_set_block_item(lf[137] /* scheme#open-input-file */,0,C_SCHEME_UNDEFINED);
t128=C_set_block_item(lf[138] /* scheme#open-output-file */,0,C_SCHEME_UNDEFINED);
t129=C_set_block_item(lf[139] /* scheme#close-input-port */,0,C_SCHEME_UNDEFINED);
t130=C_set_block_item(lf[140] /* scheme#close-output-port */,0,C_SCHEME_UNDEFINED);
t131=C_set_block_item(lf[141] /* scheme#call-with-input-file */,0,C_SCHEME_UNDEFINED);
t132=C_set_block_item(lf[142] /* scheme#call-with-output-file */,0,C_SCHEME_UNDEFINED);
t133=C_set_block_item(lf[143] /* scheme#with-input-from-file */,0,C_SCHEME_UNDEFINED);
t134=C_set_block_item(lf[144] /* scheme#with-output-to-file */,0,C_SCHEME_UNDEFINED);
t135=C_mutate((C_word*)lf[145]+1 /* (set! scheme#eof-object? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9089,a[2]=((C_word)li110),tmp=(C_word)a,a+=3,tmp));
t136=C_set_block_item(lf[146] /* scheme#char-ready? */,0,C_SCHEME_UNDEFINED);
t137=C_set_block_item(lf[147] /* scheme#read-char */,0,C_SCHEME_UNDEFINED);
t138=C_set_block_item(lf[148] /* scheme#peek-char */,0,C_SCHEME_UNDEFINED);
t139=C_set_block_item(lf[149] /* scheme#read */,0,C_SCHEME_UNDEFINED);
t140=C_set_block_item(lf[150] /* scheme#write-char */,0,C_SCHEME_UNDEFINED);
t141=C_set_block_item(lf[151] /* scheme#newline */,0,C_SCHEME_UNDEFINED);
t142=C_set_block_item(lf[152] /* scheme#write */,0,C_SCHEME_UNDEFINED);
t143=C_set_block_item(lf[153] /* scheme#display */,0,C_SCHEME_UNDEFINED);
t144=C_mutate((C_word*)lf[154]+1 /* (set! scheme#eval ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9100,a[2]=((C_word)li111),tmp=(C_word)a,a+=3,tmp));
t145=C_mutate((C_word*)lf[158]+1 /* (set! scheme#interaction-environment ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9106,a[2]=((C_word)li112),tmp=(C_word)a,a+=3,tmp));
t146=C_mutate((C_word*)lf[161]+1 /* (set! scheme#scheme-report-environment ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9112,a[2]=((C_word)li113),tmp=(C_word)a,a+=3,tmp));
t147=C_mutate((C_word*)lf[164]+1 /* (set! scheme#null-environment ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9118,a[2]=((C_word)li114),tmp=(C_word)a,a+=3,tmp));
t148=C_mutate((C_word*)lf[167]+1 /* (set! scheme#load ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9124,a[2]=((C_word)li115),tmp=(C_word)a,a+=3,tmp));
t149=C_set_block_item(lf[170] /* scheme#for-each */,0,C_SCHEME_UNDEFINED);
t150=C_set_block_item(lf[171] /* scheme#map */,0,C_SCHEME_UNDEFINED);
t151=C_set_block_item(lf[172] /* scheme#dynamic-wind */,0,C_SCHEME_UNDEFINED);
t152=C_a_i_provide(&a,1,lf[173]);
t153=C_mutate((C_word*)lf[174]+1 /* (set! chicken.base#fixnum? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9133,a[2]=((C_word)li116),tmp=(C_word)a,a+=3,tmp));
t154=C_mutate((C_word*)lf[175]+1 /* (set! chicken.base#flonum? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9136,a[2]=((C_word)li117),tmp=(C_word)a,a+=3,tmp));
t155=C_mutate((C_word*)lf[176]+1 /* (set! chicken.base#bignum? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9139,a[2]=((C_word)li118),tmp=(C_word)a,a+=3,tmp));
t156=C_mutate((C_word*)lf[177]+1 /* (set! chicken.base#ratnum? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9142,a[2]=((C_word)li119),tmp=(C_word)a,a+=3,tmp));
t157=C_mutate((C_word*)lf[178]+1 /* (set! chicken.base#cplxnum? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9145,a[2]=((C_word)li120),tmp=(C_word)a,a+=3,tmp));
t158=C_mutate((C_word*)lf[179]+1 /* (set! chicken.base#exact-integer? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9148,a[2]=((C_word)li121),tmp=(C_word)a,a+=3,tmp));
t159=C_mutate((C_word*)lf[180]+1 /* (set! chicken.base#quotient&remainder ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_quotient_and_remainder,a[2]=((C_word)li122),tmp=(C_word)a,a+=3,tmp));
t160=C_mutate((C_word*)lf[181]+1 /* (set! chicken.base#quotient&modulo ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9152,a[2]=((C_word)li125),tmp=(C_word)a,a+=3,tmp));
t161=C_mutate((C_word*)lf[182]+1 /* (set! chicken.base#finite? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9197,a[2]=((C_word)li126),tmp=(C_word)a,a+=3,tmp));
t162=C_mutate((C_word*)lf[183]+1 /* (set! chicken.base#infinite? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9200,a[2]=((C_word)li127),tmp=(C_word)a,a+=3,tmp));
t163=C_mutate((C_word*)lf[184]+1 /* (set! chicken.base#nan? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9203,a[2]=((C_word)li128),tmp=(C_word)a,a+=3,tmp));
t164=C_mutate((C_word*)lf[185]+1 /* (set! chicken.base#signum ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_signum,a[2]=((C_word)li129),tmp=(C_word)a,a+=3,tmp));
t165=C_set_block_item(lf[186] /* chicken.base#get-call-chain */,0,C_SCHEME_UNDEFINED);
t166=C_set_block_item(lf[187] /* chicken.base#print-call-chain */,0,C_SCHEME_UNDEFINED);
t167=C_set_block_item(lf[188] /* chicken.base#print */,0,C_SCHEME_UNDEFINED);
t168=C_set_block_item(lf[189] /* chicken.base#print* */,0,C_SCHEME_UNDEFINED);
t169=C_mutate((C_word*)lf[190]+1 /* (set! chicken.base#add1 ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9211,a[2]=((C_word)li130),tmp=(C_word)a,a+=3,tmp));
t170=C_mutate((C_word*)lf[191]+1 /* (set! chicken.base#sub1 ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9216,a[2]=((C_word)li131),tmp=(C_word)a,a+=3,tmp));
t171=C_set_block_item(lf[192] /* chicken.base#current-error-port */,0,C_SCHEME_UNDEFINED);
t172=C_mutate((C_word*)lf[193]+1 /* (set! chicken.base#error ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9222,a[2]=((C_word)li132),tmp=(C_word)a,a+=3,tmp));
t173=C_mutate((C_word*)lf[196]+1 /* (set! chicken.base#void ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9237,a[2]=((C_word)li133),tmp=(C_word)a,a+=3,tmp));
t174=C_set_block_item(lf[197] /* chicken.base#sleep */,0,C_SCHEME_UNDEFINED);
t175=C_set_block_item(lf[198] /* chicken.base#call/cc */,0,C_SCHEME_UNDEFINED);
t176=C_set_block_item(lf[199] /* chicken.base#char-name */,0,C_SCHEME_UNDEFINED);
t177=C_set_block_item(lf[200] /* chicken.base#getter-with-setter */,0,C_SCHEME_UNDEFINED);
t178=C_set_block_item(lf[201] /* chicken.base#make-parameter */,0,C_SCHEME_UNDEFINED);
t179=C_set_block_item(lf[202] /* chicken.base#procedure-information */,0,C_SCHEME_UNDEFINED);
t180=C_set_block_item(lf[203] /* chicken.base#setter */,0,C_SCHEME_UNDEFINED);
t181=C_set_block_item(lf[204] /* chicken.base#vector-copy! */,0,C_SCHEME_UNDEFINED);
t182=C_set_block_item(lf[205] /* chicken.base#subvector */,0,C_SCHEME_UNDEFINED);
t183=C_set_block_item(lf[206] /* chicken.base#vector-resize */,0,C_SCHEME_UNDEFINED);
t184=C_set_block_item(lf[207] /* chicken.base#port? */,0,C_SCHEME_UNDEFINED);
t185=C_set_block_item(lf[208] /* chicken.base#port-closed? */,0,C_SCHEME_UNDEFINED);
t186=C_set_block_item(lf[209] /* chicken.base#input-port-open? */,0,C_SCHEME_UNDEFINED);
t187=C_set_block_item(lf[210] /* chicken.base#output-port-open? */,0,C_SCHEME_UNDEFINED);
t188=C_set_block_item(lf[211] /* chicken.base#get-output-string */,0,C_SCHEME_UNDEFINED);
t189=C_set_block_item(lf[212] /* chicken.base#open-input-string */,0,C_SCHEME_UNDEFINED);
t190=C_set_block_item(lf[213] /* chicken.base#open-output-string */,0,C_SCHEME_UNDEFINED);
t191=C_set_block_item(lf[214] /* chicken.base#flush-output */,0,C_SCHEME_UNDEFINED);
t192=C_mutate((C_word*)lf[215]+1 /* (set! chicken.base#promise? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9258,a[2]=((C_word)li134),tmp=(C_word)a,a+=3,tmp));
t193=C_mutate((C_word*)lf[217]+1 /* (set! ##sys#make-promise ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9264,a[2]=((C_word)li135),tmp=(C_word)a,a+=3,tmp));
t194=C_mutate((C_word*)lf[218]+1 /* (set! chicken.base#make-promise ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9270,a[2]=((C_word)li137),tmp=(C_word)a,a+=3,tmp));
t195=C_mutate((C_word*)lf[219]+1 /* (set! chicken.base#foldl ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9285,a[2]=((C_word)li139),tmp=(C_word)a,a+=3,tmp));
t196=C_mutate((C_word*)lf[221]+1 /* (set! chicken.base#foldr ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9322,a[2]=((C_word)li141),tmp=(C_word)a,a+=3,tmp));
t197=C_set_block_item(lf[223] /* chicken.base#implicit-exit-handler */,0,C_SCHEME_UNDEFINED);
t198=C_set_block_item(lf[224] /* chicken.base#exit-handler */,0,C_SCHEME_UNDEFINED);
t199=C_set_block_item(lf[225] /* chicken.base#cleanup-tasks */,0,C_SCHEME_END_OF_LIST);
t200=C_mutate((C_word*)lf[226]+1 /* (set! chicken.base#on-exit ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9362,a[2]=((C_word)li142),tmp=(C_word)a,a+=3,tmp));
t201=C_mutate((C_word*)lf[227]+1 /* (set! chicken.base#exit ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9369,a[2]=((C_word)li143),tmp=(C_word)a,a+=3,tmp));
t202=C_mutate((C_word*)lf[228]+1 /* (set! chicken.base#emergency-exit ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9387,a[2]=((C_word)li144),tmp=(C_word)a,a+=3,tmp));
t203=C_set_block_item(lf[230] /* chicken.base#case-sensitive */,0,C_SCHEME_UNDEFINED);
t204=C_set_block_item(lf[231] /* chicken.base#keyword-style */,0,C_SCHEME_UNDEFINED);
t205=C_set_block_item(lf[232] /* chicken.base#parentheses-synonyms */,0,C_SCHEME_UNDEFINED);
t206=C_set_block_item(lf[233] /* chicken.base#symbol-escape */,0,C_SCHEME_UNDEFINED);
t207=C_mutate((C_word*)lf[234]+1 /* (set! chicken.base#identity ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9406,a[2]=((C_word)li145),tmp=(C_word)a,a+=3,tmp));
t208=C_mutate((C_word*)lf[235]+1 /* (set! chicken.base#conjoin ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9409,a[2]=((C_word)li148),tmp=(C_word)a,a+=3,tmp));
t209=C_mutate((C_word*)lf[236]+1 /* (set! chicken.base#disjoin ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9442,a[2]=((C_word)li151),tmp=(C_word)a,a+=3,tmp));
t210=C_mutate((C_word*)lf[237]+1 /* (set! chicken.base#constantly ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9479,a[2]=((C_word)li154),tmp=(C_word)a,a+=3,tmp));
t211=C_mutate((C_word*)lf[238]+1 /* (set! chicken.base#flip ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9500,a[2]=((C_word)li156),tmp=(C_word)a,a+=3,tmp));
t212=C_mutate((C_word*)lf[239]+1 /* (set! chicken.base#complement ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9508,a[2]=((C_word)li158),tmp=(C_word)a,a+=3,tmp));
t213=C_mutate((C_word*)lf[240]+1 /* (set! chicken.base#compose ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9520,a[2]=((C_word)li162),tmp=(C_word)a,a+=3,tmp));
t214=C_mutate((C_word*)lf[241]+1 /* (set! chicken.base#o ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9556,a[2]=((C_word)li165),tmp=(C_word)a,a+=3,tmp));
t215=C_mutate((C_word*)lf[242]+1 /* (set! chicken.base#list-of? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9595,a[2]=((C_word)li168),tmp=(C_word)a,a+=3,tmp));
t216=C_mutate((C_word*)lf[243]+1 /* (set! chicken.base#each ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9639,a[2]=((C_word)li172),tmp=(C_word)a,a+=3,tmp));
t217=C_mutate((C_word*)lf[245]+1 /* (set! chicken.base#atom? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9695,a[2]=((C_word)li173),tmp=(C_word)a,a+=3,tmp));
t218=C_mutate((C_word*)lf[246]+1 /* (set! chicken.base#tail? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9698,a[2]=((C_word)li175),tmp=(C_word)a,a+=3,tmp));
t219=C_mutate((C_word*)lf[248]+1 /* (set! chicken.base#intersperse ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9726,a[2]=((C_word)li177),tmp=(C_word)a,a+=3,tmp));
t220=C_mutate((C_word*)lf[249]+1 /* (set! chicken.base#butlast ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9759,a[2]=((C_word)li179),tmp=(C_word)a,a+=3,tmp));
t221=C_mutate((C_word*)lf[251]+1 /* (set! chicken.base#flatten ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9791,a[2]=((C_word)li181),tmp=(C_word)a,a+=3,tmp));
t222=C_mutate((C_word*)lf[252]+1 /* (set! chicken.base#join ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9832,a[2]=((C_word)li183),tmp=(C_word)a,a+=3,tmp));
t223=C_mutate((C_word*)lf[255]+1 /* (set! chicken.base#compress ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9889,a[2]=((C_word)li185),tmp=(C_word)a,a+=3,tmp));
t224=C_mutate((C_word*)lf[259]+1 /* (set! chicken.base#alist-update! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9969,a[2]=((C_word)li188),tmp=(C_word)a,a+=3,tmp));
t225=C_mutate((C_word*)lf[260]+1 /* (set! chicken.base#alist-update ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10055,a[2]=((C_word)li190),tmp=(C_word)a,a+=3,tmp));
t226=C_mutate((C_word*)lf[264]+1 /* (set! chicken.base#alist-ref ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10159,a[2]=((C_word)li193),tmp=(C_word)a,a+=3,tmp));
t227=C_mutate((C_word*)lf[267]+1 /* (set! chicken.base#rassoc ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10271,a[2]=((C_word)li195),tmp=(C_word)a,a+=3,tmp));
t228=C_mutate(&lf[269] /* (set! maximal-string-length ...) */,C_unsigned_long_to_num(&a,C_HEADER_SIZE_MASK));
t229=C_a_i_provide(&a,1,lf[270]);
t230=C_set_block_item(lf[271] /* chicken.fixnum#most-positive-fixnum */,0,C_fix((C_word)C_MOST_POSITIVE_FIXNUM));
t231=C_set_block_item(lf[272] /* chicken.fixnum#most-negative-fixnum */,0,C_fix((C_word)C_MOST_NEGATIVE_FIXNUM));
t232=C_set_block_item(lf[273] /* chicken.fixnum#fixnum-bits */,0,C_fix((C_word)(C_WORD_SIZE - 1)));
t233=C_set_block_item(lf[274] /* chicken.fixnum#fixnum-precision */,0,C_fix((C_word)(C_WORD_SIZE - (1 + 1))));
t234=C_mutate((C_word*)lf[275]+1 /* (set! chicken.fixnum#fx+ ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10324,a[2]=((C_word)li196),tmp=(C_word)a,a+=3,tmp));
t235=C_mutate((C_word*)lf[276]+1 /* (set! chicken.fixnum#fx- ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10327,a[2]=((C_word)li197),tmp=(C_word)a,a+=3,tmp));
t236=C_mutate((C_word*)lf[277]+1 /* (set! chicken.fixnum#fx* ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10330,a[2]=((C_word)li198),tmp=(C_word)a,a+=3,tmp));
t237=C_mutate((C_word*)lf[278]+1 /* (set! chicken.fixnum#fx= ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10333,a[2]=((C_word)li199),tmp=(C_word)a,a+=3,tmp));
t238=C_mutate((C_word*)lf[279]+1 /* (set! chicken.fixnum#fx> ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10339,a[2]=((C_word)li200),tmp=(C_word)a,a+=3,tmp));
t239=C_mutate((C_word*)lf[280]+1 /* (set! chicken.fixnum#fx< ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10342,a[2]=((C_word)li201),tmp=(C_word)a,a+=3,tmp));
t240=C_mutate((C_word*)lf[281]+1 /* (set! chicken.fixnum#fx>= ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10345,a[2]=((C_word)li202),tmp=(C_word)a,a+=3,tmp));
t241=C_mutate((C_word*)lf[282]+1 /* (set! chicken.fixnum#fx<= ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10348,a[2]=((C_word)li203),tmp=(C_word)a,a+=3,tmp));
t242=C_mutate((C_word*)lf[283]+1 /* (set! chicken.fixnum#fxmin ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10351,a[2]=((C_word)li204),tmp=(C_word)a,a+=3,tmp));
t243=C_mutate((C_word*)lf[284]+1 /* (set! chicken.fixnum#fxmax ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10354,a[2]=((C_word)li205),tmp=(C_word)a,a+=3,tmp));
t244=C_mutate((C_word*)lf[285]+1 /* (set! chicken.fixnum#fxneg ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10357,a[2]=((C_word)li206),tmp=(C_word)a,a+=3,tmp));
t245=C_mutate((C_word*)lf[286]+1 /* (set! chicken.fixnum#fxand ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10360,a[2]=((C_word)li207),tmp=(C_word)a,a+=3,tmp));
t246=C_mutate((C_word*)lf[287]+1 /* (set! chicken.fixnum#fxior ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10363,a[2]=((C_word)li208),tmp=(C_word)a,a+=3,tmp));
t247=C_mutate((C_word*)lf[288]+1 /* (set! chicken.fixnum#fxxor ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10366,a[2]=((C_word)li209),tmp=(C_word)a,a+=3,tmp));
t248=C_mutate((C_word*)lf[289]+1 /* (set! chicken.fixnum#fxnot ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10369,a[2]=((C_word)li210),tmp=(C_word)a,a+=3,tmp));
t249=C_mutate((C_word*)lf[290]+1 /* (set! chicken.fixnum#fxshl ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10372,a[2]=((C_word)li211),tmp=(C_word)a,a+=3,tmp));
t250=C_mutate((C_word*)lf[291]+1 /* (set! chicken.fixnum#fxshr ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10375,a[2]=((C_word)li212),tmp=(C_word)a,a+=3,tmp));
t251=C_mutate((C_word*)lf[292]+1 /* (set! chicken.fixnum#fxodd? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10378,a[2]=((C_word)li213),tmp=(C_word)a,a+=3,tmp));
t252=C_mutate((C_word*)lf[293]+1 /* (set! chicken.fixnum#fxeven? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10381,a[2]=((C_word)li214),tmp=(C_word)a,a+=3,tmp));
t253=C_mutate((C_word*)lf[294]+1 /* (set! chicken.fixnum#fxlen ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10384,a[2]=((C_word)li215),tmp=(C_word)a,a+=3,tmp));
t254=C_mutate((C_word*)lf[295]+1 /* (set! chicken.fixnum#fx/ ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10387,a[2]=((C_word)li216),tmp=(C_word)a,a+=3,tmp));
t255=C_mutate((C_word*)lf[296]+1 /* (set! chicken.fixnum#fxgcd ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10390,a[2]=((C_word)li217),tmp=(C_word)a,a+=3,tmp));
t256=C_mutate((C_word*)lf[297]+1 /* (set! chicken.fixnum#fxmod ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10393,a[2]=((C_word)li218),tmp=(C_word)a,a+=3,tmp));
t257=C_mutate((C_word*)lf[298]+1 /* (set! chicken.fixnum#fxrem ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10396,a[2]=((C_word)li219),tmp=(C_word)a,a+=3,tmp));
t258=C_mutate((C_word*)lf[299]+1 /* (set! chicken.fixnum#fx+? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10399,a[2]=((C_word)li220),tmp=(C_word)a,a+=3,tmp));
t259=C_mutate((C_word*)lf[300]+1 /* (set! chicken.fixnum#fx-? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10402,a[2]=((C_word)li221),tmp=(C_word)a,a+=3,tmp));
t260=C_mutate((C_word*)lf[301]+1 /* (set! chicken.fixnum#fx*? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10405,a[2]=((C_word)li222),tmp=(C_word)a,a+=3,tmp));
t261=C_mutate((C_word*)lf[302]+1 /* (set! chicken.fixnum#fx/? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10408,a[2]=((C_word)li223),tmp=(C_word)a,a+=3,tmp));
t262=C_mutate((C_word*)lf[303]+1 /* (set! ##sys#debug-mode? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10411,a[2]=((C_word)li224),tmp=(C_word)a,a+=3,tmp));
t263=C_set_block_item(lf[304] /* ##sys#warnings-enabled */,0,C_SCHEME_TRUE);
t264=C_set_block_item(lf[305] /* ##sys#notices-enabled */,0,C_i_debug_modep());
t265=C_mutate((C_word*)lf[306]+1 /* (set! chicken.base#warning ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10416,a[2]=((C_word)li225),tmp=(C_word)a,a+=3,tmp));
t266=C_mutate((C_word*)lf[308]+1 /* (set! chicken.base#notice ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10425,a[2]=((C_word)li226),tmp=(C_word)a,a+=3,tmp));
t267=C_mutate((C_word*)lf[310]+1 /* (set! chicken.base#enable-warnings ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10437,a[2]=((C_word)li227),tmp=(C_word)a,a+=3,tmp));
t268=C_mutate((C_word*)lf[155]+1 /* (set! ##sys#error ...) */,*((C_word*)lf[193]+1));
t269=C_mutate((C_word*)lf[311]+1 /* (set! ##sys#warn ...) */,*((C_word*)lf[306]+1));
t270=C_mutate((C_word*)lf[312]+1 /* (set! ##sys#notice ...) */,*((C_word*)lf[308]+1));
t271=C_mutate((C_word*)lf[313]+1 /* (set! ##sys#gc ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_gc,a[2]=((C_word)li228),tmp=(C_word)a,a+=3,tmp));
t272=C_mutate((C_word*)lf[314]+1 /* (set! ##sys#setslot ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10452,a[2]=((C_word)li229),tmp=(C_word)a,a+=3,tmp));
t273=C_mutate((C_word*)lf[315]+1 /* (set! ##sys#setislot ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10455,a[2]=((C_word)li230),tmp=(C_word)a,a+=3,tmp));
t274=C_mutate((C_word*)lf[316]+1 /* (set! ##sys#allocate-vector ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_allocate_vector,a[2]=((C_word)li231),tmp=(C_word)a,a+=3,tmp));
t275=C_mutate((C_word*)lf[317]+1 /* (set! ##sys#make-structure ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_make_structure,a[2]=((C_word)li232),tmp=(C_word)a,a+=3,tmp));
t276=C_mutate((C_word*)lf[318]+1 /* (set! ##sys#ensure-heap-reserve ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_ensure_heap_reserve,a[2]=((C_word)li233),tmp=(C_word)a,a+=3,tmp));
t277=C_mutate((C_word*)lf[319]+1 /* (set! ##sys#symbol-table-info ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_get_symbol_table_info,a[2]=((C_word)li234),tmp=(C_word)a,a+=3,tmp));
t278=C_mutate((C_word*)lf[320]+1 /* (set! ##sys#memory-info ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_get_memory_info,a[2]=((C_word)li235),tmp=(C_word)a,a+=3,tmp));
t279=C_mutate((C_word*)lf[321]+1 /* (set! ##sys#start-timer ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10463,a[2]=((C_word)li236),tmp=(C_word)a,a+=3,tmp));
t280=C_mutate((C_word*)lf[322]+1 /* (set! ##sys#stop-timer ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10469,a[2]=((C_word)li239),tmp=(C_word)a,a+=3,tmp));
t281=C_mutate((C_word*)lf[323]+1 /* (set! ##sys#immediate? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10489,a[2]=((C_word)li240),tmp=(C_word)a,a+=3,tmp));
t282=C_mutate((C_word*)lf[324]+1 /* (set! ##sys#message ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10496,a[2]=((C_word)li241),tmp=(C_word)a,a+=3,tmp));
t283=C_mutate((C_word*)lf[325]+1 /* (set! ##sys#byte ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10499,a[2]=((C_word)li242),tmp=(C_word)a,a+=3,tmp));
t284=C_mutate((C_word*)lf[326]+1 /* (set! ##sys#setbyte ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10502,a[2]=((C_word)li243),tmp=(C_word)a,a+=3,tmp));
t285=C_mutate((C_word*)lf[327]+1 /* (set! ##sys#void ...) */,*((C_word*)lf[196]+1));
t286=C_set_block_item(lf[244] /* ##sys#undefined-value */,0,C_SCHEME_UNDEFINED);
t287=C_mutate((C_word*)lf[328]+1 /* (set! ##sys#halt ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10507,a[2]=((C_word)li244),tmp=(C_word)a,a+=3,tmp));
t288=C_mutate((C_word*)lf[329]+1 /* (set! ##sys#become! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_become,a[2]=((C_word)li245),tmp=(C_word)a,a+=3,tmp));
t289=C_mutate((C_word*)lf[330]+1 /* (set! ##sys#block-ref ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10511,a[2]=((C_word)li246),tmp=(C_word)a,a+=3,tmp));
t290=C_mutate((C_word*)lf[331]+1 /* (set! ##sys#apply-values ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_apply_values,a[2]=((C_word)li247),tmp=(C_word)a,a+=3,tmp));
t291=C_mutate((C_word*)lf[332]+1 /* (set! ##sys#copy-closure ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_copy_closure,a[2]=((C_word)li248),tmp=(C_word)a,a+=3,tmp));
t292=C_mutate((C_word*)lf[333]+1 /* (set! ##sys#block-set! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10516,a[2]=((C_word)li249),tmp=(C_word)a,a+=3,tmp));
t293=C_a_i_provide(&a,1,lf[336]);
t294=C_mutate((C_word*)lf[337]+1 /* (set! chicken.time#current-milliseconds ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10551,a[2]=((C_word)li250),tmp=(C_word)a,a+=3,tmp));
t295=C_mutate((C_word*)lf[338]+1 /* (set! chicken.time#current-seconds ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10554,a[2]=((C_word)li251),tmp=(C_word)a,a+=3,tmp));
t296=C_mutate((C_word*)lf[339]+1 /* (set! chicken.time#cpu-time ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10557,a[2]=((C_word)li252),tmp=(C_word)a,a+=3,tmp));
t297=C_mutate((C_word*)lf[340]+1 /* (set! ##sys#check-structure ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10574,a[2]=((C_word)li253),tmp=(C_word)a,a+=3,tmp));
t298=C_mutate((C_word*)lf[341]+1 /* (set! ##sys#check-blob ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10585,a[2]=((C_word)li254),tmp=(C_word)a,a+=3,tmp));
t299=C_mutate((C_word*)lf[342]+1 /* (set! ##sys#check-byte-vector ...) */,*((C_word*)lf[341]+1));
t300=C_mutate((C_word*)lf[343]+1 /* (set! ##sys#check-pair ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10597,a[2]=((C_word)li255),tmp=(C_word)a,a+=3,tmp));
t301=C_mutate((C_word*)lf[344]+1 /* (set! ##sys#check-list ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10608,a[2]=((C_word)li256),tmp=(C_word)a,a+=3,tmp));
t302=C_mutate((C_word*)lf[345]+1 /* (set! ##sys#check-string ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10619,a[2]=((C_word)li257),tmp=(C_word)a,a+=3,tmp));
t303=C_mutate((C_word*)lf[346]+1 /* (set! ##sys#check-number ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10630,a[2]=((C_word)li258),tmp=(C_word)a,a+=3,tmp));
t304=C_mutate((C_word*)lf[102]+1 /* (set! ##sys#check-fixnum ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10641,a[2]=((C_word)li259),tmp=(C_word)a,a+=3,tmp));
t305=C_mutate((C_word*)lf[347]+1 /* (set! ##sys#check-exact ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10652,a[2]=((C_word)li260),tmp=(C_word)a,a+=3,tmp));
t306=C_mutate((C_word*)lf[348]+1 /* (set! ##sys#check-inexact ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10663,a[2]=((C_word)li261),tmp=(C_word)a,a+=3,tmp));
t307=C_mutate((C_word*)lf[349]+1 /* (set! ##sys#check-symbol ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10674,a[2]=((C_word)li262),tmp=(C_word)a,a+=3,tmp));
t308=C_mutate((C_word*)lf[350]+1 /* (set! ##sys#check-vector ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10685,a[2]=((C_word)li263),tmp=(C_word)a,a+=3,tmp));
t309=C_mutate((C_word*)lf[351]+1 /* (set! ##sys#check-char ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10696,a[2]=((C_word)li264),tmp=(C_word)a,a+=3,tmp));
t310=C_mutate((C_word*)lf[352]+1 /* (set! ##sys#check-boolean ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10707,a[2]=((C_word)li265),tmp=(C_word)a,a+=3,tmp));
t311=C_mutate((C_word*)lf[353]+1 /* (set! ##sys#check-locative ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10718,a[2]=((C_word)li266),tmp=(C_word)a,a+=3,tmp));
t312=C_mutate((C_word*)lf[354]+1 /* (set! ##sys#check-integer ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10729,a[2]=((C_word)li267),tmp=(C_word)a,a+=3,tmp));
t313=C_mutate((C_word*)lf[356]+1 /* (set! ##sys#check-exact-integer ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10746,a[2]=((C_word)li268),tmp=(C_word)a,a+=3,tmp));
t314=C_mutate((C_word*)lf[358]+1 /* (set! ##sys#check-exact-uinteger ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10763,a[2]=((C_word)li269),tmp=(C_word)a,a+=3,tmp));
t315=C_mutate((C_word*)lf[360]+1 /* (set! ##sys#check-real ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10787,a[2]=((C_word)li270),tmp=(C_word)a,a+=3,tmp));
t316=C_mutate((C_word*)lf[334]+1 /* (set! ##sys#check-range ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10804,a[2]=((C_word)li271),tmp=(C_word)a,a+=3,tmp));
t317=C_mutate((C_word*)lf[363]+1 /* (set! ##sys#check-special ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10834,a[2]=((C_word)li272),tmp=(C_word)a,a+=3,tmp));
t318=C_mutate((C_word*)lf[365]+1 /* (set! ##sys#check-closure ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10854,a[2]=((C_word)li273),tmp=(C_word)a,a+=3,tmp));
t319=C_mutate((C_word*)lf[366]+1 /* (set! scheme#force ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10865,a[2]=((C_word)li275),tmp=(C_word)a,a+=3,tmp));
t320=C_mutate((C_word*)lf[368]+1 /* (set! ##sys#dload ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_dload,a[2]=((C_word)li276),tmp=(C_word)a,a+=3,tmp));
t321=C_mutate((C_word*)lf[369]+1 /* (set! ##sys#set-dlopen-flags! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_set_dlopen_flags,a[2]=((C_word)li277),tmp=(C_word)a,a+=3,tmp));
t322=C_mutate((C_word*)lf[47]+1 /* (set! ##sys#error-not-a-proper-list ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10993,a[2]=((C_word)li278),tmp=(C_word)a,a+=3,tmp));
t323=C_mutate((C_word*)lf[370]+1 /* (set! ##sys#error-bad-number ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11009,a[2]=((C_word)li279),tmp=(C_word)a,a+=3,tmp));
t324=C_mutate((C_word*)lf[355]+1 /* (set! ##sys#error-bad-integer ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11025,a[2]=((C_word)li280),tmp=(C_word)a,a+=3,tmp));
t325=C_mutate((C_word*)lf[357]+1 /* (set! ##sys#error-bad-exact-integer ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11041,a[2]=((C_word)li281),tmp=(C_word)a,a+=3,tmp));
t326=C_mutate((C_word*)lf[359]+1 /* (set! ##sys#error-bad-exact-uinteger ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11057,a[2]=((C_word)li282),tmp=(C_word)a,a+=3,tmp));
t327=C_mutate((C_word*)lf[371]+1 /* (set! ##sys#error-bad-inexact ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11073,a[2]=((C_word)li283),tmp=(C_word)a,a+=3,tmp));
t328=C_mutate((C_word*)lf[361]+1 /* (set! ##sys#error-bad-real ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11089,a[2]=((C_word)li284),tmp=(C_word)a,a+=3,tmp));
t329=C_mutate((C_word*)lf[372]+1 /* (set! ##sys#error-bad-base ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11105,a[2]=((C_word)li285),tmp=(C_word)a,a+=3,tmp));
t330=C_mutate((C_word*)lf[373]+1 /* (set! scheme#append ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11121,a[2]=((C_word)li288),tmp=(C_word)a,a+=3,tmp));
t331=C_mutate((C_word*)lf[375]+1 /* (set! ##sys#fast-reverse ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11200,a[2]=((C_word)li290),tmp=(C_word)a,a+=3,tmp));
t332=C_mutate((C_word*)lf[376]+1 /* (set! ##sys#make-string ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11230,a[2]=((C_word)li291),tmp=(C_word)a,a+=3,tmp));
t333=C_mutate((C_word*)lf[377]+1 /* (set! scheme#make-string ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11250,a[2]=((C_word)li292),tmp=(C_word)a,a+=3,tmp));
t334=C_mutate((C_word*)lf[381]+1 /* (set! scheme#string->list ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11286,a[2]=((C_word)li294),tmp=(C_word)a,a+=3,tmp));
t335=C_mutate((C_word*)lf[383]+1 /* (set! ##sys#string->list ...) */,*((C_word*)lf[381]+1));
t336=C_mutate((C_word*)lf[384]+1 /* (set! scheme#list->string ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11324,a[2]=((C_word)li296),tmp=(C_word)a,a+=3,tmp));
t337=C_mutate((C_word*)lf[386]+1 /* (set! ##sys#list->string ...) */,*((C_word*)lf[384]+1));
t338=C_mutate((C_word*)lf[387]+1 /* (set! ##sys#reverse-list->string ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11376,a[2]=((C_word)li298),tmp=(C_word)a,a+=3,tmp));
t339=C_mutate((C_word*)lf[389]+1 /* (set! scheme#string-fill! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11425,a[2]=((C_word)li299),tmp=(C_word)a,a+=3,tmp));
t340=C_mutate((C_word*)lf[391]+1 /* (set! scheme#string-copy ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11438,a[2]=((C_word)li300),tmp=(C_word)a,a+=3,tmp));
t341=C_mutate((C_word*)lf[393]+1 /* (set! scheme#substring ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11450,a[2]=((C_word)li301),tmp=(C_word)a,a+=3,tmp));
t342=C_mutate((C_word*)lf[395]+1 /* (set! ##sys#substring ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11500,a[2]=((C_word)li302),tmp=(C_word)a,a+=3,tmp));
t343=C_SCHEME_UNDEFINED;
t344=(*a=C_VECTOR_TYPE|1,a[1]=t343,tmp=(C_word)a,a+=2,tmp);
t345=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11509,a[2]=((C_word)li303),tmp=(C_word)a,a+=3,tmp);
t346=C_set_block_item(t344,0,t345);
t347=C_mutate((C_word*)lf[396]+1 /* (set! scheme#string<? ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_11530,a[2]=t344,a[3]=((C_word)li305),tmp=(C_word)a,a+=4,tmp));
t348=C_mutate((C_word*)lf[398]+1 /* (set! scheme#string>? ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_11554,a[2]=t344,a[3]=((C_word)li307),tmp=(C_word)a,a+=4,tmp));
t349=C_mutate((C_word*)lf[400]+1 /* (set! scheme#string<=? ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_11578,a[2]=t344,a[3]=((C_word)li309),tmp=(C_word)a,a+=4,tmp));
t350=C_mutate((C_word*)lf[402]+1 /* (set! scheme#string>=? ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_11599,a[2]=t344,a[3]=((C_word)li311),tmp=(C_word)a,a+=4,tmp));
t351=C_SCHEME_UNDEFINED;
t352=(*a=C_VECTOR_TYPE|1,a[1]=t351,tmp=(C_word)a,a+=2,tmp);
t353=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11619,a[2]=((C_word)li312),tmp=(C_word)a,a+=3,tmp);
t354=C_set_block_item(t352,0,t353);
t355=C_mutate((C_word*)lf[404]+1 /* (set! scheme#string-ci<? ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_11640,a[2]=t352,a[3]=((C_word)li314),tmp=(C_word)a,a+=4,tmp));
t356=C_mutate((C_word*)lf[406]+1 /* (set! scheme#string-ci>? ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_11664,a[2]=t352,a[3]=((C_word)li316),tmp=(C_word)a,a+=4,tmp));
t357=C_mutate((C_word*)lf[408]+1 /* (set! scheme#string-ci<=? ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_11688,a[2]=t352,a[3]=((C_word)li318),tmp=(C_word)a,a+=4,tmp));
t358=C_mutate((C_word*)lf[410]+1 /* (set! scheme#string-ci>=? ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_11709,a[2]=t352,a[3]=((C_word)li320),tmp=(C_word)a,a+=4,tmp));
t359=C_mutate((C_word*)lf[412]+1 /* (set! ##sys#string-append ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11730,a[2]=((C_word)li321),tmp=(C_word)a,a+=3,tmp));
t360=C_mutate((C_word*)lf[413]+1 /* (set! scheme#string-append ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11746,a[2]=((C_word)li323),tmp=(C_word)a,a+=3,tmp));
t361=C_mutate((C_word*)lf[415]+1 /* (set! scheme#string ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11785,a[2]=((C_word)li324),tmp=(C_word)a,a+=3,tmp));
t362=C_mutate((C_word*)lf[416]+1 /* (set! ##sys#fragments->string ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11791,a[2]=((C_word)li326),tmp=(C_word)a,a+=3,tmp));
t363=C_mutate((C_word*)lf[417]+1 /* (set! chicken.base#chop ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11826,a[2]=((C_word)li329),tmp=(C_word)a,a+=3,tmp));
t364=C_a_i_provide(&a,1,lf[420]);
t365=C_mutate((C_word*)lf[421]+1 /* (set! chicken.flonum#maximum-flonum ...) */,C_flonum(&a,DBL_MAX));
t366=C_mutate((C_word*)lf[422]+1 /* (set! chicken.flonum#minimum-flonum ...) */,C_flonum(&a,DBL_MIN));
t367=C_set_block_item(lf[423] /* chicken.flonum#flonum-radix */,0,C_fix((C_word)FLT_RADIX));
t368=C_mutate((C_word*)lf[424]+1 /* (set! chicken.flonum#flonum-epsilon ...) */,C_flonum(&a,DBL_EPSILON));
t369=C_set_block_item(lf[425] /* chicken.flonum#flonum-precision */,0,C_fix((C_word)DBL_MANT_DIG));
t370=C_set_block_item(lf[426] /* chicken.flonum#flonum-decimal-precision */,0,C_fix((C_word)DBL_DIG));
t371=C_set_block_item(lf[427] /* chicken.flonum#flonum-maximum-exponent */,0,C_fix((C_word)DBL_MAX_EXP));
t372=C_set_block_item(lf[428] /* chicken.flonum#flonum-minimum-exponent */,0,C_fix((C_word)DBL_MIN_EXP));
t373=C_set_block_item(lf[429] /* chicken.flonum#flonum-maximum-decimal-exponent */,0,C_fix((C_word)DBL_MAX_10_EXP));
t374=C_set_block_item(lf[430] /* chicken.flonum#flonum-minimum-decimal-exponent */,0,C_fix((C_word)DBL_MIN_10_EXP));
t375=C_mutate((C_word*)lf[431]+1 /* (set! chicken.flonum#fp+ ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11921,a[2]=((C_word)li330),tmp=(C_word)a,a+=3,tmp));
t376=C_mutate((C_word*)lf[433]+1 /* (set! chicken.flonum#fp- ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11945,a[2]=((C_word)li331),tmp=(C_word)a,a+=3,tmp));
t377=C_mutate((C_word*)lf[435]+1 /* (set! chicken.flonum#fp* ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11969,a[2]=((C_word)li332),tmp=(C_word)a,a+=3,tmp));
t378=C_mutate((C_word*)lf[437]+1 /* (set! chicken.flonum#fp/ ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11993,a[2]=((C_word)li333),tmp=(C_word)a,a+=3,tmp));
t379=C_mutate((C_word*)lf[439]+1 /* (set! chicken.flonum#fpgcd ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12017,a[2]=((C_word)li334),tmp=(C_word)a,a+=3,tmp));
t380=C_mutate((C_word*)lf[441]+1 /* (set! chicken.flonum#fp/? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12041,a[2]=((C_word)li335),tmp=(C_word)a,a+=3,tmp));
t381=C_mutate((C_word*)lf[443]+1 /* (set! chicken.flonum#fp= ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12065,a[2]=((C_word)li336),tmp=(C_word)a,a+=3,tmp));
t382=C_mutate((C_word*)lf[445]+1 /* (set! chicken.flonum#fp> ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12089,a[2]=((C_word)li337),tmp=(C_word)a,a+=3,tmp));
t383=C_mutate((C_word*)lf[447]+1 /* (set! chicken.flonum#fp< ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12113,a[2]=((C_word)li338),tmp=(C_word)a,a+=3,tmp));
t384=C_mutate((C_word*)lf[449]+1 /* (set! chicken.flonum#fp>= ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12137,a[2]=((C_word)li339),tmp=(C_word)a,a+=3,tmp));
t385=C_mutate((C_word*)lf[451]+1 /* (set! chicken.flonum#fp<= ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12161,a[2]=((C_word)li340),tmp=(C_word)a,a+=3,tmp));
t386=C_mutate((C_word*)lf[453]+1 /* (set! chicken.flonum#fpneg ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12185,a[2]=((C_word)li341),tmp=(C_word)a,a+=3,tmp));
t387=C_mutate((C_word*)lf[455]+1 /* (set! chicken.flonum#fpmax ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12203,a[2]=((C_word)li342),tmp=(C_word)a,a+=3,tmp));
t388=C_mutate((C_word*)lf[457]+1 /* (set! chicken.flonum#fpmin ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12227,a[2]=((C_word)li343),tmp=(C_word)a,a+=3,tmp));
t389=C_mutate((C_word*)lf[459]+1 /* (set! chicken.flonum#fpfloor ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12251,a[2]=((C_word)li344),tmp=(C_word)a,a+=3,tmp));
t390=C_mutate((C_word*)lf[461]+1 /* (set! chicken.flonum#fptruncate ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12269,a[2]=((C_word)li345),tmp=(C_word)a,a+=3,tmp));
t391=C_mutate((C_word*)lf[463]+1 /* (set! chicken.flonum#fpround ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12287,a[2]=((C_word)li346),tmp=(C_word)a,a+=3,tmp));
t392=C_mutate((C_word*)lf[465]+1 /* (set! chicken.flonum#fpceiling ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12305,a[2]=((C_word)li347),tmp=(C_word)a,a+=3,tmp));
t393=C_mutate((C_word*)lf[467]+1 /* (set! chicken.flonum#fpsin ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12323,a[2]=((C_word)li348),tmp=(C_word)a,a+=3,tmp));
t394=C_mutate((C_word*)lf[469]+1 /* (set! chicken.flonum#fpcos ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12341,a[2]=((C_word)li349),tmp=(C_word)a,a+=3,tmp));
t395=C_mutate((C_word*)lf[471]+1 /* (set! chicken.flonum#fptan ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12359,a[2]=((C_word)li350),tmp=(C_word)a,a+=3,tmp));
t396=C_mutate((C_word*)lf[473]+1 /* (set! chicken.flonum#fpasin ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12377,a[2]=((C_word)li351),tmp=(C_word)a,a+=3,tmp));
t397=C_mutate((C_word*)lf[475]+1 /* (set! chicken.flonum#fpacos ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12395,a[2]=((C_word)li352),tmp=(C_word)a,a+=3,tmp));
t398=C_mutate((C_word*)lf[477]+1 /* (set! chicken.flonum#fpatan ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12413,a[2]=((C_word)li353),tmp=(C_word)a,a+=3,tmp));
t399=C_mutate((C_word*)lf[479]+1 /* (set! chicken.flonum#fpatan2 ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12431,a[2]=((C_word)li354),tmp=(C_word)a,a+=3,tmp));
t400=C_mutate((C_word*)lf[481]+1 /* (set! chicken.flonum#fpexp ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12455,a[2]=((C_word)li355),tmp=(C_word)a,a+=3,tmp));
t401=C_mutate((C_word*)lf[483]+1 /* (set! chicken.flonum#fpexpt ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12473,a[2]=((C_word)li356),tmp=(C_word)a,a+=3,tmp));
t402=C_mutate((C_word*)lf[485]+1 /* (set! chicken.flonum#fplog ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12497,a[2]=((C_word)li357),tmp=(C_word)a,a+=3,tmp));
t403=C_mutate((C_word*)lf[487]+1 /* (set! chicken.flonum#fpsqrt ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12515,a[2]=((C_word)li358),tmp=(C_word)a,a+=3,tmp));
t404=C_mutate((C_word*)lf[489]+1 /* (set! chicken.flonum#fpabs ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12533,a[2]=((C_word)li359),tmp=(C_word)a,a+=3,tmp));
t405=C_mutate((C_word*)lf[491]+1 /* (set! chicken.flonum#fpinteger? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12551,a[2]=((C_word)li360),tmp=(C_word)a,a+=3,tmp));
t406=C_mutate((C_word*)lf[493]+1 /* (set! chicken.flonum#flonum-print-precision ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12569,a[2]=((C_word)li361),tmp=(C_word)a,a+=3,tmp));
t407=C_mutate((C_word*)lf[495]+1 /* (set! ##sys#number? ...) */,*((C_word*)lf[77]+1));
t408=C_mutate((C_word*)lf[496]+1 /* (set! ##sys#integer? ...) */,*((C_word*)lf[81]+1));
t409=C_mutate((C_word*)lf[497]+1 /* (set! ##sys#exact? ...) */,*((C_word*)lf[82]+1));
t410=C_mutate((C_word*)lf[498]+1 /* (set! ##sys#inexact? ...) */,*((C_word*)lf[83]+1));
t411=C_mutate(&lf[499] /* (set! make-complex ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12591,a[2]=((C_word)li362),tmp=(C_word)a,a+=3,tmp));
t412=C_mutate((C_word*)lf[501]+1 /* (set! scheme#make-rectangular ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12627,a[2]=((C_word)li363),tmp=(C_word)a,a+=3,tmp));
t413=C_mutate((C_word*)lf[503]+1 /* (set! scheme#make-polar ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12639,a[2]=((C_word)li364),tmp=(C_word)a,a+=3,tmp));
t414=C_mutate((C_word*)lf[505]+1 /* (set! scheme#real-part ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12660,a[2]=((C_word)li365),tmp=(C_word)a,a+=3,tmp));
t415=C_mutate((C_word*)lf[507]+1 /* (set! scheme#imag-part ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12683,a[2]=((C_word)li366),tmp=(C_word)a,a+=3,tmp));
t416=C_mutate((C_word*)lf[509]+1 /* (set! scheme#angle ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12709,a[2]=((C_word)li367),tmp=(C_word)a,a+=3,tmp));
t417=C_mutate((C_word*)lf[511]+1 /* (set! scheme#magnitude ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12725,a[2]=((C_word)li368),tmp=(C_word)a,a+=3,tmp));
t418=C_mutate(&lf[514] /* (set! ratnum ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12764,a[2]=((C_word)li369),tmp=(C_word)a,a+=3,tmp));
t419=C_mutate((C_word*)lf[515]+1 /* (set! scheme#numerator ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12810,a[2]=((C_word)li370),tmp=(C_word)a,a+=3,tmp));
t420=C_mutate((C_word*)lf[520]+1 /* (set! scheme#denominator ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12856,a[2]=((C_word)li371),tmp=(C_word)a,a+=3,tmp));
t421=C_mutate((C_word*)lf[524]+1 /* (set! ##sys#extended-signum ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12902,a[2]=((C_word)li372),tmp=(C_word)a,a+=3,tmp));
t422=C_mutate((C_word*)lf[518]+1 /* (set! scheme#inexact->exact ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_13022,a[2]=((C_word)li375),tmp=(C_word)a,a+=3,tmp));
t423=C_mutate((C_word*)lf[531]+1 /* (set! ##sys#exact->inexact ...) */,*((C_word*)lf[62]+1));
t424=C_mutate((C_word*)lf[532]+1 /* (set! ##sys#inexact->exact ...) */,*((C_word*)lf[518]+1));
t425=C_a_i_provide(&a,1,lf[533]);
t426=C_mutate((C_word*)lf[534]+1 /* (set! chicken.bitwise#bitwise-and ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_bitwise_and,a[2]=((C_word)li376),tmp=(C_word)a,a+=3,tmp));
t427=C_mutate((C_word*)lf[535]+1 /* (set! chicken.bitwise#bitwise-ior ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_bitwise_ior,a[2]=((C_word)li377),tmp=(C_word)a,a+=3,tmp));
t428=C_mutate((C_word*)lf[536]+1 /* (set! chicken.bitwise#bitwise-xor ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_bitwise_xor,a[2]=((C_word)li378),tmp=(C_word)a,a+=3,tmp));
t429=C_mutate((C_word*)lf[537]+1 /* (set! chicken.bitwise#bitwise-not ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_13088,a[2]=((C_word)li379),tmp=(C_word)a,a+=3,tmp));
t430=C_mutate((C_word*)lf[538]+1 /* (set! chicken.bitwise#bit->boolean ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_13091,a[2]=((C_word)li380),tmp=(C_word)a,a+=3,tmp));
t431=C_mutate((C_word*)lf[539]+1 /* (set! chicken.bitwise#integer-length ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_13094,a[2]=((C_word)li381),tmp=(C_word)a,a+=3,tmp));
t432=C_mutate((C_word*)lf[540]+1 /* (set! chicken.bitwise#arithmetic-shift ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_13097,a[2]=((C_word)li382),tmp=(C_word)a,a+=3,tmp));
t433=C_mutate((C_word*)lf[541]+1 /* (set! scheme#/ ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_13100,a[2]=((C_word)li384),tmp=(C_word)a,a+=3,tmp));
t434=C_mutate((C_word*)lf[526]+1 /* (set! ##sys#/-2 ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_13151,a[2]=((C_word)li385),tmp=(C_word)a,a+=3,tmp));
t435=C_mutate((C_word*)lf[544]+1 /* (set! scheme#floor ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_13399,a[2]=((C_word)li386),tmp=(C_word)a,a+=3,tmp));
t436=C_mutate((C_word*)lf[546]+1 /* (set! scheme#ceiling ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_13440,a[2]=((C_word)li387),tmp=(C_word)a,a+=3,tmp));
t437=C_mutate((C_word*)lf[548]+1 /* (set! scheme#truncate ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_13481,a[2]=((C_word)li388),tmp=(C_word)a,a+=3,tmp));
t438=C_mutate((C_word*)lf[550]+1 /* (set! scheme#round ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_13515,a[2]=((C_word)li389),tmp=(C_word)a,a+=3,tmp));
t439=C_mutate(&lf[552] /* (set! find-ratio-between ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_13555,a[2]=((C_word)li391),tmp=(C_word)a,a+=3,tmp));
t440=C_mutate((C_word*)lf[554]+1 /* (set! scheme#rationalize ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_13691,a[2]=((C_word)li392),tmp=(C_word)a,a+=3,tmp));
t441=C_mutate((C_word*)lf[555]+1 /* (set! scheme#max ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_13716,a[2]=((C_word)li394),tmp=(C_word)a,a+=3,tmp));
t442=C_mutate((C_word*)lf[557]+1 /* (set! scheme#min ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_13759,a[2]=((C_word)li396),tmp=(C_word)a,a+=3,tmp));
t443=C_mutate((C_word*)lf[559]+1 /* (set! scheme#exp ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_13802,a[2]=((C_word)li397),tmp=(C_word)a,a+=3,tmp));
t444=C_mutate((C_word*)lf[561]+1 /* (set! ##sys#log-1 ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_13844,a[2]=((C_word)li398),tmp=(C_word)a,a+=3,tmp));
t445=C_mutate((C_word*)lf[565]+1 /* (set! scheme#log ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_13887,a[2]=((C_word)li399),tmp=(C_word)a,a+=3,tmp));
t446=C_mutate((C_word*)lf[566]+1 /* (set! scheme#sin ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_13916,a[2]=((C_word)li400),tmp=(C_word)a,a+=3,tmp));
t447=C_mutate((C_word*)lf[570]+1 /* (set! scheme#cos ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_13946,a[2]=((C_word)li401),tmp=(C_word)a,a+=3,tmp));
t448=C_mutate((C_word*)lf[572]+1 /* (set! scheme#tan ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_13976,a[2]=((C_word)li402),tmp=(C_word)a,a+=3,tmp));
t449=C_mutate((C_word*)lf[574]+1 /* (set! scheme#asin ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_14001,a[2]=((C_word)li403),tmp=(C_word)a,a+=3,tmp));
t450=C_a_i_asin(&a,1,C_fix(1));
t451=C_mutate((C_word*)lf[579]+1 /* (set! scheme#acos ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14054,a[2]=t450,a[3]=((C_word)li404),tmp=(C_word)a,a+=4,tmp));
t452=C_mutate((C_word*)lf[581]+1 /* (set! scheme#atan ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_14094,a[2]=((C_word)li405),tmp=(C_word)a,a+=3,tmp));
t453=C_mutate((C_word*)lf[583]+1 /* (set! ##sys#exact-integer-sqrt ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_14152,a[2]=((C_word)li411),tmp=(C_word)a,a+=3,tmp));
t454=C_mutate((C_word*)lf[585]+1 /* (set! chicken.base#exact-integer-sqrt ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_14317,a[2]=((C_word)li412),tmp=(C_word)a,a+=3,tmp));
t455=C_mutate((C_word*)lf[577]+1 /* (set! ##sys#sqrt/loc ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_14326,a[2]=((C_word)li419),tmp=(C_word)a,a+=3,tmp));
t456=C_mutate((C_word*)lf[512]+1 /* (set! scheme#sqrt ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_14477,a[2]=((C_word)li420),tmp=(C_word)a,a+=3,tmp));
t457=C_mutate((C_word*)lf[588]+1 /* (set! chicken.base#exact-integer-nth-root ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_14483,a[2]=((C_word)li421),tmp=(C_word)a,a+=3,tmp));
t458=C_mutate((C_word*)lf[589]+1 /* (set! ##sys#exact-integer-nth-root/loc ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_14495,a[2]=((C_word)li423),tmp=(C_word)a,a+=3,tmp));
t459=C_mutate((C_word*)lf[528]+1 /* (set! ##sys#integer-power ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_14598,a[2]=((C_word)li425),tmp=(C_word)a,a+=3,tmp));
t460=C_mutate((C_word*)lf[530]+1 /* (set! scheme#expt ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_14660,a[2]=((C_word)li430),tmp=(C_word)a,a+=3,tmp));
t461=C_mutate(&lf[542] /* (set! ##sys#internal-gcd ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_14920,a[2]=((C_word)li431),tmp=(C_word)a,a+=3,tmp));
t462=C_mutate((C_word*)lf[593]+1 /* (set! ##sys#gcd ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_14990,a[2]=((C_word)li432),tmp=(C_word)a,a+=3,tmp));
t463=C_mutate((C_word*)lf[595]+1 /* (set! scheme#gcd ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_14996,a[2]=((C_word)li434),tmp=(C_word)a,a+=3,tmp));
t464=C_mutate((C_word*)lf[596]+1 /* (set! ##sys#lcm ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_15047,a[2]=((C_word)li435),tmp=(C_word)a,a+=3,tmp));
t465=C_mutate((C_word*)lf[598]+1 /* (set! scheme#lcm ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_15058,a[2]=((C_word)li437),tmp=(C_word)a,a+=3,tmp));
t466=C_mutate((C_word*)lf[599]+1 /* (set! ##sys#integer->string/recursive ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_15113,a[2]=((C_word)li441),tmp=(C_word)a,a+=3,tmp));
t467=C_mutate((C_word*)lf[601]+1 /* (set! ##sys#extended-number->string ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_15166,a[2]=((C_word)li442),tmp=(C_word)a,a+=3,tmp));
t468=C_mutate(&lf[607] /* (set! round-quotient ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_15333,a[2]=((C_word)li443),tmp=(C_word)a,a+=3,tmp));
t469=C_mutate(&lf[608] /* (set! ##sys#string->compnum ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_15371,a[2]=((C_word)li454),tmp=(C_word)a,a+=3,tmp));
t470=C_mutate((C_word*)lf[617]+1 /* (set! scheme#string->number ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_16772,a[2]=((C_word)li456),tmp=(C_word)a,a+=3,tmp));
t471=C_mutate((C_word*)lf[619]+1 /* (set! ##sys#string->number ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17027,a[2]=((C_word)li457),tmp=(C_word)a,a+=3,tmp));
t472=C_mutate((C_word*)lf[620]+1 /* (set! ##sys#fixnum->string ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_fixnum_to_string,a[2]=((C_word)li458),tmp=(C_word)a,a+=3,tmp));
t473=C_mutate((C_word*)lf[621]+1 /* (set! ##sys#flonum->string ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_flonum_to_string,a[2]=((C_word)li459),tmp=(C_word)a,a+=3,tmp));
t474=C_mutate((C_word*)lf[622]+1 /* (set! ##sys#integer->string ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_integer_to_string,a[2]=((C_word)li460),tmp=(C_word)a,a+=3,tmp));
t475=C_mutate((C_word*)lf[600]+1 /* (set! ##sys#number->string ...) */,*((C_word*)lf[87]+1));
t476=C_mutate((C_word*)lf[623]+1 /* (set! chicken.base#equal=? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17073,a[2]=((C_word)li464),tmp=(C_word)a,a+=3,tmp));
t477=C_mutate((C_word*)lf[624]+1 /* (set! ##sys#snafu ...) */,lf[625]);
t478=C_mutate((C_word*)lf[626]+1 /* (set! ##sys#intern-symbol ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_string_to_symbol,a[2]=((C_word)li465),tmp=(C_word)a,a+=3,tmp));
t479=C_mutate((C_word*)lf[627]+1 /* (set! ##sys#interned-symbol? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17243,a[2]=((C_word)li466),tmp=(C_word)a,a+=3,tmp));
t480=C_mutate((C_word*)lf[628]+1 /* (set! ##sys#string->symbol ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17246,a[2]=((C_word)li467),tmp=(C_word)a,a+=3,tmp));
t481=C_mutate((C_word*)lf[629]+1 /* (set! ##sys#symbol->string ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17255,a[2]=((C_word)li468),tmp=(C_word)a,a+=3,tmp));
t482=C_mutate((C_word*)lf[630]+1 /* (set! scheme#symbol->string ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17271,a[2]=((C_word)li469),tmp=(C_word)a,a+=3,tmp));
t483=*((C_word*)lf[391]+1);
t484=C_mutate((C_word*)lf[632]+1 /* (set! scheme#string->symbol ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_17284,a[2]=t483,a[3]=((C_word)li470),tmp=(C_word)a,a+=4,tmp));
t485=*((C_word*)lf[391]+1);
t486=C_mutate((C_word*)lf[634]+1 /* (set! chicken.base#string->uninterned-symbol ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_17297,a[2]=t485,a[3]=((C_word)li472),tmp=(C_word)a,a+=4,tmp));
t487=C_fix(-1);
t488=(*a=C_VECTOR_TYPE|1,a[1]=t487,tmp=(C_word)a,a+=2,tmp);
t489=C_mutate((C_word*)lf[636]+1 /* (set! chicken.base#gensym ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_17310,a[2]=t488,a[3]=((C_word)li474),tmp=(C_word)a,a+=4,tmp));
t490=*((C_word*)lf[413]+1);
t491=C_mutate((C_word*)lf[640]+1 /* (set! chicken.base#symbol-append ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_17364,a[2]=t490,a[3]=((C_word)li476),tmp=(C_word)a,a+=4,tmp));
t492=C_a_i_provide(&a,1,lf[642]);
t493=C_mutate((C_word*)lf[643]+1 /* (set! chicken.keyword#keyword? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17423,a[2]=((C_word)li477),tmp=(C_word)a,a+=3,tmp));
t494=C_mutate((C_word*)lf[644]+1 /* (set! chicken.keyword#string->keyword ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17432,a[2]=((C_word)li478),tmp=(C_word)a,a+=3,tmp));
t495=*((C_word*)lf[643]+1);
t496=C_mutate((C_word*)lf[646]+1 /* (set! chicken.keyword#keyword->string ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_17453,a[2]=t495,a[3]=((C_word)li479),tmp=(C_word)a,a+=4,tmp));
t497=C_a_i_list1(&a,1,lf[649]);
t498=t497;
t499=C_mutate((C_word*)lf[650]+1 /* (set! chicken.keyword#get-keyword ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_17471,a[2]=t498,a[3]=((C_word)li480),tmp=(C_word)a,a+=4,tmp));
t500=C_mutate((C_word*)lf[652]+1 /* (set! ##sys#get-keyword ...) */,*((C_word*)lf[650]+1));
t501=C_a_i_provide(&a,1,lf[653]);
t502=C_mutate((C_word*)lf[654]+1 /* (set! ##sys#make-blob ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17499,a[2]=((C_word)li481),tmp=(C_word)a,a+=3,tmp));
t503=C_mutate((C_word*)lf[655]+1 /* (set! chicken.blob#make-blob ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17505,a[2]=((C_word)li482),tmp=(C_word)a,a+=3,tmp));
t504=C_mutate((C_word*)lf[657]+1 /* (set! chicken.blob#blob? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17514,a[2]=((C_word)li483),tmp=(C_word)a,a+=3,tmp));
t505=C_mutate((C_word*)lf[658]+1 /* (set! chicken.blob#blob-size ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17520,a[2]=((C_word)li484),tmp=(C_word)a,a+=3,tmp));
t506=C_mutate((C_word*)lf[660]+1 /* (set! chicken.blob#string->blob ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17529,a[2]=((C_word)li485),tmp=(C_word)a,a+=3,tmp));
t507=C_mutate((C_word*)lf[662]+1 /* (set! chicken.blob#blob->string ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17541,a[2]=((C_word)li486),tmp=(C_word)a,a+=3,tmp));
t508=C_mutate((C_word*)lf[664]+1 /* (set! chicken.blob#blob=? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17553,a[2]=((C_word)li487),tmp=(C_word)a,a+=3,tmp));
t509=C_mutate((C_word*)lf[93]+1 /* (set! scheme#make-vector ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17576,a[2]=((C_word)li488),tmp=(C_word)a,a+=3,tmp));
t510=C_mutate((C_word*)lf[668]+1 /* (set! ##sys#make-vector ...) */,*((C_word*)lf[93]+1));
t511=C_mutate((C_word*)lf[94]+1 /* (set! scheme#list->vector ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17605,a[2]=((C_word)li490),tmp=(C_word)a,a+=3,tmp));
t512=C_mutate((C_word*)lf[95]+1 /* (set! scheme#vector->list ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17657,a[2]=((C_word)li492),tmp=(C_word)a,a+=3,tmp));
t513=C_mutate((C_word*)lf[96]+1 /* (set! scheme#vector ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17690,a[2]=((C_word)li493),tmp=(C_word)a,a+=3,tmp));
t514=C_mutate((C_word*)lf[97]+1 /* (set! scheme#vector-fill! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17696,a[2]=((C_word)li495),tmp=(C_word)a,a+=3,tmp));
t515=C_mutate((C_word*)lf[204]+1 /* (set! chicken.base#vector-copy! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17724,a[2]=((C_word)li497),tmp=(C_word)a,a+=3,tmp));
t516=C_mutate((C_word*)lf[205]+1 /* (set! chicken.base#subvector ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17793,a[2]=((C_word)li499),tmp=(C_word)a,a+=3,tmp));
t517=C_mutate((C_word*)lf[206]+1 /* (set! chicken.base#vector-resize ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17864,a[2]=((C_word)li500),tmp=(C_word)a,a+=3,tmp));
t518=C_mutate(&lf[676] /* (set! ##sys#vector-resize ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17885,a[2]=((C_word)li502),tmp=(C_word)a,a+=3,tmp));
t519=C_mutate((C_word*)lf[113]+1 /* (set! scheme#char-ci=? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17924,a[2]=((C_word)li503),tmp=(C_word)a,a+=3,tmp));
t520=C_mutate((C_word*)lf[114]+1 /* (set! scheme#char-ci>? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17938,a[2]=((C_word)li504),tmp=(C_word)a,a+=3,tmp));
t521=C_mutate((C_word*)lf[115]+1 /* (set! scheme#char-ci<? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17949,a[2]=((C_word)li505),tmp=(C_word)a,a+=3,tmp));
t522=C_mutate((C_word*)lf[116]+1 /* (set! scheme#char-ci>=? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17960,a[2]=((C_word)li506),tmp=(C_word)a,a+=3,tmp));
t523=C_mutate((C_word*)lf[117]+1 /* (set! scheme#char-ci<=? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17971,a[2]=((C_word)li507),tmp=(C_word)a,a+=3,tmp));
t524=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17984,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:2927: scheme#make-vector */
t525=*((C_word*)lf[93]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t525;
av2[1]=t524;
av2[2]=C_fix(37);
av2[3]=C_SCHEME_END_OF_LIST;
((C_proc)(void*)(*((C_word*)t525+1)))(4,av2);}}

/* scheme#not in k8508 */
static void C_ccall f_8512(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8512,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_not(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#boolean? in k8508 */
static void C_ccall f_8515(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8515,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_booleanp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#eq? in k8508 */
static void C_ccall f_8518(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8518,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_eqp(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#eqv? in k8508 */
static void C_ccall f_8521(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8521,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_eqvp(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#equal? in k8508 */
static void C_ccall f_8524(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8524,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_equalp(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#pair? in k8508 */
static void C_ccall f_8527(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8527,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_pairp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#cons in k8508 */
static void C_ccall f_8530(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_8530,4,av);}
a=C_alloc(3);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_a_i_cons(&a,2,t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#car in k8508 */
static void C_ccall f_8533(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8533,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_car(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#cdr in k8508 */
static void C_ccall f_8536(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8536,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_cdr(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#set-car! in k8508 */
static void C_ccall f_8539(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8539,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_set_car(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#set-cdr! in k8508 */
static void C_ccall f_8542(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8542,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_set_cdr(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#cadr in k8508 */
static void C_ccall f_8545(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8545,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_cadr(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#caddr in k8508 */
static void C_ccall f_8548(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8548,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_caddr(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#cadddr in k8508 */
static void C_ccall f_8551(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8551,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_cadddr(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#cddddr in k8508 */
static void C_ccall f_8554(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8554,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_cddddr(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#caar in k8508 */
static void C_ccall f_8557(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8557,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_caar(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#cdar in k8508 */
static void C_ccall f_8560(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8560,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_cdar(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#cddr in k8508 */
static void C_ccall f_8563(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8563,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_cddr(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#caaar in k8508 */
static void C_ccall f_8566(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8566,3,av);}
t3=C_i_car(t2);
t4=C_i_car(t3);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_i_car(t4);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* scheme#caadr in k8508 */
static void C_ccall f_8580(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8580,3,av);}
t3=C_i_cadr(t2);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_car(t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#cadar in k8508 */
static void C_ccall f_8587(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8587,3,av);}
t3=C_i_car(t2);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_cadr(t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#cdaar in k8508 */
static void C_ccall f_8594(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8594,3,av);}
t3=C_i_car(t2);
t4=C_i_car(t3);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_i_cdr(t4);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* scheme#cdadr in k8508 */
static void C_ccall f_8608(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8608,3,av);}
t3=C_i_cadr(t2);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_cdr(t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#cddar in k8508 */
static void C_ccall f_8615(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8615,3,av);}
t3=C_i_car(t2);
t4=C_i_cdr(t3);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_i_cdr(t4);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* scheme#cdddr in k8508 */
static void C_ccall f_8629(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8629,3,av);}
t3=C_i_cdr(t2);
t4=C_i_cdr(t3);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_i_cdr(t4);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* scheme#caaaar in k8508 */
static void C_ccall f_8643(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8643,3,av);}
t3=C_i_car(t2);
t4=C_i_car(t3);
t5=C_i_car(t4);
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=C_i_car(t5);
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}

/* scheme#caaadr in k8508 */
static void C_ccall f_8661(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8661,3,av);}
t3=C_i_cadr(t2);
t4=C_i_car(t3);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_i_car(t4);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* scheme#caadar in k8508 */
static void C_ccall f_8672(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8672,3,av);}
t3=C_i_car(t2);
t4=C_i_cadr(t3);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_i_car(t4);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* scheme#caaddr in k8508 */
static void C_ccall f_8683(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8683,3,av);}
t3=C_i_caddr(t2);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_car(t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#cadaar in k8508 */
static void C_ccall f_8690(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8690,3,av);}
t3=C_i_car(t2);
t4=C_i_car(t3);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_i_cadr(t4);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* scheme#cadadr in k8508 */
static void C_ccall f_8701(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8701,3,av);}
t3=C_i_cadr(t2);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_cadr(t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#caddar in k8508 */
static void C_ccall f_8705(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8705,3,av);}
t3=C_i_car(t2);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_caddr(t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#cdaaar in k8508 */
static void C_ccall f_8712(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8712,3,av);}
t3=C_i_car(t2);
t4=C_i_car(t3);
t5=C_i_car(t4);
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=C_i_cdr(t5);
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}

/* scheme#cdaadr in k8508 */
static void C_ccall f_8730(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8730,3,av);}
t3=C_i_cadr(t2);
t4=C_i_car(t3);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_i_cdr(t4);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* scheme#cdadar in k8508 */
static void C_ccall f_8741(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8741,3,av);}
t3=C_i_car(t2);
t4=C_i_cadr(t3);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_i_cdr(t4);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* scheme#cdaddr in k8508 */
static void C_ccall f_8752(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8752,3,av);}
t3=C_i_caddr(t2);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_cdr(t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#cddaar in k8508 */
static void C_ccall f_8759(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8759,3,av);}
t3=C_i_car(t2);
t4=C_i_car(t3);
t5=C_i_cdr(t4);
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=C_i_cdr(t5);
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}

/* scheme#cddadr in k8508 */
static void C_ccall f_8777(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8777,3,av);}
t3=C_i_cadr(t2);
t4=C_i_cdr(t3);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_i_cdr(t4);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* scheme#cdddar in k8508 */
static void C_ccall f_8788(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8788,3,av);}
t3=C_i_car(t2);
t4=C_i_cdr(t3);
t5=C_i_cdr(t4);
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=C_i_cdr(t5);
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}

/* scheme#null? in k8508 */
static void C_ccall f_8806(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8806,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_eqp(t2,C_SCHEME_END_OF_LIST);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#list in k8508 */
static void C_ccall f_8812(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +0,c,1)))){
C_save_and_reclaim((void*)f_8812,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+0);
t2=C_build_rest(&a,c,2,av);
C_word t3;
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#length in k8508 */
static void C_ccall f_8815(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8815,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_length(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#list-tail in k8508 */
static void C_ccall f_8818(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8818,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_list_tail(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#list-ref in k8508 */
static void C_ccall f_8821(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8821,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_list_ref(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#reverse in k8508 */
static void C_ccall f_8824(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(7,c,4)))){
C_save_and_reclaim((void *)f_8824,3,av);}
a=C_alloc(7);
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_8830,a[2]=t4,a[3]=t2,a[4]=((C_word)li44),tmp=(C_word)a,a+=5,tmp));
t6=((C_word*)t4)[1];
f_8830(t6,t1,t2,C_SCHEME_END_OF_LIST);}

/* loop in scheme#reverse in k8508 */
static void C_fcall f_8830(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(3,0,3)))){
C_save_and_reclaim_args((void *)trf_8830,4,t0,t1,t2,t3);}
a=C_alloc(3);
t4=C_eqp(t2,C_SCHEME_END_OF_LIST);
if(C_truep(t4)){
t5=t3;
t6=t1;{
C_word av2[2];
av2[0]=t6;
av2[1]=t5;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}
else{
if(C_truep(C_i_pairp(t2))){
t5=C_slot(t2,C_fix(1));
t6=C_slot(t2,C_fix(0));
t7=C_a_i_cons(&a,2,t6,t3);
/* library.scm:313: loop */
t9=t1;
t10=t5;
t11=t7;
t1=t9;
t2=t10;
t3=t11;
goto loop;}
else{
/* library.scm:314: ##sys#error-not-a-proper-list */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[47]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[47]+1);
av2[1]=t1;
av2[2]=((C_word*)t0)[3];
av2[3]=lf[48];
tp(4,av2);}}}}

/* scheme#memq in k8508 */
static void C_ccall f_8863(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8863,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_memq(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#memv in k8508 */
static void C_ccall f_8866(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8866,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_memv(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#member in k8508 */
static void C_ccall f_8869(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8869,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_member(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#assq in k8508 */
static void C_ccall f_8872(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8872,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_assq(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#assv in k8508 */
static void C_ccall f_8875(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8875,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_assv(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#assoc in k8508 */
static void C_ccall f_8878(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8878,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_assoc(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#list? in k8508 */
static void C_ccall f_8881(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8881,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_listp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#string? in k8508 */
static void C_ccall f_8884(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8884,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_stringp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#string-length in k8508 */
static void C_ccall f_8887(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8887,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_string_length(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#string-ref in k8508 */
static void C_ccall f_8890(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8890,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_string_ref(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#string-set! in k8508 */
static void C_ccall f_8893(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8893,5,av);}
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_i_string_set(t2,t3,t4);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* scheme#string=? in k8508 */
static void C_ccall f_8896(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8896,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_string_equal_p(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#string-ci=? in k8508 */
static void C_ccall f_8899(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8899,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_string_ci_equal_p(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#exact->inexact in k8508 */
static void C_ccall f_8903(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(12,c,1)))){
C_save_and_reclaim((void *)f_8903,3,av);}
a=C_alloc(12);
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_a_i_exact_to_inexact(&a,1,t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#abs in k8508 */
static void C_ccall f_8906(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(7,c,1)))){
C_save_and_reclaim((void *)f_8906,3,av);}
a=C_alloc(7);
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_s_a_i_abs(&a,1,t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#quotient in k8508 */
static void C_ccall f_8912(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,1)))){
C_save_and_reclaim((void *)f_8912,4,av);}
a=C_alloc(5);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_s_a_i_quotient(&a,2,t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#remainder in k8508 */
static void C_ccall f_8915(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,1)))){
C_save_and_reclaim((void *)f_8915,4,av);}
a=C_alloc(5);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_s_a_i_remainder(&a,2,t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#modulo in k8508 */
static void C_ccall f_8918(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,1)))){
C_save_and_reclaim((void *)f_8918,4,av);}
a=C_alloc(5);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_s_a_i_modulo(&a,2,t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#even? in k8508 */
static void C_ccall f_8921(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8921,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_evenp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#odd? in k8508 */
static void C_ccall f_8924(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8924,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_oddp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#number? in k8508 */
static void C_ccall f_8932(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8932,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_numberp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#real? in k8508 */
static void C_ccall f_8936(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8936,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_realp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#rational? in k8508 */
static void C_ccall f_8939(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8939,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_rationalp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#integer? in k8508 */
static void C_ccall f_8942(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8942,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_integerp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#exact? in k8508 */
static void C_ccall f_8945(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8945,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_exactp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#inexact? in k8508 */
static void C_ccall f_8948(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8948,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_inexactp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#zero? in k8508 */
static void C_ccall f_8951(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8951,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_zerop(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#positive? in k8508 */
static void C_ccall f_8954(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8954,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_positivep(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#negative? in k8508 */
static void C_ccall f_8957(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8957,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_negativep(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#symbol? in k8508 */
static void C_ccall f_8961(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8961,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_symbolp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#vector? in k8508 */
static void C_ccall f_8964(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8964,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_vectorp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#vector-length in k8508 */
static void C_ccall f_8967(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8967,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_vector_length(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#vector-ref in k8508 */
static void C_ccall f_8970(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8970,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_vector_ref(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#vector-set! in k8508 */
static void C_ccall f_8973(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8973,5,av);}
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_i_vector_set(t2,t3,t4);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* scheme#char? in k8508 */
static void C_ccall f_8981(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8981,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_charp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#char->integer in k8508 */
static void C_ccall f_8984(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8984,3,av);}
t3=C_i_check_char_2(t2,lf[100]);
t4=C_character_code(t2);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_fix(t4);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* scheme#integer->char in k8508 */
static void C_ccall f_8991(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_8991,3,av);}
a=C_alloc(4);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_8995,a[2]=t2,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
/* library.scm:454: ##sys#check-fixnum */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[102]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[102]+1);
av2[1]=t3;
av2[2]=t2;
av2[3]=lf[103];
tp(4,av2);}}

/* k8993 in scheme#integer->char in k8508 */
static void C_ccall f_8995(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8995,2,av);}
t2=C_unfix(((C_word*)t0)[2]);
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_make_character(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#char=? in k8508 */
static void C_ccall f_8998(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8998,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_char_equalp(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#char>? in k8508 */
static void C_ccall f_9001(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9001,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_char_greaterp(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#char<? in k8508 */
static void C_ccall f_9004(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9004,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_char_lessp(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#char>=? in k8508 */
static void C_ccall f_9007(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9007,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_char_greater_or_equal_p(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#char<=? in k8508 */
static void C_ccall f_9010(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9010,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_char_less_or_equal_p(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#char-upcase in k8508 */
static void C_ccall f_9013(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9013,3,av);}
t3=C_i_check_char_2(t2,lf[110]);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_u_i_char_upcase(t2);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#char-downcase in k8508 */
static void C_ccall f_9019(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9019,3,av);}
t3=C_i_check_char_2(t2,lf[112]);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_u_i_char_downcase(t2);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#char-upper-case? in k8508 */
static void C_ccall f_9030(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9030,3,av);}
t3=C_i_check_char_2(t2,lf[119]);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_u_i_char_upper_casep(t2);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#char-lower-case? in k8508 */
static void C_ccall f_9036(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9036,3,av);}
t3=C_i_check_char_2(t2,lf[121]);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_u_i_char_lower_casep(t2);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#char-numeric? in k8508 */
static void C_ccall f_9042(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9042,3,av);}
t3=C_i_check_char_2(t2,lf[123]);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_u_i_char_numericp(t2);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#char-whitespace? in k8508 */
static void C_ccall f_9048(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9048,3,av);}
t3=C_i_check_char_2(t2,lf[125]);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_u_i_char_whitespacep(t2);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#char-alphabetic? in k8508 */
static void C_ccall f_9054(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9054,3,av);}
t3=C_i_check_char_2(t2,lf[127]);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_u_i_char_alphabeticp(t2);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#procedure? in k8508 */
static void C_ccall f_9060(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9060,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_closurep(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#input-port? in k8508 */
static void C_ccall f_9067(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9067,3,av);}
if(C_truep(C_blockp(t2))){
t3=C_input_portp(t2);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* scheme#output-port? in k8508 */
static void C_ccall f_9073(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9073,3,av);}
if(C_truep(C_blockp(t2))){
t3=C_output_portp(t2);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* scheme#eof-object? in k8508 */
static void C_ccall f_9089(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9089,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_eofp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#eval in k8508 */
static void C_ccall f_9100(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_9100,3,av);}
/* library.scm:547: ##sys#error */
t3=*((C_word*)lf[155]+1);{
C_word av2[4];
av2[0]=t3;
av2[1]=t1;
av2[2]=lf[156];
av2[3]=lf[157];
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* scheme#interaction-environment in k8508 */
static void C_ccall f_9106(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_9106,2,av);}
/* library.scm:550: ##sys#error */
t2=*((C_word*)lf[155]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t2;
av2[1]=t1;
av2[2]=lf[159];
av2[3]=lf[160];
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* scheme#scheme-report-environment in k8508 */
static void C_ccall f_9112(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_9112,3,av);}
/* library.scm:553: ##sys#error */
t3=*((C_word*)lf[155]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=t1;
av2[2]=lf[162];
av2[3]=lf[163];
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* scheme#null-environment in k8508 */
static void C_ccall f_9118(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_9118,2,av);}
/* library.scm:556: ##sys#error */
t2=*((C_word*)lf[155]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t2;
av2[1]=t1;
av2[2]=lf[165];
av2[3]=lf[166];
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* scheme#load in k8508 */
static void C_ccall f_9124(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_9124,3,av);}
/* library.scm:559: ##sys#error */
t3=*((C_word*)lf[155]+1);{
C_word av2[4];
av2[0]=t3;
av2[1]=t1;
av2[2]=lf[168];
av2[3]=lf[169];
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* chicken.base#fixnum? in k8508 */
static void C_ccall f_9133(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9133,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_fixnump(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.base#flonum? in k8508 */
static void C_ccall f_9136(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9136,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_flonump(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.base#bignum? in k8508 */
static void C_ccall f_9139(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9139,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_bignump(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.base#ratnum? in k8508 */
static void C_ccall f_9142(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9142,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_ratnump(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.base#cplxnum? in k8508 */
static void C_ccall f_9145(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9145,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_cplxnump(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.base#exact-integer? in k8508 */
static void C_ccall f_9148(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9148,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_exact_integerp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.base#quotient&modulo in k8508 */
static void C_ccall f_9152(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(9,c,4)))){
C_save_and_reclaim((void *)f_9152,4,av);}
a=C_alloc(9);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_9158,a[2]=t2,a[3]=t3,a[4]=((C_word)li123),tmp=(C_word)a,a+=5,tmp);
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_9164,a[2]=t3,a[3]=((C_word)li124),tmp=(C_word)a,a+=4,tmp);
/* library.scm:619: scheme#call-with-values */{
C_word *av2=av;
av2[0]=0;
av2[1]=t1;
av2[2]=t4;
av2[3]=t5;
C_call_with_values(4,av2);}}

/* a9157 in chicken.base#quotient&modulo in k8508 */
static void C_ccall f_9158(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_9158,2,av);}
/* library.scm:619: quotient&remainder */
t2=*((C_word*)lf[180]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t2;
av2[1]=t1;
av2[2]=((C_word*)t0)[2];
av2[3]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* a9163 in chicken.base#quotient&modulo in k8508 */
static void C_ccall f_9164(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(29,c,3)))){
C_save_and_reclaim((void *)f_9164,4,av);}
a=C_alloc(29);
t4=((C_word*)t0)[2];
if(C_truep(C_i_positivep(t4))){
t5=t3;
if(C_truep(C_i_negativep(t5))){
t6=t3;
t7=((C_word*)t0)[2];
t8=C_s_a_i_plus(&a,2,t6,t7);
/* library.scm:623: scheme#values */{
C_word *av2=av;
av2[0]=0;
av2[1]=t1;
av2[2]=t2;
av2[3]=t8;
C_values(4,av2);}}
else{
/* library.scm:624: scheme#values */{
C_word *av2=av;
av2[0]=0;
av2[1]=t1;
av2[2]=t2;
av2[3]=t3;
C_values(4,av2);}}}
else{
t5=t3;
if(C_truep(C_i_positivep(t5))){
t6=t3;
t7=((C_word*)t0)[2];
t8=C_s_a_i_plus(&a,2,t6,t7);
/* library.scm:626: scheme#values */{
C_word *av2=av;
av2[0]=0;
av2[1]=t1;
av2[2]=t2;
av2[3]=t8;
C_values(4,av2);}}
else{
/* library.scm:627: scheme#values */{
C_word *av2=av;
av2[0]=0;
av2[1]=t1;
av2[2]=t2;
av2[3]=t3;
C_values(4,av2);}}}}

/* chicken.base#finite? in k8508 */
static void C_ccall f_9197(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9197,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_finitep(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.base#infinite? in k8508 */
static void C_ccall f_9200(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9200,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_infinitep(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.base#nan? in k8508 */
static void C_ccall f_9203(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9203,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_nanp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.base#add1 in k8508 */
static void C_ccall f_9211(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(29,c,1)))){
C_save_and_reclaim((void *)f_9211,3,av);}
a=C_alloc(29);
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_s_a_i_plus(&a,2,t2,C_fix(1));
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.base#sub1 in k8508 */
static void C_ccall f_9216(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(29,c,1)))){
C_save_and_reclaim((void *)f_9216,3,av);}
a=C_alloc(29);
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_s_a_i_minus(&a,2,t2,C_fix(1));
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.base#error in k8508 */
static void C_ccall f_9222(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +0,c,4)))){
C_save_and_reclaim((void*)f_9222,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+0);
t2=C_build_rest(&a,c,2,av);
C_word t3;
if(C_truep(C_i_pairp(t2))){{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[195];
av2[4]=t2;
C_apply(5,av2);}}
else{
/* library.scm:648: ##sys#signal-hook */
t3=C_fast_retrieve(lf[194]);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=t1;
av2[2]=lf[195];
av2[3]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}}

/* chicken.base#void in k8508 */
static void C_ccall f_9237(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9237,2,av);}
t2=t1;{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_SCHEME_UNDEFINED;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.base#promise? in k8508 */
static void C_ccall f_9258(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9258,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_structurep(t2,lf[216]);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#make-promise in k8508 */
static void C_ccall f_9264(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_9264,3,av);}
a=C_alloc(3);
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_a_i_record2(&a,2,lf[216],t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.base#make-promise in k8508 */
static void C_ccall f_9270(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_9270,3,av);}
a=C_alloc(4);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_9277,a[2]=t2,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
/* library.scm:692: promise? */
t4=*((C_word*)lf[215]+1);{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k9275 in chicken.base#make-promise in k8508 */
static void C_ccall f_9277(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_9277,2,av);}
a=C_alloc(4);
if(C_truep(t1)){
t2=((C_word*)t0)[2];
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_9282,a[2]=((C_word*)t0)[2],a[3]=((C_word)li136),tmp=(C_word)a,a+=4,tmp);
/* library.scm:693: ##sys#make-promise */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[217]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[217]+1);
av2[1]=((C_word*)t0)[3];
av2[2]=t2;
tp(3,av2);}}}

/* a9281 in k9275 in chicken.base#make-promise in k8508 */
static void C_ccall f_9282(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9282,2,av);}
t2=t1;{
C_word *av2=av;
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.base#foldl in k8508 */
static void C_ccall f_9285(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(7,c,4)))){
C_save_and_reclaim((void *)f_9285,5,av);}
a=C_alloc(7);
t5=C_i_check_list_2(t4,lf[220]);
t6=C_SCHEME_UNDEFINED;
t7=(*a=C_VECTOR_TYPE|1,a[1]=t6,tmp=(C_word)a,a+=2,tmp);
t8=C_set_block_item(t7,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_9294,a[2]=t7,a[3]=t2,a[4]=((C_word)li138),tmp=(C_word)a,a+=5,tmp));
t9=((C_word*)t7)[1];
f_9294(t9,t1,t4,t3);}

/* loop in chicken.base#foldl in k8508 */
static void C_fcall f_9294(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,3)))){
C_save_and_reclaim_args((void *)trf_9294,4,t0,t1,t2,t3);}
a=C_alloc(5);
t4=C_i_pairp(t2);
if(C_truep(C_i_not(t4))){
t5=t3;
t6=t1;{
C_word av2[2];
av2[0]=t6;
av2[1]=t5;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}
else{
t5=C_slot(t2,C_fix(1));
t6=t5;
t7=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_9312,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=t6,tmp=(C_word)a,a+=5,tmp);
t8=C_slot(t2,C_fix(0));
/* library.scm:702: f */
t9=((C_word*)t0)[3];{
C_word av2[4];
av2[0]=t9;
av2[1]=t7;
av2[2]=t3;
av2[3]=t8;
((C_proc)C_fast_retrieve_proc(t9))(4,av2);}}}

/* k9310 in loop in chicken.base#foldl in k8508 */
static void C_ccall f_9312(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_9312,2,av);}
/* library.scm:702: loop */
t2=((C_word*)((C_word*)t0)[2])[1];
f_9294(t2,((C_word*)t0)[3],((C_word*)t0)[4],t1);}

/* chicken.base#foldr in k8508 */
static void C_ccall f_9322(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,3)))){
C_save_and_reclaim((void *)f_9322,5,av);}
a=C_alloc(8);
t5=C_i_check_list_2(t4,lf[222]);
t6=C_SCHEME_UNDEFINED;
t7=(*a=C_VECTOR_TYPE|1,a[1]=t6,tmp=(C_word)a,a+=2,tmp);
t8=C_set_block_item(t7,0,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_9331,a[2]=t3,a[3]=t2,a[4]=t7,a[5]=((C_word)li140),tmp=(C_word)a,a+=6,tmp));
t9=((C_word*)t7)[1];
f_9331(t9,t1,t4);}

/* loop in chicken.base#foldr in k8508 */
static void C_fcall f_9331(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(5,0,2)))){
C_save_and_reclaim_args((void *)trf_9331,3,t0,t1,t2);}
a=C_alloc(5);
t3=C_i_pairp(t2);
if(C_truep(C_i_not(t3))){
t4=((C_word*)t0)[2];
t5=t1;{
C_word av2[2];
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t4=C_slot(t2,C_fix(0));
t5=t4;
t6=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_9349,a[2]=((C_word*)t0)[3],a[3]=t1,a[4]=t5,tmp=(C_word)a,a+=5,tmp);
t7=C_slot(t2,C_fix(1));
/* library.scm:709: loop */
t9=t6;
t10=t7;
t1=t9;
t2=t10;
goto loop;}}

/* k9347 in loop in chicken.base#foldr in k8508 */
static void C_ccall f_9349(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_9349,2,av);}
/* library.scm:709: f */
t2=((C_word*)t0)[2];{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
av2[2]=((C_word*)t0)[4];
av2[3]=t1;
((C_proc)C_fast_retrieve_proc(t2))(4,av2);}}

/* chicken.base#on-exit in k8508 */
static void C_ccall f_9362(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_9362,3,av);}
a=C_alloc(3);
t3=C_a_i_cons(&a,2,t2,*((C_word*)lf[225]+1));
t4=C_mutate((C_word*)lf[225]+1 /* (set! chicken.base#cleanup-tasks ...) */,t3);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* chicken.base#exit in k8508 */
static void C_ccall f_9369(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +4,c,2)))){
C_save_and_reclaim((void*)f_9369,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+4);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
if(C_truep(C_i_nullp(t2))){
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f34448,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* library.scm:722: chicken.base#exit-handler */
t4=*((C_word*)lf[224]+1);{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t3=C_i_car(t2);
t4=t3;
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_9376,a[2]=t1,a[3]=t4,tmp=(C_word)a,a+=4,tmp);
/* library.scm:722: chicken.base#exit-handler */
t6=*((C_word*)lf[224]+1);{
C_word *av2=av;
av2[0]=t6;
av2[1]=t5;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}}

/* k9374 in chicken.base#exit in k8508 */
static void C_ccall f_9376(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_9376,2,av);}
/* library.scm:721: g671 */
t2=t1;{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* chicken.base#emergency-exit in k8508 */
static void C_ccall f_9387(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +4,c,3)))){
C_save_and_reclaim((void*)f_9387,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+4);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
if(C_truep(C_i_nullp(t2))){
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f33920,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* library.scm:725: ##sys#check-fixnum */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[102]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[102]+1);
av2[1]=t3;
av2[2]=C_fix(0);
av2[3]=lf[229];
tp(4,av2);}}
else{
t3=C_i_car(t2);
t4=t3;
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_9394,a[2]=t1,a[3]=t4,tmp=(C_word)a,a+=4,tmp);
/* library.scm:725: ##sys#check-fixnum */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[102]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[102]+1);
av2[1]=t5;
av2[2]=t4;
av2[3]=lf[229];
tp(4,av2);}}}

/* k9392 in chicken.base#emergency-exit in k8508 */
static void C_ccall f_9394(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9394,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_exit_runtime(((C_word*)t0)[3]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.base#identity in k8508 */
static void C_ccall f_9406(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9406,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.base#conjoin in k8508 */
static void C_ccall f_9409(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +4,c,3)))){
C_save_and_reclaim((void*)f_9409,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+4);
t2=C_build_rest(&a,c,2,av);
C_word t3;
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_9411,a[2]=t2,a[3]=((C_word)li147),tmp=(C_word)a,a+=4,tmp);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* f_9411 in chicken.base#conjoin in k8508 */
static void C_ccall f_9411(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(7,c,3)))){
C_save_and_reclaim((void *)f_9411,3,av);}
a=C_alloc(7);
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_9417,a[2]=t4,a[3]=t2,a[4]=((C_word)li146),tmp=(C_word)a,a+=5,tmp));
t6=((C_word*)t4)[1];
f_9417(t6,t1,((C_word*)t0)[2]);}

/* loop */
static void C_fcall f_9417(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,2)))){
C_save_and_reclaim_args((void *)trf_9417,3,t0,t1,t2);}
a=C_alloc(5);
t3=C_i_nullp(t2);
if(C_truep(t3)){
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t4=C_slot(t2,C_fix(0));
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_9433,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
/* library.scm:743: g700 */
t6=t4;{
C_word av2[3];
av2[0]=t6;
av2[1]=t5;
av2[2]=((C_word*)t0)[3];
((C_proc)C_fast_retrieve_proc(t6))(3,av2);}}}

/* k9431 in loop */
static void C_ccall f_9433(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_9433,2,av);}
if(C_truep(t1)){
t2=C_slot(((C_word*)t0)[2],C_fix(1));
/* library.scm:744: loop */
t3=((C_word*)((C_word*)t0)[3])[1];
f_9417(t3,((C_word*)t0)[4],t2);}
else{
t2=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}}

/* chicken.base#disjoin in k8508 */
static void C_ccall f_9442(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +4,c,3)))){
C_save_and_reclaim((void*)f_9442,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+4);
t2=C_build_rest(&a,c,2,av);
C_word t3;
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_9444,a[2]=t2,a[3]=((C_word)li150),tmp=(C_word)a,a+=4,tmp);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* f_9444 in chicken.base#disjoin in k8508 */
static void C_ccall f_9444(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(7,c,3)))){
C_save_and_reclaim((void *)f_9444,3,av);}
a=C_alloc(7);
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_9450,a[2]=t4,a[3]=t2,a[4]=((C_word)li149),tmp=(C_word)a,a+=5,tmp));
t6=((C_word*)t4)[1];
f_9450(t6,t1,((C_word*)t0)[2]);}

/* loop */
static void C_fcall f_9450(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,2)))){
C_save_and_reclaim_args((void *)trf_9450,3,t0,t1,t2);}
a=C_alloc(5);
t3=C_i_nullp(t2);
if(C_truep(C_i_not(t3))){
t4=C_slot(t2,C_fix(0));
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_9463,a[2]=t1,a[3]=t2,a[4]=((C_word*)t0)[2],tmp=(C_word)a,a+=5,tmp);
/* library.scm:750: g712 */
t6=t4;{
C_word av2[3];
av2[0]=t6;
av2[1]=t5;
av2[2]=((C_word*)t0)[3];
((C_proc)C_fast_retrieve_proc(t6))(3,av2);}}
else{
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* k9461 in loop */
static void C_ccall f_9463(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_9463,2,av);}
if(C_truep(t1)){
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}
else{
t2=C_slot(((C_word*)t0)[3],C_fix(1));
/* library.scm:751: loop */
t3=((C_word*)((C_word*)t0)[4])[1];
f_9450(t3,((C_word*)t0)[2],t2);}}

/* chicken.base#constantly in k8508 */
static void C_ccall f_9479(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +4,c,2)))){
C_save_and_reclaim((void*)f_9479,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+4);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
t3=t2;
t4=C_u_i_length(t3);
t5=C_eqp(C_fix(1),t4);
if(C_truep(t5)){
t6=C_i_car(t2);
t7=t6;
t8=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_9490,a[2]=t7,a[3]=((C_word)li152),tmp=(C_word)a,a+=4,tmp);
t9=t1;{
C_word *av2=av;
av2[0]=t9;
av2[1]=t8;
((C_proc)(void*)(*((C_word*)t9+1)))(2,av2);}}
else{
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_9492,a[2]=t2,a[3]=((C_word)li153),tmp=(C_word)a,a+=4,tmp);
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}}

/* f_9490 in chicken.base#constantly in k8508 */
static void C_ccall f_9490(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9490,2,av);}
t2=t1;{
C_word *av2=av;
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* f_9492 in chicken.base#constantly in k8508 */
static void C_ccall f_9492(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_9492,2,av);}{
C_word av2[4];
av2[0]=0;
av2[1]=t1;
av2[2]=*((C_word*)lf[130]+1);
av2[3]=((C_word*)t0)[2];
C_apply(4,av2);}}

/* chicken.base#flip in k8508 */
static void C_ccall f_9500(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,4)))){
C_save_and_reclaim((void *)f_9500,3,av);}
a=C_alloc(4);
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_9502,a[2]=t2,a[3]=((C_word)li155),tmp=(C_word)a,a+=4,tmp);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* f_9502 in chicken.base#flip in k8508 */
static void C_ccall f_9502(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_9502,4,av);}
/* library.scm:759: proc */
t4=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t1;
av2[2]=t3;
av2[3]=t2;
((C_proc)C_fast_retrieve_proc(t4))(4,av2);}}

/* chicken.base#complement in k8508 */
static void C_ccall f_9508(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_9508,3,av);}
a=C_alloc(4);
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_9510,a[2]=t2,a[3]=((C_word)li157),tmp=(C_word)a,a+=4,tmp);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* f_9510 in chicken.base#complement in k8508 */
static void C_ccall f_9510(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +3,c,3)))){
C_save_and_reclaim((void*)f_9510,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+3);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9518,a[2]=t1,tmp=(C_word)a,a+=3,tmp);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=t3;
av2[2]=((C_word*)t0)[2];
av2[3]=t2;
C_apply(4,av2);}}

/* k9516 */
static void C_ccall f_9518(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9518,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_i_not(t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.base#compose in k8508 */
static void C_ccall f_9520(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +6,c,3)))){
C_save_and_reclaim((void*)f_9520,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+6);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_9523,a[2]=t4,a[3]=((C_word)li161),tmp=(C_word)a,a+=4,tmp));
if(C_truep(C_i_nullp(t2))){
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=*((C_word*)lf[130]+1);
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}
else{{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=t1;
av2[2]=((C_word*)t4)[1];
av2[3]=t2;
C_apply(4,av2);}}}

/* rec in chicken.base#compose in k8508 */
static void C_ccall f_9523(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +6,c,2)))){
C_save_and_reclaim((void*)f_9523,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+6);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
if(C_truep(C_i_nullp(t3))){
t4=t2;
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t4=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_9531,a[2]=((C_word*)t0)[2],a[3]=t3,a[4]=t2,a[5]=((C_word)li160),tmp=(C_word)a,a+=6,tmp);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* f_9531 in rec in chicken.base#compose in k8508 */
static void C_ccall f_9531(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +6,c,3)))){
C_save_and_reclaim((void*)f_9531,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+6);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_9537,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word)li159),tmp=(C_word)a,a+=6,tmp);
/* library.scm:770: scheme#call-with-values */{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=t1;
av2[2]=t3;
av2[3]=((C_word*)t0)[4];
C_call_with_values(4,av2);}}

/* a9536 */
static void C_ccall f_9537(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_9537,2,av);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_9545,a[2]=t1,a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=t2;
av2[2]=((C_word*)((C_word*)t0)[3])[1];
av2[3]=((C_word*)t0)[4];
C_apply(4,av2);}}

/* k9543 in a9536 */
static void C_ccall f_9545(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_9545,2,av);}{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
av2[3]=((C_word*)t0)[3];
C_apply(4,av2);}}

/* chicken.base#o in k8508 */
static void C_ccall f_9556(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +6,c,3)))){
C_save_and_reclaim((void*)f_9556,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+6);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
if(C_truep(C_i_nullp(t2))){
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=*((C_word*)lf[234]+1);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_9568,a[2]=t4,a[3]=((C_word)li164),tmp=(C_word)a,a+=4,tmp));
t6=((C_word*)t4)[1];
f_9568(t6,t1,t2);}}

/* loop in chicken.base#o in k8508 */
static void C_fcall f_9568(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,3)))){
C_save_and_reclaim_args((void *)trf_9568,3,t0,t1,t2);}
a=C_alloc(6);
t3=C_slot(t2,C_fix(0));
t4=t3;
t5=C_slot(t2,C_fix(1));
t6=t5;
if(C_truep(C_i_nullp(t6))){
t7=t1;{
C_word av2[2];
av2[0]=t7;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
t7=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_9582,a[2]=t4,a[3]=((C_word*)t0)[2],a[4]=t6,a[5]=((C_word)li163),tmp=(C_word)a,a+=6,tmp);
t8=t1;{
C_word av2[2];
av2[0]=t8;
av2[1]=t7;
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}}

/* f_9582 in loop in chicken.base#o in k8508 */
static void C_ccall f_9582(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_9582,3,av);}
a=C_alloc(5);
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_9590,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=t2,tmp=(C_word)a,a+=5,tmp);
/* library.scm:785: loop */
t4=((C_word*)((C_word*)t0)[3])[1];
f_9568(t4,t3,((C_word*)t0)[4]);}

/* k9588 */
static void C_ccall f_9590(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_9590,2,av);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_9593,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:785: g741 */
t3=t1;{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[4];
((C_proc)C_fast_retrieve_proc(t3))(3,av2);}}

/* k9591 in k9588 */
static void C_ccall f_9593(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_9593,2,av);}
/* library.scm:785: h */
t2=((C_word*)t0)[2];{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
av2[2]=t1;
((C_proc)C_fast_retrieve_proc(t2))(3,av2);}}

/* chicken.base#list-of? in k8508 */
static void C_ccall f_9595(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_9595,3,av);}
a=C_alloc(4);
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_9597,a[2]=t2,a[3]=((C_word)li167),tmp=(C_word)a,a+=4,tmp);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* f_9597 in chicken.base#list-of? in k8508 */
static void C_ccall f_9597(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(7,c,3)))){
C_save_and_reclaim((void *)f_9597,3,av);}
a=C_alloc(7);
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_9603,a[2]=t4,a[3]=((C_word*)t0)[2],a[4]=((C_word)li166),tmp=(C_word)a,a+=5,tmp));
t6=((C_word*)t4)[1];
f_9603(t6,t1,t2);}

/* loop */
static void C_fcall f_9603(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,2)))){
C_save_and_reclaim_args((void *)trf_9603,3,t0,t1,t2);}
a=C_alloc(5);
if(C_truep(C_i_nullp(t2))){
t3=t1;{
C_word av2[2];
av2[0]=t3;
av2[1]=C_SCHEME_TRUE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
t3=C_i_pairp(t2);
if(C_truep(C_i_not(t3))){
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_9622,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
t5=C_slot(t2,C_fix(0));
/* library.scm:792: pred */
t6=((C_word*)t0)[3];{
C_word av2[3];
av2[0]=t6;
av2[1]=t4;
av2[2]=t5;
((C_proc)C_fast_retrieve_proc(t6))(3,av2);}}}}

/* k9620 in loop */
static void C_ccall f_9622(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_9622,2,av);}
if(C_truep(t1)){
t2=C_slot(((C_word*)t0)[2],C_fix(1));
/* library.scm:792: loop */
t3=((C_word*)((C_word*)t0)[3])[1];
f_9603(t3,((C_word*)t0)[4],t2);}
else{
t2=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}}

/* chicken.base#each in k8508 */
static void C_ccall f_9639(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +4,c,2)))){
C_save_and_reclaim((void*)f_9639,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+4);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
if(C_truep(C_i_nullp(t2))){
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9647,a[2]=((C_word)li169),tmp=(C_word)a,a+=3,tmp);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t3=C_slot(t2,C_fix(1));
t4=C_i_nullp(t3);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=(C_truep(t4)?C_slot(t2,C_fix(0)):(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_9661,a[2]=t2,a[3]=((C_word)li171),tmp=(C_word)a,a+=4,tmp));
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* f_9647 in chicken.base#each in k8508 */
static void C_ccall f_9647(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9647,2,av);}
t2=t1;{
C_word *av2=av;
av2[0]=t2;
av2[1]=*((C_word*)lf[244]+1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* f_9661 in chicken.base#each in k8508 */
static void C_ccall f_9661(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +7,c,3)))){
C_save_and_reclaim((void*)f_9661,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+7);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_9667,a[2]=t2,a[3]=t4,a[4]=((C_word)li170),tmp=(C_word)a,a+=5,tmp));
t6=((C_word*)t4)[1];
f_9667(t6,t1,((C_word*)t0)[2]);}

/* loop */
static void C_fcall f_9667(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,3)))){
C_save_and_reclaim_args((void *)trf_9667,3,t0,t1,t2);}
a=C_alloc(5);
t3=C_slot(t2,C_fix(0));
t4=C_slot(t2,C_fix(1));
t5=t4;
if(C_truep(C_i_nullp(t5))){{
C_word av2[4];
av2[0]=0;
av2[1]=t1;
av2[2]=t3;
av2[3]=((C_word*)t0)[2];
C_apply(4,av2);}}
else{
t6=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_9686,a[2]=((C_word*)t0)[3],a[3]=t1,a[4]=t5,tmp=(C_word)a,a+=5,tmp);{
C_word av2[4];
av2[0]=0;
av2[1]=t6;
av2[2]=t3;
av2[3]=((C_word*)t0)[2];
C_apply(4,av2);}}}

/* k9684 in loop */
static void C_ccall f_9686(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_9686,2,av);}
/* library.scm:807: loop */
t2=((C_word*)((C_word*)t0)[2])[1];
f_9667(t2,((C_word*)t0)[3],((C_word*)t0)[4]);}

/* chicken.base#atom? in k8508 */
static void C_ccall f_9695(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9695,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_not_pair_p(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.base#tail? in k8508 */
static void C_ccall f_9698(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_9698,4,av);}
a=C_alloc(4);
t4=C_i_check_list_2(t3,lf[247]);
t5=C_eqp(t2,C_SCHEME_END_OF_LIST);
if(C_truep(t5)){
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=t5;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}
else{
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_9710,a[2]=t2,a[3]=((C_word)li174),tmp=(C_word)a,a+=4,tmp);
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=(
  f_9710(t6,t3)
);
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}}

/* loop in chicken.base#tail? in k8508 */
static C_word C_fcall f_9710(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_stack_overflow_check;
loop:{}
if(C_truep(C_eqp(t1,C_SCHEME_END_OF_LIST))){
return(C_SCHEME_FALSE);}
else{
if(C_truep(C_eqp(((C_word*)t0)[2],t1))){
return(C_SCHEME_TRUE);}
else{
t2=C_slot(t1,C_fix(1));
t4=t2;
t1=t4;
goto loop;}}}

/* chicken.base#intersperse in k8508 */
static void C_ccall f_9726(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(7,c,3)))){
C_save_and_reclaim((void *)f_9726,4,av);}
a=C_alloc(7);
t4=C_SCHEME_UNDEFINED;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=C_set_block_item(t5,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_9732,a[2]=t3,a[3]=t5,a[4]=((C_word)li176),tmp=(C_word)a,a+=5,tmp));
t7=((C_word*)t5)[1];
f_9732(t7,t1,t2);}

/* loop in chicken.base#intersperse in k8508 */
static void C_fcall f_9732(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(5,0,2)))){
C_save_and_reclaim_args((void *)trf_9732,3,t0,t1,t2);}
a=C_alloc(5);
if(C_truep(C_eqp(t2,C_SCHEME_END_OF_LIST))){
t3=t2;
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t3=C_i_cdr(t2);
if(C_truep(C_eqp(t3,C_SCHEME_END_OF_LIST))){
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t4=C_slot(t2,C_fix(0));
t5=t4;
t6=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_9757,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=t5,tmp=(C_word)a,a+=5,tmp);
/* library.scm:830: loop */
t8=t6;
t9=t3;
t1=t8;
t2=t9;
goto loop;}}}

/* k9755 in loop in chicken.base#intersperse in k8508 */
static void C_ccall f_9757(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,1)))){
C_save_and_reclaim((void *)f_9757,2,av);}
a=C_alloc(6);
t2=C_a_i_cons(&a,2,((C_word*)t0)[2],t1);
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_a_i_cons(&a,2,((C_word*)t0)[4],t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.base#butlast in k8508 */
static void C_ccall f_9759(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,3)))){
C_save_and_reclaim((void *)f_9759,3,av);}
a=C_alloc(6);
t3=C_i_check_pair_2(t2,lf[250]);
t4=C_SCHEME_UNDEFINED;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=C_set_block_item(t5,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_9768,a[2]=t5,a[3]=((C_word)li178),tmp=(C_word)a,a+=4,tmp));
t7=((C_word*)t5)[1];
f_9768(t7,t1,t2);}

/* loop in chicken.base#butlast in k8508 */
static void C_fcall f_9768(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(4,0,2)))){
C_save_and_reclaim_args((void *)trf_9768,3,t0,t1,t2);}
a=C_alloc(4);
t3=C_slot(t2,C_fix(1));
t4=(C_truep(C_blockp(t3))?C_pairp(t3):C_SCHEME_FALSE);
if(C_truep(t4)){
t5=C_slot(t2,C_fix(0));
t6=t5;
t7=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_9789,a[2]=t1,a[3]=t6,tmp=(C_word)a,a+=4,tmp);
/* library.scm:837: loop */
t9=t7;
t10=t3;
t1=t9;
t2=t10;
goto loop;}
else{
t5=t1;{
C_word av2[2];
av2[0]=t5;
av2[1]=C_SCHEME_END_OF_LIST;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* k9787 in loop in chicken.base#butlast in k8508 */
static void C_ccall f_9789(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_9789,2,av);}
a=C_alloc(3);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_cons(&a,2,((C_word*)t0)[3],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.base#flatten in k8508 */
static void C_ccall f_9791(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +6,c,4)))){
C_save_and_reclaim((void*)f_9791,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+6);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_9797,a[2]=t4,a[3]=((C_word)li180),tmp=(C_word)a,a+=4,tmp));
t6=((C_word*)t4)[1];
f_9797(t6,t1,t2,C_SCHEME_END_OF_LIST);}

/* loop in chicken.base#flatten in k8508 */
static void C_fcall f_9797(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(5,0,3)))){
C_save_and_reclaim_args((void *)trf_9797,4,t0,t1,t2,t3);}
a=C_alloc(5);
if(C_truep(C_i_nullp(t2))){
t4=t3;
t5=t1;{
C_word av2[2];
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t4=C_slot(t2,C_fix(0));
t5=t4;
t6=C_slot(t2,C_fix(1));
if(C_truep(C_i_listp(t5))){
t7=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_9823,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=t5,tmp=(C_word)a,a+=5,tmp);
/* library.scm:847: loop */
t9=t7;
t10=t6;
t11=t3;
t1=t9;
t2=t10;
t3=t11;
goto loop;}
else{
t7=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_9830,a[2]=t1,a[3]=t5,tmp=(C_word)a,a+=4,tmp);
/* library.scm:848: loop */
t9=t7;
t10=t6;
t11=t3;
t1=t9;
t2=t10;
t3=t11;
goto loop;}}}

/* k9821 in loop in chicken.base#flatten in k8508 */
static void C_ccall f_9823(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_9823,2,av);}
/* library.scm:847: loop */
t2=((C_word*)((C_word*)t0)[2])[1];
f_9797(t2,((C_word*)t0)[3],((C_word*)t0)[4],t1);}

/* k9828 in loop in chicken.base#flatten in k8508 */
static void C_ccall f_9830(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_9830,2,av);}
a=C_alloc(3);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_cons(&a,2,((C_word*)t0)[3],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.base#join in k8508 */
static void C_ccall f_9832(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +4,c,2)))){
C_save_and_reclaim((void*)f_9832,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+4);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_9836,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
if(C_truep(C_i_pairp(t3))){
t5=t3;
t6=t4;
f_9836(t6,C_u_i_car(t5));}
else{
t5=t4;
f_9836(t5,C_SCHEME_END_OF_LIST);}}

/* k9834 in chicken.base#join in k8508 */
static void C_fcall f_9836(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,0,3)))){
C_save_and_reclaim_args((void *)trf_9836,2,t0,t1);}
a=C_alloc(7);
t2=t1;
t3=C_i_check_list_2(t2,lf[253]);
t4=C_SCHEME_UNDEFINED;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=C_set_block_item(t5,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_9844,a[2]=t2,a[3]=t5,a[4]=((C_word)li182),tmp=(C_word)a,a+=5,tmp));
t7=((C_word*)t5)[1];
f_9844(t7,((C_word*)t0)[2],((C_word*)t0)[3]);}

/* loop in k9834 in chicken.base#join in k8508 */
static void C_fcall f_9844(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(5,0,2)))){
C_save_and_reclaim_args((void *)trf_9844,3,t0,t1,t2);}
a=C_alloc(5);
if(C_truep(C_i_nullp(t2))){
t3=t1;{
C_word av2[2];
av2[0]=t3;
av2[1]=C_SCHEME_END_OF_LIST;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
t3=C_i_pairp(t2);
if(C_truep(C_i_not(t3))){
/* library.scm:858: ##sys#error-not-a-proper-list */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[47]+1));
C_word av2[3];
av2[0]=*((C_word*)lf[47]+1);
av2[1]=t1;
av2[2]=t2;
tp(3,av2);}}
else{
t4=C_slot(t2,C_fix(0));
t5=t4;
t6=C_slot(t2,C_fix(1));
if(C_truep(C_i_nullp(t6))){
t7=t1;{
C_word av2[2];
av2[0]=t7;
av2[1]=t5;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
t7=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_9879,a[2]=t1,a[3]=t5,a[4]=((C_word*)t0)[2],tmp=(C_word)a,a+=5,tmp);
/* library.scm:864: loop */
t9=t7;
t10=t6;
t1=t9;
t2=t10;
goto loop;}}}}

/* k9877 in loop in k9834 in chicken.base#join in k8508 */
static void C_ccall f_9879(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_9879,2,av);}
/* library.scm:864: ##sys#append */
t2=*((C_word*)lf[254]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=((C_word*)t0)[4];
av2[4]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}

/* chicken.base#compress in k8508 */
static void C_ccall f_9889(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(7,c,4)))){
C_save_and_reclaim((void *)f_9889,4,av);}
a=C_alloc(7);
t4=lf[256];
t5=C_i_check_list_2(t3,lf[257]);
t6=C_SCHEME_UNDEFINED;
t7=(*a=C_VECTOR_TYPE|1,a[1]=t6,tmp=(C_word)a,a+=2,tmp);
t8=C_set_block_item(t7,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_9898,a[2]=t4,a[3]=t7,a[4]=((C_word)li184),tmp=(C_word)a,a+=5,tmp));
t9=((C_word*)t7)[1];
f_9898(t9,t1,t2,t3);}

/* loop in chicken.base#compress in k8508 */
static void C_fcall f_9898(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(4,0,5)))){
C_save_and_reclaim_args((void *)trf_9898,4,t0,t1,t2,t3);}
a=C_alloc(4);
if(C_truep(C_i_nullp(t2))){
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=C_SCHEME_END_OF_LIST;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t4=C_i_pairp(t2);
if(C_truep(C_i_not(t4))){
/* library.scm:873: ##sys#signal-hook */
t5=C_fast_retrieve(lf[194]);{
C_word av2[6];
av2[0]=t5;
av2[1]=t1;
av2[2]=lf[258];
av2[3]=lf[257];
av2[4]=((C_word*)t0)[2];
av2[5]=t2;
((C_proc)(void*)(*((C_word*)t5+1)))(6,av2);}}
else{
t5=C_i_pairp(t3);
if(C_truep(C_i_not(t5))){
/* library.scm:875: ##sys#signal-hook */
t6=C_fast_retrieve(lf[194]);{
C_word av2[6];
av2[0]=t6;
av2[1]=t1;
av2[2]=lf[258];
av2[3]=lf[257];
av2[4]=((C_word*)t0)[2];
av2[5]=t3;
((C_proc)(void*)(*((C_word*)t6+1)))(6,av2);}}
else{
if(C_truep(C_slot(t2,C_fix(0)))){
t6=C_slot(t3,C_fix(0));
t7=t6;
t8=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_9940,a[2]=t1,a[3]=t7,tmp=(C_word)a,a+=4,tmp);
t9=C_slot(t2,C_fix(1));
t10=C_slot(t3,C_fix(1));
/* library.scm:877: loop */
t12=t8;
t13=t9;
t14=t10;
t1=t12;
t2=t13;
t3=t14;
goto loop;}
else{
t6=C_slot(t2,C_fix(1));
t7=C_slot(t3,C_fix(1));
/* library.scm:878: loop */
t12=t1;
t13=t6;
t14=t7;
t1=t12;
t2=t13;
t3=t14;
goto loop;}}}}}

/* k9938 in loop in chicken.base#compress in k8508 */
static void C_ccall f_9940(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_9940,2,av);}
a=C_alloc(3);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_cons(&a,2,((C_word*)t0)[3],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.base#alist-update! in k8508 */
static void C_ccall f_9969(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word *a;
if(c<5) C_bad_min_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-5)*C_SIZEOF_PAIR +10,c,4)))){
C_save_and_reclaim((void*)f_9969,c,av);}
a=C_alloc((c-5)*C_SIZEOF_PAIR+10);
t5=C_build_rest(&a,c,5,av);
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
t6=C_i_nullp(t5);
t7=(C_truep(t6)?*((C_word*)lf[5]+1):C_i_car(t5));
t8=t7;
t9=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_9976,a[2]=t3,a[3]=t4,a[4]=t1,a[5]=t2,tmp=(C_word)a,a+=6,tmp);
t10=C_eqp(*((C_word*)lf[4]+1),t8);
if(C_truep(t10)){
t11=t9;
f_9976(t11,*((C_word*)lf[52]+1));}
else{
t11=C_eqp(*((C_word*)lf[5]+1),t8);
if(C_truep(t11)){
t12=t9;
f_9976(t12,*((C_word*)lf[53]+1));}
else{
t12=C_eqp(*((C_word*)lf[6]+1),t8);
t13=t9;
f_9976(t13,(C_truep(t12)?*((C_word*)lf[54]+1):(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_10008,a[2]=t8,a[3]=((C_word)li187),tmp=(C_word)a,a+=4,tmp)));}}}

/* k9974 in chicken.base#alist-update! in k8508 */
static void C_fcall f_9976(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,3)))){
C_save_and_reclaim_args((void *)trf_9976,2,t0,t1);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_9979,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
/* library.scm:895: aq */
t3=t1;{
C_word av2[4];
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[5];
av2[3]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* k9977 in k9974 in chicken.base#alist-update! in k8508 */
static void C_ccall f_9979(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,1)))){
C_save_and_reclaim((void *)f_9979,2,av);}
a=C_alloc(6);
if(C_truep(t1)){
t2=C_i_setslot(t1,C_fix(1),((C_word*)t0)[2]);
t3=((C_word*)t0)[3];
t4=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t2=C_a_i_cons(&a,2,((C_word*)t0)[5],((C_word*)t0)[2]);
t3=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_a_i_cons(&a,2,t2,((C_word*)t0)[3]);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* toplevel */
static C_TLS int toplevel_initialized=0;

void C_ccall C_library_toplevel(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(toplevel_initialized) {C_kontinue(t1,C_SCHEME_UNDEFINED);}
else C_toplevel_entry(C_text("library"));
C_check_nursery_minimum(C_calculate_demand(3,c,2));
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void*)C_library_toplevel,c,av);}
toplevel_initialized=1;
if(C_unlikely(!C_demand_2(7849))){
C_save(t1);
C_rereclaim2(7849*sizeof(C_word),1);
t1=C_restore;}
a=C_alloc(3);
C_initialize_lf(lf,1392);
lf[0]=C_h_intern(&lf[0],7, C_text("library"));
lf[1]=C_h_intern(&lf[1],7, C_text("scheme#"));
lf[2]=C_h_intern(&lf[2],10, C_text("scheme#not"));
lf[3]=C_h_intern(&lf[3],15, C_text("scheme#boolean\077"));
lf[4]=C_h_intern(&lf[4],10, C_text("scheme#eq\077"));
lf[5]=C_h_intern(&lf[5],11, C_text("scheme#eqv\077"));
lf[6]=C_h_intern(&lf[6],13, C_text("scheme#equal\077"));
lf[7]=C_h_intern(&lf[7],12, C_text("scheme#pair\077"));
lf[8]=C_h_intern(&lf[8],11, C_text("scheme#cons"));
lf[9]=C_h_intern(&lf[9],10, C_text("scheme#car"));
lf[10]=C_h_intern(&lf[10],10, C_text("scheme#cdr"));
lf[11]=C_h_intern(&lf[11],15, C_text("scheme#set-car!"));
lf[12]=C_h_intern(&lf[12],15, C_text("scheme#set-cdr!"));
lf[13]=C_h_intern(&lf[13],11, C_text("scheme#cadr"));
lf[14]=C_h_intern(&lf[14],12, C_text("scheme#caddr"));
lf[15]=C_h_intern(&lf[15],13, C_text("scheme#cadddr"));
lf[16]=C_h_intern(&lf[16],13, C_text("scheme#cddddr"));
lf[17]=C_h_intern(&lf[17],11, C_text("scheme#caar"));
lf[18]=C_h_intern(&lf[18],11, C_text("scheme#cdar"));
lf[19]=C_h_intern(&lf[19],11, C_text("scheme#cddr"));
lf[20]=C_h_intern(&lf[20],12, C_text("scheme#caaar"));
lf[21]=C_h_intern(&lf[21],12, C_text("scheme#caadr"));
lf[22]=C_h_intern(&lf[22],12, C_text("scheme#cadar"));
lf[23]=C_h_intern(&lf[23],12, C_text("scheme#cdaar"));
lf[24]=C_h_intern(&lf[24],12, C_text("scheme#cdadr"));
lf[25]=C_h_intern(&lf[25],12, C_text("scheme#cddar"));
lf[26]=C_h_intern(&lf[26],12, C_text("scheme#cdddr"));
lf[27]=C_h_intern(&lf[27],13, C_text("scheme#caaaar"));
lf[28]=C_h_intern(&lf[28],13, C_text("scheme#caaadr"));
lf[29]=C_h_intern(&lf[29],13, C_text("scheme#caadar"));
lf[30]=C_h_intern(&lf[30],13, C_text("scheme#caaddr"));
lf[31]=C_h_intern(&lf[31],13, C_text("scheme#cadaar"));
lf[32]=C_h_intern(&lf[32],13, C_text("scheme#cadadr"));
lf[33]=C_h_intern(&lf[33],13, C_text("scheme#caddar"));
lf[34]=C_h_intern(&lf[34],13, C_text("scheme#cdaaar"));
lf[35]=C_h_intern(&lf[35],13, C_text("scheme#cdaadr"));
lf[36]=C_h_intern(&lf[36],13, C_text("scheme#cdadar"));
lf[37]=C_h_intern(&lf[37],13, C_text("scheme#cdaddr"));
lf[38]=C_h_intern(&lf[38],13, C_text("scheme#cddaar"));
lf[39]=C_h_intern(&lf[39],13, C_text("scheme#cddadr"));
lf[40]=C_h_intern(&lf[40],13, C_text("scheme#cdddar"));
lf[41]=C_h_intern(&lf[41],12, C_text("scheme#null\077"));
lf[42]=C_h_intern(&lf[42],11, C_text("scheme#list"));
lf[43]=C_h_intern(&lf[43],13, C_text("scheme#length"));
lf[44]=C_h_intern(&lf[44],16, C_text("scheme#list-tail"));
lf[45]=C_h_intern(&lf[45],15, C_text("scheme#list-ref"));
lf[46]=C_h_intern(&lf[46],14, C_text("scheme#reverse"));
lf[47]=C_h_intern(&lf[47],29, C_text("##sys#error-not-a-proper-list"));
lf[48]=C_h_intern(&lf[48],7, C_text("reverse"));
lf[49]=C_h_intern(&lf[49],11, C_text("scheme#memq"));
lf[50]=C_h_intern(&lf[50],11, C_text("scheme#memv"));
lf[51]=C_h_intern(&lf[51],13, C_text("scheme#member"));
lf[52]=C_h_intern(&lf[52],11, C_text("scheme#assq"));
lf[53]=C_h_intern(&lf[53],11, C_text("scheme#assv"));
lf[54]=C_h_intern(&lf[54],12, C_text("scheme#assoc"));
lf[55]=C_h_intern(&lf[55],12, C_text("scheme#list\077"));
lf[56]=C_h_intern(&lf[56],14, C_text("scheme#string\077"));
lf[57]=C_h_intern(&lf[57],20, C_text("scheme#string-length"));
lf[58]=C_h_intern(&lf[58],17, C_text("scheme#string-ref"));
lf[59]=C_h_intern(&lf[59],18, C_text("scheme#string-set!"));
lf[60]=C_h_intern(&lf[60],15, C_text("scheme#string=\077"));
lf[61]=C_h_intern(&lf[61],18, C_text("scheme#string-ci=\077"));
lf[62]=C_h_intern(&lf[62],21, C_text("scheme#exact->inexact"));
lf[63]=C_h_intern(&lf[63],10, C_text("scheme#abs"));
lf[64]=C_h_intern(&lf[64],8, C_text("scheme#+"));
lf[65]=C_h_intern(&lf[65],8, C_text("scheme#-"));
lf[66]=C_h_intern(&lf[66],8, C_text("scheme#\052"));
lf[67]=C_h_intern(&lf[67],15, C_text("scheme#quotient"));
lf[68]=C_h_intern(&lf[68],16, C_text("scheme#remainder"));
lf[69]=C_h_intern(&lf[69],13, C_text("scheme#modulo"));
lf[70]=C_h_intern(&lf[70],12, C_text("scheme#even\077"));
lf[71]=C_h_intern(&lf[71],11, C_text("scheme#odd\077"));
lf[72]=C_h_intern(&lf[72],8, C_text("scheme#="));
lf[73]=C_h_intern(&lf[73],8, C_text("scheme#>"));
lf[74]=C_h_intern(&lf[74],8, C_text("scheme#<"));
lf[75]=C_h_intern(&lf[75],9, C_text("scheme#>="));
lf[76]=C_h_intern(&lf[76],9, C_text("scheme#<="));
lf[77]=C_h_intern(&lf[77],14, C_text("scheme#number\077"));
lf[78]=C_h_intern(&lf[78],15, C_text("scheme#complex\077"));
lf[79]=C_h_intern(&lf[79],12, C_text("scheme#real\077"));
lf[80]=C_h_intern(&lf[80],16, C_text("scheme#rational\077"));
lf[81]=C_h_intern(&lf[81],15, C_text("scheme#integer\077"));
lf[82]=C_h_intern(&lf[82],13, C_text("scheme#exact\077"));
lf[83]=C_h_intern(&lf[83],15, C_text("scheme#inexact\077"));
lf[84]=C_h_intern(&lf[84],12, C_text("scheme#zero\077"));
lf[85]=C_h_intern(&lf[85],16, C_text("scheme#positive\077"));
lf[86]=C_h_intern(&lf[86],16, C_text("scheme#negative\077"));
lf[87]=C_h_intern(&lf[87],21, C_text("scheme#number->string"));
lf[88]=C_h_intern(&lf[88],14, C_text("scheme#symbol\077"));
lf[89]=C_h_intern(&lf[89],14, C_text("scheme#vector\077"));
lf[90]=C_h_intern(&lf[90],20, C_text("scheme#vector-length"));
lf[91]=C_h_intern(&lf[91],17, C_text("scheme#vector-ref"));
lf[92]=C_h_intern(&lf[92],18, C_text("scheme#vector-set!"));
lf[93]=C_h_intern(&lf[93],18, C_text("scheme#make-vector"));
lf[94]=C_h_intern(&lf[94],19, C_text("scheme#list->vector"));
lf[95]=C_h_intern(&lf[95],19, C_text("scheme#vector->list"));
lf[96]=C_h_intern(&lf[96],13, C_text("scheme#vector"));
lf[97]=C_h_intern(&lf[97],19, C_text("scheme#vector-fill!"));
lf[98]=C_h_intern(&lf[98],12, C_text("scheme#char\077"));
lf[99]=C_h_intern(&lf[99],20, C_text("scheme#char->integer"));
lf[100]=C_h_intern(&lf[100],13, C_text("char->integer"));
lf[101]=C_h_intern(&lf[101],20, C_text("scheme#integer->char"));
lf[102]=C_h_intern(&lf[102],18, C_text("##sys#check-fixnum"));
lf[103]=C_h_intern(&lf[103],13, C_text("integer->char"));
lf[104]=C_h_intern(&lf[104],13, C_text("scheme#char=\077"));
lf[105]=C_h_intern(&lf[105],13, C_text("scheme#char>\077"));
lf[106]=C_h_intern(&lf[106],13, C_text("scheme#char<\077"));
lf[107]=C_h_intern(&lf[107],14, C_text("scheme#char>=\077"));
lf[108]=C_h_intern(&lf[108],14, C_text("scheme#char<=\077"));
lf[109]=C_h_intern(&lf[109],18, C_text("scheme#char-upcase"));
lf[110]=C_h_intern(&lf[110],11, C_text("char-upcase"));
lf[111]=C_h_intern(&lf[111],20, C_text("scheme#char-downcase"));
lf[112]=C_h_intern(&lf[112],13, C_text("char-downcase"));
lf[113]=C_h_intern(&lf[113],16, C_text("scheme#char-ci=\077"));
lf[114]=C_h_intern(&lf[114],16, C_text("scheme#char-ci>\077"));
lf[115]=C_h_intern(&lf[115],16, C_text("scheme#char-ci<\077"));
lf[116]=C_h_intern(&lf[116],17, C_text("scheme#char-ci>=\077"));
lf[117]=C_h_intern(&lf[117],17, C_text("scheme#char-ci<=\077"));
lf[118]=C_h_intern(&lf[118],23, C_text("scheme#char-upper-case\077"));
lf[119]=C_h_intern(&lf[119],16, C_text("char-upper-case\077"));
lf[120]=C_h_intern(&lf[120],23, C_text("scheme#char-lower-case\077"));
lf[121]=C_h_intern(&lf[121],16, C_text("char-lower-case\077"));
lf[122]=C_h_intern(&lf[122],20, C_text("scheme#char-numeric\077"));
lf[123]=C_h_intern(&lf[123],13, C_text("char-numeric\077"));
lf[124]=C_h_intern(&lf[124],23, C_text("scheme#char-whitespace\077"));
lf[125]=C_h_intern(&lf[125],16, C_text("char-whitespace\077"));
lf[126]=C_h_intern(&lf[126],23, C_text("scheme#char-alphabetic\077"));
lf[127]=C_h_intern(&lf[127],16, C_text("char-alphabetic\077"));
lf[128]=C_h_intern(&lf[128],17, C_text("scheme#procedure\077"));
lf[129]=C_h_intern(&lf[129],12, C_text("scheme#apply"));
lf[130]=C_h_intern(&lf[130],13, C_text("scheme#values"));
lf[131]=C_h_intern(&lf[131],23, C_text("scheme#call-with-values"));
lf[132]=C_h_intern(&lf[132],37, C_text("scheme#call-with-current-continuation"));
lf[133]=C_h_intern(&lf[133],18, C_text("scheme#input-port\077"));
lf[134]=C_h_intern(&lf[134],19, C_text("scheme#output-port\077"));
lf[135]=C_h_intern(&lf[135],25, C_text("scheme#current-input-port"));
lf[136]=C_h_intern(&lf[136],26, C_text("scheme#current-output-port"));
lf[137]=C_h_intern(&lf[137],22, C_text("scheme#open-input-file"));
lf[138]=C_h_intern(&lf[138],23, C_text("scheme#open-output-file"));
lf[139]=C_h_intern(&lf[139],23, C_text("scheme#close-input-port"));
lf[140]=C_h_intern(&lf[140],24, C_text("scheme#close-output-port"));
lf[141]=C_h_intern(&lf[141],27, C_text("scheme#call-with-input-file"));
lf[142]=C_h_intern(&lf[142],28, C_text("scheme#call-with-output-file"));
lf[143]=C_h_intern(&lf[143],27, C_text("scheme#with-input-from-file"));
lf[144]=C_h_intern(&lf[144],26, C_text("scheme#with-output-to-file"));
lf[145]=C_h_intern(&lf[145],18, C_text("scheme#eof-object\077"));
lf[146]=C_h_intern(&lf[146],18, C_text("scheme#char-ready\077"));
lf[147]=C_h_intern(&lf[147],16, C_text("scheme#read-char"));
lf[148]=C_h_intern(&lf[148],16, C_text("scheme#peek-char"));
lf[149]=C_h_intern(&lf[149],11, C_text("scheme#read"));
lf[150]=C_h_intern(&lf[150],17, C_text("scheme#write-char"));
lf[151]=C_h_intern(&lf[151],14, C_text("scheme#newline"));
lf[152]=C_h_intern(&lf[152],12, C_text("scheme#write"));
lf[153]=C_h_intern(&lf[153],14, C_text("scheme#display"));
lf[154]=C_h_intern(&lf[154],11, C_text("scheme#eval"));
lf[155]=C_h_intern(&lf[155],11, C_text("##sys#error"));
lf[156]=C_h_intern(&lf[156],4, C_text("eval"));
lf[157]=C_decode_literal(C_heaptop,C_text("\376B\000\000T`eval\047 is not defined - the `eval\047 unit was probably not linked with this e"
"xecutable"));
lf[158]=C_h_intern(&lf[158],30, C_text("scheme#interaction-environment"));
lf[159]=C_h_intern(&lf[159],23, C_text("interaction-environment"));
lf[160]=C_decode_literal(C_heaptop,C_text("\376B\000\000g`interaction-environment\047 is not defined - the `eval\047 unit was probably not"
" linked with this executable"));
lf[161]=C_h_intern(&lf[161],32, C_text("scheme#scheme-report-environment"));
lf[162]=C_h_intern(&lf[162],25, C_text("scheme-report-environment"));
lf[163]=C_decode_literal(C_heaptop,C_text("\376B\000\000i`scheme-report-environment\047 is not defined - the `eval\047 unit was probably n"
"ot linked with this executable"));
lf[164]=C_h_intern(&lf[164],23, C_text("scheme#null-environment"));
lf[165]=C_h_intern(&lf[165],16, C_text("null-environment"));
lf[166]=C_decode_literal(C_heaptop,C_text("\376B\000\000``null-environment\047 is not defined - the `eval\047 unit was probably not linked"
" with this executable"));
lf[167]=C_h_intern(&lf[167],11, C_text("scheme#load"));
lf[168]=C_h_intern(&lf[168],4, C_text("load"));
lf[169]=C_decode_literal(C_heaptop,C_text("\376B\000\000T`load\047 is not defined - the `eval\047 unit was probably not linked with this e"
"xecutable"));
lf[170]=C_h_intern(&lf[170],15, C_text("scheme#for-each"));
lf[171]=C_h_intern(&lf[171],10, C_text("scheme#map"));
lf[172]=C_h_intern(&lf[172],19, C_text("scheme#dynamic-wind"));
lf[173]=C_h_intern(&lf[173],13, C_text("chicken.base#"));
lf[174]=C_h_intern(&lf[174],20, C_text("chicken.base#fixnum\077"));
lf[175]=C_h_intern(&lf[175],20, C_text("chicken.base#flonum\077"));
lf[176]=C_h_intern(&lf[176],20, C_text("chicken.base#bignum\077"));
lf[177]=C_h_intern(&lf[177],20, C_text("chicken.base#ratnum\077"));
lf[178]=C_h_intern(&lf[178],21, C_text("chicken.base#cplxnum\077"));
lf[179]=C_h_intern(&lf[179],27, C_text("chicken.base#exact-integer\077"));
lf[180]=C_h_intern(&lf[180],31, C_text("chicken.base#quotient&remainder"));
lf[181]=C_h_intern(&lf[181],28, C_text("chicken.base#quotient&modulo"));
lf[182]=C_h_intern(&lf[182],20, C_text("chicken.base#finite\077"));
lf[183]=C_h_intern(&lf[183],22, C_text("chicken.base#infinite\077"));
lf[184]=C_h_intern(&lf[184],17, C_text("chicken.base#nan\077"));
lf[185]=C_h_intern(&lf[185],19, C_text("chicken.base#signum"));
lf[186]=C_h_intern(&lf[186],27, C_text("chicken.base#get-call-chain"));
lf[187]=C_h_intern(&lf[187],29, C_text("chicken.base#print-call-chain"));
lf[188]=C_h_intern(&lf[188],18, C_text("chicken.base#print"));
lf[189]=C_h_intern(&lf[189],19, C_text("chicken.base#print\052"));
lf[190]=C_h_intern(&lf[190],17, C_text("chicken.base#add1"));
lf[191]=C_h_intern(&lf[191],17, C_text("chicken.base#sub1"));
lf[192]=C_h_intern(&lf[192],31, C_text("chicken.base#current-error-port"));
lf[193]=C_h_intern(&lf[193],18, C_text("chicken.base#error"));
lf[194]=C_h_intern(&lf[194],17, C_text("##sys#signal-hook"));
lf[195]=C_h_intern(&lf[195],6, C_text("\000error"));
lf[196]=C_h_intern(&lf[196],17, C_text("chicken.base#void"));
lf[197]=C_h_intern(&lf[197],18, C_text("chicken.base#sleep"));
lf[198]=C_h_intern(&lf[198],20, C_text("chicken.base#call/cc"));
lf[199]=C_h_intern(&lf[199],22, C_text("chicken.base#char-name"));
lf[200]=C_h_intern(&lf[200],31, C_text("chicken.base#getter-with-setter"));
lf[201]=C_h_intern(&lf[201],27, C_text("chicken.base#make-parameter"));
lf[202]=C_h_intern(&lf[202],34, C_text("chicken.base#procedure-information"));
lf[203]=C_h_intern(&lf[203],19, C_text("chicken.base#setter"));
lf[204]=C_h_intern(&lf[204],25, C_text("chicken.base#vector-copy!"));
lf[205]=C_h_intern(&lf[205],22, C_text("chicken.base#subvector"));
lf[206]=C_h_intern(&lf[206],26, C_text("chicken.base#vector-resize"));
lf[207]=C_h_intern(&lf[207],18, C_text("chicken.base#port\077"));
lf[208]=C_h_intern(&lf[208],25, C_text("chicken.base#port-closed\077"));
lf[209]=C_h_intern(&lf[209],29, C_text("chicken.base#input-port-open\077"));
lf[210]=C_h_intern(&lf[210],30, C_text("chicken.base#output-port-open\077"));
lf[211]=C_h_intern(&lf[211],30, C_text("chicken.base#get-output-string"));
lf[212]=C_h_intern(&lf[212],30, C_text("chicken.base#open-input-string"));
lf[213]=C_h_intern(&lf[213],31, C_text("chicken.base#open-output-string"));
lf[214]=C_h_intern(&lf[214],25, C_text("chicken.base#flush-output"));
lf[215]=C_h_intern(&lf[215],21, C_text("chicken.base#promise\077"));
lf[216]=C_h_intern(&lf[216],7, C_text("promise"));
lf[217]=C_h_intern(&lf[217],18, C_text("##sys#make-promise"));
lf[218]=C_h_intern(&lf[218],25, C_text("chicken.base#make-promise"));
lf[219]=C_h_intern(&lf[219],18, C_text("chicken.base#foldl"));
lf[220]=C_h_intern(&lf[220],5, C_text("foldl"));
lf[221]=C_h_intern(&lf[221],18, C_text("chicken.base#foldr"));
lf[222]=C_h_intern(&lf[222],5, C_text("foldr"));
lf[223]=C_h_intern(&lf[223],34, C_text("chicken.base#implicit-exit-handler"));
lf[224]=C_h_intern(&lf[224],25, C_text("chicken.base#exit-handler"));
lf[225]=C_h_intern(&lf[225],26, C_text("chicken.base#cleanup-tasks"));
lf[226]=C_h_intern(&lf[226],20, C_text("chicken.base#on-exit"));
lf[227]=C_h_intern(&lf[227],17, C_text("chicken.base#exit"));
lf[228]=C_h_intern(&lf[228],27, C_text("chicken.base#emergency-exit"));
lf[229]=C_h_intern(&lf[229],14, C_text("emergency-exit"));
lf[230]=C_h_intern(&lf[230],27, C_text("chicken.base#case-sensitive"));
lf[231]=C_h_intern(&lf[231],26, C_text("chicken.base#keyword-style"));
lf[232]=C_h_intern(&lf[232],33, C_text("chicken.base#parentheses-synonyms"));
lf[233]=C_h_intern(&lf[233],26, C_text("chicken.base#symbol-escape"));
lf[234]=C_h_intern(&lf[234],21, C_text("chicken.base#identity"));
lf[235]=C_h_intern(&lf[235],20, C_text("chicken.base#conjoin"));
lf[236]=C_h_intern(&lf[236],20, C_text("chicken.base#disjoin"));
lf[237]=C_h_intern(&lf[237],23, C_text("chicken.base#constantly"));
lf[238]=C_h_intern(&lf[238],17, C_text("chicken.base#flip"));
lf[239]=C_h_intern(&lf[239],23, C_text("chicken.base#complement"));
lf[240]=C_h_intern(&lf[240],20, C_text("chicken.base#compose"));
lf[241]=C_h_intern(&lf[241],14, C_text("chicken.base#o"));
lf[242]=C_h_intern(&lf[242],21, C_text("chicken.base#list-of\077"));
lf[243]=C_h_intern(&lf[243],17, C_text("chicken.base#each"));
lf[244]=C_h_intern(&lf[244],21, C_text("##sys#undefined-value"));
lf[245]=C_h_intern(&lf[245],18, C_text("chicken.base#atom\077"));
lf[246]=C_h_intern(&lf[246],18, C_text("chicken.base#tail\077"));
lf[247]=C_h_intern(&lf[247],5, C_text("tail\077"));
lf[248]=C_h_intern(&lf[248],24, C_text("chicken.base#intersperse"));
lf[249]=C_h_intern(&lf[249],20, C_text("chicken.base#butlast"));
lf[250]=C_h_intern(&lf[250],7, C_text("butlast"));
lf[251]=C_h_intern(&lf[251],20, C_text("chicken.base#flatten"));
lf[252]=C_h_intern(&lf[252],17, C_text("chicken.base#join"));
lf[253]=C_h_intern(&lf[253],4, C_text("join"));
lf[254]=C_h_intern(&lf[254],12, C_text("##sys#append"));
lf[255]=C_h_intern(&lf[255],21, C_text("chicken.base#compress"));
lf[256]=C_decode_literal(C_heaptop,C_text("\376B\000\000%bad argument type - not a proper list"));
lf[257]=C_h_intern(&lf[257],8, C_text("compress"));
lf[258]=C_h_intern(&lf[258],11, C_text("\000type-error"));
lf[259]=C_h_intern(&lf[259],26, C_text("chicken.base#alist-update!"));
lf[260]=C_h_intern(&lf[260],25, C_text("chicken.base#alist-update"));
lf[261]=C_h_intern(&lf[261],12, C_text("alist-update"));
lf[262]=C_decode_literal(C_heaptop,C_text("\376B\000\000\021bad argument type"));
lf[263]=C_decode_literal(C_heaptop,C_text("\376B\000\000\021bad argument type"));
lf[264]=C_h_intern(&lf[264],22, C_text("chicken.base#alist-ref"));
lf[265]=C_h_intern(&lf[265],9, C_text("alist-ref"));
lf[266]=C_decode_literal(C_heaptop,C_text("\376B\000\000\021bad argument type"));
lf[267]=C_h_intern(&lf[267],19, C_text("chicken.base#rassoc"));
lf[268]=C_h_intern(&lf[268],6, C_text("rassoc"));
lf[270]=C_h_intern(&lf[270],15, C_text("chicken.fixnum#"));
lf[271]=C_h_intern(&lf[271],35, C_text("chicken.fixnum#most-positive-fixnum"));
lf[272]=C_h_intern(&lf[272],35, C_text("chicken.fixnum#most-negative-fixnum"));
lf[273]=C_h_intern(&lf[273],26, C_text("chicken.fixnum#fixnum-bits"));
lf[274]=C_h_intern(&lf[274],31, C_text("chicken.fixnum#fixnum-precision"));
lf[275]=C_h_intern(&lf[275],18, C_text("chicken.fixnum#fx+"));
lf[276]=C_h_intern(&lf[276],18, C_text("chicken.fixnum#fx-"));
lf[277]=C_h_intern(&lf[277],18, C_text("chicken.fixnum#fx\052"));
lf[278]=C_h_intern(&lf[278],18, C_text("chicken.fixnum#fx="));
lf[279]=C_h_intern(&lf[279],18, C_text("chicken.fixnum#fx>"));
lf[280]=C_h_intern(&lf[280],18, C_text("chicken.fixnum#fx<"));
lf[281]=C_h_intern(&lf[281],19, C_text("chicken.fixnum#fx>="));
lf[282]=C_h_intern(&lf[282],19, C_text("chicken.fixnum#fx<="));
lf[283]=C_h_intern(&lf[283],20, C_text("chicken.fixnum#fxmin"));
lf[284]=C_h_intern(&lf[284],20, C_text("chicken.fixnum#fxmax"));
lf[285]=C_h_intern(&lf[285],20, C_text("chicken.fixnum#fxneg"));
lf[286]=C_h_intern(&lf[286],20, C_text("chicken.fixnum#fxand"));
lf[287]=C_h_intern(&lf[287],20, C_text("chicken.fixnum#fxior"));
lf[288]=C_h_intern(&lf[288],20, C_text("chicken.fixnum#fxxor"));
lf[289]=C_h_intern(&lf[289],20, C_text("chicken.fixnum#fxnot"));
lf[290]=C_h_intern(&lf[290],20, C_text("chicken.fixnum#fxshl"));
lf[291]=C_h_intern(&lf[291],20, C_text("chicken.fixnum#fxshr"));
lf[292]=C_h_intern(&lf[292],21, C_text("chicken.fixnum#fxodd\077"));
lf[293]=C_h_intern(&lf[293],22, C_text("chicken.fixnum#fxeven\077"));
lf[294]=C_h_intern(&lf[294],20, C_text("chicken.fixnum#fxlen"));
lf[295]=C_h_intern(&lf[295],18, C_text("chicken.fixnum#fx/"));
lf[296]=C_h_intern(&lf[296],20, C_text("chicken.fixnum#fxgcd"));
lf[297]=C_h_intern(&lf[297],20, C_text("chicken.fixnum#fxmod"));
lf[298]=C_h_intern(&lf[298],20, C_text("chicken.fixnum#fxrem"));
lf[299]=C_h_intern(&lf[299],19, C_text("chicken.fixnum#fx+\077"));
lf[300]=C_h_intern(&lf[300],19, C_text("chicken.fixnum#fx-\077"));
lf[301]=C_h_intern(&lf[301],19, C_text("chicken.fixnum#fx\052\077"));
lf[302]=C_h_intern(&lf[302],19, C_text("chicken.fixnum#fx/\077"));
lf[303]=C_h_intern(&lf[303],17, C_text("##sys#debug-mode\077"));
lf[304]=C_h_intern(&lf[304],22, C_text("##sys#warnings-enabled"));
lf[305]=C_h_intern(&lf[305],21, C_text("##sys#notices-enabled"));
lf[306]=C_h_intern(&lf[306],20, C_text("chicken.base#warning"));
lf[307]=C_h_intern(&lf[307],8, C_text("\000warning"));
lf[308]=C_h_intern(&lf[308],19, C_text("chicken.base#notice"));
lf[309]=C_h_intern(&lf[309],7, C_text("\000notice"));
lf[310]=C_h_intern(&lf[310],28, C_text("chicken.base#enable-warnings"));
lf[311]=C_h_intern(&lf[311],10, C_text("##sys#warn"));
lf[312]=C_h_intern(&lf[312],12, C_text("##sys#notice"));
lf[313]=C_h_intern(&lf[313],8, C_text("##sys#gc"));
lf[314]=C_h_intern(&lf[314],13, C_text("##sys#setslot"));
lf[315]=C_h_intern(&lf[315],14, C_text("##sys#setislot"));
lf[316]=C_h_intern(&lf[316],21, C_text("##sys#allocate-vector"));
lf[317]=C_h_intern(&lf[317],20, C_text("##sys#make-structure"));
lf[318]=C_h_intern(&lf[318],25, C_text("##sys#ensure-heap-reserve"));
lf[319]=C_h_intern(&lf[319],23, C_text("##sys#symbol-table-info"));
lf[320]=C_h_intern(&lf[320],17, C_text("##sys#memory-info"));
lf[321]=C_h_intern(&lf[321],17, C_text("##sys#start-timer"));
lf[322]=C_h_intern(&lf[322],16, C_text("##sys#stop-timer"));
lf[323]=C_h_intern(&lf[323],16, C_text("##sys#immediate\077"));
lf[324]=C_h_intern(&lf[324],13, C_text("##sys#message"));
lf[325]=C_h_intern(&lf[325],10, C_text("##sys#byte"));
lf[326]=C_h_intern(&lf[326],13, C_text("##sys#setbyte"));
lf[327]=C_h_intern(&lf[327],10, C_text("##sys#void"));
lf[328]=C_h_intern(&lf[328],10, C_text("##sys#halt"));
lf[329]=C_h_intern(&lf[329],13, C_text("##sys#become!"));
lf[330]=C_h_intern(&lf[330],15, C_text("##sys#block-ref"));
lf[331]=C_h_intern(&lf[331],18, C_text("##sys#apply-values"));
lf[332]=C_h_intern(&lf[332],18, C_text("##sys#copy-closure"));
lf[333]=C_h_intern(&lf[333],16, C_text("##sys#block-set!"));
lf[334]=C_h_intern(&lf[334],17, C_text("##sys#check-range"));
lf[335]=C_decode_literal(C_heaptop,C_text("\376B\000\000\023slot not accessible"));
lf[336]=C_h_intern(&lf[336],13, C_text("chicken.time#"));
lf[337]=C_h_intern(&lf[337],33, C_text("chicken.time#current-milliseconds"));
lf[338]=C_h_intern(&lf[338],28, C_text("chicken.time#current-seconds"));
lf[339]=C_h_intern(&lf[339],21, C_text("chicken.time#cpu-time"));
lf[340]=C_h_intern(&lf[340],21, C_text("##sys#check-structure"));
lf[341]=C_h_intern(&lf[341],16, C_text("##sys#check-blob"));
lf[342]=C_h_intern(&lf[342],23, C_text("##sys#check-byte-vector"));
lf[343]=C_h_intern(&lf[343],16, C_text("##sys#check-pair"));
lf[344]=C_h_intern(&lf[344],16, C_text("##sys#check-list"));
lf[345]=C_h_intern(&lf[345],18, C_text("##sys#check-string"));
lf[346]=C_h_intern(&lf[346],18, C_text("##sys#check-number"));
lf[347]=C_h_intern(&lf[347],17, C_text("##sys#check-exact"));
lf[348]=C_h_intern(&lf[348],19, C_text("##sys#check-inexact"));
lf[349]=C_h_intern(&lf[349],18, C_text("##sys#check-symbol"));
lf[350]=C_h_intern(&lf[350],18, C_text("##sys#check-vector"));
lf[351]=C_h_intern(&lf[351],16, C_text("##sys#check-char"));
lf[352]=C_h_intern(&lf[352],19, C_text("##sys#check-boolean"));
lf[353]=C_h_intern(&lf[353],20, C_text("##sys#check-locative"));
lf[354]=C_h_intern(&lf[354],19, C_text("##sys#check-integer"));
lf[355]=C_h_intern(&lf[355],23, C_text("##sys#error-bad-integer"));
lf[356]=C_h_intern(&lf[356],25, C_text("##sys#check-exact-integer"));
lf[357]=C_h_intern(&lf[357],29, C_text("##sys#error-bad-exact-integer"));
lf[358]=C_h_intern(&lf[358],26, C_text("##sys#check-exact-uinteger"));
lf[359]=C_h_intern(&lf[359],30, C_text("##sys#error-bad-exact-uinteger"));
lf[360]=C_h_intern(&lf[360],16, C_text("##sys#check-real"));
lf[361]=C_h_intern(&lf[361],20, C_text("##sys#error-bad-real"));
lf[362]=C_h_intern(&lf[362],16, C_text("##sys#error-hook"));
lf[363]=C_h_intern(&lf[363],19, C_text("##sys#check-special"));
lf[364]=C_decode_literal(C_heaptop,C_text("\376B\000\000-bad argument type - not a pointer-like object"));
lf[365]=C_h_intern(&lf[365],19, C_text("##sys#check-closure"));
lf[366]=C_h_intern(&lf[366],12, C_text("scheme#force"));
lf[367]=C_h_intern(&lf[367],10, C_text("##sys#list"));
lf[368]=C_h_intern(&lf[368],11, C_text("##sys#dload"));
lf[369]=C_h_intern(&lf[369],23, C_text("##sys#set-dlopen-flags!"));
lf[370]=C_h_intern(&lf[370],22, C_text("##sys#error-bad-number"));
lf[371]=C_h_intern(&lf[371],23, C_text("##sys#error-bad-inexact"));
lf[372]=C_h_intern(&lf[372],20, C_text("##sys#error-bad-base"));
lf[373]=C_h_intern(&lf[373],13, C_text("scheme#append"));
lf[374]=C_h_intern(&lf[374],6, C_text("append"));
lf[375]=C_h_intern(&lf[375],18, C_text("##sys#fast-reverse"));
lf[376]=C_h_intern(&lf[376],17, C_text("##sys#make-string"));
lf[377]=C_h_intern(&lf[377],18, C_text("scheme#make-string"));
lf[378]=C_h_intern(&lf[378],11, C_text("make-string"));
lf[379]=C_h_intern(&lf[379],13, C_text("\000bounds-error"));
lf[380]=C_decode_literal(C_heaptop,C_text("\376B\000\000\020size is negative"));
lf[381]=C_h_intern(&lf[381],19, C_text("scheme#string->list"));
lf[382]=C_h_intern(&lf[382],12, C_text("string->list"));
lf[383]=C_h_intern(&lf[383],18, C_text("##sys#string->list"));
lf[384]=C_h_intern(&lf[384],19, C_text("scheme#list->string"));
lf[385]=C_h_intern(&lf[385],12, C_text("list->string"));
lf[386]=C_h_intern(&lf[386],18, C_text("##sys#list->string"));
lf[387]=C_h_intern(&lf[387],26, C_text("##sys#reverse-list->string"));
lf[388]=C_h_intern(&lf[388],20, C_text("reverse-list->string"));
lf[389]=C_h_intern(&lf[389],19, C_text("scheme#string-fill!"));
lf[390]=C_h_intern(&lf[390],12, C_text("string-fill!"));
lf[391]=C_h_intern(&lf[391],18, C_text("scheme#string-copy"));
lf[392]=C_h_intern(&lf[392],11, C_text("string-copy"));
lf[393]=C_h_intern(&lf[393],16, C_text("scheme#substring"));
lf[394]=C_h_intern(&lf[394],9, C_text("substring"));
lf[395]=C_h_intern(&lf[395],15, C_text("##sys#substring"));
lf[396]=C_h_intern(&lf[396],15, C_text("scheme#string<\077"));
lf[397]=C_h_intern(&lf[397],8, C_text("string<\077"));
lf[398]=C_h_intern(&lf[398],15, C_text("scheme#string>\077"));
lf[399]=C_h_intern(&lf[399],8, C_text("string>\077"));
lf[400]=C_h_intern(&lf[400],16, C_text("scheme#string<=\077"));
lf[401]=C_h_intern(&lf[401],9, C_text("string<=\077"));
lf[402]=C_h_intern(&lf[402],16, C_text("scheme#string>=\077"));
lf[403]=C_h_intern(&lf[403],9, C_text("string>=\077"));
lf[404]=C_h_intern(&lf[404],18, C_text("scheme#string-ci<\077"));
lf[405]=C_h_intern(&lf[405],11, C_text("string-ci<\077"));
lf[406]=C_h_intern(&lf[406],18, C_text("scheme#string-ci>\077"));
lf[407]=C_h_intern(&lf[407],11, C_text("string-ci>\077"));
lf[408]=C_h_intern(&lf[408],19, C_text("scheme#string-ci<=\077"));
lf[409]=C_h_intern(&lf[409],12, C_text("string-ci<=\077"));
lf[410]=C_h_intern(&lf[410],19, C_text("scheme#string-ci>=\077"));
lf[411]=C_h_intern(&lf[411],12, C_text("string-ci>=\077"));
lf[412]=C_h_intern(&lf[412],19, C_text("##sys#string-append"));
lf[413]=C_h_intern(&lf[413],20, C_text("scheme#string-append"));
lf[414]=C_h_intern(&lf[414],13, C_text("string-append"));
lf[415]=C_h_intern(&lf[415],13, C_text("scheme#string"));
lf[416]=C_h_intern(&lf[416],23, C_text("##sys#fragments->string"));
lf[417]=C_h_intern(&lf[417],17, C_text("chicken.base#chop"));
lf[418]=C_h_intern(&lf[418],4, C_text("chop"));
lf[419]=C_decode_literal(C_heaptop,C_text("\376B\000\000\030invalid numeric argument"));
lf[420]=C_h_intern(&lf[420],15, C_text("chicken.flonum#"));
lf[421]=C_h_intern(&lf[421],29, C_text("chicken.flonum#maximum-flonum"));
lf[422]=C_h_intern(&lf[422],29, C_text("chicken.flonum#minimum-flonum"));
lf[423]=C_h_intern(&lf[423],27, C_text("chicken.flonum#flonum-radix"));
lf[424]=C_h_intern(&lf[424],29, C_text("chicken.flonum#flonum-epsilon"));
lf[425]=C_h_intern(&lf[425],31, C_text("chicken.flonum#flonum-precision"));
lf[426]=C_h_intern(&lf[426],39, C_text("chicken.flonum#flonum-decimal-precision"));
lf[427]=C_h_intern(&lf[427],38, C_text("chicken.flonum#flonum-maximum-exponent"));
lf[428]=C_h_intern(&lf[428],38, C_text("chicken.flonum#flonum-minimum-exponent"));
lf[429]=C_h_intern(&lf[429],46, C_text("chicken.flonum#flonum-maximum-decimal-exponent"));
lf[430]=C_h_intern(&lf[430],46, C_text("chicken.flonum#flonum-minimum-decimal-exponent"));
lf[431]=C_h_intern(&lf[431],18, C_text("chicken.flonum#fp+"));
lf[432]=C_h_intern(&lf[432],3, C_text("fp+"));
lf[433]=C_h_intern(&lf[433],18, C_text("chicken.flonum#fp-"));
lf[434]=C_h_intern(&lf[434],3, C_text("fp-"));
lf[435]=C_h_intern(&lf[435],18, C_text("chicken.flonum#fp\052"));
lf[436]=C_h_intern(&lf[436],3, C_text("fp\052"));
lf[437]=C_h_intern(&lf[437],18, C_text("chicken.flonum#fp/"));
lf[438]=C_h_intern(&lf[438],3, C_text("fp/"));
lf[439]=C_h_intern(&lf[439],20, C_text("chicken.flonum#fpgcd"));
lf[440]=C_h_intern(&lf[440],5, C_text("fpgcd"));
lf[441]=C_h_intern(&lf[441],19, C_text("chicken.flonum#fp/\077"));
lf[442]=C_h_intern(&lf[442],4, C_text("fp/\077"));
lf[443]=C_h_intern(&lf[443],18, C_text("chicken.flonum#fp="));
lf[444]=C_h_intern(&lf[444],3, C_text("fp="));
lf[445]=C_h_intern(&lf[445],18, C_text("chicken.flonum#fp>"));
lf[446]=C_h_intern(&lf[446],3, C_text("fp>"));
lf[447]=C_h_intern(&lf[447],18, C_text("chicken.flonum#fp<"));
lf[448]=C_h_intern(&lf[448],3, C_text("fp<"));
lf[449]=C_h_intern(&lf[449],19, C_text("chicken.flonum#fp>="));
lf[450]=C_h_intern(&lf[450],4, C_text("fp>="));
lf[451]=C_h_intern(&lf[451],19, C_text("chicken.flonum#fp<="));
lf[452]=C_h_intern(&lf[452],4, C_text("fp<="));
lf[453]=C_h_intern(&lf[453],20, C_text("chicken.flonum#fpneg"));
lf[454]=C_h_intern(&lf[454],5, C_text("fpneg"));
lf[455]=C_h_intern(&lf[455],20, C_text("chicken.flonum#fpmax"));
lf[456]=C_h_intern(&lf[456],5, C_text("fpmax"));
lf[457]=C_h_intern(&lf[457],20, C_text("chicken.flonum#fpmin"));
lf[458]=C_h_intern(&lf[458],5, C_text("fpmin"));
lf[459]=C_h_intern(&lf[459],22, C_text("chicken.flonum#fpfloor"));
lf[460]=C_h_intern(&lf[460],7, C_text("fpfloor"));
lf[461]=C_h_intern(&lf[461],25, C_text("chicken.flonum#fptruncate"));
lf[462]=C_h_intern(&lf[462],10, C_text("fptruncate"));
lf[463]=C_h_intern(&lf[463],22, C_text("chicken.flonum#fpround"));
lf[464]=C_h_intern(&lf[464],7, C_text("fpround"));
lf[465]=C_h_intern(&lf[465],24, C_text("chicken.flonum#fpceiling"));
lf[466]=C_h_intern(&lf[466],9, C_text("fpceiling"));
lf[467]=C_h_intern(&lf[467],20, C_text("chicken.flonum#fpsin"));
lf[468]=C_h_intern(&lf[468],5, C_text("fpsin"));
lf[469]=C_h_intern(&lf[469],20, C_text("chicken.flonum#fpcos"));
lf[470]=C_h_intern(&lf[470],5, C_text("fpcos"));
lf[471]=C_h_intern(&lf[471],20, C_text("chicken.flonum#fptan"));
lf[472]=C_h_intern(&lf[472],5, C_text("fptan"));
lf[473]=C_h_intern(&lf[473],21, C_text("chicken.flonum#fpasin"));
lf[474]=C_h_intern(&lf[474],6, C_text("fpasin"));
lf[475]=C_h_intern(&lf[475],21, C_text("chicken.flonum#fpacos"));
lf[476]=C_h_intern(&lf[476],6, C_text("fpacos"));
lf[477]=C_h_intern(&lf[477],21, C_text("chicken.flonum#fpatan"));
lf[478]=C_h_intern(&lf[478],6, C_text("fpatan"));
lf[479]=C_h_intern(&lf[479],22, C_text("chicken.flonum#fpatan2"));
lf[480]=C_h_intern(&lf[480],7, C_text("fpatan2"));
lf[481]=C_h_intern(&lf[481],20, C_text("chicken.flonum#fpexp"));
lf[482]=C_h_intern(&lf[482],5, C_text("fpexp"));
lf[483]=C_h_intern(&lf[483],21, C_text("chicken.flonum#fpexpt"));
lf[484]=C_h_intern(&lf[484],6, C_text("fpexpt"));
lf[485]=C_h_intern(&lf[485],20, C_text("chicken.flonum#fplog"));
lf[486]=C_h_intern(&lf[486],5, C_text("fplog"));
lf[487]=C_h_intern(&lf[487],21, C_text("chicken.flonum#fpsqrt"));
lf[488]=C_h_intern(&lf[488],6, C_text("fpsqrt"));
lf[489]=C_h_intern(&lf[489],20, C_text("chicken.flonum#fpabs"));
lf[490]=C_h_intern(&lf[490],5, C_text("fpabs"));
lf[491]=C_h_intern(&lf[491],25, C_text("chicken.flonum#fpinteger\077"));
lf[492]=C_h_intern(&lf[492],10, C_text("fpinteger\077"));
lf[493]=C_h_intern(&lf[493],37, C_text("chicken.flonum#flonum-print-precision"));
lf[494]=C_h_intern(&lf[494],22, C_text("flonum-print-precision"));
lf[495]=C_h_intern(&lf[495],13, C_text("##sys#number\077"));
lf[496]=C_h_intern(&lf[496],14, C_text("##sys#integer\077"));
lf[497]=C_h_intern(&lf[497],12, C_text("##sys#exact\077"));
lf[498]=C_h_intern(&lf[498],14, C_text("##sys#inexact\077"));
lf[500]=C_decode_literal(C_heaptop,C_text("\376U0.0\000"));
lf[501]=C_h_intern(&lf[501],23, C_text("scheme#make-rectangular"));
lf[502]=C_h_intern(&lf[502],16, C_text("make-rectangular"));
lf[503]=C_h_intern(&lf[503],17, C_text("scheme#make-polar"));
lf[504]=C_h_intern(&lf[504],10, C_text("make-polar"));
lf[505]=C_h_intern(&lf[505],16, C_text("scheme#real-part"));
lf[506]=C_h_intern(&lf[506],9, C_text("real-part"));
lf[507]=C_h_intern(&lf[507],16, C_text("scheme#imag-part"));
lf[508]=C_h_intern(&lf[508],9, C_text("imag-part"));
lf[509]=C_h_intern(&lf[509],12, C_text("scheme#angle"));
lf[510]=C_h_intern(&lf[510],5, C_text("angle"));
lf[511]=C_h_intern(&lf[511],16, C_text("scheme#magnitude"));
lf[512]=C_h_intern(&lf[512],11, C_text("scheme#sqrt"));
lf[513]=C_h_intern(&lf[513],9, C_text("magnitude"));
lf[515]=C_h_intern(&lf[515],16, C_text("scheme#numerator"));
lf[516]=C_h_intern(&lf[516],11, C_text("bad-inexact"));
lf[517]=C_h_intern(&lf[517],9, C_text("numerator"));
lf[518]=C_h_intern(&lf[518],21, C_text("scheme#inexact->exact"));
lf[519]=C_decode_literal(C_heaptop,C_text("\376B\000\000)bad argument type - not a rational number"));
lf[520]=C_h_intern(&lf[520],18, C_text("scheme#denominator"));
lf[521]=C_h_intern(&lf[521],11, C_text("denominator"));
lf[522]=C_decode_literal(C_heaptop,C_text("\376U1.0\000"));
lf[523]=C_decode_literal(C_heaptop,C_text("\376B\000\000)bad argument type - not a rational number"));
lf[524]=C_h_intern(&lf[524],21, C_text("##sys#extended-signum"));
lf[525]=C_h_intern(&lf[525],6, C_text("signum"));
lf[526]=C_h_intern(&lf[526],9, C_text("##sys#/-2"));
lf[527]=C_h_intern(&lf[527],14, C_text("inexact->exact"));
lf[528]=C_h_intern(&lf[528],19, C_text("##sys#integer-power"));
lf[529]=C_decode_literal(C_heaptop,C_text("\376U2.0\000"));
lf[530]=C_h_intern(&lf[530],11, C_text("scheme#expt"));
lf[531]=C_h_intern(&lf[531],20, C_text("##sys#exact->inexact"));
lf[532]=C_h_intern(&lf[532],20, C_text("##sys#inexact->exact"));
lf[533]=C_h_intern(&lf[533],16, C_text("chicken.bitwise#"));
lf[534]=C_h_intern(&lf[534],27, C_text("chicken.bitwise#bitwise-and"));
lf[535]=C_h_intern(&lf[535],27, C_text("chicken.bitwise#bitwise-ior"));
lf[536]=C_h_intern(&lf[536],27, C_text("chicken.bitwise#bitwise-xor"));
lf[537]=C_h_intern(&lf[537],27, C_text("chicken.bitwise#bitwise-not"));
lf[538]=C_h_intern(&lf[538],28, C_text("chicken.bitwise#bit->boolean"));
lf[539]=C_h_intern(&lf[539],30, C_text("chicken.bitwise#integer-length"));
lf[540]=C_h_intern(&lf[540],32, C_text("chicken.bitwise#arithmetic-shift"));
lf[541]=C_h_intern(&lf[541],8, C_text("scheme#/"));
lf[543]=C_h_intern(&lf[543],1, C_text("/"));
lf[544]=C_h_intern(&lf[544],12, C_text("scheme#floor"));
lf[545]=C_h_intern(&lf[545],5, C_text("floor"));
lf[546]=C_h_intern(&lf[546],14, C_text("scheme#ceiling"));
lf[547]=C_h_intern(&lf[547],7, C_text("ceiling"));
lf[548]=C_h_intern(&lf[548],15, C_text("scheme#truncate"));
lf[549]=C_h_intern(&lf[549],8, C_text("truncate"));
lf[550]=C_h_intern(&lf[550],12, C_text("scheme#round"));
lf[551]=C_h_intern(&lf[551],5, C_text("round"));
lf[553]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\377\001\000\000\000\000\376\003\000\000\002\376\377\001\000\000\000\001\376\377\016"));
lf[554]=C_h_intern(&lf[554],18, C_text("scheme#rationalize"));
lf[555]=C_h_intern(&lf[555],10, C_text("scheme#max"));
lf[556]=C_h_intern(&lf[556],3, C_text("max"));
lf[557]=C_h_intern(&lf[557],10, C_text("scheme#min"));
lf[558]=C_h_intern(&lf[558],3, C_text("min"));
lf[559]=C_h_intern(&lf[559],10, C_text("scheme#exp"));
lf[560]=C_h_intern(&lf[560],3, C_text("exp"));
lf[561]=C_h_intern(&lf[561],11, C_text("##sys#log-1"));
lf[562]=C_h_intern(&lf[562],17, C_text("\000arithmetic-error"));
lf[563]=C_h_intern(&lf[563],3, C_text("log"));
lf[564]=C_decode_literal(C_heaptop,C_text("\376B\000\000\033log of exact 0 is undefined"));
lf[565]=C_h_intern(&lf[565],10, C_text("scheme#log"));
lf[566]=C_h_intern(&lf[566],10, C_text("scheme#sin"));
lf[567]=C_h_intern(&lf[567],3, C_text("sin"));
lf[568]=C_decode_literal(C_heaptop,C_text("\376\016\000\000\002\376\377\001\000\000\000\000\376\377\001\000\000\000\001"));
lf[569]=C_decode_literal(C_heaptop,C_text("\376\016\000\000\002\376\377\001\000\000\000\000\376\377\001\000\000\000\002"));
lf[570]=C_h_intern(&lf[570],10, C_text("scheme#cos"));
lf[571]=C_h_intern(&lf[571],3, C_text("cos"));
lf[572]=C_h_intern(&lf[572],10, C_text("scheme#tan"));
lf[573]=C_h_intern(&lf[573],3, C_text("tan"));
lf[574]=C_h_intern(&lf[574],11, C_text("scheme#asin"));
lf[575]=C_h_intern(&lf[575],4, C_text("asin"));
lf[576]=C_decode_literal(C_heaptop,C_text("\376\016\000\000\002\376\377\001\000\000\000\000\376\377\001\377\377\377\377"));
lf[577]=C_h_intern(&lf[577],14, C_text("##sys#sqrt/loc"));
lf[578]=C_decode_literal(C_heaptop,C_text("\376U-1.0\000"));
lf[579]=C_h_intern(&lf[579],11, C_text("scheme#acos"));
lf[580]=C_h_intern(&lf[580],4, C_text("acos"));
lf[581]=C_h_intern(&lf[581],11, C_text("scheme#atan"));
lf[582]=C_h_intern(&lf[582],4, C_text("atan"));
lf[583]=C_h_intern(&lf[583],24, C_text("##sys#exact-integer-sqrt"));
lf[584]=C_decode_literal(C_heaptop,C_text("\376B\000\000\030this should never happen"));
lf[585]=C_h_intern(&lf[585],31, C_text("chicken.base#exact-integer-sqrt"));
lf[586]=C_h_intern(&lf[586],18, C_text("exact-integer-sqrt"));
lf[587]=C_h_intern(&lf[587],4, C_text("sqrt"));
lf[588]=C_h_intern(&lf[588],35, C_text("chicken.base#exact-integer-nth-root"));
lf[589]=C_h_intern(&lf[589],32, C_text("##sys#exact-integer-nth-root/loc"));
lf[590]=C_h_intern(&lf[590],22, C_text("exact-integer-nth-root"));
lf[591]=C_h_intern(&lf[591],4, C_text("expt"));
lf[592]=C_decode_literal(C_heaptop,C_text("\376B\000\0006exponent of exact 0 with complex argument is undefined"));
lf[593]=C_h_intern(&lf[593],9, C_text("##sys#gcd"));
lf[594]=C_h_intern(&lf[594],3, C_text("gcd"));
lf[595]=C_h_intern(&lf[595],10, C_text("scheme#gcd"));
lf[596]=C_h_intern(&lf[596],9, C_text("##sys#lcm"));
lf[597]=C_h_intern(&lf[597],3, C_text("lcm"));
lf[598]=C_h_intern(&lf[598],10, C_text("scheme#lcm"));
lf[599]=C_h_intern(&lf[599],31, C_text("##sys#integer->string/recursive"));
lf[600]=C_h_intern(&lf[600],20, C_text("##sys#number->string"));
lf[601]=C_h_intern(&lf[601],29, C_text("##sys#extended-number->string"));
lf[602]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001/"));
lf[603]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001+"));
lf[604]=C_decode_literal(C_heaptop,C_text("\376B\000\000\000"));
lf[605]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001i"));
lf[606]=C_h_intern(&lf[606],14, C_text("number->string"));
lf[609]=C_h_intern(&lf[609],1, C_text("e"));
lf[610]=C_h_intern(&lf[610],1, C_text("i"));
lf[611]=C_decode_literal(C_heaptop,C_text("\376U+inf.0\000"));
lf[612]=C_decode_literal(C_heaptop,C_text("\376U-inf.0\000"));
lf[613]=C_h_intern(&lf[613],3, C_text("neg"));
lf[614]=C_h_intern(&lf[614],3, C_text("pos"));
lf[615]=C_decode_literal(C_heaptop,C_text("\376B\000\000\005inf.0"));
lf[616]=C_decode_literal(C_heaptop,C_text("\376B\000\000\005nan.0"));
lf[617]=C_h_intern(&lf[617],21, C_text("scheme#string->number"));
lf[618]=C_h_intern(&lf[618],14, C_text("string->number"));
lf[619]=C_h_intern(&lf[619],20, C_text("##sys#string->number"));
lf[620]=C_h_intern(&lf[620],20, C_text("##sys#fixnum->string"));
lf[621]=C_h_intern(&lf[621],20, C_text("##sys#flonum->string"));
lf[622]=C_h_intern(&lf[622],21, C_text("##sys#integer->string"));
lf[623]=C_h_intern(&lf[623],20, C_text("chicken.base#equal=\077"));
lf[624]=C_h_intern(&lf[624],11, C_text("##sys#snafu"));
lf[625]=C_h_intern(&lf[625],11, C_text("##sys#fnord"));
lf[626]=C_h_intern(&lf[626],19, C_text("##sys#intern-symbol"));
lf[627]=C_h_intern(&lf[627],22, C_text("##sys#interned-symbol\077"));
lf[628]=C_h_intern(&lf[628],20, C_text("##sys#string->symbol"));
lf[629]=C_h_intern(&lf[629],20, C_text("##sys#symbol->string"));
lf[630]=C_h_intern(&lf[630],21, C_text("scheme#symbol->string"));
lf[631]=C_h_intern(&lf[631],14, C_text("symbol->string"));
lf[632]=C_h_intern(&lf[632],21, C_text("scheme#string->symbol"));
lf[633]=C_h_intern(&lf[633],14, C_text("string->symbol"));
lf[634]=C_h_intern(&lf[634],38, C_text("chicken.base#string->uninterned-symbol"));
lf[635]=C_h_intern(&lf[635],25, C_text("string->uninterned-symbol"));
lf[636]=C_h_intern(&lf[636],19, C_text("chicken.base#gensym"));
lf[637]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001g"));
lf[638]=C_h_intern(&lf[638],6, C_text("gensym"));
lf[639]=C_decode_literal(C_heaptop,C_text("\376B\000\000\042argument is not a string or symbol"));
lf[640]=C_h_intern(&lf[640],26, C_text("chicken.base#symbol-append"));
lf[641]=C_h_intern(&lf[641],13, C_text("symbol-append"));
lf[642]=C_h_intern(&lf[642],16, C_text("chicken.keyword#"));
lf[643]=C_h_intern(&lf[643],24, C_text("chicken.keyword#keyword\077"));
lf[644]=C_h_intern(&lf[644],31, C_text("chicken.keyword#string->keyword"));
lf[645]=C_h_intern(&lf[645],15, C_text("string->keyword"));
lf[646]=C_h_intern(&lf[646],31, C_text("chicken.keyword#keyword->string"));
lf[647]=C_h_intern(&lf[647],15, C_text("keyword->string"));
lf[648]=C_decode_literal(C_heaptop,C_text("\376B\000\000!bad argument type - not a keyword"));
lf[649]=C_h_intern(&lf[649],3, C_text("tag"));
lf[650]=C_h_intern(&lf[650],27, C_text("chicken.keyword#get-keyword"));
lf[651]=C_h_intern(&lf[651],11, C_text("get-keyword"));
lf[652]=C_h_intern(&lf[652],17, C_text("##sys#get-keyword"));
lf[653]=C_h_intern(&lf[653],13, C_text("chicken.blob#"));
lf[654]=C_h_intern(&lf[654],15, C_text("##sys#make-blob"));
lf[655]=C_h_intern(&lf[655],22, C_text("chicken.blob#make-blob"));
lf[656]=C_h_intern(&lf[656],9, C_text("make-blob"));
lf[657]=C_h_intern(&lf[657],18, C_text("chicken.blob#blob\077"));
lf[658]=C_h_intern(&lf[658],22, C_text("chicken.blob#blob-size"));
lf[659]=C_h_intern(&lf[659],9, C_text("blob-size"));
lf[660]=C_h_intern(&lf[660],25, C_text("chicken.blob#string->blob"));
lf[661]=C_h_intern(&lf[661],12, C_text("string->blob"));
lf[662]=C_h_intern(&lf[662],25, C_text("chicken.blob#blob->string"));
lf[663]=C_h_intern(&lf[663],12, C_text("blob->string"));
lf[664]=C_h_intern(&lf[664],19, C_text("chicken.blob#blob=\077"));
lf[665]=C_h_intern(&lf[665],6, C_text("blob=\077"));
lf[666]=C_h_intern(&lf[666],11, C_text("make-vector"));
lf[667]=C_decode_literal(C_heaptop,C_text("\376B\000\000\020size is negative"));
lf[668]=C_h_intern(&lf[668],17, C_text("##sys#make-vector"));
lf[669]=C_h_intern(&lf[669],12, C_text("list->vector"));
lf[670]=C_h_intern(&lf[670],12, C_text("vector->list"));
lf[671]=C_h_intern(&lf[671],12, C_text("vector-fill!"));
lf[672]=C_h_intern(&lf[672],12, C_text("vector-copy!"));
lf[673]=C_decode_literal(C_heaptop,C_text("\376B\000\000)cannot copy vector - count exceeds length"));
lf[674]=C_h_intern(&lf[674],9, C_text("subvector"));
lf[675]=C_h_intern(&lf[675],13, C_text("vector-resize"));
lf[677]=C_h_intern(&lf[677],9, C_text("char-name"));
lf[678]=C_decode_literal(C_heaptop,C_text("\376B\000\000\026invalid character name"));
lf[679]=C_h_intern(&lf[679],36, C_text("##sys#call-with-current-continuation"));
lf[680]=C_h_intern(&lf[680],23, C_text("##sys#call-with-cthulhu"));
lf[681]=C_h_intern(&lf[681],22, C_text("##sys#call-with-values"));
lf[682]=C_h_intern(&lf[682],14, C_text("##sys#for-each"));
lf[683]=C_h_intern(&lf[683],8, C_text("for-each"));
lf[684]=C_h_intern(&lf[684],9, C_text("##sys#map"));
lf[685]=C_h_intern(&lf[685],3, C_text("map"));
lf[686]=C_decode_literal(C_heaptop,C_text("\376B\000\000\034lists are not of same length"));
lf[687]=C_h_intern(&lf[687],19, C_text("##sys#dynamic-winds"));
lf[688]=C_h_intern(&lf[688],18, C_text("##sys#dynamic-wind"));
lf[690]=C_h_intern(&lf[690],16, C_text("input-port-open\077"));
lf[691]=C_h_intern(&lf[691],17, C_text("output-port-open\077"));
lf[692]=C_h_intern(&lf[692],16, C_text("##sys#check-port"));
lf[693]=C_h_intern(&lf[693],12, C_text("port-closed\077"));
lf[694]=C_h_intern(&lf[694],15, C_text("##sys#make-port"));
lf[695]=C_h_intern(&lf[695],24, C_text("##sys#dispatch-interrupt"));
lf[696]=C_h_intern(&lf[696],11, C_text("\000file-error"));
lf[697]=C_h_intern(&lf[697],9, C_text("read-char"));
lf[698]=C_decode_literal(C_heaptop,C_text("\376B\000\000\030cannot read from port - "));
lf[699]=C_h_intern(&lf[699],19, C_text("##sys#peek-c-string"));
lf[700]=C_h_intern(&lf[700],18, C_text("##sys#update-errno"));
lf[701]=C_h_intern(&lf[701],9, C_text("peek-char"));
lf[702]=C_decode_literal(C_heaptop,C_text("\376B\000\000\030cannot read from port - "));
lf[703]=C_h_intern(&lf[703],12, C_text("read-string!"));
lf[704]=C_decode_literal(C_heaptop,C_text("\376B\000\000\030cannot read from port - "));
lf[705]=C_h_intern(&lf[705],9, C_text("read-line"));
lf[706]=C_decode_literal(C_heaptop,C_text("\376B\000\000\030cannot read from port - "));
lf[707]=C_decode_literal(C_heaptop,C_text("\376B\000\000\000"));
lf[708]=C_h_intern(&lf[708],23, C_text("##sys#stream-port-class"));
lf[709]=C_h_intern(&lf[709],20, C_text("##sys#open-file-port"));
lf[710]=C_h_intern(&lf[710],20, C_text("##sys#standard-input"));
lf[711]=C_h_intern(&lf[711],21, C_text("##sys#standard-output"));
lf[712]=C_h_intern(&lf[712],20, C_text("##sys#standard-error"));
lf[713]=C_h_intern(&lf[713],22, C_text("##sys#check-input-port"));
lf[714]=C_h_intern(&lf[714],23, C_text("##sys#check-output-port"));
lf[715]=C_h_intern(&lf[715],21, C_text("##sys#check-open-port"));
lf[716]=C_h_intern(&lf[716],18, C_text("current-input-port"));
lf[717]=C_h_intern(&lf[717],19, C_text("current-output-port"));
lf[718]=C_h_intern(&lf[718],18, C_text("current-error-port"));
lf[719]=C_h_intern(&lf[719],15, C_text("##sys#tty-port\077"));
lf[720]=C_h_intern(&lf[720],27, C_text("##sys#peek-unsigned-integer"));
lf[721]=C_h_intern(&lf[721],15, C_text("##sys#port-data"));
lf[722]=C_h_intern(&lf[722],20, C_text("##sys#set-port-data!"));
lf[723]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001r"));
lf[724]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001w"));
lf[725]=C_decode_literal(C_heaptop,C_text("\376B\000\000\000"));
lf[726]=C_decode_literal(C_heaptop,C_text("\376B\000\000\023cannot open file - "));
lf[727]=C_h_intern(&lf[727],6, C_text("stream"));
lf[728]=C_h_intern(&lf[728],7, C_text("\000binary"));
lf[729]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001b"));
lf[730]=C_h_intern(&lf[730],5, C_text("\000text"));
lf[731]=C_decode_literal(C_heaptop,C_text("\376B\000\000\000"));
lf[732]=C_h_intern(&lf[732],7, C_text("\000append"));
lf[733]=C_decode_literal(C_heaptop,C_text("\376B\000\000&cannot use append mode with input file"));
lf[734]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001a"));
lf[735]=C_decode_literal(C_heaptop,C_text("\376B\000\000\023invalid file option"));
lf[736]=C_h_intern(&lf[736],15, C_text("open-input-file"));
lf[737]=C_h_intern(&lf[737],16, C_text("open-output-file"));
lf[738]=C_h_intern(&lf[738],16, C_text("close-input-port"));
lf[739]=C_h_intern(&lf[739],17, C_text("close-output-port"));
lf[740]=C_h_intern(&lf[740],18, C_text("##sys#file-exists\077"));
lf[741]=C_decode_literal(C_heaptop,C_text("\376B\000\000(system error while trying to access file"));
lf[742]=C_h_intern(&lf[742],19, C_text("##sys#make-c-string"));
lf[743]=C_h_intern(&lf[743],18, C_text("##sys#flush-output"));
lf[744]=C_h_intern(&lf[744],12, C_text("flush-output"));
lf[745]=C_h_intern(&lf[745],15, C_text("##sys#port-line"));
lf[746]=C_h_intern(&lf[746],21, C_text("##sys#decorate-lambda"));
lf[747]=C_h_intern(&lf[747],23, C_text("##sys#lambda-decoration"));
lf[748]=C_h_intern(&lf[748],22, C_text("##sys#make-lambda-info"));
lf[749]=C_h_intern(&lf[749],18, C_text("##sys#lambda-info\077"));
lf[750]=C_h_intern(&lf[750],17, C_text("##sys#lambda-info"));
lf[751]=C_h_intern(&lf[751],25, C_text("##sys#lambda-info->string"));
lf[752]=C_h_intern(&lf[752],10, C_text("##sys#read"));
lf[753]=C_h_intern(&lf[753],21, C_text("procedure-information"));
lf[754]=C_h_intern(&lf[754],6, C_text("setter"));
lf[756]=C_h_intern(&lf[756],12, C_text("##sys#setter"));
lf[757]=C_h_intern(&lf[757],18, C_text("getter-with-setter"));
lf[759]=C_h_intern(&lf[759],30, C_text("##sys#current-parameter-vector"));
lf[760]=C_decode_literal(C_heaptop,C_text("\376\000\000\000\000"));
lf[761]=C_h_intern(&lf[761],11, C_text("char-ready\077"));
lf[762]=C_h_intern(&lf[762],17, C_text("##sys#read-char-0"));
lf[763]=C_h_intern(&lf[763],20, C_text("##sys#read-char/port"));
lf[764]=C_h_intern(&lf[764],17, C_text("##sys#peek-char-0"));
lf[765]=C_h_intern(&lf[765],4, C_text("read"));
lf[766]=C_h_intern(&lf[766],28, C_text("##sys#default-read-info-hook"));
lf[767]=C_h_intern(&lf[767],33, C_text("##sys#read-error-with-line-number"));
lf[768]=C_h_intern(&lf[768],22, C_text("##sys#read-prompt-hook"));
lf[769]=C_h_intern(&lf[769],21, C_text("##sys#infix-list-hook"));
lf[770]=C_h_intern(&lf[770],23, C_text("##sys#sharp-number-hook"));
lf[771]=C_h_intern(&lf[771],16, C_text("##sys#read-error"));
lf[772]=C_decode_literal(C_heaptop,C_text("\376B\000\000\032invalid `#...\047 read syntax"));
lf[773]=C_h_intern(&lf[773],24, C_text("##sys#current-read-table"));
lf[774]=C_h_intern(&lf[774],18, C_text("##sys#read-warning"));
lf[775]=C_decode_literal(C_heaptop,C_text("\376B\000\000\006(line "));
lf[776]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002) "));
lf[777]=C_h_intern(&lf[777],13, C_text("\000syntax-error"));
lf[778]=C_decode_literal(C_heaptop,C_text("\376B\000\000\006(line "));
lf[779]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002) "));
lf[780]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\377\012\000\000,\376\003\000\000\002\376\377\012\000\000;\376\003\000\000\002\376\377\012\000\000(\376\003\000\000\002\376\377\012\000\000)\376\003\000\000\002\376\377\012\000\000\047\376\003\000\000\002\376\377\012\000\000\042\376\003\000\000\002\376\377\012\000\000[\376\003\000"
"\000\002\376\377\012\000\000]\376\003\000\000\002\376\377\012\000\000{\376\003\000\000\002\376\377\012\000\000}\376\377\016"));
lf[781]=C_decode_literal(C_heaptop,C_text("\376B\000\000\032unexpected list terminator"));
lf[782]=C_decode_literal(C_heaptop,C_text("\376B\000\000\022reserved character"));
lf[783]=C_decode_literal(C_heaptop,C_text("\376B\000\000\032invalid escape-sequence \047\134"));
lf[784]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001\047"));
lf[785]=C_decode_literal(C_heaptop,C_text("\376B\000\000\034unterminated string constant"));
lf[786]=C_h_intern(&lf[786],23, C_text("##sys#char->utf8-string"));
lf[787]=C_decode_literal(C_heaptop,C_text("\376B\000\000\023unterminated string"));
lf[788]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001x"));
lf[789]=C_decode_literal(C_heaptop,C_text("\376B\000\000\022bad surrogate pair"));
lf[790]=C_h_intern(&lf[790],27, C_text("##sys#surrogates->codepoint"));
lf[791]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001u"));
lf[792]=C_decode_literal(C_heaptop,C_text("\376B\000\000\032unpaired escaped surrogate"));
lf[793]=C_h_intern(&lf[793],24, C_text("##sys#unicode-surrogate\077"));
lf[794]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001u"));
lf[795]=C_decode_literal(C_heaptop,C_text("\376B\000\000\032invalid escape (surrogate)"));
lf[796]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001U"));
lf[797]=C_decode_literal(C_heaptop,C_text("\376B\000\0006escaped whitespace, but no newline - collapsing anyway"));
lf[798]=C_decode_literal(C_heaptop,C_text("\376B\000\000\023unterminated string"));
lf[799]=C_decode_literal(C_heaptop,C_text("\376B\000\000\000"));
lf[800]=C_decode_literal(C_heaptop,C_text("\376B\000\000\077undefined escape sequence in string - probably forgot backslash"));
lf[801]=C_decode_literal(C_heaptop,C_text("\376B\000\000\023, starting in line "));
lf[802]=C_h_intern(&lf[802],9, C_text("list-info"));
lf[803]=C_decode_literal(C_heaptop,C_text("\376B\000\000\030list-terminator mismatch"));
lf[804]=C_decode_literal(C_heaptop,C_text("\376B\000\000\021unterminated list"));
lf[805]=C_decode_literal(C_heaptop,C_text("\376B\000\000\027missing list terminator"));
lf[806]=C_decode_literal(C_heaptop,C_text("\376B\000\000\022invalid use of `.\047"));
lf[807]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002.:"));
lf[808]=C_h_intern(&lf[808],7, C_text("\000suffix"));
lf[809]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001."));
lf[810]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001."));
lf[811]=C_decode_literal(C_heaptop,C_text("\376B\000\000\015missing token"));
lf[812]=C_h_intern(&lf[812],18, C_text("##sys#list->vector"));
lf[813]=C_decode_literal(C_heaptop,C_text("\376B\000\000\025invalid vector syntax"));
lf[814]=C_h_intern(&lf[814],11, C_text("symbol-info"));
lf[815]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001."));
lf[816]=C_decode_literal(C_heaptop,C_text("\376B\000\000\022invalid use of `.\047"));
lf[817]=C_decode_literal(C_heaptop,C_text("\376B\000\000\042unexpected prefix in number syntax"));
lf[818]=C_decode_literal(C_heaptop,C_text("\376B\000\000\025illegal number syntax"));
lf[819]=C_decode_literal(C_heaptop,C_text("\376B\000\000!unexpected end of numeric literal"));
lf[820]=C_decode_literal(C_heaptop,C_text("\376B\000\0000illegal number syntax - invalid exactness prefix"));
lf[821]=C_decode_literal(C_heaptop,C_text("\376B\000\000!unexpected end of numeric literal"));
lf[822]=C_decode_literal(C_heaptop,C_text("\376B\000\000%illegal number syntax - invalid radix"));
lf[823]=C_decode_literal(C_heaptop,C_text("\376B\000\000Eattempt to read expression from something that looks like binary data"));
lf[824]=C_decode_literal(C_heaptop,C_text("\376B\000\000\052escaped symbol syntax spans multiple lines"));
lf[825]=C_h_intern(&lf[825],7, C_text("\000prefix"));
lf[826]=C_decode_literal(C_heaptop,C_text("\376B\000\0006unexpected end of file while reading escaped character"));
lf[827]=C_decode_literal(C_heaptop,C_text("\376B\000\000\027unknown named character"));
lf[828]=C_decode_literal(C_heaptop,C_text("\376B\000\000\032unterminated block-comment"));
lf[829]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002##"));
lf[830]=C_h_intern(&lf[830],5, C_text("quote"));
lf[831]=C_h_intern(&lf[831],10, C_text("quasiquote"));
lf[832]=C_h_intern(&lf[832],16, C_text("unquote-splicing"));
lf[833]=C_h_intern(&lf[833],7, C_text("unquote"));
lf[834]=C_decode_literal(C_heaptop,C_text("\376B\000\000,unexpected end of input after reading #-sign"));
lf[835]=C_decode_literal(C_heaptop,C_text("\376B\000\000%unexpected end of input after reading"));
lf[836]=C_decode_literal(C_heaptop,C_text("\376B\000\000!invalid parameterized read syntax"));
lf[837]=C_decode_literal(C_heaptop,C_text("\376B\000\0006unexpected end of input while reading `#c...\047 sequence"));
lf[838]=C_decode_literal(C_heaptop,C_text("\376B\000\000\052invalid case specifier in `#c...\047 sequence"));
lf[839]=C_h_intern(&lf[839],11, C_text("quasisyntax"));
lf[840]=C_h_intern(&lf[840],29, C_text("##sys#read-bytevector-literal"));
lf[841]=C_h_intern(&lf[841],8, C_text("location"));
lf[842]=C_decode_literal(C_heaptop,C_text("\376B\000\000\015empty keyword"));
lf[843]=C_h_intern(&lf[843],11, C_text("cond-expand"));
lf[844]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\004else\376\377\016"));
lf[845]=C_decode_literal(C_heaptop,C_text("\376B\000\000\003eof"));
lf[846]=C_decode_literal(C_heaptop,C_text("\376B\000\000\010optional"));
lf[847]=C_decode_literal(C_heaptop,C_text("\376B\000\000\004rest"));
lf[848]=C_decode_literal(C_heaptop,C_text("\376B\000\000\003key"));
lf[849]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002#!"));
lf[850]=C_h_intern(&lf[850],16, C_text("##sys#read-marks"));
lf[851]=C_decode_literal(C_heaptop,C_text("\376B\000\000\022invalid `#!\047 token"));
lf[852]=C_h_intern(&lf[852],20, C_text("##sys#user-read-hook"));
lf[853]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\377\012\000\000[\376\003\000\000\002\376\377\012\000\000]\376\003\000\000\002\376\377\012\000\000{\376\003\000\000\002\376\377\012\000\000}\376\377\016"));
lf[854]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\377\012\000\000|\376\377\016"));
lf[855]=C_decode_literal(C_heaptop,C_text("\376B\000\000\035UTF-8 codepoint out of range:"));
lf[856]=C_decode_literal(C_heaptop,C_text("\376B\000\000 invalid hex-code in blob-literal"));
lf[857]=C_decode_literal(C_heaptop,C_text("\376B\000\000\036unexpected end of blob literal"));
lf[858]=C_decode_literal(C_heaptop,C_text("\376B\000\000\036invalid sharp-sign read syntax"));
lf[859]=C_h_intern(&lf[859],18, C_text("##sys#write-char-0"));
lf[860]=C_h_intern(&lf[860],21, C_text("##sys#write-char/port"));
lf[861]=C_h_intern(&lf[861],10, C_text("write-char"));
lf[862]=C_h_intern(&lf[862],5, C_text("write"));
lf[863]=C_h_intern(&lf[863],11, C_text("##sys#print"));
lf[864]=C_h_intern(&lf[864],7, C_text("display"));
lf[865]=C_h_intern(&lf[865],5, C_text("print"));
lf[867]=C_h_intern(&lf[867],24, C_text("##sys#print-length-limit"));
lf[869]=C_decode_literal(C_heaptop,C_text("\376B\000\000\003..."));
lf[870]=C_decode_literal(C_heaptop,C_text("\376B\000\000\003..."));
lf[871]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002\134x"));
lf[872]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\377\012\000\000(\376\003\000\000\002\376\377\012\000\000)\376\003\000\000\002\376\377\012\000\000,\376\003\000\000\002\376\377\012\000\000[\376\003\000\000\002\376\377\012\000\000]\376\003\000\000\002\376\377\012\000\000{\376\003\000\000\002\376\377\012\000\000}\376\003\000"
"\000\002\376\377\012\000\000\047\376\003\000\000\002\376\377\012\000\000\042\376\003\000\000\002\376\377\012\000\000;\376\003\000\000\002\376\377\012\000\000 \376\003\000\000\002\376\377\012\000\000`\376\003\000\000\002\376\377\012\000\000|\376\003\000\000\002\376\377\012\000\000\134\376\377\016"));
lf[873]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002()"));
lf[874]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002#t"));
lf[875]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002#f"));
lf[876]=C_decode_literal(C_heaptop,C_text("\376B\000\000\005#!eof"));
lf[877]=C_decode_literal(C_heaptop,C_text("\376B\000\000\016#<unspecified>"));
lf[878]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002#\134"));
lf[879]=C_decode_literal(C_heaptop,C_text("\376B\000\000\020#<unbound value>"));
lf[880]=C_decode_literal(C_heaptop,C_text("\376B\000\000\033#<invalid immediate object>"));
lf[881]=C_decode_literal(C_heaptop,C_text("\376B\000\000\033#<invalid forwarded object>"));
lf[882]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002#:"));
lf[883]=C_h_intern(&lf[883],21, C_text("##sys#pointer->string"));
lf[884]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002\134\042"));
lf[885]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002\134\134"));
lf[886]=C_decode_literal(C_heaptop,C_text("\376B\000\000\003 . "));
lf[887]=C_decode_literal(C_heaptop,C_text("\376B\000\000\003#${"));
lf[888]=C_h_intern(&lf[888],21, C_text("##sys#user-print-hook"));
lf[889]=C_h_intern(&lf[889],23, C_text("##sys#procedure->string"));
lf[890]=C_decode_literal(C_heaptop,C_text("\376B\000\000\013#<locative>"));
lf[891]=C_decode_literal(C_heaptop,C_text("\376B\000\000\016#<lambda info "));
lf[892]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002\042>"));
lf[893]=C_decode_literal(C_heaptop,C_text("\376B\000\000\016#<input port \042"));
lf[894]=C_decode_literal(C_heaptop,C_text("\376B\000\000\017#<output port \042"));
lf[895]=C_decode_literal(C_heaptop,C_text("\376B\000\000\010#<port \042"));
lf[896]=C_decode_literal(C_heaptop,C_text("\376B\000\000\003#()"));
lf[897]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002#("));
lf[898]=C_decode_literal(C_heaptop,C_text("\376B\000\000,unprintable non-immediate object encountered"));
lf[899]=C_decode_literal(C_heaptop,C_text("\376B\000\000\014#<procedure "));
lf[900]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001>"));
lf[901]=C_decode_literal(C_heaptop,C_text("\376B\000\000\014#<procedure>"));
lf[902]=C_h_intern(&lf[902],21, C_text("##sys#record-printers"));
lf[903]=C_h_intern(&lf[903],29, C_text("##sys#register-record-printer"));
lf[904]=C_h_intern(&lf[904],9, C_text("condition"));
lf[905]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\003exn\376\001\000\000\007message"));
lf[906]=C_decode_literal(C_heaptop,C_text("\376B\000\000\003\047: "));
lf[907]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002\047>"));
lf[908]=C_decode_literal(C_heaptop,C_text("\376B\000\000##<Error in printer of record type `"));
lf[909]=C_h_intern(&lf[909],40, C_text("chicken.condition#with-exception-handler"));
lf[910]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002: "));
lf[911]=C_h_intern(&lf[911],6, C_text("thread"));
lf[912]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002: "));
lf[913]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002#<"));
lf[914]=C_h_intern(&lf[914],29, C_text("##sys#with-print-length-limit"));
lf[915]=C_h_intern(&lf[915],16, C_text("##sys#copy-bytes"));
lf[916]=C_decode_literal(C_heaptop,C_text("\376B\000\000\022string buffer full"));
lf[917]=C_h_intern(&lf[917],22, C_text("##sys#scan-buffer-line"));
lf[918]=C_decode_literal(C_heaptop,C_text("\376B\000\000\000"));
lf[919]=C_h_intern(&lf[919],23, C_text("##sys#string-port-class"));
lf[920]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001\015"));
lf[921]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001\015"));
lf[922]=C_decode_literal(C_heaptop,C_text("\376B\000\000\000"));
lf[923]=C_h_intern(&lf[923],17, C_text("open-input-string"));
lf[924]=C_decode_literal(C_heaptop,C_text("\376B\000\000\010(string)"));
lf[925]=C_h_intern(&lf[925],6, C_text("string"));
lf[926]=C_decode_literal(C_heaptop,C_text("\376B\000\000\010(string)"));
lf[927]=C_h_intern(&lf[927],17, C_text("get-output-string"));
lf[928]=C_decode_literal(C_heaptop,C_text("\376B\000\000$argument is not a string-output-port"));
lf[929]=C_h_intern(&lf[929],21, C_text("##sys#print-to-string"));
lf[930]=C_decode_literal(C_heaptop,C_text("\376B\000\000\021#<tagged pointer "));
lf[931]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001 "));
lf[932]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001>"));
lf[933]=C_h_intern(&lf[933],22, C_text("##sys#pointer->address"));
lf[934]=C_decode_literal(C_heaptop,C_text("\376B\000\000\014#<pointer 0x"));
lf[935]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001>"));
lf[936]=C_h_intern(&lf[936],20, C_text("##sys#current-thread"));
lf[937]=C_h_intern(&lf[937],27, C_text("##sys#peek-nonnull-c-string"));
lf[938]=C_h_intern(&lf[938],29, C_text("##sys#really-print-call-chain"));
lf[939]=C_h_intern(&lf[939],9, C_text("frameinfo"));
lf[940]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002] "));
lf[941]=C_decode_literal(C_heaptop,C_text("\376B\000\000\003\011  "));
lf[942]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002\012\011"));
lf[943]=C_decode_literal(C_heaptop,C_text("\376B\000\000\005\011<--\012"));
lf[944]=C_decode_literal(C_heaptop,C_text("\376B\000\000\020\012\011Call history:\012"));
lf[945]=C_h_intern(&lf[945],16, C_text("print-call-chain"));
lf[946]=C_h_intern(&lf[946],25, C_text("##sys#user-interrupt-hook"));
lf[947]=C_h_intern(&lf[947],15, C_text("\000user-interrupt"));
lf[948]=C_h_intern(&lf[948],23, C_text("##sys#primordial-thread"));
lf[951]=C_h_intern(&lf[951],22, C_text("##sys#force-finalizers"));
lf[952]=C_h_intern(&lf[952],27, C_text("chicken.gc#force-finalizers"));
lf[953]=C_decode_literal(C_heaptop,C_text("\376B\000\000\036[debug] forcing finalizers...\012"));
lf[954]=C_h_intern(&lf[954],21, C_text("##sys#dump-heap-state"));
lf[955]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001\012"));
lf[956]=C_h_intern(&lf[956],19, C_text("##sys#reset-handler"));
lf[957]=C_h_intern(&lf[957],18, C_text("chicken.condition#"));
lf[958]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\016user-interrupt\376\377\016"));
lf[959]=C_h_intern(&lf[959],23, C_text("chicken.condition#abort"));
lf[960]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002: "));
lf[961]=C_decode_literal(C_heaptop,C_text("\376B\000\000\012\012Warning: "));
lf[962]=C_decode_literal(C_heaptop,C_text("\376B\000\000\007\012Note: "));
lf[963]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\003exn\376\001\000\000\007message"));
lf[964]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\003exn\376\001\000\000\011arguments"));
lf[965]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\003exn\376\001\000\000\012call-chain"));
lf[966]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\003exn\376\001\000\000\010location"));
lf[967]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\003exn\376\003\000\000\002\376\001\000\000\004type\376\377\016"));
lf[968]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\003exn\376\003\000\000\002\376\001\000\000\006syntax\376\377\016"));
lf[969]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\003exn\376\003\000\000\002\376\001\000\000\006bounds\376\377\016"));
lf[970]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\003exn\376\003\000\000\002\376\001\000\000\012arithmetic\376\377\016"));
lf[971]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\003exn\376\003\000\000\002\376\001\000\000\003i/o\376\003\000\000\002\376\001\000\000\004file\376\377\016"));
lf[972]=C_h_intern(&lf[972],14, C_text("\000runtime-error"));
lf[973]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\003exn\376\003\000\000\002\376\001\000\000\007runtime\376\377\016"));
lf[974]=C_h_intern(&lf[974],14, C_text("\000process-error"));
lf[975]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\003exn\376\003\000\000\002\376\001\000\000\007process\376\377\016"));
lf[976]=C_h_intern(&lf[976],14, C_text("\000network-error"));
lf[977]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\003exn\376\003\000\000\002\376\001\000\000\003i/o\376\003\000\000\002\376\001\000\000\003net\376\377\016"));
lf[978]=C_h_intern(&lf[978],22, C_text("\000network-timeout-error"));
lf[979]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\003exn\376\003\000\000\002\376\001\000\000\003i/o\376\003\000\000\002\376\001\000\000\003net\376\003\000\000\002\376\001\000\000\007timeout\376\377\016"));
lf[980]=C_h_intern(&lf[980],12, C_text("\000limit-error"));
lf[981]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\003exn\376\003\000\000\002\376\001\000\000\007runtime\376\003\000\000\002\376\001\000\000\005limit\376\377\016"));
lf[982]=C_h_intern(&lf[982],12, C_text("\000arity-error"));
lf[983]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\003exn\376\003\000\000\002\376\001\000\000\005arity\376\377\016"));
lf[984]=C_h_intern(&lf[984],13, C_text("\000access-error"));
lf[985]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\003exn\376\003\000\000\002\376\001\000\000\006access\376\377\016"));
lf[986]=C_h_intern(&lf[986],13, C_text("\000domain-error"));
lf[987]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\003exn\376\003\000\000\002\376\001\000\000\006domain\376\377\016"));
lf[988]=C_h_intern(&lf[988],13, C_text("\000memory-error"));
lf[989]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\003exn\376\003\000\000\002\376\001\000\000\006memory\376\377\016"));
lf[990]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\003exn\376\377\016"));
lf[991]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\003exn\376\001\000\000\007message"));
lf[992]=C_decode_literal(C_heaptop,C_text("\376B\000\000\032exception handler returned"));
lf[993]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\003exn\376\001\000\000\011arguments"));
lf[994]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\003exn\376\001\000\000\010location"));
lf[995]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\003exn\376\377\016"));
lf[996]=C_h_intern(&lf[996],31, C_text("##sys#current-exception-handler"));
lf[997]=C_h_intern(&lf[997],24, C_text("chicken.condition#signal"));
lf[998]=C_h_intern(&lf[998],20, C_text("##sys#break-on-error"));
lf[999]=C_h_intern(&lf[999],19, C_text("##sys#error-handler"));
lf[1000]=C_h_intern(&lf[1000],20, C_text("##sys#last-exception"));
lf[1001]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\022uncaught-exception\376\001\000\000\006reason"));
lf[1002]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\022uncaught-exception\376\377\016"));
lf[1003]=C_h_intern(&lf[1003],3, C_text("exn"));
lf[1004]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\003exn\376\001\000\000\007message"));
lf[1005]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\003exn\376\001\000\000\011arguments"));
lf[1006]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\003exn\376\001\000\000\010location"));
lf[1007]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001("));
lf[1008]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002) "));
lf[1009]=C_decode_literal(C_heaptop,C_text("\376B\000\000\000"));
lf[1010]=C_decode_literal(C_heaptop,C_text("\376B\000\000 <exn: has no `message\047 property>"));
lf[1011]=C_h_intern(&lf[1011],14, C_text("user-interrupt"));
lf[1012]=C_decode_literal(C_heaptop,C_text("\376B\000\000\030\012\052\052\052 user interrupt \052\052\052\012"));
lf[1013]=C_h_intern(&lf[1013],18, C_text("uncaught-exception"));
lf[1014]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\022uncaught-exception\376\001\000\000\006reason"));
lf[1015]=C_decode_literal(C_heaptop,C_text("\376B\000\000\022uncaught exception"));
lf[1016]=C_h_intern(&lf[1016],43, C_text("chicken.condition#current-exception-handler"));
lf[1017]=C_h_intern(&lf[1017],25, C_text("current-exception-handler"));
lf[1019]=C_decode_literal(C_heaptop,C_text("\376B\000\000%argument is not an even property list"));
lf[1020]=C_h_intern(&lf[1020],41, C_text("chicken.condition#make-property-condition"));
lf[1021]=C_h_intern(&lf[1021],23, C_text("make-property-condition"));
lf[1022]=C_h_intern(&lf[1022],42, C_text("chicken.condition#make-composite-condition"));
lf[1023]=C_h_intern(&lf[1023],24, C_text("make-composite-condition"));
lf[1024]=C_h_intern(&lf[1024],27, C_text("chicken.condition#condition"));
lf[1025]=C_h_intern(&lf[1025],28, C_text("chicken.condition#condition\077"));
lf[1026]=C_h_intern(&lf[1026],33, C_text("chicken.condition#condition->list"));
lf[1027]=C_h_intern(&lf[1027],15, C_text("condition->list"));
lf[1028]=C_decode_literal(C_heaptop,C_text("\376B\000\000\042argument is not a condition object"));
lf[1029]=C_h_intern(&lf[1029],37, C_text("chicken.condition#condition-predicate"));
lf[1030]=C_h_intern(&lf[1030],45, C_text("chicken.condition#condition-property-accessor"));
lf[1031]=C_h_intern(&lf[1031],27, C_text("condition-property-accessor"));
lf[1032]=C_decode_literal(C_heaptop,C_text("\376B\000\000\036condition has no such property"));
lf[1033]=C_h_intern(&lf[1033],40, C_text("chicken.condition#get-condition-property"));
lf[1034]=C_h_intern(&lf[1034],37, C_text("chicken.condition#print-error-message"));
lf[1035]=C_h_intern(&lf[1035],19, C_text("print-error-message"));
lf[1036]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002: "));
lf[1037]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001("));
lf[1038]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002) "));
lf[1039]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002: "));
lf[1040]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\016user-interrupt\376\377\016"));
lf[1041]=C_decode_literal(C_heaptop,C_text("\376B\000\000\030: \052\052\052 user interrupt \052\052\052"));
lf[1042]=C_decode_literal(C_heaptop,C_text("\376B\000\000\016: <condition> "));
lf[1043]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002: "));
lf[1044]=C_decode_literal(C_heaptop,C_text("\376B\000\000\026: uncaught exception: "));
lf[1045]=C_decode_literal(C_heaptop,C_text("\376B\000\000\005Error"));
lf[1046]=C_h_intern(&lf[1046],28, C_text("##sys#show-exception-warning"));
lf[1047]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002: "));
lf[1048]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002 ("));
lf[1049]=C_decode_literal(C_heaptop,C_text("\376B\000\000\007Warning"));
lf[1050]=C_decode_literal(C_heaptop,C_text("\376B\000\000\036bad argument count - received "));
lf[1051]=C_decode_literal(C_heaptop,C_text("\376B\000\000\016 but expected "));
lf[1052]=C_decode_literal(C_heaptop,C_text("\376B\000\000\035too few arguments - received "));
lf[1053]=C_decode_literal(C_heaptop,C_text("\376B\000\000\016 but expected "));
lf[1054]=C_decode_literal(C_heaptop,C_text("\376B\000\000\021bad argument type"));
lf[1055]=C_decode_literal(C_heaptop,C_text("\376B\000\000\020unbound variable"));
lf[1056]=C_decode_literal(C_heaptop,C_text("\376B\000\000\015out of memory"));
lf[1057]=C_decode_literal(C_heaptop,C_text("\376B\000\000\020division by zero"));
lf[1058]=C_decode_literal(C_heaptop,C_text("\376B\000\000\014out of range"));
lf[1059]=C_decode_literal(C_heaptop,C_text("\376B\000\000\025call of non-procedure"));
lf[1060]=C_decode_literal(C_heaptop,C_text("\376B\000\000+continuation cannot receive multiple values"));
lf[1061]=C_decode_literal(C_heaptop,C_text("\376B\000\000)bad argument type - not a non-cyclic list"));
lf[1062]=C_decode_literal(C_heaptop,C_text("\376B\000\000\022recursion too deep"));
lf[1063]=C_decode_literal(C_heaptop,C_text("\376B\000\0007inexact number cannot be represented as an exact number"));
lf[1064]=C_decode_literal(C_heaptop,C_text("\376B\000\000%bad argument type - not a proper list"));
lf[1065]=C_decode_literal(C_heaptop,C_text("\376B\000\000 bad argument type - not a fixnum"));
lf[1066]=C_decode_literal(C_heaptop,C_text("\376B\000\000 bad argument type - not a number"));
lf[1067]=C_decode_literal(C_heaptop,C_text("\376B\000\000 bad argument type - not a string"));
lf[1068]=C_decode_literal(C_heaptop,C_text("\376B\000\000\036bad argument type - not a pair"));
lf[1069]=C_decode_literal(C_heaptop,C_text("\376B\000\000\036bad argument type - not a list"));
lf[1070]=C_decode_literal(C_heaptop,C_text("\376B\000\000#bad argument type - not a character"));
lf[1071]=C_decode_literal(C_heaptop,C_text("\376B\000\000 bad argument type - not a vector"));
lf[1072]=C_decode_literal(C_heaptop,C_text("\376B\000\000 bad argument type - not a symbol"));
lf[1073]=C_decode_literal(C_heaptop,C_text("\376B\000\000\016stack overflow"));
lf[1074]=C_decode_literal(C_heaptop,C_text("\376B\000\0008bad argument type - not a structure of the required type"));
lf[1075]=C_decode_literal(C_heaptop,C_text("\376B\000\000\036bad argument type - not a blob"));
lf[1076]=C_decode_literal(C_heaptop,C_text("\376B\000\000#locative refers to reclaimed object"));
lf[1077]=C_decode_literal(C_heaptop,C_text("\376B\000\000-bad argument type - not a non-immediate value"));
lf[1078]=C_decode_literal(C_heaptop,C_text("\376B\000\000\047bad argument type - not a number vector"));
lf[1079]=C_decode_literal(C_heaptop,C_text("\376B\000\000\042bad argument type - not an integer"));
lf[1080]=C_decode_literal(C_heaptop,C_text("\376B\000\000+bad argument type - not an unsigned integer"));
lf[1081]=C_decode_literal(C_heaptop,C_text("\376B\000\000!bad argument type - not a pointer"));
lf[1082]=C_decode_literal(C_heaptop,C_text("\376B\000\000(bad argument type - not a tagged pointer"));
lf[1083]=C_decode_literal(C_heaptop,C_text("\376B\000\000 bad argument type - not a flonum"));
lf[1084]=C_decode_literal(C_heaptop,C_text("\376B\000\000#bad argument type - not a procedure"));
lf[1085]=C_decode_literal(C_heaptop,C_text("\376B\000\000 bad argument type - invalid base"));
lf[1086]=C_decode_literal(C_heaptop,C_text("\376B\000\000/recursion too deep or circular data encountered"));
lf[1087]=C_decode_literal(C_heaptop,C_text("\376B\000\000!bad argument type - not a boolean"));
lf[1088]=C_decode_literal(C_heaptop,C_text("\376B\000\000\042bad argument type - not a locative"));
lf[1089]=C_decode_literal(C_heaptop,C_text("\376B\000\000\036bad argument type - not a port"));
lf[1090]=C_decode_literal(C_heaptop,C_text("\376B\000\0002bad argument type - not a port of the correct type"));
lf[1091]=C_decode_literal(C_heaptop,C_text("\376B\000\000%bad argument type - not an input-port"));
lf[1092]=C_decode_literal(C_heaptop,C_text("\376B\000\000&bad argument type - not an output-port"));
lf[1093]=C_decode_literal(C_heaptop,C_text("\376B\000\000\023port already closed"));
lf[1094]=C_decode_literal(C_heaptop,C_text("\376B\000\0002cannot represent string with NUL bytes as C string"));
lf[1095]=C_decode_literal(C_heaptop,C_text("\376B\000\000\026segmentation violation"));
lf[1096]=C_decode_literal(C_heaptop,C_text("\376B\000\000\030floating-point exception"));
lf[1097]=C_decode_literal(C_heaptop,C_text("\376B\000\000\023illegal instruction"));
lf[1098]=C_decode_literal(C_heaptop,C_text("\376B\000\000\011bus error"));
lf[1099]=C_decode_literal(C_heaptop,C_text("\376B\000\000\047bad argument type - not an exact number"));
lf[1100]=C_decode_literal(C_heaptop,C_text("\376B\000\000)bad argument type - not an inexact number"));
lf[1101]=C_decode_literal(C_heaptop,C_text("\376B\000\000\036bad argument type - not a real"));
lf[1102]=C_decode_literal(C_heaptop,C_text("\376B\000\0002bad argument type - complex number has no ordering"));
lf[1103]=C_decode_literal(C_heaptop,C_text("\376B\000\000(bad argument type - not an exact integer"));
lf[1104]=C_decode_literal(C_heaptop,C_text("\376B\000\000#number does not fit in foreign type"));
lf[1105]=C_decode_literal(C_heaptop,C_text("\376B\000\000/cannot compute absolute value of complex number"));
lf[1106]=C_decode_literal(C_heaptop,C_text("\376B\000\000\026unknown internal error"));
lf[1107]=C_h_intern(&lf[1107],16, C_text("##sys#structure\077"));
lf[1108]=C_h_intern(&lf[1108],24, C_text("##sys#generic-structure\077"));
lf[1109]=C_h_intern(&lf[1109],10, C_text("##sys#slot"));
lf[1110]=C_h_intern(&lf[1110],10, C_text("##sys#size"));
lf[1111]=C_h_intern(&lf[1111],18, C_text("##sys#make-pointer"));
lf[1112]=C_h_intern(&lf[1112],25, C_text("##sys#make-tagged-pointer"));
lf[1113]=C_h_intern(&lf[1113],14, C_text("##sys#pointer\077"));
lf[1114]=C_h_intern(&lf[1114],26, C_text("##sys#set-pointer-address!"));
lf[1115]=C_h_intern(&lf[1115],17, C_text("##sys#bytevector\077"));
lf[1116]=C_h_intern(&lf[1116],25, C_text("##sys#string->pbytevector"));
lf[1117]=C_h_intern(&lf[1117],16, C_text("##sys#permanent\077"));
lf[1118]=C_h_intern(&lf[1118],19, C_text("##sys#block-address"));
lf[1119]=C_h_intern(&lf[1119],15, C_text("##sys#locative\077"));
lf[1120]=C_h_intern(&lf[1120],20, C_text("##sys#srfi-4-vector\077"));
lf[1121]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\010u8vector\376\003\000\000\002\376\001\000\000\011u16vector\376\003\000\000\002\376\001\000\000\010s8vector\376\003\000\000\002\376\001\000\000\011s16vector\376\003\000\000\002\376"
"\001\000\000\011u32vector\376\003\000\000\002\376\001\000\000\011s32vector\376\003\000\000\002\376\001\000\000\011u64vector\376\003\000\000\002\376\001\000\000\011s64vector\376\003\000\000\002\376\001\000\000\011"
"f32vector\376\003\000\000\002\376\001\000\000\011f64vector\376\377\016"));
lf[1122]=C_h_intern(&lf[1122],18, C_text("##sys#null-pointer"));
lf[1123]=C_h_intern(&lf[1123],19, C_text("##sys#null-pointer\077"));
lf[1124]=C_h_intern(&lf[1124],22, C_text("##sys#address->pointer"));
lf[1125]=C_h_intern(&lf[1125],25, C_text("##sys#peek-signed-integer"));
lf[1126]=C_h_intern(&lf[1126],17, C_text("##sys#peek-fixnum"));
lf[1127]=C_h_intern(&lf[1127],15, C_text("##sys#peek-byte"));
lf[1128]=C_h_intern(&lf[1128],24, C_text("##sys#vector->structure!"));
lf[1129]=C_h_intern(&lf[1129],17, C_text("##sys#peek-double"));
lf[1130]=C_h_intern(&lf[1130],28, C_text("##sys#peek-and-free-c-string"));
lf[1131]=C_h_intern(&lf[1131],36, C_text("##sys#peek-and-free-nonnull-c-string"));
lf[1132]=C_h_intern(&lf[1132],19, C_text("##sys#poke-c-string"));
lf[1133]=C_h_intern(&lf[1133],18, C_text("##sys#poke-integer"));
lf[1134]=C_h_intern(&lf[1134],17, C_text("##sys#poke-double"));
lf[1135]=C_h_intern(&lf[1135],24, C_text("##sys#peek-c-string-list"));
lf[1136]=C_h_intern(&lf[1136],33, C_text("##sys#peek-and-free-c-string-list"));
lf[1137]=C_h_intern(&lf[1137],22, C_text("##sys#vector->closure!"));
lf[1138]=C_h_intern(&lf[1138],34, C_text("##sys#symbol-has-toplevel-binding\077"));
lf[1139]=C_h_intern(&lf[1139],16, C_text("##sys#copy-words"));
lf[1140]=C_h_intern(&lf[1140],19, C_text("##sys#compare-bytes"));
lf[1141]=C_h_intern(&lf[1141],19, C_text("##sys#block-pointer"));
lf[1142]=C_h_intern(&lf[1142],27, C_text("##sys#foreign-char-argument"));
lf[1143]=C_h_intern(&lf[1143],29, C_text("##sys#foreign-fixnum-argument"));
lf[1144]=C_h_intern(&lf[1144],29, C_text("##sys#foreign-flonum-argument"));
lf[1145]=C_h_intern(&lf[1145],28, C_text("##sys#foreign-block-argument"));
lf[1146]=C_h_intern(&lf[1146],37, C_text("##sys#foreign-struct-wrapper-argument"));
lf[1147]=C_h_intern(&lf[1147],29, C_text("##sys#foreign-string-argument"));
lf[1148]=C_h_intern(&lf[1148],29, C_text("##sys#foreign-symbol-argument"));
lf[1149]=C_h_intern(&lf[1149],30, C_text("##sys#foreign-pointer-argument"));
lf[1150]=C_h_intern(&lf[1150],37, C_text("##sys#foreign-tagged-pointer-argument"));
lf[1151]=C_h_intern(&lf[1151],37, C_text("##sys#foreign-ranged-integer-argument"));
lf[1152]=C_h_intern(&lf[1152],46, C_text("##sys#foreign-unsigned-ranged-integer-argument"));
lf[1153]=C_h_intern(&lf[1153],28, C_text("##sys#default-thread-quantum"));
lf[1154]=C_h_intern(&lf[1154],31, C_text("##sys#default-exception-handler"));
lf[1155]=C_decode_literal(C_heaptop,C_text("\376B\000\000>internal error: default exception handler shouldn\047t be called!"));
lf[1156]=C_h_intern(&lf[1156],17, C_text("##sys#make-thread"));
lf[1157]=C_h_intern(&lf[1157],16, C_text("##sys#make-mutex"));
lf[1158]=C_h_intern(&lf[1158],5, C_text("mutex"));
lf[1159]=C_h_intern(&lf[1159],14, C_text("##sys#schedule"));
lf[1160]=C_h_intern(&lf[1160],19, C_text("##sys#thread-yield!"));
lf[1161]=C_h_intern(&lf[1161],24, C_text("##sys#kill-other-threads"));
lf[1162]=C_h_intern(&lf[1162],23, C_text("chicken.base#sleep-hook"));
lf[1163]=C_h_intern(&lf[1163],5, C_text("sleep"));
lf[1164]=C_h_intern(&lf[1164],20, C_text("##sys#context-switch"));
lf[1165]=C_h_intern(&lf[1165],19, C_text("##sys#signal-vector"));
lf[1166]=C_h_intern(&lf[1166],20, C_text("##sys#interrupt-hook"));
lf[1167]=C_h_intern(&lf[1167],24, C_text("##sys#pending-finalizers"));
lf[1168]=C_h_intern(&lf[1168],28, C_text("##sys#run-pending-finalizers"));
lf[1169]=C_h_intern(&lf[1169],11, C_text("##sys#errno"));
lf[1170]=C_decode_literal(C_heaptop,C_text("\376B\000\000Lunexpected end of file - unterminated `#{...}\047 item in `here\047 string litera"
"l"));
lf[1171]=C_decode_literal(C_heaptop,C_text("\376B\000\000&unterminated here-doc string literal `"));
lf[1172]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001\047"));
lf[1173]=C_decode_literal(C_heaptop,C_text("\376B\000\000$Missing tag after #<< here-doc token"));
lf[1174]=C_decode_literal(C_heaptop,C_text("\376B\000\000!Whitespace after #<< here-doc tag"));
lf[1175]=C_h_intern(&lf[1175],4, C_text("cons"));
lf[1176]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\005quote\376\003\000\000\002\376\377\016\376\377\016"));
lf[1177]=C_decode_literal(C_heaptop,C_text("\376B\000\000$Missing tag after #<# here-doc token"));
lf[1178]=C_decode_literal(C_heaptop,C_text("\376B\000\000!Whitespace after #<# here-doc tag"));
lf[1179]=C_decode_literal(C_heaptop,C_text("\376B\000\000\021unreadable object"));
lf[1180]=C_h_intern(&lf[1180],24, C_text("chicken.process-context#"));
lf[1181]=C_h_intern(&lf[1181],40, C_text("chicken.process-context#change-directory"));
lf[1182]=C_h_intern(&lf[1182],16, C_text("change-directory"));
lf[1183]=C_decode_literal(C_heaptop,C_text("\376B\000\000\042cannot change current directory - "));
lf[1184]=C_h_intern(&lf[1184],27, C_text("##sys#change-directory-hook"));
lf[1185]=C_h_intern(&lf[1185],41, C_text("chicken.process-context#current-directory"));
lf[1186]=C_h_intern(&lf[1186],48, C_text("chicken.process-context#get-environment-variable"));
lf[1187]=C_h_intern(&lf[1187],49, C_text("chicken.process-context#set-environment-variable!"));
lf[1188]=C_h_intern(&lf[1188],25, C_text("set-environment-variable!"));
lf[1189]=C_h_intern(&lf[1189],51, C_text("chicken.process-context#unset-environment-variable!"));
lf[1190]=C_h_intern(&lf[1190],27, C_text("unset-environment-variable!"));
lf[1191]=C_h_intern(&lf[1191],49, C_text("chicken.process-context#get-environment-variables"));
lf[1192]=C_h_intern(&lf[1192],43, C_text("chicken.process-context#executable-pathname"));
lf[1193]=C_h_intern(&lf[1193],33, C_text("chicken.process-context#argc+argv"));
lf[1194]=C_h_intern(&lf[1194],28, C_text("chicken.process-context#argv"));
lf[1195]=C_h_intern(&lf[1195],36, C_text("chicken.process-context#program-name"));
lf[1196]=C_h_intern(&lf[1196],46, C_text("chicken.process-context#command-line-arguments"));
lf[1197]=C_h_intern(&lf[1197],11, C_text("chicken.gc#"));
lf[1198]=C_h_intern(&lf[1198],34, C_text("chicken.gc#current-gc-milliseconds"));
lf[1199]=C_h_intern(&lf[1199],25, C_text("chicken.gc#set-gc-report!"));
lf[1200]=C_h_intern(&lf[1200],28, C_text("chicken.gc#memory-statistics"));
lf[1201]=C_h_intern(&lf[1201],20, C_text("##sys#set-finalizer!"));
lf[1202]=C_h_intern(&lf[1202],25, C_text("chicken.gc#set-finalizer!"));
lf[1203]=C_decode_literal(C_heaptop,C_text("\376B\000\000\035[debug] too many finalizers ("));
lf[1204]=C_decode_literal(C_heaptop,C_text("\376B\000\000\035), resized max finalizers to "));
lf[1205]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001\012"));
lf[1206]=C_decode_literal(C_heaptop,C_text("\376B\000\000\035[debug] too many finalizers ("));
lf[1207]=C_decode_literal(C_heaptop,C_text("\376B\000\000\017), forcing ...\012"));
lf[1208]=C_decode_literal(C_heaptop,C_text("\376B\000\000\014in finalizer"));
lf[1209]=C_decode_literal(C_heaptop,C_text("\376B\000\000\020[debug] running "));
lf[1210]=C_decode_literal(C_heaptop,C_text("\376B\000\000\017 finalizer(s) ("));
lf[1211]=C_decode_literal(C_heaptop,C_text("\376B\000\000\007 live, "));
lf[1212]=C_decode_literal(C_heaptop,C_text("\376B\000\000\020 allocated) ...\012"));
lf[1213]=C_h_intern(&lf[1213],13, C_text("chicken.gc#gc"));
lf[1214]=C_h_intern(&lf[1214],12, C_text("##sys#length"));
lf[1215]=C_h_intern(&lf[1215],10, C_text("##sys#cons"));
lf[1216]=C_h_intern(&lf[1216],12, C_text("##sys#vector"));
lf[1217]=C_h_intern(&lf[1217],11, C_text("##sys#apply"));
lf[1218]=C_h_intern(&lf[1218],12, C_text("##sys#values"));
lf[1219]=C_h_intern(&lf[1219],12, C_text("##sys#equal\077"));
lf[1220]=C_h_intern(&lf[1220],9, C_text("##sys#car"));
lf[1221]=C_h_intern(&lf[1221],9, C_text("##sys#cdr"));
lf[1222]=C_h_intern(&lf[1222],11, C_text("##sys#pair\077"));
lf[1223]=C_h_intern(&lf[1223],13, C_text("##sys#vector\077"));
lf[1224]=C_h_intern(&lf[1224],18, C_text("##sys#vector->list"));
lf[1225]=C_h_intern(&lf[1225],19, C_text("##sys#vector-length"));
lf[1226]=C_h_intern(&lf[1226],16, C_text("##sys#vector-ref"));
lf[1227]=C_h_intern(&lf[1227],8, C_text("##sys#>="));
lf[1228]=C_h_intern(&lf[1228],7, C_text("##sys#="));
lf[1229]=C_h_intern(&lf[1229],7, C_text("##sys#+"));
lf[1230]=C_h_intern(&lf[1230],9, C_text("##sys#eq\077"));
lf[1231]=C_h_intern(&lf[1231],10, C_text("##sys#eqv\077"));
lf[1232]=C_h_intern(&lf[1232],11, C_text("##sys#list\077"));
lf[1233]=C_h_intern(&lf[1233],11, C_text("##sys#null\077"));
lf[1234]=C_h_intern(&lf[1234],11, C_text("##sys#map-n"));
lf[1235]=C_h_intern(&lf[1235],19, C_text("##sys#make-locative"));
lf[1236]=C_decode_literal(C_heaptop,C_text("\376B\000\000)locative cannot refer to immediate object"));
lf[1237]=C_h_intern(&lf[1237],8, C_text("u8vector"));
lf[1238]=C_h_intern(&lf[1238],8, C_text("s8vector"));
lf[1239]=C_h_intern(&lf[1239],9, C_text("u16vector"));
lf[1240]=C_h_intern(&lf[1240],9, C_text("s16vector"));
lf[1241]=C_h_intern(&lf[1241],9, C_text("u32vector"));
lf[1242]=C_h_intern(&lf[1242],9, C_text("s32vector"));
lf[1243]=C_h_intern(&lf[1243],9, C_text("u64vector"));
lf[1244]=C_h_intern(&lf[1244],9, C_text("s64vector"));
lf[1245]=C_h_intern(&lf[1245],9, C_text("f32vector"));
lf[1246]=C_h_intern(&lf[1246],9, C_text("f64vector"));
lf[1247]=C_decode_literal(C_heaptop,C_text("\376B\000\000Abad argument type - locative cannot refer to objects of this type"));
lf[1248]=C_h_intern(&lf[1248],14, C_text("chicken.plist#"));
lf[1249]=C_h_intern(&lf[1249],18, C_text("chicken.plist#put!"));
lf[1250]=C_h_intern(&lf[1250],4, C_text("put!"));
lf[1251]=C_h_intern(&lf[1251],17, C_text("chicken.plist#get"));
lf[1252]=C_h_intern(&lf[1252],3, C_text("get"));
lf[1253]=C_h_intern(&lf[1253],10, C_text("##sys#put!"));
lf[1254]=C_h_intern(&lf[1254],9, C_text("##sys#get"));
lf[1255]=C_h_intern(&lf[1255],22, C_text("chicken.plist#remprop!"));
lf[1256]=C_h_intern(&lf[1256],8, C_text("remprop!"));
lf[1257]=C_h_intern(&lf[1257],26, C_text("chicken.plist#symbol-plist"));
lf[1258]=C_h_intern(&lf[1258],28, C_text("chicken.plist#get-properties"));
lf[1259]=C_h_intern(&lf[1259],14, C_text("get-properties"));
lf[1260]=C_h_intern(&lf[1260],19, C_text("##sys#display-times"));
lf[1261]=C_decode_literal(C_heaptop,C_text("\376B\000\000\0010"));
lf[1262]=C_decode_literal(C_heaptop,C_text("\376U10.0\000"));
lf[1263]=C_decode_literal(C_heaptop,C_text("\376\302\000\000\01040000000"));
lf[1264]=C_decode_literal(C_heaptop,C_text("\376B\000\000\004 GiB"));
lf[1265]=C_decode_literal(C_heaptop,C_text("\376B\000\000\004 MiB"));
lf[1266]=C_decode_literal(C_heaptop,C_text("\376B\000\000\004 KiB"));
lf[1267]=C_decode_literal(C_heaptop,C_text("\376B\000\000\006 bytes"));
lf[1268]=C_decode_literal(C_heaptop,C_text("\376B\000\000\025, maximum live heap: "));
lf[1269]=C_decode_literal(C_heaptop,C_text("\376B\000\000\022 GCs (major/minor)"));
lf[1270]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002, "));
lf[1271]=C_decode_literal(C_heaptop,C_text("\376B\000\000\032 mutations (total/tracked)"));
lf[1272]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002, "));
lf[1273]=C_decode_literal(C_heaptop,C_text("\376B\000\000\021s GC time (major)"));
lf[1274]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002, "));
lf[1275]=C_decode_literal(C_heaptop,C_text("\376B\000\000\012s CPU time"));
lf[1276]=C_h_intern(&lf[1276],25, C_text("##sys#filter-heap-objects"));
lf[1277]=C_h_intern(&lf[1277],17, C_text("chicken.platform#"));
lf[1278]=C_h_intern(&lf[1278],30, C_text("chicken.platform#software-type"));
lf[1279]=C_h_intern(&lf[1279],29, C_text("chicken.platform#machine-type"));
lf[1280]=C_h_intern(&lf[1280],35, C_text("chicken.platform#machine-byte-order"));
lf[1281]=C_h_intern(&lf[1281],33, C_text("chicken.platform#software-version"));
lf[1282]=C_h_intern(&lf[1282],31, C_text("chicken.platform#build-platform"));
lf[1283]=C_h_intern(&lf[1283],22, C_text("##sys#windows-platform"));
lf[1284]=C_h_intern(&lf[1284],32, C_text("chicken.platform#chicken-version"));
lf[1285]=C_decode_literal(C_heaptop,C_text("\376B\000\000\010Version "));
lf[1286]=C_h_intern(&lf[1286],19, C_text("##sys#build-version"));
lf[1287]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001\012"));
lf[1288]=C_decode_literal(C_heaptop,C_text("\376B\000\000\000"));
lf[1289]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002 ["));
lf[1290]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002 ]"));
lf[1291]=C_h_intern(&lf[1291],7, C_text("unknown"));
lf[1292]=C_decode_literal(C_heaptop,C_text("\376B\000\000\000"));
lf[1293]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001-"));
lf[1294]=C_h_intern(&lf[1294],14, C_text("##sys#build-id"));
lf[1295]=C_decode_literal(C_heaptop,C_text("\376B\000\000\006 (rev "));
lf[1296]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001)"));
lf[1297]=C_decode_literal(C_heaptop,C_text("\376B\000\000\000"));
lf[1298]=C_h_intern(&lf[1298],18, C_text("##sys#build-branch"));
lf[1299]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002 ("));
lf[1300]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001)"));
lf[1301]=C_decode_literal(C_heaptop,C_text("\376B\000\000\000"));
lf[1302]=C_decode_literal(C_heaptop,C_text("\376B\000\000\006 64bit"));
lf[1303]=C_decode_literal(C_heaptop,C_text("\376B\000\000\000"));
lf[1304]=C_decode_literal(C_heaptop,C_text("\376B\000\000\006 dload"));
lf[1305]=C_decode_literal(C_heaptop,C_text("\376B\000\000\000"));
lf[1306]=C_decode_literal(C_heaptop,C_text("\376B\000\000\010 ptables"));
lf[1307]=C_decode_literal(C_heaptop,C_text("\376B\000\000\000"));
lf[1308]=C_decode_literal(C_heaptop,C_text("\376B\000\000\010 gchooks"));
lf[1309]=C_decode_literal(C_heaptop,C_text("\376B\000\000\000"));
lf[1310]=C_decode_literal(C_heaptop,C_text("\376B\000\000\006 cross"));
lf[1311]=C_decode_literal(C_heaptop,C_text("\376B\000\000\000"));
lf[1312]=C_h_intern(&lf[1312],25, C_text("chicken.platform#feature\077"));
lf[1313]=C_h_intern(&lf[1313],14, C_text("\000cross-chicken"));
lf[1314]=C_h_intern(&lf[1314],8, C_text("\000gchooks"));
lf[1315]=C_h_intern(&lf[1315],8, C_text("\000ptables"));
lf[1316]=C_h_intern(&lf[1316],6, C_text("\000dload"));
lf[1317]=C_h_intern(&lf[1317],6, C_text("\00064bit"));
lf[1318]=C_h_intern(&lf[1318],29, C_text("chicken.platform#chicken-home"));
lf[1320]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\377\006\000\376\377\016"));
lf[1321]=C_h_intern(&lf[1321],16, C_text("##sys#split-path"));
lf[1322]=C_h_intern(&lf[1322],32, C_text("chicken.platform#repository-path"));
lf[1323]=C_h_intern(&lf[1323],40, C_text("chicken.platform#installation-repository"));
lf[1325]=C_decode_literal(C_heaptop,C_text("\376B\000\0001bad argument type - not a valid feature identifer"));
lf[1326]=C_h_intern(&lf[1326],14, C_text("##sys#features"));
lf[1327]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\010\000chicken\376\003\000\000\002\376\001\000\000\007\000srfi-6\376\003\000\000\002\376\001\000\000\010\000srfi-12\376\003\000\000\002\376\001\000\000\010\000srfi-17\376\003\000\000\002\376\001\000\000"
"\010\000srfi-23\376\003\000\000\002\376\001\000\000\010\000srfi-30\376\003\000\000\002\376\001\000\000\010\000srfi-39\376\003\000\000\002\376\001\000\000\010\000srfi-62\376\003\000\000\002\376\001\000\000\023\000full-n"
"umeric-tower\376\377\016"));
lf[1328]=C_h_intern(&lf[1328],34, C_text("chicken.platform#register-feature!"));
lf[1329]=C_h_intern(&lf[1329],36, C_text("chicken.platform#unregister-feature!"));
lf[1330]=C_h_intern(&lf[1330],25, C_text("chicken.platform#features"));
lf[1331]=C_h_intern(&lf[1331],31, C_text("chicken.platform#return-to-host"));
lf[1332]=C_h_intern(&lf[1332],40, C_text("chicken.platform#system-config-directory"));
lf[1333]=C_decode_literal(C_heaptop,C_text("\376B\000\000\007APPDATA"));
lf[1334]=C_decode_literal(C_heaptop,C_text("\376B\000\000\010/.config"));
lf[1335]=C_decode_literal(C_heaptop,C_text("\376B\000\000\004HOME"));
lf[1336]=C_decode_literal(C_heaptop,C_text("\376B\000\000\017XDG_CONFIG_HOME"));
lf[1337]=C_h_intern(&lf[1337],39, C_text("chicken.platform#system-cache-directory"));
lf[1338]=C_decode_literal(C_heaptop,C_text("\376B\000\000\007APPDATA"));
lf[1339]=C_decode_literal(C_heaptop,C_text("\376B\000\000\014LOCALAPPDATA"));
lf[1340]=C_decode_literal(C_heaptop,C_text("\376B\000\000\007/.cache"));
lf[1341]=C_decode_literal(C_heaptop,C_text("\376B\000\000\004HOME"));
lf[1342]=C_decode_literal(C_heaptop,C_text("\376B\000\000\016XDG_CACHE_HOME"));
lf[1343]=C_decode_literal(C_heaptop,C_text("\376B\000\000\010chicken-"));
lf[1344]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001."));
lf[1345]=C_decode_literal(C_heaptop,C_text("\376B\000\000\010chicken-"));
lf[1346]=C_decode_literal(C_heaptop,C_text("\376B\000\000\032CHICKEN_INSTALL_REPOSITORY"));
lf[1347]=C_h_intern(&lf[1347],15, C_text("repository-path"));
lf[1348]=C_decode_literal(C_heaptop,C_text("\376B\000\000\027CHICKEN_REPOSITORY_PATH"));
lf[1349]=C_h_intern(&lf[1349],7, C_text("windows"));
lf[1350]=C_h_intern(&lf[1350],6, C_text("cygwin"));
lf[1351]=C_h_intern(&lf[1351],12, C_text("symbol-plist"));
lf[1352]=C_h_intern(&lf[1352],19, C_text("symbol-plist/setter"));
lf[1353]=C_decode_literal(C_heaptop,C_text("\376B\000\000$property-list must be of even length"));
lf[1354]=C_decode_literal(C_heaptop,C_text("\376B\000\000 (chicken.plist#symbol-plist sym)"));
lf[1355]=C_h_intern(&lf[1355],22, C_text("command-line-arguments"));
lf[1356]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002-:"));
lf[1357]=C_h_intern(&lf[1357],12, C_text("program-name"));
lf[1358]=C_decode_literal(C_heaptop,C_text("\376B\000\000\011<unknown>"));
lf[1359]=C_h_intern(&lf[1359],17, C_text("current-directory"));
lf[1360]=C_decode_literal(C_heaptop,C_text("\376B\000\000!cannot retrieve current directory"));
lf[1361]=C_decode_literal(C_heaptop,C_text("\376B\000\000+(chicken.process-context#current-directory)"));
lf[1362]=C_h_intern(&lf[1362],7, C_text("running"));
lf[1363]=C_h_intern(&lf[1363],10, C_text("primordial"));
lf[1364]=C_h_intern(&lf[1364],9, C_text("arguments"));
lf[1365]=C_h_intern(&lf[1365],7, C_text("message"));
lf[1366]=C_h_intern(&lf[1366],17, C_text("chicken.repl#repl"));
lf[1367]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002: "));
lf[1368]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002: "));
lf[1369]=C_decode_literal(C_heaptop,C_text("\376B\000\000\006\012Error"));
lf[1370]=C_decode_literal(C_heaptop,C_text("\376B\000\000\016error in error"));
lf[1371]=C_decode_literal(C_heaptop,C_text("\376B\000\000,\042exit\042 called while processing on-exit tasks"));
lf[1372]=C_h_intern(&lf[1372],10, C_text("read-table"));
lf[1373]=C_decode_literal(C_heaptop,C_text("\376B\000\000\021no setter defined"));
lf[1374]=C_decode_literal(C_heaptop,C_text("\376B\000\000#can not set setter of non-procedure"));
lf[1375]=C_decode_literal(C_heaptop,C_text("\376B\000\000\010(stderr)"));
lf[1376]=C_decode_literal(C_heaptop,C_text("\376B\000\000\010(stdout)"));
lf[1377]=C_decode_literal(C_heaptop,C_text("\376B\000\000\007(stdin)"));
lf[1378]=C_h_intern(&lf[1378],9, C_text("backspace"));
lf[1379]=C_h_intern(&lf[1379],4, C_text("page"));
lf[1380]=C_h_intern(&lf[1380],6, C_text("return"));
lf[1381]=C_h_intern(&lf[1381],4, C_text("null"));
lf[1382]=C_h_intern(&lf[1382],3, C_text("nul"));
lf[1383]=C_h_intern(&lf[1383],5, C_text("alarm"));
lf[1384]=C_h_intern(&lf[1384],6, C_text("escape"));
lf[1385]=C_h_intern(&lf[1385],3, C_text("esc"));
lf[1386]=C_h_intern(&lf[1386],6, C_text("delete"));
lf[1387]=C_h_intern(&lf[1387],4, C_text("vtab"));
lf[1388]=C_h_intern(&lf[1388],7, C_text("newline"));
lf[1389]=C_h_intern(&lf[1389],8, C_text("linefeed"));
lf[1390]=C_h_intern(&lf[1390],3, C_text("tab"));
lf[1391]=C_h_intern(&lf[1391],5, C_text("space"));
C_register_lf2(lf,1392,create_ptable());{}
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8510,a[2]=t1,tmp=(C_word)a,a+=3,tmp);{
C_word *av2=av;
av2[0]=C_SCHEME_UNDEFINED;
av2[1]=t2;
C_build_2dversion_toplevel(2,av2);}}

#ifdef C_ENABLE_PTABLES
static C_PTABLE_ENTRY ptable[2112] = {
{C_text("f33920:library_2escm"),(void*)f33920},
{C_text("f34448:library_2escm"),(void*)f34448},
{C_text("f36681:library_2escm"),(void*)f36681},
{C_text("f36687:library_2escm"),(void*)f36687},
{C_text("f36693:library_2escm"),(void*)f36693},
{C_text("f_10008:library_2escm"),(void*)f_10008},
{C_text("f_10014:library_2escm"),(void*)f_10014},
{C_text("f_10030:library_2escm"),(void*)f_10030},
{C_text("f_10055:library_2escm"),(void*)f_10055},
{C_text("f_10064:library_2escm"),(void*)f_10064},
{C_text("f_10105:library_2escm"),(void*)f_10105},
{C_text("f_10127:library_2escm"),(void*)f_10127},
{C_text("f_10159:library_2escm"),(void*)f_10159},
{C_text("f_10175:library_2escm"),(void*)f_10175},
{C_text("f_10178:library_2escm"),(void*)f_10178},
{C_text("f_10200:library_2escm"),(void*)f_10200},
{C_text("f_10206:library_2escm"),(void*)f_10206},
{C_text("f_10231:library_2escm"),(void*)f_10231},
{C_text("f_10271:library_2escm"),(void*)f_10271},
{C_text("f_10278:library_2escm"),(void*)f_10278},
{C_text("f_10283:library_2escm"),(void*)f_10283},
{C_text("f_10302:library_2escm"),(void*)f_10302},
{C_text("f_10324:library_2escm"),(void*)f_10324},
{C_text("f_10327:library_2escm"),(void*)f_10327},
{C_text("f_10330:library_2escm"),(void*)f_10330},
{C_text("f_10333:library_2escm"),(void*)f_10333},
{C_text("f_10339:library_2escm"),(void*)f_10339},
{C_text("f_10342:library_2escm"),(void*)f_10342},
{C_text("f_10345:library_2escm"),(void*)f_10345},
{C_text("f_10348:library_2escm"),(void*)f_10348},
{C_text("f_10351:library_2escm"),(void*)f_10351},
{C_text("f_10354:library_2escm"),(void*)f_10354},
{C_text("f_10357:library_2escm"),(void*)f_10357},
{C_text("f_10360:library_2escm"),(void*)f_10360},
{C_text("f_10363:library_2escm"),(void*)f_10363},
{C_text("f_10366:library_2escm"),(void*)f_10366},
{C_text("f_10369:library_2escm"),(void*)f_10369},
{C_text("f_10372:library_2escm"),(void*)f_10372},
{C_text("f_10375:library_2escm"),(void*)f_10375},
{C_text("f_10378:library_2escm"),(void*)f_10378},
{C_text("f_10381:library_2escm"),(void*)f_10381},
{C_text("f_10384:library_2escm"),(void*)f_10384},
{C_text("f_10387:library_2escm"),(void*)f_10387},
{C_text("f_10390:library_2escm"),(void*)f_10390},
{C_text("f_10393:library_2escm"),(void*)f_10393},
{C_text("f_10396:library_2escm"),(void*)f_10396},
{C_text("f_10399:library_2escm"),(void*)f_10399},
{C_text("f_10402:library_2escm"),(void*)f_10402},
{C_text("f_10405:library_2escm"),(void*)f_10405},
{C_text("f_10408:library_2escm"),(void*)f_10408},
{C_text("f_10411:library_2escm"),(void*)f_10411},
{C_text("f_10416:library_2escm"),(void*)f_10416},
{C_text("f_10425:library_2escm"),(void*)f_10425},
{C_text("f_10437:library_2escm"),(void*)f_10437},
{C_text("f_10452:library_2escm"),(void*)f_10452},
{C_text("f_10455:library_2escm"),(void*)f_10455},
{C_text("f_10463:library_2escm"),(void*)f_10463},
{C_text("f_10467:library_2escm"),(void*)f_10467},
{C_text("f_10469:library_2escm"),(void*)f_10469},
{C_text("f_10473:library_2escm"),(void*)f_10473},
{C_text("f_10476:library_2escm"),(void*)f_10476},
{C_text("f_10487:library_2escm"),(void*)f_10487},
{C_text("f_10489:library_2escm"),(void*)f_10489},
{C_text("f_10496:library_2escm"),(void*)f_10496},
{C_text("f_10499:library_2escm"),(void*)f_10499},
{C_text("f_10502:library_2escm"),(void*)f_10502},
{C_text("f_10507:library_2escm"),(void*)f_10507},
{C_text("f_10511:library_2escm"),(void*)f_10511},
{C_text("f_10516:library_2escm"),(void*)f_10516},
{C_text("f_10520:library_2escm"),(void*)f_10520},
{C_text("f_10523:library_2escm"),(void*)f_10523},
{C_text("f_10551:library_2escm"),(void*)f_10551},
{C_text("f_10554:library_2escm"),(void*)f_10554},
{C_text("f_10557:library_2escm"),(void*)f_10557},
{C_text("f_10574:library_2escm"),(void*)f_10574},
{C_text("f_10585:library_2escm"),(void*)f_10585},
{C_text("f_10597:library_2escm"),(void*)f_10597},
{C_text("f_10608:library_2escm"),(void*)f_10608},
{C_text("f_10619:library_2escm"),(void*)f_10619},
{C_text("f_10630:library_2escm"),(void*)f_10630},
{C_text("f_10641:library_2escm"),(void*)f_10641},
{C_text("f_10652:library_2escm"),(void*)f_10652},
{C_text("f_10663:library_2escm"),(void*)f_10663},
{C_text("f_10674:library_2escm"),(void*)f_10674},
{C_text("f_10685:library_2escm"),(void*)f_10685},
{C_text("f_10696:library_2escm"),(void*)f_10696},
{C_text("f_10707:library_2escm"),(void*)f_10707},
{C_text("f_10718:library_2escm"),(void*)f_10718},
{C_text("f_10729:library_2escm"),(void*)f_10729},
{C_text("f_10746:library_2escm"),(void*)f_10746},
{C_text("f_10763:library_2escm"),(void*)f_10763},
{C_text("f_10787:library_2escm"),(void*)f_10787},
{C_text("f_10804:library_2escm"),(void*)f_10804},
{C_text("f_10808:library_2escm"),(void*)f_10808},
{C_text("f_10834:library_2escm"),(void*)f_10834},
{C_text("f_10854:library_2escm"),(void*)f_10854},
{C_text("f_10865:library_2escm"),(void*)f_10865},
{C_text("f_10877:library_2escm"),(void*)f_10877},
{C_text("f_10911:library_2escm"),(void*)f_10911},
{C_text("f_10926:library_2escm"),(void*)f_10926},
{C_text("f_10993:library_2escm"),(void*)f_10993},
{C_text("f_11009:library_2escm"),(void*)f_11009},
{C_text("f_11025:library_2escm"),(void*)f_11025},
{C_text("f_11041:library_2escm"),(void*)f_11041},
{C_text("f_11057:library_2escm"),(void*)f_11057},
{C_text("f_11073:library_2escm"),(void*)f_11073},
{C_text("f_11089:library_2escm"),(void*)f_11089},
{C_text("f_11105:library_2escm"),(void*)f_11105},
{C_text("f_11121:library_2escm"),(void*)f_11121},
{C_text("f_11133:library_2escm"),(void*)f_11133},
{C_text("f_11152:library_2escm"),(void*)f_11152},
{C_text("f_11183:library_2escm"),(void*)f_11183},
{C_text("f_11200:library_2escm"),(void*)f_11200},
{C_text("f_11206:library_2escm"),(void*)f_11206},
{C_text("f_11230:library_2escm"),(void*)f_11230},
{C_text("f_11250:library_2escm"),(void*)f_11250},
{C_text("f_11254:library_2escm"),(void*)f_11254},
{C_text("f_11257:library_2escm"),(void*)f_11257},
{C_text("f_11286:library_2escm"),(void*)f_11286},
{C_text("f_11302:library_2escm"),(void*)f_11302},
{C_text("f_11324:library_2escm"),(void*)f_11324},
{C_text("f_11340:library_2escm"),(void*)f_11340},
{C_text("f_11345:library_2escm"),(void*)f_11345},
{C_text("f_11376:library_2escm"),(void*)f_11376},
{C_text("f_11387:library_2escm"),(void*)f_11387},
{C_text("f_11396:library_2escm"),(void*)f_11396},
{C_text("f_11425:library_2escm"),(void*)f_11425},
{C_text("f_11438:library_2escm"),(void*)f_11438},
{C_text("f_11448:library_2escm"),(void*)f_11448},
{C_text("f_11450:library_2escm"),(void*)f_11450},
{C_text("f_11457:library_2escm"),(void*)f_11457},
{C_text("f_11460:library_2escm"),(void*)f_11460},
{C_text("f_11469:library_2escm"),(void*)f_11469},
{C_text("f_11495:library_2escm"),(void*)f_11495},
{C_text("f_11500:library_2escm"),(void*)f_11500},
{C_text("f_11504:library_2escm"),(void*)f_11504},
{C_text("f_11509:library_2escm"),(void*)f_11509},
{C_text("f_11530:library_2escm"),(void*)f_11530},
{C_text("f_11536:library_2escm"),(void*)f_11536},
{C_text("f_11554:library_2escm"),(void*)f_11554},
{C_text("f_11560:library_2escm"),(void*)f_11560},
{C_text("f_11578:library_2escm"),(void*)f_11578},
{C_text("f_11584:library_2escm"),(void*)f_11584},
{C_text("f_11599:library_2escm"),(void*)f_11599},
{C_text("f_11605:library_2escm"),(void*)f_11605},
{C_text("f_11619:library_2escm"),(void*)f_11619},
{C_text("f_11640:library_2escm"),(void*)f_11640},
{C_text("f_11646:library_2escm"),(void*)f_11646},
{C_text("f_11664:library_2escm"),(void*)f_11664},
{C_text("f_11670:library_2escm"),(void*)f_11670},
{C_text("f_11688:library_2escm"),(void*)f_11688},
{C_text("f_11694:library_2escm"),(void*)f_11694},
{C_text("f_11709:library_2escm"),(void*)f_11709},
{C_text("f_11715:library_2escm"),(void*)f_11715},
{C_text("f_11730:library_2escm"),(void*)f_11730},
{C_text("f_11740:library_2escm"),(void*)f_11740},
{C_text("f_11746:library_2escm"),(void*)f_11746},
{C_text("f_11750:library_2escm"),(void*)f_11750},
{C_text("f_11752:library_2escm"),(void*)f_11752},
{C_text("f_11763:library_2escm"),(void*)f_11763},
{C_text("f_11775:library_2escm"),(void*)f_11775},
{C_text("f_11785:library_2escm"),(void*)f_11785},
{C_text("f_11791:library_2escm"),(void*)f_11791},
{C_text("f_11795:library_2escm"),(void*)f_11795},
{C_text("f_11800:library_2escm"),(void*)f_11800},
{C_text("f_11826:library_2escm"),(void*)f_11826},
{C_text("f_11830:library_2escm"),(void*)f_11830},
{C_text("f_11833:library_2escm"),(void*)f_11833},
{C_text("f_11841:library_2escm"),(void*)f_11841},
{C_text("f_11862:library_2escm"),(void*)f_11862},
{C_text("f_11876:library_2escm"),(void*)f_11876},
{C_text("f_11880:library_2escm"),(void*)f_11880},
{C_text("f_11921:library_2escm"),(void*)f_11921},
{C_text("f_11943:library_2escm"),(void*)f_11943},
{C_text("f_11945:library_2escm"),(void*)f_11945},
{C_text("f_11967:library_2escm"),(void*)f_11967},
{C_text("f_11969:library_2escm"),(void*)f_11969},
{C_text("f_11991:library_2escm"),(void*)f_11991},
{C_text("f_11993:library_2escm"),(void*)f_11993},
{C_text("f_12015:library_2escm"),(void*)f_12015},
{C_text("f_12017:library_2escm"),(void*)f_12017},
{C_text("f_12039:library_2escm"),(void*)f_12039},
{C_text("f_12041:library_2escm"),(void*)f_12041},
{C_text("f_12063:library_2escm"),(void*)f_12063},
{C_text("f_12065:library_2escm"),(void*)f_12065},
{C_text("f_12087:library_2escm"),(void*)f_12087},
{C_text("f_12089:library_2escm"),(void*)f_12089},
{C_text("f_12111:library_2escm"),(void*)f_12111},
{C_text("f_12113:library_2escm"),(void*)f_12113},
{C_text("f_12135:library_2escm"),(void*)f_12135},
{C_text("f_12137:library_2escm"),(void*)f_12137},
{C_text("f_12159:library_2escm"),(void*)f_12159},
{C_text("f_12161:library_2escm"),(void*)f_12161},
{C_text("f_12183:library_2escm"),(void*)f_12183},
{C_text("f_12185:library_2escm"),(void*)f_12185},
{C_text("f_12201:library_2escm"),(void*)f_12201},
{C_text("f_12203:library_2escm"),(void*)f_12203},
{C_text("f_12225:library_2escm"),(void*)f_12225},
{C_text("f_12227:library_2escm"),(void*)f_12227},
{C_text("f_12249:library_2escm"),(void*)f_12249},
{C_text("f_12251:library_2escm"),(void*)f_12251},
{C_text("f_12267:library_2escm"),(void*)f_12267},
{C_text("f_12269:library_2escm"),(void*)f_12269},
{C_text("f_12285:library_2escm"),(void*)f_12285},
{C_text("f_12287:library_2escm"),(void*)f_12287},
{C_text("f_12303:library_2escm"),(void*)f_12303},
{C_text("f_12305:library_2escm"),(void*)f_12305},
{C_text("f_12321:library_2escm"),(void*)f_12321},
{C_text("f_12323:library_2escm"),(void*)f_12323},
{C_text("f_12339:library_2escm"),(void*)f_12339},
{C_text("f_12341:library_2escm"),(void*)f_12341},
{C_text("f_12357:library_2escm"),(void*)f_12357},
{C_text("f_12359:library_2escm"),(void*)f_12359},
{C_text("f_12375:library_2escm"),(void*)f_12375},
{C_text("f_12377:library_2escm"),(void*)f_12377},
{C_text("f_12393:library_2escm"),(void*)f_12393},
{C_text("f_12395:library_2escm"),(void*)f_12395},
{C_text("f_12411:library_2escm"),(void*)f_12411},
{C_text("f_12413:library_2escm"),(void*)f_12413},
{C_text("f_12429:library_2escm"),(void*)f_12429},
{C_text("f_12431:library_2escm"),(void*)f_12431},
{C_text("f_12453:library_2escm"),(void*)f_12453},
{C_text("f_12455:library_2escm"),(void*)f_12455},
{C_text("f_12471:library_2escm"),(void*)f_12471},
{C_text("f_12473:library_2escm"),(void*)f_12473},
{C_text("f_12495:library_2escm"),(void*)f_12495},
{C_text("f_12497:library_2escm"),(void*)f_12497},
{C_text("f_12513:library_2escm"),(void*)f_12513},
{C_text("f_12515:library_2escm"),(void*)f_12515},
{C_text("f_12531:library_2escm"),(void*)f_12531},
{C_text("f_12533:library_2escm"),(void*)f_12533},
{C_text("f_12549:library_2escm"),(void*)f_12549},
{C_text("f_12551:library_2escm"),(void*)f_12551},
{C_text("f_12567:library_2escm"),(void*)f_12567},
{C_text("f_12569:library_2escm"),(void*)f_12569},
{C_text("f_12579:library_2escm"),(void*)f_12579},
{C_text("f_12591:library_2escm"),(void*)f_12591},
{C_text("f_12601:library_2escm"),(void*)f_12601},
{C_text("f_12605:library_2escm"),(void*)f_12605},
{C_text("f_12627:library_2escm"),(void*)f_12627},
{C_text("f_12631:library_2escm"),(void*)f_12631},
{C_text("f_12634:library_2escm"),(void*)f_12634},
{C_text("f_12639:library_2escm"),(void*)f_12639},
{C_text("f_12643:library_2escm"),(void*)f_12643},
{C_text("f_12646:library_2escm"),(void*)f_12646},
{C_text("f_12649:library_2escm"),(void*)f_12649},
{C_text("f_12660:library_2escm"),(void*)f_12660},
{C_text("f_12683:library_2escm"),(void*)f_12683},
{C_text("f_12709:library_2escm"),(void*)f_12709},
{C_text("f_12718:library_2escm"),(void*)f_12718},
{C_text("f_12723:library_2escm"),(void*)f_12723},
{C_text("f_12725:library_2escm"),(void*)f_12725},
{C_text("f_12764:library_2escm"),(void*)f_12764},
{C_text("f_12810:library_2escm"),(void*)f_12810},
{C_text("f_12834:library_2escm"),(void*)f_12834},
{C_text("f_12838:library_2escm"),(void*)f_12838},
{C_text("f_12856:library_2escm"),(void*)f_12856},
{C_text("f_12880:library_2escm"),(void*)f_12880},
{C_text("f_12884:library_2escm"),(void*)f_12884},
{C_text("f_12902:library_2escm"),(void*)f_12902},
{C_text("f_12943:library_2escm"),(void*)f_12943},
{C_text("f_12954:library_2escm"),(void*)f_12954},
{C_text("f_12960:library_2escm"),(void*)f_12960},
{C_text("f_12964:library_2escm"),(void*)f_12964},
{C_text("f_12969:library_2escm"),(void*)f_12969},
{C_text("f_12980:library_2escm"),(void*)f_12980},
{C_text("f_12993:library_2escm"),(void*)f_12993},
{C_text("f_13008:library_2escm"),(void*)f_13008},
{C_text("f_13012:library_2escm"),(void*)f_13012},
{C_text("f_13018:library_2escm"),(void*)f_13018},
{C_text("f_13022:library_2escm"),(void*)f_13022},
{C_text("f_13062:library_2escm"),(void*)f_13062},
{C_text("f_13066:library_2escm"),(void*)f_13066},
{C_text("f_13088:library_2escm"),(void*)f_13088},
{C_text("f_13091:library_2escm"),(void*)f_13091},
{C_text("f_13094:library_2escm"),(void*)f_13094},
{C_text("f_13097:library_2escm"),(void*)f_13097},
{C_text("f_13100:library_2escm"),(void*)f_13100},
{C_text("f_13121:library_2escm"),(void*)f_13121},
{C_text("f_13123:library_2escm"),(void*)f_13123},
{C_text("f_13141:library_2escm"),(void*)f_13141},
{C_text("f_13151:library_2escm"),(void*)f_13151},
{C_text("f_13155:library_2escm"),(void*)f_13155},
{C_text("f_13161:library_2escm"),(void*)f_13161},
{C_text("f_13193:library_2escm"),(void*)f_13193},
{C_text("f_13196:library_2escm"),(void*)f_13196},
{C_text("f_13199:library_2escm"),(void*)f_13199},
{C_text("f_13202:library_2escm"),(void*)f_13202},
{C_text("f_13211:library_2escm"),(void*)f_13211},
{C_text("f_13214:library_2escm"),(void*)f_13214},
{C_text("f_13244:library_2escm"),(void*)f_13244},
{C_text("f_13248:library_2escm"),(void*)f_13248},
{C_text("f_13315:library_2escm"),(void*)f_13315},
{C_text("f_13349:library_2escm"),(void*)f_13349},
{C_text("f_13399:library_2escm"),(void*)f_13399},
{C_text("f_13440:library_2escm"),(void*)f_13440},
{C_text("f_13481:library_2escm"),(void*)f_13481},
{C_text("f_13515:library_2escm"),(void*)f_13515},
{C_text("f_13539:library_2escm"),(void*)f_13539},
{C_text("f_13555:library_2escm"),(void*)f_13555},
{C_text("f_13558:library_2escm"),(void*)f_13558},
{C_text("f_13562:library_2escm"),(void*)f_13562},
{C_text("f_13565:library_2escm"),(void*)f_13565},
{C_text("f_13582:library_2escm"),(void*)f_13582},
{C_text("f_13600:library_2escm"),(void*)f_13600},
{C_text("f_13604:library_2escm"),(void*)f_13604},
{C_text("f_13623:library_2escm"),(void*)f_13623},
{C_text("f_13627:library_2escm"),(void*)f_13627},
{C_text("f_13658:library_2escm"),(void*)f_13658},
{C_text("f_13691:library_2escm"),(void*)f_13691},
{C_text("f_13695:library_2escm"),(void*)f_13695},
{C_text("f_13714:library_2escm"),(void*)f_13714},
{C_text("f_13716:library_2escm"),(void*)f_13716},
{C_text("f_13723:library_2escm"),(void*)f_13723},
{C_text("f_13759:library_2escm"),(void*)f_13759},
{C_text("f_13766:library_2escm"),(void*)f_13766},
{C_text("f_13802:library_2escm"),(void*)f_13802},
{C_text("f_13817:library_2escm"),(void*)f_13817},
{C_text("f_13826:library_2escm"),(void*)f_13826},
{C_text("f_13831:library_2escm"),(void*)f_13831},
{C_text("f_13844:library_2escm"),(void*)f_13844},
{C_text("f_13863:library_2escm"),(void*)f_13863},
{C_text("f_13867:library_2escm"),(void*)f_13867},
{C_text("f_13872:library_2escm"),(void*)f_13872},
{C_text("f_13876:library_2escm"),(void*)f_13876},
{C_text("f_13880:library_2escm"),(void*)f_13880},
{C_text("f_13884:library_2escm"),(void*)f_13884},
{C_text("f_13887:library_2escm"),(void*)f_13887},
{C_text("f_13901:library_2escm"),(void*)f_13901},
{C_text("f_13905:library_2escm"),(void*)f_13905},
{C_text("f_13916:library_2escm"),(void*)f_13916},
{C_text("f_13936:library_2escm"),(void*)f_13936},
{C_text("f_13940:library_2escm"),(void*)f_13940},
{C_text("f_13946:library_2escm"),(void*)f_13946},
{C_text("f_13966:library_2escm"),(void*)f_13966},
{C_text("f_13970:library_2escm"),(void*)f_13970},
{C_text("f_13976:library_2escm"),(void*)f_13976},
{C_text("f_13993:library_2escm"),(void*)f_13993},
{C_text("f_13997:library_2escm"),(void*)f_13997},
{C_text("f_14001:library_2escm"),(void*)f_14001},
{C_text("f_14011:library_2escm"),(void*)f_14011},
{C_text("f_14017:library_2escm"),(void*)f_14017},
{C_text("f_14022:library_2escm"),(void*)f_14022},
{C_text("f_14030:library_2escm"),(void*)f_14030},
{C_text("f_14050:library_2escm"),(void*)f_14050},
{C_text("f_14054:library_2escm"),(void*)f_14054},
{C_text("f_14064:library_2escm"),(void*)f_14064},
{C_text("f_14070:library_2escm"),(void*)f_14070},
{C_text("f_14075:library_2escm"),(void*)f_14075},
{C_text("f_14090:library_2escm"),(void*)f_14090},
{C_text("f_14094:library_2escm"),(void*)f_14094},
{C_text("f_14123:library_2escm"),(void*)f_14123},
{C_text("f_14127:library_2escm"),(void*)f_14127},
{C_text("f_14142:library_2escm"),(void*)f_14142},
{C_text("f_14152:library_2escm"),(void*)f_14152},
{C_text("f_14225:library_2escm"),(void*)f_14225},
{C_text("f_14237:library_2escm"),(void*)f_14237},
{C_text("f_14256:library_2escm"),(void*)f_14256},
{C_text("f_14270:library_2escm"),(void*)f_14270},
{C_text("f_14317:library_2escm"),(void*)f_14317},
{C_text("f_14321:library_2escm"),(void*)f_14321},
{C_text("f_14326:library_2escm"),(void*)f_14326},
{C_text("f_14336:library_2escm"),(void*)f_14336},
{C_text("f_14340:library_2escm"),(void*)f_14340},
{C_text("f_14349:library_2escm"),(void*)f_14349},
{C_text("f_14355:library_2escm"),(void*)f_14355},
{C_text("f_14372:library_2escm"),(void*)f_14372},
{C_text("f_14383:library_2escm"),(void*)f_14383},
{C_text("f_14389:library_2escm"),(void*)f_14389},
{C_text("f_14400:library_2escm"),(void*)f_14400},
{C_text("f_14411:library_2escm"),(void*)f_14411},
{C_text("f_14423:library_2escm"),(void*)f_14423},
{C_text("f_14435:library_2escm"),(void*)f_14435},
{C_text("f_14447:library_2escm"),(void*)f_14447},
{C_text("f_14464:library_2escm"),(void*)f_14464},
{C_text("f_14471:library_2escm"),(void*)f_14471},
{C_text("f_14475:library_2escm"),(void*)f_14475},
{C_text("f_14477:library_2escm"),(void*)f_14477},
{C_text("f_14483:library_2escm"),(void*)f_14483},
{C_text("f_14487:library_2escm"),(void*)f_14487},
{C_text("f_14490:library_2escm"),(void*)f_14490},
{C_text("f_14495:library_2escm"),(void*)f_14495},
{C_text("f_14505:library_2escm"),(void*)f_14505},
{C_text("f_14523:library_2escm"),(void*)f_14523},
{C_text("f_14541:library_2escm"),(void*)f_14541},
{C_text("f_14544:library_2escm"),(void*)f_14544},
{C_text("f_14564:library_2escm"),(void*)f_14564},
{C_text("f_14574:library_2escm"),(void*)f_14574},
{C_text("f_14578:library_2escm"),(void*)f_14578},
{C_text("f_14582:library_2escm"),(void*)f_14582},
{C_text("f_14598:library_2escm"),(void*)f_14598},
{C_text("f_14615:library_2escm"),(void*)f_14615},
{C_text("f_14626:library_2escm"),(void*)f_14626},
{C_text("f_14646:library_2escm"),(void*)f_14646},
{C_text("f_14660:library_2escm"),(void*)f_14660},
{C_text("f_14663:library_2escm"),(void*)f_14663},
{C_text("f_14673:library_2escm"),(void*)f_14673},
{C_text("f_14675:library_2escm"),(void*)f_14675},
{C_text("f_14694:library_2escm"),(void*)f_14694},
{C_text("f_14718:library_2escm"),(void*)f_14718},
{C_text("f_14722:library_2escm"),(void*)f_14722},
{C_text("f_14726:library_2escm"),(void*)f_14726},
{C_text("f_14761:library_2escm"),(void*)f_14761},
{C_text("f_14768:library_2escm"),(void*)f_14768},
{C_text("f_14780:library_2escm"),(void*)f_14780},
{C_text("f_14800:library_2escm"),(void*)f_14800},
{C_text("f_14804:library_2escm"),(void*)f_14804},
{C_text("f_14824:library_2escm"),(void*)f_14824},
{C_text("f_14833:library_2escm"),(void*)f_14833},
{C_text("f_14844:library_2escm"),(void*)f_14844},
{C_text("f_14848:library_2escm"),(void*)f_14848},
{C_text("f_14852:library_2escm"),(void*)f_14852},
{C_text("f_14859:library_2escm"),(void*)f_14859},
{C_text("f_14875:library_2escm"),(void*)f_14875},
{C_text("f_14879:library_2escm"),(void*)f_14879},
{C_text("f_14920:library_2escm"),(void*)f_14920},
{C_text("f_14953:library_2escm"),(void*)f_14953},
{C_text("f_14982:library_2escm"),(void*)f_14982},
{C_text("f_14990:library_2escm"),(void*)f_14990},
{C_text("f_14996:library_2escm"),(void*)f_14996},
{C_text("f_15016:library_2escm"),(void*)f_15016},
{C_text("f_15041:library_2escm"),(void*)f_15041},
{C_text("f_15047:library_2escm"),(void*)f_15047},
{C_text("f_15051:library_2escm"),(void*)f_15051},
{C_text("f_15058:library_2escm"),(void*)f_15058},
{C_text("f_15078:library_2escm"),(void*)f_15078},
{C_text("f_15099:library_2escm"),(void*)f_15099},
{C_text("f_15113:library_2escm"),(void*)f_15113},
{C_text("f_15120:library_2escm"),(void*)f_15120},
{C_text("f_15125:library_2escm"),(void*)f_15125},
{C_text("f_15131:library_2escm"),(void*)f_15131},
{C_text("f_15135:library_2escm"),(void*)f_15135},
{C_text("f_15138:library_2escm"),(void*)f_15138},
{C_text("f_15145:library_2escm"),(void*)f_15145},
{C_text("f_15166:library_2escm"),(void*)f_15166},
{C_text("f_15180:library_2escm"),(void*)f_15180},
{C_text("f_15184:library_2escm"),(void*)f_15184},
{C_text("f_15221:library_2escm"),(void*)f_15221},
{C_text("f_15229:library_2escm"),(void*)f_15229},
{C_text("f_15256:library_2escm"),(void*)f_15256},
{C_text("f_15259:library_2escm"),(void*)f_15259},
{C_text("f_15276:library_2escm"),(void*)f_15276},
{C_text("f_15279:library_2escm"),(void*)f_15279},
{C_text("f_15286:library_2escm"),(void*)f_15286},
{C_text("f_15297:library_2escm"),(void*)f_15297},
{C_text("f_15308:library_2escm"),(void*)f_15308},
{C_text("f_15333:library_2escm"),(void*)f_15333},
{C_text("f_15348:library_2escm"),(void*)f_15348},
{C_text("f_15371:library_2escm"),(void*)f_15371},
{C_text("f_15374:library_2escm"),(void*)f_15374},
{C_text("f_15384:library_2escm"),(void*)f_15384},
{C_text("f_15442:library_2escm"),(void*)f_15442},
{C_text("f_15458:library_2escm"),(void*)f_15458},
{C_text("f_15464:library_2escm"),(void*)f_15464},
{C_text("f_15527:library_2escm"),(void*)f_15527},
{C_text("f_15566:library_2escm"),(void*)f_15566},
{C_text("f_15572:library_2escm"),(void*)f_15572},
{C_text("f_15616:library_2escm"),(void*)f_15616},
{C_text("f_15620:library_2escm"),(void*)f_15620},
{C_text("f_15623:library_2escm"),(void*)f_15623},
{C_text("f_15672:library_2escm"),(void*)f_15672},
{C_text("f_15687:library_2escm"),(void*)f_15687},
{C_text("f_15696:library_2escm"),(void*)f_15696},
{C_text("f_15733:library_2escm"),(void*)f_15733},
{C_text("f_15743:library_2escm"),(void*)f_15743},
{C_text("f_15752:library_2escm"),(void*)f_15752},
{C_text("f_15755:library_2escm"),(void*)f_15755},
{C_text("f_15764:library_2escm"),(void*)f_15764},
{C_text("f_15773:library_2escm"),(void*)f_15773},
{C_text("f_15785:library_2escm"),(void*)f_15785},
{C_text("f_15791:library_2escm"),(void*)f_15791},
{C_text("f_15797:library_2escm"),(void*)f_15797},
{C_text("f_15838:library_2escm"),(void*)f_15838},
{C_text("f_15945:library_2escm"),(void*)f_15945},
{C_text("f_15952:library_2escm"),(void*)f_15952},
{C_text("f_15965:library_2escm"),(void*)f_15965},
{C_text("f_15971:library_2escm"),(void*)f_15971},
{C_text("f_16023:library_2escm"),(void*)f_16023},
{C_text("f_16038:library_2escm"),(void*)f_16038},
{C_text("f_16048:library_2escm"),(void*)f_16048},
{C_text("f_16084:library_2escm"),(void*)f_16084},
{C_text("f_16110:library_2escm"),(void*)f_16110},
{C_text("f_16121:library_2escm"),(void*)f_16121},
{C_text("f_16288:library_2escm"),(void*)f_16288},
{C_text("f_16303:library_2escm"),(void*)f_16303},
{C_text("f_16329:library_2escm"),(void*)f_16329},
{C_text("f_16361:library_2escm"),(void*)f_16361},
{C_text("f_16398:library_2escm"),(void*)f_16398},
{C_text("f_16422:library_2escm"),(void*)f_16422},
{C_text("f_16472:library_2escm"),(void*)f_16472},
{C_text("f_16520:library_2escm"),(void*)f_16520},
{C_text("f_16523:library_2escm"),(void*)f_16523},
{C_text("f_16542:library_2escm"),(void*)f_16542},
{C_text("f_16612:library_2escm"),(void*)f_16612},
{C_text("f_16633:library_2escm"),(void*)f_16633},
{C_text("f_16680:library_2escm"),(void*)f_16680},
{C_text("f_16772:library_2escm"),(void*)f_16772},
{C_text("f_16782:library_2escm"),(void*)f_16782},
{C_text("f_16791:library_2escm"),(void*)f_16791},
{C_text("f_16798:library_2escm"),(void*)f_16798},
{C_text("f_17027:library_2escm"),(void*)f_17027},
{C_text("f_17073:library_2escm"),(void*)f_17073},
{C_text("f_17076:library_2escm"),(void*)f_17076},
{C_text("f_17103:library_2escm"),(void*)f_17103},
{C_text("f_17127:library_2escm"),(void*)f_17127},
{C_text("f_17144:library_2escm"),(void*)f_17144},
{C_text("f_17243:library_2escm"),(void*)f_17243},
{C_text("f_17246:library_2escm"),(void*)f_17246},
{C_text("f_17255:library_2escm"),(void*)f_17255},
{C_text("f_17271:library_2escm"),(void*)f_17271},
{C_text("f_17282:library_2escm"),(void*)f_17282},
{C_text("f_17284:library_2escm"),(void*)f_17284},
{C_text("f_17295:library_2escm"),(void*)f_17295},
{C_text("f_17297:library_2escm"),(void*)f_17297},
{C_text("f_17308:library_2escm"),(void*)f_17308},
{C_text("f_17310:library_2escm"),(void*)f_17310},
{C_text("f_17327:library_2escm"),(void*)f_17327},
{C_text("f_17331:library_2escm"),(void*)f_17331},
{C_text("f_17335:library_2escm"),(void*)f_17335},
{C_text("f_17344:library_2escm"),(void*)f_17344},
{C_text("f_17364:library_2escm"),(void*)f_17364},
{C_text("f_17372:library_2escm"),(void*)f_17372},
{C_text("f_17387:library_2escm"),(void*)f_17387},
{C_text("f_17389:library_2escm"),(void*)f_17389},
{C_text("f_17414:library_2escm"),(void*)f_17414},
{C_text("f_17423:library_2escm"),(void*)f_17423},
{C_text("f_17432:library_2escm"),(void*)f_17432},
{C_text("f_17443:library_2escm"),(void*)f_17443},
{C_text("f_17453:library_2escm"),(void*)f_17453},
{C_text("f_17460:library_2escm"),(void*)f_17460},
{C_text("f_17471:library_2escm"),(void*)f_17471},
{C_text("f_17499:library_2escm"),(void*)f_17499},
{C_text("f_17503:library_2escm"),(void*)f_17503},
{C_text("f_17505:library_2escm"),(void*)f_17505},
{C_text("f_17509:library_2escm"),(void*)f_17509},
{C_text("f_17514:library_2escm"),(void*)f_17514},
{C_text("f_17520:library_2escm"),(void*)f_17520},
{C_text("f_17524:library_2escm"),(void*)f_17524},
{C_text("f_17529:library_2escm"),(void*)f_17529},
{C_text("f_17539:library_2escm"),(void*)f_17539},
{C_text("f_17541:library_2escm"),(void*)f_17541},
{C_text("f_17545:library_2escm"),(void*)f_17545},
{C_text("f_17551:library_2escm"),(void*)f_17551},
{C_text("f_17553:library_2escm"),(void*)f_17553},
{C_text("f_17557:library_2escm"),(void*)f_17557},
{C_text("f_17560:library_2escm"),(void*)f_17560},
{C_text("f_17576:library_2escm"),(void*)f_17576},
{C_text("f_17580:library_2escm"),(void*)f_17580},
{C_text("f_17583:library_2escm"),(void*)f_17583},
{C_text("f_17605:library_2escm"),(void*)f_17605},
{C_text("f_17621:library_2escm"),(void*)f_17621},
{C_text("f_17626:library_2escm"),(void*)f_17626},
{C_text("f_17657:library_2escm"),(void*)f_17657},
{C_text("f_17666:library_2escm"),(void*)f_17666},
{C_text("f_17684:library_2escm"),(void*)f_17684},
{C_text("f_17690:library_2escm"),(void*)f_17690},
{C_text("f_17696:library_2escm"),(void*)f_17696},
{C_text("f_17705:library_2escm"),(void*)f_17705},
{C_text("f_17724:library_2escm"),(void*)f_17724},
{C_text("f_17740:library_2escm"),(void*)f_17740},
{C_text("f_17743:library_2escm"),(void*)f_17743},
{C_text("f_17746:library_2escm"),(void*)f_17746},
{C_text("f_17751:library_2escm"),(void*)f_17751},
{C_text("f_17793:library_2escm"),(void*)f_17793},
{C_text("f_17812:library_2escm"),(void*)f_17812},
{C_text("f_17815:library_2escm"),(void*)f_17815},
{C_text("f_17818:library_2escm"),(void*)f_17818},
{C_text("f_17823:library_2escm"),(void*)f_17823},
{C_text("f_17864:library_2escm"),(void*)f_17864},
{C_text("f_17874:library_2escm"),(void*)f_17874},
{C_text("f_17885:library_2escm"),(void*)f_17885},
{C_text("f_17889:library_2escm"),(void*)f_17889},
{C_text("f_17892:library_2escm"),(void*)f_17892},
{C_text("f_17897:library_2escm"),(void*)f_17897},
{C_text("f_17924:library_2escm"),(void*)f_17924},
{C_text("f_17938:library_2escm"),(void*)f_17938},
{C_text("f_17949:library_2escm"),(void*)f_17949},
{C_text("f_17960:library_2escm"),(void*)f_17960},
{C_text("f_17971:library_2escm"),(void*)f_17971},
{C_text("f_17984:library_2escm"),(void*)f_17984},
{C_text("f_17986:library_2escm"),(void*)f_17986},
{C_text("f_17999:library_2escm"),(void*)f_17999},
{C_text("f_18027:library_2escm"),(void*)f_18027},
{C_text("f_18031:library_2escm"),(void*)f_18031},
{C_text("f_18040:library_2escm"),(void*)f_18040},
{C_text("f_18058:library_2escm"),(void*)f_18058},
{C_text("f_18061:library_2escm"),(void*)f_18061},
{C_text("f_18144:library_2escm"),(void*)f_18144},
{C_text("f_18147:library_2escm"),(void*)f_18147},
{C_text("f_18150:library_2escm"),(void*)f_18150},
{C_text("f_18153:library_2escm"),(void*)f_18153},
{C_text("f_18156:library_2escm"),(void*)f_18156},
{C_text("f_18159:library_2escm"),(void*)f_18159},
{C_text("f_18162:library_2escm"),(void*)f_18162},
{C_text("f_18165:library_2escm"),(void*)f_18165},
{C_text("f_18168:library_2escm"),(void*)f_18168},
{C_text("f_18171:library_2escm"),(void*)f_18171},
{C_text("f_18174:library_2escm"),(void*)f_18174},
{C_text("f_18177:library_2escm"),(void*)f_18177},
{C_text("f_18180:library_2escm"),(void*)f_18180},
{C_text("f_18183:library_2escm"),(void*)f_18183},
{C_text("f_18188:library_2escm"),(void*)f_18188},
{C_text("f_18194:library_2escm"),(void*)f_18194},
{C_text("f_18210:library_2escm"),(void*)f_18210},
{C_text("f_18226:library_2escm"),(void*)f_18226},
{C_text("f_18232:library_2escm"),(void*)f_18232},
{C_text("f_18252:library_2escm"),(void*)f_18252},
{C_text("f_18256:library_2escm"),(void*)f_18256},
{C_text("f_18268:library_2escm"),(void*)f_18268},
{C_text("f_18300:library_2escm"),(void*)f_18300},
{C_text("f_18304:library_2escm"),(void*)f_18304},
{C_text("f_18312:library_2escm"),(void*)f_18312},
{C_text("f_18322:library_2escm"),(void*)f_18322},
{C_text("f_18330:library_2escm"),(void*)f_18330},
{C_text("f_18366:library_2escm"),(void*)f_18366},
{C_text("f_18381:library_2escm"),(void*)f_18381},
{C_text("f_18391:library_2escm"),(void*)f_18391},
{C_text("f_18411:library_2escm"),(void*)f_18411},
{C_text("f_18424:library_2escm"),(void*)f_18424},
{C_text("f_18431:library_2escm"),(void*)f_18431},
{C_text("f_18433:library_2escm"),(void*)f_18433},
{C_text("f_18441:library_2escm"),(void*)f_18441},
{C_text("f_18443:library_2escm"),(void*)f_18443},
{C_text("f_18452:library_2escm"),(void*)f_18452},
{C_text("f_18470:library_2escm"),(void*)f_18470},
{C_text("f_18495:library_2escm"),(void*)f_18495},
{C_text("f_18511:library_2escm"),(void*)f_18511},
{C_text("f_18528:library_2escm"),(void*)f_18528},
{C_text("f_18532:library_2escm"),(void*)f_18532},
{C_text("f_18536:library_2escm"),(void*)f_18536},
{C_text("f_18538:library_2escm"),(void*)f_18538},
{C_text("f_18546:library_2escm"),(void*)f_18546},
{C_text("f_18548:library_2escm"),(void*)f_18548},
{C_text("f_18555:library_2escm"),(void*)f_18555},
{C_text("f_18559:library_2escm"),(void*)f_18559},
{C_text("f_18563:library_2escm"),(void*)f_18563},
{C_text("f_18572:library_2escm"),(void*)f_18572},
{C_text("f_18580:library_2escm"),(void*)f_18580},
{C_text("f_18590:library_2escm"),(void*)f_18590},
{C_text("f_18596:library_2escm"),(void*)f_18596},
{C_text("f_18599:library_2escm"),(void*)f_18599},
{C_text("f_18603:library_2escm"),(void*)f_18603},
{C_text("f_18630:library_2escm"),(void*)f_18630},
{C_text("f_18646:library_2escm"),(void*)f_18646},
{C_text("f_18652:library_2escm"),(void*)f_18652},
{C_text("f_18675:library_2escm"),(void*)f_18675},
{C_text("f_18688:library_2escm"),(void*)f_18688},
{C_text("f_18694:library_2escm"),(void*)f_18694},
{C_text("f_18699:library_2escm"),(void*)f_18699},
{C_text("f_18704:library_2escm"),(void*)f_18704},
{C_text("f_18708:library_2escm"),(void*)f_18708},
{C_text("f_18717:library_2escm"),(void*)f_18717},
{C_text("f_18748:library_2escm"),(void*)f_18748},
{C_text("f_18752:library_2escm"),(void*)f_18752},
{C_text("f_18756:library_2escm"),(void*)f_18756},
{C_text("f_18759:library_2escm"),(void*)f_18759},
{C_text("f_18762:library_2escm"),(void*)f_18762},
{C_text("f_18765:library_2escm"),(void*)f_18765},
{C_text("f_18767:library_2escm"),(void*)f_18767},
{C_text("f_18778:library_2escm"),(void*)f_18778},
{C_text("f_18789:library_2escm"),(void*)f_18789},
{C_text("f_18800:library_2escm"),(void*)f_18800},
{C_text("f_18811:library_2escm"),(void*)f_18811},
{C_text("f_18824:library_2escm"),(void*)f_18824},
{C_text("f_18826:library_2escm"),(void*)f_18826},
{C_text("f_18832:library_2escm"),(void*)f_18832},
{C_text("f_18837:library_2escm"),(void*)f_18837},
{C_text("f_18872:library_2escm"),(void*)f_18872},
{C_text("f_18885:library_2escm"),(void*)f_18885},
{C_text("f_18887:library_2escm"),(void*)f_18887},
{C_text("f_18893:library_2escm"),(void*)f_18893},
{C_text("f_18898:library_2escm"),(void*)f_18898},
{C_text("f_18933:library_2escm"),(void*)f_18933},
{C_text("f_18946:library_2escm"),(void*)f_18946},
{C_text("f_18948:library_2escm"),(void*)f_18948},
{C_text("f_18954:library_2escm"),(void*)f_18954},
{C_text("f_18959:library_2escm"),(void*)f_18959},
{C_text("f_18994:library_2escm"),(void*)f_18994},
{C_text("f_19006:library_2escm"),(void*)f_19006},
{C_text("f_19008:library_2escm"),(void*)f_19008},
{C_text("f_19014:library_2escm"),(void*)f_19014},
{C_text("f_19020:library_2escm"),(void*)f_19020},
{C_text("f_19030:library_2escm"),(void*)f_19030},
{C_text("f_19033:library_2escm"),(void*)f_19033},
{C_text("f_19036:library_2escm"),(void*)f_19036},
{C_text("f_19039:library_2escm"),(void*)f_19039},
{C_text("f_19042:library_2escm"),(void*)f_19042},
{C_text("f_19049:library_2escm"),(void*)f_19049},
{C_text("f_19053:library_2escm"),(void*)f_19053},
{C_text("f_19057:library_2escm"),(void*)f_19057},
{C_text("f_19063:library_2escm"),(void*)f_19063},
{C_text("f_19076:library_2escm"),(void*)f_19076},
{C_text("f_19118:library_2escm"),(void*)f_19118},
{C_text("f_19122:library_2escm"),(void*)f_19122},
{C_text("f_19155:library_2escm"),(void*)f_19155},
{C_text("f_19161:library_2escm"),(void*)f_19161},
{C_text("f_19167:library_2escm"),(void*)f_19167},
{C_text("f_19173:library_2escm"),(void*)f_19173},
{C_text("f_19179:library_2escm"),(void*)f_19179},
{C_text("f_19183:library_2escm"),(void*)f_19183},
{C_text("f_19188:library_2escm"),(void*)f_19188},
{C_text("f_19194:library_2escm"),(void*)f_19194},
{C_text("f_19198:library_2escm"),(void*)f_19198},
{C_text("f_19203:library_2escm"),(void*)f_19203},
{C_text("f_19207:library_2escm"),(void*)f_19207},
{C_text("f_19212:library_2escm"),(void*)f_19212},
{C_text("f_19218:library_2escm"),(void*)f_19218},
{C_text("f_19222:library_2escm"),(void*)f_19222},
{C_text("f_19227:library_2escm"),(void*)f_19227},
{C_text("f_19231:library_2escm"),(void*)f_19231},
{C_text("f_19236:library_2escm"),(void*)f_19236},
{C_text("f_19241:library_2escm"),(void*)f_19241},
{C_text("f_19247:library_2escm"),(void*)f_19247},
{C_text("f_19251:library_2escm"),(void*)f_19251},
{C_text("f_19256:library_2escm"),(void*)f_19256},
{C_text("f_19261:library_2escm"),(void*)f_19261},
{C_text("f_19265:library_2escm"),(void*)f_19265},
{C_text("f_19270:library_2escm"),(void*)f_19270},
{C_text("f_19275:library_2escm"),(void*)f_19275},
{C_text("f_19281:library_2escm"),(void*)f_19281},
{C_text("f_19285:library_2escm"),(void*)f_19285},
{C_text("f_19290:library_2escm"),(void*)f_19290},
{C_text("f_19295:library_2escm"),(void*)f_19295},
{C_text("f_19300:library_2escm"),(void*)f_19300},
{C_text("f_19321:library_2escm"),(void*)f_19321},
{C_text("f_19328:library_2escm"),(void*)f_19328},
{C_text("f_19334:library_2escm"),(void*)f_19334},
{C_text("f_19352:library_2escm"),(void*)f_19352},
{C_text("f_19361:library_2escm"),(void*)f_19361},
{C_text("f_19374:library_2escm"),(void*)f_19374},
{C_text("f_19382:library_2escm"),(void*)f_19382},
{C_text("f_19387:library_2escm"),(void*)f_19387},
{C_text("f_19424:library_2escm"),(void*)f_19424},
{C_text("f_19436:library_2escm"),(void*)f_19436},
{C_text("f_19446:library_2escm"),(void*)f_19446},
{C_text("f_19462:library_2escm"),(void*)f_19462},
{C_text("f_19475:library_2escm"),(void*)f_19475},
{C_text("f_19482:library_2escm"),(void*)f_19482},
{C_text("f_19484:library_2escm"),(void*)f_19484},
{C_text("f_19497:library_2escm"),(void*)f_19497},
{C_text("f_19503:library_2escm"),(void*)f_19503},
{C_text("f_19510:library_2escm"),(void*)f_19510},
{C_text("f_19512:library_2escm"),(void*)f_19512},
{C_text("f_19516:library_2escm"),(void*)f_19516},
{C_text("f_19519:library_2escm"),(void*)f_19519},
{C_text("f_19529:library_2escm"),(void*)f_19529},
{C_text("f_19533:library_2escm"),(void*)f_19533},
{C_text("f_19541:library_2escm"),(void*)f_19541},
{C_text("f_19544:library_2escm"),(void*)f_19544},
{C_text("f_19551:library_2escm"),(void*)f_19551},
{C_text("f_19554:library_2escm"),(void*)f_19554},
{C_text("f_19557:library_2escm"),(void*)f_19557},
{C_text("f_19560:library_2escm"),(void*)f_19560},
{C_text("f_19568:library_2escm"),(void*)f_19568},
{C_text("f_19576:library_2escm"),(void*)f_19576},
{C_text("f_19578:library_2escm"),(void*)f_19578},
{C_text("f_19594:library_2escm"),(void*)f_19594},
{C_text("f_19621:library_2escm"),(void*)f_19621},
{C_text("f_19625:library_2escm"),(void*)f_19625},
{C_text("f_19629:library_2escm"),(void*)f_19629},
{C_text("f_19633:library_2escm"),(void*)f_19633},
{C_text("f_19637:library_2escm"),(void*)f_19637},
{C_text("f_19641:library_2escm"),(void*)f_19641},
{C_text("f_19645:library_2escm"),(void*)f_19645},
{C_text("f_19649:library_2escm"),(void*)f_19649},
{C_text("f_19653:library_2escm"),(void*)f_19653},
{C_text("f_19657:library_2escm"),(void*)f_19657},
{C_text("f_19661:library_2escm"),(void*)f_19661},
{C_text("f_19665:library_2escm"),(void*)f_19665},
{C_text("f_19669:library_2escm"),(void*)f_19669},
{C_text("f_19673:library_2escm"),(void*)f_19673},
{C_text("f_19677:library_2escm"),(void*)f_19677},
{C_text("f_19681:library_2escm"),(void*)f_19681},
{C_text("f_19685:library_2escm"),(void*)f_19685},
{C_text("f_19692:library_2escm"),(void*)f_19692},
{C_text("f_19699:library_2escm"),(void*)f_19699},
{C_text("f_19700:library_2escm"),(void*)f_19700},
{C_text("f_19704:library_2escm"),(void*)f_19704},
{C_text("f_19707:library_2escm"),(void*)f_19707},
{C_text("f_19723:library_2escm"),(void*)f_19723},
{C_text("f_19734:library_2escm"),(void*)f_19734},
{C_text("f_19742:library_2escm"),(void*)f_19742},
{C_text("f_19754:library_2escm"),(void*)f_19754},
{C_text("f_19763:library_2escm"),(void*)f_19763},
{C_text("f_19768:library_2escm"),(void*)f_19768},
{C_text("f_19824:library_2escm"),(void*)f_19824},
{C_text("f_19838:library_2escm"),(void*)f_19838},
{C_text("f_19850:library_2escm"),(void*)f_19850},
{C_text("f_19856:library_2escm"),(void*)f_19856},
{C_text("f_19881:library_2escm"),(void*)f_19881},
{C_text("f_19899:library_2escm"),(void*)f_19899},
{C_text("f_19903:library_2escm"),(void*)f_19903},
{C_text("f_19959:library_2escm"),(void*)f_19959},
{C_text("f_19968:library_2escm"),(void*)f_19968},
{C_text("f_19981:library_2escm"),(void*)f_19981},
{C_text("f_19993:library_2escm"),(void*)f_19993},
{C_text("f_20011:library_2escm"),(void*)f_20011},
{C_text("f_20031:library_2escm"),(void*)f_20031},
{C_text("f_20034:library_2escm"),(void*)f_20034},
{C_text("f_20037:library_2escm"),(void*)f_20037},
{C_text("f_20045:library_2escm"),(void*)f_20045},
{C_text("f_20049:library_2escm"),(void*)f_20049},
{C_text("f_20053:library_2escm"),(void*)f_20053},
{C_text("f_20057:library_2escm"),(void*)f_20057},
{C_text("f_20061:library_2escm"),(void*)f_20061},
{C_text("f_20063:library_2escm"),(void*)f_20063},
{C_text("f_20071:library_2escm"),(void*)f_20071},
{C_text("f_20074:library_2escm"),(void*)f_20074},
{C_text("f_20084:library_2escm"),(void*)f_20084},
{C_text("f_20086:library_2escm"),(void*)f_20086},
{C_text("f_20094:library_2escm"),(void*)f_20094},
{C_text("f_20097:library_2escm"),(void*)f_20097},
{C_text("f_20107:library_2escm"),(void*)f_20107},
{C_text("f_20112:library_2escm"),(void*)f_20112},
{C_text("f_20116:library_2escm"),(void*)f_20116},
{C_text("f_20119:library_2escm"),(void*)f_20119},
{C_text("f_20122:library_2escm"),(void*)f_20122},
{C_text("f_20125:library_2escm"),(void*)f_20125},
{C_text("f_20128:library_2escm"),(void*)f_20128},
{C_text("f_20130:library_2escm"),(void*)f_20130},
{C_text("f_20136:library_2escm"),(void*)f_20136},
{C_text("f_20145:library_2escm"),(void*)f_20145},
{C_text("f_20153:library_2escm"),(void*)f_20153},
{C_text("f_20155:library_2escm"),(void*)f_20155},
{C_text("f_20162:library_2escm"),(void*)f_20162},
{C_text("f_20169:library_2escm"),(void*)f_20169},
{C_text("f_20182:library_2escm"),(void*)f_20182},
{C_text("f_20186:library_2escm"),(void*)f_20186},
{C_text("f_20191:library_2escm"),(void*)f_20191},
{C_text("f_20195:library_2escm"),(void*)f_20195},
{C_text("f_20206:library_2escm"),(void*)f_20206},
{C_text("f_20209:library_2escm"),(void*)f_20209},
{C_text("f_20217:library_2escm"),(void*)f_20217},
{C_text("f_20219:library_2escm"),(void*)f_20219},
{C_text("f_20232:library_2escm"),(void*)f_20232},
{C_text("f_20239:library_2escm"),(void*)f_20239},
{C_text("f_20248:library_2escm"),(void*)f_20248},
{C_text("f_20255:library_2escm"),(void*)f_20255},
{C_text("f_20257:library_2escm"),(void*)f_20257},
{C_text("f_20263:library_2escm"),(void*)f_20263},
{C_text("f_20273:library_2escm"),(void*)f_20273},
{C_text("f_20276:library_2escm"),(void*)f_20276},
{C_text("f_20286:library_2escm"),(void*)f_20286},
{C_text("f_20289:library_2escm"),(void*)f_20289},
{C_text("f_20317:library_2escm"),(void*)f_20317},
{C_text("f_20321:library_2escm"),(void*)f_20321},
{C_text("f_20329:library_2escm"),(void*)f_20329},
{C_text("f_20354:library_2escm"),(void*)f_20354},
{C_text("f_20362:library_2escm"),(void*)f_20362},
{C_text("f_20364:library_2escm"),(void*)f_20364},
{C_text("f_20381:library_2escm"),(void*)f_20381},
{C_text("f_20394:library_2escm"),(void*)f_20394},
{C_text("f_20411:library_2escm"),(void*)f_20411},
{C_text("f_20428:library_2escm"),(void*)f_20428},
{C_text("f_20445:library_2escm"),(void*)f_20445},
{C_text("f_20462:library_2escm"),(void*)f_20462},
{C_text("f_20483:library_2escm"),(void*)f_20483},
{C_text("f_20504:library_2escm"),(void*)f_20504},
{C_text("f_20528:library_2escm"),(void*)f_20528},
{C_text("f_20536:library_2escm"),(void*)f_20536},
{C_text("f_20545:library_2escm"),(void*)f_20545},
{C_text("f_20551:library_2escm"),(void*)f_20551},
{C_text("f_20557:library_2escm"),(void*)f_20557},
{C_text("f_20560:library_2escm"),(void*)f_20560},
{C_text("f_20563:library_2escm"),(void*)f_20563},
{C_text("f_20573:library_2escm"),(void*)f_20573},
{C_text("f_20577:library_2escm"),(void*)f_20577},
{C_text("f_20594:library_2escm"),(void*)f_20594},
{C_text("f_20599:library_2escm"),(void*)f_20599},
{C_text("f_20606:library_2escm"),(void*)f_20606},
{C_text("f_20610:library_2escm"),(void*)f_20610},
{C_text("f_20619:library_2escm"),(void*)f_20619},
{C_text("f_20625:library_2escm"),(void*)f_20625},
{C_text("f_20635:library_2escm"),(void*)f_20635},
{C_text("f_20639:library_2escm"),(void*)f_20639},
{C_text("f_20648:library_2escm"),(void*)f_20648},
{C_text("f_20655:library_2escm"),(void*)f_20655},
{C_text("f_20668:library_2escm"),(void*)f_20668},
{C_text("f_20673:library_2escm"),(void*)f_20673},
{C_text("f_20690:library_2escm"),(void*)f_20690},
{C_text("f_20705:library_2escm"),(void*)f_20705},
{C_text("f_20718:library_2escm"),(void*)f_20718},
{C_text("f_20740:library_2escm"),(void*)f_20740},
{C_text("f_20743:library_2escm"),(void*)f_20743},
{C_text("f_20772:library_2escm"),(void*)f_20772},
{C_text("f_20782:library_2escm"),(void*)f_20782},
{C_text("f_20798:library_2escm"),(void*)f_20798},
{C_text("f_20809:library_2escm"),(void*)f_20809},
{C_text("f_20816:library_2escm"),(void*)f_20816},
{C_text("f_20914:library_2escm"),(void*)f_20914},
{C_text("f_20920:library_2escm"),(void*)f_20920},
{C_text("f_20929:library_2escm"),(void*)f_20929},
{C_text("f_20943:library_2escm"),(void*)f_20943},
{C_text("f_20946:library_2escm"),(void*)f_20946},
{C_text("f_20957:library_2escm"),(void*)f_20957},
{C_text("f_20959:library_2escm"),(void*)f_20959},
{C_text("f_20962:library_2escm"),(void*)f_20962},
{C_text("f_20979:library_2escm"),(void*)f_20979},
{C_text("f_20984:library_2escm"),(void*)f_20984},
{C_text("f_20988:library_2escm"),(void*)f_20988},
{C_text("f_20991:library_2escm"),(void*)f_20991},
{C_text("f_20994:library_2escm"),(void*)f_20994},
{C_text("f_21004:library_2escm"),(void*)f_21004},
{C_text("f_21022:library_2escm"),(void*)f_21022},
{C_text("f_21025:library_2escm"),(void*)f_21025},
{C_text("f_21034:library_2escm"),(void*)f_21034},
{C_text("f_21037:library_2escm"),(void*)f_21037},
{C_text("f_21040:library_2escm"),(void*)f_21040},
{C_text("f_21046:library_2escm"),(void*)f_21046},
{C_text("f_21059:library_2escm"),(void*)f_21059},
{C_text("f_21063:library_2escm"),(void*)f_21063},
{C_text("f_21067:library_2escm"),(void*)f_21067},
{C_text("f_21078:library_2escm"),(void*)f_21078},
{C_text("f_21082:library_2escm"),(void*)f_21082},
{C_text("f_21085:library_2escm"),(void*)f_21085},
{C_text("f_21113:library_2escm"),(void*)f_21113},
{C_text("f_21169:library_2escm"),(void*)f_21169},
{C_text("f_21173:library_2escm"),(void*)f_21173},
{C_text("f_21180:library_2escm"),(void*)f_21180},
{C_text("f_21182:library_2escm"),(void*)f_21182},
{C_text("f_21186:library_2escm"),(void*)f_21186},
{C_text("f_21200:library_2escm"),(void*)f_21200},
{C_text("f_21206:library_2escm"),(void*)f_21206},
{C_text("f_21213:library_2escm"),(void*)f_21213},
{C_text("f_21220:library_2escm"),(void*)f_21220},
{C_text("f_21235:library_2escm"),(void*)f_21235},
{C_text("f_21241:library_2escm"),(void*)f_21241},
{C_text("f_21270:library_2escm"),(void*)f_21270},
{C_text("f_21280:library_2escm"),(void*)f_21280},
{C_text("f_21283:library_2escm"),(void*)f_21283},
{C_text("f_21319:library_2escm"),(void*)f_21319},
{C_text("f_21321:library_2escm"),(void*)f_21321},
{C_text("f_21331:library_2escm"),(void*)f_21331},
{C_text("f_21334:library_2escm"),(void*)f_21334},
{C_text("f_21386:library_2escm"),(void*)f_21386},
{C_text("f_21388:library_2escm"),(void*)f_21388},
{C_text("f_21396:library_2escm"),(void*)f_21396},
{C_text("f_21398:library_2escm"),(void*)f_21398},
{C_text("f_21408:library_2escm"),(void*)f_21408},
{C_text("f_21423:library_2escm"),(void*)f_21423},
{C_text("f_21430:library_2escm"),(void*)f_21430},
{C_text("f_21452:library_2escm"),(void*)f_21452},
{C_text("f_21460:library_2escm"),(void*)f_21460},
{C_text("f_21462:library_2escm"),(void*)f_21462},
{C_text("f_21472:library_2escm"),(void*)f_21472},
{C_text("f_21478:library_2escm"),(void*)f_21478},
{C_text("f_21485:library_2escm"),(void*)f_21485},
{C_text("f_21498:library_2escm"),(void*)f_21498},
{C_text("f_21504:library_2escm"),(void*)f_21504},
{C_text("f_21508:library_2escm"),(void*)f_21508},
{C_text("f_21515:library_2escm"),(void*)f_21515},
{C_text("f_21523:library_2escm"),(void*)f_21523},
{C_text("f_21529:library_2escm"),(void*)f_21529},
{C_text("f_21533:library_2escm"),(void*)f_21533},
{C_text("f_21542:library_2escm"),(void*)f_21542},
{C_text("f_21548:library_2escm"),(void*)f_21548},
{C_text("f_21555:library_2escm"),(void*)f_21555},
{C_text("f_21566:library_2escm"),(void*)f_21566},
{C_text("f_21606:library_2escm"),(void*)f_21606},
{C_text("f_21615:library_2escm"),(void*)f_21615},
{C_text("f_21622:library_2escm"),(void*)f_21622},
{C_text("f_21626:library_2escm"),(void*)f_21626},
{C_text("f_21630:library_2escm"),(void*)f_21630},
{C_text("f_21639:library_2escm"),(void*)f_21639},
{C_text("f_21650:library_2escm"),(void*)f_21650},
{C_text("f_21688:library_2escm"),(void*)f_21688},
{C_text("f_21737:library_2escm"),(void*)f_21737},
{C_text("f_21741:library_2escm"),(void*)f_21741},
{C_text("f_21744:library_2escm"),(void*)f_21744},
{C_text("f_21756:library_2escm"),(void*)f_21756},
{C_text("f_21776:library_2escm"),(void*)f_21776},
{C_text("f_21782:library_2escm"),(void*)f_21782},
{C_text("f_21792:library_2escm"),(void*)f_21792},
{C_text("f_21921:library_2escm"),(void*)f_21921},
{C_text("f_21928:library_2escm"),(void*)f_21928},
{C_text("f_21946:library_2escm"),(void*)f_21946},
{C_text("f_21952:library_2escm"),(void*)f_21952},
{C_text("f_21956:library_2escm"),(void*)f_21956},
{C_text("f_21992:library_2escm"),(void*)f_21992},
{C_text("f_22015:library_2escm"),(void*)f_22015},
{C_text("f_22033:library_2escm"),(void*)f_22033},
{C_text("f_22037:library_2escm"),(void*)f_22037},
{C_text("f_22044:library_2escm"),(void*)f_22044},
{C_text("f_22052:library_2escm"),(void*)f_22052},
{C_text("f_22060:library_2escm"),(void*)f_22060},
{C_text("f_22064:library_2escm"),(void*)f_22064},
{C_text("f_22067:library_2escm"),(void*)f_22067},
{C_text("f_22070:library_2escm"),(void*)f_22070},
{C_text("f_22076:library_2escm"),(void*)f_22076},
{C_text("f_22084:library_2escm"),(void*)f_22084},
{C_text("f_22090:library_2escm"),(void*)f_22090},
{C_text("f_22112:library_2escm"),(void*)f_22112},
{C_text("f_22119:library_2escm"),(void*)f_22119},
{C_text("f_22128:library_2escm"),(void*)f_22128},
{C_text("f_22135:library_2escm"),(void*)f_22135},
{C_text("f_22144:library_2escm"),(void*)f_22144},
{C_text("f_22153:library_2escm"),(void*)f_22153},
{C_text("f_22160:library_2escm"),(void*)f_22160},
{C_text("f_22167:library_2escm"),(void*)f_22167},
{C_text("f_22171:library_2escm"),(void*)f_22171},
{C_text("f_22180:library_2escm"),(void*)f_22180},
{C_text("f_22183:library_2escm"),(void*)f_22183},
{C_text("f_22201:library_2escm"),(void*)f_22201},
{C_text("f_22204:library_2escm"),(void*)f_22204},
{C_text("f_22210:library_2escm"),(void*)f_22210},
{C_text("f_22227:library_2escm"),(void*)f_22227},
{C_text("f_22233:library_2escm"),(void*)f_22233},
{C_text("f_22261:library_2escm"),(void*)f_22261},
{C_text("f_22284:library_2escm"),(void*)f_22284},
{C_text("f_22290:library_2escm"),(void*)f_22290},
{C_text("f_22298:library_2escm"),(void*)f_22298},
{C_text("f_22304:library_2escm"),(void*)f_22304},
{C_text("f_22329:library_2escm"),(void*)f_22329},
{C_text("f_22341:library_2escm"),(void*)f_22341},
{C_text("f_22353:library_2escm"),(void*)f_22353},
{C_text("f_22365:library_2escm"),(void*)f_22365},
{C_text("f_22377:library_2escm"),(void*)f_22377},
{C_text("f_22389:library_2escm"),(void*)f_22389},
{C_text("f_22401:library_2escm"),(void*)f_22401},
{C_text("f_22404:library_2escm"),(void*)f_22404},
{C_text("f_22407:library_2escm"),(void*)f_22407},
{C_text("f_22412:library_2escm"),(void*)f_22412},
{C_text("f_22417:library_2escm"),(void*)f_22417},
{C_text("f_22423:library_2escm"),(void*)f_22423},
{C_text("f_22465:library_2escm"),(void*)f_22465},
{C_text("f_22477:library_2escm"),(void*)f_22477},
{C_text("f_22480:library_2escm"),(void*)f_22480},
{C_text("f_22492:library_2escm"),(void*)f_22492},
{C_text("f_22504:library_2escm"),(void*)f_22504},
{C_text("f_22507:library_2escm"),(void*)f_22507},
{C_text("f_22519:library_2escm"),(void*)f_22519},
{C_text("f_22526:library_2escm"),(void*)f_22526},
{C_text("f_22535:library_2escm"),(void*)f_22535},
{C_text("f_22538:library_2escm"),(void*)f_22538},
{C_text("f_22547:library_2escm"),(void*)f_22547},
{C_text("f_22557:library_2escm"),(void*)f_22557},
{C_text("f_22566:library_2escm"),(void*)f_22566},
{C_text("f_22569:library_2escm"),(void*)f_22569},
{C_text("f_22574:library_2escm"),(void*)f_22574},
{C_text("f_22579:library_2escm"),(void*)f_22579},
{C_text("f_22585:library_2escm"),(void*)f_22585},
{C_text("f_22614:library_2escm"),(void*)f_22614},
{C_text("f_22626:library_2escm"),(void*)f_22626},
{C_text("f_22629:library_2escm"),(void*)f_22629},
{C_text("f_22640:library_2escm"),(void*)f_22640},
{C_text("f_22649:library_2escm"),(void*)f_22649},
{C_text("f_22652:library_2escm"),(void*)f_22652},
{C_text("f_22658:library_2escm"),(void*)f_22658},
{C_text("f_22661:library_2escm"),(void*)f_22661},
{C_text("f_22667:library_2escm"),(void*)f_22667},
{C_text("f_22686:library_2escm"),(void*)f_22686},
{C_text("f_22705:library_2escm"),(void*)f_22705},
{C_text("f_22721:library_2escm"),(void*)f_22721},
{C_text("f_22727:library_2escm"),(void*)f_22727},
{C_text("f_22799:library_2escm"),(void*)f_22799},
{C_text("f_22811:library_2escm"),(void*)f_22811},
{C_text("f_22889:library_2escm"),(void*)f_22889},
{C_text("f_22965:library_2escm"),(void*)f_22965},
{C_text("f_23130:library_2escm"),(void*)f_23130},
{C_text("f_23142:library_2escm"),(void*)f_23142},
{C_text("f_23204:library_2escm"),(void*)f_23204},
{C_text("f_23207:library_2escm"),(void*)f_23207},
{C_text("f_23253:library_2escm"),(void*)f_23253},
{C_text("f_23257:library_2escm"),(void*)f_23257},
{C_text("f_23275:library_2escm"),(void*)f_23275},
{C_text("f_23339:library_2escm"),(void*)f_23339},
{C_text("f_23350:library_2escm"),(void*)f_23350},
{C_text("f_23352:library_2escm"),(void*)f_23352},
{C_text("f_23365:library_2escm"),(void*)f_23365},
{C_text("f_23377:library_2escm"),(void*)f_23377},
{C_text("f_23397:library_2escm"),(void*)f_23397},
{C_text("f_23404:library_2escm"),(void*)f_23404},
{C_text("f_23413:library_2escm"),(void*)f_23413},
{C_text("f_23425:library_2escm"),(void*)f_23425},
{C_text("f_23446:library_2escm"),(void*)f_23446},
{C_text("f_23461:library_2escm"),(void*)f_23461},
{C_text("f_23479:library_2escm"),(void*)f_23479},
{C_text("f_23497:library_2escm"),(void*)f_23497},
{C_text("f_23516:library_2escm"),(void*)f_23516},
{C_text("f_23526:library_2escm"),(void*)f_23526},
{C_text("f_23540:library_2escm"),(void*)f_23540},
{C_text("f_23543:library_2escm"),(void*)f_23543},
{C_text("f_23548:library_2escm"),(void*)f_23548},
{C_text("f_23567:library_2escm"),(void*)f_23567},
{C_text("f_23577:library_2escm"),(void*)f_23577},
{C_text("f_23591:library_2escm"),(void*)f_23591},
{C_text("f_23594:library_2escm"),(void*)f_23594},
{C_text("f_23601:library_2escm"),(void*)f_23601},
{C_text("f_23605:library_2escm"),(void*)f_23605},
{C_text("f_23609:library_2escm"),(void*)f_23609},
{C_text("f_23611:library_2escm"),(void*)f_23611},
{C_text("f_23618:library_2escm"),(void*)f_23618},
{C_text("f_23621:library_2escm"),(void*)f_23621},
{C_text("f_23624:library_2escm"),(void*)f_23624},
{C_text("f_23626:library_2escm"),(void*)f_23626},
{C_text("f_23636:library_2escm"),(void*)f_23636},
{C_text("f_23642:library_2escm"),(void*)f_23642},
{C_text("f_23654:library_2escm"),(void*)f_23654},
{C_text("f_23657:library_2escm"),(void*)f_23657},
{C_text("f_23660:library_2escm"),(void*)f_23660},
{C_text("f_23677:library_2escm"),(void*)f_23677},
{C_text("f_23698:library_2escm"),(void*)f_23698},
{C_text("f_23702:library_2escm"),(void*)f_23702},
{C_text("f_23715:library_2escm"),(void*)f_23715},
{C_text("f_23718:library_2escm"),(void*)f_23718},
{C_text("f_23727:library_2escm"),(void*)f_23727},
{C_text("f_23730:library_2escm"),(void*)f_23730},
{C_text("f_23758:library_2escm"),(void*)f_23758},
{C_text("f_23762:library_2escm"),(void*)f_23762},
{C_text("f_23771:library_2escm"),(void*)f_23771},
{C_text("f_23782:library_2escm"),(void*)f_23782},
{C_text("f_23789:library_2escm"),(void*)f_23789},
{C_text("f_23794:library_2escm"),(void*)f_23794},
{C_text("f_23816:library_2escm"),(void*)f_23816},
{C_text("f_23822:library_2escm"),(void*)f_23822},
{C_text("f_23825:library_2escm"),(void*)f_23825},
{C_text("f_23836:library_2escm"),(void*)f_23836},
{C_text("f_23845:library_2escm"),(void*)f_23845},
{C_text("f_23848:library_2escm"),(void*)f_23848},
{C_text("f_23871:library_2escm"),(void*)f_23871},
{C_text("f_23920:library_2escm"),(void*)f_23920},
{C_text("f_23936:library_2escm"),(void*)f_23936},
{C_text("f_23943:library_2escm"),(void*)f_23943},
{C_text("f_23962:library_2escm"),(void*)f_23962},
{C_text("f_24021:library_2escm"),(void*)f_24021},
{C_text("f_24078:library_2escm"),(void*)f_24078},
{C_text("f_24083:library_2escm"),(void*)f_24083},
{C_text("f_24132:library_2escm"),(void*)f_24132},
{C_text("f_24138:library_2escm"),(void*)f_24138},
{C_text("f_24142:library_2escm"),(void*)f_24142},
{C_text("f_24165:library_2escm"),(void*)f_24165},
{C_text("f_24172:library_2escm"),(void*)f_24172},
{C_text("f_24191:library_2escm"),(void*)f_24191},
{C_text("f_24230:library_2escm"),(void*)f_24230},
{C_text("f_24242:library_2escm"),(void*)f_24242},
{C_text("f_24248:library_2escm"),(void*)f_24248},
{C_text("f_24267:library_2escm"),(void*)f_24267},
{C_text("f_24274:library_2escm"),(void*)f_24274},
{C_text("f_24284:library_2escm"),(void*)f_24284},
{C_text("f_24293:library_2escm"),(void*)f_24293},
{C_text("f_24299:library_2escm"),(void*)f_24299},
{C_text("f_24312:library_2escm"),(void*)f_24312},
{C_text("f_24350:library_2escm"),(void*)f_24350},
{C_text("f_24416:library_2escm"),(void*)f_24416},
{C_text("f_24419:library_2escm"),(void*)f_24419},
{C_text("f_24426:library_2escm"),(void*)f_24426},
{C_text("f_24466:library_2escm"),(void*)f_24466},
{C_text("f_24469:library_2escm"),(void*)f_24469},
{C_text("f_24478:library_2escm"),(void*)f_24478},
{C_text("f_24488:library_2escm"),(void*)f_24488},
{C_text("f_24491:library_2escm"),(void*)f_24491},
{C_text("f_24500:library_2escm"),(void*)f_24500},
{C_text("f_24510:library_2escm"),(void*)f_24510},
{C_text("f_24513:library_2escm"),(void*)f_24513},
{C_text("f_24539:library_2escm"),(void*)f_24539},
{C_text("f_24545:library_2escm"),(void*)f_24545},
{C_text("f_24550:library_2escm"),(void*)f_24550},
{C_text("f_24563:library_2escm"),(void*)f_24563},
{C_text("f_24566:library_2escm"),(void*)f_24566},
{C_text("f_24577:library_2escm"),(void*)f_24577},
{C_text("f_24599:library_2escm"),(void*)f_24599},
{C_text("f_24611:library_2escm"),(void*)f_24611},
{C_text("f_24614:library_2escm"),(void*)f_24614},
{C_text("f_24621:library_2escm"),(void*)f_24621},
{C_text("f_24630:library_2escm"),(void*)f_24630},
{C_text("f_24633:library_2escm"),(void*)f_24633},
{C_text("f_24677:library_2escm"),(void*)f_24677},
{C_text("f_24680:library_2escm"),(void*)f_24680},
{C_text("f_24689:library_2escm"),(void*)f_24689},
{C_text("f_24702:library_2escm"),(void*)f_24702},
{C_text("f_24705:library_2escm"),(void*)f_24705},
{C_text("f_24730:library_2escm"),(void*)f_24730},
{C_text("f_24734:library_2escm"),(void*)f_24734},
{C_text("f_24744:library_2escm"),(void*)f_24744},
{C_text("f_24747:library_2escm"),(void*)f_24747},
{C_text("f_24767:library_2escm"),(void*)f_24767},
{C_text("f_24780:library_2escm"),(void*)f_24780},
{C_text("f_24785:library_2escm"),(void*)f_24785},
{C_text("f_24791:library_2escm"),(void*)f_24791},
{C_text("f_24797:library_2escm"),(void*)f_24797},
{C_text("f_24801:library_2escm"),(void*)f_24801},
{C_text("f_24804:library_2escm"),(void*)f_24804},
{C_text("f_24819:library_2escm"),(void*)f_24819},
{C_text("f_24822:library_2escm"),(void*)f_24822},
{C_text("f_24840:library_2escm"),(void*)f_24840},
{C_text("f_24842:library_2escm"),(void*)f_24842},
{C_text("f_24848:library_2escm"),(void*)f_24848},
{C_text("f_24857:library_2escm"),(void*)f_24857},
{C_text("f_24863:library_2escm"),(void*)f_24863},
{C_text("f_24870:library_2escm"),(void*)f_24870},
{C_text("f_24873:library_2escm"),(void*)f_24873},
{C_text("f_24876:library_2escm"),(void*)f_24876},
{C_text("f_24885:library_2escm"),(void*)f_24885},
{C_text("f_24901:library_2escm"),(void*)f_24901},
{C_text("f_24916:library_2escm"),(void*)f_24916},
{C_text("f_24918:library_2escm"),(void*)f_24918},
{C_text("f_24924:library_2escm"),(void*)f_24924},
{C_text("f_24930:library_2escm"),(void*)f_24930},
{C_text("f_24934:library_2escm"),(void*)f_24934},
{C_text("f_24937:library_2escm"),(void*)f_24937},
{C_text("f_24940:library_2escm"),(void*)f_24940},
{C_text("f_24944:library_2escm"),(void*)f_24944},
{C_text("f_24948:library_2escm"),(void*)f_24948},
{C_text("f_24952:library_2escm"),(void*)f_24952},
{C_text("f_24955:library_2escm"),(void*)f_24955},
{C_text("f_24958:library_2escm"),(void*)f_24958},
{C_text("f_24961:library_2escm"),(void*)f_24961},
{C_text("f_24973:library_2escm"),(void*)f_24973},
{C_text("f_24979:library_2escm"),(void*)f_24979},
{C_text("f_24983:library_2escm"),(void*)f_24983},
{C_text("f_24986:library_2escm"),(void*)f_24986},
{C_text("f_24989:library_2escm"),(void*)f_24989},
{C_text("f_24992:library_2escm"),(void*)f_24992},
{C_text("f_24995:library_2escm"),(void*)f_24995},
{C_text("f_24998:library_2escm"),(void*)f_24998},
{C_text("f_25003:library_2escm"),(void*)f_25003},
{C_text("f_25025:library_2escm"),(void*)f_25025},
{C_text("f_25031:library_2escm"),(void*)f_25031},
{C_text("f_25034:library_2escm"),(void*)f_25034},
{C_text("f_25059:library_2escm"),(void*)f_25059},
{C_text("f_25062:library_2escm"),(void*)f_25062},
{C_text("f_25069:library_2escm"),(void*)f_25069},
{C_text("f_25082:library_2escm"),(void*)f_25082},
{C_text("f_25092:library_2escm"),(void*)f_25092},
{C_text("f_25097:library_2escm"),(void*)f_25097},
{C_text("f_25103:library_2escm"),(void*)f_25103},
{C_text("f_25130:library_2escm"),(void*)f_25130},
{C_text("f_25136:library_2escm"),(void*)f_25136},
{C_text("f_25147:library_2escm"),(void*)f_25147},
{C_text("f_25153:library_2escm"),(void*)f_25153},
{C_text("f_25156:library_2escm"),(void*)f_25156},
{C_text("f_25161:library_2escm"),(void*)f_25161},
{C_text("f_25167:library_2escm"),(void*)f_25167},
{C_text("f_25191:library_2escm"),(void*)f_25191},
{C_text("f_25199:library_2escm"),(void*)f_25199},
{C_text("f_25216:library_2escm"),(void*)f_25216},
{C_text("f_25256:library_2escm"),(void*)f_25256},
{C_text("f_25263:library_2escm"),(void*)f_25263},
{C_text("f_25275:library_2escm"),(void*)f_25275},
{C_text("f_25279:library_2escm"),(void*)f_25279},
{C_text("f_25292:library_2escm"),(void*)f_25292},
{C_text("f_25294:library_2escm"),(void*)f_25294},
{C_text("f_25328:library_2escm"),(void*)f_25328},
{C_text("f_25332:library_2escm"),(void*)f_25332},
{C_text("f_25333:library_2escm"),(void*)f_25333},
{C_text("f_25343:library_2escm"),(void*)f_25343},
{C_text("f_25348:library_2escm"),(void*)f_25348},
{C_text("f_25358:library_2escm"),(void*)f_25358},
{C_text("f_25371:library_2escm"),(void*)f_25371},
{C_text("f_25382:library_2escm"),(void*)f_25382},
{C_text("f_25386:library_2escm"),(void*)f_25386},
{C_text("f_25390:library_2escm"),(void*)f_25390},
{C_text("f_25412:library_2escm"),(void*)f_25412},
{C_text("f_25416:library_2escm"),(void*)f_25416},
{C_text("f_25424:library_2escm"),(void*)f_25424},
{C_text("f_25440:library_2escm"),(void*)f_25440},
{C_text("f_25451:library_2escm"),(void*)f_25451},
{C_text("f_25470:library_2escm"),(void*)f_25470},
{C_text("f_25481:library_2escm"),(void*)f_25481},
{C_text("f_25489:library_2escm"),(void*)f_25489},
{C_text("f_25568:library_2escm"),(void*)f_25568},
{C_text("f_25578:library_2escm"),(void*)f_25578},
{C_text("f_25579:library_2escm"),(void*)f_25579},
{C_text("f_25592:library_2escm"),(void*)f_25592},
{C_text("f_25595:library_2escm"),(void*)f_25595},
{C_text("f_25598:library_2escm"),(void*)f_25598},
{C_text("f_25601:library_2escm"),(void*)f_25601},
{C_text("f_25609:library_2escm"),(void*)f_25609},
{C_text("f_25616:library_2escm"),(void*)f_25616},
{C_text("f_25619:library_2escm"),(void*)f_25619},
{C_text("f_25622:library_2escm"),(void*)f_25622},
{C_text("f_25645:library_2escm"),(void*)f_25645},
{C_text("f_25650:library_2escm"),(void*)f_25650},
{C_text("f_25660:library_2escm"),(void*)f_25660},
{C_text("f_25673:library_2escm"),(void*)f_25673},
{C_text("f_25704:library_2escm"),(void*)f_25704},
{C_text("f_25714:library_2escm"),(void*)f_25714},
{C_text("f_25764:library_2escm"),(void*)f_25764},
{C_text("f_25767:library_2escm"),(void*)f_25767},
{C_text("f_25786:library_2escm"),(void*)f_25786},
{C_text("f_25791:library_2escm"),(void*)f_25791},
{C_text("f_25797:library_2escm"),(void*)f_25797},
{C_text("f_25800:library_2escm"),(void*)f_25800},
{C_text("f_25806:library_2escm"),(void*)f_25806},
{C_text("f_25814:library_2escm"),(void*)f_25814},
{C_text("f_25833:library_2escm"),(void*)f_25833},
{C_text("f_25838:library_2escm"),(void*)f_25838},
{C_text("f_25848:library_2escm"),(void*)f_25848},
{C_text("f_25862:library_2escm"),(void*)f_25862},
{C_text("f_25869:library_2escm"),(void*)f_25869},
{C_text("f_25873:library_2escm"),(void*)f_25873},
{C_text("f_25877:library_2escm"),(void*)f_25877},
{C_text("f_25879:library_2escm"),(void*)f_25879},
{C_text("f_25905:library_2escm"),(void*)f_25905},
{C_text("f_25908:library_2escm"),(void*)f_25908},
{C_text("f_25911:library_2escm"),(void*)f_25911},
{C_text("f_25918:library_2escm"),(void*)f_25918},
{C_text("f_25922:library_2escm"),(void*)f_25922},
{C_text("f_25928:library_2escm"),(void*)f_25928},
{C_text("f_25933:library_2escm"),(void*)f_25933},
{C_text("f_25943:library_2escm"),(void*)f_25943},
{C_text("f_25960:library_2escm"),(void*)f_25960},
{C_text("f_25981:library_2escm"),(void*)f_25981},
{C_text("f_25984:library_2escm"),(void*)f_25984},
{C_text("f_26004:library_2escm"),(void*)f_26004},
{C_text("f_26012:library_2escm"),(void*)f_26012},
{C_text("f_26146:library_2escm"),(void*)f_26146},
{C_text("f_26163:library_2escm"),(void*)f_26163},
{C_text("f_26167:library_2escm"),(void*)f_26167},
{C_text("f_26180:library_2escm"),(void*)f_26180},
{C_text("f_26189:library_2escm"),(void*)f_26189},
{C_text("f_26192:library_2escm"),(void*)f_26192},
{C_text("f_26196:library_2escm"),(void*)f_26196},
{C_text("f_26235:library_2escm"),(void*)f_26235},
{C_text("f_26238:library_2escm"),(void*)f_26238},
{C_text("f_26245:library_2escm"),(void*)f_26245},
{C_text("f_26249:library_2escm"),(void*)f_26249},
{C_text("f_26275:library_2escm"),(void*)f_26275},
{C_text("f_26306:library_2escm"),(void*)f_26306},
{C_text("f_26309:library_2escm"),(void*)f_26309},
{C_text("f_26321:library_2escm"),(void*)f_26321},
{C_text("f_26324:library_2escm"),(void*)f_26324},
{C_text("f_26327:library_2escm"),(void*)f_26327},
{C_text("f_26352:library_2escm"),(void*)f_26352},
{C_text("f_26358:library_2escm"),(void*)f_26358},
{C_text("f_26362:library_2escm"),(void*)f_26362},
{C_text("f_26366:library_2escm"),(void*)f_26366},
{C_text("f_26379:library_2escm"),(void*)f_26379},
{C_text("f_26381:library_2escm"),(void*)f_26381},
{C_text("f_26387:library_2escm"),(void*)f_26387},
{C_text("f_26392:library_2escm"),(void*)f_26392},
{C_text("f_26427:library_2escm"),(void*)f_26427},
{C_text("f_26433:library_2escm"),(void*)f_26433},
{C_text("f_26449:library_2escm"),(void*)f_26449},
{C_text("f_26471:library_2escm"),(void*)f_26471},
{C_text("f_26495:library_2escm"),(void*)f_26495},
{C_text("f_26507:library_2escm"),(void*)f_26507},
{C_text("f_26509:library_2escm"),(void*)f_26509},
{C_text("f_26528:library_2escm"),(void*)f_26528},
{C_text("f_26532:library_2escm"),(void*)f_26532},
{C_text("f_26544:library_2escm"),(void*)f_26544},
{C_text("f_26546:library_2escm"),(void*)f_26546},
{C_text("f_26590:library_2escm"),(void*)f_26590},
{C_text("f_26592:library_2escm"),(void*)f_26592},
{C_text("f_26626:library_2escm"),(void*)f_26626},
{C_text("f_26649:library_2escm"),(void*)f_26649},
{C_text("f_26656:library_2escm"),(void*)f_26656},
{C_text("f_26666:library_2escm"),(void*)f_26666},
{C_text("f_26668:library_2escm"),(void*)f_26668},
{C_text("f_26718:library_2escm"),(void*)f_26718},
{C_text("f_26720:library_2escm"),(void*)f_26720},
{C_text("f_26745:library_2escm"),(void*)f_26745},
{C_text("f_26754:library_2escm"),(void*)f_26754},
{C_text("f_26760:library_2escm"),(void*)f_26760},
{C_text("f_26764:library_2escm"),(void*)f_26764},
{C_text("f_26768:library_2escm"),(void*)f_26768},
{C_text("f_26776:library_2escm"),(void*)f_26776},
{C_text("f_26782:library_2escm"),(void*)f_26782},
{C_text("f_26813:library_2escm"),(void*)f_26813},
{C_text("f_26838:library_2escm"),(void*)f_26838},
{C_text("f_26863:library_2escm"),(void*)f_26863},
{C_text("f_26873:library_2escm"),(void*)f_26873},
{C_text("f_26878:library_2escm"),(void*)f_26878},
{C_text("f_26880:library_2escm"),(void*)f_26880},
{C_text("f_26887:library_2escm"),(void*)f_26887},
{C_text("f_26899:library_2escm"),(void*)f_26899},
{C_text("f_26907:library_2escm"),(void*)f_26907},
{C_text("f_26945:library_2escm"),(void*)f_26945},
{C_text("f_26949:library_2escm"),(void*)f_26949},
{C_text("f_26956:library_2escm"),(void*)f_26956},
{C_text("f_26959:library_2escm"),(void*)f_26959},
{C_text("f_26962:library_2escm"),(void*)f_26962},
{C_text("f_26963:library_2escm"),(void*)f_26963},
{C_text("f_26965:library_2escm"),(void*)f_26965},
{C_text("f_26969:library_2escm"),(void*)f_26969},
{C_text("f_26974:library_2escm"),(void*)f_26974},
{C_text("f_26986:library_2escm"),(void*)f_26986},
{C_text("f_26996:library_2escm"),(void*)f_26996},
{C_text("f_27008:library_2escm"),(void*)f_27008},
{C_text("f_27010:library_2escm"),(void*)f_27010},
{C_text("f_27017:library_2escm"),(void*)f_27017},
{C_text("f_27020:library_2escm"),(void*)f_27020},
{C_text("f_27026:library_2escm"),(void*)f_27026},
{C_text("f_27029:library_2escm"),(void*)f_27029},
{C_text("f_27032:library_2escm"),(void*)f_27032},
{C_text("f_27035:library_2escm"),(void*)f_27035},
{C_text("f_27050:library_2escm"),(void*)f_27050},
{C_text("f_27056:library_2escm"),(void*)f_27056},
{C_text("f_27064:library_2escm"),(void*)f_27064},
{C_text("f_27068:library_2escm"),(void*)f_27068},
{C_text("f_27071:library_2escm"),(void*)f_27071},
{C_text("f_27074:library_2escm"),(void*)f_27074},
{C_text("f_27087:library_2escm"),(void*)f_27087},
{C_text("f_27091:library_2escm"),(void*)f_27091},
{C_text("f_27112:library_2escm"),(void*)f_27112},
{C_text("f_27128:library_2escm"),(void*)f_27128},
{C_text("f_27131:library_2escm"),(void*)f_27131},
{C_text("f_27137:library_2escm"),(void*)f_27137},
{C_text("f_27159:library_2escm"),(void*)f_27159},
{C_text("f_27164:library_2escm"),(void*)f_27164},
{C_text("f_27199:library_2escm"),(void*)f_27199},
{C_text("f_27209:library_2escm"),(void*)f_27209},
{C_text("f_27212:library_2escm"),(void*)f_27212},
{C_text("f_27215:library_2escm"),(void*)f_27215},
{C_text("f_27218:library_2escm"),(void*)f_27218},
{C_text("f_27221:library_2escm"),(void*)f_27221},
{C_text("f_27224:library_2escm"),(void*)f_27224},
{C_text("f_27231:library_2escm"),(void*)f_27231},
{C_text("f_27234:library_2escm"),(void*)f_27234},
{C_text("f_27237:library_2escm"),(void*)f_27237},
{C_text("f_27248:library_2escm"),(void*)f_27248},
{C_text("f_27271:library_2escm"),(void*)f_27271},
{C_text("f_27282:library_2escm"),(void*)f_27282},
{C_text("f_27286:library_2escm"),(void*)f_27286},
{C_text("f_27308:library_2escm"),(void*)f_27308},
{C_text("f_27319:library_2escm"),(void*)f_27319},
{C_text("f_27323:library_2escm"),(void*)f_27323},
{C_text("f_27904:library_2escm"),(void*)f_27904},
{C_text("f_27907:library_2escm"),(void*)f_27907},
{C_text("f_27910:library_2escm"),(void*)f_27910},
{C_text("f_27913:library_2escm"),(void*)f_27913},
{C_text("f_27918:library_2escm"),(void*)f_27918},
{C_text("f_27921:library_2escm"),(void*)f_27921},
{C_text("f_27924:library_2escm"),(void*)f_27924},
{C_text("f_27927:library_2escm"),(void*)f_27927},
{C_text("f_27930:library_2escm"),(void*)f_27930},
{C_text("f_27933:library_2escm"),(void*)f_27933},
{C_text("f_27936:library_2escm"),(void*)f_27936},
{C_text("f_27939:library_2escm"),(void*)f_27939},
{C_text("f_27956:library_2escm"),(void*)f_27956},
{C_text("f_27960:library_2escm"),(void*)f_27960},
{C_text("f_27962:library_2escm"),(void*)f_27962},
{C_text("f_27970:library_2escm"),(void*)f_27970},
{C_text("f_27972:library_2escm"),(void*)f_27972},
{C_text("f_27976:library_2escm"),(void*)f_27976},
{C_text("f_27978:library_2escm"),(void*)f_27978},
{C_text("f_27985:library_2escm"),(void*)f_27985},
{C_text("f_27995:library_2escm"),(void*)f_27995},
{C_text("f_28020:library_2escm"),(void*)f_28020},
{C_text("f_28023:library_2escm"),(void*)f_28023},
{C_text("f_28026:library_2escm"),(void*)f_28026},
{C_text("f_28029:library_2escm"),(void*)f_28029},
{C_text("f_28032:library_2escm"),(void*)f_28032},
{C_text("f_28042:library_2escm"),(void*)f_28042},
{C_text("f_28048:library_2escm"),(void*)f_28048},
{C_text("f_28052:library_2escm"),(void*)f_28052},
{C_text("f_28054:library_2escm"),(void*)f_28054},
{C_text("f_28064:library_2escm"),(void*)f_28064},
{C_text("f_28070:library_2escm"),(void*)f_28070},
{C_text("f_28074:library_2escm"),(void*)f_28074},
{C_text("f_28076:library_2escm"),(void*)f_28076},
{C_text("f_28081:library_2escm"),(void*)f_28081},
{C_text("f_28083:library_2escm"),(void*)f_28083},
{C_text("f_28086:library_2escm"),(void*)f_28086},
{C_text("f_28106:library_2escm"),(void*)f_28106},
{C_text("f_28112:library_2escm"),(void*)f_28112},
{C_text("f_28122:library_2escm"),(void*)f_28122},
{C_text("f_28132:library_2escm"),(void*)f_28132},
{C_text("f_28167:library_2escm"),(void*)f_28167},
{C_text("f_28171:library_2escm"),(void*)f_28171},
{C_text("f_28176:library_2escm"),(void*)f_28176},
{C_text("f_28186:library_2escm"),(void*)f_28186},
{C_text("f_28196:library_2escm"),(void*)f_28196},
{C_text("f_28205:library_2escm"),(void*)f_28205},
{C_text("f_28208:library_2escm"),(void*)f_28208},
{C_text("f_28211:library_2escm"),(void*)f_28211},
{C_text("f_28218:library_2escm"),(void*)f_28218},
{C_text("f_28225:library_2escm"),(void*)f_28225},
{C_text("f_28228:library_2escm"),(void*)f_28228},
{C_text("f_28232:library_2escm"),(void*)f_28232},
{C_text("f_28234:library_2escm"),(void*)f_28234},
{C_text("f_28237:library_2escm"),(void*)f_28237},
{C_text("f_28240:library_2escm"),(void*)f_28240},
{C_text("f_28243:library_2escm"),(void*)f_28243},
{C_text("f_28246:library_2escm"),(void*)f_28246},
{C_text("f_28249:library_2escm"),(void*)f_28249},
{C_text("f_28252:library_2escm"),(void*)f_28252},
{C_text("f_28255:library_2escm"),(void*)f_28255},
{C_text("f_28258:library_2escm"),(void*)f_28258},
{C_text("f_28261:library_2escm"),(void*)f_28261},
{C_text("f_28264:library_2escm"),(void*)f_28264},
{C_text("f_28268:library_2escm"),(void*)f_28268},
{C_text("f_28271:library_2escm"),(void*)f_28271},
{C_text("f_28287:library_2escm"),(void*)f_28287},
{C_text("f_28295:library_2escm"),(void*)f_28295},
{C_text("f_28298:library_2escm"),(void*)f_28298},
{C_text("f_28304:library_2escm"),(void*)f_28304},
{C_text("f_28313:library_2escm"),(void*)f_28313},
{C_text("f_28319:library_2escm"),(void*)f_28319},
{C_text("f_28328:library_2escm"),(void*)f_28328},
{C_text("f_28334:library_2escm"),(void*)f_28334},
{C_text("f_28340:library_2escm"),(void*)f_28340},
{C_text("f_28343:library_2escm"),(void*)f_28343},
{C_text("f_28347:library_2escm"),(void*)f_28347},
{C_text("f_28350:library_2escm"),(void*)f_28350},
{C_text("f_28355:library_2escm"),(void*)f_28355},
{C_text("f_28357:library_2escm"),(void*)f_28357},
{C_text("f_28361:library_2escm"),(void*)f_28361},
{C_text("f_28388:library_2escm"),(void*)f_28388},
{C_text("f_28398:library_2escm"),(void*)f_28398},
{C_text("f_28407:library_2escm"),(void*)f_28407},
{C_text("f_28414:library_2escm"),(void*)f_28414},
{C_text("f_28418:library_2escm"),(void*)f_28418},
{C_text("f_28432:library_2escm"),(void*)f_28432},
{C_text("f_28436:library_2escm"),(void*)f_28436},
{C_text("f_28443:library_2escm"),(void*)f_28443},
{C_text("f_28445:library_2escm"),(void*)f_28445},
{C_text("f_28467:library_2escm"),(void*)f_28467},
{C_text("f_28474:library_2escm"),(void*)f_28474},
{C_text("f_28479:library_2escm"),(void*)f_28479},
{C_text("f_28483:library_2escm"),(void*)f_28483},
{C_text("f_28486:library_2escm"),(void*)f_28486},
{C_text("f_28489:library_2escm"),(void*)f_28489},
{C_text("f_28494:library_2escm"),(void*)f_28494},
{C_text("f_28498:library_2escm"),(void*)f_28498},
{C_text("f_28524:library_2escm"),(void*)f_28524},
{C_text("f_28537:library_2escm"),(void*)f_28537},
{C_text("f_28540:library_2escm"),(void*)f_28540},
{C_text("f_28549:library_2escm"),(void*)f_28549},
{C_text("f_28552:library_2escm"),(void*)f_28552},
{C_text("f_28555:library_2escm"),(void*)f_28555},
{C_text("f_28561:library_2escm"),(void*)f_28561},
{C_text("f_28568:library_2escm"),(void*)f_28568},
{C_text("f_28570:library_2escm"),(void*)f_28570},
{C_text("f_28583:library_2escm"),(void*)f_28583},
{C_text("f_28596:library_2escm"),(void*)f_28596},
{C_text("f_28599:library_2escm"),(void*)f_28599},
{C_text("f_28602:library_2escm"),(void*)f_28602},
{C_text("f_28609:library_2escm"),(void*)f_28609},
{C_text("f_28662:library_2escm"),(void*)f_28662},
{C_text("f_28665:library_2escm"),(void*)f_28665},
{C_text("f_28668:library_2escm"),(void*)f_28668},
{C_text("f_28670:library_2escm"),(void*)f_28670},
{C_text("f_28674:library_2escm"),(void*)f_28674},
{C_text("f_28678:library_2escm"),(void*)f_28678},
{C_text("f_28684:library_2escm"),(void*)f_28684},
{C_text("f_28689:library_2escm"),(void*)f_28689},
{C_text("f_28693:library_2escm"),(void*)f_28693},
{C_text("f_28705:library_2escm"),(void*)f_28705},
{C_text("f_28717:library_2escm"),(void*)f_28717},
{C_text("f_28724:library_2escm"),(void*)f_28724},
{C_text("f_28730:library_2escm"),(void*)f_28730},
{C_text("f_28744:library_2escm"),(void*)f_28744},
{C_text("f_28753:library_2escm"),(void*)f_28753},
{C_text("f_28783:library_2escm"),(void*)f_28783},
{C_text("f_28802:library_2escm"),(void*)f_28802},
{C_text("f_28825:library_2escm"),(void*)f_28825},
{C_text("f_28834:library_2escm"),(void*)f_28834},
{C_text("f_28841:library_2escm"),(void*)f_28841},
{C_text("f_28858:library_2escm"),(void*)f_28858},
{C_text("f_28866:library_2escm"),(void*)f_28866},
{C_text("f_28877:library_2escm"),(void*)f_28877},
{C_text("f_28885:library_2escm"),(void*)f_28885},
{C_text("f_28892:library_2escm"),(void*)f_28892},
{C_text("f_28954:library_2escm"),(void*)f_28954},
{C_text("f_28961:library_2escm"),(void*)f_28961},
{C_text("f_28964:library_2escm"),(void*)f_28964},
{C_text("f_28970:library_2escm"),(void*)f_28970},
{C_text("f_28977:library_2escm"),(void*)f_28977},
{C_text("f_28981:library_2escm"),(void*)f_28981},
{C_text("f_28984:library_2escm"),(void*)f_28984},
{C_text("f_28992:library_2escm"),(void*)f_28992},
{C_text("f_28994:library_2escm"),(void*)f_28994},
{C_text("f_29003:library_2escm"),(void*)f_29003},
{C_text("f_29009:library_2escm"),(void*)f_29009},
{C_text("f_29020:library_2escm"),(void*)f_29020},
{C_text("f_29024:library_2escm"),(void*)f_29024},
{C_text("f_29026:library_2escm"),(void*)f_29026},
{C_text("f_29034:library_2escm"),(void*)f_29034},
{C_text("f_29046:library_2escm"),(void*)f_29046},
{C_text("f_29052:library_2escm"),(void*)f_29052},
{C_text("f_29056:library_2escm"),(void*)f_29056},
{C_text("f_29064:library_2escm"),(void*)f_29064},
{C_text("f_29082:library_2escm"),(void*)f_29082},
{C_text("f_29090:library_2escm"),(void*)f_29090},
{C_text("f_29094:library_2escm"),(void*)f_29094},
{C_text("f_29112:library_2escm"),(void*)f_29112},
{C_text("f_29119:library_2escm"),(void*)f_29119},
{C_text("f_29131:library_2escm"),(void*)f_29131},
{C_text("f_29139:library_2escm"),(void*)f_29139},
{C_text("f_29145:library_2escm"),(void*)f_29145},
{C_text("f_29167:library_2escm"),(void*)f_29167},
{C_text("f_29171:library_2escm"),(void*)f_29171},
{C_text("f_29175:library_2escm"),(void*)f_29175},
{C_text("f_29177:library_2escm"),(void*)f_29177},
{C_text("f_29180:library_2escm"),(void*)f_29180},
{C_text("f_29183:library_2escm"),(void*)f_29183},
{C_text("f_29187:library_2escm"),(void*)f_29187},
{C_text("f_29190:library_2escm"),(void*)f_29190},
{C_text("f_29208:library_2escm"),(void*)f_29208},
{C_text("f_29214:library_2escm"),(void*)f_29214},
{C_text("f_29218:library_2escm"),(void*)f_29218},
{C_text("f_29235:library_2escm"),(void*)f_29235},
{C_text("f_29245:library_2escm"),(void*)f_29245},
{C_text("f_29249:library_2escm"),(void*)f_29249},
{C_text("f_29253:library_2escm"),(void*)f_29253},
{C_text("f_29265:library_2escm"),(void*)f_29265},
{C_text("f_29275:library_2escm"),(void*)f_29275},
{C_text("f_29279:library_2escm"),(void*)f_29279},
{C_text("f_29283:library_2escm"),(void*)f_29283},
{C_text("f_29311:library_2escm"),(void*)f_29311},
{C_text("f_29314:library_2escm"),(void*)f_29314},
{C_text("f_29317:library_2escm"),(void*)f_29317},
{C_text("f_29323:library_2escm"),(void*)f_29323},
{C_text("f_29336:library_2escm"),(void*)f_29336},
{C_text("f_29339:library_2escm"),(void*)f_29339},
{C_text("f_29348:library_2escm"),(void*)f_29348},
{C_text("f_29354:library_2escm"),(void*)f_29354},
{C_text("f_29360:library_2escm"),(void*)f_29360},
{C_text("f_29366:library_2escm"),(void*)f_29366},
{C_text("f_29372:library_2escm"),(void*)f_29372},
{C_text("f_29389:library_2escm"),(void*)f_29389},
{C_text("f_29395:library_2escm"),(void*)f_29395},
{C_text("f_29410:library_2escm"),(void*)f_29410},
{C_text("f_29414:library_2escm"),(void*)f_29414},
{C_text("f_29418:library_2escm"),(void*)f_29418},
{C_text("f_29422:library_2escm"),(void*)f_29422},
{C_text("f_29428:library_2escm"),(void*)f_29428},
{C_text("f_29430:library_2escm"),(void*)f_29430},
{C_text("f_29436:library_2escm"),(void*)f_29436},
{C_text("f_29440:library_2escm"),(void*)f_29440},
{C_text("f_29449:library_2escm"),(void*)f_29449},
{C_text("f_29458:library_2escm"),(void*)f_29458},
{C_text("f_29501:library_2escm"),(void*)f_29501},
{C_text("f_29523:library_2escm"),(void*)f_29523},
{C_text("f_29536:library_2escm"),(void*)f_29536},
{C_text("f_29561:library_2escm"),(void*)f_29561},
{C_text("f_29577:library_2escm"),(void*)f_29577},
{C_text("f_29593:library_2escm"),(void*)f_29593},
{C_text("f_29609:library_2escm"),(void*)f_29609},
{C_text("f_29625:library_2escm"),(void*)f_29625},
{C_text("f_29641:library_2escm"),(void*)f_29641},
{C_text("f_29657:library_2escm"),(void*)f_29657},
{C_text("f_29673:library_2escm"),(void*)f_29673},
{C_text("f_29689:library_2escm"),(void*)f_29689},
{C_text("f_29705:library_2escm"),(void*)f_29705},
{C_text("f_29712:library_2escm"),(void*)f_29712},
{C_text("f_29753:library_2escm"),(void*)f_29753},
{C_text("f_29765:library_2escm"),(void*)f_29765},
{C_text("f_29771:library_2escm"),(void*)f_29771},
{C_text("f_29790:library_2escm"),(void*)f_29790},
{C_text("f_29792:library_2escm"),(void*)f_29792},
{C_text("f_29815:library_2escm"),(void*)f_29815},
{C_text("f_29861:library_2escm"),(void*)f_29861},
{C_text("f_29863:library_2escm"),(void*)f_29863},
{C_text("f_29870:library_2escm"),(void*)f_29870},
{C_text("f_29882:library_2escm"),(void*)f_29882},
{C_text("f_29926:library_2escm"),(void*)f_29926},
{C_text("f_29941:library_2escm"),(void*)f_29941},
{C_text("f_29949:library_2escm"),(void*)f_29949},
{C_text("f_29955:library_2escm"),(void*)f_29955},
{C_text("f_29963:library_2escm"),(void*)f_29963},
{C_text("f_29967:library_2escm"),(void*)f_29967},
{C_text("f_29973:library_2escm"),(void*)f_29973},
{C_text("f_29975:library_2escm"),(void*)f_29975},
{C_text("f_29987:library_2escm"),(void*)f_29987},
{C_text("f_29994:library_2escm"),(void*)f_29994},
{C_text("f_29998:library_2escm"),(void*)f_29998},
{C_text("f_30014:library_2escm"),(void*)f_30014},
{C_text("f_30021:library_2escm"),(void*)f_30021},
{C_text("f_30025:library_2escm"),(void*)f_30025},
{C_text("f_30038:library_2escm"),(void*)f_30038},
{C_text("f_30045:library_2escm"),(void*)f_30045},
{C_text("f_30049:library_2escm"),(void*)f_30049},
{C_text("f_30054:library_2escm"),(void*)f_30054},
{C_text("f_30060:library_2escm"),(void*)f_30060},
{C_text("f_30063:library_2escm"),(void*)f_30063},
{C_text("f_30066:library_2escm"),(void*)f_30066},
{C_text("f_30072:library_2escm"),(void*)f_30072},
{C_text("f_30081:library_2escm"),(void*)f_30081},
{C_text("f_30090:library_2escm"),(void*)f_30090},
{C_text("f_30096:library_2escm"),(void*)f_30096},
{C_text("f_30099:library_2escm"),(void*)f_30099},
{C_text("f_30102:library_2escm"),(void*)f_30102},
{C_text("f_30114:library_2escm"),(void*)f_30114},
{C_text("f_30117:library_2escm"),(void*)f_30117},
{C_text("f_30120:library_2escm"),(void*)f_30120},
{C_text("f_30123:library_2escm"),(void*)f_30123},
{C_text("f_30135:library_2escm"),(void*)f_30135},
{C_text("f_30138:library_2escm"),(void*)f_30138},
{C_text("f_30141:library_2escm"),(void*)f_30141},
{C_text("f_30144:library_2escm"),(void*)f_30144},
{C_text("f_30152:library_2escm"),(void*)f_30152},
{C_text("f_30155:library_2escm"),(void*)f_30155},
{C_text("f_30168:library_2escm"),(void*)f_30168},
{C_text("f_30169:library_2escm"),(void*)f_30169},
{C_text("f_30174:library_2escm"),(void*)f_30174},
{C_text("f_30175:library_2escm"),(void*)f_30175},
{C_text("f_30180:library_2escm"),(void*)f_30180},
{C_text("f_30181:library_2escm"),(void*)f_30181},
{C_text("f_30186:library_2escm"),(void*)f_30186},
{C_text("f_30187:library_2escm"),(void*)f_30187},
{C_text("f_30192:library_2escm"),(void*)f_30192},
{C_text("f_30193:library_2escm"),(void*)f_30193},
{C_text("f_30198:library_2escm"),(void*)f_30198},
{C_text("f_30200:library_2escm"),(void*)f_30200},
{C_text("f_30210:library_2escm"),(void*)f_30210},
{C_text("f_30213:library_2escm"),(void*)f_30213},
{C_text("f_30216:library_2escm"),(void*)f_30216},
{C_text("f_30219:library_2escm"),(void*)f_30219},
{C_text("f_30221:library_2escm"),(void*)f_30221},
{C_text("f_30235:library_2escm"),(void*)f_30235},
{C_text("f_30243:library_2escm"),(void*)f_30243},
{C_text("f_30247:library_2escm"),(void*)f_30247},
{C_text("f_30251:library_2escm"),(void*)f_30251},
{C_text("f_30255:library_2escm"),(void*)f_30255},
{C_text("f_30261:library_2escm"),(void*)f_30261},
{C_text("f_30268:library_2escm"),(void*)f_30268},
{C_text("f_30272:library_2escm"),(void*)f_30272},
{C_text("f_30276:library_2escm"),(void*)f_30276},
{C_text("f_30280:library_2escm"),(void*)f_30280},
{C_text("f_30319:library_2escm"),(void*)f_30319},
{C_text("f_30322:library_2escm"),(void*)f_30322},
{C_text("f_30325:library_2escm"),(void*)f_30325},
{C_text("f_30328:library_2escm"),(void*)f_30328},
{C_text("f_30331:library_2escm"),(void*)f_30331},
{C_text("f_30339:library_2escm"),(void*)f_30339},
{C_text("f_30349:library_2escm"),(void*)f_30349},
{C_text("f_30371:library_2escm"),(void*)f_30371},
{C_text("f_30377:library_2escm"),(void*)f_30377},
{C_text("f_30397:library_2escm"),(void*)f_30397},
{C_text("f_30412:library_2escm"),(void*)f_30412},
{C_text("f_30416:library_2escm"),(void*)f_30416},
{C_text("f_30439:library_2escm"),(void*)f_30439},
{C_text("f_30443:library_2escm"),(void*)f_30443},
{C_text("f_30460:library_2escm"),(void*)f_30460},
{C_text("f_30467:library_2escm"),(void*)f_30467},
{C_text("f_30489:library_2escm"),(void*)f_30489},
{C_text("f_30494:library_2escm"),(void*)f_30494},
{C_text("f_30509:library_2escm"),(void*)f_30509},
{C_text("f_30512:library_2escm"),(void*)f_30512},
{C_text("f_30515:library_2escm"),(void*)f_30515},
{C_text("f_30518:library_2escm"),(void*)f_30518},
{C_text("f_30521:library_2escm"),(void*)f_30521},
{C_text("f_30524:library_2escm"),(void*)f_30524},
{C_text("f_30527:library_2escm"),(void*)f_30527},
{C_text("f_30530:library_2escm"),(void*)f_30530},
{C_text("f_30533:library_2escm"),(void*)f_30533},
{C_text("f_30536:library_2escm"),(void*)f_30536},
{C_text("f_30539:library_2escm"),(void*)f_30539},
{C_text("f_30543:library_2escm"),(void*)f_30543},
{C_text("f_30546:library_2escm"),(void*)f_30546},
{C_text("f_30551:library_2escm"),(void*)f_30551},
{C_text("f_30557:library_2escm"),(void*)f_30557},
{C_text("f_30570:library_2escm"),(void*)f_30570},
{C_text("f_30572:library_2escm"),(void*)f_30572},
{C_text("f_30582:library_2escm"),(void*)f_30582},
{C_text("f_30595:library_2escm"),(void*)f_30595},
{C_text("f_30602:library_2escm"),(void*)f_30602},
{C_text("f_30606:library_2escm"),(void*)f_30606},
{C_text("f_30608:library_2escm"),(void*)f_30608},
{C_text("f_30637:library_2escm"),(void*)f_30637},
{C_text("f_30639:library_2escm"),(void*)f_30639},
{C_text("f_30664:library_2escm"),(void*)f_30664},
{C_text("f_30673:library_2escm"),(void*)f_30673},
{C_text("f_30676:library_2escm"),(void*)f_30676},
{C_text("f_30682:library_2escm"),(void*)f_30682},
{C_text("f_30706:library_2escm"),(void*)f_30706},
{C_text("f_30713:library_2escm"),(void*)f_30713},
{C_text("f_30717:library_2escm"),(void*)f_30717},
{C_text("f_30729:library_2escm"),(void*)f_30729},
{C_text("f_30737:library_2escm"),(void*)f_30737},
{C_text("f_30741:library_2escm"),(void*)f_30741},
{C_text("f_30750:library_2escm"),(void*)f_30750},
{C_text("f_30759:library_2escm"),(void*)f_30759},
{C_text("f_30769:library_2escm"),(void*)f_30769},
{C_text("f_30777:library_2escm"),(void*)f_30777},
{C_text("f_30781:library_2escm"),(void*)f_30781},
{C_text("f_30785:library_2escm"),(void*)f_30785},
{C_text("f_30815:library_2escm"),(void*)f_30815},
{C_text("f_30819:library_2escm"),(void*)f_30819},
{C_text("f_30823:library_2escm"),(void*)f_30823},
{C_text("f_30827:library_2escm"),(void*)f_30827},
{C_text("f_30831:library_2escm"),(void*)f_30831},
{C_text("f_30835:library_2escm"),(void*)f_30835},
{C_text("f_30838:library_2escm"),(void*)f_30838},
{C_text("f_30841:library_2escm"),(void*)f_30841},
{C_text("f_30851:library_2escm"),(void*)f_30851},
{C_text("f_30854:library_2escm"),(void*)f_30854},
{C_text("f_30856:library_2escm"),(void*)f_30856},
{C_text("f_30873:library_2escm"),(void*)f_30873},
{C_text("f_30900:library_2escm"),(void*)f_30900},
{C_text("f_30909:library_2escm"),(void*)f_30909},
{C_text("f_30929:library_2escm"),(void*)f_30929},
{C_text("f_30933:library_2escm"),(void*)f_30933},
{C_text("f_30937:library_2escm"),(void*)f_30937},
{C_text("f_30941:library_2escm"),(void*)f_30941},
{C_text("f_30945:library_2escm"),(void*)f_30945},
{C_text("f_30949:library_2escm"),(void*)f_30949},
{C_text("f_30953:library_2escm"),(void*)f_30953},
{C_text("f_30955:library_2escm"),(void*)f_30955},
{C_text("f_30964:library_2escm"),(void*)f_30964},
{C_text("f_30974:library_2escm"),(void*)f_30974},
{C_text("f_30999:library_2escm"),(void*)f_30999},
{C_text("f_31002:library_2escm"),(void*)f_31002},
{C_text("f_31004:library_2escm"),(void*)f_31004},
{C_text("f_31020:library_2escm"),(void*)f_31020},
{C_text("f_31039:library_2escm"),(void*)f_31039},
{C_text("f_31049:library_2escm"),(void*)f_31049},
{C_text("f_31059:library_2escm"),(void*)f_31059},
{C_text("f_31083:library_2escm"),(void*)f_31083},
{C_text("f_31087:library_2escm"),(void*)f_31087},
{C_text("f_31089:library_2escm"),(void*)f_31089},
{C_text("f_31093:library_2escm"),(void*)f_31093},
{C_text("f_31096:library_2escm"),(void*)f_31096},
{C_text("f_31111:library_2escm"),(void*)f_31111},
{C_text("f_31117:library_2escm"),(void*)f_31117},
{C_text("f_31121:library_2escm"),(void*)f_31121},
{C_text("f_31130:library_2escm"),(void*)f_31130},
{C_text("f_31133:library_2escm"),(void*)f_31133},
{C_text("f_31136:library_2escm"),(void*)f_31136},
{C_text("f_31139:library_2escm"),(void*)f_31139},
{C_text("f_31142:library_2escm"),(void*)f_31142},
{C_text("f_31148:library_2escm"),(void*)f_31148},
{C_text("f_31154:library_2escm"),(void*)f_31154},
{C_text("f_31157:library_2escm"),(void*)f_31157},
{C_text("f_31162:library_2escm"),(void*)f_31162},
{C_text("f_31172:library_2escm"),(void*)f_31172},
{C_text("f_31184:library_2escm"),(void*)f_31184},
{C_text("f_31192:library_2escm"),(void*)f_31192},
{C_text("f_31202:library_2escm"),(void*)f_31202},
{C_text("f_31218:library_2escm"),(void*)f_31218},
{C_text("f_31224:library_2escm"),(void*)f_31224},
{C_text("f_31227:library_2escm"),(void*)f_31227},
{C_text("f_31230:library_2escm"),(void*)f_31230},
{C_text("f_31231:library_2escm"),(void*)f_31231},
{C_text("f_31235:library_2escm"),(void*)f_31235},
{C_text("f_31241:library_2escm"),(void*)f_31241},
{C_text("f_31245:library_2escm"),(void*)f_31245},
{C_text("f_31247:library_2escm"),(void*)f_31247},
{C_text("f_31257:library_2escm"),(void*)f_31257},
{C_text("f_31274:library_2escm"),(void*)f_31274},
{C_text("f_31277:library_2escm"),(void*)f_31277},
{C_text("f_31281:library_2escm"),(void*)f_31281},
{C_text("f_31286:library_2escm"),(void*)f_31286},
{C_text("f_31292:library_2escm"),(void*)f_31292},
{C_text("f_31299:library_2escm"),(void*)f_31299},
{C_text("f_31308:library_2escm"),(void*)f_31308},
{C_text("f_31316:library_2escm"),(void*)f_31316},
{C_text("f_31341:library_2escm"),(void*)f_31341},
{C_text("f_31359:library_2escm"),(void*)f_31359},
{C_text("f_31363:library_2escm"),(void*)f_31363},
{C_text("f_31378:library_2escm"),(void*)f_31378},
{C_text("f_31382:library_2escm"),(void*)f_31382},
{C_text("f_31397:library_2escm"),(void*)f_31397},
{C_text("f_31400:library_2escm"),(void*)f_31400},
{C_text("f_31403:library_2escm"),(void*)f_31403},
{C_text("f_31413:library_2escm"),(void*)f_31413},
{C_text("f_31444:library_2escm"),(void*)f_31444},
{C_text("f_31468:library_2escm"),(void*)f_31468},
{C_text("f_31478:library_2escm"),(void*)f_31478},
{C_text("f_31487:library_2escm"),(void*)f_31487},
{C_text("f_31528:library_2escm"),(void*)f_31528},
{C_text("f_31547:library_2escm"),(void*)f_31547},
{C_text("f_31560:library_2escm"),(void*)f_31560},
{C_text("f_31570:library_2escm"),(void*)f_31570},
{C_text("f_31580:library_2escm"),(void*)f_31580},
{C_text("f_31590:library_2escm"),(void*)f_31590},
{C_text("f_31600:library_2escm"),(void*)f_31600},
{C_text("f_31610:library_2escm"),(void*)f_31610},
{C_text("f_31620:library_2escm"),(void*)f_31620},
{C_text("f_31630:library_2escm"),(void*)f_31630},
{C_text("f_31640:library_2escm"),(void*)f_31640},
{C_text("f_31650:library_2escm"),(void*)f_31650},
{C_text("f_31660:library_2escm"),(void*)f_31660},
{C_text("f_31670:library_2escm"),(void*)f_31670},
{C_text("f_31680:library_2escm"),(void*)f_31680},
{C_text("f_31690:library_2escm"),(void*)f_31690},
{C_text("f_31706:library_2escm"),(void*)f_31706},
{C_text("f_31714:library_2escm"),(void*)f_31714},
{C_text("f_31730:library_2escm"),(void*)f_31730},
{C_text("f_31746:library_2escm"),(void*)f_31746},
{C_text("f_31756:library_2escm"),(void*)f_31756},
{C_text("f_31766:library_2escm"),(void*)f_31766},
{C_text("f_31785:library_2escm"),(void*)f_31785},
{C_text("f_31801:library_2escm"),(void*)f_31801},
{C_text("f_31814:library_2escm"),(void*)f_31814},
{C_text("f_31820:library_2escm"),(void*)f_31820},
{C_text("f_31843:library_2escm"),(void*)f_31843},
{C_text("f_31847:library_2escm"),(void*)f_31847},
{C_text("f_31851:library_2escm"),(void*)f_31851},
{C_text("f_31854:library_2escm"),(void*)f_31854},
{C_text("f_31860:library_2escm"),(void*)f_31860},
{C_text("f_31883:library_2escm"),(void*)f_31883},
{C_text("f_31887:library_2escm"),(void*)f_31887},
{C_text("f_31891:library_2escm"),(void*)f_31891},
{C_text("f_31894:library_2escm"),(void*)f_31894},
{C_text("f_31897:library_2escm"),(void*)f_31897},
{C_text("f_31900:library_2escm"),(void*)f_31900},
{C_text("f_31906:library_2escm"),(void*)f_31906},
{C_text("f_31909:library_2escm"),(void*)f_31909},
{C_text("f_31912:library_2escm"),(void*)f_31912},
{C_text("f_31920:library_2escm"),(void*)f_31920},
{C_text("f_31922:library_2escm"),(void*)f_31922},
{C_text("f_31946:library_2escm"),(void*)f_31946},
{C_text("f_31969:library_2escm"),(void*)f_31969},
{C_text("f_31973:library_2escm"),(void*)f_31973},
{C_text("f_31977:library_2escm"),(void*)f_31977},
{C_text("f_32011:library_2escm"),(void*)f_32011},
{C_text("f_32015:library_2escm"),(void*)f_32015},
{C_text("f_32018:library_2escm"),(void*)f_32018},
{C_text("f_32031:library_2escm"),(void*)f_32031},
{C_text("f_32064:library_2escm"),(void*)f_32064},
{C_text("f_32079:library_2escm"),(void*)f_32079},
{C_text("f_32083:library_2escm"),(void*)f_32083},
{C_text("f_32107:library_2escm"),(void*)f_32107},
{C_text("f_32115:library_2escm"),(void*)f_32115},
{C_text("f_32119:library_2escm"),(void*)f_32119},
{C_text("f_32130:library_2escm"),(void*)f_32130},
{C_text("f_32134:library_2escm"),(void*)f_32134},
{C_text("f_32138:library_2escm"),(void*)f_32138},
{C_text("f_32152:library_2escm"),(void*)f_32152},
{C_text("f_32184:library_2escm"),(void*)f_32184},
{C_text("f_8510:library_2escm"),(void*)f_8510},
{C_text("f_8512:library_2escm"),(void*)f_8512},
{C_text("f_8515:library_2escm"),(void*)f_8515},
{C_text("f_8518:library_2escm"),(void*)f_8518},
{C_text("f_8521:library_2escm"),(void*)f_8521},
{C_text("f_8524:library_2escm"),(void*)f_8524},
{C_text("f_8527:library_2escm"),(void*)f_8527},
{C_text("f_8530:library_2escm"),(void*)f_8530},
{C_text("f_8533:library_2escm"),(void*)f_8533},
{C_text("f_8536:library_2escm"),(void*)f_8536},
{C_text("f_8539:library_2escm"),(void*)f_8539},
{C_text("f_8542:library_2escm"),(void*)f_8542},
{C_text("f_8545:library_2escm"),(void*)f_8545},
{C_text("f_8548:library_2escm"),(void*)f_8548},
{C_text("f_8551:library_2escm"),(void*)f_8551},
{C_text("f_8554:library_2escm"),(void*)f_8554},
{C_text("f_8557:library_2escm"),(void*)f_8557},
{C_text("f_8560:library_2escm"),(void*)f_8560},
{C_text("f_8563:library_2escm"),(void*)f_8563},
{C_text("f_8566:library_2escm"),(void*)f_8566},
{C_text("f_8580:library_2escm"),(void*)f_8580},
{C_text("f_8587:library_2escm"),(void*)f_8587},
{C_text("f_8594:library_2escm"),(void*)f_8594},
{C_text("f_8608:library_2escm"),(void*)f_8608},
{C_text("f_8615:library_2escm"),(void*)f_8615},
{C_text("f_8629:library_2escm"),(void*)f_8629},
{C_text("f_8643:library_2escm"),(void*)f_8643},
{C_text("f_8661:library_2escm"),(void*)f_8661},
{C_text("f_8672:library_2escm"),(void*)f_8672},
{C_text("f_8683:library_2escm"),(void*)f_8683},
{C_text("f_8690:library_2escm"),(void*)f_8690},
{C_text("f_8701:library_2escm"),(void*)f_8701},
{C_text("f_8705:library_2escm"),(void*)f_8705},
{C_text("f_8712:library_2escm"),(void*)f_8712},
{C_text("f_8730:library_2escm"),(void*)f_8730},
{C_text("f_8741:library_2escm"),(void*)f_8741},
{C_text("f_8752:library_2escm"),(void*)f_8752},
{C_text("f_8759:library_2escm"),(void*)f_8759},
{C_text("f_8777:library_2escm"),(void*)f_8777},
{C_text("f_8788:library_2escm"),(void*)f_8788},
{C_text("f_8806:library_2escm"),(void*)f_8806},
{C_text("f_8812:library_2escm"),(void*)f_8812},
{C_text("f_8815:library_2escm"),(void*)f_8815},
{C_text("f_8818:library_2escm"),(void*)f_8818},
{C_text("f_8821:library_2escm"),(void*)f_8821},
{C_text("f_8824:library_2escm"),(void*)f_8824},
{C_text("f_8830:library_2escm"),(void*)f_8830},
{C_text("f_8863:library_2escm"),(void*)f_8863},
{C_text("f_8866:library_2escm"),(void*)f_8866},
{C_text("f_8869:library_2escm"),(void*)f_8869},
{C_text("f_8872:library_2escm"),(void*)f_8872},
{C_text("f_8875:library_2escm"),(void*)f_8875},
{C_text("f_8878:library_2escm"),(void*)f_8878},
{C_text("f_8881:library_2escm"),(void*)f_8881},
{C_text("f_8884:library_2escm"),(void*)f_8884},
{C_text("f_8887:library_2escm"),(void*)f_8887},
{C_text("f_8890:library_2escm"),(void*)f_8890},
{C_text("f_8893:library_2escm"),(void*)f_8893},
{C_text("f_8896:library_2escm"),(void*)f_8896},
{C_text("f_8899:library_2escm"),(void*)f_8899},
{C_text("f_8903:library_2escm"),(void*)f_8903},
{C_text("f_8906:library_2escm"),(void*)f_8906},
{C_text("f_8912:library_2escm"),(void*)f_8912},
{C_text("f_8915:library_2escm"),(void*)f_8915},
{C_text("f_8918:library_2escm"),(void*)f_8918},
{C_text("f_8921:library_2escm"),(void*)f_8921},
{C_text("f_8924:library_2escm"),(void*)f_8924},
{C_text("f_8932:library_2escm"),(void*)f_8932},
{C_text("f_8936:library_2escm"),(void*)f_8936},
{C_text("f_8939:library_2escm"),(void*)f_8939},
{C_text("f_8942:library_2escm"),(void*)f_8942},
{C_text("f_8945:library_2escm"),(void*)f_8945},
{C_text("f_8948:library_2escm"),(void*)f_8948},
{C_text("f_8951:library_2escm"),(void*)f_8951},
{C_text("f_8954:library_2escm"),(void*)f_8954},
{C_text("f_8957:library_2escm"),(void*)f_8957},
{C_text("f_8961:library_2escm"),(void*)f_8961},
{C_text("f_8964:library_2escm"),(void*)f_8964},
{C_text("f_8967:library_2escm"),(void*)f_8967},
{C_text("f_8970:library_2escm"),(void*)f_8970},
{C_text("f_8973:library_2escm"),(void*)f_8973},
{C_text("f_8981:library_2escm"),(void*)f_8981},
{C_text("f_8984:library_2escm"),(void*)f_8984},
{C_text("f_8991:library_2escm"),(void*)f_8991},
{C_text("f_8995:library_2escm"),(void*)f_8995},
{C_text("f_8998:library_2escm"),(void*)f_8998},
{C_text("f_9001:library_2escm"),(void*)f_9001},
{C_text("f_9004:library_2escm"),(void*)f_9004},
{C_text("f_9007:library_2escm"),(void*)f_9007},
{C_text("f_9010:library_2escm"),(void*)f_9010},
{C_text("f_9013:library_2escm"),(void*)f_9013},
{C_text("f_9019:library_2escm"),(void*)f_9019},
{C_text("f_9030:library_2escm"),(void*)f_9030},
{C_text("f_9036:library_2escm"),(void*)f_9036},
{C_text("f_9042:library_2escm"),(void*)f_9042},
{C_text("f_9048:library_2escm"),(void*)f_9048},
{C_text("f_9054:library_2escm"),(void*)f_9054},
{C_text("f_9060:library_2escm"),(void*)f_9060},
{C_text("f_9067:library_2escm"),(void*)f_9067},
{C_text("f_9073:library_2escm"),(void*)f_9073},
{C_text("f_9089:library_2escm"),(void*)f_9089},
{C_text("f_9100:library_2escm"),(void*)f_9100},
{C_text("f_9106:library_2escm"),(void*)f_9106},
{C_text("f_9112:library_2escm"),(void*)f_9112},
{C_text("f_9118:library_2escm"),(void*)f_9118},
{C_text("f_9124:library_2escm"),(void*)f_9124},
{C_text("f_9133:library_2escm"),(void*)f_9133},
{C_text("f_9136:library_2escm"),(void*)f_9136},
{C_text("f_9139:library_2escm"),(void*)f_9139},
{C_text("f_9142:library_2escm"),(void*)f_9142},
{C_text("f_9145:library_2escm"),(void*)f_9145},
{C_text("f_9148:library_2escm"),(void*)f_9148},
{C_text("f_9152:library_2escm"),(void*)f_9152},
{C_text("f_9158:library_2escm"),(void*)f_9158},
{C_text("f_9164:library_2escm"),(void*)f_9164},
{C_text("f_9197:library_2escm"),(void*)f_9197},
{C_text("f_9200:library_2escm"),(void*)f_9200},
{C_text("f_9203:library_2escm"),(void*)f_9203},
{C_text("f_9211:library_2escm"),(void*)f_9211},
{C_text("f_9216:library_2escm"),(void*)f_9216},
{C_text("f_9222:library_2escm"),(void*)f_9222},
{C_text("f_9237:library_2escm"),(void*)f_9237},
{C_text("f_9258:library_2escm"),(void*)f_9258},
{C_text("f_9264:library_2escm"),(void*)f_9264},
{C_text("f_9270:library_2escm"),(void*)f_9270},
{C_text("f_9277:library_2escm"),(void*)f_9277},
{C_text("f_9282:library_2escm"),(void*)f_9282},
{C_text("f_9285:library_2escm"),(void*)f_9285},
{C_text("f_9294:library_2escm"),(void*)f_9294},
{C_text("f_9312:library_2escm"),(void*)f_9312},
{C_text("f_9322:library_2escm"),(void*)f_9322},
{C_text("f_9331:library_2escm"),(void*)f_9331},
{C_text("f_9349:library_2escm"),(void*)f_9349},
{C_text("f_9362:library_2escm"),(void*)f_9362},
{C_text("f_9369:library_2escm"),(void*)f_9369},
{C_text("f_9376:library_2escm"),(void*)f_9376},
{C_text("f_9387:library_2escm"),(void*)f_9387},
{C_text("f_9394:library_2escm"),(void*)f_9394},
{C_text("f_9406:library_2escm"),(void*)f_9406},
{C_text("f_9409:library_2escm"),(void*)f_9409},
{C_text("f_9411:library_2escm"),(void*)f_9411},
{C_text("f_9417:library_2escm"),(void*)f_9417},
{C_text("f_9433:library_2escm"),(void*)f_9433},
{C_text("f_9442:library_2escm"),(void*)f_9442},
{C_text("f_9444:library_2escm"),(void*)f_9444},
{C_text("f_9450:library_2escm"),(void*)f_9450},
{C_text("f_9463:library_2escm"),(void*)f_9463},
{C_text("f_9479:library_2escm"),(void*)f_9479},
{C_text("f_9490:library_2escm"),(void*)f_9490},
{C_text("f_9492:library_2escm"),(void*)f_9492},
{C_text("f_9500:library_2escm"),(void*)f_9500},
{C_text("f_9502:library_2escm"),(void*)f_9502},
{C_text("f_9508:library_2escm"),(void*)f_9508},
{C_text("f_9510:library_2escm"),(void*)f_9510},
{C_text("f_9518:library_2escm"),(void*)f_9518},
{C_text("f_9520:library_2escm"),(void*)f_9520},
{C_text("f_9523:library_2escm"),(void*)f_9523},
{C_text("f_9531:library_2escm"),(void*)f_9531},
{C_text("f_9537:library_2escm"),(void*)f_9537},
{C_text("f_9545:library_2escm"),(void*)f_9545},
{C_text("f_9556:library_2escm"),(void*)f_9556},
{C_text("f_9568:library_2escm"),(void*)f_9568},
{C_text("f_9582:library_2escm"),(void*)f_9582},
{C_text("f_9590:library_2escm"),(void*)f_9590},
{C_text("f_9593:library_2escm"),(void*)f_9593},
{C_text("f_9595:library_2escm"),(void*)f_9595},
{C_text("f_9597:library_2escm"),(void*)f_9597},
{C_text("f_9603:library_2escm"),(void*)f_9603},
{C_text("f_9622:library_2escm"),(void*)f_9622},
{C_text("f_9639:library_2escm"),(void*)f_9639},
{C_text("f_9647:library_2escm"),(void*)f_9647},
{C_text("f_9661:library_2escm"),(void*)f_9661},
{C_text("f_9667:library_2escm"),(void*)f_9667},
{C_text("f_9686:library_2escm"),(void*)f_9686},
{C_text("f_9695:library_2escm"),(void*)f_9695},
{C_text("f_9698:library_2escm"),(void*)f_9698},
{C_text("f_9710:library_2escm"),(void*)f_9710},
{C_text("f_9726:library_2escm"),(void*)f_9726},
{C_text("f_9732:library_2escm"),(void*)f_9732},
{C_text("f_9757:library_2escm"),(void*)f_9757},
{C_text("f_9759:library_2escm"),(void*)f_9759},
{C_text("f_9768:library_2escm"),(void*)f_9768},
{C_text("f_9789:library_2escm"),(void*)f_9789},
{C_text("f_9791:library_2escm"),(void*)f_9791},
{C_text("f_9797:library_2escm"),(void*)f_9797},
{C_text("f_9823:library_2escm"),(void*)f_9823},
{C_text("f_9830:library_2escm"),(void*)f_9830},
{C_text("f_9832:library_2escm"),(void*)f_9832},
{C_text("f_9836:library_2escm"),(void*)f_9836},
{C_text("f_9844:library_2escm"),(void*)f_9844},
{C_text("f_9879:library_2escm"),(void*)f_9879},
{C_text("f_9889:library_2escm"),(void*)f_9889},
{C_text("f_9898:library_2escm"),(void*)f_9898},
{C_text("f_9940:library_2escm"),(void*)f_9940},
{C_text("f_9969:library_2escm"),(void*)f_9969},
{C_text("f_9976:library_2escm"),(void*)f_9976},
{C_text("f_9979:library_2escm"),(void*)f_9979},
{C_text("toplevel:library_2escm"),(void*)C_library_toplevel},
{NULL,NULL}};
#endif

static C_PTABLE_ENTRY *create_ptable(void){
#ifdef C_ENABLE_PTABLES
return ptable;
#else
return NULL;
#endif
}

/*
o|hiding unexported module binding: scheme#string-fill 
o|hiding unexported module binding: chicken.condition#prop-list->kind-prefixed-prop-list 
o|hiding unexported module binding: chicken.platform#path-list-separator 
o|hiding unexported module binding: chicken.platform#->feature-id 
S|applied compiler syntax:
S|  for-each		9
S|  ##sys#map		1
S|  ##sys#for-each		4
S|  map		7
o|eliminated procedure checks: 527 
o|specializations:
o|  1 (scheme#zero? integer)
o|  1 (scheme#string-append string string)
o|  1 (scheme#make-string fixnum)
o|  1 (scheme#memq * list)
o|  1 (scheme#cdar (pair pair *))
o|  2 (scheme#cddr (pair * pair))
o|  1 (scheme#char>? char char)
o|  13 (scheme#char=? char char)
o|  3 (scheme#string-ref string fixnum)
o|  5 (##sys#check-input-port * * *)
o|  11 (##sys#check-output-port * * *)
o|  1 (##sys#check-output-port * *)
o|  1 (##sys#check-input-port * *)
o|  13 (##sys#check-list (or pair list) *)
o|  43 (scheme#cdr pair)
o|  4 (scheme#char>=? char char)
o|  6 (scheme#char<=? char char)
o|  5 (scheme#zero? *)
o|  26 (scheme#eqv? (or eof null fixnum char boolean symbol) *)
o|  1 (scheme#remainder * *)
o|  1 (scheme#> fixnum fixnum)
o|  1 (scheme#make-string fixnum char)
o|  1 (scheme#string-length string)
o|  6 (scheme#number->string * *)
o|  3 (scheme#integer? *)
o|  2 (scheme#even? *)
o|  5 (scheme#/ * *)
o|  1 (scheme#+ integer integer)
o|  2 (chicken.bitwise#bitwise-and * *)
o|  1 (scheme#- integer integer)
o|  11 (chicken.bitwise#arithmetic-shift * *)
o|  5 (chicken.bitwise#integer-length *)
o|  204 (scheme#eqv? * (or eof null fixnum char boolean symbol))
o|  2 (chicken.flonum#fp<= float float)
o|  7 (scheme#> * *)
o|  7 (scheme#- *)
o|  7 (scheme#< * *)
o|  1 (scheme#odd? *)
o|  3 (scheme#= * *)
o|  2 (scheme#>= * *)
o|  17 (scheme#quotient * *)
o|  1 (chicken.flonum#fp> float float)
o|  2 (scheme#angle cplxnum)
o|  5 (chicken.base#finite? *)
o|  13 (chicken.base#exact-integer? *)
o|  8 (scheme#abs *)
o|  44 (scheme#* * *)
o|  17 (scheme#exact->inexact number)
o|  5 (##sys#debug-mode?)
o|  48 (scheme#car pair)
o|  4 (scheme#length list)
o|  19 (scheme#- * *)
o|  23 (scheme#+ * *)
o|  12 (scheme#negative? *)
o|  4 (scheme#positive? *)
(o e)|safe calls: 3132 
(o e)|dropped branches: 3 
(o e)|assignments to immediate values: 27 
o|dropping redundant toplevel assignment: chicken.base#warning 
o|dropping redundant toplevel assignment: chicken.base#notice 
o|dropping redundant toplevel assignment: chicken.base#enable-warnings 
o|dropping redundant toplevel assignment: scheme#force 
o|dropping redundant toplevel assignment: scheme#append 
o|dropping redundant toplevel assignment: scheme#make-string 
o|dropping redundant toplevel assignment: scheme#string->list 
o|dropping redundant toplevel assignment: scheme#list->string 
o|dropping redundant toplevel assignment: scheme#string-fill! 
o|dropping redundant toplevel assignment: scheme#string-copy 
o|dropping redundant toplevel assignment: scheme#substring 
o|dropping redundant toplevel assignment: scheme#string<? 
o|dropping redundant toplevel assignment: scheme#string>? 
o|dropping redundant toplevel assignment: scheme#string<=? 
o|dropping redundant toplevel assignment: scheme#string>=? 
o|dropping redundant toplevel assignment: scheme#string-ci<? 
o|dropping redundant toplevel assignment: scheme#string-ci>? 
o|dropping redundant toplevel assignment: scheme#string-ci<=? 
o|dropping redundant toplevel assignment: scheme#string-ci>=? 
o|dropping redundant toplevel assignment: scheme#string-append 
o|dropping redundant toplevel assignment: scheme#string 
o|dropping redundant toplevel assignment: chicken.base#chop 
o|dropping redundant toplevel assignment: scheme#make-rectangular 
o|dropping redundant toplevel assignment: scheme#make-polar 
o|dropping redundant toplevel assignment: scheme#real-part 
o|dropping redundant toplevel assignment: scheme#imag-part 
o|dropping redundant toplevel assignment: scheme#angle 
o|dropping redundant toplevel assignment: scheme#magnitude 
o|dropping redundant toplevel assignment: scheme#numerator 
o|dropping redundant toplevel assignment: scheme#denominator 
o|dropping redundant toplevel assignment: scheme#inexact->exact 
o|dropping redundant toplevel assignment: scheme#/ 
o|dropping redundant toplevel assignment: scheme#floor 
o|dropping redundant toplevel assignment: scheme#ceiling 
o|dropping redundant toplevel assignment: scheme#truncate 
o|dropping redundant toplevel assignment: scheme#round 
o|dropping redundant toplevel assignment: scheme#rationalize 
o|dropping redundant toplevel assignment: scheme#max 
o|dropping redundant toplevel assignment: scheme#min 
o|dropping redundant toplevel assignment: scheme#exp 
o|dropping redundant toplevel assignment: scheme#log 
o|dropping redundant toplevel assignment: scheme#sin 
o|dropping redundant toplevel assignment: scheme#cos 
o|dropping redundant toplevel assignment: scheme#tan 
o|dropping redundant toplevel assignment: scheme#asin 
o|dropping redundant toplevel assignment: scheme#acos 
o|dropping redundant toplevel assignment: scheme#atan 
o|dropping redundant toplevel assignment: chicken.base#exact-integer-sqrt 
o|dropping redundant toplevel assignment: scheme#sqrt 
o|dropping redundant toplevel assignment: chicken.base#exact-integer-nth-root 
o|dropping redundant toplevel assignment: scheme#expt 
o|dropping redundant toplevel assignment: scheme#gcd 
o|dropping redundant toplevel assignment: scheme#lcm 
o|dropping redundant toplevel assignment: scheme#string->number 
o|dropping redundant toplevel assignment: ##sys#number->string 
o|dropping redundant toplevel assignment: chicken.base#equal=? 
o|dropping redundant toplevel assignment: scheme#symbol->string 
o|dropping redundant toplevel assignment: scheme#string->symbol 
o|dropping redundant toplevel assignment: chicken.base#string->uninterned-symbol 
o|dropping redundant toplevel assignment: chicken.base#gensym 
o|dropping redundant toplevel assignment: chicken.base#symbol-append 
o|dropping redundant toplevel assignment: ##sys#update-errno 
o|dropping redundant toplevel assignment: ##sys#errno 
o|safe globals: (chicken.keyword#keyword->string chicken.keyword#string->keyword chicken.keyword#keyword? chicken.base#symbol-append chicken.base#gensym chicken.base#string->uninterned-symbol scheme#string->symbol scheme#symbol->string ##sys#symbol->string ##sys#string->symbol ##sys#interned-symbol? ##sys#intern-symbol ##sys#snafu chicken.base#equal=? ##sys#number->string ##sys#integer->string ##sys#flonum->string ##sys#fixnum->string ##sys#string->number scheme#string->number ##sys#string->compnum round-quotient ldexp mantexp->dbl ##sys#extended-number->string ##sys#integer->string/recursive scheme#lcm ##sys#lcm scheme#gcd ##sys#gcd ##sys#internal-gcd scheme#expt ##sys#integer-power ##sys#exact-integer-nth-root/loc chicken.base#exact-integer-nth-root scheme#sqrt ##sys#sqrt/loc chicken.base#exact-integer-sqrt ##sys#exact-integer-sqrt scheme#atan scheme#acos scheme#asin scheme#tan scheme#cos scheme#sin scheme#log ##sys#log-1 scheme#exp scheme#min scheme#max scheme#rationalize find-ratio find-ratio-between scheme#round scheme#truncate scheme#ceiling scheme#floor ##sys#/-2 scheme#/ chicken.bitwise#arithmetic-shift chicken.bitwise#integer-length chicken.bitwise#bit->boolean chicken.bitwise#bitwise-not chicken.bitwise#bitwise-xor chicken.bitwise#bitwise-ior chicken.bitwise#bitwise-and ##sys#inexact->exact ##sys#exact->inexact scheme#inexact->exact flonum->ratnum ##sys#extended-signum scheme#denominator scheme#numerator ratnum scheme#magnitude scheme#angle scheme#imag-part scheme#real-part scheme#make-polar scheme#make-rectangular make-complex ##sys#inexact? ##sys#exact? ##sys#integer? ##sys#number? chicken.flonum#flonum-print-precision chicken.flonum#fpinteger? chicken.flonum#fpabs chicken.flonum#fpsqrt chicken.flonum#fplog chicken.flonum#fpexpt chicken.flonum#fpexp chicken.flonum#fpatan2 chicken.flonum#fpatan chicken.flonum#fpacos chicken.flonum#fpasin chicken.flonum#fptan chicken.flonum#fpcos chicken.flonum#fpsin chicken.flonum#fpceiling chicken.flonum#fpround chicken.flonum#fptruncate chicken.flonum#fpfloor chicken.flonum#fpmin chicken.flonum#fpmax chicken.flonum#fpneg chicken.flonum#fp<= chicken.flonum#fp>= chicken.flonum#fp< chicken.flonum#fp> chicken.flonum#fp= chicken.flonum#fp/? chicken.flonum#fpgcd chicken.flonum#fp/ chicken.flonum#fp* chicken.flonum#fp- chicken.flonum#fp+ chicken.flonum#flonum-minimum-decimal-exponent chicken.flonum#flonum-maximum-decimal-exponent chicken.flonum#flonum-minimum-exponent chicken.flonum#flonum-maximum-exponent chicken.flonum#flonum-decimal-precision chicken.flonum#flonum-precision chicken.flonum#flonum-epsilon chicken.flonum#flonum-radix chicken.flonum#minimum-flonum chicken.flonum#maximum-flonum chicken.base#chop ##sys#fragments->string scheme#string scheme#string-append ##sys#string-append scheme#string-ci>=? scheme#string-ci<=? scheme#string-ci>? scheme#string-ci<? scheme#string>=? scheme#string<=? scheme#string>? scheme#string<? ##sys#substring scheme#substring scheme#string-copy scheme#string-fill! ##sys#reverse-list->string ##sys#list->string scheme#list->string ##sys#string->list scheme#string->list scheme#make-string ##sys#make-string ##sys#fast-reverse scheme#append ##sys#error-bad-base ##sys#error-bad-real ##sys#error-bad-inexact ##sys#error-bad-exact-uinteger ##sys#error-bad-exact-integer ##sys#error-bad-integer ##sys#error-bad-number ##sys#error-not-a-proper-list ##sys#set-dlopen-flags! ##sys#dload scheme#force ##sys#check-closure ##sys#check-special ##sys#check-range ##sys#check-real ##sys#check-exact-uinteger ##sys#check-exact-integer ##sys#check-integer ##sys#check-locative ##sys#check-boolean ##sys#check-char ##sys#check-vector ##sys#check-symbol ##sys#check-inexact ##sys#check-exact ##sys#check-fixnum ##sys#check-number ##sys#check-string ##sys#check-list ##sys#check-pair ##sys#check-byte-vector ##sys#check-blob ##sys#check-structure chicken.time#cpu-time chicken.time#current-seconds chicken.time#current-milliseconds ##sys#block-set! ##sys#copy-closure ##sys#apply-values ##sys#block-ref ##sys#become! ##sys#halt ##sys#undefined-value ##sys#void ##sys#setbyte ##sys#byte ##sys#message ##sys#immediate? ##sys#stop-timer ##sys#start-timer ##sys#memory-info ##sys#symbol-table-info ##sys#ensure-heap-reserve ##sys#make-structure ##sys#allocate-vector ##sys#setislot ##sys#setslot ##sys#gc ##sys#notice ##sys#warn ##sys#error chicken.base#enable-warnings chicken.base#notice chicken.base#warning ##sys#notices-enabled ##sys#warnings-enabled ##sys#debug-mode? chicken.fixnum#fx/? chicken.fixnum#fx*? chicken.fixnum#fx-? chicken.fixnum#fx+? chicken.fixnum#fxrem chicken.fixnum#fxmod chicken.fixnum#fxgcd chicken.fixnum#fx/ chicken.fixnum#fxlen chicken.fixnum#fxeven? chicken.fixnum#fxodd? chicken.fixnum#fxshr chicken.fixnum#fxshl chicken.fixnum#fxnot chicken.fixnum#fxxor chicken.fixnum#fxior chicken.fixnum#fxand chicken.fixnum#fxneg chicken.fixnum#fxmax chicken.fixnum#fxmin chicken.fixnum#fx<= chicken.fixnum#fx>= chicken.fixnum#fx< chicken.fixnum#fx> chicken.fixnum#fx= chicken.fixnum#fx* chicken.fixnum#fx- chicken.fixnum#fx+ chicken.fixnum#fixnum-precision chicken.fixnum#fixnum-bits chicken.fixnum#most-negative-fixnum chicken.fixnum#most-positive-fixnum maximal-string-length chicken.base#rassoc chicken.base#alist-ref chicken.base#alist-update chicken.base#alist-update! chicken.base#compress chicken.base#join chicken.base#flatten chicken.base#butlast chicken.base#intersperse chicken.base#tail? chicken.base#atom? chicken.base#each chicken.base#list-of? chicken.base#o chicken.base#compose chicken.base#complement chicken.base#flip chicken.base#constantly chicken.base#disjoin chicken.base#conjoin chicken.base#identity chicken.base#symbol-escape chicken.base#parentheses-synonyms chicken.base#keyword-style chicken.base#case-sensitive chicken.base#emergency-exit chicken.base#exit chicken.base#on-exit chicken.base#cleanup-tasks chicken.base#exit-handler chicken.base#implicit-exit-handler chicken.base#foldr chicken.base#foldl chicken.base#make-promise ##sys#make-promise chicken.base#promise? chicken.base#flush-output chicken.base#open-output-string chicken.base#open-input-string chicken.base#get-output-string chicken.base#output-port-open? chicken.base#input-port-open? chicken.base#port-closed? chicken.base#port? chicken.base#vector-resize chicken.base#subvector chicken.base#vector-copy! chicken.base#setter chicken.base#procedure-information chicken.base#make-parameter chicken.base#getter-with-setter chicken.base#char-name chicken.base#call/cc chicken.base#sleep chicken.base#void chicken.base#error chicken.base#current-error-port chicken.base#sub1 chicken.base#add1 chicken.base#print* chicken.base#print chicken.base#print-call-chain chicken.base#get-call-chain chicken.base#signum chicken.base#nan? chicken.base#infinite? chicken.base#finite? chicken.base#quotient&modulo chicken.base#quotient&remainder chicken.base#exact-integer? chicken.base#cplxnum? chicken.base#ratnum? chicken.base#bignum? chicken.base#flonum? chicken.base#fixnum? scheme#dynamic-wind scheme#map scheme#for-each scheme#load scheme#null-environment scheme#scheme-report-environment scheme#interaction-environment scheme#eval scheme#display scheme#write scheme#newline scheme#write-char scheme#read scheme#peek-char scheme#read-char scheme#char-ready? scheme#eof-object? scheme#with-output-to-file scheme#with-input-from-file scheme#call-with-output-file scheme#call-with-input-file scheme#close-output-port scheme#close-input-port scheme#open-output-file scheme#open-input-file scheme#current-output-port scheme#current-input-port scheme#output-port? scheme#input-port? scheme#call-with-current-continuation scheme#call-with-values scheme#values scheme#apply scheme#procedure? scheme#char-alphabetic? scheme#char-whitespace? scheme#char-numeric? scheme#char-lower-case? scheme#char-upper-case? scheme#char-ci<=? scheme#char-ci>=? scheme#char-ci<? scheme#char-ci>? scheme#char-ci=? scheme#char-downcase scheme#char-upcase scheme#char<=? scheme#char>=? scheme#char<? scheme#char>? scheme#char=? scheme#integer->char scheme#char->integer scheme#char? scheme#vector-fill! scheme#vector scheme#vector->list scheme#list->vector scheme#make-vector scheme#vector-set! scheme#vector-ref scheme#vector-length scheme#vector? scheme#symbol? scheme#number->string scheme#negative? scheme#positive? scheme#zero? scheme#inexact? scheme#exact? scheme#integer? scheme#rational? scheme#real? scheme#complex? scheme#number? scheme#<= scheme#>= scheme#< scheme#> scheme#= scheme#odd? scheme#even? scheme#modulo scheme#remainder scheme#quotient scheme#* scheme#- scheme#+ scheme#abs scheme#exact->inexact scheme#string-fill scheme#string-ci=? scheme#string=? scheme#string-set! scheme#string-ref scheme#string-length scheme#string? scheme#list? scheme#assoc scheme#assv scheme#assq scheme#member scheme#memv scheme#memq scheme#reverse scheme#list-ref scheme#list-tail scheme#length scheme#list scheme#null? scheme#cdddar scheme#cddadr scheme#cddaar scheme#cdaddr scheme#cdadar scheme#cdaadr scheme#cdaaar scheme#caddar scheme#cadadr scheme#cadaar scheme#caaddr scheme#caadar scheme#caaadr scheme#caaaar scheme#cdddr scheme#cddar scheme#cdadr scheme#cdaar scheme#cadar scheme#caadr scheme#caaar scheme#cddr scheme#cdar scheme#caar scheme#cddddr scheme#cadddr scheme#caddr scheme#cadr scheme#set-cdr! scheme#set-car! scheme#cdr scheme#car scheme#cons scheme#pair? scheme#equal? scheme#eqv? scheme#eq? scheme#boolean? scheme#not) 
o|inlining procedure: k8832 
o|inlining procedure: k8832 
o|removed side-effect free assignment to unused variable: scheme#string-fill 
o|inlining procedure: k9069 
o|inlining procedure: k9069 
o|inlining procedure: k9075 
o|inlining procedure: k9075 
o|inlining procedure: k9166 
o|inlining procedure: k9166 
o|substituted constant variable: a9214 
o|substituted constant variable: a9219 
o|inlining procedure: k9224 
o|inlining procedure: k9224 
o|inlining procedure: k9272 
o|inlining procedure: k9272 
o|inlining procedure: k9296 
o|inlining procedure: k9296 
o|inlining procedure: k9333 
o|inlining procedure: k9333 
o|inlining procedure: k9422 
o|inlining procedure: k9422 
o|inlining procedure: k9452 
o|inlining procedure: k9452 
o|inlining procedure: k9481 
o|inlining procedure: k9481 
o|inlining procedure: k9525 
o|inlining procedure: k9525 
o|inlining procedure: k9546 
o|propagated global variable: r954732248 scheme#values 
o|inlining procedure: k9546 
o|inlining procedure: k9558 
o|propagated global variable: r955932250 chicken.base#identity 
o|inlining procedure: k9558 
o|inlining procedure: k9576 
o|inlining procedure: k9576 
o|inlining procedure: k9605 
o|inlining procedure: k9605 
o|inlining procedure: k9617 
o|inlining procedure: k9617 
o|inlining procedure: k9641 
o|inlining procedure: k9641 
o|inlining procedure: k9675 
o|inlining procedure: k9675 
o|inlining procedure: k9703 
o|inlining procedure: k9703 
o|inlining procedure: k9712 
o|inlining procedure: k9712 
o|inlining procedure: k9734 
o|inlining procedure: k9734 
o|inlining procedure: k9773 
o|inlining procedure: k9773 
o|inlining procedure: k9799 
o|inlining procedure: k9799 
o|inlining procedure: k9846 
o|inlining procedure: k9846 
o|inlining procedure: k9867 
o|inlining procedure: k9867 
o|inlining procedure: k9900 
o|inlining procedure: k9900 
o|inlining procedure: k9915 
o|inlining procedure: k9915 
o|inlining procedure: k9980 
o|inlining procedure: k9980 
o|inlining procedure: k9996 
o|propagated global variable: r999732282 scheme#assv 
o|inlining procedure: k9996 
o|inlining procedure: k10016 
o|inlining procedure: k10016 
o|inlining procedure: k10066 
o|inlining procedure: k10066 
o|inlining procedure: k10091 
o|inlining procedure: k10091 
o|inlining procedure: k10179 
o|inlining procedure: k10179 
o|inlining procedure: k10188 
o|propagated global variable: r1018932292 scheme#assv 
o|inlining procedure: k10188 
o|inlining procedure: k10208 
o|inlining procedure: k10208 
o|inlining procedure: k10226 
o|inlining procedure: k10226 
o|inlining procedure: k10285 
o|inlining procedure: k10285 
o|inlining procedure: k10418 
o|inlining procedure: k10418 
o|inlining procedure: k10427 
o|inlining procedure: k10427 
o|inlining procedure: k10439 
o|inlining procedure: k10439 
o|propagated global variable: r1044032305 ##sys#warnings-enabled 
o|inlining procedure: k10543 
o|inlining procedure: k10543 
o|inlining procedure: k10576 
o|inlining procedure: k10576 
o|inlining procedure: k10587 
o|inlining procedure: k10587 
o|inlining procedure: k10599 
o|inlining procedure: k10599 
o|inlining procedure: k10610 
o|inlining procedure: k10610 
o|inlining procedure: k10621 
o|inlining procedure: k10621 
o|inlining procedure: k10632 
o|inlining procedure: k10632 
o|inlining procedure: k10643 
o|inlining procedure: k10643 
o|inlining procedure: k10654 
o|inlining procedure: k10654 
o|inlining procedure: k10665 
o|inlining procedure: k10665 
o|inlining procedure: k10676 
o|inlining procedure: k10676 
o|inlining procedure: k10687 
o|inlining procedure: k10687 
o|inlining procedure: k10698 
o|inlining procedure: k10698 
o|inlining procedure: k10709 
o|inlining procedure: k10709 
o|inlining procedure: k10720 
o|inlining procedure: k10720 
o|inlining procedure: k10731 
o|inlining procedure: k10731 
o|inlining procedure: k10738 
o|inlining procedure: k10738 
o|inlining procedure: k10748 
o|inlining procedure: k10748 
o|inlining procedure: k10755 
o|inlining procedure: k10755 
o|inlining procedure: k10765 
o|inlining procedure: k10778 
o|inlining procedure: k10778 
o|inlining procedure: k10765 
o|inlining procedure: k10789 
o|inlining procedure: k10789 
o|inlining procedure: k10796 
o|inlining procedure: k10796 
o|inlining procedure: k10809 
o|inlining procedure: k10809 
o|inlining procedure: k10820 
o|inlining procedure: k10820 
o|inlining procedure: k10836 
o|inlining procedure: k10836 
o|inlining procedure: k10846 
o|inlining procedure: k10846 
o|inlining procedure: k10856 
o|inlining procedure: k10856 
o|inlining procedure: k10867 
o|inlining procedure: k10882 
o|inlining procedure: k10882 
o|inlining procedure: k10900 
o|inlining procedure: k10921 
o|inlining procedure: k10921 
o|inlining procedure: k10949 
o|inlining procedure: k10949 
o|inlining procedure: k10900 
o|inlining procedure: k10867 
o|inlining procedure: k11123 
o|inlining procedure: k11123 
o|inlining procedure: k11135 
o|inlining procedure: k11135 
o|inlining procedure: k11154 
o|inlining procedure: k11154 
o|inlining procedure: k11208 
o|inlining procedure: k11208 
o|contracted procedure: "(library.scm:1303) g14941495" 
o|contracted procedure: "(library.scm:1310) g15001501" 
o|inlining procedure: k11304 
o|inlining procedure: k11304 
o|inlining procedure: k11326 
o|inlining procedure: k11326 
o|inlining procedure: k11347 
o|inlining procedure: k11347 
o|inlining procedure: k11378 
o|inlining procedure: k11398 
o|inlining procedure: k11398 
o|inlining procedure: k11378 
o|inlining procedure: k11464 
o|inlining procedure: k11464 
o|inlining procedure: k11480 
o|inlining procedure: k11480 
o|inlining procedure: k11541 
o|inlining procedure: k11541 
o|inlining procedure: k11565 
o|inlining procedure: k11565 
o|inlining procedure: k11586 
o|inlining procedure: k11586 
o|inlining procedure: k11607 
o|inlining procedure: k11607 
o|inlining procedure: k11651 
o|inlining procedure: k11651 
o|inlining procedure: k11675 
o|inlining procedure: k11675 
o|inlining procedure: k11696 
o|inlining procedure: k11696 
o|inlining procedure: k11717 
o|inlining procedure: k11717 
o|inlining procedure: k11754 
o|inlining procedure: k11754 
o|inlining procedure: k11802 
o|inlining procedure: k11802 
o|inlining procedure: k11843 
o|inlining procedure: k11843 
o|inlining procedure: k11864 
o|inlining procedure: k11864 
o|contracted procedure: "(library.scm:1564) g17481749" 
o|inlining procedure: k11925 
o|inlining procedure: k11925 
o|contracted procedure: "(library.scm:1568) g17591760" 
o|inlining procedure: k11949 
o|inlining procedure: k11949 
o|contracted procedure: "(library.scm:1572) g17701771" 
o|inlining procedure: k11973 
o|inlining procedure: k11973 
o|contracted procedure: "(library.scm:1576) g17811782" 
o|inlining procedure: k11997 
o|inlining procedure: k11997 
o|contracted procedure: "(library.scm:1580) g17921793" 
o|inlining procedure: k12021 
o|inlining procedure: k12021 
o|contracted procedure: "(library.scm:1584) g18031804" 
o|inlining procedure: k12045 
o|inlining procedure: k12045 
o|contracted procedure: "(library.scm:1588) g18141815" 
o|inlining procedure: k12069 
o|inlining procedure: k12069 
o|contracted procedure: "(library.scm:1592) g18251826" 
o|inlining procedure: k12093 
o|inlining procedure: k12093 
o|contracted procedure: "(library.scm:1596) g18361837" 
o|inlining procedure: k12117 
o|inlining procedure: k12117 
o|contracted procedure: "(library.scm:1600) g18471848" 
o|inlining procedure: k12141 
o|inlining procedure: k12141 
o|contracted procedure: "(library.scm:1604) g18581859" 
o|inlining procedure: k12165 
o|inlining procedure: k12165 
o|contracted procedure: "(library.scm:1608) g18681869" 
o|inlining procedure: k12189 
o|inlining procedure: k12189 
o|contracted procedure: "(library.scm:1612) g18771878" 
o|inlining procedure: k12207 
o|inlining procedure: k12207 
o|contracted procedure: "(library.scm:1616) g18881889" 
o|inlining procedure: k12231 
o|inlining procedure: k12231 
o|contracted procedure: "(library.scm:1620) g18981899" 
o|inlining procedure: k12255 
o|inlining procedure: k12255 
o|contracted procedure: "(library.scm:1624) g19061907" 
o|inlining procedure: k12273 
o|inlining procedure: k12273 
o|contracted procedure: "(library.scm:1628) g19141915" 
o|inlining procedure: k12291 
o|inlining procedure: k12291 
o|contracted procedure: "(library.scm:1632) g19221923" 
o|inlining procedure: k12309 
o|inlining procedure: k12309 
o|contracted procedure: "(library.scm:1636) g19301931" 
o|inlining procedure: k12327 
o|inlining procedure: k12327 
o|contracted procedure: "(library.scm:1640) g19381939" 
o|inlining procedure: k12345 
o|inlining procedure: k12345 
o|contracted procedure: "(library.scm:1644) g19461947" 
o|inlining procedure: k12363 
o|inlining procedure: k12363 
o|contracted procedure: "(library.scm:1648) g19541955" 
o|inlining procedure: k12381 
o|inlining procedure: k12381 
o|contracted procedure: "(library.scm:1652) g19621963" 
o|inlining procedure: k12399 
o|inlining procedure: k12399 
o|contracted procedure: "(library.scm:1656) g19701971" 
o|inlining procedure: k12417 
o|inlining procedure: k12417 
o|contracted procedure: "(library.scm:1660) g19791980" 
o|inlining procedure: k12435 
o|inlining procedure: k12435 
o|contracted procedure: "(library.scm:1664) g19891990" 
o|inlining procedure: k12459 
o|inlining procedure: k12459 
o|contracted procedure: "(library.scm:1668) g19981999" 
o|inlining procedure: k12477 
o|inlining procedure: k12477 
o|contracted procedure: "(library.scm:1672) g20082009" 
o|inlining procedure: k12501 
o|inlining procedure: k12501 
o|contracted procedure: "(library.scm:1676) g20162017" 
o|inlining procedure: k12519 
o|inlining procedure: k12519 
o|contracted procedure: "(library.scm:1680) g20242025" 
o|inlining procedure: k12537 
o|inlining procedure: k12537 
o|contracted procedure: "(library.scm:1684) g20322033" 
o|inlining procedure: k12555 
o|inlining procedure: k12555 
o|inlining procedure: k12574 
o|inlining procedure: k12574 
o|inlining procedure: k12593 
o|inlining procedure: k12593 
o|inlining procedure: k12620 
o|inlining procedure: k12620 
o|inlining procedure: k12662 
o|contracted procedure: "(library.scm:1733) g21232124" 
o|inlining procedure: k12662 
o|inlining procedure: k12685 
o|contracted procedure: "(library.scm:1739) g21312132" 
o|inlining procedure: k12685 
o|inlining procedure: k12699 
o|inlining procedure: k12699 
o|inlining procedure: k12727 
o|contracted procedure: "(library.scm:1755) g21462147" 
o|contracted procedure: "(library.scm:1754) g21432144" 
o|inlining procedure: k12727 
o|inlining procedure: k12766 
o|inlining procedure: k12766 
o|contracted procedure: "(library.scm:1769) g21562157" 
o|inlining procedure: k12783 
o|contracted procedure: "(library.scm:1771) g21592160" 
o|contracted procedure: "(library.scm:1771) g21662167" 
o|contracted procedure: "(library.scm:1771) g21632164" 
o|inlining procedure: k12783 
o|contracted procedure: "(library.scm:1772) g21692170" 
o|inlining procedure: k12812 
o|inlining procedure: k12812 
o|inlining procedure: k12819 
o|inlining procedure: k12819 
o|inlining procedure: k12841 
o|contracted procedure: "(library.scm:1781) g21822183" 
o|inlining procedure: k12841 
o|inlining procedure: k12858 
o|inlining procedure: k12858 
o|inlining procedure: k12865 
o|inlining procedure: k12865 
o|inlining procedure: k12887 
o|contracted procedure: "(library.scm:1793) g21942195" 
o|inlining procedure: k12887 
o|inlining procedure: k12904 
o|contracted procedure: "(library.scm:1800) g22032204" 
o|inlining procedure: k12904 
o|inlining procedure: k13024 
o|inlining procedure: k13024 
o|inlining procedure: k13033 
o|contracted procedure: "(library.scm:1833) g22352236" 
o|inlining procedure: k13033 
o|contracted procedure: "(library.scm:1834) flonum->ratnum" 
o|inlining procedure: k12970 
o|contracted procedure: "(library.scm:1818) g22202221" 
o|inlining procedure: k12970 
o|contracted procedure: "(library.scm:1815) float-fraction-length2208" 
o|inlining procedure: k12945 
o|inlining procedure: k12945 
o|inlining procedure: k12994 
o|inlining procedure: k12994 
o|substituted constant variable: a13020 
o|inlining procedure: k13050 
o|contracted procedure: "(library.scm:1838) g22412242" 
o|contracted procedure: "(library.scm:1837) g22382239" 
o|inlining procedure: k13050 
o|inlining procedure: k13102 
o|inlining procedure: k13102 
o|inlining procedure: k13125 
o|inlining procedure: k13125 
o|inlining procedure: k13156 
o|contracted procedure: "(library.scm:1890) g22982299" 
o|contracted procedure: "(library.scm:1890) g22942295" 
o|contracted procedure: "(library.scm:1889) g22902291" 
o|inlining procedure: k13156 
o|inlining procedure: k13232 
o|inlining procedure: k13232 
o|inlining procedure: k13255 
o|contracted procedure: "(library.scm:1910) g23372338" 
o|contracted procedure: "(library.scm:1909) g23322333" 
o|contracted procedure: "(library.scm:1908) g23282329" 
o|contracted procedure: "(library.scm:1908) g23242325" 
o|contracted procedure: "(library.scm:1907) g23202321" 
o|contracted procedure: "(library.scm:1907) g23162317" 
o|inlining procedure: k13255 
o|contracted procedure: "(library.scm:1919) g23482349" 
o|contracted procedure: "(library.scm:1916) g23422343" 
o|inlining procedure: k13336 
o|contracted procedure: "(library.scm:1929) g23572358" 
o|contracted procedure: "(library.scm:1927) g23522353" 
o|inlining procedure: k13336 
o|inlining procedure: k13401 
o|inlining procedure: k13401 
o|inlining procedure: k13411 
o|substituted constant variable: a13433 
o|substituted constant variable: a13435 
o|contracted procedure: "(library.scm:1943) g23722373" 
o|contracted procedure: "(library.scm:1942) g23682369" 
o|inlining procedure: k13411 
o|inlining procedure: k13442 
o|inlining procedure: k13442 
o|inlining procedure: k13452 
o|substituted constant variable: a13474 
o|substituted constant variable: a13476 
o|contracted procedure: "(library.scm:1953) g23852386" 
o|contracted procedure: "(library.scm:1952) g23812382" 
o|inlining procedure: k13452 
o|inlining procedure: k13483 
o|inlining procedure: k13483 
o|inlining procedure: k13493 
o|contracted procedure: "(library.scm:1963) g23962397" 
o|contracted procedure: "(library.scm:1962) g23932394" 
o|inlining procedure: k13493 
o|inlining procedure: k13517 
o|inlining procedure: k13517 
o|inlining procedure: k13524 
o|substituted constant variable: a13547 
o|contracted procedure: "(library.scm:1972) g24052406" 
o|inlining procedure: k13524 
o|inlining procedure: k13566 
o|inlining procedure: k13566 
o|substituted constant variable: a13615 
o|inlining procedure: k13628 
o|inlining procedure: k13628 
o|inlining procedure: k13645 
o|inlining procedure: k13645 
o|inlining procedure: k13696 
o|inlining procedure: k13696 
o|contracted procedure: "(library.scm:1999) find-ratio" 
o|inlining procedure: k13728 
o|inlining procedure: k13728 
o|inlining procedure: k13771 
o|inlining procedure: k13771 
o|inlining procedure: k13807 
o|contracted procedure: "(library.scm:2032) g24682469" 
o|contracted procedure: "(library.scm:2031) g24642465" 
o|inlining procedure: k13807 
o|inlining procedure: k13846 
o|inlining procedure: k13846 
o|inlining procedure: k13892 
o|inlining procedure: k13892 
o|substituted constant variable: a13927 
o|inlining procedure: k13921 
o|inlining procedure: k13921 
o|substituted constant variable: a13957 
o|inlining procedure: k13951 
o|inlining procedure: k13951 
o|inlining procedure: k13981 
o|inlining procedure: k13981 
o|inlining procedure: k14006 
o|inlining procedure: k14006 
o|substituted constant variable: a14018 
o|substituted constant variable: a14025 
o|substituted constant variable: a14032 
o|inlining procedure: k14036 
o|inlining procedure: k14036 
o|inlining procedure: k14045 
o|substituted constant variable: a14052 
o|inlining procedure: k14045 
o|inlining procedure: k14059 
o|inlining procedure: k14059 
o|inlining procedure: k14076 
o|inlining procedure: k14076 
o|inlining procedure: k14085 
o|substituted constant variable: a14092 
o|inlining procedure: k14085 
o|inlining procedure: k14102 
o|substituted constant variable: a14114 
o|substituted constant variable: a14129 
o|substituted constant variable: a14132 
o|inlining procedure: k14102 
o|inlining procedure: k14154 
o|inlining procedure: k14172 
o|inlining procedure: k14172 
o|inlining procedure: k14190 
o|inlining procedure: k14190 
o|substituted constant variable: a14203 
o|substituted constant variable: a14205 
o|substituted constant variable: a14207 
o|substituted constant variable: a14212 
o|substituted constant variable: a14214 
o|inlining procedure: k14154 
o|substituted constant variable: a14240 
o|substituted constant variable: a14242 
o|substituted constant variable: a14268 
o|inlining procedure: k14284 
o|substituted constant variable: a14293 
o|substituted constant variable: a14299 
o|substituted constant variable: a14300 
o|inlining procedure: k14284 
o|inlining procedure: k14328 
o|inlining procedure: k14328 
o|inlining procedure: k14375 
o|inlining procedure: k14391 
o|inlining procedure: k14391 
o|inlining procedure: k14375 
o|contracted procedure: "(library.scm:2173) g26102611" 
o|inlining procedure: k14425 
o|contracted procedure: "(library.scm:2176) g26152616" 
o|inlining procedure: k14449 
o|inlining procedure: k14449 
o|inlining procedure: k14425 
o|inlining procedure: k14497 
o|inlining procedure: k14497 
o|substituted constant variable: a14520 
o|substituted constant variable: a14524 
o|substituted constant variable: a14527 
o|inlining procedure: k14546 
o|inlining procedure: k14546 
o|inlining procedure: k14591 
o|inlining procedure: k14591 
o|inlining procedure: k14605 
o|contracted procedure: "(library.scm:2218) g26482649" 
o|inlining procedure: k14605 
o|inlining procedure: k14628 
o|inlining procedure: k14628 
o|contracted procedure: "(library.scm:2223) square2646" 
o|substituted constant variable: a14649 
o|substituted constant variable: a14658 
o|inlining procedure: k14677 
o|inlining procedure: k14677 
o|inlining procedure: k14695 
o|inlining procedure: k14695 
o|inlining procedure: k14713 
o|contracted procedure: "(library.scm:2243) g26762677" 
o|contracted procedure: "(library.scm:2242) g26732674" 
o|inlining procedure: k14713 
o|inlining procedure: k14747 
o|contracted procedure: "(library.scm:2252) g26832684" 
o|inlining procedure: k14782 
o|contracted procedure: "(library.scm:2254) g26882689" 
o|inlining procedure: k14782 
o|inlining procedure: k14747 
o|inlining procedure: k14816 
o|inlining procedure: k14816 
o|inlining procedure: k14834 
o|inlining procedure: k14834 
o|inlining procedure: k14853 
o|inlining procedure: k14853 
o|inlining procedure: k14890 
o|inlining procedure: k14890 
o|inlining procedure: k14922 
o|contracted procedure: "(library.scm:2280) g27132714" 
o|inlining procedure: k14935 
o|contracted procedure: "(library.scm:2283) g27182719" 
o|inlining procedure: k14935 
o|inlining procedure: k14922 
o|inlining procedure: k14963 
o|inlining procedure: k14963 
o|contracted procedure: "(library.scm:2290) g27272728" 
o|inlining procedure: k14998 
o|inlining procedure: k14998 
o|inlining procedure: k15018 
o|inlining procedure: k15018 
o|inlining procedure: k15060 
o|inlining procedure: k15060 
o|inlining procedure: k15080 
o|inlining procedure: k15080 
o|substituted constant variable: a15150 
o|inlining procedure: k15168 
o|contracted procedure: "(library.scm:2346) g27932794" 
o|contracted procedure: "(library.scm:2344) g27902791" 
o|inlining procedure: k15168 
o|inlining procedure: k15232 
o|inlining procedure: k15232 
o|contracted procedure: "(library.scm:2350) g28012802" 
o|contracted procedure: "(library.scm:2349) g27982799" 
o|inlining procedure: k15340 
o|inlining procedure: k15340 
o|substituted constant variable: a15366 
o|contracted procedure: "(library.scm:2388) g28312832" 
o|inlining procedure: k15376 
o|inlining procedure: k15376 
o|inlining procedure: k15386 
o|substituted constant variable: a15399 
o|inlining procedure: k15395 
o|inlining procedure: k15406 
o|inlining procedure: k15406 
o|substituted constant variable: a15414 
o|inlining procedure: k15395 
o|inlining procedure: k15423 
o|inlining procedure: k15423 
o|inlining procedure: k15429 
o|contracted procedure: "(library.scm:2409) mantexp->dbl" 
o|inlining procedure: k15245 
o|inlining procedure: k15245 
o|contracted procedure: "(library.scm:2380) ldexp" 
o|substituted constant variable: a15300 
o|propagated global variable: a15303 chicken.flonum#flonum-precision 
o|inlining procedure: k15429 
o|inlining procedure: k15386 
o|inlining procedure: k15466 
o|inlining procedure: k15466 
o|inlining procedure: k15492 
o|inlining procedure: k15492 
o|inlining procedure: k15519 
o|inlining procedure: k15519 
o|inlining procedure: k15547 
o|inlining procedure: k15547 
o|substituted constant variable: a15554 
o|substituted constant variable: a15558 
o|substituted constant variable: a15565 
o|contracted procedure: "(library.scm:2431) g28692870" 
o|inlining procedure: k15574 
o|inlining procedure: k15574 
o|inlining procedure: k15607 
o|inlining procedure: k15607 
o|contracted procedure: "(library.scm:2446) g28922893" 
o|inlining procedure: k15627 
o|inlining procedure: k15627 
o|inlining procedure: k15649 
o|inlining procedure: k15649 
o|inlining procedure: k15660 
o|inlining procedure: k15660 
o|inlining procedure: k15674 
o|inlining procedure: k15697 
o|inlining procedure: k15697 
o|inlining procedure: k15723 
o|inlining procedure: k15723 
o|substituted constant variable: a15730 
o|substituted constant variable: a15732 
o|contracted procedure: "(library.scm:2468) g29282929" 
o|inlining procedure: k15674 
o|inlining procedure: k15735 
o|inlining procedure: k15756 
o|inlining procedure: k15774 
o|inlining procedure: k15786 
o|inlining procedure: k15802 
o|inlining procedure: k15802 
o|inlining procedure: k15786 
o|inlining procedure: k15774 
o|inlining procedure: k15756 
o|inlining procedure: k15846 
o|inlining procedure: k15846 
o|inlining procedure: k15860 
o|inlining procedure: k15860 
o|inlining procedure: k15872 
o|inlining procedure: k15872 
o|inlining procedure: k15884 
o|inlining procedure: k15884 
o|inlining procedure: k15896 
o|inlining procedure: k15896 
o|substituted constant variable: a15909 
o|substituted constant variable: a15911 
o|substituted constant variable: a15913 
o|substituted constant variable: a15915 
o|substituted constant variable: a15917 
o|substituted constant variable: a15919 
o|substituted constant variable: a15921 
o|substituted constant variable: a15923 
o|substituted constant variable: a15925 
o|substituted constant variable: a15927 
o|contracted procedure: "(library.scm:2484) g29572958" 
o|inlining procedure: k15936 
o|inlining procedure: k15936 
o|inlining procedure: k15735 
o|inlining procedure: k15947 
o|inlining procedure: k15947 
o|inlining procedure: k15972 
o|inlining procedure: k15987 
o|inlining procedure: k15987 
o|inlining procedure: k15972 
o|inlining procedure: k16027 
o|inlining procedure: k16039 
o|inlining procedure: k16049 
o|inlining procedure: k16049 
o|inlining procedure: k16039 
o|inlining procedure: k16027 
o|inlining procedure: k16069 
o|inlining procedure: k16085 
o|inlining procedure: k16095 
o|inlining procedure: k16113 
o|inlining procedure: k16133 
o|inlining procedure: "(library.scm:2537) make-nan2844" 
o|inlining procedure: k16133 
o|substituted constant variable: a16160 
o|substituted constant variable: a16162 
o|substituted constant variable: a16164 
o|inlining procedure: k16113 
o|inlining procedure: k16095 
o|inlining procedure: k16085 
o|inlining procedure: k16069 
o|substituted constant variable: a16182 
o|inlining procedure: k16186 
o|inlining procedure: k16186 
o|inlining procedure: k16198 
o|inlining procedure: k16198 
o|inlining procedure: k16210 
o|inlining procedure: k16210 
o|inlining procedure: k16222 
o|inlining procedure: k16222 
o|substituted constant variable: a16235 
o|substituted constant variable: a16237 
o|substituted constant variable: a16239 
o|substituted constant variable: a16241 
o|substituted constant variable: a16243 
o|substituted constant variable: a16245 
o|substituted constant variable: a16247 
o|substituted constant variable: a16249 
o|substituted constant variable: a16251 
o|substituted constant variable: a16253 
o|substituted constant variable: a16255 
o|contracted procedure: "(library.scm:2509) g30313032" 
o|inlining procedure: k16269 
o|contracted procedure: "(library.scm:2504) g30183019" 
o|inlining procedure: k16269 
o|inlining procedure: k16290 
o|inlining procedure: k16318 
o|inlining procedure: k16340 
o|inlining procedure: k16350 
o|inlining procedure: k16350 
o|inlining procedure: k16340 
o|inlining procedure: k16373 
o|inlining procedure: k16373 
o|inlining procedure: k16318 
o|inlining procedure: k16423 
o|inlining procedure: k16423 
o|inlining procedure: k16433 
o|inlining procedure: k16456 
o|inlining procedure: k16456 
o|inlining procedure: "(library.scm:2566) make-nan2844" 
o|inlining procedure: k16433 
o|substituted constant variable: a16492 
o|substituted constant variable: a16494 
o|substituted constant variable: a16499 
o|substituted constant variable: a16501 
o|contracted procedure: "(library.scm:2547) g31123113" 
o|inlining procedure: k16508 
o|inlining procedure: k16508 
o|substituted constant variable: a16515 
o|substituted constant variable: a16517 
o|contracted procedure: "(library.scm:2543) g31003101" 
o|inlining procedure: k16290 
o|inlining procedure: k16524 
o|inlining procedure: k16536 
o|inlining procedure: k16536 
o|inlining procedure: k16524 
o|inlining procedure: k16543 
o|inlining procedure: k16543 
o|inlining procedure: k16559 
o|contracted procedure: "(library.scm:2576) g31663167" 
o|contracted procedure: "(library.scm:2575) g31623163" 
o|inlining procedure: k16559 
o|inlining procedure: k16600 
o|inlining procedure: k16619 
o|inlining procedure: k16634 
o|inlining procedure: k16634 
o|contracted procedure: "(library.scm:2584) g31903191" 
o|contracted procedure: "(library.scm:2583) g31863187" 
o|inlining procedure: k16619 
o|inlining procedure: k16600 
o|inlining procedure: k16681 
o|inlining procedure: k16681 
o|substituted constant variable: a16708 
o|substituted constant variable: a16713 
o|substituted constant variable: a16715 
o|substituted constant variable: a16720 
o|substituted constant variable: a16722 
o|substituted constant variable: a16724 
o|contracted procedure: "(library.scm:2572) g31503151" 
o|folded constant expression: (scheme#char->integer (quote #\A)) 
o|folded constant expression: (scheme#char->integer (quote #\a)) 
o|folded constant expression: (scheme#char->integer (quote #\0)) 
o|inlining procedure: k16793 
o|inlining procedure: k16813 
o|inlining procedure: k16813 
o|inlining procedure: k16826 
o|inlining procedure: k16826 
o|inlining procedure: k16857 
o|inlining procedure: k16857 
o|inlining procedure: k16870 
o|inlining procedure: k16870 
o|inlining procedure: k16901 
o|inlining procedure: k16901 
o|inlining procedure: k16914 
o|inlining procedure: k16914 
o|substituted constant variable: a16940 
o|substituted constant variable: a16942 
o|substituted constant variable: a16947 
o|substituted constant variable: a16949 
o|substituted constant variable: a16954 
o|substituted constant variable: a16956 
o|substituted constant variable: a16961 
o|substituted constant variable: a16963 
o|substituted constant variable: a16968 
o|substituted constant variable: a16970 
o|substituted constant variable: a16975 
o|substituted constant variable: a16977 
o|contracted procedure: "(library.scm:2608) g32373238" 
o|inlining procedure: k16793 
o|inlining procedure: k16986 
o|inlining procedure: k16986 
o|contracted procedure: "(library.scm:2607) g32273228" 
o|inlining procedure: k17011 
o|inlining procedure: k17011 
o|inlining procedure: k17084 
o|inlining procedure: k17105 
o|inlining procedure: k17105 
o|inlining procedure: k17084 
o|inlining procedure: k17149 
o|inlining procedure: k17149 
o|inlining procedure: k17158 
o|inlining procedure: k17158 
o|inlining procedure: k17169 
o|inlining procedure: k17169 
o|inlining procedure: k17181 
o|inlining procedure: k17181 
o|inlining procedure: k17190 
o|inlining procedure: k17190 
o|inlining procedure: k17199 
o|inlining procedure: k17208 
o|inlining procedure: k17208 
o|inlining procedure: k17199 
o|inlining procedure: k17260 
o|inlining procedure: k17260 
o|inlining procedure: k17345 
o|inlining procedure: k17345 
o|inlining procedure: "(library.scm:2712) err3349" 
o|inlining procedure: k17351 
o|inlining procedure: k17351 
o|inlining procedure: "(library.scm:2711) err3349" 
o|inlining procedure: k17391 
o|contracted procedure: "(library.scm:2721) g33733382" 
o|inlining procedure: k17391 
o|inlining procedure: k17425 
o|inlining procedure: k17425 
o|folded constant expression: (scheme#integer->char (quote 0)) 
o|inlining procedure: k17455 
o|inlining procedure: k17455 
o|inlining procedure: k17479 
o|inlining procedure: k17479 
o|inlining procedure: k17516 
o|inlining procedure: k17516 
o|inlining procedure: k17564 
o|inlining procedure: k17564 
o|inlining procedure: k17588 
o|inlining procedure: k17588 
o|inlining procedure: k17607 
o|inlining procedure: k17607 
o|inlining procedure: k17628 
o|inlining procedure: k17628 
o|inlining procedure: k17668 
o|inlining procedure: k17668 
o|inlining procedure: k17707 
o|inlining procedure: k17707 
o|inlining procedure: k17753 
o|inlining procedure: k17753 
o|inlining procedure: k17825 
o|inlining procedure: k17825 
o|inlining procedure: k17899 
o|inlining procedure: k17899 
o|inlining procedure: k18001 
o|inlining procedure: k18001 
o|inlining procedure: k18032 
o|inlining procedure: k18032 
o|inlining procedure: k18062 
o|inlining procedure: k18062 
o|inlining procedure: k18132 
o|inlining procedure: k18132 
o|inlining procedure: k18196 
o|inlining procedure: k18196 
o|inlining procedure: k18234 
o|inlining procedure: k18234 
o|inlining procedure: k18270 
o|inlining procedure: k18270 
o|inlining procedure: k18288 
o|inlining procedure: k18288 
o|inlining procedure: k18314 
o|inlining procedure: k18314 
o|inlining procedure: k18332 
o|inlining procedure: k18332 
o|inlining procedure: k18368 
o|inlining procedure: k18383 
o|inlining procedure: k18383 
o|inlining procedure: k18368 
o|inlining procedure: k18416 
o|inlining procedure: k18416 
o|inlining procedure: k18454 
o|inlining procedure: k18472 
o|inlining procedure: k18472 
o|inlining procedure: k18454 
o|inlining procedure: k18516 
o|inlining procedure: k18516 
o|inlining procedure: k18601 
o|inlining procedure: k18601 
o|inlining procedure: k18635 
o|inlining procedure: k18635 
o|inlining procedure: k18690 
o|inlining procedure: k18690 
o|substituted constant variable: a18697 
o|substituted constant variable: a18702 
o|inlining procedure: k18769 
o|inlining procedure: k18769 
o|inlining procedure: k18780 
o|inlining procedure: k18780 
o|inlining procedure: k18791 
o|inlining procedure: k18791 
o|inlining procedure: k18802 
o|inlining procedure: k18802 
o|inlining procedure: k18813 
o|propagated global variable: r1881432950 ##sys#standard-input 
o|removed unused formal parameters: (convert?3908) 
o|inlining procedure: k18828 
o|inlining procedure: k18828 
o|removed unused parameter to known procedure: convert?3908 "(library.scm:3298) body38983907" 
o|inlining procedure: k18813 
o|inlining procedure: k18855 
o|inlining procedure: k18855 
o|removed unused parameter to known procedure: convert?3908 "(library.scm:3298) body38983907" 
o|inlining procedure: k18874 
o|propagated global variable: r1887532956 ##sys#standard-output 
o|removed unused formal parameters: (convert?3933) 
o|inlining procedure: k18889 
o|inlining procedure: k18889 
o|removed unused parameter to known procedure: convert?3933 "(library.scm:3308) body39233932" 
o|inlining procedure: k18874 
o|inlining procedure: k18916 
o|inlining procedure: k18916 
o|removed unused parameter to known procedure: convert?3933 "(library.scm:3308) body39233932" 
o|inlining procedure: k18935 
o|propagated global variable: r1893632962 ##sys#standard-error 
o|removed unused formal parameters: (convert?3958) 
o|inlining procedure: k18950 
o|inlining procedure: k18950 
o|removed unused parameter to known procedure: convert?3958 "(library.scm:3318) body39483957" 
o|inlining procedure: k18935 
o|inlining procedure: k18977 
o|inlining procedure: k18977 
o|removed unused parameter to known procedure: convert?3958 "(library.scm:3318) body39483957" 
o|inlining procedure: k18996 
o|inlining procedure: k18996 
o|inlining procedure: k19034 
o|inlining procedure: k19034 
o|inlining procedure: k19059 
o|inlining procedure: k19059 
o|inlining procedure: k19065 
o|inlining procedure: k19065 
o|inlining procedure: k19088 
o|inlining procedure: k19088 
o|inlining procedure: k19101 
o|inlining procedure: k19101 
o|substituted constant variable: a19112 
o|substituted constant variable: a19114 
o|substituted constant variable: a19116 
o|inlining procedure: k19126 
o|inlining procedure: k19126 
o|inlining procedure: k19301 
o|inlining procedure: k19301 
o|substituted constant variable: a19317 
o|substituted constant variable: a19319 
o|substituted constant variable: a19340 
o|substituted constant variable: a19341 
o|inlining procedure: k19354 
o|inlining procedure: k19354 
o|inlining procedure: k19376 
o|inlining procedure: k19389 
o|inlining procedure: k19389 
o|inlining procedure: k19376 
o|inlining procedure: k19448 
o|inlining procedure: k19448 
o|inlining procedure: k19486 
o|inlining procedure: k19486 
o|inlining procedure: k19520 
o|inlining procedure: k19520 
o|inlining procedure: k19561 
o|inlining procedure: k19561 
o|inlining procedure: k19580 
o|inlining procedure: k19580 
o|inlining procedure: k19708 
o|inlining procedure: k19708 
o|inlining procedure: k19747 
o|inlining procedure: k19786 
o|inlining procedure: k19786 
o|inlining procedure: k19747 
o|inlining procedure: k19814 
o|inlining procedure: k19814 
o|substituted constant variable: a19862 
o|substituted constant variable: a19863 
o|substituted constant variable: a19887 
o|substituted constant variable: a19888 
o|inlining procedure: k19904 
o|inlining procedure: k19904 
o|substituted constant variable: a19962 
o|substituted constant variable: a19963 
o|inlining procedure: k19970 
o|inlining procedure: k19970 
o|substituted constant variable: a19999 
o|substituted constant variable: a20000 
o|substituted constant variable: a20017 
o|substituted constant variable: a20018 
o|inlining procedure: k20072 
o|inlining procedure: k20072 
o|inlining procedure: k20095 
o|inlining procedure: k20095 
o|inlining procedure: k20138 
o|inlining procedure: k20138 
o|inlining procedure: k20157 
o|inlining procedure: k20157 
o|inlining procedure: k20196 
o|inlining procedure: k20196 
o|inlining procedure: k20221 
o|inlining procedure: k20221 
o|inlining procedure: k20240 
o|inlining procedure: k20240 
o|inlining procedure: k20265 
o|inlining procedure: k20265 
o|inlining procedure: k20331 
o|inlining procedure: k20331 
o|inlining procedure: k20366 
o|inlining procedure: k20366 
o|inlining procedure: k20382 
o|inlining procedure: k20382 
o|inlining procedure: k20416 
o|inlining procedure: k20416 
o|inlining procedure: k20450 
o|folded constant expression: (scheme#integer->char (quote 7)) 
o|inlining procedure: k20450 
o|folded constant expression: (scheme#integer->char (quote 11)) 
o|inlining procedure: k20492 
o|folded constant expression: (scheme#integer->char (quote 12)) 
o|inlining procedure: k20492 
o|inlining procedure: k20537 
o|inlining procedure: k20552 
o|inlining procedure: k20552 
o|substituted constant variable: a20590 
o|substituted constant variable: a20595 
o|inlining procedure: k20537 
o|inlining procedure: k20620 
o|inlining procedure: k20620 
o|inlining procedure: k20640 
o|inlining procedure: k20640 
o|inlining procedure: k20675 
o|inlining procedure: k20675 
o|inlining procedure: k20697 
o|inlining procedure: k20697 
o|inlining procedure: k20722 
o|inlining procedure: k20722 
o|substituted constant variable: a20751 
o|substituted constant variable: a20753 
o|substituted constant variable: a20758 
o|substituted constant variable: a20760 
o|inlining procedure: k20761 
o|inlining procedure: k20761 
o|inlining procedure: k20824 
o|inlining procedure: k20824 
o|inlining procedure: k20836 
o|inlining procedure: k20836 
o|substituted constant variable: a20849 
o|substituted constant variable: a20851 
o|substituted constant variable: a20853 
o|substituted constant variable: a20855 
o|inlining procedure: k20859 
o|inlining procedure: k20859 
o|substituted constant variable: a20872 
o|substituted constant variable: a20874 
o|substituted constant variable: a20876 
o|substituted constant variable: a20878 
o|substituted constant variable: a20880 
o|substituted constant variable: a20882 
o|substituted constant variable: a20884 
o|substituted constant variable: a20886 
o|substituted constant variable: a20888 
o|substituted constant variable: a20890 
o|substituted constant variable: a20892 
o|substituted constant variable: a20894 
o|substituted constant variable: a20896 
o|substituted constant variable: a20898 
o|inlining procedure: k20899 
o|inlining procedure: k20899 
o|inlining procedure: k20931 
o|inlining procedure: k20931 
o|inlining procedure: k20922 
o|inlining procedure: k20964 
o|inlining procedure: k20964 
o|inlining procedure: k20995 
o|inlining procedure: k20995 
o|inlining procedure: k21014 
o|inlining procedure: k21047 
o|inlining procedure: k21047 
o|inlining procedure: k21089 
o|inlining procedure: k21089 
o|inlining procedure: k21105 
o|inlining procedure: k21105 
o|inlining procedure: "(library.scm:3923) build-symbol4432" 
o|inlining procedure: k21135 
o|inlining procedure: k21135 
o|inlining procedure: k21147 
o|inlining procedure: k21147 
o|inlining procedure: k21014 
o|inlining procedure: k20922 
o|inlining procedure: k21187 
o|inlining procedure: k21187 
o|inlining procedure: k21208 
o|inlining procedure: k21208 
o|inlining procedure: k21230 
o|inlining procedure: k21230 
o|inlining procedure: k21245 
o|inlining procedure: k21245 
o|inlining procedure: "(library.scm:3959) build-symbol4432" 
o|inlining procedure: k21255 
o|inlining procedure: k21255 
o|substituted constant variable: a21263 
o|substituted constant variable: a21264 
o|inlining procedure: k21272 
o|inlining procedure: k21293 
o|inlining procedure: k21293 
o|substituted constant variable: a21306 
o|inlining procedure: k21272 
o|inlining procedure: k21323 
o|inlining procedure: k21344 
o|inlining procedure: k21344 
o|substituted constant variable: a21357 
o|substituted constant variable: a21365 
o|inlining procedure: k21361 
o|inlining procedure: k21361 
o|substituted constant variable: a21373 
o|inlining procedure: k21323 
o|inlining procedure: k21400 
o|inlining procedure: k21400 
o|inlining procedure: k21436 
o|inlining procedure: k21436 
o|inlining procedure: k21445 
o|inlining procedure: k21445 
o|inlining procedure: k21464 
o|inlining procedure: k21464 
o|inlining procedure: "(library.scm:4011) build-symbol4432" 
o|inlining procedure: k21534 
o|inlining procedure: k21568 
o|inlining procedure: k21568 
o|inlining procedure: k21578 
o|inlining procedure: k21578 
o|inlining procedure: k21534 
o|inlining procedure: k21607 
o|inlining procedure: k21607 
o|inlining procedure: k21651 
o|inlining procedure: k21651 
o|inlining procedure: k21689 
o|inlining procedure: k21689 
o|inlining procedure: k21713 
o|inlining procedure: k21713 
o|substituted constant variable: a21720 
o|substituted constant variable: a21722 
o|substituted constant variable: a21724 
o|substituted constant variable: a21726 
o|inlining procedure: k21730 
o|inlining procedure: k21730 
o|inlining procedure: k21748 
o|contracted procedure: "(library.scm:4065) g47214722" 
o|inlining procedure: k21777 
o|inlining procedure: k21777 
o|inlining procedure: k21796 
o|inlining procedure: k21814 
o|inlining procedure: k21830 
o|inlining procedure: k21830 
o|inlining procedure: k21814 
o|inlining procedure: k21796 
o|substituted constant variable: a21929 
o|inlining procedure: k21931 
o|inlining procedure: k21931 
o|substituted constant variable: a21934 
o|inlining procedure: k21748 
o|inlining procedure: k21957 
o|inlining procedure: k21969 
o|inlining procedure: k21969 
o|inlining procedure: k21957 
o|inlining procedure: k22003 
o|inlining procedure: k22003 
o|inlining procedure: k22016 
o|inlining procedure: k22016 
o|substituted constant variable: a22029 
o|substituted constant variable: a22031 
o|inlining procedure: "(library.scm:4112) build-symbol4432" 
o|inlining procedure: k22077 
o|inlining procedure: k22092 
o|inlining procedure: k22092 
o|inlining procedure: k22077 
o|inlining procedure: k22120 
o|inlining procedure: k22120 
o|inlining procedure: k22145 
o|inlining procedure: k22145 
o|inlining procedure: k22172 
o|inlining procedure: k22193 
o|inlining procedure: k22220 
o|inlining procedure: k22235 
o|inlining procedure: k22235 
o|inlining procedure: k22220 
o|inlining procedure: k22271 
o|inlining procedure: k22271 
o|inlining procedure: k22193 
o|inlining procedure: k22306 
o|inlining procedure: k22306 
o|inlining procedure: k22321 
o|inlining procedure: k22321 
o|inlining procedure: k22345 
o|inlining procedure: k22345 
o|inlining procedure: k22369 
o|inlining procedure: k22369 
o|inlining procedure: k22393 
o|inlining procedure: k22433 
o|inlining procedure: k22433 
o|inlining procedure: k22393 
o|inlining procedure: k22457 
o|inlining procedure: k22457 
o|inlining procedure: k22484 
o|inlining procedure: k22484 
o|inlining procedure: k22511 
o|inlining procedure: k22511 
o|inlining procedure: k22539 
o|inlining procedure: k22539 
o|inlining procedure: k22558 
o|inlining procedure: k22587 
o|inlining procedure: k22587 
o|inlining procedure: k22558 
o|inlining procedure: k22641 
o|inlining procedure: k22668 
o|inlining procedure: k22668 
o|inlining procedure: "(library.scm:4250) build-symbol4432" 
o|inlining procedure: k22690 
o|inlining procedure: k22690 
o|inlining procedure: k22712 
o|inlining procedure: k22712 
o|substituted constant variable: a22715 
o|inlining procedure: k22641 
o|inlining procedure: k22729 
o|inlining procedure: k22729 
o|substituted constant variable: a22742 
o|substituted constant variable: a22744 
o|substituted constant variable: a22746 
o|substituted constant variable: a22748 
o|substituted constant variable: a22750 
o|substituted constant variable: a22752 
o|substituted constant variable: a22754 
o|substituted constant variable: a22756 
o|substituted constant variable: a22758 
o|substituted constant variable: a22760 
o|substituted constant variable: a22762 
o|substituted constant variable: a22764 
o|substituted constant variable: a22766 
o|substituted constant variable: a22768 
o|substituted constant variable: a22770 
o|substituted constant variable: a22772 
o|substituted constant variable: a22774 
o|inlining procedure: k22172 
o|inlining procedure: k22791 
o|inlining procedure: k22791 
o|inlining procedure: k22815 
o|inlining procedure: k22815 
o|inlining procedure: k22836 
o|inlining procedure: k22836 
o|inlining procedure: k22851 
o|inlining procedure: k22851 
o|inlining procedure: k22869 
o|inlining procedure: k22869 
o|substituted constant variable: a22900 
o|substituted constant variable: a22902 
o|substituted constant variable: a22904 
o|substituted constant variable: a22906 
o|substituted constant variable: a22911 
o|substituted constant variable: a22913 
o|substituted constant variable: a22915 
o|substituted constant variable: a22917 
o|substituted constant variable: a22919 
o|substituted constant variable: a22921 
o|substituted constant variable: a22923 
o|substituted constant variable: a22925 
o|substituted constant variable: a22927 
o|substituted constant variable: a22929 
o|inlining procedure: k22933 
o|inlining procedure: k22933 
o|inlining procedure: k22952 
o|inlining procedure: k22952 
o|inlining procedure: k22970 
o|inlining procedure: k22970 
o|inlining procedure: k23012 
o|inlining procedure: k23012 
o|inlining procedure: k23132 
o|inlining procedure: k23132 
o|inlining procedure: k23144 
o|inlining procedure: k23156 
o|inlining procedure: k23156 
o|inlining procedure: k23144 
o|inlining procedure: k23212 
o|inlining procedure: k23212 
o|substituted constant variable: a23242 
o|substituted constant variable: a23244 
o|substituted constant variable: a23246 
o|substituted constant variable: a23248 
o|inlining procedure: k23258 
o|inlining procedure: k23258 
o|inlining procedure: k23277 
o|inlining procedure: k23277 
o|inlining procedure: k23291 
o|inlining procedure: k23291 
o|inlining procedure: k23354 
o|inlining procedure: k23354 
o|substituted constant variable: a23385 
o|substituted constant variable: a23387 
o|substituted constant variable: a23392 
o|substituted constant variable: a23394 
o|substituted constant variable: a23416 
o|substituted constant variable: a23417 
o|substituted constant variable: a23434 
o|substituted constant variable: a23435 
o|inlining procedure: k23448 
o|propagated global variable: r2344933293 ##sys#standard-output 
o|inlining procedure: k23448 
o|substituted constant variable: a23467 
o|substituted constant variable: a23468 
o|substituted constant variable: a23485 
o|substituted constant variable: a23486 
o|propagated global variable: a23499 ##sys#standard-output 
o|substituted constant variable: a23500 
o|substituted constant variable: a23501 
o|contracted procedure: "(library.scm:4400) g50495050" 
o|inlining procedure: k23518 
o|contracted procedure: "(library.scm:4395) g50555062" 
o|propagated global variable: g50705071 ##sys#print 
o|inlining procedure: k23518 
o|propagated global variable: a23550 ##sys#standard-output 
o|substituted constant variable: a23551 
o|substituted constant variable: a23552 
o|contracted procedure: "(library.scm:4407) g50815082" 
o|inlining procedure: k23569 
o|contracted procedure: "(library.scm:4395) g50875094" 
o|propagated global variable: g51025103 ##sys#print 
o|inlining procedure: k23569 
o|substituted constant variable: a23614 
o|substituted constant variable: a23615 
o|inlining procedure: k23628 
o|inlining procedure: k23628 
o|inlining procedure: k23719 
o|inlining procedure: k23719 
o|inlining procedure: k23751 
o|inlining procedure: k23751 
o|substituted constant variable: special-characters5124 
o|inlining procedure: k23763 
o|inlining procedure: k23763 
o|inlining procedure: k23796 
o|inlining procedure: k23796 
o|substituted constant variable: a23869 
o|inlining procedure: k23876 
o|inlining procedure: k23876 
o|inlining procedure: k23888 
o|inlining procedure: k23888 
o|inlining procedure: k23903 
o|inlining procedure: k23903 
o|inlining procedure: k23922 
o|inlining procedure: k23944 
o|inlining procedure: k23944 
o|inlining procedure: k23967 
o|inlining procedure: k23967 
o|inlining procedure: k23980 
o|inlining procedure: k23980 
o|inlining procedure: k24004 
o|inlining procedure: k24004 
o|inlining procedure: k23922 
o|inlining procedure: k24022 
o|inlining procedure: k24047 
o|inlining procedure: k24047 
o|inlining procedure: k24022 
o|inlining procedure: k24085 
o|inlining procedure: k24085 
o|inlining procedure: k24103 
o|inlining procedure: k24103 
o|inlining procedure: k24118 
o|inlining procedure: k24118 
o|inlining procedure: k24127 
o|inlining procedure: k24154 
o|inlining procedure: k24154 
o|inlining procedure: k24127 
o|inlining procedure: k24182 
o|inlining procedure: k24182 
o|inlining procedure: k24198 
o|inlining procedure: k24198 
o|inlining procedure: k24213 
o|inlining procedure: k24222 
o|inlining procedure: k24222 
o|substituted constant variable: a24253 
o|substituted constant variable: a24255 
o|inlining procedure: k24213 
o|inlining procedure: k24275 
o|inlining procedure: k24275 
o|inlining procedure: k24288 
o|inlining procedure: k24301 
o|inlining procedure: k24301 
o|inlining procedure: k24330 
o|inlining procedure: k24330 
o|inlining procedure: k24351 
o|inlining procedure: k24351 
o|inlining procedure: k24369 
o|inlining procedure: k24369 
o|inlining procedure: k24387 
o|inlining procedure: k24387 
o|inlining procedure: k24405 
o|inlining procedure: k24405 
o|substituted constant variable: a24434 
o|substituted constant variable: a24436 
o|substituted constant variable: a24438 
o|substituted constant variable: a24440 
o|substituted constant variable: a24442 
o|substituted constant variable: a24444 
o|substituted constant variable: a24446 
o|substituted constant variable: a24455 
o|substituted constant variable: a24457 
o|inlining procedure: k24288 
o|inlining procedure: k24461 
o|inlining procedure: k24480 
o|inlining procedure: k24480 
o|inlining procedure: k24461 
o|inlining procedure: k24552 
o|inlining procedure: k24552 
o|inlining procedure: k24584 
o|inlining procedure: k24584 
o|inlining procedure: k24600 
o|inlining procedure: k24600 
o|inlining procedure: k24622 
o|inlining procedure: k24647 
o|inlining procedure: k24647 
o|substituted constant variable: a24660 
o|substituted constant variable: a24662 
o|inlining procedure: k24622 
o|inlining procedure: k24666 
o|inlining procedure: k24666 
o|inlining procedure: k24691 
o|inlining procedure: k24691 
o|inlining procedure: k24735 
o|inlining procedure: k24735 
o|inlining procedure: k24752 
o|inlining procedure: k24752 
o|inlining procedure: k24775 
o|inlining procedure: k24805 
o|inlining procedure: k24805 
o|inlining procedure: k24775 
o|inlining procedure: k24893 
o|inlining procedure: k24893 
o|substituted constant variable: a24910 
o|substituted constant variable: a24912 
o|substituted constant variable: saved542754285440 
o|inlining procedure: k25017 
o|inlining procedure: k25017 
o|inlining procedure: k25084 
o|inlining procedure: k25105 
o|inlining procedure: k25105 
o|inlining procedure: k25084 
o|inlining procedure: k25131 
o|inlining procedure: k25131 
o|inlining procedure: k25169 
o|inlining procedure: k25169 
o|inlining procedure: k25200 
o|inlining procedure: k25200 
o|inlining procedure: k25237 
o|inlining procedure: k25237 
o|substituted constant variable: a25297 
o|substituted constant variable: a25298 
o|inlining procedure: k25299 
o|inlining procedure: k25299 
o|inlining procedure: k25350 
o|inlining procedure: k25350 
o|inlining procedure: k25373 
o|inlining procedure: k25399 
o|inlining procedure: k25399 
o|inlining procedure: k25373 
o|inlining procedure: k25453 
o|inlining procedure: k25453 
o|substituted constant variable: c5636 
o|contracted procedure: "(library.scm:4905) extract5613" 
o|substituted constant variable: c5636 
o|inlining procedure: k25520 
o|inlining procedure: k25520 
o|substituted constant variable: c5636 
o|substituted constant variable: c5636 
o|inlining procedure: k25602 
o|inlining procedure: k25602 
o|inlining procedure: k25627 
o|inlining procedure: k25627 
o|inlining procedure: k25633 
o|inlining procedure: k25633 
o|inlining procedure: k25570 
o|inlining procedure: k25652 
o|inlining procedure: k25652 
o|inlining procedure: k25570 
o|substituted constant variable: a25700 
o|substituted constant variable: a25701 
o|inlining procedure: k25772 
o|inlining procedure: "(library.scm:4953) break5709" 
o|inlining procedure: k25772 
o|inlining procedure: k25801 
o|inlining procedure: k25801 
o|inlining procedure: k25817 
o|inlining procedure: k25817 
o|inlining procedure: k25840 
o|contracted procedure: "(library.scm:4974) g57195726" 
o|inlining procedure: k25840 
o|inlining procedure: k25881 
o|inlining procedure: k25881 
o|inlining procedure: k25935 
o|contracted procedure: "(library.scm:5038) g57875794" 
o|inlining procedure: k25935 
o|inlining procedure: k25973 
o|inlining procedure: k25973 
o|inlining procedure: k26016 
o|inlining procedure: k26016 
o|inlining procedure: k26028 
o|inlining procedure: k26028 
o|inlining procedure: k26040 
o|inlining procedure: k26040 
o|inlining procedure: k26052 
o|inlining procedure: k26052 
o|inlining procedure: k26064 
o|inlining procedure: k26064 
o|inlining procedure: k26076 
o|inlining procedure: k26076 
o|inlining procedure: k26088 
o|inlining procedure: k26088 
o|substituted constant variable: a26095 
o|substituted constant variable: a26097 
o|substituted constant variable: a26099 
o|substituted constant variable: a26101 
o|substituted constant variable: a26103 
o|substituted constant variable: a26105 
o|substituted constant variable: a26107 
o|substituted constant variable: a26109 
o|substituted constant variable: a26111 
o|substituted constant variable: a26113 
o|substituted constant variable: a26115 
o|substituted constant variable: a26117 
o|substituted constant variable: a26119 
o|substituted constant variable: a26121 
o|substituted constant variable: a26157 
o|substituted constant variable: a26159 
o|substituted constant variable: a26161 
o|inlining procedure: k26215 
o|inlining procedure: k26251 
o|inlining procedure: k26251 
o|inlining procedure: k26263 
o|inlining procedure: k26277 
o|inlining procedure: k26277 
o|inlining procedure: k26263 
o|inlining procedure: k26215 
o|inlining procedure: k26313 
o|inlining procedure: k26313 
o|inlining procedure: k26368 
o|propagated global variable: r2636933491 ##sys#current-exception-handler 
o|removed unused formal parameters: (convert?5956) 
o|inlining procedure: k26383 
o|inlining procedure: k26383 
o|removed unused parameter to known procedure: convert?5956 "(library.scm:5190) body59465955" 
o|inlining procedure: k26368 
o|inlining procedure: k26410 
o|inlining procedure: k26410 
o|removed unused parameter to known procedure: convert?5956 "(library.scm:5190) body59465955" 
o|inlining procedure: k26435 
o|inlining procedure: k26435 
o|inlining procedure: k26548 
o|contracted procedure: "(library.scm:5218) g60416050" 
o|inlining procedure: k26548 
o|inlining procedure: k26594 
o|contracted procedure: "(library.scm:5217) g60146023" 
o|inlining procedure: k26594 
o|inlining procedure: k26628 
o|contracted procedure: "(library.scm:5214) g59915998" 
o|inlining procedure: k26628 
o|inlining procedure: k26670 
o|inlining procedure: k26670 
o|inlining procedure: k26722 
o|contracted procedure: "(library.scm:5223) g60746083" 
o|inlining procedure: k26722 
o|inlining procedure: k26784 
o|inlining procedure: k26784 
o|inlining procedure: k26840 
o|inlining procedure: k26840 
o|inlining procedure: k26882 
o|inlining procedure: k26882 
o|inlining procedure: k26912 
o|inlining procedure: k26927 
o|inlining procedure: k26927 
o|inlining procedure: k26912 
o|inlining procedure: k26988 
o|inlining procedure: k26988 
o|substituted constant variable: a27013 
o|substituted constant variable: a27014 
o|inlining procedure: k27021 
o|inlining procedure: k27042 
o|inlining procedure: k27042 
o|inlining procedure: k27072 
o|inlining procedure: k27072 
o|inlining procedure: k27101 
o|inlining procedure: k27101 
o|inlining procedure: k27021 
o|inlining procedure: k27169 
o|inlining procedure: k27169 
o|inlining procedure: k27204 
o|inlining procedure: k27204 
o|inlining procedure: k27250 
o|inlining procedure: k27273 
o|inlining procedure: k27273 
o|inlining procedure: k27250 
o|inlining procedure: k27310 
o|inlining procedure: k27310 
o|inlining procedure: k27324 
o|inlining procedure: k27324 
o|inlining procedure: k27342 
o|inlining procedure: k27342 
o|inlining procedure: k27360 
o|inlining procedure: k27360 
o|inlining procedure: k27378 
o|inlining procedure: k27378 
o|inlining procedure: k27396 
o|inlining procedure: k27396 
o|inlining procedure: k27414 
o|inlining procedure: k27414 
o|inlining procedure: k27432 
o|inlining procedure: k27432 
o|inlining procedure: k27450 
o|inlining procedure: k27450 
o|inlining procedure: k27468 
o|inlining procedure: k27468 
o|inlining procedure: k27486 
o|inlining procedure: k27486 
o|inlining procedure: k27504 
o|inlining procedure: k27504 
o|inlining procedure: k27522 
o|inlining procedure: k27522 
o|inlining procedure: k27540 
o|inlining procedure: k27540 
o|inlining procedure: k27558 
o|inlining procedure: k27558 
o|inlining procedure: k27576 
o|inlining procedure: k27576 
o|inlining procedure: k27594 
o|inlining procedure: k27594 
o|inlining procedure: k27612 
o|inlining procedure: k27612 
o|inlining procedure: k27630 
o|inlining procedure: k27630 
o|inlining procedure: k27648 
o|inlining procedure: k27648 
o|inlining procedure: k27666 
o|inlining procedure: k27666 
o|inlining procedure: k27684 
o|inlining procedure: k27684 
o|inlining procedure: k27702 
o|inlining procedure: k27702 
o|inlining procedure: k27720 
o|inlining procedure: k27720 
o|inlining procedure: k27738 
o|inlining procedure: k27738 
o|inlining procedure: k27756 
o|inlining procedure: k27756 
o|inlining procedure: k27774 
o|inlining procedure: k27774 
o|substituted constant variable: a27796 
o|substituted constant variable: a27798 
o|substituted constant variable: a27800 
o|substituted constant variable: a27802 
o|substituted constant variable: a27804 
o|substituted constant variable: a27806 
o|substituted constant variable: a27808 
o|substituted constant variable: a27810 
o|substituted constant variable: a27812 
o|substituted constant variable: a27814 
o|substituted constant variable: a27816 
o|substituted constant variable: a27818 
o|substituted constant variable: a27820 
o|substituted constant variable: a27822 
o|substituted constant variable: a27824 
o|substituted constant variable: a27826 
o|substituted constant variable: a27828 
o|substituted constant variable: a27830 
o|substituted constant variable: a27832 
o|substituted constant variable: a27834 
o|substituted constant variable: a27836 
o|substituted constant variable: a27838 
o|substituted constant variable: a27840 
o|substituted constant variable: a27842 
o|substituted constant variable: a27844 
o|substituted constant variable: a27846 
o|substituted constant variable: a27848 
o|substituted constant variable: a27850 
o|substituted constant variable: a27852 
o|substituted constant variable: a27854 
o|substituted constant variable: a27856 
o|substituted constant variable: a27858 
o|substituted constant variable: a27860 
o|substituted constant variable: a27862 
o|substituted constant variable: a27864 
o|substituted constant variable: a27866 
o|substituted constant variable: a27868 
o|substituted constant variable: a27870 
o|substituted constant variable: a27872 
o|substituted constant variable: a27874 
o|substituted constant variable: a27876 
o|substituted constant variable: a27878 
o|substituted constant variable: a27880 
o|substituted constant variable: a27882 
o|substituted constant variable: a27884 
o|substituted constant variable: a27886 
o|substituted constant variable: a27888 
o|substituted constant variable: a27890 
o|substituted constant variable: a27892 
o|substituted constant variable: a27894 
o|substituted constant variable: a27896 
o|substituted constant variable: a27898 
o|substituted constant variable: a27900 
o|substituted constant variable: a27902 
o|inlining procedure: k27941 
o|substituted constant variable: a27954 
o|inlining procedure: k27941 
o|inlining procedure: k27996 
o|inlining procedure: k27996 
o|inlining procedure: k28034 
o|inlining procedure: k28034 
o|inlining procedure: k28056 
o|inlining procedure: k28056 
o|inlining procedure: k28114 
o|inlining procedure: k28114 
o|contracted procedure: "(library.scm:5531) fetch6454" 
o|contracted procedure: "(library.scm:5548) free6473" 
o|inlining procedure: k28161 
o|inlining procedure: k28161 
o|inlining procedure: k28178 
o|inlining procedure: k28178 
o|contracted procedure: "(library.scm:5543) fetch6472" 
o|propagated global variable: ct6574 ##sys#current-thread 
o|inlining procedure: k28362 
o|inlining procedure: k28362 
o|inlining procedure: k28390 
o|inlining procedure: k28390 
o|inlining procedure: k28447 
o|inlining procedure: k28447 
o|inlining procedure: k28487 
o|inlining procedure: k28499 
o|inlining procedure: k28499 
o|inlining procedure: k28487 
o|inlining procedure: k28526 
o|inlining procedure: k28526 
o|inlining procedure: k28572 
o|inlining procedure: k28572 
o|substituted constant variable: a28630 
o|inlining procedure: k28623 
o|inlining procedure: k28623 
o|substituted constant variable: a28643 
o|inlining procedure: k28654 
o|inlining procedure: k28694 
o|inlining procedure: k28732 
o|inlining procedure: k28732 
o|inlining procedure: k28694 
o|inlining procedure: k28826 
o|inlining procedure: k28826 
o|substituted constant variable: a28887 
o|substituted constant variable: a28889 
o|substituted constant variable: a28897 
o|substituted constant variable: a28902 
o|substituted constant variable: a28904 
o|substituted constant variable: a28918 
o|inlining procedure: k28911 
o|inlining procedure: k28911 
o|substituted constant variable: a28931 
o|inlining procedure: k28654 
o|substituted constant variable: a28946 
o|substituted constant variable: a28948 
o|inlining procedure: k28962 
o|inlining procedure: k28962 
o|inlining procedure: k29057 
o|inlining procedure: k29066 
o|inlining procedure: k29066 
o|inlining procedure: k29057 
o|contracted procedure: "(library.scm:5937) get6785" 
o|inlining procedure: k29133 
o|inlining procedure: k29133 
o|inlining procedure: k29147 
o|inlining procedure: k29147 
o|contracted procedure: "(library.scm:5966) fetch-arg6805" 
o|inlining procedure: k29216 
o|inlining procedure: k29236 
o|inlining procedure: k29236 
o|inlining procedure: k29263 
o|inlining procedure: k29263 
o|inlining procedure: k29216 
o|inlining procedure: k29287 
o|inlining procedure: k29287 
o|inlining procedure: k29299 
o|inlining procedure: k29299 
o|inlining procedure: k29325 
o|inlining procedure: k29325 
o|inlining procedure: k29441 
o|inlining procedure: k29441 
o|inlining procedure: k29463 
o|inlining procedure: k29463 
o|inlining procedure: k29503 
o|inlining procedure: k29503 
o|inlining procedure: k29528 
o|inlining procedure: k29528 
o|inlining procedure: k29550 
o|inlining procedure: k29550 
o|inlining procedure: k29582 
o|inlining procedure: k29582 
o|inlining procedure: k29614 
o|inlining procedure: k29614 
o|inlining procedure: k29646 
o|inlining procedure: k29646 
o|inlining procedure: k29678 
o|inlining procedure: k29678 
o|substituted constant variable: a29726 
o|substituted constant variable: a29728 
o|substituted constant variable: a29730 
o|substituted constant variable: a29732 
o|substituted constant variable: a29734 
o|substituted constant variable: a29736 
o|substituted constant variable: a29738 
o|substituted constant variable: a29740 
o|substituted constant variable: a29742 
o|substituted constant variable: a29744 
o|inlining procedure: k29745 
o|inlining procedure: k29745 
o|inlining procedure: k29800 
o|inlining procedure: k29800 
o|inlining procedure: k29817 
o|inlining procedure: k29841 
o|inlining procedure: k29841 
o|inlining procedure: k29817 
o|inlining procedure: k29884 
o|inlining procedure: k29884 
o|inlining procedure: k29947 
o|inlining procedure: k29947 
o|inlining procedure: k29977 
o|inlining procedure: "(library.scm:6298) pstr7081" 
o|folded constant expression: (scheme#expt (quote 1024) (quote 3)) 
o|inlining procedure: k29977 
o|inlining procedure: "(library.scm:6300) pstr7081" 
o|folded constant expression: (scheme#expt (quote 1024) (quote 2)) 
o|substituted constant variable: a30035 
o|inlining procedure: k30031 
o|inlining procedure: "(library.scm:6302) pstr7081" 
o|substituted constant variable: a30051 
o|inlining procedure: k30031 
o|inlining procedure: "(library.scm:6303) pstr7081" 
o|folded constant expression: (scheme#expt (quote 1024) (quote 2)) 
o|folded constant expression: (scheme#expt (quote 1024) (quote 3)) 
o|inlining procedure: "(library.scm:6329) pstr7081" 
o|inlining procedure: "(library.scm:6327) pstr7081" 
o|inlining procedure: "(library.scm:6325) pchr7082" 
o|inlining procedure: "(library.scm:6323) pstr7081" 
o|inlining procedure: "(library.scm:6319) pstr7081" 
o|inlining procedure: "(library.scm:6317) pchr7082" 
o|inlining procedure: "(library.scm:6315) pstr7081" 
o|substituted constant variable: a30149 
o|inlining procedure: "(library.scm:6311) pstr7081" 
o|inlining procedure: "(library.scm:6309) pstr7081" 
o|inlining procedure: "(library.scm:6306) pstr7081" 
o|inlining procedure: k30256 
o|inlining procedure: k30278 
o|inlining procedure: k30278 
o|contracted procedure: "(library.scm:6405) get-config7184" 
o|inlining procedure: k30223 
o|inlining procedure: k30223 
o|substituted constant variable: a30236 
o|inlining procedure: k30314 
o|inlining procedure: k30314 
o|inlining procedure: k30256 
o|propagated global variable: r3025733808 ##sys#build-version 
o|inlining procedure: k30351 
o|inlining procedure: k30351 
o|inlining procedure: k30379 
o|inlining procedure: k30379 
o|removed side-effect free assignment to unused variable: prefix7256 
o|inlining procedure: k30462 
o|inlining procedure: k30462 
o|inlining procedure: k30477 
o|inlining procedure: k30477 
o|contracted procedure: "(library.scm:6480) err7255" 
o|inlining procedure: k30496 
o|inlining procedure: k30496 
o|inlining procedure: k30574 
o|contracted procedure: "(library.scm:6516) g72877294" 
o|inlining procedure: k30558 
o|inlining procedure: k30558 
o|inlining procedure: k30574 
o|inlining procedure: k30610 
o|inlining procedure: k30610 
o|inlining procedure: k30641 
o|inlining procedure: k30641 
o|inlining procedure: k30687 
o|inlining procedure: k30687 
o|inlining procedure: k30718 
o|inlining procedure: k30718 
o|inlining procedure: k30730 
o|inlining procedure: k30730 
o|inlining procedure: k30742 
o|inlining procedure: k30742 
o|inlining procedure: k30751 
o|inlining procedure: k30751 
o|inlining procedure: k30760 
o|inlining procedure: k30760 
o|inlining procedure: k30836 
o|inlining procedure: k30836 
o|inlining procedure: k30858 
o|inlining procedure: k30875 
o|contracted procedure: "(library.scm:6458) g72297236" 
o|inlining procedure: k30875 
o|inlining procedure: k30858 
o|inlining procedure: k30901 
o|inlining procedure: k30901 
o|inlining procedure: k30975 
o|inlining procedure: k30975 
o|inlining procedure: k31022 
o|inlining procedure: k31022 
o|inlining procedure: k31097 
o|inlining procedure: k31097 
o|substituted constant variable: a31109 
o|inlining procedure: k31122 
o|inlining procedure: k31164 
o|inlining procedure: k31164 
o|inlining procedure: k31194 
o|contracted procedure: "(library.scm:5110) g58525859" 
o|inlining procedure: k31194 
o|inlining procedure: k31122 
o|inlining procedure: k31249 
o|inlining procedure: k31249 
o|inlining procedure: k31300 
o|inlining procedure: k31300 
o|inlining procedure: k31327 
o|inlining procedure: k31327 
o|inlining procedure: k31352 
o|inlining procedure: k31352 
o|inlining procedure: k31432 
o|inlining procedure: k31432 
o|inlining procedure: k31458 
o|inlining procedure: k31458 
o|inlining procedure: k31539 
o|inlining procedure: k31539 
o|folded constant expression: (scheme#integer->char (quote 0)) 
o|inlining procedure: k31698 
o|inlining procedure: k31698 
o|inlining procedure: k31707 
o|inlining procedure: k31707 
o|inlining procedure: k31716 
o|inlining procedure: k31716 
o|inlining procedure: k31732 
o|inlining procedure: k31732 
o|inlining procedure: k31758 
o|inlining procedure: k31787 
o|inlining procedure: k31787 
o|inlining procedure: k31758 
o|inlining procedure: k31822 
o|inlining procedure: k31822 
o|inlining procedure: k31862 
o|inlining procedure: k31862 
o|inlining procedure: k31924 
o|inlining procedure: k31924 
o|inlining procedure: k31936 
o|inlining procedure: k31936 
o|inlining procedure: k31979 
o|inlining procedure: k31979 
o|inlining procedure: k32037 
o|inlining procedure: k32037 
o|inlining procedure: k32052 
o|inlining procedure: k32052 
o|inlining procedure: k32088 
o|inlining procedure: k32088 
o|substituted constant variable: sblen3854 
o|substituted constant variable: sblen3854 
o|folded constant expression: (scheme#integer->char (quote 8)) 
o|folded constant expression: (scheme#integer->char (quote 12)) 
o|folded constant expression: (scheme#integer->char (quote 0)) 
o|folded constant expression: (scheme#integer->char (quote 0)) 
o|folded constant expression: (scheme#integer->char (quote 7)) 
o|folded constant expression: (scheme#integer->char (quote 27)) 
o|folded constant expression: (scheme#integer->char (quote 27)) 
o|folded constant expression: (scheme#integer->char (quote 127)) 
o|folded constant expression: (scheme#integer->char (quote 11)) 
o|replaced variables: 4529 
o|removed binding forms: 1854 
o|substituted constant variable: r907032227 
o|substituted constant variable: r907632229 
o|inlining procedure: k9389 
o|substituted constant variable: r945332243 
o|substituted constant variable: r960632254 
o|substituted constant variable: r961832257 
o|substituted constant variable: r971332264 
o|substituted constant variable: r977432269 
o|substituted constant variable: r984732272 
o|substituted constant variable: r990132276 
o|substituted constant variable: r1001732285 
o|substituted constant variable: r1020932294 
o|substituted constant variable: r1028632299 
o|substituted constant variable: r1073932340 
o|substituted constant variable: r1073932340 
o|substituted constant variable: r1075632346 
o|substituted constant variable: r1075632346 
o|substituted constant variable: r1077932351 
o|substituted constant variable: r1077932351 
o|substituted constant variable: r1079732358 
o|substituted constant variable: r1079732358 
o|substituted constant variable: r1082132364 
o|substituted constant variable: r1082132364 
o|substituted constant variable: r1084732370 
o|substituted constant variable: r1084732370 
o|substituted constant variable: r1095032381 
o|substituted constant variable: r1148132405 
o|substituted constant variable: r1184432426 
o|substituted constant variable: loc1752 
o|substituted constant variable: loc1763 
o|substituted constant variable: loc1774 
o|substituted constant variable: loc1785 
o|substituted constant variable: loc1796 
o|substituted constant variable: loc1807 
o|substituted constant variable: loc1818 
o|substituted constant variable: loc1829 
o|substituted constant variable: loc1840 
o|substituted constant variable: loc1851 
o|substituted constant variable: loc1862 
o|substituted constant variable: loc1871 
o|substituted constant variable: loc1881 
o|substituted constant variable: loc1892 
o|substituted constant variable: loc1901 
o|substituted constant variable: loc1909 
o|substituted constant variable: loc1917 
o|substituted constant variable: loc1925 
o|substituted constant variable: loc1933 
o|substituted constant variable: loc1941 
o|substituted constant variable: loc1949 
o|substituted constant variable: loc1957 
o|substituted constant variable: loc1965 
o|substituted constant variable: loc1973 
o|substituted constant variable: loc1983 
o|substituted constant variable: loc1992 
o|substituted constant variable: loc2002 
o|substituted constant variable: loc2011 
o|substituted constant variable: loc2019 
o|substituted constant variable: loc2027 
o|substituted constant variable: loc2035 
o|inlining procedure: k12607 
o|inlining procedure: k12607 
o|substituted constant variable: r1262132499 
o|substituted constant variable: r1270032504 
o|substituted constant variable: r1285932518 
o|converted assignments to bindings: (deliver2209) 
o|substituted constant variable: n2407 
o|substituted constant variable: d2408 
o|substituted constant variable: r1403732593 
o|substituted constant variable: r1404632595 
o|substituted constant variable: r1407732599 
o|substituted constant variable: r1408632601 
o|substituted constant variable: r1489132649 
o|substituted constant variable: r1499932656 
o|substituted constant variable: r1506132660 
o|substituted constant variable: r1523332667 
o|inlining procedure: k15351 
o|inlining procedure: k15351 
o|substituted constant variable: r1540732674 
o|substituted constant variable: r1542432677 
o|substituted constant variable: r1542432678 
o|substituted constant variable: r1538732683 
o|removed side-effect free assignment to unused variable: make-nan2844 
o|substituted constant variable: r1560832695 
o|substituted constant variable: r1562832697 
o|substituted constant variable: r1565032699 
o|substituted constant variable: r1566132701 
o|substituted constant variable: r1569832704 
o|substituted constant variable: r1572432705 
o|substituted constant variable: r1572432706 
o|substituted constant variable: r1567532707 
o|substituted constant variable: r1578732720 
o|substituted constant variable: r1577532721 
o|substituted constant variable: r1573632737 
o|substituted constant variable: r1605032747 
o|substituted constant variable: r1604032748 
o|substituted constant variable: r1602832749 
o|substituted constant variable: r1611432757 
o|substituted constant variable: r1609632758 
o|substituted constant variable: r1608632759 
o|substituted constant variable: r1627032770 
o|substituted constant variable: r1635132774 
o|substituted constant variable: r1635132774 
o|substituted constant variable: r1635132776 
o|substituted constant variable: r1635132776 
o|substituted constant variable: r1637432781 
o|substituted constant variable: r1637432781 
o|substituted constant variable: r1645732789 
o|substituted constant variable: r1645732789 
o|substituted constant variable: r1643432792 
o|substituted constant variable: r1650932793 
o|substituted constant variable: r1650932794 
o|substituted constant variable: r1629132795 
o|substituted constant variable: r1653732798 
o|substituted constant variable: r1652532799 
o|substituted constant variable: r1656032803 
o|substituted constant variable: r1663532807 
o|substituted constant variable: r1662032808 
o|substituted constant variable: r1668232811 
o|contracted procedure: k16740 
o|contracted procedure: k16752 
o|contracted procedure: k16764 
o|substituted constant variable: r1681432814 
o|substituted constant variable: r1685832818 
o|substituted constant variable: r1690232822 
o|substituted constant variable: r1691532824 
o|substituted constant variable: r1701232831 
o|substituted constant variable: r1708532835 
o|substituted constant variable: r1717032840 
o|substituted constant variable: r1718232842 
o|substituted constant variable: r1719132845 
o|substituted constant variable: r1720932848 
o|substituted constant variable: r1742632869 
o|contracted procedure: k17449 
o|substituted constant variable: r1751732875 
o|substituted constant variable: r1756532877 
o|substituted constant variable: r1766932886 
o|substituted constant variable: r1800232897 
o|substituted constant variable: r1813332903 
o|substituted constant variable: r1833332915 
o|substituted constant variable: r1851732927 
o|converted assignments to bindings: (continuation3764) 
o|substituted constant variable: r1869132941 
o|removed unused formal parameters: (%convert?38963911) 
o|removed unused parameter to known procedure: %convert?38963911 "(library.scm:3298) def-set?39013910" 
o|removed unused parameter to known procedure: %convert?38963911 "(library.scm:3298) def-set?39013910" 
o|removed unused formal parameters: (%convert?39213936) 
o|removed unused parameter to known procedure: %convert?39213936 "(library.scm:3308) def-set?39263935" 
o|removed unused parameter to known procedure: %convert?39213936 "(library.scm:3308) def-set?39263935" 
o|removed unused formal parameters: (%convert?39463961) 
o|removed unused parameter to known procedure: %convert?39463961 "(library.scm:3318) def-set?39513960" 
o|removed unused parameter to known procedure: %convert?39463961 "(library.scm:3318) def-set?39513960" 
o|substituted constant variable: r1899732969 
o|substituted constant variable: r1906032974 
o|substituted constant variable: r1906032974 
o|substituted constant variable: r1906032976 
o|substituted constant variable: r1906032976 
o|substituted constant variable: r1930232986 
o|substituted constant variable: r1935532989 
o|substituted constant variable: r1944932995 
o|substituted constant variable: r1948732997 
o|substituted constant variable: r1952132999 
o|substituted constant variable: r1958133003 
o|inlining procedure: k19904 
o|substituted constant variable: r1997133018 
o|inlining procedure: k19982 
o|contracted procedure: k20468 
o|contracted procedure: k20489 
o|contracted procedure: k20510 
o|substituted constant variable: r2082533069 
o|inlining procedure: k21156 
o|converted assignments to bindings: (starting-line4538) 
o|substituted constant variable: r2125633124 
o|substituted constant variable: r2125633124 
o|substituted constant variable: r2156933154 
o|substituted constant variable: r2156933154 
o|substituted constant variable: r2157933157 
o|inlining procedure: k21817 
o|inlining procedure: k21817 
o|inlining procedure: k21817 
o|substituted constant variable: r2181533178 
o|substituted constant variable: r2179733179 
o|removed side-effect free assignment to unused variable: build-symbol4432 
o|substituted constant variable: r2227233213 
o|substituted constant variable: r2243433224 
o|substituted constant variable: r2266933240 
o|substituted constant variable: r2293433266 
o|substituted constant variable: r2295333267 
o|substituted constant variable: r2295333267 
o|substituted constant variable: r2295333269 
o|substituted constant variable: r2295333269 
o|substituted constant variable: r2313333276 
o|substituted constant variable: r2315733279 
o|substituted constant variable: r2314533280 
o|converted assignments to bindings: (hex4951) 
o|substituted constant variable: r2335533291 
o|propagated global variable: port501933294 ##sys#standard-output 
o|substituted constant variable: r2387733317 
o|substituted constant variable: r2388933319 
o|substituted constant variable: r2390433321 
o|substituted constant variable: r2390433322 
o|substituted constant variable: r2396833326 
o|substituted constant variable: r2396833327 
o|inlining procedure: k23980 
o|substituted constant variable: r2398133330 
o|substituted constant variable: r2398133330 
o|folded constant expression: (scheme#not (quote #f)) 
o|substituted constant variable: r2402333338 
o|inlining procedure: k24489 
o|substituted constant variable: r2473633392 
o|inlining procedure: k24874 
o|substituted constant variable: r2523833416 
o|converted assignments to bindings: (copy&append5540) 
o|substituted constant variable: r2545433427 
o|converted assignments to bindings: (break5709) 
o|substituted constant variable: r2597433459 
o|substituted constant variable: r2597433459 
o|substituted constant variable: r2597433461 
o|substituted constant variable: r2597433461 
o|substituted constant variable: r2601733463 
o|substituted constant variable: r2602933465 
o|substituted constant variable: r2604133467 
o|substituted constant variable: r2605333469 
o|substituted constant variable: r2606533471 
o|substituted constant variable: r2607733473 
o|substituted constant variable: r2608933475 
o|substituted constant variable: r2608933476 
o|substituted constant variable: r2625233480 
o|substituted constant variable: r2625233480 
o|inlining procedure: k26277 
o|inlining procedure: k26277 
o|removed unused formal parameters: (%convert?59445959) 
o|removed unused parameter to known procedure: %convert?59445959 "(library.scm:5190) def-set?59495958" 
o|removed unused parameter to known procedure: %convert?59445959 "(library.scm:5190) def-set?59495958" 
o|substituted constant variable: r2643633497 
o|substituted constant variable: r2678533509 
o|substituted constant variable: r2688333514 
o|substituted constant variable: r2691333518 
o|substituted constant variable: r2727433544 
o|substituted constant variable: r2727433544 
o|substituted constant variable: r2731133549 
o|substituted constant variable: r2731133549 
o|substituted constant variable: r2794233604 
o|substituted constant variable: r2803533608 
o|substituted constant variable: r2805733610 
o|substituted constant variable: r2811533611 
o|substituted constant variable: r2816233615 
o|substituted constant variable: r2816233615 
o|substituted constant variable: r2817933617 
o|inlining procedure: k28581 
o|converted assignments to bindings: (get/clear-str6674) 
o|substituted constant variable: r2905833654 
o|inlining procedure: k29216 
o|inlining procedure: k29216 
o|substituted constant variable: r2981833716 
o|removed side-effect free assignment to unused variable: pstr7081 
o|removed side-effect free assignment to unused variable: pchr7082 
o|substituted constant variable: r2994833719 
o|substituted constant variable: r2994833719 
o|contracted procedure: k29982 
o|substituted constant variable: str708633725 
o|contracted procedure: k30001 
o|contracted procedure: k30009 
o|substituted constant variable: str708633731 
o|contracted procedure: k30028 
o|substituted constant variable: str708633737 
o|substituted constant variable: str708633743 
o|substituted constant variable: str708633748 
o|substituted constant variable: str708633753 
o|substituted constant variable: chr708733758 
o|substituted constant variable: str708633763 
o|substituted constant variable: str708633768 
o|substituted constant variable: chr708733773 
o|substituted constant variable: str708633778 
o|substituted constant variable: str708633783 
o|substituted constant variable: str708633788 
o|substituted constant variable: str708633793 
o|substituted constant variable: r3027933798 
o|substituted constant variable: r3027933798 
o|substituted constant variable: r3022433802 
o|converted assignments to bindings: (str7189) 
o|substituted constant variable: r3031533804 
o|substituted constant variable: r3031533804 
o|substituted constant variable: r3031533806 
o|substituted constant variable: r3031533806 
o|substituted constant variable: r3035233809 
o|substituted constant variable: r3061133823 
o|substituted constant variable: r3073133832 
o|substituted constant variable: r3076133838 
o|inlining procedure: k30836 
o|substituted constant variable: r3085933846 
o|substituted constant variable: r3102333851 
o|inlining procedure: k31143 
o|inlining procedure: k31143 
o|substituted constant variable: r3132833865 
o|substituted constant variable: r3135333867 
o|substituted constant variable: r3145933873 
o|substituted constant variable: r3154033875 
o|contracted procedure: k31552 
o|substituted constant variable: r3170833880 
o|substituted constant variable: r3171733882 
o|substituted constant variable: r3173333884 
o|substituted constant variable: r3178833887 
o|contracted procedure: k32189 
o|contracted procedure: k32193 
o|contracted procedure: k32197 
o|contracted procedure: k32201 
o|contracted procedure: k32205 
o|contracted procedure: k32209 
o|contracted procedure: k32213 
o|contracted procedure: k32217 
o|contracted procedure: k32221 
o|converted assignments to bindings: (lookup-char3597) 
o|simplifications: ((let . 10)) 
o|replaced variables: 200 
o|removed binding forms: 4565 
o|removed conditional forms: 1 
o|inlining procedure: k9371 
o|substituted constant variable: r939033917 
o|inlining procedure: k10534 
o|inlining procedure: k10534 
o|inlining procedure: k10534 
o|inlining procedure: k10995 
o|inlining procedure: k11011 
o|inlining procedure: k11027 
o|inlining procedure: k11043 
o|inlining procedure: k11059 
o|inlining procedure: k11075 
o|inlining procedure: k11091 
o|inlining procedure: k11107 
o|inlining procedure: k11232 
o|inlining procedure: k11267 
o|inlining procedure: k11267 
o|inlining procedure: k11522 
o|inlining procedure: k11522 
o|inlining procedure: k11632 
o|inlining procedure: k11632 
o|inlining procedure: k12801 
o|inlining procedure: k12913 
o|inlining procedure: k12984 
o|inlining procedure: k13070 
o|inlining procedure: k13076 
o|inlining procedure: k13179 
o|inlining procedure: k13508 
o|inlining procedure: k13543 
o|inlining procedure: k13543 
o|inlining procedure: k13702 
o|inlining procedure: k13838 
o|inlining procedure: k14419 
o|inlining procedure: k14443 
o|inlining procedure: k14619 
o|inlining procedure: k14640 
o|inlining procedure: k14730 
o|inlining procedure: k14738 
o|inlining procedure: k14776 
o|inlining procedure: k14794 
o|inlining procedure: k14947 
o|inlining procedure: k14976 
o|inlining procedure: k15188 
o|inlining procedure: k15195 
o|substituted constant variable: r1535234063 
o|substituted constant variable: r1535234066 
o|inlining procedure: k15637 
o|inlining procedure: k16143 
o|inlining procedure: k16281 
o|inlining procedure: k16571 
o|inlining procedure: k16585 
o|inlining procedure: k16591 
o|inlining procedure: k16650 
o|inlining procedure: k16658 
o|substituted constant variable: r16741 
o|substituted constant variable: r16753 
o|substituted constant variable: r16765 
o|inlining procedure: k16998 
o|inlining procedure: k17005 
o|inlining procedure: k17005 
o|inlining procedure: k17038 
o|substituted constant variable: r17450 
o|inlining procedure: k19074 
o|inlining procedure: k19074 
o|inlining procedure: k19074 
o|inlining procedure: k19336 
o|propagated global variable: r1933734661 ##sys#standard-output 
o|propagated global variable: r1933734661 ##sys#standard-output 
o|inlining procedure: k19883 
o|propagated global variable: r1988434669 ##sys#standard-input 
o|propagated global variable: r1988434669 ##sys#standard-input 
o|inlining procedure: k19995 
o|propagated global variable: r1999634671 ##sys#standard-input 
o|propagated global variable: r1999634671 ##sys#standard-input 
o|inlining procedure: k20013 
o|propagated global variable: r2001434673 ##sys#standard-input 
o|propagated global variable: r2001434673 ##sys#standard-input 
o|substituted constant variable: r20469 
o|substituted constant variable: r20490 
o|substituted constant variable: r20511 
o|inlining procedure: k20741 
o|inlining procedure: k22590 
o|inlining procedure: k23463 
o|propagated global variable: r2346434701 ##sys#standard-output 
o|propagated global variable: r2346434701 ##sys#standard-output 
o|inlining procedure: k23481 
o|propagated global variable: r2348234703 ##sys#standard-output 
o|propagated global variable: r2348234703 ##sys#standard-output 
o|inlining procedure: k23859 
o|substituted constant variable: r2398134243 
o|folded constant expression: (scheme#not (quote #f)) 
o|inlining procedure: k26131 
o|inlining procedure: k28396 
o|inlining procedure: "(library.scm:5764) ##sys#format-here-doc-warning" 
o|inlining procedure: k28631 
o|inlining procedure: k28631 
o|inlining procedure: "(library.scm:5798) ##sys#format-here-doc-warning" 
o|inlining procedure: k28919 
o|inlining procedure: k28919 
o|inlining procedure: k29460 
o|inlining procedure: k29460 
o|inlining procedure: k29829 
o|inlining procedure: k29829 
o|substituted constant variable: r29983 
o|substituted constant variable: r30002 
o|substituted constant variable: r30010 
o|substituted constant variable: r30029 
o|substituted constant variable: r31553 
o|inlining procedure: k31695 
o|inlining procedure: k31695 
o|substituted constant variable: r32190 
o|substituted constant variable: r32194 
o|substituted constant variable: r32198 
o|substituted constant variable: r32202 
o|substituted constant variable: r32206 
o|substituted constant variable: r32210 
o|substituted constant variable: r32214 
o|substituted constant variable: r32218 
o|substituted constant variable: r32222 
o|replaced variables: 34 
o|removed binding forms: 498 
o|substituted constant variable: r937234445 
o|substituted constant variable: code67933918 
o|substituted constant variable: code67933918 
o|substituted constant variable: r1099634487 
o|substituted constant variable: r1101234489 
o|substituted constant variable: r1102834491 
o|substituted constant variable: r1104434493 
o|substituted constant variable: r1106034495 
o|substituted constant variable: r1107634497 
o|substituted constant variable: r1109234499 
o|substituted constant variable: r1110834501 
o|substituted constant variable: r1123334509 
o|substituted constant variable: r1123334509 
o|substituted constant variable: r1126834513 
o|substituted constant variable: r1126834513 
o|contracted procedure: k12735 
o|contracted procedure: k12740 
o|contracted procedure: k12795 
o|contracted procedure: k13164 
o|contracted procedure: k13173 
o|contracted procedure: k13263 
o|contracted procedure: k13268 
o|contracted procedure: k13273 
o|contracted procedure: k13278 
o|contracted procedure: k13283 
o|contracted procedure: k13288 
o|contracted procedure: k13310 
o|contracted procedure: k13321 
o|contracted procedure: k13344 
o|contracted procedure: k13356 
o|contracted procedure: k13419 
o|contracted procedure: k13426 
o|contracted procedure: k13460 
o|contracted procedure: k13467 
o|contracted procedure: k13502 
o|contracted procedure: k13534 
o|substituted constant variable: r1354434560 
o|contracted procedure: k13821 
o|contracted procedure: k15207 
o|contracted procedure: k15212 
o|contracted procedure: k15337 
o|contracted procedure: k15483 
o|contracted procedure: k15591 
o|contracted procedure: k15682 
o|contracted procedure: k16298 
o|contracted procedure: k16315 
o|contracted procedure: k16452 
o|substituted constant variable: a16739 
o|substituted constant variable: a16751 
o|substituted constant variable: a16763 
o|contracted procedure: k16801 
o|substituted constant variable: r1700634612 
o|substituted constant variable: r1700634613 
o|inlining procedure: k21111 
o|substituted constant variable: r2259134698 
o|substituted constant variable: r2627834295 
o|removed side-effect free assignment to unused variable: ##sys#format-here-doc-warning 
o|substituted constant variable: r2946134804 
o|substituted constant variable: r2946134804 
o|substituted constant variable: r2983034805 
o|substituted constant variable: r2983034805 
o|substituted constant variable: r2983034806 
o|substituted constant variable: r2983034806 
o|substituted constant variable: r3169634829 
o|substituted constant variable: r3169634829 
o|substituted constant variable: r3169634829 
o|substituted constant variable: r3169634831 
o|substituted constant variable: r3169634831 
o|substituted constant variable: r3169634831 
o|simplifications: ((let . 3)) 
o|replaced variables: 27 
o|removed binding forms: 136 
o|removed conditional forms: 9 
o|substituted constant variable: code66634446 
o|substituted constant variable: r2111234977 
o|substituted constant variable: r2111234977 
o|replaced variables: 34 
o|removed binding forms: 55 
o|removed conditional forms: 1 
o|simplifications: ((let . 1)) 
o|removed binding forms: 21 
o|simplifications: ((if . 204) (##core#call . 2571)) 
o|  call simplifications:
o|    scheme#cdar	2
o|    scheme#set-cdr!	6
o|    scheme#list-tail
o|    scheme#set-car!	7
o|    ##sys#make-vector
o|    scheme#vector?
o|    ##sys#foreign-string-argument
o|    scheme#read-char
o|    scheme#string-ref	3
o|    ##sys#list	6
o|    ##sys#context-switch	2
o|    ##sys#foreign-pointer-argument	3
o|    ##sys#null-pointer?	2
o|    ##sys#generic-structure?	2
o|    scheme#caddr	2
o|    scheme#write-char
o|    scheme#equal?	2
o|    scheme#memv	2
o|    scheme#caar	3
o|    scheme#cddr	3
o|    ##sys#check-structure	2
o|    scheme#string?	5
o|    ##sys#apply	2
o|    ##sys#byte
o|    scheme#char-upper-case?
o|    scheme#char<?
o|    ##sys#void	4
o|    scheme#member	7
o|    chicken.fixnum#fxior	13
o|    scheme#string=?	6
o|    scheme#char-numeric?	7
o|    scheme#char<=?
o|    chicken.fixnum#fx*	9
o|    scheme#eof-object?	25
o|    scheme#char=?	12
o|    scheme#char-whitespace?	7
o|    scheme#memq	12
o|    ##sys#immediate?	3
o|    chicken.fixnum#fxnot
o|    chicken.fixnum#fxand	16
o|    ##sys#call-with-current-continuation	3
o|    scheme#char?	4
o|    scheme#assq	5
o|    ##sys#setislot	28
o|    scheme#char->integer	16
o|    scheme#char-downcase	14
o|    chicken.fixnum#fxmin	3
o|    ##sys#check-vector	6
o|    scheme#string	6
o|    scheme#symbol?	8
o|    ##sys#check-symbol	10
o|    scheme#string-length	4
o|    ##sys#intern-symbol	12
o|    scheme#integer->char	22
o|    scheme#string-ci=?	2
o|    scheme#char>=?	3
o|    ##sys#foreign-flonum-argument
o|    ##sys#foreign-fixnum-argument	4
o|    chicken.base#fixnum?	2
o|    chicken.fixnum#fxshr	13
o|    chicken.fixnum#fxshl	8
o|    chicken.fixnum#fxneg	5
o|    scheme#cadr	14
o|    scheme#exact?
o|    chicken.base#ratnum?	14
o|    ##sys#check-number	10
o|    chicken.base#cplxnum?	17
o|    scheme#number?	8
o|    scheme#inexact?	7
o|    chicken.base#flonum?	46
o|    scheme#list->string
o|    chicken.fixnum#fx>	34
o|    scheme#length	6
o|    chicken.fixnum#fx>=	34
o|    chicken.fixnum#fx+	126
o|    ##sys#check-string	25
o|    chicken.fixnum#fx-	54
o|    ##sys#call-with-values	22
o|    scheme#procedure?	6
o|    ##sys#values	2
o|    chicken.fixnum#fx<=	26
o|    chicken.fixnum#fx<	38
o|    scheme#vector	7
o|    chicken.fixnum#fx=	21
o|    ##sys#size	66
o|    scheme#list	30
o|    ##sys#setslot	46
o|    scheme#list?	5
o|    ##sys#check-pair	3
o|    chicken.base#void	3
o|    scheme#null?	128
o|    ##sys#check-list	19
o|    scheme#not	92
o|    ##sys#make-structure	11
o|    ##sys#structure?	8
o|    scheme#apply	95
o|    scheme#call-with-values	2
o|    scheme#values	23
o|    ##sys#check-char	15
o|    scheme#pair?	90
o|    ##sys#slot	347
o|    scheme#cons	142
o|    scheme#eq?	396
o|    scheme#cdr	46
o|    scheme#car	120
o|contracted procedure: k8576 
o|contracted procedure: k8572 
o|contracted procedure: k8590 
o|contracted procedure: k8604 
o|contracted procedure: k8600 
o|contracted procedure: k8625 
o|contracted procedure: k8621 
o|contracted procedure: k8639 
o|contracted procedure: k8635 
o|contracted procedure: k8657 
o|contracted procedure: k8653 
o|contracted procedure: k8649 
o|contracted procedure: k8667 
o|contracted procedure: k8679 
o|contracted procedure: k8697 
o|contracted procedure: k8693 
o|contracted procedure: k8708 
o|contracted procedure: k8726 
o|contracted procedure: k8722 
o|contracted procedure: k8718 
o|contracted procedure: k8736 
o|contracted procedure: k8748 
o|contracted procedure: k8773 
o|contracted procedure: k8769 
o|contracted procedure: k8765 
o|contracted procedure: k8783 
o|contracted procedure: k8802 
o|contracted procedure: k8798 
o|contracted procedure: k8794 
o|contracted procedure: k8835 
o|contracted procedure: k8841 
o|contracted procedure: k8848 
o|contracted procedure: k8856 
o|contracted procedure: k8852 
o|contracted procedure: k8986 
o|contracted procedure: k9015 
o|contracted procedure: k9021 
o|contracted procedure: k9032 
o|contracted procedure: k9038 
o|contracted procedure: k9044 
o|contracted procedure: k9050 
o|contracted procedure: k9056 
o|contracted procedure: k9227 
o|contracted procedure: k9287 
o|contracted procedure: k9318 
o|contracted procedure: k9299 
o|contracted procedure: k9306 
o|contracted procedure: k9314 
o|contracted procedure: k9324 
o|contracted procedure: k9355 
o|contracted procedure: k9336 
o|contracted procedure: k9343 
o|contracted procedure: k9351 
o|contracted procedure: k9365 
o|contracted procedure: k9380 
o|contracted procedure: k9371 
o|contracted procedure: k9395 
o|contracted procedure: k9389 
o|contracted procedure: k9419 
o|contracted procedure: k9428 
o|contracted procedure: k9438 
o|contracted procedure: k9475 
o|contracted procedure: k9455 
o|contracted procedure: k9458 
o|contracted procedure: k9471 
o|contracted procedure: k9484 
o|contracted procedure: k9487 
o|contracted procedure: k9528 
o|contracted procedure: k9549 
o|contracted procedure: k9561 
o|contracted procedure: k9570 
o|contracted procedure: k9573 
o|contracted procedure: k9579 
o|contracted procedure: k9608 
o|contracted procedure: k9635 
o|contracted procedure: k9614 
o|contracted procedure: k9627 
o|contracted procedure: k9631 
o|contracted procedure: k9644 
o|contracted procedure: k9691 
o|contracted procedure: k9655 
o|contracted procedure: k9669 
o|contracted procedure: k9672 
o|contracted procedure: k9678 
o|contracted procedure: k9700 
o|contracted procedure: k9722 
o|contracted procedure: k9737 
o|contracted procedure: k9747 
o|contracted procedure: k9751 
o|contracted procedure: k9761 
o|contracted procedure: k9770 
o|contracted procedure: k9776 
o|contracted procedure: k9783 
o|contracted procedure: k9802 
o|contracted procedure: k9805 
o|contracted procedure: k9808 
o|contracted procedure: k9814 
o|contracted procedure: k9837 
o|contracted procedure: k9849 
o|contracted procedure: k9881 
o|contracted procedure: k9855 
o|contracted procedure: k9861 
o|contracted procedure: k9864 
o|contracted procedure: k9870 
o|contracted procedure: k9884 
o|contracted procedure: k9891 
o|contracted procedure: k9903 
o|contracted procedure: k9965 
o|contracted procedure: k9909 
o|contracted procedure: k9961 
o|contracted procedure: k9918 
o|contracted procedure: k9927 
o|contracted procedure: k9934 
o|contracted procedure: k9942 
o|contracted procedure: k9946 
o|contracted procedure: k9953 
o|contracted procedure: k9957 
o|contracted procedure: k10048 
o|contracted procedure: k9971 
o|contracted procedure: k9983 
o|contracted procedure: k9990 
o|contracted procedure: k9993 
o|contracted procedure: k9999 
o|contracted procedure: k10005 
o|contracted procedure: k10019 
o|contracted procedure: k10022 
o|contracted procedure: k10035 
o|contracted procedure: k10038 
o|contracted procedure: k10045 
o|contracted procedure: k10152 
o|contracted procedure: k10057 
o|contracted procedure: k10069 
o|contracted procedure: k10076 
o|contracted procedure: k10149 
o|contracted procedure: k10082 
o|contracted procedure: k10088 
o|contracted procedure: k10145 
o|contracted procedure: k10094 
o|contracted procedure: k10110 
o|contracted procedure: k10114 
o|contracted procedure: k10133 
o|contracted procedure: k10137 
o|contracted procedure: k10121 
o|contracted procedure: k10129 
o|contracted procedure: k10141 
o|contracted procedure: k10264 
o|contracted procedure: k10161 
o|contracted procedure: k10258 
o|contracted procedure: k10164 
o|contracted procedure: k10252 
o|contracted procedure: k10167 
o|contracted procedure: k10246 
o|contracted procedure: k10170 
o|contracted procedure: k10185 
o|contracted procedure: k10191 
o|contracted procedure: k10197 
o|contracted procedure: k10211 
o|contracted procedure: k10217 
o|contracted procedure: k10220 
o|contracted procedure: k10223 
o|contracted procedure: k10236 
o|contracted procedure: k10240 
o|contracted procedure: k10273 
o|contracted procedure: k10288 
o|contracted procedure: k10291 
o|contracted procedure: k10294 
o|contracted procedure: k10307 
o|contracted procedure: k10311 
o|contracted procedure: k10314 
o|contracted procedure: k10430 
o|contracted procedure: k10442 
o|contracted procedure: k10481 
o|contracted procedure: k10477 
o|contracted procedure: k10528 
o|contracted procedure: k10531 
o|contracted procedure: k10540 
o|contracted procedure: k10559 
o|contracted procedure: k10566 
o|contracted procedure: k10570 
o|contracted procedure: k10579 
o|contracted procedure: k10590 
o|contracted procedure: k10602 
o|contracted procedure: k10613 
o|contracted procedure: k10624 
o|contracted procedure: k10635 
o|contracted procedure: k10646 
o|contracted procedure: k10657 
o|contracted procedure: k10668 
o|contracted procedure: k10679 
o|contracted procedure: k10690 
o|contracted procedure: k10701 
o|contracted procedure: k10712 
o|contracted procedure: k10723 
o|contracted procedure: k10741 
o|contracted procedure: k10758 
o|contracted procedure: k10768 
o|contracted procedure: k10771 
o|contracted procedure: k10781 
o|contracted procedure: k10799 
o|contracted procedure: k10827 
o|contracted procedure: k10812 
o|contracted procedure: k10823 
o|contracted procedure: k10839 
o|contracted procedure: k10849 
o|contracted procedure: k10859 
o|contracted procedure: k10870 
o|contracted procedure: k10879 
o|contracted procedure: k10885 
o|contracted procedure: k10894 
o|contracted procedure: k10903 
o|contracted procedure: k10906 
o|contracted procedure: k10975 
o|contracted procedure: k10971 
o|contracted procedure: k10915 
o|contracted procedure: k10927 
o|contracted procedure: k10937 
o|contracted procedure: k10930 
o|contracted procedure: k10940 
o|contracted procedure: k10967 
o|contracted procedure: k10946 
o|contracted procedure: k10963 
o|contracted procedure: k10952 
o|contracted procedure: k10959 
o|contracted procedure: k10984 
o|contracted procedure: k11002 
o|contracted procedure: k10995 
o|contracted procedure: k11018 
o|contracted procedure: k11011 
o|contracted procedure: k11034 
o|contracted procedure: k11027 
o|contracted procedure: k11050 
o|contracted procedure: k11043 
o|contracted procedure: k11066 
o|contracted procedure: k11059 
o|contracted procedure: k11082 
o|contracted procedure: k11075 
o|contracted procedure: k11098 
o|contracted procedure: k11091 
o|contracted procedure: k11114 
o|contracted procedure: k11107 
o|contracted procedure: k11126 
o|contracted procedure: k11196 
o|contracted procedure: k11138 
o|contracted procedure: k11148 
o|contracted procedure: k11157 
o|contracted procedure: k11164 
o|contracted procedure: k11170 
o|contracted procedure: k11177 
o|contracted procedure: k11185 
o|contracted procedure: k11192 
o|contracted procedure: k11211 
o|contracted procedure: k11218 
o|contracted procedure: k11226 
o|contracted procedure: k11222 
o|contracted procedure: k11243 
o|contracted procedure: k11232 
o|contracted procedure: k11270 
o|contracted procedure: k11273 
o|contracted procedure: k11276 
o|contracted procedure: k11279 
o|contracted procedure: k11288 
o|contracted procedure: k11291 
o|contracted procedure: k11298 
o|contracted procedure: k11307 
o|contracted procedure: k11314 
o|contracted procedure: k11318 
o|contracted procedure: k11371 
o|contracted procedure: k11329 
o|contracted procedure: k11335 
o|contracted procedure: k11350 
o|contracted procedure: k11353 
o|contracted procedure: k11356 
o|contracted procedure: k11363 
o|contracted procedure: k11367 
o|contracted procedure: k11381 
o|contracted procedure: k11392 
o|contracted procedure: k11401 
o|contracted procedure: k11404 
o|contracted procedure: k11407 
o|contracted procedure: k11414 
o|contracted procedure: k11418 
o|contracted procedure: k11427 
o|contracted procedure: k11430 
o|contracted procedure: k11434 
o|contracted procedure: k11440 
o|contracted procedure: k11443 
o|contracted procedure: k11452 
o|contracted procedure: k11461 
o|contracted procedure: k11477 
o|contracted procedure: k11483 
o|contracted procedure: k11489 
o|contracted procedure: k11506 
o|contracted procedure: k11511 
o|contracted procedure: k11514 
o|contracted procedure: k11525 
o|contracted procedure: k11538 
o|contracted procedure: k11547 
o|contracted procedure: k11562 
o|contracted procedure: k11571 
o|contracted procedure: k11589 
o|contracted procedure: k11610 
o|contracted procedure: k11621 
o|contracted procedure: k11624 
o|contracted procedure: k11635 
o|contracted procedure: k11648 
o|contracted procedure: k11657 
o|contracted procedure: k11672 
o|contracted procedure: k11681 
o|contracted procedure: k11699 
o|contracted procedure: k11720 
o|contracted procedure: k11732 
o|contracted procedure: k11735 
o|contracted procedure: k11742 
o|contracted procedure: k11757 
o|contracted procedure: k11764 
o|contracted procedure: k11767 
o|contracted procedure: k11770 
o|contracted procedure: k11777 
o|contracted procedure: k11781 
o|contracted procedure: k11805 
o|contracted procedure: k11808 
o|contracted procedure: k11811 
o|contracted procedure: k11818 
o|contracted procedure: k11822 
o|contracted procedure: k11834 
o|contracted procedure: k11846 
o|contracted procedure: k11852 
o|contracted procedure: k11867 
o|contracted procedure: k11882 
o|contracted procedure: k11901 
o|contracted procedure: k11889 
o|contracted procedure: k11893 
o|contracted procedure: k11897 
o|contracted procedure: k11904 
o|contracted procedure: k11935 
o|contracted procedure: k11928 
o|contracted procedure: k11959 
o|contracted procedure: k11952 
o|contracted procedure: k11983 
o|contracted procedure: k11976 
o|contracted procedure: k12007 
o|contracted procedure: k12000 
o|contracted procedure: k12031 
o|contracted procedure: k12024 
o|contracted procedure: k12055 
o|contracted procedure: k12048 
o|contracted procedure: k12079 
o|contracted procedure: k12072 
o|contracted procedure: k12103 
o|contracted procedure: k12096 
o|contracted procedure: k12127 
o|contracted procedure: k12120 
o|contracted procedure: k12151 
o|contracted procedure: k12144 
o|contracted procedure: k12175 
o|contracted procedure: k12168 
o|contracted procedure: k12192 
o|contracted procedure: k12217 
o|contracted procedure: k12210 
o|contracted procedure: k12241 
o|contracted procedure: k12234 
o|contracted procedure: k12258 
o|contracted procedure: k12276 
o|contracted procedure: k12294 
o|contracted procedure: k12312 
o|contracted procedure: k12330 
o|contracted procedure: k12348 
o|contracted procedure: k12366 
o|contracted procedure: k12384 
o|contracted procedure: k12402 
o|contracted procedure: k12420 
o|contracted procedure: k12445 
o|contracted procedure: k12438 
o|contracted procedure: k12462 
o|contracted procedure: k12487 
o|contracted procedure: k12480 
o|contracted procedure: k12504 
o|contracted procedure: k12522 
o|contracted procedure: k12540 
o|contracted procedure: k12558 
o|contracted procedure: k12580 
o|contracted procedure: k12571 
o|contracted procedure: k12596 
o|contracted procedure: k12610 
o|contracted procedure: k12614 
o|contracted procedure: k12665 
o|contracted procedure: k12676 
o|contracted procedure: k12688 
o|contracted procedure: k12702 
o|contracted procedure: k12711 
o|contracted procedure: k12730 
o|contracted procedure: k12756 
o|contracted procedure: k12769 
o|contracted procedure: k12775 
o|contracted procedure: k12822 
o|contracted procedure: k12844 
o|contracted procedure: k12868 
o|contracted procedure: k12890 
o|contracted procedure: k12907 
o|contracted procedure: k12919 
o|contracted procedure: k13027 
o|contracted procedure: k12956 
o|contracted procedure: k12997 
o|contracted procedure: k13053 
o|contracted procedure: k13105 
o|contracted procedure: k13115 
o|contracted procedure: k13128 
o|contracted procedure: k13135 
o|contracted procedure: k13143 
o|contracted procedure: k13147 
o|contracted procedure: k13185 
o|contracted procedure: k13188 
o|contracted procedure: k13235 
o|contracted procedure: k13252 
o|contracted procedure: k13258 
o|contracted procedure: k13339 
o|contracted procedure: k13383 
o|contracted procedure: k13373 
o|contracted procedure: k13391 
o|contracted procedure: k13414 
o|contracted procedure: k13455 
o|contracted procedure: k13496 
o|contracted procedure: k13527 
o|contracted procedure: k13569 
o|contracted procedure: k13588 
o|contracted procedure: k13639 
o|contracted procedure: k13664 
o|contracted procedure: k13668 
o|contracted procedure: k13699 
o|contracted procedure: k13702 
o|contracted procedure: k13725 
o|contracted procedure: k13731 
o|contracted procedure: k13738 
o|contracted procedure: k13745 
o|contracted procedure: k13749 
o|contracted procedure: k13753 
o|contracted procedure: k13768 
o|contracted procedure: k13774 
o|contracted procedure: k13781 
o|contracted procedure: k13788 
o|contracted procedure: k13792 
o|contracted procedure: k13796 
o|contracted procedure: k13804 
o|contracted procedure: k13810 
o|contracted procedure: k13849 
o|contracted procedure: k13858 
o|contracted procedure: k13909 
o|contracted procedure: k13889 
o|contracted procedure: k13918 
o|contracted procedure: k13924 
o|contracted procedure: k13948 
o|contracted procedure: k13954 
o|contracted procedure: k13978 
o|contracted procedure: k13984 
o|contracted procedure: k14003 
o|contracted procedure: k14039 
o|contracted procedure: k14056 
o|contracted procedure: k14079 
o|contracted procedure: k14145 
o|contracted procedure: k14096 
o|contracted procedure: k14099 
o|contracted procedure: k14105 
o|contracted procedure: k14310 
o|contracted procedure: k14157 
o|contracted procedure: k14163 
o|contracted procedure: k14166 
o|contracted procedure: k14175 
o|contracted procedure: k14184 
o|contracted procedure: k14193 
o|contracted procedure: k14305 
o|contracted procedure: k14215 
o|contracted procedure: k14218 
o|contracted procedure: k14233 
o|contracted procedure: k14248 
o|contracted procedure: k14331 
o|contracted procedure: k14394 
o|contracted procedure: k14404 
o|contracted procedure: k14428 
o|contracted procedure: k14452 
o|contracted procedure: k14500 
o|contracted procedure: k14584 
o|contracted procedure: k14588 
o|contracted procedure: k14631 
o|contracted procedure: k14680 
o|contracted procedure: k14916 
o|contracted procedure: k14698 
o|contracted procedure: k14912 
o|contracted procedure: k14707 
o|contracted procedure: k14744 
o|contracted procedure: k14785 
o|contracted procedure: k14819 
o|contracted procedure: k14863 
o|contracted procedure: k14866 
o|contracted procedure: k14893 
o|contracted procedure: k14901 
o|contracted procedure: k14908 
o|contracted procedure: k14938 
o|contracted procedure: k14960 
o|contracted procedure: k15001 
o|contracted procedure: k15008 
o|contracted procedure: k15012 
o|contracted procedure: k15021 
o|contracted procedure: k15032 
o|contracted procedure: k15043 
o|contracted procedure: k15063 
o|contracted procedure: k15070 
o|contracted procedure: k15074 
o|contracted procedure: k15083 
o|contracted procedure: k15094 
o|contracted procedure: k15109 
o|contracted procedure: k15162 
o|contracted procedure: k15115 
o|contracted procedure: k15152 
o|contracted procedure: k15147 
o|contracted procedure: k15171 
o|contracted procedure: k15202 
o|contracted procedure: k15223 
o|contracted procedure: k15343 
o|contracted procedure: k15354 
o|contracted procedure: k15379 
o|contracted procedure: k15392 
o|contracted procedure: k15403 
o|contracted procedure: k15420 
o|contracted procedure: k15426 
o|contracted procedure: k15432 
o|contracted procedure: k15248 
o|contracted procedure: k15310 
o|contracted procedure: k15260 
o|contracted procedure: k15266 
o|contracted procedure: k15271 
o|contracted procedure: k15325 
o|contracted procedure: k15329 
o|contracted procedure: k15287 
o|contracted procedure: k15291 
o|contracted procedure: k15446 
o|contracted procedure: k16768 
o|contracted procedure: k16760 
o|contracted procedure: k15449 
o|contracted procedure: k16756 
o|contracted procedure: k16748 
o|contracted procedure: k15452 
o|contracted procedure: k16744 
o|contracted procedure: k16736 
o|contracted procedure: k15455 
o|contracted procedure: k15469 
o|contracted procedure: k15475 
o|contracted procedure: k15489 
o|contracted procedure: k15514 
o|contracted procedure: k15495 
o|contracted procedure: k15502 
o|contracted procedure: k15508 
o|contracted procedure: k15561 
o|contracted procedure: k15522 
o|contracted procedure: k15532 
o|contracted procedure: k15538 
o|contracted procedure: k15544 
o|contracted procedure: k15577 
o|contracted procedure: k15583 
o|contracted procedure: k15597 
o|contracted procedure: k15604 
o|contracted procedure: k15610 
o|contracted procedure: k15624 
o|contracted procedure: k15631 
o|contracted procedure: k15652 
o|contracted procedure: k15666 
o|contracted procedure: k15677 
o|contracted procedure: k15688 
o|contracted procedure: k15708 
o|contracted procedure: k15712 
o|contracted procedure: k15720 
o|contracted procedure: k15726 
o|contracted procedure: k15738 
o|contracted procedure: k15744 
o|contracted procedure: k15759 
o|contracted procedure: k15765 
o|contracted procedure: k15777 
o|contracted procedure: k15792 
o|contracted procedure: k15820 
o|contracted procedure: k15816 
o|contracted procedure: k15824 
o|contracted procedure: k15827 
o|contracted procedure: k15830 
o|contracted procedure: k15833 
o|contracted procedure: k15839 
o|contracted procedure: k15857 
o|contracted procedure: k15863 
o|contracted procedure: k15869 
o|contracted procedure: k15875 
o|contracted procedure: k15881 
o|contracted procedure: k15887 
o|contracted procedure: k15893 
o|contracted procedure: k15899 
o|contracted procedure: k15933 
o|contracted procedure: k15960 
o|contracted procedure: k15975 
o|contracted procedure: k15984 
o|contracted procedure: k16010 
o|contracted procedure: k15990 
o|contracted procedure: k15997 
o|contracted procedure: k16018 
o|contracted procedure: k16024 
o|contracted procedure: k16030 
o|contracted procedure: k16058 
o|contracted procedure: k16062 
o|contracted procedure: k16072 
o|contracted procedure: k16076 
o|contracted procedure: k16092 
o|contracted procedure: k16170 
o|contracted procedure: k16101 
o|contracted procedure: k16166 
o|contracted procedure: k16116 
o|contracted procedure: k16125 
o|contracted procedure: k16136 
o|contracted procedure: k16151 
o|contracted procedure: k16174 
o|contracted procedure: k16183 
o|contracted procedure: k16189 
o|contracted procedure: k16195 
o|contracted procedure: k16201 
o|contracted procedure: k16207 
o|contracted procedure: k16213 
o|contracted procedure: k16219 
o|contracted procedure: k16225 
o|contracted procedure: k16256 
o|contracted procedure: k16285 
o|contracted procedure: k16266 
o|contracted procedure: k16272 
o|contracted procedure: k16293 
o|contracted procedure: k16304 
o|contracted procedure: k16310 
o|contracted procedure: k16321 
o|contracted procedure: k16324 
o|contracted procedure: k16337 
o|contracted procedure: k16408 
o|contracted procedure: k16343 
o|contracted procedure: k16353 
o|contracted procedure: k16386 
o|contracted procedure: k16369 
o|contracted procedure: k16383 
o|contracted procedure: k16376 
o|contracted procedure: k16373 
o|contracted procedure: k16404 
o|contracted procedure: k16389 
o|contracted procedure: k16400 
o|contracted procedure: k16414 
o|contracted procedure: k16417 
o|contracted procedure: k16430 
o|contracted procedure: k16478 
o|contracted procedure: k16436 
o|contracted procedure: k16442 
o|contracted procedure: k16466 
o|contracted procedure: k16459 
o|contracted procedure: k16456 
o|contracted procedure: k16474 
o|contracted procedure: k16485 
o|contracted procedure: k16505 
o|contracted procedure: k16511 
o|contracted procedure: k16530 
o|contracted procedure: k16546 
o|contracted procedure: k16553 
o|contracted procedure: k16556 
o|contracted procedure: k16595 
o|contracted procedure: k16562 
o|contracted procedure: k16568 
o|contracted procedure: k16571 
o|contracted procedure: k16603 
o|contracted procedure: k16606 
o|contracted procedure: k16616 
o|contracted procedure: k16664 
o|contracted procedure: k16622 
o|contracted procedure: k16628 
o|contracted procedure: k16674 
o|contracted procedure: k16698 
o|contracted procedure: k16684 
o|contracted procedure: k16702 
o|contracted procedure: k16725 
o|contracted procedure: k17020 
o|contracted procedure: k16774 
o|contracted procedure: k16777 
o|contracted procedure: k16787 
o|contracted procedure: k16979 
o|contracted procedure: k16807 
o|contracted procedure: k16810 
o|contracted procedure: k16816 
o|contracted procedure: k16823 
o|contracted procedure: k16829 
o|contracted procedure: k16832 
o|contracted procedure: k16838 
o|contracted procedure: k16845 
o|contracted procedure: k16851 
o|contracted procedure: k16854 
o|contracted procedure: k16860 
o|contracted procedure: k16867 
o|contracted procedure: k16873 
o|contracted procedure: k16876 
o|contracted procedure: k16882 
o|contracted procedure: k16889 
o|contracted procedure: k16895 
o|contracted procedure: k16898 
o|contracted procedure: k16904 
o|contracted procedure: k16911 
o|contracted procedure: k16917 
o|contracted procedure: k16920 
o|contracted procedure: k16926 
o|contracted procedure: k16933 
o|contracted procedure: k17002 
o|contracted procedure: k16989 
o|contracted procedure: k17014 
o|contracted procedure: k17005 
o|contracted procedure: k17062 
o|contracted procedure: k17029 
o|contracted procedure: k17056 
o|contracted procedure: k17032 
o|contracted procedure: k17050 
o|contracted procedure: k17035 
o|contracted procedure: k17044 
o|contracted procedure: k17038 
o|contracted procedure: k17078 
o|contracted procedure: k17081 
o|contracted procedure: k17087 
o|contracted procedure: k17090 
o|contracted procedure: k17096 
o|contracted procedure: k17108 
o|contracted procedure: k17115 
o|contracted procedure: k17119 
o|contracted procedure: k17132 
o|contracted procedure: k17136 
o|contracted procedure: k17140 
o|contracted procedure: k17146 
o|contracted procedure: k17155 
o|contracted procedure: k17161 
o|contracted procedure: k17172 
o|contracted procedure: k17178 
o|contracted procedure: k17184 
o|contracted procedure: k17205 
o|contracted procedure: k17215 
o|contracted procedure: k17211 
o|contracted procedure: k17218 
o|contracted procedure: k17231 
o|contracted procedure: k17224 
o|contracted procedure: k17248 
o|contracted procedure: k17257 
o|contracted procedure: k17267 
o|contracted procedure: k17273 
o|contracted procedure: k17286 
o|contracted procedure: k17299 
o|contracted procedure: k17318 
o|contracted procedure: k17336 
o|contracted procedure: k17339 
o|contracted procedure: k17374 
o|contracted procedure: k17394 
o|contracted procedure: k17397 
o|contracted procedure: k17400 
o|contracted procedure: k17408 
o|contracted procedure: k17416 
o|contracted procedure: k17379 
o|contracted procedure: k17428 
o|contracted procedure: k17434 
o|contracted procedure: k17445 
o|contracted procedure: k17468 
o|contracted procedure: k17491 
o|contracted procedure: k17473 
o|contracted procedure: k17476 
o|contracted procedure: k17482 
o|contracted procedure: k17531 
o|contracted procedure: k17534 
o|contracted procedure: k17546 
o|contracted procedure: k17561 
o|contracted procedure: k17572 
o|contracted procedure: k17567 
o|contracted procedure: k17591 
o|contracted procedure: k17588 
o|contracted procedure: k17597 
o|contracted procedure: k17653 
o|contracted procedure: k17610 
o|contracted procedure: k17616 
o|contracted procedure: k17631 
o|contracted procedure: k17649 
o|contracted procedure: k17634 
o|contracted procedure: k17641 
o|contracted procedure: k17645 
o|contracted procedure: k17659 
o|contracted procedure: k17671 
o|contracted procedure: k17678 
o|contracted procedure: k17686 
o|contracted procedure: k17698 
o|contracted procedure: k17710 
o|contracted procedure: k17713 
o|contracted procedure: k17720 
o|contracted procedure: k17726 
o|contracted procedure: k17729 
o|contracted procedure: k17732 
o|contracted procedure: k17735 
o|contracted procedure: k17756 
o|contracted procedure: k17770 
o|contracted procedure: k17759 
o|contracted procedure: k17766 
o|contracted procedure: k17773 
o|contracted procedure: k17776 
o|contracted procedure: k17785 
o|contracted procedure: k17857 
o|contracted procedure: k17795 
o|contracted procedure: k17798 
o|contracted procedure: k17801 
o|contracted procedure: k17804 
o|contracted procedure: k17807 
o|contracted procedure: k17828 
o|contracted procedure: k17846 
o|contracted procedure: k17842 
o|contracted procedure: k17831 
o|contracted procedure: k17838 
o|contracted procedure: k17850 
o|contracted procedure: k17854 
o|contracted procedure: k17878 
o|contracted procedure: k17866 
o|contracted procedure: k17869 
o|contracted procedure: k17902 
o|contracted procedure: k17916 
o|contracted procedure: k17905 
o|contracted procedure: k17912 
o|contracted procedure: k17920 
o|contracted procedure: k17930 
o|contracted procedure: k17934 
o|contracted procedure: k17941 
o|contracted procedure: k17945 
o|contracted procedure: k17952 
o|contracted procedure: k17956 
o|contracted procedure: k17963 
o|contracted procedure: k17967 
o|contracted procedure: k17974 
o|contracted procedure: k17978 
o|contracted procedure: k17988 
o|contracted procedure: k17995 
o|contracted procedure: k18004 
o|contracted procedure: k18007 
o|contracted procedure: k18024 
o|contracted procedure: k18013 
o|contracted procedure: k18020 
o|contracted procedure: k18035 
o|contracted procedure: k18050 
o|contracted procedure: k18053 
o|contracted procedure: k18065 
o|contracted procedure: k18068 
o|contracted procedure: k18082 
o|contracted procedure: k18078 
o|contracted procedure: k18086 
o|contracted procedure: k18109 
o|contracted procedure: k18090 
o|contracted procedure: k18101 
o|contracted procedure: k18105 
o|contracted procedure: k18097 
o|contracted procedure: k18123 
o|contracted procedure: k18119 
o|contracted procedure: k18112 
o|contracted procedure: k18126 
o|contracted procedure: k18129 
o|contracted procedure: k18138 
o|contracted procedure: k18199 
o|contracted procedure: k18205 
o|contracted procedure: k18215 
o|contracted procedure: k18219 
o|contracted procedure: k18237 
o|contracted procedure: k18243 
o|contracted procedure: k18258 
o|contracted procedure: k18262 
o|contracted procedure: k18273 
o|contracted procedure: k18276 
o|contracted procedure: k18282 
o|contracted procedure: k18291 
o|contracted procedure: k18306 
o|contracted procedure: k18317 
o|contracted procedure: k18360 
o|contracted procedure: k18335 
o|contracted procedure: k18356 
o|contracted procedure: k18352 
o|contracted procedure: k18341 
o|contracted procedure: k18348 
o|contracted procedure: k18371 
o|contracted procedure: k18374 
o|contracted procedure: k18386 
o|contracted procedure: k18396 
o|contracted procedure: k18400 
o|contracted procedure: k18407 
o|contracted procedure: k18413 
o|contracted procedure: k18419 
o|contracted procedure: k18457 
o|contracted procedure: k18460 
o|contracted procedure: k18463 
o|contracted procedure: k18475 
o|contracted procedure: k18478 
o|contracted procedure: k18481 
o|contracted procedure: k18489 
o|contracted procedure: k18497 
o|contracted procedure: k18507 
o|contracted procedure: k18513 
o|contracted procedure: k18519 
o|contracted procedure: k18585 
o|contracted procedure: k18565 
o|contracted procedure: k18575 
o|contracted procedure: k18607 
o|contracted procedure: k18618 
o|contracted procedure: k18622 
o|contracted procedure: k18614 
o|contracted procedure: k18632 
o|contracted procedure: k18641 
o|contracted procedure: k18655 
o|contracted procedure: k18647 
o|contracted procedure: k18659 
o|contracted procedure: k18663 
o|contracted procedure: k18684 
o|contracted procedure: k18666 
o|contracted procedure: k18670 
o|contracted procedure: k18680 
o|contracted procedure: k18713 
o|contracted procedure: k18719 
o|contracted procedure: k18722 
o|contracted procedure: k18725 
o|contracted procedure: k18728 
o|contracted procedure: k18731 
o|contracted procedure: k18734 
o|contracted procedure: k18737 
o|contracted procedure: k31825 
o|contracted procedure: k31831 
o|contracted procedure: k31865 
o|contracted procedure: k31871 
o|contracted procedure: k31927 
o|contracted procedure: k31933 
o|contracted procedure: k31939 
o|contracted procedure: k31952 
o|contracted procedure: k31956 
o|contracted procedure: k31960 
o|contracted procedure: k31982 
o|contracted procedure: k31989 
o|contracted procedure: k31993 
o|contracted procedure: k31997 
o|contracted procedure: k32007 
o|contracted procedure: k32023 
o|contracted procedure: k32027 
o|contracted procedure: k32034 
o|contracted procedure: k32040 
o|contracted procedure: k32049 
o|contracted procedure: k32055 
o|contracted procedure: k32069 
o|contracted procedure: k32073 
o|contracted procedure: k32085 
o|contracted procedure: k32091 
o|contracted procedure: k32097 
o|contracted procedure: k32121 
o|contracted procedure: k32100 
o|contracted procedure: k32158 
o|contracted procedure: k32154 
o|contracted procedure: k32143 
o|contracted procedure: k32172 
o|contracted procedure: k32168 
o|contracted procedure: k32161 
o|contracted procedure: k32175 
o|contracted procedure: k18741 
o|contracted procedure: k18772 
o|contracted procedure: k18783 
o|contracted procedure: k18794 
o|contracted procedure: k18805 
o|contracted procedure: k18816 
o|contracted procedure: k18819 
o|contracted procedure: k18845 
o|contracted procedure: k18851 
o|contracted procedure: k18858 
o|contracted procedure: k18864 
o|contracted procedure: k18877 
o|contracted procedure: k18880 
o|contracted procedure: k18906 
o|contracted procedure: k18912 
o|contracted procedure: k18919 
o|contracted procedure: k18925 
o|contracted procedure: k18938 
o|contracted procedure: k18941 
o|contracted procedure: k18967 
o|contracted procedure: k18973 
o|contracted procedure: k18980 
o|contracted procedure: k18986 
o|contracted procedure: k18999 
o|contracted procedure: k19022 
o|contracted procedure: k19025 
o|contracted procedure: k19068 
o|contracted procedure: k19071 
o|contracted procedure: k19081 
o|contracted procedure: k19084 
o|contracted procedure: k1908134650 
o|contracted procedure: k19091 
o|contracted procedure: k1908134654 
o|contracted procedure: k19098 
o|contracted procedure: k1908134658 
o|contracted procedure: k19123 
o|contracted procedure: k19147 
o|contracted procedure: k19151 
o|contracted procedure: k19143 
o|contracted procedure: k19129 
o|contracted procedure: k19139 
o|contracted procedure: k19132 
o|contracted procedure: k19304 
o|contracted procedure: k19310 
o|contracted procedure: k19330 
o|contracted procedure: k19323 
o|contracted procedure: k19345 
o|contracted procedure: k19336 
o|contracted procedure: k19363 
o|contracted procedure: k19370 
o|contracted procedure: k19392 
o|contracted procedure: k19409 
o|contracted procedure: k19398 
o|contracted procedure: k19405 
o|contracted procedure: k19413 
o|contracted procedure: k19416 
o|contracted procedure: k19432 
o|contracted procedure: k19471 
o|contracted procedure: k19442 
o|contracted procedure: k19451 
o|contracted procedure: k19454 
o|contracted procedure: k19467 
o|contracted procedure: k19477 
o|contracted procedure: k19493 
o|contracted procedure: k19489 
o|contracted procedure: k19505 
o|contracted procedure: k19535 
o|contracted procedure: k19612 
o|contracted procedure: k19546 
o|contracted procedure: k19570 
o|contracted procedure: k19583 
o|contracted procedure: k19590 
o|contracted procedure: k19600 
o|contracted procedure: k19596 
o|contracted procedure: k19603 
o|contracted procedure: k19687 
o|contracted procedure: k19847 
o|contracted procedure: k19694 
o|contracted procedure: k19708 
o|contracted procedure: k19717 
o|contracted procedure: k19725 
o|contracted procedure: k19729 
o|contracted procedure: k19735 
o|contracted procedure: k19744 
o|contracted procedure: k19750 
o|contracted procedure: k19760 
o|contracted procedure: k19776 
o|contracted procedure: k19782 
o|contracted procedure: k19789 
o|contracted procedure: k19795 
o|contracted procedure: k19805 
o|contracted procedure: k19811 
o|contracted procedure: k19817 
o|contracted procedure: k19826 
o|contracted procedure: k19844 
o|contracted procedure: k19832 
o|contracted procedure: k19840 
o|contracted procedure: k19874 
o|contracted procedure: k19858 
o|contracted procedure: k19871 
o|contracted procedure: k19864 
o|contracted procedure: k19892 
o|contracted procedure: k19883 
o|contracted procedure: k19907 
o|contracted procedure: k19921 
o|contracted procedure: k19917 
o|contracted procedure: k19910 
o|inlining procedure: k19904 
o|contracted procedure: k19927 
o|contracted procedure: k19938 
o|contracted procedure: k19934 
o|inlining procedure: k19904 
o|contracted procedure: k19942 
o|contracted procedure: k19945 
o|contracted procedure: k19955 
o|contracted procedure: k19948 
o|contracted procedure: k19973 
o|contracted procedure: k19989 
o|contracted procedure: k19976 
o|contracted procedure: k19982 
o|contracted procedure: k20004 
o|contracted procedure: k19995 
o|contracted procedure: k20022 
o|contracted procedure: k20013 
o|contracted procedure: k20075 
o|contracted procedure: k20098 
o|contracted procedure: k20109 
o|contracted procedure: k20170 
o|contracted procedure: k20177 
o|contracted procedure: k20199 
o|contracted procedure: k20227 
o|contracted procedure: k20243 
o|contracted procedure: k20268 
o|contracted procedure: k20293 
o|contracted procedure: k20296 
o|contracted procedure: k20306 
o|contracted procedure: k20310 
o|contracted procedure: k20322 
o|contracted procedure: k20334 
o|contracted procedure: k20341 
o|contracted procedure: k20345 
o|contracted procedure: k20350 
o|contracted procedure: k20375 
o|contracted procedure: k20385 
o|contracted procedure: k20396 
o|contracted procedure: k20402 
o|contracted procedure: k20413 
o|contracted procedure: k20419 
o|contracted procedure: k20430 
o|contracted procedure: k20436 
o|contracted procedure: k20447 
o|contracted procedure: k20453 
o|contracted procedure: k20464 
o|contracted procedure: k20474 
o|contracted procedure: k20485 
o|contracted procedure: k20495 
o|contracted procedure: k20506 
o|contracted procedure: k20516 
o|contracted procedure: k20519 
o|contracted procedure: k20530 
o|contracted procedure: k20540 
o|contracted procedure: k20584 
o|contracted procedure: k20614 
o|contracted procedure: k20643 
o|contracted procedure: k20657 
o|contracted procedure: k20663 
o|contracted procedure: k20678 
o|contracted procedure: k20681 
o|contracted procedure: k20694 
o|contracted procedure: k20709 
o|contracted procedure: k20725 
o|contracted procedure: k20804 
o|contracted procedure: k20800 
o|contracted procedure: k20792 
o|contracted procedure: k20788 
o|contracted procedure: k20773 
o|contracted procedure: k20784 
o|contracted procedure: k20818 
o|contracted procedure: k20821 
o|contracted procedure: k20827 
o|contracted procedure: k20833 
o|contracted procedure: k20839 
o|contracted procedure: k20856 
o|contracted procedure: k20862 
o|contracted procedure: k20902 
o|contracted procedure: k20916 
o|contracted procedure: k20925 
o|contracted procedure: k20934 
o|contracted procedure: k20967 
o|contracted procedure: k21008 
o|contracted procedure: k21017 
o|contracted procedure: k21029 
o|contracted procedure: k21041 
o|contracted procedure: k21050 
o|contracted procedure: k21068 
o|contracted procedure: k21086 
o|contracted procedure: k21089 
o|contracted procedure: k21126 
o|contracted procedure: k21099 
o|contracted procedure: k21120 
o|contracted procedure: k21132 
o|contracted procedure: k21138 
o|contracted procedure: k21144 
o|contracted procedure: k21153 
o|contracted procedure: k21156 
o|contracted procedure: k21190 
o|contracted procedure: k21224 
o|contracted procedure: k21266 
o|contracted procedure: k21258 
o|contracted procedure: k21275 
o|contracted procedure: k21287 
o|contracted procedure: k21296 
o|contracted procedure: k21326 
o|contracted procedure: k21338 
o|contracted procedure: k21347 
o|contracted procedure: k21403 
o|contracted procedure: k21415 
o|inlining procedure: k21432 
o|contracted procedure: k21436 
o|inlining procedure: k21432 
o|contracted procedure: k21442 
o|contracted procedure: k21467 
o|contracted procedure: k21487 
o|contracted procedure: k21494 
o|contracted procedure: k21537 
o|contracted procedure: k21557 
o|contracted procedure: k21575 
o|contracted procedure: k21568 
o|contracted procedure: k21581 
o|contracted procedure: k21592 
o|contracted procedure: k21588 
o|contracted procedure: k21598 
o|contracted procedure: k21610 
o|contracted procedure: k21634 
o|contracted procedure: k21644 
o|contracted procedure: k21654 
o|contracted procedure: k21674 
o|contracted procedure: k21660 
o|contracted procedure: k21671 
o|contracted procedure: k21683 
o|contracted procedure: k21692 
o|contracted procedure: k21702 
o|inlining procedure: k21709 
o|contracted procedure: k21713 
o|inlining procedure: k21709 
o|contracted procedure: k21727 
o|contracted procedure: k21745 
o|contracted procedure: k21751 
o|contracted procedure: k21768 
o|contracted procedure: k21771 
o|contracted procedure: k21793 
o|contracted procedure: k21912 
o|contracted procedure: k21799 
o|contracted procedure: k21908 
o|contracted procedure: k21900 
o|contracted procedure: k21904 
o|contracted procedure: k21896 
o|contracted procedure: k21802 
o|contracted procedure: k21805 
o|contracted procedure: k21892 
o|contracted procedure: k21888 
o|contracted procedure: k21884 
o|contracted procedure: k21880 
o|contracted procedure: k21867 
o|contracted procedure: k21875 
o|contracted procedure: k21871 
o|contracted procedure: k21811 
o|contracted procedure: k21823 
o|contracted procedure: k21854 
o|contracted procedure: k21862 
o|contracted procedure: k21858 
o|contracted procedure: k21827 
o|contracted procedure: k21833 
o|contracted procedure: k21841 
o|contracted procedure: k21849 
o|contracted procedure: k21845 
o|contracted procedure: k21837 
o|contracted procedure: k21916 
o|contracted procedure: k21939 
o|contracted procedure: k21960 
o|contracted procedure: k21966 
o|contracted procedure: k21983 
o|contracted procedure: k21972 
o|contracted procedure: k21979 
o|contracted procedure: k21996 
o|contracted procedure: k22006 
o|contracted procedure: k22003 
o|contracted procedure: k22019 
o|contracted procedure: k22071 
o|contracted procedure: k22095 
o|contracted procedure: k22107 
o|contracted procedure: k22123 
o|contracted procedure: k22139 
o|contracted procedure: k22148 
o|contracted procedure: k22175 
o|contracted procedure: k22187 
o|contracted procedure: k22196 
o|contracted procedure: k22205 
o|contracted procedure: k22214 
o|contracted procedure: k22238 
o|contracted procedure: k22250 
o|contracted procedure: k22253 
o|contracted procedure: k22268 
o|contracted procedure: k22278 
o|contracted procedure: k22285 
o|contracted procedure: k22309 
o|contracted procedure: k22318 
o|contracted procedure: k22324 
o|contracted procedure: k22336 
o|contracted procedure: k22348 
o|contracted procedure: k22360 
o|contracted procedure: k22372 
o|contracted procedure: k22384 
o|contracted procedure: k22396 
o|contracted procedure: k22427 
o|contracted procedure: k22436 
o|contracted procedure: k22442 
o|contracted procedure: k22451 
o|contracted procedure: k22460 
o|contracted procedure: k22472 
o|contracted procedure: k22487 
o|contracted procedure: k22499 
o|contracted procedure: k22514 
o|contracted procedure: k22530 
o|contracted procedure: k22542 
o|contracted procedure: k22561 
o|contracted procedure: k22610 
o|contracted procedure: k22599 
o|contracted procedure: k22606 
o|contracted procedure: k22590 
o|contracted procedure: k22621 
o|contracted procedure: k22634 
o|contracted procedure: k22644 
o|contracted procedure: k22671 
o|contracted procedure: k22677 
o|contracted procedure: k22687 
o|contracted procedure: k22693 
o|contracted procedure: k22706 
o|contracted procedure: k22709 
o|contracted procedure: k22732 
o|contracted procedure: k22779 
o|contracted procedure: k22785 
o|contracted procedure: k22794 
o|contracted procedure: k22806 
o|contracted procedure: k22818 
o|contracted procedure: k22827 
o|contracted procedure: k22830 
o|contracted procedure: k22839 
o|contracted procedure: k22845 
o|contracted procedure: k22854 
o|contracted procedure: k22863 
o|contracted procedure: k22872 
o|contracted procedure: k22881 
o|contracted procedure: k22884 
o|contracted procedure: k22944 
o|contracted procedure: k22930 
o|contracted procedure: k22940 
o|contracted procedure: k22958 
o|contracted procedure: k22948 
o|contracted procedure: k22955 
o|contracted procedure: k22967 
o|contracted procedure: k22973 
o|contracted procedure: k22982 
o|contracted procedure: k23009 
o|contracted procedure: k23005 
o|contracted procedure: k22989 
o|contracted procedure: k23001 
o|contracted procedure: k22997 
o|contracted procedure: k22993 
o|contracted procedure: k23015 
o|contracted procedure: k23058 
o|contracted procedure: k23054 
o|contracted procedure: k23022 
o|contracted procedure: k23050 
o|contracted procedure: k23046 
o|contracted procedure: k23042 
o|contracted procedure: k23026 
o|contracted procedure: k23038 
o|contracted procedure: k23034 
o|contracted procedure: k23030 
o|contracted procedure: k23064 
o|contracted procedure: k23123 
o|contracted procedure: k23119 
o|contracted procedure: k23071 
o|contracted procedure: k23115 
o|contracted procedure: k23111 
o|contracted procedure: k23107 
o|contracted procedure: k23075 
o|contracted procedure: k23103 
o|contracted procedure: k23099 
o|contracted procedure: k23095 
o|contracted procedure: k23079 
o|contracted procedure: k23091 
o|contracted procedure: k23087 
o|contracted procedure: k23083 
o|contracted procedure: k23135 
o|contracted procedure: k23147 
o|contracted procedure: k23153 
o|contracted procedure: k23159 
o|contracted procedure: k23165 
o|contracted procedure: k23200 
o|contracted procedure: k23196 
o|contracted procedure: k23192 
o|contracted procedure: k23172 
o|contracted procedure: k23188 
o|contracted procedure: k23180 
o|contracted procedure: k23184 
o|contracted procedure: k23176 
o|contracted procedure: k23209 
o|contracted procedure: k23215 
o|contracted procedure: k23222 
o|contracted procedure: k23228 
o|contracted procedure: k23235 
o|contracted procedure: k23261 
o|contracted procedure: k23270 
o|contracted procedure: k23288 
o|contracted procedure: k23284 
o|contracted procedure: k23277 
o|contracted procedure: k23294 
o|contracted procedure: k23312 
o|contracted procedure: k23308 
o|contracted procedure: k23304 
o|contracted procedure: k23333 
o|contracted procedure: k23329 
o|contracted procedure: k23325 
o|contracted procedure: k23344 
o|contracted procedure: k23357 
o|contracted procedure: k23360 
o|contracted procedure: k23369 
o|contracted procedure: k23372 
o|contracted procedure: k23409 
o|contracted procedure: k23399 
o|contracted procedure: k23418 
o|contracted procedure: k23439 
o|contracted procedure: k23427 
o|contracted procedure: k23430 
o|contracted procedure: k23454 
o|contracted procedure: k23448 
o|contracted procedure: k23472 
o|contracted procedure: k23463 
o|contracted procedure: k23490 
o|contracted procedure: k23481 
o|contracted procedure: k23509 
o|contracted procedure: k23521 
o|contracted procedure: k23531 
o|contracted procedure: k23535 
o|contracted procedure: k23560 
o|contracted procedure: k23572 
o|contracted procedure: k23582 
o|contracted procedure: k23586 
o|contracted procedure: k23631 
o|contracted procedure: k23637 
o|contracted procedure: k23646 
o|contracted procedure: k23649 
o|contracted procedure: k23665 
o|propagated global variable: r23666 ##sys#undefined-value 
o|contracted procedure: k23668 
o|contracted procedure: k23694 
o|contracted procedure: k23687 
o|contracted procedure: k23710 
o|contracted procedure: k23703 
o|contracted procedure: k23722 
o|contracted procedure: k23735 
o|propagated global variable: r23736 ##sys#undefined-value 
o|contracted procedure: k23739 
o|contracted procedure: k23745 
o|contracted procedure: k23748 
o|contracted procedure: k23766 
o|contracted procedure: k23784 
o|contracted procedure: k23799 
o|contracted procedure: k23808 
o|contracted procedure: k23811 
o|contracted procedure: k23817 
o|contracted procedure: k23830 
o|contracted procedure: k23837 
o|contracted procedure: k23853 
o|contracted procedure: k23856 
o|contracted procedure: k23859 
o|contracted procedure: k23873 
o|contracted procedure: k23879 
o|contracted procedure: k23885 
o|contracted procedure: k23891 
o|contracted procedure: k23894 
o|contracted procedure: k23906 
o|contracted procedure: k23916 
o|contracted procedure: k23925 
o|contracted procedure: k23931 
o|contracted procedure: k23947 
o|contracted procedure: k23954 
o|contracted procedure: k23973 
o|contracted procedure: k23983 
o|contracted procedure: k23989 
o|contracted procedure: k23996 
o|contracted procedure: k23980 
o|contracted procedure: k24001 
o|contracted procedure: k24007 
o|contracted procedure: k24025 
o|contracted procedure: k24062 
o|contracted procedure: k24031 
o|contracted procedure: k24041 
o|contracted procedure: k24058 
o|contracted procedure: k24044 
o|contracted procedure: k24054 
o|contracted procedure: k24073 
o|contracted procedure: k24088 
o|contracted procedure: k24097 
o|contracted procedure: k24106 
o|contracted procedure: k24133 
o|contracted procedure: k24148 
o|contracted procedure: k24157 
o|contracted procedure: k24160 
o|contracted procedure: k24201 
o|contracted procedure: k24256 
o|contracted procedure: k24219 
o|contracted procedure: k24225 
o|contracted procedure: k24237 
o|contracted procedure: k24304 
o|contracted procedure: k24317 
o|contracted procedure: k24321 
o|contracted procedure: k24324 
o|contracted procedure: k24333 
o|contracted procedure: k24342 
o|contracted procedure: k24345 
o|contracted procedure: k24354 
o|contracted procedure: k24363 
o|contracted procedure: k24372 
o|contracted procedure: k24381 
o|contracted procedure: k24390 
o|contracted procedure: k24399 
o|contracted procedure: k24408 
o|contracted procedure: k24427 
o|contracted procedure: k24474 
o|contracted procedure: k24483 
o|contracted procedure: k24505 
o|contracted procedure: k24495 
o|contracted procedure: k24518 
o|contracted procedure: k24522 
o|contracted procedure: k24531 
o|contracted procedure: k24540 
o|contracted procedure: k24555 
o|contracted procedure: k24558 
o|contracted procedure: k24571 
o|contracted procedure: k24578 
o|contracted procedure: k24625 
o|contracted procedure: k24638 
o|contracted procedure: k24641 
o|contracted procedure: k24650 
o|contracted procedure: k24669 
o|contracted procedure: k24685 
o|contracted procedure: k24694 
o|contracted procedure: k24710 
o|contracted procedure: k24714 
o|contracted procedure: k24718 
o|contracted procedure: k24722 
o|contracted procedure: k24749 
o|contracted procedure: k24752 
o|contracted procedure: k24763 
o|contracted procedure: k24759 
o|contracted procedure: k24769 
o|contracted procedure: k24772 
o|contracted procedure: k24808 
o|contracted procedure: k24831 
o|contracted procedure: k24811 
o|contracted procedure: k24827 
o|contracted procedure: k24850 
o|contracted procedure: k24880 
o|contracted procedure: k24890 
o|contracted procedure: k24896 
o|contracted procedure: k24906 
o|contracted procedure: k25005 
o|contracted procedure: k25008 
o|contracted procedure: k25011 
o|contracted procedure: k25014 
o|contracted procedure: k25020 
o|contracted procedure: k25045 
o|contracted procedure: k25026 
o|contracted procedure: k25035 
o|contracted procedure: k25038 
o|contracted procedure: k25048 
o|contracted procedure: k31318 
o|contracted procedure: k31321 
o|contracted procedure: k31324 
o|contracted procedure: k31330 
o|contracted procedure: k31337 
o|contracted procedure: k31333 
o|contracted procedure: k31343 
o|contracted procedure: k31346 
o|contracted procedure: k31349 
o|contracted procedure: k31355 
o|contracted procedure: k31364 
o|contracted procedure: k31367 
o|contracted procedure: k31374 
o|contracted procedure: k31383 
o|contracted procedure: k31386 
o|contracted procedure: k31393 
o|contracted procedure: k31405 
o|contracted procedure: k31440 
o|contracted procedure: k31408 
o|contracted procedure: k31415 
o|contracted procedure: k31419 
o|contracted procedure: k31426 
o|contracted procedure: k31422 
o|contracted procedure: k31429 
o|contracted procedure: k31432 
o|contracted procedure: k31446 
o|contracted procedure: k31449 
o|contracted procedure: k31452 
o|contracted procedure: k31455 
o|contracted procedure: k31461 
o|contracted procedure: k31483 
o|contracted procedure: k31474 
o|contracted procedure: k31492 
o|contracted procedure: k31506 
o|contracted procedure: k31502 
o|contracted procedure: k31495 
o|contracted procedure: k31517 
o|contracted procedure: k31521 
o|contracted procedure: k31513 
o|contracted procedure: k31530 
o|contracted procedure: k31533 
o|contracted procedure: k31536 
o|contracted procedure: k31542 
o|contracted procedure: k31548 
o|contracted procedure: k25055 
o|contracted procedure: k25064 
o|contracted procedure: k25075 
o|contracted procedure: k25071 
o|contracted procedure: k25087 
o|contracted procedure: k25117 
o|contracted procedure: k25124 
o|contracted procedure: k25141 
o|contracted procedure: k25175 
o|contracted procedure: k25182 
o|contracted procedure: k25203 
o|contracted procedure: k25210 
o|contracted procedure: k25221 
o|contracted procedure: k25224 
o|contracted procedure: k25231 
o|contracted procedure: k25234 
o|contracted procedure: k25252 
o|contracted procedure: k25240 
o|contracted procedure: k25248 
o|contracted procedure: k25258 
o|contracted procedure: k25264 
o|contracted procedure: k25267 
o|contracted procedure: k25270 
o|contracted procedure: k25280 
o|contracted procedure: k25283 
o|contracted procedure: k25286 
o|contracted procedure: k25324 
o|contracted procedure: k25320 
o|contracted procedure: k25302 
o|contracted procedure: k25312 
o|contracted procedure: k25316 
o|contracted procedure: k25338 
o|contracted procedure: k25353 
o|contracted procedure: k25363 
o|contracted procedure: k25367 
o|contracted procedure: k25392 
o|contracted procedure: k25402 
o|inlining procedure: k25395 
o|inlining procedure: k25395 
o|contracted procedure: k25561 
o|contracted procedure: k25426 
o|contracted procedure: k25555 
o|contracted procedure: k25429 
o|contracted procedure: k25549 
o|contracted procedure: k25432 
o|contracted procedure: k25543 
o|contracted procedure: k25435 
o|contracted procedure: k25533 
o|contracted procedure: k25441 
o|contracted procedure: k25444 
o|contracted procedure: k25456 
o|contracted procedure: k25527 
o|contracted procedure: k25459 
o|contracted procedure: k25465 
o|contracted procedure: k25503 
o|contracted procedure: k25491 
o|contracted procedure: k25499 
o|contracted procedure: k25495 
o|contracted procedure: k25475 
o|contracted procedure: k25483 
o|contracted procedure: k25507 
o|contracted procedure: k25514 
o|contracted procedure: k25517 
o|contracted procedure: k25540 
o|contracted procedure: k25573 
o|contracted procedure: k25581 
o|contracted procedure: k25584 
o|contracted procedure: k25587 
o|contracted procedure: k25627 
o|contracted procedure: k25640 
o|contracted procedure: k25655 
o|contracted procedure: k25665 
o|contracted procedure: k25669 
o|contracted procedure: k25757 
o|contracted procedure: k25675 
o|contracted procedure: k25751 
o|contracted procedure: k25678 
o|contracted procedure: k25745 
o|contracted procedure: k25681 
o|contracted procedure: k25739 
o|contracted procedure: k25684 
o|contracted procedure: k25733 
o|contracted procedure: k25687 
o|contracted procedure: k25727 
o|contracted procedure: k25690 
o|contracted procedure: k25721 
o|contracted procedure: k25693 
o|contracted procedure: k25715 
o|contracted procedure: k25696 
o|contracted procedure: k25705 
o|contracted procedure: k25775 
o|contracted procedure: k25792 
o|contracted procedure: k25820 
o|contracted procedure: k25828 
o|contracted procedure: k25843 
o|contracted procedure: k25853 
o|contracted procedure: k25857 
o|contracted procedure: k25884 
o|contracted procedure: k25891 
o|contracted procedure: k25897 
o|contracted procedure: k25900 
o|contracted procedure: k25938 
o|contracted procedure: k25948 
o|contracted procedure: k25952 
o|contracted procedure: k25955 
o|contracted procedure: k25976 
o|contracted procedure: k25985 
o|contracted procedure: k25988 
o|contracted procedure: k25991 
o|contracted procedure: k26006 
o|contracted procedure: k25998 
o|contracted procedure: k26013 
o|contracted procedure: k26019 
o|contracted procedure: k26025 
o|contracted procedure: k26031 
o|contracted procedure: k26037 
o|contracted procedure: k26043 
o|contracted procedure: k26049 
o|contracted procedure: k26055 
o|contracted procedure: k26061 
o|contracted procedure: k26067 
o|contracted procedure: k26073 
o|contracted procedure: k26079 
o|contracted procedure: k26085 
o|contracted procedure: k26091 
o|contracted procedure: k26128 
o|contracted procedure: k26131 
o|contracted procedure: k26147 
o|contracted procedure: k26140 
o|contracted procedure: k26176 
o|contracted procedure: k26172 
o|contracted procedure: k26205 
o|contracted procedure: k26201 
o|contracted procedure: k26208 
o|contracted procedure: k26212 
o|contracted procedure: k26218 
o|contracted procedure: k26221 
o|contracted procedure: k26224 
o|contracted procedure: k26227 
o|contracted procedure: k26230 
o|contracted procedure: k26251 
o|contracted procedure: k26257 
o|contracted procedure: k26260 
o|contracted procedure: k26266 
o|contracted procedure: k26280 
o|contracted procedure: k26277 
o|contracted procedure: k26289 
o|contracted procedure: k26348 
o|contracted procedure: k26301 
o|contracted procedure: k26344 
o|contracted procedure: k26316 
o|contracted procedure: k26340 
o|contracted procedure: k26336 
o|contracted procedure: k26332 
o|contracted procedure: k26371 
o|contracted procedure: k26374 
o|contracted procedure: k26400 
o|contracted procedure: k26406 
o|contracted procedure: k26413 
o|contracted procedure: k26419 
o|contracted procedure: k26438 
o|contracted procedure: k26491 
o|contracted procedure: k26444 
o|contracted procedure: k26476 
o|contracted procedure: k26457 
o|contracted procedure: k26465 
o|contracted procedure: k26461 
o|contracted procedure: k26487 
o|contracted procedure: k26483 
o|contracted procedure: k26501 
o|contracted procedure: k26511 
o|contracted procedure: k26534 
o|contracted procedure: k26551 
o|contracted procedure: k26573 
o|contracted procedure: k26569 
o|contracted procedure: k26554 
o|contracted procedure: k26557 
o|contracted procedure: k26565 
o|contracted procedure: k26580 
o|contracted procedure: k26597 
o|contracted procedure: k26619 
o|contracted procedure: k26615 
o|contracted procedure: k26600 
o|contracted procedure: k26603 
o|contracted procedure: k26611 
o|contracted procedure: k26631 
o|contracted procedure: k26645 
o|contracted procedure: k26634 
o|contracted procedure: k26641 
o|contracted procedure: k26651 
o|contracted procedure: k26661 
o|contracted procedure: k26673 
o|contracted procedure: k26695 
o|contracted procedure: k26691 
o|contracted procedure: k26676 
o|contracted procedure: k26679 
o|contracted procedure: k26687 
o|contracted procedure: k26702 
o|contracted procedure: k26725 
o|contracted procedure: k26728 
o|contracted procedure: k26731 
o|contracted procedure: k26739 
o|contracted procedure: k26747 
o|contracted procedure: k26711 
o|contracted procedure: k26765 
o|contracted procedure: k26778 
o|contracted procedure: k26787 
o|contracted procedure: k26825 
o|contracted procedure: k26793 
o|contracted procedure: k26807 
o|contracted procedure: k26803 
o|contracted procedure: k26821 
o|contracted procedure: k26828 
o|contracted procedure: k26831 
o|contracted procedure: k26843 
o|contracted procedure: k26846 
o|contracted procedure: k26849 
o|contracted procedure: k26857 
o|contracted procedure: k26865 
o|contracted procedure: k26895 
o|contracted procedure: k26891 
o|contracted procedure: k26901 
o|contracted procedure: k26904 
o|contracted procedure: k26909 
o|contracted procedure: k26941 
o|contracted procedure: k26915 
o|contracted procedure: k26937 
o|contracted procedure: k26918 
o|contracted procedure: k26979 
o|contracted procedure: k26991 
o|contracted procedure: k27001 
o|contracted procedure: k27005 
o|contracted procedure: k27036 
o|contracted procedure: k27061 
o|contracted procedure: k27045 
o|contracted procedure: k27078 
o|contracted procedure: k27098 
o|contracted procedure: k27104 
o|contracted procedure: k27117 
o|contracted procedure: k27123 
o|contracted procedure: k27142 
o|contracted procedure: k27156 
o|contracted procedure: k27145 
o|contracted procedure: k27152 
o|contracted procedure: k27172 
o|contracted procedure: k27178 
o|contracted procedure: k27185 
o|contracted procedure: k27191 
o|contracted procedure: k27241 
o|contracted procedure: k27201 
o|contracted procedure: k27253 
o|contracted procedure: k27256 
o|contracted procedure: k27259 
o|contracted procedure: k27262 
o|contracted procedure: k27273 
o|contracted procedure: k27290 
o|contracted procedure: k27293 
o|contracted procedure: k27296 
o|contracted procedure: k27299 
o|contracted procedure: k27310 
o|contracted procedure: k27327 
o|contracted procedure: k27336 
o|contracted procedure: k27345 
o|contracted procedure: k27354 
o|contracted procedure: k27363 
o|contracted procedure: k27372 
o|contracted procedure: k27381 
o|contracted procedure: k27390 
o|contracted procedure: k27399 
o|contracted procedure: k27408 
o|contracted procedure: k27417 
o|contracted procedure: k27426 
o|contracted procedure: k27435 
o|contracted procedure: k27444 
o|contracted procedure: k27453 
o|contracted procedure: k27462 
o|contracted procedure: k27471 
o|contracted procedure: k27480 
o|contracted procedure: k27489 
o|contracted procedure: k27498 
o|contracted procedure: k27507 
o|contracted procedure: k27516 
o|contracted procedure: k27525 
o|contracted procedure: k27534 
o|contracted procedure: k27543 
o|contracted procedure: k27552 
o|contracted procedure: k27561 
o|contracted procedure: k27570 
o|contracted procedure: k27579 
o|contracted procedure: k27588 
o|contracted procedure: k27597 
o|contracted procedure: k27606 
o|contracted procedure: k27615 
o|contracted procedure: k27624 
o|contracted procedure: k27633 
o|contracted procedure: k27642 
o|contracted procedure: k27651 
o|contracted procedure: k27660 
o|contracted procedure: k27669 
o|contracted procedure: k27678 
o|contracted procedure: k27687 
o|contracted procedure: k27696 
o|contracted procedure: k27705 
o|contracted procedure: k27714 
o|contracted procedure: k27723 
o|contracted procedure: k27732 
o|contracted procedure: k27741 
o|contracted procedure: k27750 
o|contracted procedure: k27759 
o|contracted procedure: k27768 
o|contracted procedure: k27777 
o|contracted procedure: k27786 
o|contracted procedure: k27947 
o|contracted procedure: k27951 
o|contracted procedure: k27981 
o|contracted procedure: k28011 
o|contracted procedure: k27987 
o|contracted procedure: k27990 
o|contracted procedure: k27999 
o|contracted procedure: k28008 
o|contracted procedure: k28044 
o|contracted procedure: k28037 
o|contracted procedure: k28066 
o|contracted procedure: k28059 
o|contracted procedure: k28117 
o|contracted procedure: k28134 
o|contracted procedure: k28096 
o|contracted procedure: k28100 
o|contracted procedure: k28161 
o|contracted procedure: k28181 
o|contracted procedure: k28198 
o|contracted procedure: k28148 
o|contracted procedure: k28152 
o|contracted procedure: k28214 
o|contracted procedure: k28221 
o|contracted procedure: k28277 
o|contracted procedure: k28281 
o|contracted procedure: k28289 
o|contracted procedure: k28306 
o|contracted procedure: k28321 
o|contracted procedure: k28384 
o|contracted procedure: k28365 
o|contracted procedure: k28374 
o|contracted procedure: k28393 
o|contracted procedure: k28450 
o|contracted procedure: k28453 
o|contracted procedure: k28459 
o|contracted procedure: k28502 
o|contracted procedure: k28518 
o|contracted procedure: k28511 
o|contracted procedure: k28950 
o|contracted procedure: k28529 
o|contracted procedure: k28544 
o|contracted procedure: k28648 
o|contracted procedure: k28556 
o|contracted procedure: k28575 
o|contracted procedure: k28578 
o|contracted procedure: k28587 
o|contracted procedure: k2842734773 
o|contracted procedure: k28617 
o|contracted procedure: k28645 
o|contracted procedure: k28627 
o|contracted procedure: k28640 
o|contracted procedure: k28657 
o|contracted procedure: k28936 
o|contracted procedure: k28679 
o|contracted procedure: k28697 
o|contracted procedure: k28700 
o|contracted procedure: k28709 
o|contracted procedure: k28712 
o|contracted procedure: k28726 
o|contracted procedure: k28735 
o|contracted procedure: k28790 
o|contracted procedure: k28748 
o|contracted procedure: k28760 
o|contracted procedure: k28777 
o|contracted procedure: k28771 
o|contracted procedure: k28793 
o|contracted procedure: k2842734786 
o|contracted procedure: k28811 
o|contracted procedure: k28807 
o|contracted procedure: k28820 
o|contracted procedure: k28829 
o|contracted procedure: k28845 
o|contracted procedure: k28860 
o|contracted procedure: k28852 
o|contracted procedure: k28879 
o|contracted procedure: k28871 
o|contracted procedure: k28905 
o|contracted procedure: k28933 
o|contracted procedure: k28915 
o|contracted procedure: k28928 
o|contracted procedure: k28956 
o|contracted procedure: k28965 
o|contracted procedure: k29005 
o|contracted procedure: k29011 
o|contracted procedure: k29014 
o|contracted procedure: k29028 
o|contracted procedure: k29069 
o|contracted procedure: k29076 
o|contracted procedure: k29084 
o|contracted procedure: k29096 
o|contracted procedure: k29100 
o|contracted procedure: k29107 
o|contracted procedure: k29043 
o|contracted procedure: k29141 
o|contracted procedure: k29150 
o|contracted procedure: k29157 
o|contracted procedure: k29161 
o|contracted procedure: k29191 
o|contracted procedure: k29198 
o|contracted procedure: k29202 
o|contracted procedure: k29209 
o|contracted procedure: k29222 
o|contracted procedure: k29229 
o|contracted procedure: k29260 
o|contracted procedure: k29256 
o|contracted procedure: k29284 
o|contracted procedure: k29293 
o|contracted procedure: k29306 
o|contracted procedure: k29318 
o|contracted procedure: k29328 
o|contracted procedure: k29401 
o|contracted procedure: k29331 
o|contracted procedure: k29344 
o|contracted procedure: k29385 
o|contracted procedure: k29374 
o|contracted procedure: k29381 
o|contracted procedure: k29454 
o|contracted procedure: k29444 
o|contracted procedure: k29472 
o|contracted procedure: k29506 
o|contracted procedure: k29515 
o|contracted procedure: k29518 
o|contracted procedure: k29525 
o|contracted procedure: k29531 
o|contracted procedure: k29538 
o|contracted procedure: k29544 
o|contracted procedure: k29547 
o|contracted procedure: k29553 
o|contracted procedure: k29556 
o|contracted procedure: k29563 
o|contracted procedure: k29569 
o|contracted procedure: k29572 
o|contracted procedure: k29579 
o|contracted procedure: k29585 
o|contracted procedure: k29588 
o|contracted procedure: k29595 
o|contracted procedure: k29601 
o|contracted procedure: k29604 
o|contracted procedure: k29611 
o|contracted procedure: k29617 
o|contracted procedure: k29620 
o|contracted procedure: k29627 
o|contracted procedure: k29633 
o|contracted procedure: k29636 
o|contracted procedure: k29643 
o|contracted procedure: k29649 
o|contracted procedure: k29652 
o|contracted procedure: k29659 
o|contracted procedure: k29665 
o|contracted procedure: k29668 
o|contracted procedure: k29675 
o|contracted procedure: k29681 
o|contracted procedure: k29684 
o|contracted procedure: k29691 
o|contracted procedure: k29697 
o|contracted procedure: k29700 
o|contracted procedure: k29707 
o|contracted procedure: k29714 
o|contracted procedure: k29722 
o|contracted procedure: k29718 
o|contracted procedure: k29748 
o|contracted procedure: k29755 
o|contracted procedure: k29767 
o|contracted procedure: k29779 
o|contracted procedure: k29773 
o|contracted procedure: k29776 
o|contracted procedure: k29794 
o|contracted procedure: k29807 
o|contracted procedure: k29803 
o|contracted procedure: k29811 
o|contracted procedure: k29855 
o|contracted procedure: k29820 
o|contracted procedure: k29823 
o|contracted procedure: k29826 
o|contracted procedure: k29851 
o|contracted procedure: k29838 
o|contracted procedure: k29841 
o|contracted procedure: k29865 
o|contracted procedure: k29871 
o|contracted procedure: k29878 
o|contracted procedure: k29887 
o|contracted procedure: k29893 
o|contracted procedure: k29896 
o|contracted procedure: k29899 
o|contracted procedure: k29905 
o|contracted procedure: k29912 
o|contracted procedure: k29918 
o|contracted procedure: k29922 
o|contracted procedure: k30067 
o|contracted procedure: k30073 
o|contracted procedure: k30076 
o|contracted procedure: k30082 
o|contracted procedure: k30085 
o|contracted procedure: k30091 
o|contracted procedure: k30106 
o|contracted procedure: k30109 
o|contracted procedure: k30130 
o|contracted procedure: k30160 
o|contracted procedure: k30332 
o|contracted procedure: k30202 
o|contracted procedure: k30288 
o|contracted procedure: k30281 
o|contracted procedure: k30226 
o|contracted procedure: k30298 
o|contracted procedure: k30302 
o|contracted procedure: k30306 
o|contracted procedure: k30310 
o|contracted procedure: k30345 
o|contracted procedure: k30354 
o|contracted procedure: k30433 
o|contracted procedure: k30360 
o|contracted procedure: k30366 
o|contracted procedure: k30373 
o|contracted procedure: k30382 
o|contracted procedure: k30388 
o|contracted procedure: k30402 
o|contracted procedure: k30418 
o|contracted procedure: k30422 
o|contracted procedure: k30429 
o|contracted procedure: k30471 
o|contracted procedure: k30480 
o|contracted procedure: k30499 
o|contracted procedure: k30503 
o|contracted procedure: k30771 
o|contracted procedure: k30547 
o|contracted procedure: k30577 
o|contracted procedure: k30587 
o|contracted procedure: k30591 
o|contracted procedure: k30561 
o|contracted procedure: k30565 
o|contracted procedure: k30597 
o|contracted procedure: k30613 
o|contracted procedure: k30616 
o|contracted procedure: k30619 
o|contracted procedure: k30625 
o|contracted procedure: k30644 
o|contracted procedure: k30647 
o|contracted procedure: k30650 
o|contracted procedure: k30658 
o|contracted procedure: k30666 
o|contracted procedure: k30684 
o|contracted procedure: k30693 
o|contracted procedure: k30700 
o|contracted procedure: k30708 
o|contracted procedure: k30788 
o|contracted procedure: k30792 
o|contracted procedure: k30797 
o|contracted procedure: k30801 
o|contracted procedure: k30805 
o|contracted procedure: k30809 
o|contracted procedure: k30861 
o|contracted procedure: k30878 
o|contracted procedure: k30892 
o|contracted procedure: k30881 
o|contracted procedure: k30888 
o|contracted procedure: k30916 
o|contracted procedure: k30923 
o|contracted procedure: k30957 
o|contracted procedure: k30966 
o|contracted procedure: k30969 
o|contracted procedure: k30978 
o|contracted procedure: k30993 
o|contracted procedure: k30989 
o|contracted procedure: k31006 
o|contracted procedure: k31009 
o|contracted procedure: k31016 
o|contracted procedure: k31025 
o|contracted procedure: k31028 
o|contracted procedure: k31031 
o|contracted procedure: k31061 
o|contracted procedure: k31050 
o|contracted procedure: k31071 
o|contracted procedure: k31074 
o|contracted procedure: k31125 
o|contracted procedure: k31149 
o|contracted procedure: k31167 
o|contracted procedure: k31177 
o|contracted procedure: k31197 
o|contracted procedure: k31207 
o|contracted procedure: k31211 
o|contracted procedure: k31252 
o|contracted procedure: k31262 
o|contracted procedure: k31266 
o|contracted procedure: k31309 
o|contracted procedure: k31294 
o|contracted procedure: k31556 
o|contracted procedure: k31566 
o|contracted procedure: k31576 
o|contracted procedure: k31586 
o|contracted procedure: k31596 
o|contracted procedure: k31606 
o|contracted procedure: k31616 
o|contracted procedure: k31626 
o|contracted procedure: k31636 
o|contracted procedure: k31646 
o|contracted procedure: k31656 
o|contracted procedure: k31666 
o|contracted procedure: k31676 
o|contracted procedure: k31686 
o|contracted procedure: k31692 
o|contracted procedure: k31695 
o|contracted procedure: k31719 
o|contracted procedure: k31726 
o|contracted procedure: k31735 
o|contracted procedure: k31742 
o|contracted procedure: k31761 
o|contracted procedure: k31770 
o|contracted procedure: k31781 
o|contracted procedure: k31777 
o|contracted procedure: k31790 
o|contracted procedure: k31797 
o|contracted procedure: k31807 
o|contracted procedure: k31803 
o|contracted procedure: k31752 
o|contracted procedure: k31748 
o|simplifications: ((if . 1) (let . 538)) 
o|removed binding forms: 2196 
o|inlining procedure: "(library.scm:4433) outstr05126" 
o|inlining procedure: "(library.scm:4432) outstr05126" 
o|inlining procedure: "(library.scm:4435) outstr05126" 
o|inlining procedure: "(library.scm:4437) outstr05126" 
o|inlining procedure: "(library.scm:4447) outstr05126" 
o|inlining procedure: k23700 
o|inlining procedure: k23700 
o|inlining procedure: k24034 
o|inlining procedure: k24034 
o|inlining procedure: k24034 
o|inlining procedure: k31489 
o|inlining procedure: k31489 
o|inlining procedure: k26194 
o|inlining procedure: k26194 
o|inlining procedure: k31000 
o|inlining procedure: k31065 
o|inlining procedure: k31065 
o|replaced variables: 762 
o|removed binding forms: 4 
o|inlining procedure: k11941 
o|inlining procedure: k11965 
o|inlining procedure: k11989 
o|inlining procedure: k12013 
o|inlining procedure: k12037 
o|inlining procedure: k12061 
o|inlining procedure: k12085 
o|inlining procedure: k12109 
o|inlining procedure: k12133 
o|inlining procedure: k12157 
o|inlining procedure: k12181 
o|inlining procedure: k12199 
o|inlining procedure: k12223 
o|inlining procedure: k12247 
o|inlining procedure: k12265 
o|inlining procedure: k12283 
o|inlining procedure: k12301 
o|inlining procedure: k12319 
o|inlining procedure: k12337 
o|inlining procedure: k12355 
o|inlining procedure: k12373 
o|inlining procedure: k12391 
o|inlining procedure: k12409 
o|inlining procedure: k12427 
o|inlining procedure: k12451 
o|inlining procedure: k12469 
o|inlining procedure: k12493 
o|inlining procedure: k12511 
o|inlining procedure: k12529 
o|inlining procedure: k12547 
o|inlining procedure: k12565 
o|substituted constant variable: str514436543 
o|removed side-effect free assignment to unused variable: outstr05126 
o|substituted constant variable: str514436563 
o|inlining procedure: k28172 
o|inlining procedure: k28172 
o|substituted constant variable: r3106636684 
o|simplifications: ((let . 1) (if . 8)) 
o|replaced variables: 14 
o|removed binding forms: 396 
o|inlining procedure: "(library.scm:4486) specialchar?5128" 
o|inlining procedure: "(library.scm:4506) specialchar?5128" 
o|inlining procedure: "(library.scm:4510) specialchar?5128" 
o|removed binding forms: 48 
o|removed side-effect free assignment to unused variable: specialchar?5128 
o|replaced variables: 11 
o|removed binding forms: 31 
o|inlining procedure: k23900 
o|inlining procedure: k23970 
o|removed binding forms: 9 
o|contracted procedure: k24066 
o|removed binding forms: 3 
o|direct leaf routine/allocation: loop776 0 
o|direct leaf routine/allocation: doloop15191520 0 
o|direct leaf routine/allocation: iter1532 0 
o|direct leaf routine/allocation: loop1683 0 
o|direct leaf routine/allocation: go-inexact!2842 0 
o|direct leaf routine/allocation: loop3489 0 
o|direct leaf routine/allocation: doloop35043505 0 
o|direct leaf routine/allocation: doloop35163520 0 
o|direct leaf routine/allocation: doloop35473548 0 
o|direct leaf routine/allocation: doloop35753576 0 
o|direct leaf routine/allocation: loop3601 0 
o|direct leaf routine/allocation: loop3672 0 
o|direct leaf routine/allocation: body38983907 0 
o|direct leaf routine/allocation: def-set?39013910 0 
o|direct leaf routine/allocation: def-convert?39003912 0 
o|direct leaf routine/allocation: body39233932 0 
o|direct leaf routine/allocation: def-set?39263935 0 
o|direct leaf routine/allocation: def-convert?39253937 0 
o|direct leaf routine/allocation: body39483957 0 
o|direct leaf routine/allocation: def-set?39513960 0 
o|direct leaf routine/allocation: def-convert?39503962 0 
o|direct leaf routine/allocation: body59465955 0 
o|direct leaf routine/allocation: def-set?59495958 0 
o|direct leaf routine/allocation: def-convert?59485960 0 
o|direct leaf routine/allocation: for-each-loop59906001 0 
o|direct leaf routine/allocation: loop7037 0 
o|direct leaf routine/allocation: for-each-loop72287239 0 
o|converted assignments to bindings: (loop776) 
o|converted assignments to bindings: (doloop15191520) 
o|contracted procedure: k11388 
o|converted assignments to bindings: (iter1532) 
o|converted assignments to bindings: (loop1683) 
o|contracted procedure: "(library.scm:2463) k15637" 
o|contracted procedure: "(library.scm:2472) k15700" 
o|contracted procedure: "(library.scm:2506) k15953" 
o|contracted procedure: "(library.scm:2511) k15978" 
o|contracted procedure: "(library.scm:2555) k16362" 
o|contracted procedure: "(library.scm:2565) k16445" 
o|converted assignments to bindings: (loop3489) 
o|converted assignments to bindings: (doloop35043505) 
o|converted assignments to bindings: (doloop35163520) 
o|converted assignments to bindings: (doloop35473548) 
o|converted assignments to bindings: (doloop35753576) 
o|converted assignments to bindings: (loop3601) 
o|converted assignments to bindings: (loop3672) 
o|inlining procedure: "(library.scm:3298) k18842" 
o|inlining procedure: "(library.scm:3298) k18842" 
o|inlining procedure: "(library.scm:3298) k18842" 
o|inlining procedure: "(library.scm:3308) k18903" 
o|inlining procedure: "(library.scm:3308) k18903" 
o|inlining procedure: "(library.scm:3308) k18903" 
o|inlining procedure: "(library.scm:3318) k18964" 
o|inlining procedure: "(library.scm:3318) k18964" 
o|inlining procedure: "(library.scm:3318) k18964" 
o|inlining procedure: "(library.scm:5190) k26397" 
o|inlining procedure: "(library.scm:5190) k26397" 
o|inlining procedure: "(library.scm:5190) k26397" 
o|contracted procedure: k26519 
o|converted assignments to bindings: (for-each-loop59906001) 
o|contracted procedure: k29797 
o|converted assignments to bindings: (loop7037) 
o|contracted procedure: k30869 
o|converted assignments to bindings: (for-each-loop72287239) 
o|simplifications: ((let . 14)) 
o|removed binding forms: 10 
o|replaced variables: 7 
o|removed binding forms: 4 
o|removed binding forms: 2 
x|number of unboxed float variables: 0
x|number of inline operations replaced with unboxed ones: 56
o|customizable procedures: (cleanup-before-exit g58835890 for-each-loop58825894 for-each-loop58515863 k31037 loop6822 k30196 check7267 k30525 k30528 k30531 k30534 k30537 loop7342 map-loop73097326 loop7333 for-each-loop72867298 loop7205 str7189 pmem7085 round-to7084 pnum7083 k29868 loop7062 loop6911 doloop68866887 k29281 doloop68116812 scan6794 loop6791 read-escaped-sexp6614 get/clear-str6674 loop6685 k28751 loop26708 readln6613 doloop66526661 loop6628 doloop66176618 loop6592 loop6492 loop6466 def-port62186267 def-header62196265 body62166225 k27024 g62396240 writeargs6190 g61966203 for-each-loop61956207 g61316140 map-loop61256150 loop6143 map-loop60686086 map-loop60956112 map-loop60086026 map-loop60356053 chicken.condition#prop-list->kind-prefixed-prop-list k26447 loop5971 k25979 k25982 k26002 k25958 for-each-loop57865798 for-each-loop57185729 loop5714 g56595666 for-each-loop56585679 k25614 k25468 loop5642 g55935600 for-each-loop55925603 k25134 k25151 copy&append5540 loop5549 k31411 doloop53485349 doloop53245325 k24486 doloop53105311 out5239 doloop52805281 outsym5129 g52555256 k24019 loop5206 k23934 k23960 loop5171 outchr5127 sym-is-readable?5131 outreadablesym5130 outstr5125 for-each-loop50865104 for-each-loop50545072 hex4951 loop4960 k22074 r-symbol4427 k22288 k22656 r-ext-symbol4431 r-comment4430 r-char4429 r-vector4421 r-number-with-radix4424 r-number-with-exactness4423 r-digits4426 k22208 loop4750 r-token4425 k21919 k21774 k21540 r-string4419 loop4667 k21546 k21470 loop4650 k21406 read-unreserved-char-04402 loop4635 r-number4422 k21233 r-list4420 k20989 k21032 r-xtoken4428 build-keyword4433 loop4543 readrec4403 r-spaces4416 starting-line4538 info4399 k20646 k20666 k20770 eat-ws4508 k20555 r-cons-codepoint4418 r-usequence4417 loop4471 lp4466 loop4449 skip-to-eol4400 loop4434 reserved-character4401 k20160 skip4408 k19732 def-convert?42684280 def-set?42694278 body42664275 assign4250 k19702 loop4127 loop4108 doloop41154116 close3978 open3977 doloop39853986 k32016 loop3855 k31918 loop3838 ##sys#dynamic-unwind loop3737 map-loop37133730 loop3697 for-each-loop36823692 k18320 loop3644 loop3633 k18029 lookup-char3597 ##sys#vector-resize k17738 loop3496 map-loop33673386 compare-slots3294 loop3306 walk3295 k16796 ##sys#string->compnum scan-prefix3221 k16540 scan-real3090 k16631 k16301 k16420 k16359 k16327 scan-ureal3013 k15950 k15969 k16021 scan-decimal-tail2936 scan-digits+hashes2898 k15750 k15753 k15762 scan-exponent2918 k15789 safe-exponent2843 k15685 scan-digits2863 scan-hashes2886 lp2888 k15525 lp2865 round-quotient k15277 loop2745 loop2735 k14716 k14822 k14831 slow-expt2667 log-expt2666 lp2651 k14503 lp2639 k14062 k14068 k14009 k14015 k13861 loop2453 loop2441 find-ratio-between sr2418 k13159 ##sys#internal-gcd ratnum loop2276 deliver2209 doloop22112212 make-complex doloop17001701 loop1693 loop1668 k11458 k11467 loop1510 loop1478 copy1468 loop1466 k10924 lp1339 k10276 loop934 loop919 k10173 loop882 loop860 k9974 loop830 k9834 loop816 loop801 loop793 loop787 loop762 loop747 loop736 loop706 loop694 loop651 loop642 loop108) 
o|calls to known targets: 909 
o|identified direct recursive calls: f_8830 1 
o|unused rest argument: env348 f_9100 
o|unused rest argument: evaluator355 f_9124 
o|unused rest argument: _607 f_9237 
o|identified direct recursive calls: f_9331 1 
o|unused rest argument: _718 f_9490 
o|unused rest argument: _719 f_9492 
o|unused rest argument: _760 f_9647 
o|identified direct recursive calls: f_9710 1 
o|identified direct recursive calls: f_9732 1 
o|identified direct recursive calls: f_9768 1 
o|identified direct recursive calls: f_9797 2 
o|identified direct recursive calls: f_9844 1 
o|identified direct recursive calls: f_9898 2 
o|identified direct recursive calls: f_10877 1 
o|identified direct recursive calls: f_11152 1 
o|identified direct recursive calls: f_11206 1 
o|identified direct recursive calls: f_11302 1 
o|identified direct recursive calls: f_11345 1 
o|identified direct recursive calls: f_11396 1 
o|identified direct recursive calls: f_11752 1 
o|identified direct recursive calls: f_11800 1 
o|identified direct recursive calls: f_11862 1 
o|identified direct recursive calls: f_13555 1 
o|identified direct recursive calls: f_13723 1 
o|identified direct recursive calls: f_13766 1 
o|identified direct recursive calls: f_14626 2 
o|identified direct recursive calls: f_15464 1 
o|identified direct recursive calls: f_15572 1 
o|identified direct recursive calls: f_17626 1 
o|identified direct recursive calls: f_17666 1 
o|identified direct recursive calls: f_17705 1 
o|identified direct recursive calls: f_17751 1 
o|identified direct recursive calls: f_17823 1 
o|identified direct recursive calls: f_17897 1 
o|identified direct recursive calls: f_17999 1 
o|identified direct recursive calls: f_18330 1 
o|identified direct recursive calls: f_18630 1 
o|identified direct recursive calls: f_31922 1 
o|identified direct recursive calls: f_19063 3 
o|identified direct recursive calls: f_19387 1 
o|identified direct recursive calls: f_20329 1 
o|identified direct recursive calls: f_26626 1 
o|identified direct recursive calls: f_26546 1 
o|identified direct recursive calls: f_26592 1 
o|identified direct recursive calls: f_26668 1 
o|identified direct recursive calls: f_26782 2 
o|identified direct recursive calls: f_28388 1 
o|identified direct recursive calls: f_29064 1 
o|identified direct recursive calls: f_29815 1 
o|identified direct recursive calls: f_29882 1 
o|identified direct recursive calls: f_30377 1 
o|identified direct recursive calls: f_30608 2 
o|identified direct recursive calls: f_30873 1 
o|unused rest argument: args5841 f_31274 
o|fast box initializations: 161 
o|fast global references: 70 
o|fast global assignments: 20 
o|dropping unused closure argument: f_12591 
o|dropping unused closure argument: f_12764 
o|dropping unused closure argument: f_13555 
o|dropping unused closure argument: f_14663 
o|dropping unused closure argument: f_14675 
o|dropping unused closure argument: f_14920 
o|dropping unused closure argument: f_15333 
o|dropping unused closure argument: f_15371 
o|dropping unused closure argument: f_17885 
o|dropping unused closure argument: f_18330 
o|dropping unused closure argument: f_18630 
o|dropping unused closure argument: f_19020 
o|dropping unused closure argument: f_19118 
o|dropping unused closure argument: f_20317 
o|dropping unused closure argument: f_25062 
o|dropping unused closure argument: f_25786 
o|dropping unused closure argument: f_26427 
o|dropping unused closure argument: f_26626 
o|dropping unused closure argument: f_26963 
o|dropping unused closure argument: f_28432 
o|dropping unused closure argument: f_28479 
o|dropping unused closure argument: f_29941 
o|dropping unused closure argument: f_29955 
o|dropping unused closure argument: f_30221 
o|dropping unused closure argument: f_30494 
o|dropping unused closure argument: f_30873 
*/
/* end of file */
